/************************************************************************/
/*                                                                      */
/*                Copyright 2011 by Ullrich Koethe                      */
/*                                                                      */
/*    This file is part of the VIGRA computer vision library.           */
/*    The VIGRA Website is                                              */
/*        http://hci.iwr.uni-heidelberg.de/vigra/                       */
/*    Please direct questions, bug reports, and contributions to        */
/*        ullrich.koethe@iwr.uni-heidelberg.de    or                    */
/*        vigra@informatik.uni-hamburg.de                               */
/*                                                                      */
/*    Permission is hereby granted, free of charge, to any person       */
/*    obtaining a copy of this software and associated documentation    */
/*    files (the "Software"), to deal in the Software without           */
/*    restriction, including without limitation the rights to use,      */
/*    copy, modify, merge, publish, distribute, sublicense, and/or      */
/*    sell copies of the Software, and to permit persons to whom the    */
/*    Software is furnished to do so, subject to the following          */
/*    conditions:                                                       */
/*                                                                      */
/*    The above copyright notice and this permission notice shall be    */
/*    included in all copies or substantial portions of the             */
/*    Software.                                                         */
/*                                                                      */
/*    THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND    */
/*    EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES   */
/*    OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND          */
/*    NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT       */
/*    HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,      */
/*    WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING      */
/*    FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR     */
/*    OTHER DEALINGS IN THE SOFTWARE.                                   */
/*                                                                      */
/************************************************************************/

#ifndef VIGRA_MULTIDISTANCE_TEST_DATA_HXX
#define VIGRA_MULTIDISTANCE_TEST_DATA_HXX

static double volume_data[4200] = {
255.0, 255.0, 255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0,
255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 0.0, 255.0,
255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0,
0.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0,
255.0, 255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
255.0, 255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0,
255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0, 0.0,
255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
255.0, 255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 0.0, 0.0,
0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0,
255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 255.0, 0.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0,
0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 0.0, 0.0,
0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0,
255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 255.0, 255.0, 0.0, 0.0, 255.0, 255.0, 255.0, 0.0, 0.0,
0.0, 0.0, 0.0, 255.0, 255.0, 0.0, 255.0, 255.0, 255.0, 255.0,
0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0,
255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 0.0,
0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0,
255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0,
255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 0.0,
0.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 0.0,
255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0,
255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0,
255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 255.0, 0.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0,
255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 0.0, 0.0,
255.0, 255.0, 255.0, 255.0, 0.0, 255.0, 0.0, 255.0, 255.0, 255.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0,
0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0,
0.0, 255.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 0.0, 255.0,
255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 0.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 0.0, 255.0,
255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0,
255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 0.0, 255.0,
255.0, 255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 0.0, 0.0, 255.0, 255.0,
255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0,
255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 255.0, 0.0, 255.0, 0.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0,
0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 255.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0,
255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 255.0, 0.0, 255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0,
0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0,
255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0,
255.0, 255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 0.0, 0.0,
0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0,
255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0,
255.0, 255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0,
255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 0.0, 0.0,
0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 255.0, 0.0,
0.0, 0.0, 255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 0.0, 255.0, 255.0, 255.0,
255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0,
255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 255.0,
255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 0.0, 255.0,
255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 255.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 0.0, 0.0, 255.0, 255.0,
255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 0.0, 0.0,
255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 0.0,
0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 0.0,
0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 255.0, 255.0,
255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 0.0, 0.0, 0.0,
255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 0.0, 0.0,
0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 0.0, 255.0, 0.0,
0.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 0.0,
0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0,
255.0, 255.0, 255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0,
255.0, 255.0, 255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 0.0, 0.0, 0.0,
0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 0.0,
0.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0,
255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0,
255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
255.0, 255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 0.0, 0.0, 0.0,
0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0, 0.0,
0.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0, 255.0, 255.0,
255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0, 255.0, 255.0,
255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 255.0, 255.0,
255.0, 255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
255.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 255.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0
};

// reference squred distance for the foreground of above volume
static double ref_dist2[4200] = {
5.0, 4.0, 2.0, 1.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 3.0, 2.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 2.0, 1.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
1.0, 1.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
2.0, 1.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 2.0, 1.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 1.0, 1.0, 1.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 1.0, 1.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 1.0, 1.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0,
1.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 1.0, 1.0, 2.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 1.0, 2.0, 4.0, 4.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 1.0, 2.0, 4.0, 4.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 1.0,
1.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0,
0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 1.0, 1.0, 2.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 1.0, 2.0, 2.0, 3.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 1.0, 2.0, 3.0, 5.0, 6.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 1.0, 2.0, 2.0, 3.0, 5.0, 5.0,
0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 1.0, 2.0, 1.0, 2.0,
2.0, 2.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 2.0,
1.0, 1.0, 1.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 1.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
1.0, 1.0, 1.0, 2.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 1.0, 2.0, 3.0, 4.0, 5.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 1.0, 2.0, 3.0, 5.0, 6.0, 9.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 1.0, 3.0, 5.0, 6.0, 5.0, 4.0,
0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 2.0, 5.0, 4.0, 4.0,
2.0, 1.0, 0.0, 0.0, 0.0, 0.0, 1.0, 1.0, 2.0, 3.0,
2.0, 1.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 1.0,
1.0, 1.0, 1.0, 0.0, 0.0, 0.0, 0.0, 1.0, 1.0, 0.0,
1.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
1.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
1.0, 1.0, 2.0, 2.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 1.0, 2.0, 1.0, 2.0, 4.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 1.0, 2.0, 3.0, 2.0, 3.0, 5.0, 0.0, 0.0,
0.0, 0.0, 0.0, 1.0, 2.0, 4.0, 5.0, 5.0, 5.0, 4.0,
0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 3.0, 5.0, 5.0, 4.0,
2.0, 1.0, 0.0, 0.0, 0.0, 1.0, 1.0, 2.0, 5.0, 5.0,
2.0, 1.0, 1.0, 0.0, 0.0, 1.0, 1.0, 1.0, 2.0, 3.0,
2.0, 2.0, 1.0, 0.0, 0.0, 0.0, 0.0, 1.0, 2.0, 1.0,
2.0, 1.0, 1.0, 1.0, 0.0, 0.0, 0.0, 0.0, 1.0, 1.0,
2.0, 1.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 1.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 1.0, 0.0, 1.0, 1.0, 0.0, 0.0, 0.0, 0.0,
0.0, 1.0, 1.0, 1.0, 1.0, 1.0, 2.0, 2.0, 0.0, 0.0,
0.0, 0.0, 0.0, 1.0, 2.0, 1.0, 2.0, 3.0, 4.0, 4.0,
0.0, 0.0, 0.0, 1.0, 1.0, 2.0, 3.0, 2.0, 3.0, 2.0,
2.0, 1.0, 0.0, 1.0, 1.0, 2.0, 2.0, 3.0, 5.0, 5.0,
2.0, 1.0, 1.0, 0.0, 0.0, 1.0, 2.0, 3.0, 5.0, 3.0,
2.0, 2.0, 1.0, 0.0, 0.0, 0.0, 1.0, 2.0, 5.0, 4.0,
2.0, 1.0, 1.0, 1.0, 0.0, 0.0, 0.0, 0.0, 2.0, 3.0,
5.0, 4.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 1.0, 1.0, 0.0, 0.0, 1.0, 1.0, 1.0, 0.0, 0.0,
0.0, 0.0, 0.0, 1.0, 1.0, 0.0, 1.0, 1.0, 1.0, 1.0,
0.0, 0.0, 1.0, 1.0, 1.0, 2.0, 2.0, 1.0, 2.0, 1.0,
1.0, 1.0, 0.0, 1.0, 2.0, 3.0, 4.0, 5.0, 4.0, 3.0,
1.0, 0.0, 0.0, 0.0, 1.0, 2.0, 5.0, 6.0, 3.0, 2.0,
1.0, 1.0, 1.0, 0.0, 0.0, 0.0, 2.0, 3.0, 6.0, 5.0,
2.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 5.0, 6.0,
8.0, 4.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 0.0,
0.0, 0.0, 0.0, 1.0, 1.0, 2.0, 3.0, 2.0, 2.0, 1.0,
1.0, 0.0, 0.0, 0.0, 1.0, 2.0, 4.0, 5.0, 2.0, 1.0,
1.0, 1.0, 0.0, 0.0, 0.0, 0.0, 4.0, 5.0, 6.0, 3.0,
1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8.0, 9.0,
5.0, 2.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 1.0, 1.0, 1.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 0.0,
0.0, 0.0, 0.0, 0.0, 2.0, 2.0, 3.0, 2.0, 1.0, 0.0,
1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 5.0, 4.0, 4.0, 2.0,
1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 5.0, 4.0,
4.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 1.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 2.0, 1.0, 1.0, 1.0, 1.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 2.0, 1.0, 1.0, 1.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 2.0, 1.0,
1.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 1.0, 2.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 1.0, 1.0, 0.0, 0.0,
1.0, 1.0, 1.0, 1.0, 0.0, 1.0, 0.0, 1.0, 2.0, 3.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0,
0.0, 0.0, 0.0, 1.0, 1.0, 1.0, 0.0, 0.0, 0.0, 0.0,
0.0, 1.0, 0.0, 1.0, 1.0, 2.0, 3.0, 2.0, 0.0, 1.0,
1.0, 1.0, 1.0, 2.0, 1.0, 2.0, 1.0, 2.0, 5.0, 5.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
1.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 1.0, 1.0, 2.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
1.0, 1.0, 1.0, 2.0, 2.0, 3.0, 0.0, 1.0, 1.0, 1.0,
1.0, 1.0, 1.0, 2.0, 2.0, 3.0, 5.0, 5.0, 0.0, 1.0,
2.0, 2.0, 2.0, 3.0, 2.0, 3.0, 4.0, 5.0, 8.0, 8.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 2.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 1.0,
2.0, 3.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 1.0,
1.0, 2.0, 3.0, 5.0, 0.0, 0.0, 0.0, 1.0, 1.0, 1.0,
1.0, 2.0, 2.0, 3.0, 5.0, 6.0, 0.0, 0.0, 1.0, 2.0,
2.0, 2.0, 3.0, 5.0, 5.0, 6.0, 8.0, 9.0, 1.0, 1.0,
2.0, 5.0, 5.0, 5.0, 5.0, 6.0, 8.0, 9.0, 12.0, 13.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 1.0, 2.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 1.0, 2.0,
3.0, 5.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 1.0, 2.0,
3.0, 5.0, 6.0, 9.0, 0.0, 1.0, 0.0, 1.0, 1.0, 2.0,
2.0, 3.0, 5.0, 6.0, 9.0, 11.0, 1.0, 1.0, 1.0, 2.0,
4.0, 5.0, 5.0, 6.0, 8.0, 9.0, 12.0, 14.0, 2.0, 2.0,
3.0, 5.0, 8.0, 8.0, 9.0, 11.0, 13.0, 14.0, 16.0, 16.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 1.0, 1.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 1.0, 2.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 1.0, 2.0, 2.0, 3.0,
0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 1.0, 2.0, 2.0, 3.0,
5.0, 6.0, 0.0, 0.0, 0.0, 1.0, 1.0, 2.0, 2.0, 3.0,
5.0, 6.0, 9.0, 10.0, 0.0, 1.0, 1.0, 2.0, 2.0, 3.0,
5.0, 6.0, 9.0, 9.0, 9.0, 9.0, 1.0, 2.0, 2.0, 3.0,
5.0, 6.0, 8.0, 9.0, 10.0, 9.0, 9.0, 9.0, 4.0, 5.0,
4.0, 4.0, 5.0, 8.0, 10.0, 9.0, 9.0, 9.0, 9.0, 9.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0,
1.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 1.0, 1.0, 2.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 1.0, 0.0, 1.0, 2.0, 3.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 1.0, 1.0, 2.0, 3.0, 5.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 2.0, 3.0, 5.0, 6.0,
0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 1.0, 2.0, 5.0, 6.0,
8.0, 8.0, 0.0, 0.0, 0.0, 1.0, 1.0, 2.0, 4.0, 5.0,
6.0, 5.0, 5.0, 5.0, 1.0, 1.0, 1.0, 2.0, 4.0, 5.0,
8.0, 8.0, 5.0, 4.0, 4.0, 4.0, 2.0, 3.0, 2.0, 2.0,
3.0, 6.0, 6.0, 5.0, 5.0, 4.0, 4.0, 4.0, 5.0, 2.0,
1.0, 1.0, 2.0, 5.0, 5.0, 4.0, 4.0, 4.0, 4.0, 4.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 1.0, 2.0,
4.0, 4.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0,
1.0, 2.0, 4.0, 5.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 1.0, 1.0, 2.0, 5.0, 6.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 1.0, 2.0, 3.0, 6.0, 8.0, 0.0, 0.0,
0.0, 0.0, 1.0, 1.0, 1.0, 2.0, 5.0, 6.0, 6.0, 5.0,
0.0, 1.0, 1.0, 1.0, 1.0, 2.0, 2.0, 3.0, 6.0, 5.0,
5.0, 4.0, 1.0, 1.0, 1.0, 2.0, 2.0, 3.0, 5.0, 6.0,
3.0, 2.0, 2.0, 2.0, 2.0, 2.0, 2.0, 3.0, 5.0, 6.0,
6.0, 5.0, 2.0, 1.0, 1.0, 1.0, 3.0, 2.0, 1.0, 1.0,
2.0, 5.0, 3.0, 2.0, 2.0, 1.0, 1.0, 1.0, 2.0, 1.0,
0.0, 0.0, 1.0, 4.0, 2.0, 1.0, 1.0, 1.0, 1.0, 1.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 4.0, 5.0,
8.0, 9.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0,
4.0, 5.0, 8.0, 9.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
1.0, 2.0, 4.0, 5.0, 8.0, 9.0, 0.0, 0.0, 0.0, 0.0,
1.0, 1.0, 1.0, 2.0, 5.0, 6.0, 6.0, 5.0, 0.0, 0.0,
0.0, 1.0, 2.0, 2.0, 2.0, 3.0, 6.0, 6.0, 3.0, 2.0,
0.0, 1.0, 1.0, 2.0, 3.0, 5.0, 5.0, 6.0, 5.0, 3.0,
2.0, 1.0, 1.0, 2.0, 4.0, 5.0, 5.0, 6.0, 6.0, 5.0,
2.0, 1.0, 1.0, 1.0, 4.0, 4.0, 4.0, 4.0, 5.0, 5.0,
3.0, 2.0, 1.0, 0.0, 0.0, 0.0, 2.0, 1.0, 1.0, 1.0,
2.0, 2.0, 2.0, 1.0, 1.0, 0.0, 0.0, 0.0, 1.0, 0.0,
0.0, 0.0, 1.0, 1.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 1.0, 4.0, 6.0,
5.0, 5.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 1.0, 2.0,
5.0, 5.0, 4.0, 4.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0,
2.0, 3.0, 6.0, 5.0, 4.0, 4.0, 0.0, 0.0, 0.0, 1.0,
1.0, 2.0, 3.0, 5.0, 8.0, 5.0, 4.0, 4.0, 0.0, 1.0,
1.0, 2.0, 3.0, 5.0, 5.0, 6.0, 6.0, 3.0, 2.0, 1.0,
1.0, 2.0, 2.0, 3.0, 6.0, 8.0, 8.0, 6.0, 3.0, 2.0,
1.0, 0.0, 2.0, 3.0, 5.0, 6.0, 8.0, 6.0, 5.0, 4.0,
2.0, 1.0, 0.0, 0.0, 4.0, 4.0, 4.0, 4.0, 4.0, 4.0,
2.0, 1.0, 1.0, 0.0, 0.0, 0.0, 1.0, 1.0, 1.0, 1.0,
1.0, 1.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 1.0, 2.0, 5.0, 3.0,
2.0, 2.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 2.0, 3.0,
5.0, 2.0, 1.0, 1.0, 0.0, 0.0, 0.0, 1.0, 1.0, 2.0,
5.0, 6.0, 5.0, 2.0, 1.0, 1.0, 1.0, 1.0, 1.0, 2.0,
2.0, 3.0, 6.0, 8.0, 5.0, 2.0, 1.0, 1.0, 1.0, 2.0,
2.0, 3.0, 5.0, 6.0, 9.0, 6.0, 3.0, 2.0, 1.0, 1.0,
2.0, 3.0, 5.0, 6.0, 6.0, 5.0, 5.0, 5.0, 2.0, 1.0,
0.0, 0.0, 5.0, 6.0, 8.0, 6.0, 5.0, 3.0, 2.0, 2.0,
1.0, 0.0, 0.0, 0.0, 4.0, 4.0, 4.0, 3.0, 2.0, 2.0,
1.0, 1.0, 1.0, 0.0, 0.0, 0.0, 1.0, 1.0, 1.0, 1.0,
1.0, 1.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 1.0, 1.0, 1.0, 2.0, 4.0, 5.0, 2.0, 1.0,
1.0, 1.0, 0.0, 0.0, 1.0, 1.0, 1.0, 2.0, 5.0, 5.0,
2.0, 1.0, 0.0, 0.0, 1.0, 1.0, 1.0, 2.0, 2.0, 3.0,
5.0, 4.0, 2.0, 1.0, 0.0, 0.0, 2.0, 2.0, 2.0, 3.0,
5.0, 6.0, 5.0, 4.0, 2.0, 1.0, 0.0, 0.0, 4.0, 5.0,
5.0, 6.0, 6.0, 5.0, 5.0, 3.0, 2.0, 1.0, 0.0, 0.0,
5.0, 6.0, 8.0, 6.0, 3.0, 2.0, 3.0, 2.0, 1.0, 0.0,
0.0, 0.0, 6.0, 5.0, 5.0, 5.0, 2.0, 1.0, 1.0, 1.0,
1.0, 0.0, 0.0, 0.0, 3.0, 2.0, 2.0, 2.0, 1.0, 1.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 1.0, 1.0, 1.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
1.0, 1.0, 2.0, 4.0, 4.0, 5.0, 5.0, 4.0, 1.0, 0.0,
0.0, 0.0, 1.0, 1.0, 2.0, 4.0, 4.0, 5.0, 3.0, 2.0,
1.0, 0.0, 0.0, 0.0, 2.0, 2.0, 3.0, 5.0, 5.0, 5.0,
2.0, 1.0, 1.0, 0.0, 0.0, 0.0, 5.0, 5.0, 5.0, 6.0,
6.0, 5.0, 2.0, 1.0, 1.0, 0.0, 0.0, 0.0, 8.0, 8.0,
8.0, 6.0, 3.0, 2.0, 2.0, 1.0, 1.0, 0.0, 0.0, 0.0,
9.0, 8.0, 6.0, 3.0, 2.0, 1.0, 1.0, 1.0, 0.0, 0.0,
0.0, 0.0, 5.0, 4.0, 3.0, 2.0, 1.0, 0.0, 1.0, 0.0,
0.0, 0.0, 0.0, 0.0, 2.0, 1.0, 1.0, 1.0, 1.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
4.0, 4.0, 5.0, 8.0, 9.0, 5.0, 2.0, 1.0, 1.0, 0.0,
0.0, 0.0, 4.0, 4.0, 5.0, 8.0, 9.0, 5.0, 2.0, 1.0,
1.0, 0.0, 0.0, 0.0, 5.0, 5.0, 6.0, 9.0, 6.0, 3.0,
1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8.0, 8.0, 8.0, 6.0,
3.0, 2.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 9.0, 6.0,
5.0, 3.0, 2.0, 1.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0,
6.0, 5.0, 3.0, 2.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 3.0, 2.0, 2.0, 1.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 2.0, 1.0, 1.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
9.0, 9.0, 10.0, 13.0, 9.0, 4.0, 1.0, 0.0, 0.0, 0.0,
0.0, 0.0, 9.0, 9.0, 10.0, 9.0, 6.0, 4.0, 1.0, 0.0,
0.0, 0.0, 0.0, 0.0, 10.0, 10.0, 10.0, 6.0, 3.0, 2.0,
1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 9.0, 6.0, 5.0, 5.0,
2.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 6.0, 3.0,
2.0, 2.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
3.0, 2.0, 1.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 2.0, 1.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
16.0, 16.0, 17.0, 13.0, 9.0, 4.0, 1.0, 0.0, 0.0, 0.0,
0.0, 0.0, 16.0, 16.0, 13.0, 8.0, 5.0, 4.0, 1.0, 0.0,
0.0, 0.0, 0.0, 0.0, 13.0, 10.0, 9.0, 5.0, 2.0, 1.0,
1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8.0, 5.0, 4.0, 4.0,
1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 5.0, 2.0,
1.0, 1.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
2.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0
};


//data and ref for boundaryMultiDistance
static double bndMltDst_data[2500] = {
    116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 201, 201, 201, 201, 201, 201, 201, 201, 201, 201, 201, 201, 0, 0, 0, 0, 0, 0, 225, 0, 0, 0, 0, 0, 0, 0,
    116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 201, 201, 201, 201, 201, 201, 201, 201, 201, 201, 201, 201, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 201, 201, 201, 201, 201, 201, 201, 201, 201, 201, 201, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 201, 201, 201, 201, 201, 201, 201, 201, 201, 201, 201, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 201, 201, 201, 201, 201, 201, 201, 201, 201, 201, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 0, 201, 201, 201, 0, 0, 201, 201, 201, 201, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 201, 201, 201, 0, 201, 201, 201, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 201, 201, 201, 0, 0, 201, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 201, 201, 0, 0, 201, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 254, 254, 254, 254, 254, 254, 254, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 0, 0, 254, 254, 254, 254, 254, 254, 254, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 255, 255, 0, 0,
    116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 0, 254, 254, 254, 254, 254, 254, 254, 254, 0, 0, 0, 0, 0, 0, 0, 0, 225, 0, 255, 0, 0,
    116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 254, 254, 254, 254, 254, 254, 254, 254, 254, 0, 0, 0, 0, 0, 0, 0, 0, 0, 225, 0, 0, 0,
    116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 0, 0, 0, 225, 0, 0, 0, 0, 0, 0, 0,
    116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 0, 0, 225, 0, 0, 0, 0, 0, 0, 0,
    116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 225, 0, 0, 0, 0, 0, 0, 0,
    116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 255, 255, 255, 0, 0, 0, 0, 0, 0, 0,
    116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 169, 254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 255, 255, 255, 0, 0, 0, 0, 0, 0, 0,
    116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 169, 254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 255, 255, 255, 0, 0, 0, 0, 0, 0, 0,
    116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 169, 169, 169, 254, 254, 254, 254, 254, 254, 254, 255, 255, 255, 255, 255, 255, 255, 255, 0, 0, 0, 0, 0, 0,
    116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 169, 169, 169, 169, 169, 254, 254, 254, 254, 254, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 0, 0, 0, 0,
    116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 169, 169, 169, 169, 169, 169, 255, 254, 254, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 0, 0, 0, 0,
    116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 169, 169, 169, 169, 169, 169, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 0, 0, 0, 0,
    116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 169, 169, 169, 169, 169, 169, 169, 169, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 0, 0, 0, 0, 0,
    116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 0, 0, 0, 0, 0,
    116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 255, 255, 255, 255, 255, 255, 255, 255, 255, 0, 0, 0, 0, 0, 0,
    116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 255, 255, 255, 255, 255, 255, 255, 255, 0, 0, 0, 0, 0, 0, 0,
    116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 255, 255, 255, 255, 255, 255, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 255, 255, 255, 255, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 255, 255, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 255, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    116, 116, 116, 116, 116, 116, 116, 116, 169, 116, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 243, 243, 243, 243, 243, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    116, 116, 116, 116, 116, 116, 116, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 243, 243, 243, 243, 243, 243, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    116, 116, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 243, 243, 243, 243, 243, 243, 243, 243, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    116, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 243, 243, 243, 243, 243, 243, 243, 243, 243, 243, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 243, 243, 243, 243, 243, 243, 243, 243, 243, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 243, 243, 243, 243, 243, 243, 243, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 243, 243, 243, 243, 243, 243, 243, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 243, 243, 243, 243, 243, 243, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 243, 243, 243, 243, 243, 243, 243, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 243, 243, 243, 243, 243, 243, 243, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 243, 243, 243, 243, 243, 243, 243, 243, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 243, 243, 243, 243, 243, 243, 243, 243, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
};

static double bndMltDst_ref[2500] = {
    23.500000, 22.500000, 21.500000, 20.500000, 19.500000, 18.500000, 17.500000, 16.500000, 15.500000, 14.500000, 13.500000, 12.500000, 11.500000, 10.500000, 9.500000, 8.500000, 7.500000, 6.500000, 5.500000, 4.500000, 3.500000, 2.500000, 1.500000, 0.500000, 0.500000, 1.500000, 2.328427, 3.105551, 3.972136, 4.500000, 4.500000, 4.500000, 3.500000, 2.500000, 1.500000, 0.500000, 0.500000, 1.500000, 2.500000, 2.500000, 1.500000, 0.500000, 0.500000, 0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 5.500000, 6.500000, 
    23.500000, 22.500000, 21.500000, 20.500000, 19.500000, 18.500000, 17.500000, 16.500000, 15.500000, 14.500000, 13.500000, 12.500000, 11.500000, 10.500000, 9.500000, 8.500000, 7.500000, 6.500000, 5.500000, 4.500000, 3.500000, 2.500000, 1.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.662278, 3.623106, 3.500000, 3.500000, 3.623106, 3.500000, 2.500000, 1.500000, 0.500000, 0.500000, 1.500000, 2.500000, 2.662278, 1.736068, 0.914214, 0.500000, 0.914214, 1.736068, 2.662278, 3.623106, 4.599020, 5.582763, 6.571068, 
    23.520824, 22.521729, 21.522715, 20.523796, 19.524984, 18.526299, 17.527756, 16.529387, 15.531219, 14.533297, 13.535668, 12.538404, 11.541595, 10.545361, 9.549875, 8.555386, 7.562258, 6.571068, 5.582763, 4.599020, 3.623106, 2.662278, 1.736068, 0.914214, 0.500000, 0.500000, 1.500000, 2.500000, 2.662278, 2.500000, 2.500000, 2.662278, 3.105551, 2.328427, 1.500000, 0.500000, 0.500000, 1.500000, 2.500000, 3.105551, 2.328427, 1.736068, 1.500000, 1.736068, 2.328427, 3.105551, 3.972136, 4.885165, 5.824555, 6.780110, 
    23.583189, 22.586792, 21.590721, 20.595022, 19.599751, 18.604973, 17.610771, 16.617243, 15.624516, 14.632746, 13.642136, 12.652946, 11.665525, 10.680340, 9.698039, 8.719544, 7.746211, 6.780110, 5.824555, 4.885165, 3.972136, 3.105551, 2.328427, 1.500000, 0.500000, 0.500000, 1.500000, 2.328427, 1.736068, 1.500000, 1.500000, 1.736068, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 1.500000, 2.500000, 3.500000, 3.105551, 2.662278, 2.500000, 2.662278, 3.105551, 3.742641, 4.500000, 5.330952, 6.208204, 6.780110, 
    23.686773, 22.694826, 21.703604, 20.713203, 19.723749, 18.735384, 17.748287, 16.762676, 15.778821, 14.797058, 13.817822, 12.841664, 11.869317, 10.901754, 9.940307, 8.986833, 8.044003, 7.115773, 6.208204, 5.330952, 4.500000, 3.500000, 2.500000, 1.500000, 0.500000, 0.500000, 0.914214, 1.736068, 0.914214, 0.500000, 0.500000, 0.914214, 1.736068, 1.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.662278, 3.623106, 3.972136, 3.623106, 3.500000, 3.623106, 3.972136, 4.500000, 5.156854, 5.500000, 5.582763, 5.824555, 
    23.831051, 22.845236, 21.860680, 20.877558, 19.896078, 18.916489, 17.939089, 16.964249, 15.992422, 15.024175, 14.060220, 13.101471, 12.149111, 11.204700, 10.270329, 9.348858, 8.444272, 7.500000, 6.500000, 5.500000, 4.500000, 3.500000, 2.500000, 1.500000, 0.500000, 0.500000, 0.500000, 0.914214, 0.500000, 0.500000, 0.500000, 0.500000, 1.500000, 0.914214, 0.500000, 0.500000, 1.500000, 2.328427, 3.105551, 3.972136, 4.885165, 4.599020, 4.500000, 4.599020, 4.885165, 4.599020, 4.500000, 4.500000, 4.599020, 4.885165, 
    24.015301, 23.037205, 22.061028, 21.087032, 20.115528, 19.146883, 18.181541, 17.220045, 16.263054, 15.311388, 14.366069, 13.428389, 12.500000, 11.541595, 10.545361, 9.549875, 8.555386, 7.562258, 6.571068, 5.582763, 4.599020, 3.623106, 2.662278, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.914214, 0.500000, 0.500000, 0.500000, 0.914214, 0.500000, 0.500000, 0.914214, 1.736068, 2.662278, 3.623106, 4.500000, 5.330952, 5.582763, 5.156854, 4.500000, 3.972136, 3.623106, 3.500000, 3.500000, 3.623106, 3.972136, 
    24.238634, 23.269728, 22.303509, 21.340330, 20.380613, 19.424858, 18.473665, 17.527756, 16.588007, 15.624516, 14.632746, 13.642136, 12.652946, 11.665525, 10.680340, 9.698039, 8.719544, 7.746211, 6.780110, 5.824555, 4.885165, 3.972136, 3.105551, 2.328427, 1.736068, 1.500000, 0.500000, 0.500000, 0.914214, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 3.105551, 3.742641, 4.500000, 5.156854, 5.156854, 4.500000, 3.742641, 3.105551, 2.662278, 2.500000, 2.500000, 2.662278, 3.105551, 
    24.500000, 23.541630, 22.586792, 21.635944, 20.689621, 19.723749, 18.735384, 17.748287, 16.762676, 15.778821, 14.797058, 13.817822, 12.841664, 11.869317, 10.901754, 9.940307, 8.986833, 8.044003, 7.115773, 6.208204, 5.330952, 4.500000, 3.742641, 3.105551, 2.662278, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 3.105551, 3.742641, 4.500000, 4.500000, 3.742641, 3.105551, 2.328427, 1.736068, 1.500000, 1.500000, 1.736068, 2.328427, 
    24.798222, 23.831051, 22.845236, 21.860680, 20.877558, 19.896078, 18.916489, 17.939089, 16.964249, 15.992422, 15.024175, 14.060220, 13.101471, 12.149111, 11.204700, 10.270329, 9.348858, 8.444272, 7.562258, 6.711102, 5.903124, 5.156854, 4.500000, 3.623106, 2.662278, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 3.105551, 3.972136, 3.972136, 3.105551, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 0.914214, 1.736068, 
    24.995098, 24.015301, 23.037205, 22.061028, 21.087032, 20.115528, 19.146883, 18.181541, 17.220045, 16.263054, 15.311388, 14.366069, 13.428389, 12.500000, 11.583046, 10.680340, 9.795630, 8.933981, 8.102325, 7.310250, 6.500000, 5.500000, 4.500000, 3.500000, 2.500000, 1.500000, 0.500000, 0.500000, 0.500000, 0.500000, 1.500000, 1.500000, 1.500000, 1.500000, 0.914214, 0.500000, 0.500000, 0.914214, 1.736068, 2.662278, 3.105551, 3.623106, 2.662278, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.500000, 1.500000, 
    24.955845, 24.238634, 23.269728, 22.303509, 21.340330, 20.380613, 19.424858, 18.473665, 17.527756, 16.588007, 15.655495, 14.731546, 13.817822, 12.916408, 12.029964, 11.161903, 10.316654, 9.500000, 8.555386, 7.562258, 6.571068, 5.582763, 4.599020, 3.623106, 2.662278, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 1.500000, 2.500000, 2.500000, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 1.500000, 1.736068, 2.328427, 3.105551, 2.500000, 1.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 1.500000, 
    24.258837, 23.541630, 22.845236, 22.171568, 21.431713, 20.689621, 19.748457, 18.813208, 17.884777, 16.964249, 16.052946, 15.152476, 14.264823, 13.392444, 12.538404, 11.665525, 10.680340, 9.698039, 8.719544, 7.746211, 6.780110, 5.824555, 4.885165, 3.972136, 3.105551, 2.328427, 1.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.662278, 3.500000, 3.105551, 2.328427, 1.500000, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.662278, 2.500000, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 
    23.541630, 22.845236, 22.127417, 21.431713, 20.760292, 20.018284, 19.298990, 18.604973, 17.939089, 17.304493, 16.500000, 15.624516, 14.764338, 13.817822, 12.841664, 11.869317, 10.901754, 9.940307, 8.986833, 8.044003, 7.115773, 6.208204, 5.330952, 4.500000, 3.500000, 2.500000, 1.500000, 0.500000, 0.500000, 1.500000, 2.328427, 3.105551, 3.972136, 3.623106, 2.662278, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 1.500000, 1.736068, 1.500000, 1.736068, 1.736068, 0.914214, 0.500000, 0.914214, 1.736068, 2.328427, 
    22.845236, 22.127417, 21.431713, 20.713203, 20.018284, 19.349434, 18.604973, 17.884777, 17.191807, 16.529387, 15.901219, 15.311388, 14.764338, 13.922205, 13.101471, 12.149111, 11.204700, 10.270329, 9.348858, 8.444272, 7.500000, 6.500000, 5.500000, 4.500000, 3.500000, 2.500000, 1.500000, 0.500000, 0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 3.972136, 3.105551, 2.328427, 1.736068, 1.500000, 0.500000, 0.500000, 1.500000, 0.914214, 0.500000, 0.914214, 1.736068, 1.736068, 1.500000, 1.736068, 2.328427, 3.105551, 
    22.171568, 21.431713, 20.713203, 20.018284, 19.298990, 18.604973, 17.939089, 17.191807, 16.470562, 15.778821, 15.120500, 14.500000, 13.922205, 13.392444, 12.538404, 11.706555, 10.901754, 10.130146, 9.348858, 8.444272, 7.500000, 6.500000, 5.500000, 4.500000, 3.500000, 2.500000, 1.500000, 0.500000, 0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 4.500000, 3.742641, 3.105551, 2.500000, 1.500000, 0.500000, 0.500000, 0.914214, 0.500000, 0.500000, 0.500000, 1.500000, 2.500000, 2.500000, 2.662278, 3.105551, 3.742641, 
    21.431713, 20.760292, 20.018284, 19.298990, 18.604973, 17.884777, 17.191807, 16.529387, 15.778821, 15.056349, 14.366069, 13.712670, 13.101471, 12.538404, 12.029964, 11.161903, 10.316654, 9.500000, 8.719544, 7.985281, 7.115773, 6.208204, 5.330952, 4.500000, 3.500000, 2.500000, 1.500000, 0.500000, 0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 5.156854, 4.500000, 3.623106, 2.662278, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 1.500000, 2.500000, 3.500000, 3.623106, 3.972136, 4.500000, 
    20.713203, 20.018284, 19.349434, 18.604973, 17.884777, 17.191807, 16.470562, 15.778821, 15.120500, 14.366069, 13.642136, 12.953624, 12.306249, 11.706555, 11.161903, 10.680340, 9.795630, 8.933981, 8.102325, 7.310250, 6.571068, 5.824555, 4.885165, 3.972136, 3.105551, 2.328427, 1.500000, 0.500000, 0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 4.500000, 3.972136, 3.623106, 3.105551, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 4.885165, 5.330952, 
    20.018284, 19.298990, 18.604973, 17.939089, 17.191807, 16.470562, 15.778821, 15.056349, 14.366069, 13.712670, 12.953624, 12.227922, 11.541595, 10.901754, 10.316654, 9.795630, 9.348858, 8.444272, 7.562258, 6.711102, 5.903124, 5.156854, 4.500000, 3.623106, 2.662278, 1.736068, 0.914214, 0.500000, 0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 3.742641, 3.105551, 2.662278, 2.500000, 2.500000, 1.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 1.500000, 2.500000, 3.500000, 3.972136, 4.500000, 5.156854, 
    19.349434, 18.604973, 17.884777, 17.191807, 16.529387, 15.778821, 15.056349, 14.366069, 13.642136, 12.953624, 12.306249, 11.541595, 10.813708, 10.130146, 9.500000, 8.933981, 8.444272, 7.985281, 7.115773, 6.208204, 5.330952, 4.500000, 3.742641, 3.105551, 2.328427, 1.500000, 0.500000, 0.500000, 0.500000, 1.500000, 2.328427, 3.105551, 3.623106, 3.105551, 2.328427, 1.736068, 1.500000, 1.500000, 1.500000, 0.500000, 0.500000, 1.500000, 0.500000, 0.500000, 1.500000, 2.328427, 2.662278, 3.105551, 3.742641, 4.500000, 
    18.709373, 17.939089, 17.191807, 16.470562, 15.778821, 15.120500, 14.366069, 13.642136, 12.953624, 12.227922, 11.541595, 10.901754, 10.130146, 9.399495, 8.719544, 8.102325, 7.562258, 7.115773, 6.571068, 5.824555, 4.885165, 3.972136, 3.105551, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 2.662278, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 1.500000, 0.500000, 0.500000, 0.914214, 1.500000, 1.736068, 2.328427, 3.105551, 3.972136, 
    18.101076, 17.304493, 16.529387, 15.778821, 15.056349, 14.366069, 13.712670, 12.953624, 12.227922, 11.541595, 10.813708, 10.130146, 9.500000, 8.719544, 7.985281, 7.310250, 6.711102, 6.208204, 5.824555, 5.156854, 4.500000, 3.623106, 2.662278, 1.736068, 0.914214, 0.500000, 0.500000, 0.914214, 0.500000, 0.500000, 0.914214, 1.500000, 1.736068, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.662278, 3.623106, 
    17.304493, 16.704651, 15.901219, 15.120500, 14.366069, 13.642136, 12.953624, 12.306249, 11.541595, 10.813708, 10.130146, 9.399495, 8.719544, 8.102325, 7.310250, 6.571068, 5.903124, 5.330952, 4.885165, 4.500000, 3.742641, 3.105551, 2.328427, 1.500000, 0.500000, 0.500000, 0.914214, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.914214, 0.914214, 0.500000, 0.500000, 0.914214, 1.500000, 1.500000, 1.500000, 1.736068, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 1.500000, 2.500000, 3.500000, 
    16.500000, 15.901219, 15.311388, 14.500000, 13.712670, 12.953624, 12.227922, 11.541595, 10.901754, 10.130146, 9.399495, 8.719544, 7.985281, 7.310250, 6.711102, 5.903124, 5.156854, 4.500000, 3.972136, 3.623106, 3.105551, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 1.500000, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 2.500000, 2.500000, 2.662278, 3.105551, 2.328427, 1.736068, 1.500000, 0.500000, 0.500000, 1.500000, 2.500000, 3.500000, 
    15.624516, 15.120500, 14.500000, 13.922205, 13.101471, 12.306249, 11.541595, 10.813708, 10.130146, 9.500000, 8.719544, 7.985281, 7.310250, 6.571068, 5.903124, 5.330952, 4.500000, 3.742641, 3.105551, 2.662278, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 0.914214, 1.736068, 2.500000, 1.500000, 0.500000, 0.500000, 0.914214, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 3.105551, 3.500000, 3.500000, 3.623106, 3.623106, 2.662278, 1.736068, 0.914214, 0.500000, 0.500000, 1.500000, 2.500000, 3.500000, 
    14.632746, 14.264823, 13.712670, 13.101471, 12.538404, 11.706555, 10.901754, 10.130146, 9.399495, 8.719544, 8.102325, 7.310250, 6.571068, 5.903124, 5.156854, 4.500000, 3.972136, 3.105551, 2.328427, 1.736068, 1.500000, 0.914214, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 2.662278, 1.736068, 0.914214, 0.500000, 0.500000, 0.914214, 1.500000, 1.500000, 1.736068, 2.328427, 3.105551, 3.972136, 3.972136, 3.623106, 3.105551, 2.328427, 1.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.662278, 3.623106, 
    13.642136, 13.392444, 12.916408, 12.306249, 11.706555, 11.161903, 10.316654, 9.500000, 8.719544, 7.985281, 7.310250, 6.711102, 5.903124, 5.156854, 4.500000, 3.742641, 3.105551, 2.662278, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 3.105551, 3.105551, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.662278, 3.623106, 3.105551, 2.662278, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 1.500000, 2.328427, 3.105551, 3.972136, 
    12.652946, 12.538404, 12.029964, 11.541595, 10.901754, 10.316654, 9.795630, 8.933981, 8.102325, 7.310250, 6.571068, 5.903124, 5.330952, 4.500000, 3.742641, 3.105551, 2.328427, 1.736068, 1.500000, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 3.105551, 3.742641, 3.742641, 3.105551, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.500000, 1.500000, 2.500000, 3.105551, 2.328427, 1.736068, 1.500000, 0.914214, 0.500000, 0.500000, 0.914214, 1.736068, 2.662278, 3.623106, 4.500000, 
    11.665525, 11.541595, 11.161903, 10.680340, 10.130146, 9.500000, 8.933981, 8.444272, 7.562258, 6.711102, 5.903124, 5.156854, 4.500000, 3.972136, 3.105551, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 1.500000, 1.736068, 2.328427, 3.105551, 3.742641, 4.500000, 4.500000, 3.742641, 3.105551, 2.328427, 1.736068, 1.500000, 1.500000, 0.500000, 0.500000, 1.500000, 2.328427, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 3.105551, 3.972136, 4.885165, 
    10.680340, 10.545361, 10.316654, 9.795630, 9.348858, 8.719544, 8.102325, 7.562258, 7.115773, 6.208204, 5.330952, 4.500000, 3.742641, 3.105551, 2.662278, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.662278, 3.105551, 3.742641, 4.500000, 5.156854, 5.156854, 4.500000, 3.742641, 3.105551, 2.662278, 2.500000, 1.500000, 0.500000, 0.500000, 0.914214, 1.736068, 1.500000, 0.914214, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 3.105551, 3.742641, 4.500000, 5.330952, 
    9.698039, 9.549875, 9.500000, 8.933981, 8.444272, 7.985281, 7.310250, 6.711102, 6.208204, 5.824555, 4.885165, 3.972136, 3.105551, 2.328427, 1.736068, 1.500000, 0.500000, 0.500000, 0.914214, 1.500000, 1.736068, 2.328427, 3.105551, 3.972136, 4.500000, 5.156854, 5.903124, 5.903124, 5.156854, 4.500000, 3.972136, 3.623106, 2.662278, 1.736068, 0.914214, 0.500000, 0.500000, 0.914214, 0.500000, 0.500000, 0.500000, 0.914214, 1.500000, 1.736068, 2.328427, 3.105551, 3.742641, 4.500000, 5.156854, 5.903124, 
    8.719544, 8.555386, 8.500000, 8.102325, 7.562258, 7.115773, 6.571068, 5.903124, 5.330952, 4.885165, 4.500000, 3.623106, 2.662278, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 1.500000, 2.328427, 2.662278, 3.105551, 3.742641, 4.500000, 5.330952, 5.903124, 6.500000, 5.903124, 5.330952, 4.885165, 4.500000, 3.742641, 3.105551, 2.328427, 1.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 2.662278, 3.105551, 3.742641, 4.500000, 5.156854, 5.903124, 6.571068, 
    7.746211, 7.562258, 7.500000, 7.310250, 6.711102, 6.208204, 5.824555, 5.156854, 4.500000, 3.972136, 3.623106, 3.105551, 2.328427, 1.500000, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.662278, 3.623106, 3.972136, 4.500000, 5.156854, 5.582763, 5.500000, 5.500000, 5.156854, 4.500000, 3.972136, 3.623106, 3.105551, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.914214, 1.500000, 1.736068, 2.328427, 3.105551, 3.623106, 3.972136, 4.500000, 5.156854, 5.903124, 6.571068, 7.310250, 
    6.780110, 6.571068, 6.500000, 6.500000, 5.903124, 5.330952, 4.885165, 4.500000, 3.742641, 3.105551, 2.662278, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 1.500000, 1.736068, 2.328427, 3.105551, 3.972136, 4.885165, 5.330952, 4.885165, 4.599020, 4.500000, 4.500000, 4.500000, 3.742641, 3.105551, 2.662278, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 2.662278, 3.105551, 3.742641, 4.500000, 4.885165, 5.330952, 5.903124, 6.571068, 7.310250, 7.985281, 
    5.824555, 5.582763, 5.500000, 5.500000, 5.156854, 4.500000, 3.972136, 3.623106, 3.105551, 2.328427, 1.736068, 1.500000, 0.914214, 0.500000, 0.500000, 0.914214, 1.736068, 2.662278, 3.105551, 3.742641, 4.500000, 5.156854, 4.500000, 3.972136, 3.623106, 3.500000, 3.500000, 3.500000, 3.105551, 2.328427, 1.736068, 1.500000, 0.914214, 0.500000, 0.500000, 0.914214, 1.500000, 1.736068, 2.328427, 3.105551, 3.623106, 3.972136, 4.500000, 5.156854, 5.824555, 6.208204, 6.711102, 7.310250, 7.985281, 8.719544, 
    4.885165, 4.599020, 4.500000, 4.500000, 4.500000, 3.742641, 3.105551, 2.662278, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 3.105551, 3.972136, 4.500000, 4.885165, 4.500000, 3.742641, 3.105551, 2.662278, 2.500000, 2.500000, 2.500000, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 2.662278, 3.105551, 3.742641, 4.500000, 4.885165, 5.330952, 5.903124, 6.571068, 7.115773, 7.562258, 8.102325, 8.719544, 9.399495, 
    3.972136, 3.623106, 3.500000, 3.500000, 3.500000, 3.105551, 2.328427, 1.736068, 1.500000, 0.914214, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 3.105551, 3.742641, 4.500000, 4.500000, 3.972136, 3.623106, 3.105551, 2.328427, 1.736068, 1.500000, 1.500000, 1.500000, 1.500000, 0.914214, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 3.105551, 3.623106, 3.972136, 4.500000, 5.156854, 5.824555, 6.208204, 6.711102, 7.310250, 7.985281, 8.444272, 8.933981, 9.500000, 10.130146, 
    3.105551, 2.662278, 2.500000, 2.500000, 2.500000, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.914214, 1.500000, 1.736068, 2.328427, 3.105551, 3.742641, 4.500000, 3.972136, 3.623106, 3.105551, 2.662278, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.914214, 1.500000, 1.736068, 2.328427, 3.105551, 3.742641, 4.500000, 4.885165, 5.330952, 5.903124, 6.571068, 7.115773, 7.562258, 8.102325, 8.719544, 9.348858, 9.795630, 10.316654, 10.901754, 
    2.328427, 1.736068, 1.500000, 1.500000, 1.500000, 1.500000, 0.914214, 0.500000, 0.500000, 0.500000, 0.500000, 1.500000, 2.328427, 2.662278, 3.105551, 3.742641, 4.500000, 3.742641, 3.105551, 2.662278, 2.328427, 1.736068, 1.500000, 0.914214, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 1.500000, 2.328427, 2.662278, 3.105551, 3.742641, 4.500000, 5.156854, 5.824555, 6.208204, 6.711102, 7.310250, 7.985281, 8.444272, 8.933981, 9.500000, 10.130146, 10.680340, 11.161903, 11.706555, 
    1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.914214, 0.500000, 0.914214, 1.736068, 2.662278, 3.623106, 3.972136, 4.500000, 3.972136, 3.105551, 2.328427, 1.736068, 1.500000, 0.914214, 0.500000, 0.500000, 0.500000, 0.914214, 1.500000, 1.500000, 1.500000, 0.500000, 0.500000, 1.500000, 2.500000, 3.500000, 3.972136, 4.500000, 5.156854, 5.903124, 6.571068, 7.115773, 7.562258, 8.102325, 8.719544, 9.348858, 9.795630, 10.316654, 10.901754, 11.541595, 12.029964, 12.538404, 
    0.914214, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 1.500000, 1.736068, 2.328427, 3.105551, 3.972136, 4.885165, 4.599020, 3.623106, 2.662278, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 2.328427, 1.500000, 0.500000, 0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 5.330952, 5.903124, 6.571068, 7.310250, 7.985281, 8.444272, 8.933981, 9.500000, 10.130146, 10.680340, 11.161903, 11.706555, 12.306249, 12.916408, 13.392444, 
    0.500000, 0.500000, 0.914214, 1.500000, 1.500000, 1.500000, 1.500000, 1.736068, 2.328427, 2.500000, 2.662278, 3.105551, 3.742641, 4.500000, 5.330952, 4.500000, 3.500000, 2.500000, 1.500000, 0.500000, 0.500000, 0.500000, 0.914214, 1.500000, 1.736068, 2.328427, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 5.500000, 6.500000, 7.310250, 7.985281, 8.719544, 9.348858, 9.795630, 10.316654, 10.901754, 11.541595, 12.029964, 12.538404, 13.101471, 13.712670, 14.264823, 
    0.500000, 0.914214, 1.736068, 2.328427, 2.500000, 2.500000, 2.500000, 2.662278, 3.105551, 3.500000, 3.623106, 3.972136, 4.500000, 5.156854, 5.500000, 4.500000, 3.500000, 2.500000, 1.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 2.662278, 2.662278, 1.736068, 0.914214, 0.500000, 0.500000, 0.914214, 1.736068, 2.662278, 3.623106, 4.599020, 5.582763, 6.571068, 7.562258, 8.555386, 9.399495, 10.130146, 10.680340, 11.161903, 11.706555, 12.306249, 12.916408, 13.392444, 13.922205, 14.500000, 15.120500, 
    1.500000, 1.736068, 2.328427, 3.105551, 3.500000, 3.500000, 3.500000, 3.623106, 3.972136, 4.500000, 4.599020, 4.885165, 5.330952, 5.903124, 5.582763, 4.599020, 3.623106, 2.662278, 1.736068, 0.914214, 0.500000, 0.500000, 1.500000, 2.500000, 3.105551, 2.328427, 1.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 3.105551, 3.972136, 4.885165, 5.824555, 6.780110, 7.746211, 8.719544, 9.698039, 10.680340, 11.541595, 12.029964, 12.538404, 13.101471, 13.712670, 14.264823, 14.764338, 15.311388, 15.901219, 
    2.500000, 2.662278, 3.105551, 3.742641, 4.500000, 4.500000, 4.500000, 4.599020, 4.885165, 5.330952, 5.582763, 5.824555, 6.208204, 5.903124, 5.156854, 4.500000, 3.742641, 3.105551, 2.328427, 1.500000, 0.500000, 0.500000, 1.500000, 2.500000, 2.662278, 1.736068, 0.914214, 0.500000, 0.500000, 1.500000, 2.328427, 3.105551, 3.742641, 4.500000, 5.330952, 6.208204, 7.115773, 8.044003, 8.986833, 9.940307, 10.901754, 11.869317, 12.841664, 13.392444, 13.922205, 14.500000, 15.120500, 15.624516, 16.143316, 16.704651, 
    3.500000, 3.623106, 3.972136, 4.500000, 5.156854, 5.500000, 5.500000, 5.582763, 5.824555, 6.208204, 6.571068, 6.780110, 6.208204, 5.330952, 4.500000, 3.742641, 3.105551, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 1.500000, 2.500000, 2.328427, 1.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.662278, 3.623106, 4.500000, 5.156854, 5.903124, 6.711102, 7.562258, 8.444272, 9.348858, 10.270329, 11.204700, 12.149111, 13.101471, 14.060220, 14.764338, 15.311388, 15.901219, 16.500000, 16.992855, 17.527756, 
    4.500000, 4.599020, 4.885165, 5.330952, 5.903124, 6.500000, 6.500000, 6.571068, 6.780110, 7.115773, 7.562258, 6.780110, 5.824555, 4.885165, 3.972136, 3.105551, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 0.914214, 1.736068, 2.662278, 1.736068, 0.914214, 0.500000, 0.500000, 1.500000, 2.328427, 3.105551, 3.972136, 4.885165, 5.824555, 6.571068, 7.310250, 8.102325, 8.933981, 9.795630, 10.680340, 11.583046, 12.500000, 13.428389, 14.366069, 15.311388, 16.143316, 16.704651, 17.304493, 17.857559, 18.367962, 
    5.500000, 5.582763, 5.824555, 6.208204, 6.711102, 7.310250, 7.500000, 7.562258, 7.746211, 8.044003, 7.562258, 6.571068, 5.582763, 4.599020, 3.623106, 2.662278, 1.736068, 0.914214, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 2.500000, 1.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.662278, 3.623106, 4.500000, 5.330952, 6.208204, 7.115773, 7.985281, 8.719544, 9.500000, 10.316654, 11.161903, 12.029964, 12.916408, 13.817822, 14.731546, 15.655495, 16.588007, 17.527756, 18.101076, 18.709373, 19.223083, 
    6.500000, 6.571068, 6.780110, 7.115773, 7.562258, 8.102325, 8.500000, 8.555386, 8.719544, 8.500000, 7.500000, 6.500000, 5.500000, 4.500000, 3.500000, 2.500000, 1.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 3.105551, 2.500000, 1.500000, 0.500000, 0.500000, 1.500000, 2.328427, 3.105551, 3.972136, 4.885165, 5.824555, 6.711102, 7.562258, 8.444272, 9.348858, 10.130146, 10.901754, 11.706555, 12.538404, 13.392444, 14.264823, 15.152476, 16.052946, 16.964249, 17.884777, 18.813208, 19.500000, 20.091261, 
    7.500000, 7.562258, 7.746211, 8.044003, 8.444272, 8.933981, 9.500000, 9.549875, 9.500000, 8.500000, 7.500000, 6.500000, 5.500000, 4.500000, 3.500000, 2.500000, 1.500000, 0.500000, 0.500000, 1.500000, 2.328427, 3.105551, 3.500000, 2.500000, 1.500000, 0.500000, 0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 5.330952, 6.208204, 7.115773, 8.044003, 8.933981, 9.795630, 10.680340, 11.541595, 12.306249, 13.101471, 13.922205, 14.764338, 15.624516, 16.500000, 17.388544, 18.288294, 19.197716, 20.115528, 20.900934, 
};

static double bndMltDstArrayBorder_ref[2500] = {
    0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 
    0.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 0.500000, 0.500000, 0.914214, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 0.500000, 0.500000, 1.500000, 1.500000, 1.500000, 1.500000, 0.914214, 0.500000, 0.914214, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 0.500000, 
    0.500000, 1.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 1.736068, 0.914214, 0.500000, 0.500000, 1.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.328427, 1.500000, 0.500000, 0.500000, 1.500000, 2.500000, 2.500000, 2.328427, 1.736068, 1.500000, 1.736068, 2.328427, 2.500000, 2.500000, 2.500000, 1.500000, 0.500000, 
    0.500000, 1.500000, 2.500000, 3.500000, 3.500000, 3.500000, 3.500000, 3.500000, 3.500000, 3.500000, 3.500000, 3.500000, 3.500000, 3.500000, 3.500000, 3.500000, 3.500000, 3.500000, 3.500000, 3.500000, 3.500000, 3.105551, 2.328427, 1.500000, 0.500000, 0.500000, 1.500000, 2.328427, 1.736068, 1.500000, 1.500000, 1.736068, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 1.500000, 2.500000, 3.500000, 3.105551, 2.662278, 2.500000, 2.662278, 3.105551, 3.500000, 3.500000, 2.500000, 1.500000, 0.500000, 
    0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 4.500000, 4.500000, 4.500000, 4.500000, 4.500000, 4.500000, 4.500000, 4.500000, 4.500000, 4.500000, 4.500000, 4.500000, 4.500000, 4.500000, 4.500000, 4.500000, 3.500000, 2.500000, 1.500000, 0.500000, 0.500000, 0.914214, 1.736068, 0.914214, 0.500000, 0.500000, 0.914214, 1.736068, 1.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.662278, 3.623106, 3.972136, 3.623106, 3.500000, 3.623106, 3.972136, 4.500000, 3.500000, 2.500000, 1.500000, 0.500000, 
    0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 5.500000, 5.500000, 5.500000, 5.500000, 5.500000, 5.500000, 5.500000, 5.500000, 5.500000, 5.500000, 5.500000, 5.500000, 5.500000, 5.500000, 5.500000, 4.500000, 3.500000, 2.500000, 1.500000, 0.500000, 0.500000, 0.500000, 0.914214, 0.500000, 0.500000, 0.500000, 0.500000, 1.500000, 0.914214, 0.500000, 0.500000, 1.500000, 2.328427, 3.105551, 3.972136, 4.885165, 4.599020, 4.500000, 4.599020, 4.885165, 4.500000, 3.500000, 2.500000, 1.500000, 0.500000, 
    0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 5.500000, 6.500000, 6.500000, 6.500000, 6.500000, 6.500000, 6.500000, 6.500000, 6.500000, 6.500000, 6.500000, 6.500000, 6.500000, 6.500000, 5.582763, 4.599020, 3.623106, 2.662278, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.914214, 0.500000, 0.500000, 0.500000, 0.914214, 0.500000, 0.500000, 0.914214, 1.736068, 2.662278, 3.623106, 4.500000, 5.330952, 5.582763, 5.156854, 4.500000, 3.972136, 3.623106, 3.500000, 2.500000, 1.500000, 0.500000, 
    0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 5.500000, 6.500000, 7.500000, 7.500000, 7.500000, 7.500000, 7.500000, 7.500000, 7.500000, 7.500000, 7.500000, 7.500000, 7.500000, 6.780110, 5.824555, 4.885165, 3.972136, 3.105551, 2.328427, 1.736068, 1.500000, 0.500000, 0.500000, 0.914214, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 3.105551, 3.742641, 4.500000, 5.156854, 5.156854, 4.500000, 3.742641, 3.105551, 2.662278, 2.500000, 2.500000, 1.500000, 0.500000, 
    0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 5.500000, 6.500000, 7.500000, 8.500000, 8.500000, 8.500000, 8.500000, 8.500000, 8.500000, 8.500000, 8.500000, 8.500000, 8.044003, 7.115773, 6.208204, 5.330952, 4.500000, 3.742641, 3.105551, 2.662278, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 3.105551, 3.742641, 4.500000, 4.500000, 3.742641, 3.105551, 2.328427, 1.736068, 1.500000, 1.500000, 1.500000, 0.500000, 
    0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 5.500000, 6.500000, 7.500000, 8.500000, 9.500000, 9.500000, 9.500000, 9.500000, 9.500000, 9.500000, 9.500000, 9.348858, 8.444272, 7.562258, 6.711102, 5.903124, 5.156854, 4.500000, 3.623106, 2.662278, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 3.105551, 3.972136, 3.972136, 3.105551, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 0.914214, 0.500000, 
    0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 5.500000, 6.500000, 7.500000, 8.500000, 9.500000, 10.500000, 10.500000, 10.500000, 10.500000, 10.500000, 10.500000, 9.795630, 8.933981, 8.102325, 7.310250, 6.500000, 5.500000, 4.500000, 3.500000, 2.500000, 1.500000, 0.500000, 0.500000, 0.500000, 0.500000, 1.500000, 1.500000, 1.500000, 1.500000, 0.914214, 0.500000, 0.500000, 0.914214, 1.736068, 2.662278, 3.105551, 3.623106, 2.662278, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 
    0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 5.500000, 6.500000, 7.500000, 8.500000, 9.500000, 10.500000, 11.500000, 11.500000, 11.500000, 11.500000, 11.161903, 10.316654, 9.500000, 8.555386, 7.562258, 6.571068, 5.582763, 4.599020, 3.623106, 2.662278, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 1.500000, 2.500000, 2.500000, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 1.500000, 1.736068, 2.328427, 3.105551, 2.500000, 1.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 
    0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 5.500000, 6.500000, 7.500000, 8.500000, 9.500000, 10.500000, 11.500000, 12.500000, 12.500000, 12.500000, 11.665525, 10.680340, 9.698039, 8.719544, 7.746211, 6.780110, 5.824555, 4.885165, 3.972136, 3.105551, 2.328427, 1.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.662278, 3.500000, 3.105551, 2.328427, 1.500000, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.662278, 2.500000, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.914214, 0.500000, 
    0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 5.500000, 6.500000, 7.500000, 8.500000, 9.500000, 10.500000, 11.500000, 12.500000, 13.500000, 12.841664, 11.869317, 10.901754, 9.940307, 8.986833, 8.044003, 7.115773, 6.208204, 5.330952, 4.500000, 3.500000, 2.500000, 1.500000, 0.500000, 0.500000, 1.500000, 2.328427, 3.105551, 3.972136, 3.623106, 2.662278, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 1.500000, 1.736068, 1.500000, 1.736068, 1.736068, 0.914214, 0.500000, 0.914214, 1.500000, 0.500000, 
    0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 5.500000, 6.500000, 7.500000, 8.500000, 9.500000, 10.500000, 11.500000, 12.500000, 13.500000, 13.101471, 12.149111, 11.204700, 10.270329, 9.348858, 8.444272, 7.500000, 6.500000, 5.500000, 4.500000, 3.500000, 2.500000, 1.500000, 0.500000, 0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 3.972136, 3.105551, 2.328427, 1.736068, 1.500000, 0.500000, 0.500000, 1.500000, 0.914214, 0.500000, 0.914214, 1.736068, 1.736068, 1.500000, 1.736068, 1.500000, 0.500000, 
    0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 5.500000, 6.500000, 7.500000, 8.500000, 9.500000, 10.500000, 11.500000, 12.500000, 13.392444, 12.538404, 11.706555, 10.901754, 10.130146, 9.348858, 8.444272, 7.500000, 6.500000, 5.500000, 4.500000, 3.500000, 2.500000, 1.500000, 0.500000, 0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 4.500000, 3.742641, 3.105551, 2.500000, 1.500000, 0.500000, 0.500000, 0.914214, 0.500000, 0.500000, 0.500000, 1.500000, 2.500000, 2.500000, 2.500000, 1.500000, 0.500000, 
    0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 5.500000, 6.500000, 7.500000, 8.500000, 9.500000, 10.500000, 11.500000, 12.500000, 12.538404, 12.029964, 11.161903, 10.316654, 9.500000, 8.719544, 7.985281, 7.115773, 6.208204, 5.330952, 4.500000, 3.500000, 2.500000, 1.500000, 0.500000, 0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 5.156854, 4.500000, 3.623106, 2.662278, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 1.500000, 2.500000, 3.500000, 2.500000, 1.500000, 0.500000, 
    0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 5.500000, 6.500000, 7.500000, 8.500000, 9.500000, 10.500000, 11.500000, 12.306249, 11.706555, 11.161903, 10.680340, 9.795630, 8.933981, 8.102325, 7.310250, 6.571068, 5.824555, 4.885165, 3.972136, 3.105551, 2.328427, 1.500000, 0.500000, 0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 4.500000, 3.972136, 3.623106, 3.105551, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.500000, 1.500000, 2.500000, 3.500000, 2.500000, 1.500000, 0.500000, 
    0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 5.500000, 6.500000, 7.500000, 8.500000, 9.500000, 10.500000, 11.500000, 11.541595, 10.901754, 10.316654, 9.795630, 9.348858, 8.444272, 7.562258, 6.711102, 5.903124, 5.156854, 4.500000, 3.623106, 2.662278, 1.736068, 0.914214, 0.500000, 0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 3.742641, 3.105551, 2.662278, 2.500000, 2.500000, 1.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 1.500000, 2.500000, 3.500000, 2.500000, 1.500000, 0.500000, 
    0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 5.500000, 6.500000, 7.500000, 8.500000, 9.500000, 10.500000, 11.500000, 10.813708, 10.130146, 9.500000, 8.933981, 8.444272, 7.985281, 7.115773, 6.208204, 5.330952, 4.500000, 3.742641, 3.105551, 2.328427, 1.500000, 0.500000, 0.500000, 0.500000, 1.500000, 2.328427, 3.105551, 3.623106, 3.105551, 2.328427, 1.736068, 1.500000, 1.500000, 1.500000, 0.500000, 0.500000, 1.500000, 0.500000, 0.500000, 1.500000, 2.328427, 2.662278, 2.500000, 1.500000, 0.500000, 
    0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 5.500000, 6.500000, 7.500000, 8.500000, 9.500000, 10.500000, 10.901754, 10.130146, 9.399495, 8.719544, 8.102325, 7.562258, 7.115773, 6.571068, 5.824555, 4.885165, 3.972136, 3.105551, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 2.662278, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 1.500000, 0.500000, 0.500000, 0.914214, 1.500000, 1.736068, 2.328427, 1.500000, 0.500000, 
    0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 5.500000, 6.500000, 7.500000, 8.500000, 9.500000, 10.500000, 10.130146, 9.500000, 8.719544, 7.985281, 7.310250, 6.711102, 6.208204, 5.824555, 5.156854, 4.500000, 3.623106, 2.662278, 1.736068, 0.914214, 0.500000, 0.500000, 0.914214, 0.500000, 0.500000, 0.914214, 1.500000, 1.736068, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 1.500000, 0.500000, 
    0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 5.500000, 6.500000, 7.500000, 8.500000, 9.500000, 10.130146, 9.399495, 8.719544, 8.102325, 7.310250, 6.571068, 5.903124, 5.330952, 4.885165, 4.500000, 3.742641, 3.105551, 2.328427, 1.500000, 0.500000, 0.500000, 0.914214, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.914214, 0.914214, 0.500000, 0.500000, 0.914214, 1.500000, 1.500000, 1.500000, 1.736068, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 1.500000, 1.500000, 0.500000, 
    0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 5.500000, 6.500000, 7.500000, 8.500000, 9.500000, 9.399495, 8.719544, 7.985281, 7.310250, 6.711102, 5.903124, 5.156854, 4.500000, 3.972136, 3.623106, 3.105551, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 1.500000, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 2.500000, 2.500000, 2.662278, 3.105551, 2.328427, 1.736068, 1.500000, 0.500000, 0.500000, 1.500000, 1.500000, 0.500000, 
    0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 5.500000, 6.500000, 7.500000, 8.500000, 9.500000, 8.719544, 7.985281, 7.310250, 6.571068, 5.903124, 5.330952, 4.500000, 3.742641, 3.105551, 2.662278, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 0.914214, 1.736068, 2.500000, 1.500000, 0.500000, 0.500000, 0.914214, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 3.105551, 3.500000, 3.500000, 3.623106, 3.623106, 2.662278, 1.736068, 0.914214, 0.500000, 0.500000, 1.500000, 1.500000, 0.500000, 
    0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 5.500000, 6.500000, 7.500000, 8.500000, 8.719544, 8.102325, 7.310250, 6.571068, 5.903124, 5.156854, 4.500000, 3.972136, 3.105551, 2.328427, 1.736068, 1.500000, 0.914214, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 2.662278, 1.736068, 0.914214, 0.500000, 0.500000, 0.914214, 1.500000, 1.500000, 1.736068, 2.328427, 3.105551, 3.972136, 3.972136, 3.623106, 3.105551, 2.328427, 1.500000, 0.500000, 0.500000, 0.914214, 1.736068, 1.500000, 0.500000, 
    0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 5.500000, 6.500000, 7.500000, 8.500000, 7.985281, 7.310250, 6.711102, 5.903124, 5.156854, 4.500000, 3.742641, 3.105551, 2.662278, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 3.105551, 3.105551, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.662278, 3.623106, 3.105551, 2.662278, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 1.500000, 2.328427, 1.500000, 0.500000, 
    0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 5.500000, 6.500000, 7.500000, 8.102325, 7.310250, 6.571068, 5.903124, 5.330952, 4.500000, 3.742641, 3.105551, 2.328427, 1.736068, 1.500000, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 3.105551, 3.742641, 3.742641, 3.105551, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.500000, 1.500000, 2.500000, 3.105551, 2.328427, 1.736068, 1.500000, 0.914214, 0.500000, 0.500000, 0.914214, 1.736068, 2.500000, 1.500000, 0.500000, 
    0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 5.500000, 6.500000, 7.500000, 7.562258, 6.711102, 5.903124, 5.156854, 4.500000, 3.972136, 3.105551, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 1.500000, 1.736068, 2.328427, 3.105551, 3.742641, 4.500000, 4.500000, 3.742641, 3.105551, 2.328427, 1.736068, 1.500000, 1.500000, 0.500000, 0.500000, 1.500000, 2.328427, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 2.500000, 1.500000, 0.500000, 
    0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 5.500000, 6.500000, 7.500000, 7.115773, 6.208204, 5.330952, 4.500000, 3.742641, 3.105551, 2.662278, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.662278, 3.105551, 3.742641, 4.500000, 5.156854, 5.156854, 4.500000, 3.742641, 3.105551, 2.662278, 2.500000, 1.500000, 0.500000, 0.500000, 0.914214, 1.736068, 1.500000, 0.914214, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 3.105551, 2.500000, 1.500000, 0.500000, 
    0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 5.500000, 6.500000, 6.711102, 6.208204, 5.824555, 4.885165, 3.972136, 3.105551, 2.328427, 1.736068, 1.500000, 0.500000, 0.500000, 0.914214, 1.500000, 1.736068, 2.328427, 3.105551, 3.972136, 4.500000, 5.156854, 5.903124, 5.903124, 5.156854, 4.500000, 3.972136, 3.623106, 2.662278, 1.736068, 0.914214, 0.500000, 0.500000, 0.914214, 0.500000, 0.500000, 0.500000, 0.914214, 1.500000, 1.736068, 2.328427, 3.105551, 3.500000, 2.500000, 1.500000, 0.500000, 
    0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 5.500000, 6.500000, 5.903124, 5.330952, 4.885165, 4.500000, 3.623106, 2.662278, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 1.500000, 2.328427, 2.662278, 3.105551, 3.742641, 4.500000, 5.330952, 5.903124, 6.500000, 5.903124, 5.330952, 4.885165, 4.500000, 3.742641, 3.105551, 2.328427, 1.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 2.662278, 3.105551, 3.742641, 3.500000, 2.500000, 1.500000, 0.500000, 
    0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 5.500000, 5.824555, 5.156854, 4.500000, 3.972136, 3.623106, 3.105551, 2.328427, 1.500000, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.662278, 3.623106, 3.972136, 4.500000, 5.156854, 5.582763, 5.500000, 5.500000, 5.156854, 4.500000, 3.972136, 3.623106, 3.105551, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.914214, 1.500000, 1.736068, 2.328427, 3.105551, 3.623106, 3.972136, 4.500000, 3.500000, 2.500000, 1.500000, 0.500000, 
    0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 5.330952, 4.885165, 4.500000, 3.742641, 3.105551, 2.662278, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 1.500000, 1.736068, 2.328427, 3.105551, 3.972136, 4.885165, 5.330952, 4.885165, 4.599020, 4.500000, 4.500000, 4.500000, 3.742641, 3.105551, 2.662278, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 2.662278, 3.105551, 3.742641, 4.500000, 4.885165, 4.500000, 3.500000, 2.500000, 1.500000, 0.500000, 
    0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 4.500000, 3.972136, 3.623106, 3.105551, 2.328427, 1.736068, 1.500000, 0.914214, 0.500000, 0.500000, 0.914214, 1.736068, 2.662278, 3.105551, 3.742641, 4.500000, 5.156854, 4.500000, 3.972136, 3.623106, 3.500000, 3.500000, 3.500000, 3.105551, 2.328427, 1.736068, 1.500000, 0.914214, 0.500000, 0.500000, 0.914214, 1.500000, 1.736068, 2.328427, 3.105551, 3.623106, 3.972136, 4.500000, 5.156854, 5.500000, 4.500000, 3.500000, 2.500000, 1.500000, 0.500000, 
    0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 3.742641, 3.105551, 2.662278, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 3.105551, 3.972136, 4.500000, 4.885165, 4.500000, 3.742641, 3.105551, 2.662278, 2.500000, 2.500000, 2.500000, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 2.662278, 3.105551, 3.742641, 4.500000, 4.885165, 5.330952, 5.903124, 5.500000, 4.500000, 3.500000, 2.500000, 1.500000, 0.500000, 
    0.500000, 1.500000, 2.500000, 3.500000, 3.500000, 3.105551, 2.328427, 1.736068, 1.500000, 0.914214, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 3.105551, 3.742641, 4.500000, 4.500000, 3.972136, 3.623106, 3.105551, 2.328427, 1.736068, 1.500000, 1.500000, 1.500000, 1.500000, 0.914214, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 3.105551, 3.623106, 3.972136, 4.500000, 5.156854, 5.824555, 6.208204, 6.500000, 5.500000, 4.500000, 3.500000, 2.500000, 1.500000, 0.500000, 
    0.500000, 1.500000, 2.500000, 2.500000, 2.500000, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.914214, 1.500000, 1.736068, 2.328427, 3.105551, 3.742641, 4.500000, 3.972136, 3.623106, 3.105551, 2.662278, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.914214, 1.500000, 1.736068, 2.328427, 3.105551, 3.742641, 4.500000, 4.885165, 5.330952, 5.903124, 6.571068, 7.115773, 6.500000, 5.500000, 4.500000, 3.500000, 2.500000, 1.500000, 0.500000, 
    0.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 0.914214, 0.500000, 0.500000, 0.500000, 0.500000, 1.500000, 2.328427, 2.662278, 3.105551, 3.742641, 4.500000, 3.742641, 3.105551, 2.662278, 2.328427, 1.736068, 1.500000, 0.914214, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 1.500000, 2.328427, 2.662278, 3.105551, 3.742641, 4.500000, 5.156854, 5.824555, 6.208204, 6.711102, 7.310250, 7.500000, 6.500000, 5.500000, 4.500000, 3.500000, 2.500000, 1.500000, 0.500000, 
    0.500000, 0.914214, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.914214, 0.500000, 0.914214, 1.736068, 2.662278, 3.623106, 3.972136, 4.500000, 3.972136, 3.105551, 2.328427, 1.736068, 1.500000, 0.914214, 0.500000, 0.500000, 0.500000, 0.914214, 1.500000, 1.500000, 1.500000, 0.500000, 0.500000, 1.500000, 2.500000, 3.500000, 3.972136, 4.500000, 5.156854, 5.903124, 6.571068, 7.115773, 7.562258, 8.102325, 7.500000, 6.500000, 5.500000, 4.500000, 3.500000, 2.500000, 1.500000, 0.500000, 
    0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 1.500000, 1.736068, 2.328427, 3.105551, 3.972136, 4.885165, 4.599020, 3.623106, 2.662278, 1.736068, 0.914214, 0.500000, 0.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 2.328427, 1.500000, 0.500000, 0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 5.330952, 5.903124, 6.571068, 7.310250, 7.985281, 8.444272, 8.500000, 7.500000, 6.500000, 5.500000, 4.500000, 3.500000, 2.500000, 1.500000, 0.500000, 
    0.500000, 0.500000, 0.914214, 1.500000, 1.500000, 1.500000, 1.500000, 1.736068, 2.328427, 2.500000, 2.662278, 3.105551, 3.742641, 4.500000, 5.330952, 4.500000, 3.500000, 2.500000, 1.500000, 0.500000, 0.500000, 0.500000, 0.914214, 1.500000, 1.736068, 2.328427, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 5.500000, 6.500000, 7.310250, 7.985281, 8.500000, 8.500000, 8.500000, 7.500000, 6.500000, 5.500000, 4.500000, 3.500000, 2.500000, 1.500000, 0.500000, 
    0.500000, 0.914214, 1.736068, 2.328427, 2.500000, 2.500000, 2.500000, 2.662278, 3.105551, 3.500000, 3.623106, 3.972136, 4.500000, 5.156854, 5.500000, 4.500000, 3.500000, 2.500000, 1.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 2.662278, 2.662278, 1.736068, 0.914214, 0.500000, 0.500000, 0.914214, 1.736068, 2.662278, 3.623106, 4.599020, 5.582763, 6.571068, 7.500000, 7.500000, 7.500000, 7.500000, 7.500000, 7.500000, 6.500000, 5.500000, 4.500000, 3.500000, 2.500000, 1.500000, 0.500000, 
    0.500000, 1.500000, 2.328427, 3.105551, 3.500000, 3.500000, 3.500000, 3.623106, 3.972136, 4.500000, 4.599020, 4.885165, 5.330952, 5.903124, 5.582763, 4.599020, 3.623106, 2.662278, 1.736068, 0.914214, 0.500000, 0.500000, 1.500000, 2.500000, 3.105551, 2.328427, 1.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 3.105551, 3.972136, 4.885165, 5.824555, 6.500000, 6.500000, 6.500000, 6.500000, 6.500000, 6.500000, 6.500000, 6.500000, 5.500000, 4.500000, 3.500000, 2.500000, 1.500000, 0.500000, 
    0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 4.500000, 4.500000, 4.599020, 4.885165, 5.330952, 5.500000, 5.500000, 5.500000, 5.500000, 5.156854, 4.500000, 3.742641, 3.105551, 2.328427, 1.500000, 0.500000, 0.500000, 1.500000, 2.500000, 2.662278, 1.736068, 0.914214, 0.500000, 0.500000, 1.500000, 2.328427, 3.105551, 3.742641, 4.500000, 5.330952, 5.500000, 5.500000, 5.500000, 5.500000, 5.500000, 5.500000, 5.500000, 5.500000, 5.500000, 5.500000, 4.500000, 3.500000, 2.500000, 1.500000, 0.500000, 
    0.500000, 1.500000, 2.500000, 3.500000, 4.500000, 4.500000, 4.500000, 4.500000, 4.500000, 4.500000, 4.500000, 4.500000, 4.500000, 4.500000, 4.500000, 3.742641, 3.105551, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 1.500000, 2.500000, 2.328427, 1.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.662278, 3.623106, 4.500000, 4.500000, 4.500000, 4.500000, 4.500000, 4.500000, 4.500000, 4.500000, 4.500000, 4.500000, 4.500000, 4.500000, 4.500000, 4.500000, 3.500000, 2.500000, 1.500000, 0.500000, 
    0.500000, 1.500000, 2.500000, 3.500000, 3.500000, 3.500000, 3.500000, 3.500000, 3.500000, 3.500000, 3.500000, 3.500000, 3.500000, 3.500000, 3.500000, 3.105551, 2.328427, 1.736068, 0.914214, 0.500000, 0.500000, 0.914214, 1.736068, 2.662278, 1.736068, 0.914214, 0.500000, 0.500000, 1.500000, 2.328427, 3.105551, 3.500000, 3.500000, 3.500000, 3.500000, 3.500000, 3.500000, 3.500000, 3.500000, 3.500000, 3.500000, 3.500000, 3.500000, 3.500000, 3.500000, 3.500000, 3.500000, 2.500000, 1.500000, 0.500000, 
    0.500000, 1.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 1.736068, 0.914214, 0.500000, 0.500000, 0.914214, 1.736068, 2.328427, 2.500000, 1.500000, 0.500000, 0.500000, 0.914214, 1.736068, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 2.500000, 1.500000, 0.500000, 
    0.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 0.500000, 0.500000, 0.914214, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 0.500000, 0.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 1.500000, 0.500000, 
    0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000, 0.500000
};

static unsigned int eccTrafo_data[10000] = {
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
    2, 2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
    3, 3, 4, 4, 5, 4, 4, 6, 6, 6, 6, 6, 6, 7, 7, 8, 8, 8, 8, 8,
    8, 8, 8, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
    2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
    3, 4, 4, 4, 4, 4, 4, 6, 6, 6, 6, 6, 6, 7, 7, 8, 8, 8, 8, 8,
    8, 8, 8, 8, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2,
    2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
    2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
    3, 3, 3, 4, 4, 4, 4, 4, 6, 6, 6, 6, 4, 4, 8, 8, 8, 8, 8, 8,
    8, 8, 8, 8, 8, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2,
    2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
    2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 4, 4, 6, 6, 4, 4, 8, 8, 8, 8, 8, 8,
    8, 8, 8, 8, 8, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2,
    2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
    2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 4, 4, 4, 4, 4, 8, 8, 8, 8, 8, 8,
    8, 8, 8, 8, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2,
    2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
    2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 4, 4, 8, 8, 8, 8, 8, 8,
    8, 8, 8, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 10, 10, 10, 2, 2,
    2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
    2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 8, 8, 8, 8, 8, 8,
    8, 8, 8, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 10, 10, 10, 10, 2, 2,
    2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
    2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 8, 8, 8, 8, 8,
    8, 8, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 10, 10, 10, 10, 11, 11,
    11, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
    2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 12, 13, 13, 13,
    9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 10, 10, 10, 10, 11, 11,
    2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 12, 13, 13, 13,
    9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9,
    1, 1, 1, 1, 1, 1, 1, 1, 14, 1, 1, 1, 1, 10, 10, 10, 10, 10, 11, 11,
    2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 12, 12, 12, 13,
    13, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9,
    1, 1, 1, 1, 1, 1, 1, 14, 14, 1, 1, 1, 1, 10, 10, 10, 10, 10, 11, 11,
    11, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 12, 12, 12, 12,
    13, 13, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9,
    1, 1, 1, 1, 15, 15, 15, 14, 1, 1, 1, 1, 10, 10, 10, 10, 10, 11, 11, 11,
    11, 11, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 12, 12, 12,
    16, 16, 13, 16, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9,
    1, 1, 1, 15, 15, 15, 15, 15, 15, 15, 10, 10, 10, 10, 10, 11, 11, 11, 11, 11,
    11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 2, 2, 2, 2, 2, 2, 2, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 16, 16, 16,
    16, 16, 16, 16, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9,
    17, 17, 1, 15, 15, 15, 15, 15, 15, 15, 10, 10, 10, 10, 11, 11, 11, 11, 11, 11,
    11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 2, 2, 2, 2, 2, 2, 2, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 16, 16, 16, 16,
    16, 16, 16, 16, 16, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9,
    18, 18, 18, 15, 15, 15, 15, 15, 15, 15, 10, 10, 11, 11, 11, 11, 11, 11, 11, 11,
    11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 2, 2, 2, 2, 2, 2, 2, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 16, 16, 16, 16,
    16, 16, 16, 16, 16, 16, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9,
    18, 18, 18, 18, 18, 15, 15, 15, 15, 15, 10, 10, 10, 11, 11, 11, 11, 11, 11, 11,
    11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 2, 2, 2, 2, 2, 2, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 16, 16, 16,
    16, 16, 16, 16, 16, 16, 16, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9,
    18, 18, 18, 18, 18, 18, 15, 15, 15, 15, 15, 10, 11, 11, 11, 11, 11, 11, 11, 11,
    11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 2, 2, 2, 2, 2, 2, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 16, 16, 16,
    16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9,
    18, 18, 18, 18, 18, 18, 19, 15, 15, 15, 15, 19, 11, 11, 11, 11, 11, 11, 11, 11,
    11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 2, 2, 2, 2, 2, 2, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 16, 16, 16,
    16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 9, 9, 9, 9, 9, 9, 9, 9,
    18, 18, 18, 18, 18, 19, 19, 15, 15, 15, 19, 19, 11, 11, 11, 11, 11, 11, 11, 11,
    11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 2, 2, 2, 2, 2, 2, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 16, 16,
    16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 9, 9, 9, 20, 9, 9, 9,
    18, 18, 18, 18, 18, 19, 21, 19, 19, 19, 19, 19, 19, 19, 11, 11, 11, 11, 11, 11,
    2, 2, 2, 11, 11, 11, 11, 11, 11, 11, 11, 11, 2, 2, 2, 2, 2, 2, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 16, 16,
    16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 20, 20, 20, 9,
    18, 18, 21, 21, 21, 21, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 11, 2, 2,
    2, 2, 2, 11, 11, 11, 11, 11, 11, 11, 11, 11, 2, 2, 2, 2, 2, 2, 2, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 16, 16,
    16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 20, 20,
    18, 21, 21, 21, 21, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 2, 2, 2,
    2, 2, 2, 11, 11, 11, 11, 11, 11, 11, 11, 2, 2, 2, 2, 2, 2, 2, 2, 2,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 16, 16,
    16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 20,
    21, 21, 21, 21, 21, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 2, 2, 2, 2,
    2, 2, 2, 2, 2, 11, 2, 2, 11, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
    2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 16, 16,
    16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16,
    21, 21, 21, 21, 21, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 2, 2, 2, 2, 2,
    2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
    2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 16, 16, 16,
    16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16,
    21, 21, 21, 22, 22, 22, 22, 22, 22, 22, 22, 19, 19, 19, 19, 19, 19, 2, 2, 2,
    2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
    2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 16, 16, 16,
    16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16,
    22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 19, 19, 19, 19, 19, 2, 2,
    2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 16, 16, 16,
    16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16,
    22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 19, 19, 19, 19, 2, 2,
    2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 23, 23,
    24, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 16, 16, 16,
    16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16,
    22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 19, 19, 19, 19,
    2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 23, 23, 23, 23, 24,
    24, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 16, 16, 16,
    16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16,
    22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 19, 19, 19,
    2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 23, 23, 23, 24, 24,
    24, 24, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 16, 16, 16,
    16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16,
    22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 19, 19,
    19, 19, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 23, 23, 23, 23, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 25, 16, 16, 16,
    16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16,
    22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22,
    19, 19, 19, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 26, 23, 23, 23, 3, 3, 3,
    3, 27, 27, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 25, 25, 16, 16, 16,
    16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16,
    22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22,
    28, 28, 19, 28, 29, 2, 2, 2, 2, 2, 2, 2, 2, 26, 26, 26, 3, 3, 3, 3,
    3, 27, 27, 27, 27, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 25, 25, 25, 25, 25, 25, 16, 16, 16,
    16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 30,
    22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22,
    28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 2, 2, 26, 26, 26, 26, 26, 3, 3, 3,
    3, 27, 27, 27, 27, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 25, 25, 25, 25, 25, 25, 25, 25, 16, 16,
    16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 31, 30, 30, 30, 30, 30,
    22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22,
    28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 2, 26, 26, 26, 26, 26, 26, 32, 32, 3,
    32, 27, 27, 27, 27, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 33, 33, 33,
    33, 33, 33, 33, 33, 33, 33, 3, 3, 25, 25, 25, 25, 25, 25, 25, 25, 25, 34, 34,
    16, 16, 16, 16, 16, 16, 16, 16, 35, 35, 31, 36, 31, 31, 31, 30, 30, 30, 30, 30,
    22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22,
    28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 26, 26, 26, 26, 32, 32, 32,
    32, 32, 32, 32, 27, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 33, 33, 33, 33, 33,
    33, 33, 33, 33, 33, 33, 33, 33, 33, 25, 25, 25, 25, 34, 34, 34, 34, 34, 34, 34,
    34, 35, 35, 35, 35, 35, 35, 35, 35, 31, 31, 31, 31, 31, 31, 30, 30, 30, 30, 37,
    22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22,
    28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 26, 26, 32, 32, 32, 32,
    32, 32, 32, 32, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 33, 33, 33, 33, 33,
    33, 33, 33, 33, 33, 33, 33, 33, 33, 33, 38, 25, 34, 34, 34, 34, 34, 34, 34, 34,
    35, 35, 35, 35, 35, 35, 35, 35, 35, 31, 31, 31, 31, 31, 31, 30, 37, 37, 37, 37,
    22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22,
    28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 26, 26, 26, 32, 32, 32,
    32, 32, 32, 32, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 33, 33, 33, 33, 33,
    33, 33, 33, 33, 33, 33, 33, 33, 33, 33, 33, 33, 33, 34, 34, 34, 34, 34, 34, 35,
    35, 35, 35, 35, 35, 35, 35, 35, 31, 31, 31, 31, 31, 30, 30, 37, 37, 37, 37, 37,
    22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 28,
    28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 26, 26, 39, 32, 32, 32,
    32, 32, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 33, 33, 33, 33, 33,
    33, 33, 33, 33, 33, 33, 33, 33, 33, 33, 33, 33, 33, 33, 34, 33, 34, 33, 33, 33,
    33, 33, 35, 35, 35, 31, 31, 31, 31, 31, 31, 30, 30, 30, 30, 37, 37, 37, 37, 37,
    22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 28,
    28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 26, 39, 39, 39, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 40, 40, 41, 33, 33, 33, 33,
    33, 33, 42, 42, 42, 42, 42, 42, 33, 33, 33, 33, 33, 33, 33, 33, 33, 33, 33, 33,
    33, 33, 33, 31, 31, 31, 31, 31, 31, 31, 31, 30, 30, 30, 37, 37, 37, 37, 37, 37,
    43, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 28,
    28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 39, 39, 39, 3, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 40, 40, 40, 41, 41, 41, 42, 42,
    42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 33, 33, 33, 33, 33, 33, 33, 33, 33,
    33, 31, 31, 31, 31, 31, 31, 31, 31, 31, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37,
    43, 43, 43, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 28, 28,
    28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 39, 39, 39, 3, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 41, 41, 41, 41, 41, 41, 41, 41, 42, 42,
    42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 44, 33, 33, 33, 33, 33, 33, 33, 33,
    31, 31, 31, 31, 31, 31, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37,
    43, 43, 43, 43, 43, 43, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 28, 28,
    28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 39, 39, 39, 39, 3, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41,
    42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 44, 33, 33, 33, 33, 33, 33, 33,
    31, 31, 31, 31, 31, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37,
    43, 43, 43, 43, 43, 43, 43, 45, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 28, 28,
    28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 46, 46, 39, 39, 39, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 3, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 42,
    42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 33, 33, 33, 33, 33, 33, 33,
    33, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37,
    43, 43, 43, 43, 43, 43, 43, 43, 43, 43, 22, 22, 22, 22, 22, 22, 22, 28, 28, 28,
    28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 41, 41, 41, 41, 47, 41, 3, 3,
    3, 3, 3, 3, 3, 3, 3, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 42,
    42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 33, 33, 33, 33, 33, 33, 33,
    33, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37,
    43, 43, 43, 43, 43, 43, 43, 43, 43, 43, 43, 22, 22, 22, 22, 22, 22, 28, 28, 28,
    28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 41, 41, 41, 41, 41, 41, 41, 41, 3,
    3, 3, 3, 3, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 42,
    42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 33, 33, 33, 33, 33,
    33, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37,
    43, 43, 43, 48, 48, 48, 48, 48, 43, 43, 43, 43, 22, 22, 22, 22, 22, 28, 28, 28,
    28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41,
    41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 49, 41, 41, 41, 42, 42, 42,
    42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 50, 50, 50, 50, 50,
    37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37,
    43, 48, 43, 48, 48, 48, 48, 48, 48, 48, 48, 48, 22, 22, 22, 48, 48, 28, 28, 28,
    28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41,
    41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 49, 49, 49, 49, 51, 51, 42, 42,
    42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 50, 50, 50, 50, 50, 50,
    52, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37,
    43, 43, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 22, 48, 48, 28, 28, 28,
    28, 28, 28, 28, 28, 28, 28, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41,
    41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 49, 49, 49, 49, 49, 49, 51, 51, 42, 42,
    42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 50, 50, 50, 50, 50, 50, 52,
    52, 52, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37,
    43, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 28, 28,
    28, 28, 28, 28, 28, 28, 28, 41, 53, 53, 53, 53, 53, 53, 41, 41, 41, 41, 41, 41,
    41, 41, 41, 54, 41, 41, 41, 41, 41, 41, 49, 49, 49, 49, 49, 49, 51, 51, 51, 42,
    42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 50, 50, 50, 50, 50, 50, 52,
    52, 52, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37,
    43, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 28, 28,
    28, 28, 28, 28, 28, 28, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 41, 41, 41, 41,
    41, 54, 41, 54, 54, 54, 41, 41, 53, 53, 49, 49, 49, 49, 49, 49, 51, 51, 51, 51,
    42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 50, 50, 50, 50, 50, 52,
    52, 52, 52, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37,
    43, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 28,
    28, 28, 28, 28, 28, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 41, 41, 41,
    54, 54, 54, 54, 54, 54, 54, 53, 53, 53, 53, 49, 49, 49, 49, 51, 51, 51, 51, 51,
    42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 50, 50, 50, 52,
    52, 52, 52, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37,
    43, 43, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48,
    48, 48, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 54, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 51, 51, 51, 55, 55,
    55, 55, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 52,
    52, 52, 52, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37,
    43, 43, 43, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 55, 55,
    55, 55, 55, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42,
    52, 52, 52, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37,
    43, 43, 43, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    55, 55, 55, 55, 55, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42,
    52, 52, 52, 52, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37,
    43, 43, 43, 43, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 55, 55, 55, 55, 55, 55, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42,
    42, 42, 52, 52, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37,
    43, 43, 43, 43, 43, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 55, 55, 55, 55, 55, 55, 55, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42,
    42, 42, 42, 52, 52, 52, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37,
    43, 43, 43, 56, 43, 43, 48, 48, 48, 48, 48, 48, 48, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 57, 57, 57,
    57, 57, 57, 55, 55, 55, 55, 55, 55, 55, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42,
    42, 42, 42, 42, 42, 42, 42, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37,
    58, 58, 56, 56, 43, 43, 43, 48, 48, 48, 48, 48, 43, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 57, 57, 57, 57, 57, 57, 57, 57, 57,
    57, 57, 57, 57, 55, 55, 55, 55, 55, 55, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42,
    42, 42, 42, 42, 42, 42, 42, 42, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37,
    58, 58, 43, 56, 43, 43, 43, 48, 48, 48, 43, 43, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57,
    57, 57, 57, 57, 55, 55, 55, 55, 55, 55, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42,
    42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37,
    58, 43, 43, 43, 43, 43, 43, 43, 43, 43, 43, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57,
    57, 57, 57, 57, 57, 57, 59, 59, 59, 59, 59, 59, 42, 42, 42, 42, 42, 42, 42, 42,
    42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 37, 37, 37, 37, 37, 60, 60,
    58, 43, 43, 43, 43, 43, 43, 43, 43, 43, 43, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57,
    57, 57, 57, 57, 57, 57, 57, 59, 59, 59, 59, 59, 59, 42, 42, 42, 42, 42, 42, 42,
    42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 61, 61, 61, 60, 60, 60,
    58, 58, 43, 43, 43, 43, 43, 43, 43, 43, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57,
    57, 57, 57, 57, 57, 57, 57, 57, 59, 59, 59, 59, 59, 59, 42, 42, 42, 42, 42, 42,
    42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 62, 62, 42, 61, 61, 61, 61, 60, 60, 60,
    43, 43, 43, 43, 43, 43, 43, 43, 43, 43, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57,
    57, 57, 57, 57, 57, 57, 57, 57, 59, 59, 59, 59, 59, 59, 59, 42, 42, 42, 42, 42,
    42, 42, 42, 42, 42, 42, 42, 42, 62, 62, 62, 62, 62, 61, 61, 61, 61, 60, 60, 60,
    43, 43, 43, 43, 43, 43, 43, 43, 43, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57,
    57, 57, 57, 57, 57, 57, 57, 57, 59, 59, 59, 59, 59, 59, 59, 42, 42, 63, 42, 42,
    42, 42, 64, 64, 42, 42, 42, 42, 62, 62, 62, 62, 62, 61, 61, 61, 61, 60, 60, 60,
    43, 43, 43, 43, 43, 43, 43, 43, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 65,
    53, 53, 53, 53, 53, 53, 53, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57,
    57, 57, 57, 57, 57, 57, 57, 57, 59, 59, 59, 59, 59, 59, 59, 59, 42, 42, 42, 42,
    42, 42, 64, 64, 64, 42, 42, 42, 42, 62, 62, 62, 62, 62, 61, 61, 61, 60, 60, 60,
    43, 43, 43, 43, 43, 43, 43, 43, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57,
    66, 57, 57, 57, 57, 57, 57, 57, 57, 59, 59, 59, 59, 59, 59, 59, 67, 67, 67, 42,
    42, 64, 64, 64, 64, 42, 42, 42, 62, 62, 62, 62, 62, 62, 62, 61, 60, 60, 60, 60,
    43, 43, 43, 43, 43, 43, 43, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57,
    66, 66, 66, 66, 66, 57, 57, 57, 57, 57, 57, 59, 59, 59, 59, 59, 67, 67, 67, 67,
    42, 64, 64, 64, 64, 64, 42, 42, 62, 62, 62, 62, 62, 62, 62, 62, 60, 60, 60, 60,
    43, 43, 43, 43, 43, 43, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57,
    57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 59, 59, 59, 59, 59, 67, 67, 67, 67,
    67, 64, 64, 64, 64, 64, 64, 68, 42, 62, 62, 62, 62, 62, 62, 62, 60, 60, 60, 60,
    43, 43, 43, 43, 43, 43, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57,
    57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 59, 59, 59, 59, 67, 67, 67, 67,
    67, 67, 64, 64, 64, 64, 64, 68, 68, 68, 62, 62, 62, 62, 62, 62, 60, 60, 60, 60,
    43, 43, 43, 43, 43, 43, 43, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 57, 53, 53, 53, 53, 53, 53, 57, 57, 57, 57, 57, 57, 57, 57,
    57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 67, 67, 67, 67, 67, 67, 67, 67,
    67, 67, 64, 64, 64, 64, 64, 68, 68, 68, 68, 62, 62, 62, 62, 62, 60, 60, 60, 60,
    43, 43, 43, 43, 43, 43, 43, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 57, 57, 53, 53, 53, 53, 53, 53, 53, 57, 57, 57, 57, 69, 69, 57, 57,
    57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 67, 67, 67, 67, 67, 67, 67, 67,
    67, 67, 64, 64, 64, 64, 64, 68, 68, 68, 68, 68, 62, 62, 62, 62, 60, 60, 60, 60,
    43, 43, 43, 43, 43, 43, 43, 43, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 57, 57, 57, 53, 53, 53, 53, 53, 53, 53, 53, 53, 57, 69, 69, 69, 69, 69, 57,
    57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 67, 67, 67, 67, 67, 67, 67, 67,
    67, 67, 64, 64, 64, 64, 68, 68, 68, 68, 68, 68, 68, 62, 62, 62, 60, 60, 60, 60,
    43, 43, 43, 43, 43, 43, 43, 43, 43, 43, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 57,
    57, 57, 57, 53, 53, 53, 53, 53, 53, 53, 53, 53, 57, 57, 69, 69, 69, 69, 69, 57,
    57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 67, 67, 67, 67, 67, 67, 67, 67, 67, 67,
    67, 67, 64, 64, 64, 68, 68, 68, 68, 68, 68, 68, 68, 68, 60, 60, 60, 60, 60, 60,
    43, 43, 43, 43, 43, 43, 43, 43, 43, 43, 43, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 57, 57,
    57, 57, 57, 53, 53, 53, 53, 53, 53, 53, 53, 53, 57, 57, 69, 69, 69, 69, 69, 57,
    57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 67, 67, 67, 67, 67, 67, 67, 67, 67,
    67, 67, 64, 64, 64, 68, 68, 68, 68, 68, 68, 68, 68, 68, 60, 60, 60, 60, 60, 60,
    70, 70, 43, 43, 43, 43, 43, 53, 43, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 57, 57,
    57, 57, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 57, 57, 69, 69, 69, 69, 57, 57,
    57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 67, 67, 67, 67, 67, 67, 67, 67,
    71, 71, 64, 64, 64, 68, 68, 68, 68, 68, 68, 68, 68, 68, 60, 60, 60, 60, 60, 60,
    70, 70, 43, 43, 43, 43, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 72, 72, 72, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 57, 57,
    57, 57, 53, 53, 53, 53, 53, 53, 53, 53, 53, 57, 57, 57, 69, 69, 69, 57, 57, 57,
    57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 67, 67, 67, 67, 67, 67, 67, 67,
    71, 71, 71, 64, 64, 68, 68, 68, 68, 68, 68, 68, 68, 68, 68, 60, 60, 60, 60, 60,
    53, 53, 53, 43, 43, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 72, 72, 72, 72, 72, 72, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 57, 57,
    57, 57, 53, 53, 53, 53, 53, 53, 53, 53, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57,
    57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 67, 67, 67, 67, 67, 67, 67, 67,
    71, 71, 71, 64, 64, 68, 68, 68, 68, 68, 68, 68, 68, 68, 68, 60, 60, 60, 60, 60,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    72, 72, 72, 72, 72, 72, 72, 72, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 57,
    57, 57, 53, 53, 53, 53, 53, 53, 53, 53, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57,
    57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 67, 67, 67, 67, 67, 67, 71, 71,
    71, 71, 71, 64, 64, 68, 68, 68, 68, 68, 68, 68, 68, 68, 73, 60, 60, 60, 60, 60,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    72, 72, 72, 72, 72, 72, 72, 72, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 57,
    57, 57, 53, 53, 53, 53, 53, 53, 53, 53, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57,
    57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 67, 67, 67, 67, 67, 71, 71, 71,
    71, 71, 71, 71, 64, 68, 68, 68, 68, 68, 68, 68, 68, 60, 60, 60, 60, 60, 60, 60,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    72, 72, 72, 72, 72, 72, 72, 72, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    57, 57, 57, 53, 53, 53, 53, 53, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57,
    57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 74, 67, 67, 67, 67, 71, 71, 71,
    71, 71, 71, 71, 71, 68, 68, 68, 68, 68, 68, 68, 68, 68, 68, 60, 60, 60, 60, 60,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    75, 72, 72, 72, 72, 72, 72, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57,
    57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 74, 74, 74, 74, 71, 71, 71, 71, 71,
    71, 71, 71, 71, 71, 68, 68, 68, 68, 68, 68, 68, 71, 68, 68, 60, 60, 60, 60, 60,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 72, 72, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57,
    57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 74, 74, 74, 74, 74, 74, 71, 71, 71,
    71, 71, 71, 71, 71, 71, 68, 68, 68, 68, 68, 68, 71, 71, 71, 60, 60, 60, 60, 60,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 76, 76, 76, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57,
    57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 74, 74, 74, 74, 74, 74, 74, 71, 71, 71,
    71, 71, 71, 71, 71, 71, 71, 71, 71, 68, 71, 71, 71, 71, 71, 60, 60, 60, 60, 60,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 53, 53, 53,
    53, 53, 53, 57, 57, 57, 57, 57, 77, 78, 78, 78, 79, 57, 57, 57, 57, 57, 57, 57,
    57, 57, 57, 57, 57, 57, 57, 57, 57, 74, 74, 74, 74, 74, 74, 74, 74, 74, 71, 71,
    71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 60, 60, 60, 60, 60,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 80, 80,
    53, 53, 53, 53, 53, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 53, 53,
    53, 53, 53, 53, 81, 81, 81, 81, 77, 77, 78, 79, 79, 79, 79, 57, 57, 57, 57, 57,
    57, 57, 57, 57, 57, 82, 57, 57, 74, 74, 74, 74, 74, 74, 74, 74, 74, 71, 71, 71,
    71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 60, 60, 60, 60,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 53, 53,
    53, 53, 53, 53, 81, 81, 81, 81, 77, 77, 79, 79, 79, 79, 79, 79, 57, 57, 57, 57,
    57, 57, 57, 57, 57, 82, 82, 83, 74, 74, 74, 74, 74, 74, 74, 74, 74, 71, 71, 71,
    71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 60, 60, 60,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 84, 53, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 53, 53,
    81, 81, 81, 81, 81, 81, 81, 81, 79, 79, 79, 79, 79, 79, 79, 79, 79, 57, 85, 85,
    85, 85, 57, 57, 57, 82, 82, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 71, 71, 71,
    71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 60, 60, 60,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 84, 84, 84, 84, 84, 84, 84, 76, 53, 53, 76, 76, 76, 76, 86, 86, 86, 86, 81,
    81, 81, 81, 81, 81, 81, 81, 81, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 85, 85,
    85, 85, 85, 57, 57, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 71, 71, 71,
    71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 60, 60, 60,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 84, 84, 84, 84, 84, 84, 84, 53, 53, 53, 53, 53, 86, 86, 86, 86, 86, 81,
    81, 81, 81, 81, 81, 81, 81, 81, 87, 79, 79, 79, 79, 79, 79, 88, 88, 88, 89, 85,
    85, 85, 85, 85, 85, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 71, 71,
    71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 60, 60, 60,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 84, 84, 84, 84, 84, 53, 53, 53, 53, 53, 53, 53, 86, 86, 86, 81, 81,
    81, 81, 81, 81, 81, 81, 81, 81, 81, 81, 79, 79, 79, 88, 88, 88, 88, 88, 89, 89,
    89, 85, 85, 85, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 71, 71,
    71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 60, 60, 60,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 84, 84, 84, 84, 53, 53, 53, 53, 53, 53, 53, 53, 53, 86, 81, 81,
    81, 81, 81, 81, 81, 81, 81, 81, 81, 81, 88, 79, 88, 88, 88, 88, 88, 88, 89, 89,
    89, 89, 85, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 71, 71,
    71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 60, 60, 60,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 81, 81,
    81, 81, 81, 81, 81, 81, 81, 81, 81, 81, 88, 88, 88, 88, 88, 88, 88, 88, 89, 89,
    89, 89, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 71,
    71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 60, 60,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 81, 81,
    81, 81, 81, 81, 81, 81, 81, 81, 81, 88, 88, 88, 88, 88, 88, 88, 88, 88, 89, 89,
    89, 89, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83,
    71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 60, 60,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 90, 53, 53, 53, 53, 53, 53, 53, 81, 81,
    81, 81, 81, 81, 81, 81, 81, 81, 81, 88, 88, 88, 88, 88, 88, 88, 88, 88, 89, 89,
    89, 89, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83,
    71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 60, 60,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 90, 90, 53, 53, 53, 81, 81, 81, 81, 81, 81,
    81, 81, 81, 81, 81, 81, 81, 81, 88, 88, 88, 88, 88, 88, 88, 88, 88, 88, 91, 91,
    89, 89, 89, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83,
    71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 60, 60,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 90, 53, 53, 81, 81, 81, 81, 81, 81, 81,
    81, 81, 81, 81, 81, 81, 81, 81, 88, 88, 88, 88, 88, 88, 88, 88, 88, 91, 91, 91,
    89, 89, 89, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 92,
    71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 60, 60,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 81, 81, 81, 81, 81, 81, 81, 81,
    81, 93, 81, 81, 81, 81, 81, 94, 94, 94, 88, 88, 88, 88, 88, 88, 91, 91, 91, 91,
    95, 95, 95, 95, 95, 95, 95, 95, 95, 83, 83, 83, 83, 83, 83, 83, 83, 83, 71, 71,
    71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 60, 60,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 81, 81, 81, 81, 81, 81, 81, 81,
    93, 93, 81, 81, 81, 81, 81, 94, 94, 94, 94, 94, 94, 94, 94, 94, 94, 94, 95, 95,
    95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 96, 96, 96, 96, 96, 96, 71,
    71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 97, 97,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
    53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 81, 81, 81, 81, 81, 81, 81, 81,
    93, 93, 81, 81, 81, 81, 94, 94, 94, 94, 94, 94, 94, 94, 94, 94, 94, 94, 95, 95,
    95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 96, 96, 96, 96, 96, 96, 96, 96,
    96, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 97, 97
};

static float eccTrafo_ref[10000] = {
    10.071067f, 9.071068f, 8.071068f, 7.071068f, 6.656854f, 6.242640f, 5.828427f, 5.414214f, 5.000000f, 5.414214f, 5.828427f, 6.242640f, 6.656854f, 7.071068f, 8.071068f, 9.071068f, 10.071067f, 11.071067f, 12.071067f, 13.071067f,
    26.213198f, 25.798985f, 25.384771f, 24.970558f, 24.556345f, 24.142132f, 23.727919f, 23.313705f, 22.899492f, 22.485279f, 22.071066f, 21.656853f, 21.242640f, 20.828426f, 20.414213f, 20.000000f, 20.414213f, 20.828426f, 21.242640f, 21.656853f,
    22.071066f, 22.485279f, 22.899492f, 23.313705f, 23.727919f, 25.313705f, 24.899492f, 24.485279f, 24.071066f, 23.656853f, 23.242640f, 22.828426f, 22.414213f, 22.000000f, 22.414213f, 22.828426f, 23.242640f, 23.656853f, 24.071066f, 24.485279f,
    24.899492f, 25.313705f, 5.828427f, 4.828427f, 0.000000f, 2.828427f, 2.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 1.414214f, 1.000000f, 5.242640f, 4.242640f, 3.828427f, 3.414214f, 3.000000f,
    3.414214f, 3.828427f, 4.242640f, 13.727921f, 13.313707f, 12.899493f, 12.485280f, 12.071067f, 11.656854f, 11.242640f, 10.828426f, 10.414213f, 10.000000f, 10.414213f, 10.828426f, 11.242640f, 11.656854f, 12.071067f, 12.485280f, 12.899493f,
    9.656854f, 8.656854f, 7.656854f, 6.656854f, 5.656854f, 5.242640f, 4.828427f, 4.414214f, 4.000000f, 4.414214f, 4.828427f, 5.242640f, 5.656854f, 6.656854f, 7.656854f, 8.656854f, 9.656854f, 10.656854f, 11.656854f, 12.656854f,
    25.213200f, 24.798985f, 24.384771f, 23.970558f, 23.556345f, 23.142132f, 22.727919f, 22.313705f, 21.899492f, 21.485279f, 21.071066f, 20.656853f, 20.242640f, 19.828426f, 19.414213f, 19.000000f, 19.414213f, 19.828426f, 20.242640f, 20.656853f,
    21.071066f, 21.485279f, 21.899492f, 22.313705f, 24.727919f, 24.313705f, 23.899492f, 23.485279f, 23.071066f, 22.656853f, 22.242640f, 21.828426f, 21.414213f, 21.000000f, 21.414213f, 21.828426f, 22.242640f, 22.656853f, 23.071066f, 23.485279f,
    23.899492f, 6.414214f, 5.414214f, 4.414214f, 3.414214f, 2.414214f, 1.414214f, 3.000000f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 1.000000f, 0.000000f, 4.828427f, 3.828427f, 2.828427f, 2.414214f, 2.000000f,
    2.414214f, 2.828427f, 3.828427f, 4.828427f, 12.313707f, 11.899494f, 11.485280f, 11.071067f, 10.656854f, 10.242640f, 9.828426f, 9.414213f, 9.000000f, 9.414213f, 9.828426f, 10.242640f, 10.656854f, 11.071067f, 11.485280f, 11.899494f,
    9.242640f, 8.242640f, 7.242640f, 6.242640f, 5.242640f, 4.242640f, 3.828427f, 3.414214f, 3.000000f, 3.414214f, 3.828427f, 4.242640f, 5.242640f, 6.242640f, 7.242640f, 8.242640f, 9.242640f, 10.242640f, 26.798985f, 25.798985f,
    24.798985f, 23.798986f, 23.384771f, 22.970558f, 22.556345f, 22.142132f, 21.727919f, 21.313705f, 20.899492f, 20.485279f, 20.071066f, 19.656853f, 19.242640f, 18.828426f, 18.414213f, 18.000000f, 18.414213f, 18.828426f, 19.242640f, 19.656853f,
    20.071066f, 20.485279f, 20.899492f, 24.142132f, 23.727919f, 23.313705f, 22.899492f, 22.485279f, 22.071066f, 21.656853f, 21.242640f, 20.828426f, 20.414213f, 20.000000f, 20.414213f, 20.828426f, 21.242640f, 21.656853f, 22.071066f, 22.485279f,
    22.899492f, 23.313705f, 23.727919f, 4.000000f, 3.000000f, 2.000000f, 1.000000f, 0.000000f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 7.242641f, 7.656855f, 5.414214f, 4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f,
    1.414214f, 2.414214f, 3.414214f, 4.414214f, 5.414214f, 10.899494f, 10.485281f, 10.071067f, 9.656854f, 9.242640f, 8.828427f, 8.414213f, 8.000000f, 8.414213f, 8.828427f, 9.242640f, 9.656854f, 10.071067f, 10.485281f, 10.899494f,
    8.828427f, 7.828427f, 6.828427f, 5.828427f, 4.828427f, 3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 4.828427f, 5.828427f, 6.828427f, 7.828427f, 8.828427f, 9.828426f, 26.384771f, 25.384771f,
    24.384771f, 23.384771f, 22.384773f, 21.970558f, 21.556345f, 21.142132f, 20.727919f, 20.313705f, 19.899492f, 19.485279f, 19.071066f, 18.656853f, 18.242640f, 17.828426f, 17.414213f, 17.000000f, 17.414213f, 17.828426f, 18.242640f, 18.656853f,
    19.071066f, 19.485279f, 19.899492f, 23.142132f, 22.727919f, 22.313705f, 21.899492f, 21.485279f, 21.071066f, 20.656853f, 20.242640f, 19.828426f, 19.414213f, 19.000000f, 19.414213f, 19.828426f, 20.242640f, 20.656853f, 21.071066f, 21.485279f,
    21.899492f, 22.313705f, 22.727919f, 23.142132f, 23.556345f, 23.970558f, 24.384771f, 24.798985f, 1.414214f, 2.414214f, 2.000000f, 2.414214f, 6.242641f, 7.242641f, 5.000000f, 4.000000f, 3.000000f, 2.000000f, 1.000000f, 0.000000f,
    1.000000f, 2.000000f, 3.000000f, 4.000000f, 5.000000f, 9.899494f, 9.485281f, 9.071068f, 8.656854f, 8.242640f, 7.828427f, 7.414214f, 7.000000f, 7.414214f, 7.828427f, 8.242640f, 8.656854f, 9.071068f, 9.485281f, 9.899494f,
    8.414213f, 7.414214f, 6.414214f, 5.414214f, 4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 5.414214f, 6.414214f, 7.414214f, 8.414213f, 9.414213f, 25.970558f, 24.970558f,
    23.970558f, 22.970558f, 21.970558f, 20.970560f, 20.556345f, 20.142132f, 19.727919f, 19.313705f, 18.899492f, 18.485279f, 18.071066f, 17.656853f, 17.242640f, 16.828426f, 16.414213f, 16.000000f, 16.414213f, 16.828426f, 17.242640f, 17.656853f,
    18.071066f, 18.485279f, 22.556345f, 22.142132f, 21.727919f, 21.313705f, 20.899492f, 20.485279f, 20.071066f, 19.656853f, 19.242640f, 18.828426f, 18.414213f, 18.000000f, 18.414213f, 18.828426f, 19.242640f, 19.656853f, 20.071066f, 20.485279f,
    20.899492f, 21.313705f, 21.727919f, 22.142132f, 22.556345f, 22.970558f, 23.384771f, 23.798986f, 24.213200f, 2.828427f, 3.828427f, 4.828427f, 5.828427f, 6.828427f, 5.414214f, 4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f,
    1.414214f, 2.414214f, 3.414214f, 4.414214f, 10.485281f, 9.485281f, 8.485281f, 8.071068f, 7.656854f, 7.242640f, 6.828427f, 6.414214f, 6.000000f, 6.414214f, 6.828427f, 7.242640f, 7.656854f, 8.071068f, 8.485281f, 9.485281f,
    8.000000f, 7.000000f, 6.000000f, 5.000000f, 4.000000f, 3.000000f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 3.000000f, 4.000000f, 5.000000f, 6.000000f, 7.000000f, 8.000000f, 9.000000f, 25.556345f, 24.556345f,
    23.556345f, 22.556345f, 21.556345f, 20.556345f, 19.556347f, 19.142132f, 18.727919f, 18.313705f, 17.899492f, 17.485279f, 17.071066f, 16.656853f, 16.242640f, 15.828426f, 15.414213f, 15.000000f, 15.414213f, 15.828426f, 16.242640f, 16.656853f,
    17.071066f, 17.485279f, 21.556345f, 21.142132f, 20.727919f, 20.313705f, 19.899492f, 19.485279f, 19.071066f, 18.656853f, 18.242640f, 17.828426f, 17.414213f, 17.000000f, 17.414213f, 17.828426f, 18.242640f, 18.656853f, 19.071066f, 19.485279f,
    19.899492f, 20.313705f, 20.727919f, 21.142132f, 21.556345f, 21.970558f, 22.384773f, 22.798986f, 23.213200f, 23.627413f, 24.041626f, 25.041626f, 6.242641f, 7.242641f, 5.828427f, 4.828427f, 3.828427f, 2.828427f, 2.414214f, 2.000000f,
    2.414214f, 2.828427f, 3.828427f, 11.071067f, 10.071067f, 9.071068f, 8.071068f, 7.071068f, 6.656854f, 6.242640f, 5.828427f, 5.414214f, 5.000000f, 5.414214f, 5.828427f, 6.242640f, 6.656854f, 7.071068f, 8.071068f, 9.071068f,
    8.414213f, 7.414214f, 6.414214f, 5.414214f, 4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 5.414214f, 6.414214f, 5.414214f, 5.828427f, 6.242640f, 25.142132f, 24.142132f,
    23.142132f, 22.142132f, 21.142132f, 20.142132f, 19.142132f, 18.142134f, 17.727919f, 17.313705f, 16.899492f, 16.485279f, 16.071066f, 15.656853f, 15.242640f, 14.828426f, 14.414213f, 14.000000f, 14.414213f, 14.828426f, 15.242640f, 15.656853f,
    16.071066f, 16.485279f, 20.556345f, 20.142132f, 19.727919f, 19.313705f, 18.899492f, 18.485279f, 18.071066f, 17.656853f, 17.242640f, 16.828426f, 16.414213f, 16.000000f, 16.414213f, 16.828426f, 17.242640f, 17.656853f, 18.071066f, 18.485279f,
    18.899492f, 19.313705f, 19.727919f, 20.142132f, 20.556345f, 20.970560f, 21.384773f, 21.798986f, 22.213200f, 22.627413f, 23.627413f, 24.627413f, 25.627413f, 26.627413f, 6.242640f, 5.242640f, 4.242640f, 3.828427f, 3.414214f, 3.000000f,
    3.414214f, 3.828427f, 4.242640f, 10.656854f, 9.656854f, 8.656854f, 7.656854f, 6.656854f, 5.656854f, 5.242640f, 4.828427f, 4.414214f, 4.000000f, 4.414214f, 4.828427f, 5.242640f, 5.656854f, 6.656854f, 7.656854f, 8.656854f,
    8.828427f, 7.828427f, 6.828427f, 5.828427f, 4.828427f, 3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 4.828427f, 5.828427f, 4.000000f, 4.414214f, 4.828427f, 5.242640f, 24.727919f, 23.727919f,
    22.727919f, 21.727919f, 20.727919f, 19.727919f, 18.727919f, 17.727919f, 16.727921f, 16.313705f, 15.899493f, 15.485279f, 15.071066f, 14.656853f, 14.242640f, 13.828426f, 13.414213f, 13.000000f, 13.414213f, 13.828426f, 14.242640f, 14.656853f,
    15.071066f, 15.485279f, 19.556347f, 19.142132f, 18.727919f, 18.313705f, 17.899492f, 17.485279f, 17.071066f, 16.656853f, 16.242640f, 15.828426f, 15.414213f, 15.000000f, 15.414213f, 15.828426f, 16.242640f, 16.656853f, 17.071066f, 17.485279f,
    17.899492f, 18.313705f, 18.727919f, 19.142132f, 19.556347f, 19.970560f, 20.384773f, 20.798986f, 21.213200f, 22.213200f, 23.213200f, 24.213200f, 25.213200f, 26.213198f, 27.213198f, 5.656854f, 5.242640f, 4.828427f, 4.414214f, 4.000000f,
    4.414214f, 4.828427f, 11.242640f, 10.242640f, 9.242640f, 8.242640f, 7.242640f, 6.242640f, 5.242640f, 4.242640f, 3.828427f, 3.414214f, 3.000000f, 3.414214f, 3.828427f, 4.242640f, 5.242640f, 6.242640f, 7.242640f, 8.242640f,
    9.242640f, 8.242640f, 7.242640f, 6.242640f, 5.242640f, 4.242640f, 3.828427f, 3.414214f, 3.000000f, 3.414214f, 3.828427f, 4.242640f, 5.242640f, 6.242640f, 3.000000f, 3.414214f, 3.828427f, 4.242640f, 10.071068f, 9.656855f,
    10.071068f, 21.313705f, 20.313705f, 19.313705f, 18.313705f, 17.313705f, 16.313705f, 15.313706f, 14.899493f, 14.485280f, 14.071066f, 13.656853f, 13.242640f, 12.828426f, 12.414213f, 12.000000f, 12.414213f, 12.828426f, 13.242640f, 13.656853f,
    14.071066f, 18.970560f, 18.556347f, 18.142134f, 17.727919f, 17.313705f, 16.899492f, 16.485279f, 16.071066f, 15.656853f, 15.242640f, 14.828426f, 14.414213f, 14.000000f, 14.414213f, 14.828426f, 15.242640f, 15.656853f, 16.071066f, 16.485279f,
    16.899492f, 17.313705f, 17.727919f, 18.142134f, 18.556347f, 18.970560f, 19.384773f, 19.798986f, 20.798986f, 21.798986f, 22.798986f, 23.798986f, 24.798985f, 25.798985f, 26.798985f, 27.798985f, 2.414214f, 3.828427f, 2.828427f, 2.414214f,
    12.828426f, 11.828426f, 10.828426f, 9.828426f, 8.828427f, 7.828427f, 6.828427f, 5.828427f, 4.828427f, 3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 4.828427f, 5.828427f, 6.828427f, 7.828427f,
    9.656854f, 8.656854f, 7.656854f, 6.656854f, 5.656854f, 5.242640f, 4.828427f, 4.414214f, 4.000000f, 4.414214f, 4.828427f, 5.242640f, 5.656854f, 6.656854f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 9.071068f, 8.656855f,
    21.899492f, 20.899492f, 19.899492f, 18.899492f, 17.899492f, 16.899494f, 15.899493f, 14.899493f, 13.899493f, 13.485280f, 13.071067f, 12.656853f, 12.242640f, 11.828426f, 11.414213f, 11.000000f, 11.414213f, 11.828426f, 12.242640f, 12.656853f,
    18.384773f, 17.970560f, 17.556347f, 17.142134f, 16.727921f, 16.313705f, 15.899493f, 15.485279f, 15.071066f, 14.656853f, 14.242640f, 13.828426f, 13.414213f, 13.000000f, 13.414213f, 13.828426f, 14.242640f, 14.656853f, 15.071066f, 15.485279f,
    15.899493f, 16.313705f, 16.727921f, 17.142134f, 17.556347f, 17.970560f, 18.384773f, 19.384773f, 20.384773f, 21.384773f, 22.384773f, 23.384771f, 24.384771f, 25.384771f, 26.384771f, 27.384771f, 1.414214f, 3.414214f, 2.414214f, 1.414214f,
    12.414213f, 11.414213f, 10.414213f, 9.414213f, 8.414213f, 7.414214f, 6.414214f, 5.414214f, 4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 5.414214f, 6.414214f, 7.414214f,
    10.071067f, 9.071068f, 8.071068f, 7.071068f, 6.656854f, 6.242640f, 5.828427f, 5.414214f, 1.414214f, 5.414214f, 5.828427f, 6.242640f, 6.656854f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 8.071068f, 7.656854f,
    21.485279f, 20.485279f, 19.485279f, 18.485279f, 17.485279f, 16.485279f, 15.485280f, 14.485280f, 13.485280f, 12.485280f, 12.071067f, 11.656854f, 11.242640f, 10.828426f, 10.414213f, 10.000000f, 10.414213f, 10.828426f, 11.242640f, 11.656854f,
    17.970560f, 16.970560f, 16.556347f, 16.142134f, 15.727920f, 15.313706f, 14.899493f, 14.485280f, 14.071066f, 13.656853f, 13.242640f, 12.828426f, 12.414213f, 12.000000f, 12.414213f, 12.828426f, 13.242640f, 13.656853f, 14.071066f, 14.485280f,
    14.899493f, 15.313706f, 15.727920f, 16.142134f, 16.556347f, 16.970560f, 17.970560f, 18.970560f, 19.970560f, 20.970560f, 21.970558f, 22.970558f, 23.970558f, 24.970558f, 25.970558f, 26.970558f, 1.000000f, 0.000000f, 1.000000f, 1.000000f,
    0.000000f, 11.000000f, 10.000000f, 9.000000f, 8.000000f, 7.000000f, 6.000000f, 5.000000f, 4.000000f, 3.000000f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 3.000000f, 4.000000f, 5.000000f, 6.000000f, 7.000000f,
    10.485281f, 9.485281f, 8.485281f, 8.071068f, 7.656854f, 7.242640f, 6.828427f, 0.000000f, 1.000000f, 6.414214f, 6.828427f, 7.242640f, 7.656854f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 3.000000f, 7.071068f, 6.656854f,
    6.242640f, 20.071066f, 19.071066f, 18.071066f, 17.071068f, 16.071068f, 15.071067f, 14.071067f, 13.071067f, 12.071067f, 11.071067f, 10.656854f, 10.242640f, 9.828426f, 9.414213f, 9.000000f, 9.414213f, 9.828426f, 10.242640f, 10.656854f,
    17.556347f, 16.556347f, 15.556347f, 15.142134f, 14.727921f, 14.313706f, 13.899493f, 13.485280f, 13.071067f, 12.656853f, 12.242640f, 11.828426f, 11.414213f, 11.000000f, 11.414213f, 11.828426f, 12.242640f, 12.656853f, 13.071067f, 13.485280f,
    13.899493f, 14.313706f, 14.727921f, 15.142134f, 15.556347f, 16.556347f, 17.556347f, 18.556347f, 19.556347f, 20.556345f, 21.556345f, 22.556345f, 23.556345f, 24.556345f, 25.556345f, 26.556345f, 1.414214f, 1.000000f, 1.414214f, 2.414214f,
    1.000000f, 1.414214f, 10.414213f, 9.414213f, 8.414213f, 7.414214f, 6.414214f, 5.414214f, 4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 5.414214f, 6.414214f, 7.414214f,
    10.899494f, 9.899494f, 9.485281f, 9.071068f, 4.242640f, 3.828427f, 3.414214f, 1.000000f, 7.828427f, 7.414214f, 7.828427f, 8.242640f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 7.656854f, 6.656854f, 5.656854f,
    5.242640f, 4.828427f, 18.656853f, 17.656853f, 16.656853f, 15.656854f, 14.656854f, 13.656854f, 12.656854f, 11.656854f, 10.656854f, 9.656854f, 9.242640f, 8.828427f, 8.414213f, 8.000000f, 8.414213f, 8.828427f, 9.242640f, 18.142134f,
    17.142134f, 16.142134f, 15.142134f, 14.142134f, 13.727921f, 13.313707f, 12.899493f, 12.485280f, 12.071067f, 11.656854f, 11.242640f, 10.828426f, 10.414213f, 10.000000f, 10.414213f, 10.828426f, 11.242640f, 11.656854f, 12.071067f, 12.485280f,
    12.899493f, 13.313707f, 13.727921f, 14.142134f, 15.142134f, 16.142134f, 17.142134f, 18.142134f, 19.142132f, 20.142132f, 21.142132f, 22.142132f, 23.142132f, 24.142132f, 25.142132f, 26.142132f, 27.142132f, 2.000000f, 2.414214f, 2.828427f,
    14.485280f, 14.071066f, 2.828427f, 13.242640f, 8.828427f, 7.828427f, 6.828427f, 5.828427f, 4.828427f, 3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 4.828427f, 5.828427f, 6.828427f, 7.828427f,
    11.313707f, 10.899494f, 10.485281f, 4.828427f, 3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 4.828427f, 3.828427f, 2.828427f, 2.414214f, 2.000000f, 9.242640f, 8.242640f, 7.242640f, 6.242640f, 5.242640f,
    4.242640f, 3.828427f, 3.414214f, 3.000000f, 3.414214f, 3.828427f, 4.242640f, 5.242640f, 6.242640f, 7.242640f, 8.242640f, 9.242640f, 8.242640f, 7.828427f, 7.414214f, 7.000000f, 7.414214f, 7.828427f, 8.242640f, 17.727919f,
    16.727921f, 15.727920f, 14.727921f, 13.727921f, 12.727921f, 12.313707f, 11.899494f, 11.485280f, 11.071067f, 10.656854f, 10.242640f, 9.828426f, 9.414213f, 9.000000f, 9.414213f, 9.828426f, 10.242640f, 10.656854f, 11.071067f, 11.485280f,
    11.899494f, 12.313707f, 12.727921f, 13.727921f, 14.727921f, 15.727920f, 16.727921f, 17.727919f, 18.727919f, 19.727919f, 20.727919f, 21.727919f, 22.727919f, 23.727919f, 24.727919f, 25.727919f, 26.727919f, 14.727921f, 14.313706f, 13.899493f,
    13.485280f, 13.071067f, 12.656853f, 12.242640f, 9.242640f, 8.242640f, 7.242640f, 6.242640f, 5.242640f, 4.242640f, 3.828427f, 3.414214f, 3.000000f, 3.414214f, 3.828427f, 4.242640f, 5.242640f, 6.242640f, 7.242640f, 8.242640f,
    1.000000f, 0.000000f, 11.485281f, 4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 5.242640f, 4.242640f, 3.828427f, 3.414214f, 9.828426f, 8.828427f, 7.828427f, 6.828427f, 5.828427f, 4.828427f,
    3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 4.828427f, 5.828427f, 6.828427f, 7.828427f, 8.828427f, 7.242640f, 6.828427f, 6.414214f, 6.000000f, 6.414214f, 6.828427f, 7.242641f, 17.313705f,
    16.313705f, 15.313706f, 14.313706f, 13.313707f, 12.313707f, 11.313707f, 10.899494f, 10.485281f, 10.071067f, 9.656854f, 9.242640f, 8.828427f, 8.414213f, 8.000000f, 8.414213f, 8.828427f, 9.242640f, 9.656854f, 10.071067f, 10.485281f,
    10.899494f, 11.313707f, 12.313707f, 13.313707f, 14.313706f, 15.313706f, 16.313705f, 17.313705f, 18.313705f, 19.313705f, 20.313705f, 21.313705f, 22.313705f, 23.313705f, 24.313705f, 25.313705f, 14.142134f, 13.727921f, 13.313707f, 12.899493f,
    12.485280f, 12.071067f, 11.656854f, 11.242640f, 10.828426f, 8.656854f, 7.656854f, 6.656854f, 5.656854f, 5.242640f, 4.828427f, 4.414214f, 4.000000f, 4.414214f, 4.828427f, 5.242640f, 5.656854f, 6.656854f, 7.656854f, 8.656854f,
    4.414214f, 4.000000f, 4.414214f, 4.000000f, 3.000000f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 5.656854f, 5.242640f, 11.414213f, 10.414213f, 9.414213f, 8.414213f, 7.414214f, 6.414214f, 5.414214f, 4.414214f,
    3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 5.414214f, 6.414214f, 7.414214f, 8.414213f, 6.242640f, 5.828427f, 5.414214f, 5.000000f, 5.414214f, 5.828427f, 6.242641f, 16.899492f,
    15.899493f, 14.899493f, 13.899493f, 12.899493f, 11.899494f, 10.899494f, 9.899494f, 9.485281f, 9.071068f, 8.656854f, 8.242640f, 7.828427f, 7.414214f, 7.000000f, 7.414214f, 7.828427f, 8.242640f, 8.656854f, 9.071068f, 9.485281f,
    9.899494f, 10.899494f, 11.899494f, 12.899493f, 13.899493f, 14.899493f, 15.899493f, 16.899492f, 17.899492f, 18.899492f, 19.899492f, 20.899492f, 21.899492f, 22.899492f, 23.899492f, 24.899492f, 13.727921f, 12.727921f, 12.313707f, 11.899494f,
    11.485280f, 11.071067f, 10.656854f, 10.242640f, 9.828426f, 9.414213f, 8.071068f, 7.071068f, 6.656854f, 6.242640f, 5.828427f, 5.414214f, 5.000000f, 5.414214f, 5.828427f, 6.242640f, 6.656854f, 7.071068f, 8.071068f, 9.071068f,
    3.414214f, 3.000000f, 3.414214f, 3.828427f, 4.242640f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 6.656854f, 6.242640f, 6.656854f, 10.000000f, 9.000000f, 8.000000f, 7.000000f, 6.000000f, 5.000000f, 4.000000f,
    3.000000f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 3.000000f, 4.000000f, 5.000000f, 6.000000f, 7.000000f, 8.000000f, 5.242640f, 4.828427f, 4.414214f, 4.000000f, 4.414214f, 4.828427f, 17.485279f, 16.485279f,
    15.485279f, 14.485280f, 13.485280f, 12.485280f, 11.485280f, 10.485281f, 9.485281f, 8.485281f, 8.071068f, 7.656854f, 7.242640f, 6.828427f, 6.414214f, 6.000000f, 6.414214f, 6.828427f, 7.242640f, 7.656854f, 8.071068f, 8.485281f,
    9.485281f, 10.485281f, 11.485280f, 12.485280f, 13.485280f, 14.485280f, 15.485279f, 16.485279f, 17.485279f, 18.485279f, 19.485279f, 20.485279f, 21.485279f, 22.485279f, 23.485279f, 24.485279f, 25.485279f, 12.313707f, 11.313707f, 10.899494f,
    10.485281f, 10.071067f, 9.656854f, 9.242640f, 8.828427f, 8.414213f, 8.000000f, 8.071068f, 7.656854f, 7.242640f, 6.828427f, 6.414214f, 6.000000f, 6.414214f, 6.828427f, 7.242640f, 7.656854f, 8.071068f, 8.485281f, 9.485281f,
    2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 4.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 7.242640f, 11.414213f, 10.414213f, 9.414213f, 8.414213f, 7.414214f, 6.414214f, 5.414214f, 4.414214f,
    3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 5.414214f, 6.414214f, 7.414214f, 8.414213f, 4.242640f, 3.828427f, 3.414214f, 3.000000f, 3.414214f, 3.828427f, 17.071066f, 16.071066f,
    15.071066f, 14.071066f, 13.071067f, 12.071067f, 11.071067f, 10.071067f, 9.071068f, 8.071068f, 7.071068f, 6.656854f, 6.242640f, 5.828427f, 5.414214f, 5.000000f, 5.414214f, 5.828427f, 6.242640f, 6.656854f, 7.071068f, 8.071068f,
    9.071068f, 10.071067f, 11.071067f, 12.071067f, 13.071067f, 14.071066f, 15.071066f, 16.071066f, 17.071066f, 18.071066f, 19.071066f, 20.071066f, 21.071066f, 22.071066f, 23.071066f, 24.071066f, 25.071066f, 11.899494f, 10.899494f, 9.899494f,
    9.485281f, 9.071068f, 8.656854f, 8.242640f, 7.828427f, 7.414214f, 7.000000f, 7.414214f, 7.828427f, 8.242640f, 7.828427f, 7.414214f, 7.000000f, 7.414214f, 7.828427f, 8.242640f, 8.656854f, 9.071068f, 9.485281f, 9.899494f,
    1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 11.485281f, 3.000000f, 3.414214f, 3.828427f, 4.242640f, 8.242640f, 11.828426f, 10.828426f, 9.828426f, 8.828427f, 7.828427f, 6.828427f, 5.828427f, 4.828427f,
    3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 4.828427f, 5.828427f, 6.828427f, 7.828427f, 8.828427f, 3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 16.656853f, 15.656853f,
    14.656853f, 13.656853f, 12.656853f, 11.656854f, 10.656854f, 9.656854f, 8.656854f, 7.656854f, 6.656854f, 5.656854f, 5.242640f, 4.828427f, 4.414214f, 4.000000f, 4.414214f, 4.828427f, 5.242640f, 5.656854f, 6.656854f, 7.656854f,
    8.656854f, 9.656854f, 10.656854f, 11.656854f, 12.656853f, 13.656853f, 14.656853f, 15.656853f, 16.656853f, 17.656853f, 18.656853f, 19.656853f, 20.656853f, 21.656853f, 22.656853f, 23.656853f, 24.656853f, 11.485280f, 10.485281f, 9.485281f,
    8.485281f, 8.071068f, 7.656854f, 7.242640f, 6.828427f, 6.414214f, 6.000000f, 6.414214f, 6.828427f, 7.242640f, 7.656854f, 8.071068f, 8.000000f, 8.414213f, 8.828427f, 9.242640f, 9.656854f, 10.071067f, 10.485281f, 10.899494f,
    1.000000f, 0.000000f, 1.000000f, 2.000000f, 3.000000f, 11.485281f, 10.485281f, 4.000000f, 4.414214f, 4.828427f, 7.656854f, 7.242640f, 12.242640f, 11.242640f, 10.242640f, 9.242640f, 8.242640f, 7.242640f, 6.242640f, 5.242640f,
    4.242640f, 3.828427f, 3.414214f, 3.000000f, 3.414214f, 3.828427f, 4.242640f, 5.242640f, 6.242640f, 7.242640f, 8.242640f, 9.242640f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 16.242640f, 15.242640f,
    14.242640f, 13.242640f, 12.242640f, 11.242640f, 10.242640f, 9.242640f, 8.242640f, 7.242640f, 6.242640f, 5.242640f, 4.242640f, 3.828427f, 3.414214f, 3.000000f, 3.414214f, 3.828427f, 4.242640f, 5.242640f, 6.242640f, 7.242640f,
    8.242640f, 9.242640f, 10.242640f, 11.242640f, 12.242640f, 13.242640f, 14.242640f, 15.242640f, 16.242640f, 17.242640f, 18.242640f, 19.242640f, 20.242640f, 21.242640f, 22.242640f, 23.242640f, 24.242640f, 25.242640f, 10.071067f, 9.071068f,
    8.071068f, 7.071068f, 6.656854f, 6.242640f, 5.828427f, 5.414214f, 5.000000f, 5.414214f, 5.828427f, 6.242640f, 6.656854f, 7.071068f, 8.071068f, 9.414213f, 9.828426f, 10.242640f, 2.828427f, 11.071067f, 11.485280f, 11.899494f,
    1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 11.071067f, 3.828427f, 9.071068f, 8.071068f, 7.071068f, 6.656854f, 6.242640f, 5.828427f, 5.414214f, 10.656854f, 9.656854f, 8.656854f, 7.656854f, 6.656854f, 5.656854f,
    18.313707f, 17.899492f, 17.485279f, 4.000000f, 4.414214f, 4.828427f, 5.242640f, 5.656854f, 6.656854f, 7.656854f, 8.656854f, 9.656854f, 3.000000f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 15.828426f, 14.828426f,
    13.828426f, 12.828426f, 11.828426f, 10.828426f, 9.828426f, 8.828427f, 7.828427f, 6.828427f, 5.828427f, 4.828427f, 3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 4.828427f, 5.828427f, 6.828427f,
    7.828427f, 8.828427f, 9.828426f, 10.828426f, 11.828426f, 12.828426f, 13.828426f, 14.828426f, 15.828426f, 16.828426f, 17.828426f, 18.828426f, 19.828426f, 20.828426f, 21.828426f, 22.828426f, 23.828426f, 24.828426f, 9.656854f, 8.656854f,
    7.656854f, 6.656854f, 5.656854f, 5.242640f, 4.828427f, 4.414214f, 4.000000f, 4.414214f, 4.828427f, 5.242640f, 5.656854f, 6.656854f, 7.656854f, 8.656854f, 9.656854f, 10.656854f, 2.414214f, 1.414214f, 1.000000f, 12.899493f,
    2.414214f, 2.000000f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 9.656854f, 8.656854f, 7.656854f, 6.656854f, 5.656854f, 5.242640f, 4.828427f, 4.414214f, 4.000000f, 4.414214f, 4.828427f, 8.071068f, 19.899492f, 18.899492f,
    17.899492f, 16.899494f, 16.485279f, 5.000000f, 5.414214f, 5.828427f, 6.242640f, 6.656854f, 7.071068f, 8.071068f, 9.071068f, 10.071067f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 14.414213f,
    13.414213f, 12.414213f, 11.414213f, 10.414213f, 9.414213f, 8.414213f, 7.414214f, 6.414214f, 5.414214f, 4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 5.414214f, 6.414214f,
    7.414214f, 8.414213f, 9.414213f, 10.414213f, 11.414213f, 12.414213f, 13.414213f, 14.414213f, 15.414213f, 16.414213f, 17.414213f, 18.414213f, 19.414213f, 20.414213f, 21.414213f, 22.414213f, 23.414213f, 24.414213f, 9.242640f, 8.242640f,
    7.242640f, 6.242640f, 5.242640f, 4.242640f, 3.828427f, 3.414214f, 3.000000f, 3.414214f, 3.828427f, 4.242640f, 5.242640f, 6.242640f, 7.242640f, 8.242640f, 9.242640f, 10.242640f, 11.242640f, 12.242640f, 0.000000f, 1.000000f,
    3.414214f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 10.242640f, 9.242640f, 8.242640f, 7.242640f, 6.242640f, 5.242640f, 4.242640f, 3.828427f, 3.414214f, 3.000000f, 3.414214f, 3.828427f, 20.485279f, 19.485279f, 18.485279f,
    17.485279f, 16.485279f, 15.485280f, 6.000000f, 6.414214f, 6.828427f, 7.242640f, 7.656854f, 8.071068f, 8.485281f, 9.485281f, 4.828427f, 3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 4.828427f,
    13.000000f, 12.000000f, 11.000000f, 10.000000f, 9.000000f, 8.000000f, 7.000000f, 6.000000f, 5.000000f, 4.000000f, 3.000000f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 3.000000f, 4.000000f, 5.000000f, 6.000000f,
    7.000000f, 8.000000f, 9.000000f, 10.000000f, 11.000000f, 12.000000f, 13.000000f, 14.000000f, 15.000000f, 16.000000f, 17.000000f, 18.000000f, 19.000000f, 20.000000f, 21.000000f, 22.000000f, 23.000000f, 24.000000f, 8.828427f, 7.828427f,
    6.828427f, 5.828427f, 4.828427f, 3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 4.828427f, 5.828427f, 6.828427f, 7.828427f, 8.828427f, 9.828426f, 10.828426f, 11.828426f, 12.828426f, 1.414214f,
    3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 9.828426f, 8.828427f, 7.828427f, 6.828427f, 5.828427f, 4.828427f, 3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 21.071066f, 20.071066f, 19.071066f, 18.071066f,
    17.071068f, 16.071068f, 15.071067f, 14.071067f, 13.071067f, 7.828427f, 11.071067f, 10.071067f, 9.071068f, 7.242640f, 6.242640f, 5.242640f, 4.242640f, 3.828427f, 3.414214f, 3.000000f, 3.414214f, 3.828427f, 4.242640f, 5.242640f,
    6.242640f, 12.414213f, 11.414213f, 10.414213f, 9.414213f, 8.414213f, 7.414214f, 6.414214f, 5.414214f, 4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 5.414214f, 6.414214f,
    7.414214f, 8.414213f, 9.414213f, 10.414213f, 11.414213f, 12.414213f, 13.414213f, 14.414213f, 15.414213f, 16.414213f, 17.414213f, 18.414213f, 19.414213f, 20.414213f, 21.414213f, 22.414213f, 23.414213f, 24.414213f, 8.414213f, 7.414214f,
    6.414214f, 5.414214f, 4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 5.414214f, 6.414214f, 7.414214f, 8.414213f, 9.414213f, 10.414213f, 11.414213f, 12.414213f, 13.414213f,
    3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 9.414213f, 8.414213f, 7.414214f, 6.414214f, 5.414214f, 4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 21.656853f, 20.656853f, 19.656853f, 18.656853f, 17.656853f,
    16.656853f, 15.656854f, 14.656854f, 13.656854f, 12.656854f, 11.656854f, 10.656854f, 9.656854f, 8.656854f, 7.656854f, 6.656854f, 5.656854f, 5.242640f, 4.828427f, 4.414214f, 4.000000f, 4.414214f, 4.828427f, 5.242640f, 5.656854f,
    6.656854f, 12.828426f, 11.828426f, 10.828426f, 9.828426f, 8.828427f, 7.828427f, 6.828427f, 5.828427f, 4.828427f, 3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 4.828427f, 5.828427f, 6.828427f,
    7.828427f, 8.828427f, 9.828426f, 10.828426f, 11.828426f, 12.828426f, 13.828426f, 14.828426f, 15.828426f, 16.828426f, 17.828426f, 18.828426f, 19.828426f, 20.828426f, 21.828426f, 22.828426f, 23.828426f, 9.000000f, 8.000000f, 7.000000f,
    6.000000f, 5.000000f, 4.000000f, 3.000000f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 3.000000f, 4.000000f, 5.000000f, 6.000000f, 7.000000f, 8.000000f, 9.000000f, 10.000000f, 11.000000f, 12.000000f, 13.000000f,
    4.242640f, 3.828427f, 3.414214f, 12.899493f, 12.485280f, 12.071067f, 11.656854f, 11.242640f, 10.828426f, 10.414213f, 10.000000f, 3.000000f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 20.071066f, 19.071066f, 18.071066f,
    17.071068f, 16.071068f, 15.071067f, 14.071067f, 13.071067f, 12.071067f, 11.071067f, 10.071067f, 9.071068f, 8.071068f, 7.071068f, 6.656854f, 6.242640f, 5.828427f, 5.414214f, 5.000000f, 5.414214f, 5.828427f, 6.242640f, 6.656854f,
    7.071068f, 13.242640f, 12.242640f, 11.242640f, 10.242640f, 9.242640f, 8.242640f, 7.242640f, 6.242640f, 5.242640f, 4.242640f, 3.828427f, 3.414214f, 3.000000f, 3.414214f, 3.828427f, 4.242640f, 5.242640f, 6.242640f, 7.242640f,
    8.242640f, 9.242640f, 10.242640f, 11.242640f, 12.242640f, 13.242640f, 14.242640f, 15.242640f, 16.242640f, 17.242640f, 18.242640f, 19.242640f, 20.242640f, 21.242640f, 22.242640f, 23.242640f, 24.242640f, 9.414213f, 8.414213f, 7.414214f,
    6.414214f, 5.414214f, 4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 5.414214f, 6.414214f, 7.414214f, 8.414213f, 9.414213f, 10.414213f, 11.414213f, 12.414213f, 13.414213f,
    13.727921f, 12.727921f, 12.313707f, 11.899494f, 11.485280f, 11.071067f, 10.656854f, 10.242640f, 9.828426f, 9.414213f, 9.000000f, 9.414213f, 9.828426f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 19.485279f, 18.485279f,
    17.485279f, 16.485279f, 15.485280f, 14.485280f, 13.485280f, 12.485280f, 11.485280f, 10.485281f, 9.485281f, 8.485281f, 8.071068f, 7.656854f, 7.242640f, 6.828427f, 6.414214f, 6.000000f, 6.414214f, 6.828427f, 7.242640f, 7.656854f,
    14.656853f, 13.656853f, 12.656853f, 11.656854f, 10.656854f, 9.656854f, 8.656854f, 7.656854f, 6.656854f, 5.656854f, 5.242640f, 4.828427f, 4.414214f, 4.000000f, 4.414214f, 4.828427f, 5.242640f, 5.656854f, 6.656854f, 7.656854f,
    8.656854f, 9.656854f, 10.656854f, 11.656854f, 12.656853f, 13.656853f, 14.656853f, 15.656853f, 16.656853f, 17.656853f, 18.656853f, 19.656853f, 20.656853f, 21.656853f, 22.656853f, 23.656853f, 24.656853f, 9.828426f, 8.828427f, 7.828427f,
    6.828427f, 5.828427f, 4.828427f, 3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 4.828427f, 5.828427f, 6.828427f, 7.828427f, 8.828427f, 9.828426f, 10.828426f, 11.828426f, 12.828426f, 13.828426f,
    13.313707f, 12.313707f, 11.313707f, 10.899494f, 10.485281f, 10.071067f, 9.656854f, 9.242640f, 8.828427f, 8.414213f, 8.000000f, 8.414213f, 8.828427f, 9.242640f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 19.899492f, 18.899492f,
    17.899492f, 16.899494f, 15.899493f, 14.899493f, 13.899493f, 12.899493f, 11.899494f, 10.899494f, 9.899494f, 9.485281f, 9.071068f, 8.656854f, 8.242640f, 7.828427f, 7.414214f, 7.000000f, 7.414214f, 7.828427f, 2.828427f, 3.828427f,
    2.414214f, 14.071066f, 13.071067f, 12.071067f, 11.071067f, 10.071067f, 9.071068f, 8.071068f, 7.071068f, 6.656854f, 6.242640f, 5.828427f, 5.414214f, 5.000000f, 5.414214f, 5.828427f, 6.242640f, 6.656854f, 7.071068f, 8.071068f,
    9.071068f, 10.071067f, 11.071067f, 12.071067f, 13.071067f, 14.071066f, 15.071066f, 16.071066f, 17.071066f, 18.071066f, 19.071066f, 20.071066f, 21.071066f, 22.071066f, 23.071066f, 24.071066f, 25.071066f, 10.242640f, 9.242640f, 8.242640f,
    7.242640f, 6.242640f, 5.242640f, 4.242640f, 3.828427f, 3.414214f, 3.000000f, 3.414214f, 3.828427f, 4.242640f, 5.242640f, 6.242640f, 7.242640f, 8.242640f, 9.242640f, 10.242640f, 11.242640f, 12.242640f, 13.242640f, 14.242640f,
    12.899493f, 11.899494f, 10.899494f, 9.899494f, 9.485281f, 9.071068f, 8.656854f, 8.242640f, 7.828427f, 7.414214f, 7.000000f, 7.414214f, 7.828427f, 8.242640f, 8.656854f, 9.071068f, 3.828427f, 4.242640f, 5.242640f, 6.242640f,
    18.313705f, 17.313705f, 16.313705f, 15.313706f, 14.313706f, 13.313707f, 12.313707f, 11.313707f, 10.899494f, 10.485281f, 10.071067f, 9.656854f, 9.242640f, 8.828427f, 8.414213f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 1.000000f,
    1.414214f, 14.485280f, 13.485280f, 12.485280f, 11.485280f, 10.485281f, 9.485281f, 8.485281f, 8.071068f, 7.656854f, 7.242640f, 6.828427f, 6.414214f, 6.000000f, 6.414214f, 6.828427f, 7.242640f, 7.656854f, 8.071068f, 8.485281f,
    9.485281f, 10.485281f, 11.485280f, 12.485280f, 13.485280f, 14.485280f, 15.485279f, 16.485279f, 17.485279f, 18.485279f, 19.485279f, 20.485279f, 21.485279f, 22.485279f, 23.485279f, 24.485279f, 25.485279f, 10.656854f, 9.656854f, 8.656854f,
    7.656854f, 6.656854f, 5.656854f, 5.242640f, 4.828427f, 4.414214f, 4.000000f, 4.414214f, 4.828427f, 5.242640f, 5.656854f, 6.656854f, 7.656854f, 8.656854f, 9.656854f, 10.656854f, 11.656854f, 12.656853f, 13.656853f, 14.656853f,
    12.485280f, 11.485280f, 10.485281f, 9.485281f, 8.485281f, 8.071068f, 7.656854f, 7.242640f, 6.828427f, 6.414214f, 6.000000f, 6.414214f, 6.828427f, 7.242640f, 7.656854f, 8.071068f, 8.485281f, 5.242640f, 5.656854f, 6.656854f,
    18.727919f, 17.727919f, 16.727921f, 15.727920f, 14.727921f, 13.727921f, 12.727921f, 12.313707f, 11.899494f, 11.485280f, 11.071067f, 10.656854f, 10.242640f, 9.828426f, 9.414213f, 1.000000f, 0.000000f, 1.000000f, 1.000000f, 0.000000f,
    1.000000f, 2.000000f, 13.899493f, 12.899493f, 11.899494f, 10.899494f, 9.899494f, 9.485281f, 9.071068f, 8.656854f, 8.242640f, 7.828427f, 7.414214f, 7.000000f, 7.414214f, 7.828427f, 8.242640f, 8.656854f, 9.071068f, 9.485281f,
    9.899494f, 10.899494f, 11.899494f, 12.899493f, 13.899493f, 14.899493f, 15.899493f, 16.899492f, 17.899492f, 18.899492f, 19.899492f, 20.899492f, 21.899492f, 22.899492f, 23.899492f, 24.899492f, 25.899492f, 11.071067f, 10.071067f, 9.071068f,
    8.071068f, 7.071068f, 6.656854f, 6.242640f, 5.828427f, 5.414214f, 5.000000f, 5.414214f, 5.828427f, 6.242640f, 6.656854f, 7.071068f, 8.071068f, 9.071068f, 10.071067f, 11.071067f, 12.071067f, 13.071067f, 14.071066f, 15.071066f,
    12.071067f, 11.071067f, 10.071067f, 9.071068f, 8.071068f, 7.071068f, 6.656854f, 6.242640f, 5.828427f, 5.414214f, 5.000000f, 5.414214f, 5.828427f, 6.242640f, 6.656854f, 7.071068f, 8.071068f, 9.071068f, 6.656854f, 7.071068f,
    8.071068f, 9.071068f, 17.142134f, 16.142134f, 15.142134f, 14.142134f, 13.727921f, 13.313707f, 12.899493f, 12.485280f, 12.071067f, 11.656854f, 11.242640f, 10.828426f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 18.313705f, 17.313705f,
    16.313705f, 15.313706f, 14.313706f, 13.313707f, 12.313707f, 11.313707f, 10.899494f, 10.485281f, 10.071067f, 9.656854f, 9.242640f, 8.828427f, 8.414213f, 8.000000f, 8.414213f, 8.828427f, 9.242640f, 9.656854f, 10.071067f, 10.485281f,
    10.899494f, 11.313707f, 12.313707f, 13.313707f, 14.313706f, 15.313706f, 16.313705f, 17.313705f, 18.313705f, 19.313705f, 20.313705f, 21.313705f, 22.313705f, 23.313705f, 24.313705f, 25.313705f, 4.242640f, 11.485280f, 10.485281f, 9.485281f,
    8.485281f, 8.071068f, 7.656854f, 7.242640f, 6.828427f, 6.414214f, 6.000000f, 6.414214f, 6.828427f, 7.242640f, 7.656854f, 8.071068f, 8.485281f, 9.485281f, 10.485281f, 11.485280f, 12.485280f, 13.485280f, 14.485280f, 15.485279f,
    11.656854f, 10.656854f, 9.656854f, 8.656854f, 7.656854f, 6.656854f, 5.656854f, 5.242640f, 4.828427f, 4.414214f, 4.000000f, 4.414214f, 4.828427f, 5.242640f, 5.656854f, 6.656854f, 7.656854f, 8.656854f, 9.656854f, 10.656854f,
    8.485281f, 9.485281f, 10.485281f, 16.556347f, 15.556347f, 15.142134f, 14.727921f, 14.313706f, 13.899493f, 13.485280f, 13.071067f, 12.656853f, 12.242640f, 4.414214f, 2.828427f, 2.414214f, 2.000000f, 19.727919f, 18.727919f, 17.727919f,
    16.727921f, 2.828427f, 2.414214f, 13.727921f, 12.727921f, 12.313707f, 11.899494f, 11.485280f, 11.071067f, 10.656854f, 10.242640f, 9.828426f, 9.414213f, 9.000000f, 9.414213f, 9.828426f, 10.242640f, 10.656854f, 11.071067f, 11.485280f,
    11.899494f, 12.313707f, 12.727921f, 13.727921f, 14.727921f, 15.727920f, 16.727921f, 17.727919f, 18.727919f, 19.727919f, 20.727919f, 21.727919f, 22.727919f, 23.727919f, 24.727919f, 2.828427f, 3.828427f, 11.899494f, 10.899494f, 9.899494f,
    9.485281f, 9.071068f, 8.656854f, 8.242640f, 7.828427f, 7.414214f, 7.000000f, 7.414214f, 7.828427f, 8.242640f, 8.656854f, 9.071068f, 9.485281f, 9.899494f, 10.899494f, 11.899494f, 12.899493f, 13.899493f, 14.899493f, 15.899493f,
    11.242640f, 10.242640f, 9.242640f, 8.242640f, 7.242640f, 6.242640f, 5.242640f, 4.242640f, 3.828427f, 3.414214f, 3.000000f, 3.414214f, 3.828427f, 4.242640f, 5.242640f, 6.242640f, 7.242640f, 8.242640f, 9.242640f, 10.242640f,
    11.656854f, 11.242640f, 10.899494f, 10.414213f, 0.000000f, 16.142134f, 15.727920f, 15.313706f, 14.899493f, 14.485280f, 14.071066f, 13.656853f, 13.242640f, 3.414214f, 3.000000f, 3.414214f, 21.142132f, 20.142132f, 19.142132f, 18.142134f,
    17.727921f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 13.313707f, 12.899493f, 12.485280f, 12.071067f, 11.656854f, 11.242640f, 10.828426f, 10.414213f, 10.000000f, 10.414213f, 10.828426f, 11.242640f, 11.656854f, 12.071067f, 12.485280f,
    12.899493f, 13.313707f, 13.727921f, 14.142134f, 15.142134f, 16.142134f, 17.142134f, 18.142134f, 19.142132f, 20.142132f, 21.142132f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 12.313707f, 11.313707f, 10.899494f,
    10.485281f, 10.071067f, 9.656854f, 9.242640f, 8.828427f, 8.414213f, 8.000000f, 8.414213f, 8.828427f, 9.242640f, 9.656854f, 10.071067f, 10.485281f, 10.899494f, 11.313707f, 12.313707f, 13.313707f, 14.313706f, 15.313706f, 5.656854f,
    10.828426f, 9.828426f, 8.828427f, 7.828427f, 6.828427f, 5.828427f, 4.828427f, 3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 4.828427f, 5.828427f, 6.828427f, 7.828427f, 8.828427f, 9.828426f,
    10.656854f, 10.242640f, 9.828426f, 9.414213f, 9.000000f, 9.414213f, 9.828426f, 10.242640f, 10.656854f, 11.071067f, 15.071066f, 14.656853f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 20.556345f, 19.556347f, 19.142134f,
    18.727921f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 14.313706f, 13.899493f, 13.485280f, 13.071067f, 12.656853f, 12.242640f, 11.828426f, 11.414213f, 11.000000f, 11.414213f, 11.828426f, 12.242640f, 12.656853f, 13.071067f, 13.485280f,
    13.899493f, 14.313706f, 14.727921f, 15.142134f, 15.556347f, 16.556347f, 17.556347f, 18.556347f, 19.556347f, 20.556345f, 3.000000f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 3.000000f, 4.000000f, 12.313707f, 11.899494f,
    11.485280f, 11.071067f, 10.656854f, 10.242640f, 9.828426f, 9.414213f, 9.000000f, 9.414213f, 9.828426f, 10.242640f, 10.656854f, 11.071067f, 11.485280f, 11.899494f, 8.485281f, 3.000000f, 3.414214f, 3.828427f, 4.242640f, 5.242640f,
    10.414213f, 9.414213f, 8.414213f, 7.414214f, 6.414214f, 5.414214f, 4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 5.414214f, 6.414214f, 7.414214f, 8.414213f, 9.414213f,
    9.656854f, 9.242640f, 8.828427f, 8.414213f, 8.000000f, 8.414213f, 8.828427f, 9.242640f, 9.656854f, 10.071067f, 16.071066f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.828427f, 2.828427f, 20.142134f,
    2.000000f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 15.313706f, 14.899493f, 14.485280f, 14.071066f, 13.656853f, 13.242640f, 12.828426f, 12.414213f, 12.000000f, 12.414213f, 12.828426f, 13.242640f, 13.656853f, 12.656853f, 11.656854f,
    10.656854f, 9.656854f, 8.656854f, 7.656854f, 6.656854f, 5.656854f, 5.242640f, 18.970560f, 19.970560f, 4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 2.828427f, 3.828427f,
    12.485280f, 12.071067f, 11.656854f, 11.242640f, 10.828426f, 10.414213f, 10.000000f, 10.414213f, 4.828427f, 5.828427f, 5.828427f, 0.000000f, 6.656854f, 7.071068f, 8.071068f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 4.828427f,
    10.000000f, 9.000000f, 8.000000f, 7.000000f, 6.000000f, 5.000000f, 4.000000f, 3.000000f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 3.000000f, 4.000000f, 5.000000f, 6.000000f, 7.000000f, 8.000000f, 9.000000f,
    8.656854f, 8.242640f, 7.828427f, 7.414214f, 7.000000f, 7.414214f, 7.828427f, 8.242640f, 8.656854f, 9.071068f, 9.485281f, 9.899494f, 10.899494f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 3.414214f, 2.414214f, 1.414214f,
    1.000000f, 1.414214f, 2.414214f, 3.414214f, 2.414214f, 16.313705f, 15.899493f, 15.485279f, 15.071066f, 14.656853f, 14.242640f, 13.828426f, 13.414213f, 13.000000f, 13.414213f, 15.242640f, 14.242640f, 13.242640f, 12.242640f, 11.242640f,
    10.242640f, 9.242640f, 8.242640f, 7.242640f, 6.242640f, 5.242640f, 4.242640f, 3.828427f, 3.414214f, 4.828427f, 3.828427f, 2.828427f, 2.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f,
    4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 4.414214f, 4.828427f, 5.242640f, 5.656854f, 6.656854f, 7.656854f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 14.899493f,
    10.414213f, 9.414213f, 8.414213f, 7.414214f, 6.414214f, 5.414214f, 4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 5.414214f, 6.414214f, 7.414214f, 8.414213f, 9.414213f,
    7.656854f, 7.242640f, 6.828427f, 6.414214f, 6.000000f, 6.414214f, 6.828427f, 7.242640f, 7.656854f, 8.071068f, 8.485281f, 9.485281f, 10.485281f, 11.485280f, 1.000000f, 1.414214f, 4.000000f, 3.000000f, 2.000000f, 1.000000f,
    0.000000f, 1.000000f, 2.000000f, 3.000000f, 17.727919f, 17.313705f, 16.899492f, 16.485279f, 16.071066f, 15.656853f, 15.242640f, 14.828426f, 14.414213f, 14.000000f, 14.414213f, 14.828426f, 13.828426f, 12.828426f, 11.828426f, 10.828426f,
    9.828426f, 8.828427f, 7.828427f, 6.828427f, 5.828427f, 4.828427f, 3.828427f, 2.828427f, 2.414214f, 2.000000f, 0.000000f, 3.828427f, 4.000000f, 3.000000f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 3.000000f,
    4.000000f, 3.000000f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 3.000000f, 4.000000f, 3.414214f, 3.828427f, 4.242640f, 5.242640f, 6.242640f, 7.242640f, 0.000000f, 12.656854f, 13.071067f, 13.485280f, 13.899493f,
    10.828426f, 9.828426f, 8.828427f, 7.828427f, 6.828427f, 5.828427f, 4.828427f, 3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 4.828427f, 5.828427f, 6.828427f, 7.828427f, 8.828427f, 9.828426f,
    6.656854f, 6.242640f, 5.828427f, 5.414214f, 5.000000f, 5.414214f, 5.828427f, 6.242640f, 6.656854f, 7.071068f, 8.071068f, 9.071068f, 10.071067f, 11.071067f, 2.000000f, 2.414214f, 2.828427f, 3.414214f, 2.414214f, 1.414214f,
    1.000000f, 1.414214f, 2.414214f, 3.414214f, 18.727919f, 18.313705f, 17.899492f, 17.485279f, 17.071066f, 16.656853f, 16.242640f, 15.828426f, 15.414213f, 15.000000f, 15.414213f, 14.414213f, 13.414213f, 12.414213f, 11.414213f, 10.414213f,
    9.414213f, 8.414213f, 7.414214f, 6.414214f, 5.414214f, 4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 5.414214f,
    4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 4.828427f, 2.414214f, 1.414214f, 11.242640f, 11.656854f, 12.071067f, 12.485280f, 12.899493f,
    11.242640f, 10.242640f, 9.242640f, 8.242640f, 7.242640f, 6.242640f, 5.242640f, 4.242640f, 3.828427f, 3.414214f, 3.000000f, 3.414214f, 3.828427f, 4.242640f, 5.242640f, 6.242640f, 7.242640f, 8.242640f, 9.242640f, 6.656854f,
    5.656854f, 5.242640f, 4.828427f, 4.414214f, 4.000000f, 4.414214f, 4.828427f, 5.242640f, 5.656854f, 6.656854f, 7.656854f, 8.656854f, 9.656854f, 10.656854f, 3.000000f, 3.414214f, 3.000000f, 3.828427f, 2.828427f, 2.414214f,
    2.000000f, 2.414214f, 21.142132f, 20.142132f, 19.727919f, 19.313705f, 18.899492f, 18.485279f, 18.071066f, 17.656853f, 17.242640f, 16.828426f, 16.414213f, 16.000000f, 16.414213f, 14.000000f, 13.000000f, 12.000000f, 11.000000f, 10.000000f,
    9.000000f, 8.000000f, 7.000000f, 6.000000f, 5.000000f, 4.000000f, 3.000000f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 3.000000f, 4.000000f, 2.828427f, 6.828427f, 2.000000f, 8.828427f, 9.828426f, 10.828426f,
    11.828426f, 12.828426f, 2.828427f, 2.414214f, 2.000000f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 4.828427f, 3.828427f, 2.828427f, 2.414214f, 10.242640f, 10.656854f, 11.071067f, 11.485280f, 11.899494f,
    11.656854f, 10.656854f, 9.656854f, 8.656854f, 7.656854f, 6.656854f, 5.656854f, 5.242640f, 4.828427f, 4.414214f, 4.000000f, 4.414214f, 4.828427f, 5.242640f, 5.656854f, 6.656854f, 7.656854f, 8.656854f, 9.656854f, 6.242640f,
    5.242640f, 4.242640f, 3.828427f, 3.414214f, 3.000000f, 3.414214f, 3.828427f, 4.242640f, 5.242640f, 6.242640f, 7.242640f, 8.242640f, 9.242640f, 10.242640f, 4.000000f, 2.414214f, 2.000000f, 2.414214f, 25.556345f, 24.556345f,
    23.556345f, 22.556345f, 21.556345f, 21.142132f, 20.727919f, 20.313705f, 19.899492f, 19.485279f, 19.071066f, 18.656853f, 18.242640f, 17.828426f, 17.414213f, 1.000000f, 1.414214f, 14.899493f, 13.414213f, 12.414213f, 11.414213f, 10.414213f,
    9.414213f, 8.414213f, 20.556345f, 20.142132f, 19.727919f, 19.313705f, 18.899492f, 18.485279f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 5.414214f, 6.414214f, 7.414214f, 8.414213f, 9.414213f, 10.414213f,
    11.414213f, 12.414213f, 13.414213f, 5.000000f, 4.000000f, 3.000000f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 5.242640f, 4.242640f, 3.828427f, 8.828427f, 9.242640f, 9.656854f, 10.071067f, 10.485281f, 10.899494f,
    18.656855f, 11.071067f, 10.071067f, 9.071068f, 8.071068f, 7.071068f, 6.656854f, 6.242640f, 5.828427f, 5.414214f, 5.000000f, 5.414214f, 5.828427f, 6.242640f, 6.656854f, 7.071068f, 8.071068f, 9.071068f, 10.071067f, 5.828427f,
    4.828427f, 3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 4.828427f, 5.828427f, 6.828427f, 7.828427f, 8.828427f, 9.828426f, 2.414214f, 1.414214f, 1.000000f, 26.970558f, 25.970558f, 24.970558f,
    23.970558f, 22.970558f, 22.556345f, 22.142132f, 21.727919f, 21.313705f, 20.899492f, 20.485279f, 20.071066f, 19.656853f, 19.242640f, 18.828426f, 1.000000f, 0.000000f, 1.000000f, 13.899493f, 14.899493f, 15.899493f, 21.213200f, 20.798986f,
    20.384773f, 19.970560f, 19.556347f, 19.142132f, 18.727919f, 18.313705f, 17.899492f, 17.485279f, 17.071066f, 16.656853f, 16.242640f, 2.828427f, 3.828427f, 4.828427f, 5.828427f, 6.828427f, 7.828427f, 8.828427f, 9.828426f, 10.828426f,
    11.828426f, 7.414214f, 6.414214f, 5.414214f, 4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 7.828427f, 7.414214f, 7.000000f, 7.414214f, 7.828427f, 8.242640f, 8.656854f, 9.071068f, 9.485281f, 9.899494f,
    17.656855f, 18.071068f, 18.485281f, 9.485281f, 8.485281f, 8.071068f, 7.656854f, 7.242640f, 6.828427f, 6.414214f, 6.000000f, 6.414214f, 6.828427f, 7.242640f, 7.656854f, 8.071068f, 8.485281f, 9.485281f, 6.414214f, 5.414214f,
    4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 5.414214f, 6.414214f, 7.414214f, 8.414213f, 9.414213f, 2.000000f, 1.000000f, 0.000000f, 27.384771f, 26.384771f, 25.384771f,
    24.384771f, 23.970558f, 23.556345f, 23.142132f, 22.727919f, 22.313705f, 21.899492f, 21.485279f, 21.071066f, 20.656853f, 8.485281f, 9.485281f, 10.485281f, 11.485280f, 12.485280f, 13.485280f, 14.485280f, 15.485279f, 20.798986f, 19.798986f,
    19.384773f, 18.970560f, 18.556347f, 18.142134f, 17.727919f, 17.313705f, 16.899492f, 16.485279f, 16.071066f, 15.656853f, 15.242640f, 1.414214f, 4.242640f, 5.242640f, 6.242640f, 7.242640f, 8.242640f, 9.242640f, 10.242640f, 11.242640f,
    8.828427f, 7.828427f, 6.828427f, 5.828427f, 4.828427f, 3.828427f, 8.485281f, 8.071068f, 7.656854f, 7.242640f, 6.828427f, 6.414214f, 6.000000f, 6.414214f, 6.828427f, 7.242640f, 7.656854f, 8.071068f, 8.485281f, 9.485281f,
    16.656855f, 17.071068f, 17.485281f, 17.899494f, 18.313707f, 18.727921f, 8.656854f, 8.242640f, 7.828427f, 7.414214f, 7.000000f, 7.414214f, 7.828427f, 8.242640f, 8.656854f, 9.071068f, 9.485281f, 9.899494f, 6.000000f, 5.000000f,
    4.000000f, 3.000000f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 3.000000f, 4.000000f, 5.000000f, 6.000000f, 7.000000f, 8.000000f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 27.798985f, 26.798985f, 25.798985f,
    25.384771f, 24.970558f, 24.556345f, 24.142132f, 23.727919f, 23.313705f, 22.899492f, 22.485279f, 22.071066f, 7.071068f, 8.071068f, 9.071068f, 10.071067f, 11.071067f, 12.071067f, 13.071067f, 14.071066f, 15.071066f, 16.071066f, 17.071066f,
    18.384773f, 17.970560f, 17.556347f, 17.142134f, 16.727921f, 16.313705f, 15.899493f, 15.485279f, 15.071066f, 14.656853f, 14.242640f, 13.828426f, 0.000000f, 5.656854f, 6.656854f, 7.656854f, 8.656854f, 9.656854f, 10.656854f, 11.656854f,
    9.242640f, 8.242640f, 7.242641f, 6.242641f, 5.242641f, 9.071068f, 8.071068f, 7.071068f, 6.656854f, 6.242640f, 5.828427f, 5.414214f, 5.000000f, 5.414214f, 5.828427f, 6.242640f, 6.656854f, 7.071068f, 8.071068f, 9.071068f,
    15.656855f, 16.071068f, 16.485281f, 16.899494f, 17.313707f, 17.727921f, 18.727921f, 0.000000f, 8.828427f, 8.414213f, 8.000000f, 8.414213f, 8.828427f, 9.242640f, 9.656854f, 10.071067f, 10.485281f, 10.899494f, 6.414214f, 5.414214f,
    4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 5.414214f, 6.414214f, 7.414214f, 8.414213f, 1.000000f, 0.000000f, 2.414214f, 2.000000f, 2.414214f, 27.213198f, 26.798985f,
    26.384771f, 25.970558f, 25.556345f, 25.142132f, 24.727919f, 24.313705f, 23.899492f, 23.485279f, 5.656854f, 6.656854f, 7.656854f, 8.656854f, 9.656854f, 10.656854f, 11.656854f, 12.656853f, 13.656853f, 14.656853f, 15.656853f, 18.970560f,
    17.970560f, 16.970560f, 16.556347f, 16.142134f, 15.727920f, 15.313706f, 14.899493f, 14.485280f, 14.071066f, 13.656853f, 13.242640f, 12.828426f, 12.414213f, 6.656854f, 7.071068f, 8.071068f, 9.071068f, 10.071067f, 11.071067f, 12.071067f,
    13.071067f, 12.656853f, 11.656854f, 10.656854f, 9.656854f, 8.656854f, 7.656854f, 6.656854f, 5.656854f, 5.242640f, 4.828427f, 4.414214f, 4.000000f, 4.414214f, 4.828427f, 5.242640f, 5.656854f, 6.656854f, 7.656854f, 8.656854f,
    14.656855f, 15.071068f, 15.485281f, 15.899494f, 16.313707f, 17.313707f, 18.313707f, 19.313707f, 20.313707f, 21.313707f, 9.000000f, 9.414213f, 9.828426f, 10.242640f, 10.656854f, 11.071067f, 11.485280f, 7.828427f, 6.828427f, 5.828427f,
    4.828427f, 3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 4.828427f, 5.828427f, 6.828427f, 7.828427f, 13.242640f, 12.242640f, 11.242640f, 10.242640f, 0.000000f, 8.242640f, 28.213198f, 27.798985f,
    27.384771f, 26.970558f, 26.556345f, 26.142132f, 25.727919f, 25.313705f, 24.899492f, 4.242640f, 5.242640f, 6.242640f, 7.242640f, 8.242640f, 9.242640f, 10.242640f, 11.242640f, 12.242640f, 13.242640f, 14.242640f, 15.242640f, 18.556347f,
    17.556347f, 16.556347f, 15.556347f, 15.142134f, 14.727921f, 14.313706f, 13.899493f, 13.485280f, 13.071067f, 12.656853f, 12.242640f, 11.828426f, 11.414213f, 7.656854f, 8.071068f, 8.485281f, 9.485281f, 10.485281f, 11.485280f, 12.485280f,
    13.485280f, 12.242640f, 11.242640f, 10.242640f, 9.242640f, 8.242640f, 7.242640f, 6.242640f, 5.242640f, 4.242640f, 3.828427f, 3.414214f, 3.000000f, 3.414214f, 3.828427f, 4.242640f, 5.242640f, 6.242640f, 7.242640f, 8.242640f,
    13.656855f, 14.071068f, 14.485281f, 14.899494f, 15.899494f, 16.899494f, 17.899494f, 18.899494f, 19.899494f, 20.899494f, 21.899494f, 10.414213f, 10.828426f, 11.242640f, 11.656854f, 12.071067f, 12.485280f, 8.242640f, 7.242640f, 6.242640f,
    5.242640f, 4.242640f, 3.828427f, 3.414214f, 3.000000f, 3.414214f, 3.828427f, 4.242640f, 5.242640f, 6.242640f, 7.242640f, 13.828426f, 12.828426f, 11.828426f, 10.828426f, 9.828426f, 8.828427f, 7.828427f, 6.828427f, 28.798985f,
    28.384771f, 27.970558f, 27.556345f, 27.142132f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 4.828427f, 5.828427f, 6.828427f, 7.828427f, 8.828427f, 9.828426f, 10.828426f, 11.828426f, 12.828426f, 13.828426f, 14.828426f, 18.142134f,
    17.142134f, 16.142134f, 15.142134f, 14.142134f, 13.727921f, 13.313707f, 12.899493f, 12.485280f, 12.071067f, 11.656854f, 11.242640f, 10.828426f, 10.414213f, 10.828426f, 11.242640f, 9.485281f, 9.899494f, 10.899494f, 11.899494f, 12.899493f,
    13.899493f, 11.828426f, 10.828426f, 9.828426f, 8.828427f, 7.828427f, 6.828427f, 5.828427f, 4.828427f, 3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 4.828427f, 5.828427f, 6.828427f, 7.828427f,
    12.656855f, 13.071068f, 13.485281f, 9.485281f, 8.485281f, 8.071068f, 7.656854f, 7.242640f, 20.313707f, 21.313707f, 22.313707f, 23.313707f, 11.828426f, 12.242640f, 12.656853f, 13.071067f, 13.485280f, 8.656854f, 7.656854f, 6.656854f,
    5.656854f, 5.242640f, 4.828427f, 4.414214f, 4.000000f, 4.414214f, 4.828427f, 5.242640f, 5.656854f, 6.656854f, 14.414213f, 13.414213f, 12.414213f, 11.414213f, 10.414213f, 9.414213f, 8.414213f, 7.414214f, 6.414214f, 5.414214f,
    4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 5.414214f, 6.414214f, 7.414214f, 8.414213f, 3.000000f, 11.242640f, 12.242640f, 13.242640f, 19.727919f, 18.727919f, 17.727919f,
    16.727921f, 15.727920f, 14.727921f, 13.727921f, 12.727921f, 12.313707f, 11.899494f, 11.485280f, 11.071067f, 10.656854f, 10.242640f, 9.828426f, 9.414213f, 9.828426f, 10.242640f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f,
    12.414213f, 11.414213f, 10.414213f, 9.414213f, 8.414213f, 7.414214f, 6.414214f, 5.414214f, 4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 5.414214f, 6.414214f, 7.414214f,
    11.656855f, 11.071067f, 12.485281f, 9.071068f, 8.071068f, 7.071068f, 6.656854f, 6.242640f, 5.828427f, 5.414214f, 5.000000f, 5.414214f, 12.828426f, 13.242640f, 13.656853f, 7.656854f, 8.071068f, 9.071068f, 8.071068f, 7.071068f,
    6.656854f, 6.242640f, 5.828427f, 5.414214f, 5.000000f, 5.414214f, 5.828427f, 6.242640f, 6.656854f, 7.071068f, 14.000000f, 13.000000f, 12.000000f, 11.000000f, 10.000000f, 9.000000f, 8.000000f, 7.000000f, 6.000000f, 5.000000f,
    4.000000f, 3.000000f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 3.000000f, 4.000000f, 5.000000f, 6.000000f, 7.000000f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.000000f, 3.414214f, 18.313705f, 17.313705f,
    16.313705f, 15.313706f, 14.313706f, 13.313707f, 12.313707f, 11.313707f, 10.899494f, 10.485281f, 10.071067f, 9.656854f, 9.242640f, 8.828427f, 8.414213f, 8.828427f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f,
    5.414214f, 11.000000f, 10.000000f, 9.000000f, 8.000000f, 7.000000f, 6.000000f, 5.000000f, 4.000000f, 3.000000f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 3.000000f, 4.000000f, 5.000000f, 6.000000f, 7.000000f,
    10.656855f, 11.071068f, 9.656854f, 8.656854f, 7.656854f, 6.656854f, 5.656854f, 5.242640f, 4.828427f, 4.414214f, 4.000000f, 4.414214f, 4.828427f, 5.242640f, 14.656853f, 6.656854f, 7.656854f, 9.485281f, 8.485281f, 8.071068f,
    7.656854f, 7.242640f, 6.828427f, 6.414214f, 6.000000f, 6.414214f, 6.828427f, 17.414213f, 16.414213f, 15.414213f, 14.414213f, 13.414213f, 12.414213f, 11.414213f, 10.414213f, 9.414213f, 8.414213f, 7.414214f, 6.414214f, 5.414214f,
    4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 5.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 2.000000f, 2.414214f, 17.899492f, 16.899492f,
    15.899493f, 14.899493f, 13.899493f, 12.899493f, 11.899494f, 10.899494f, 9.899494f, 9.485281f, 9.071068f, 8.656854f, 8.242640f, 7.828427f, 7.414214f, 3.000000f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 4.828427f,
    4.414214f, 4.000000f, 10.414213f, 9.414213f, 8.414213f, 7.414214f, 6.414214f, 5.414214f, 4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 5.414214f, 6.414214f, 7.414214f,
    9.656855f, 10.242640f, 9.242640f, 8.242640f, 7.242640f, 6.242640f, 5.242640f, 4.242640f, 3.828427f, 3.414214f, 3.000000f, 3.414214f, 3.828427f, 4.242640f, 5.242640f, 6.242640f, 7.242640f, 8.242640f, 9.485281f, 9.071068f,
    8.656854f, 8.242640f, 7.828427f, 7.414214f, 7.000000f, 7.414214f, 7.828427f, 17.828426f, 25.556345f, 25.970558f, 26.384771f, 26.798985f, 27.213198f, 27.627411f, 10.828426f, 9.828426f, 8.828427f, 7.828427f, 6.828427f, 5.828427f,
    4.828427f, 3.828427f, 2.828427f, 2.000000f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 4.828427f, 5.828427f, 3.000000f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 1.000000f, 1.414214f, 2.414214f, 16.485279f,
    15.485279f, 14.485280f, 13.485280f, 12.485280f, 11.485280f, 10.485281f, 9.485281f, 8.485281f, 8.071068f, 7.656854f, 7.242640f, 6.828427f, 6.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.828427f,
    3.414214f, 3.000000f, 10.828426f, 9.828426f, 8.828427f, 7.828427f, 6.828427f, 5.828427f, 4.828427f, 3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 4.828427f, 5.828427f, 6.828427f, 7.828427f,
    8.656855f, 9.828426f, 8.828427f, 7.828427f, 6.828427f, 5.828427f, 4.828427f, 3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 4.828427f, 5.828427f, 6.828427f, 7.828427f, 10.485281f, 10.071067f,
    9.656854f, 9.242640f, 8.828427f, 8.414213f, 8.000000f, 8.414213f, 23.727919f, 24.142132f, 24.556345f, 24.970558f, 25.384771f, 25.798985f, 26.213198f, 26.627413f, 27.041626f, 27.455839f, 9.242640f, 8.242640f, 7.242640f, 6.242640f,
    5.242640f, 2.414214f, 3.828427f, 1.000000f, 1.414214f, 2.414214f, 3.828427f, 4.242640f, 39.284271f, 40.284271f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 0.000000f, 1.000000f, 2.000000f, 3.000000f,
    15.071066f, 14.071066f, 13.071067f, 12.071067f, 11.071067f, 10.071067f, 9.071068f, 8.071068f, 7.071068f, 6.656854f, 6.242640f, 5.828427f, 5.414214f, 5.000000f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 2.828427f,
    2.414214f, 2.000000f, 2.414214f, 10.242640f, 9.242640f, 8.242640f, 7.242640f, 6.242640f, 5.242640f, 4.242640f, 3.828427f, 3.414214f, 3.000000f, 3.414214f, 3.828427f, 4.242640f, 5.242640f, 6.242640f, 7.242640f, 8.242640f,
    7.656854f, 9.414213f, 8.414213f, 7.414214f, 6.414214f, 5.414214f, 4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 5.414214f, 6.414214f, 7.414214f, 8.414213f, 11.071067f,
    10.656854f, 10.242640f, 9.828426f, 9.414213f, 9.000000f, 22.313705f, 22.727919f, 23.142132f, 23.556345f, 23.970558f, 24.384771f, 24.798985f, 25.213200f, 25.627413f, 26.041626f, 26.455839f, 26.870052f, 8.656854f, 7.656854f, 6.656854f,
    3.000000f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 3.000000f, 37.870056f, 38.870056f, 39.870056f, 40.870056f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f,
    14.656853f, 13.656853f, 12.656853f, 11.656854f, 10.656854f, 9.656854f, 8.656854f, 7.656854f, 6.656854f, 5.656854f, 5.242640f, 4.828427f, 4.414214f, 4.000000f, 4.414214f, 4.828427f, 3.000000f, 3.414214f, 3.828427f, 2.414214f,
    1.414214f, 1.000000f, 1.414214f, 10.656854f, 9.656854f, 8.656854f, 7.656854f, 6.656854f, 5.656854f, 5.242640f, 4.828427f, 4.414214f, 4.000000f, 4.414214f, 4.828427f, 5.242640f, 5.656854f, 6.656854f, 7.656854f, 8.656854f,
    6.656854f, 6.242640f, 8.000000f, 7.000000f, 6.000000f, 5.000000f, 4.000000f, 3.000000f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 3.000000f, 4.000000f, 5.000000f, 6.000000f, 7.000000f, 8.000000f, 9.000000f,
    10.000000f, 11.000000f, 20.071066f, 20.485279f, 20.899492f, 21.313705f, 21.727919f, 22.142132f, 22.556345f, 22.970558f, 23.384771f, 23.798986f, 24.213200f, 24.627413f, 25.041626f, 25.455839f, 26.455839f, 27.455839f, 28.455839f, 29.455839f,
    30.455837f, 31.455837f, 32.455837f, 1.000000f, 34.455841f, 35.455841f, 36.455841f, 37.455841f, 38.455841f, 39.455841f, 40.455841f, 41.455841f, 42.455841f, 43.455841f, 44.455841f, 2.414214f, 2.000000f, 2.414214f, 7.656854f, 6.656854f,
    5.656854f, 5.242640f, 12.242640f, 11.242640f, 10.242640f, 9.242640f, 8.242640f, 7.242640f, 6.242640f, 5.242640f, 4.242640f, 3.828427f, 3.414214f, 3.000000f, 3.414214f, 3.828427f, 4.242640f, 5.242640f, 6.242640f, 2.000000f,
    1.000000f, 0.000000f, 1.000000f, 11.071067f, 10.071067f, 9.071068f, 8.071068f, 7.071068f, 6.656854f, 6.242640f, 5.828427f, 5.414214f, 5.000000f, 5.414214f, 5.828427f, 6.242640f, 6.656854f, 7.071068f, 8.071068f, 9.071068f,
    5.656854f, 5.242640f, 4.828427f, 7.414214f, 6.414214f, 5.414214f, 4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 5.414214f, 6.414214f, 7.414214f, 8.414213f, 17.828426f,
    18.242640f, 18.656853f, 19.071066f, 19.485279f, 19.899492f, 20.313705f, 20.727919f, 21.142132f, 21.556345f, 21.970558f, 22.384773f, 22.798986f, 23.213200f, 23.627413f, 24.041626f, 25.041626f, 26.041626f, 27.041626f, 28.041626f, 29.041624f,
    30.041624f, 31.041624f, 32.041626f, 33.041626f, 34.041626f, 35.041626f, 36.041626f, 37.041626f, 38.041626f, 39.041626f, 40.041626f, 41.041626f, 42.041626f, 43.041626f, 44.041626f, 45.041626f, 46.041626f, 47.041626f, 7.242640f, 6.242640f,
    5.242640f, 4.242640f, 3.828427f, 10.828426f, 9.828426f, 8.828427f, 7.828427f, 6.828427f, 5.828427f, 4.828427f, 3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 4.828427f, 5.828427f, 6.828427f,
    1.414214f, 1.000000f, 1.414214f, 11.485280f, 10.485281f, 9.485281f, 8.485281f, 8.071068f, 7.656854f, 7.242640f, 6.828427f, 6.414214f, 6.000000f, 6.414214f, 6.828427f, 7.242640f, 7.656854f, 8.071068f, 8.485281f, 9.485281f,
    5.242640f, 4.242640f, 3.828427f, 7.828427f, 6.828427f, 5.828427f, 4.828427f, 3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 4.828427f, 5.828427f, 6.828427f, 7.828427f, 16.414213f, 16.828426f,
    17.242640f, 17.656853f, 18.071066f, 18.485279f, 18.899492f, 19.313705f, 19.727919f, 20.142132f, 20.556345f, 20.970560f, 21.384773f, 21.798986f, 22.213200f, 22.627413f, 23.627413f, 24.627413f, 25.627413f, 26.627413f, 27.627411f, 28.627411f,
    29.627411f, 30.627411f, 31.627411f, 32.627411f, 33.627411f, 34.627411f, 35.627411f, 36.627411f, 37.627411f, 38.627411f, 39.627411f, 40.627411f, 41.627411f, 42.627411f, 43.627411f, 44.627411f, 45.627411f, 46.627411f, 47.627411f, 48.627411f,
    4.828427f, 3.828427f, 2.828427f, 2.414214f, 2.000000f, 8.414213f, 7.414214f, 6.414214f, 5.414214f, 4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 5.414214f, 6.414214f,
    2.414214f, 2.000000f, 2.414214f, 2.828427f, 10.899494f, 9.899494f, 9.485281f, 9.071068f, 8.656854f, 8.242640f, 7.828427f, 7.414214f, 7.000000f, 7.414214f, 7.828427f, 8.242640f, 8.656854f, 9.071068f, 9.485281f, 9.899494f,
    4.828427f, 3.828427f, 2.828427f, 2.414214f, 7.242640f, 6.242640f, 5.242640f, 4.242640f, 3.828427f, 3.414214f, 3.000000f, 3.414214f, 3.828427f, 4.242640f, 5.242640f, 6.242640f, 7.242640f, 15.000000f, 15.414213f, 15.828426f,
    16.242640f, 16.656853f, 17.071066f, 17.485279f, 17.899492f, 18.313705f, 18.727919f, 19.142132f, 19.556347f, 19.970560f, 20.384773f, 20.798986f, 21.213200f, 22.213200f, 23.213200f, 24.213200f, 25.213200f, 26.213198f, 27.213198f, 28.213198f,
    29.213198f, 30.213198f, 31.213198f, 32.213196f, 33.213196f, 34.213196f, 35.213196f, 36.213196f, 37.213196f, 38.213196f, 39.213196f, 40.213196f, 41.213196f, 42.213196f, 43.213196f, 44.213196f, 45.213196f, 46.213196f, 47.213196f, 48.213196f,
    49.213196f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 6.000000f, 5.000000f, 4.000000f, 3.000000f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 3.000000f, 4.000000f, 5.000000f, 6.000000f,
    7.000000f, 8.000000f, 3.414214f, 3.828427f, 11.313707f, 10.899494f, 10.485281f, 10.071067f, 9.656854f, 9.242640f, 8.828427f, 8.414213f, 8.000000f, 8.414213f, 8.828427f, 9.242640f, 9.656854f, 10.071067f, 10.485281f, 10.899494f,
    4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 6.656854f, 5.656854f, 5.242640f, 4.828427f, 4.414214f, 4.000000f, 4.414214f, 4.828427f, 5.242640f, 5.656854f, 14.828426f, 14.414213f, 14.000000f, 14.414213f, 14.828426f,
    15.242640f, 15.656853f, 16.071066f, 16.485279f, 16.899492f, 17.313705f, 17.727919f, 18.142134f, 18.556347f, 18.970560f, 19.384773f, 19.798986f, 20.798986f, 21.798986f, 22.798986f, 23.798986f, 24.798985f, 25.798985f, 26.798985f, 27.798985f,
    28.798985f, 29.798985f, 30.798985f, 31.798985f, 32.798985f, 33.798985f, 34.798985f, 35.798985f, 36.798985f, 37.798985f, 38.798985f, 39.798985f, 40.798985f, 41.798985f, 42.798985f, 43.798985f, 44.798985f, 45.798985f, 46.798985f, 47.798985f,
    48.798985f, 3.000000f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 3.000000f, 5.414214f, 4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 5.414214f, 6.414214f,
    7.414214f, 8.414213f, 9.414213f, 4.828427f, 5.242640f, 6.242640f, 11.485280f, 11.071067f, 10.656854f, 10.242640f, 9.828426f, 9.414213f, 9.000000f, 9.414213f, 9.828426f, 10.242640f, 10.656854f, 11.071067f, 11.485280f, 11.899494f,
    4.828427f, 3.828427f, 2.828427f, 1.000000f, 0.000000f, 1.000000f, 6.656854f, 6.242640f, 5.828427f, 5.414214f, 5.000000f, 5.414214f, 5.828427f, 14.656853f, 14.242640f, 13.828426f, 13.414213f, 13.000000f, 13.414213f, 13.828426f,
    14.242640f, 14.656853f, 15.071066f, 15.485279f, 15.899493f, 16.313705f, 16.727921f, 17.142134f, 17.556347f, 17.970560f, 18.384773f, 19.384773f, 20.384773f, 21.384773f, 22.384773f, 23.384771f, 24.384771f, 25.384771f, 26.384771f, 27.384771f,
    28.384771f, 29.384771f, 30.384771f, 31.384771f, 32.384773f, 33.384773f, 34.384773f, 35.384773f, 36.384773f, 37.384773f, 38.384773f, 39.384773f, 40.384773f, 41.384773f, 42.384773f, 43.384773f, 44.384773f, 22.071066f, 22.485279f, 22.899492f,
    23.313705f, 23.727919f, 24.142132f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 5.414214f, 3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 4.828427f, 5.828427f, 6.828427f,
    7.828427f, 8.828427f, 9.828426f, 10.828426f, 11.828426f, 12.828426f, 13.828426f, 12.071067f, 11.656854f, 11.242640f, 10.828426f, 10.414213f, 10.000000f, 10.414213f, 10.828426f, 11.242640f, 11.656854f, 12.071067f, 12.485280f, 12.899493f,
    2.000000f, 2.414214f, 1.000000f, 0.000000f, 1.000000f, 1.414214f, 2.414214f, 7.242640f, 6.828427f, 6.414214f, 6.000000f, 6.414214f, 10.071067f, 13.656853f, 13.242640f, 12.828426f, 12.414213f, 12.000000f, 12.414213f, 12.828426f,
    13.242640f, 13.656853f, 14.071066f, 14.485280f, 14.899493f, 15.313706f, 15.727920f, 16.142134f, 16.556347f, 16.970560f, 17.970560f, 18.970560f, 19.970560f, 20.970560f, 21.970558f, 22.970558f, 23.970558f, 24.970558f, 25.970558f, 26.970558f,
    27.970558f, 28.970558f, 29.970558f, 30.970558f, 31.970558f, 32.970558f, 33.970558f, 34.970558f, 35.970558f, 36.970558f, 37.970558f, 20.242640f, 19.828426f, 19.414213f, 19.828426f, 20.242640f, 20.656853f, 21.071066f, 21.485279f, 21.899492f,
    22.313705f, 22.727919f, 23.142132f, 23.556345f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 4.828427f, 5.828427f, 4.242640f, 3.828427f, 3.414214f, 3.000000f, 3.414214f, 3.828427f, 4.242640f, 5.242640f, 6.242640f, 7.242640f,
    8.242640f, 9.242640f, 10.242640f, 11.242640f, 12.242640f, 13.242640f, 14.242640f, 15.242640f, 12.656853f, 12.242640f, 11.828426f, 11.414213f, 11.000000f, 11.414213f, 11.828426f, 12.242640f, 12.656853f, 13.071067f, 13.485280f, 13.899493f,
    1.000000f, 1.414214f, 4.828427f, 1.000000f, 2.000000f, 2.414214f, 2.828427f, 8.242640f, 7.828427f, 7.414214f, 7.656854f, 8.656854f, 13.071067f, 12.656853f, 12.242640f, 11.828426f, 11.414213f, 11.000000f, 11.414213f, 11.828426f,
    12.242640f, 12.656853f, 13.071067f, 13.485280f, 13.899493f, 14.313706f, 14.727921f, 15.142134f, 15.556347f, 16.556347f, 17.556347f, 18.556347f, 19.556347f, 20.556345f, 21.556345f, 22.556345f, 23.556345f, 24.556345f, 25.556345f, 26.556345f,
    27.556345f, 28.556345f, 29.556345f, 30.556345f, 31.556345f, 32.556343f, 33.556343f, 34.556343f, 35.556343f, 36.556343f, 19.656853f, 19.242640f, 18.828426f, 18.414213f, 18.828426f, 19.242640f, 19.656853f, 20.071066f, 20.485279f, 20.899492f,
    21.313705f, 21.727919f, 22.142132f, 22.556345f, 3.000000f, 3.414214f, 3.828427f, 4.242640f, 5.242640f, 6.242640f, 5.242640f, 4.828427f, 4.414214f, 4.000000f, 4.414214f, 4.828427f, 5.242640f, 5.656854f, 6.656854f, 7.656854f,
    8.656854f, 9.656854f, 10.656854f, 11.656854f, 12.656853f, 13.656853f, 14.656853f, 15.656853f, 16.656853f, 17.656853f, 12.828426f, 12.414213f, 12.000000f, 12.414213f, 12.828426f, 13.242640f, 13.656853f, 14.071066f, 14.485280f, 14.899493f,
    0.000000f, 5.414214f, 4.414214f, 3.414214f, 3.000000f, 3.414214f, 3.828427f, 4.242640f, 5.242640f, 6.242640f, 7.242640f, 12.485280f, 12.071067f, 11.656854f, 11.242640f, 10.828426f, 10.414213f, 10.000000f, 10.414213f, 10.828426f,
    11.242640f, 11.656854f, 12.071067f, 12.485280f, 12.899493f, 13.313707f, 13.727921f, 14.142134f, 15.142134f, 16.142134f, 17.142134f, 18.142134f, 19.142132f, 20.142132f, 21.142132f, 22.142132f, 23.142132f, 24.142132f, 25.142132f, 26.142132f,
    27.142132f, 28.142132f, 29.142132f, 30.142132f, 31.142132f, 32.142132f, 33.142132f, 34.142132f, 19.485279f, 19.071066f, 18.656853f, 18.242640f, 17.828426f, 17.414213f, 17.828426f, 18.242640f, 18.656853f, 19.071066f, 19.485279f, 19.899492f,
    20.313705f, 20.727919f, 21.142132f, 21.556345f, 21.970558f, 22.384773f, 6.656854f, 5.656854f, 5.242640f, 4.828427f, 4.414214f, 4.000000f, 5.414214f, 5.000000f, 5.414214f, 5.828427f, 6.242640f, 6.656854f, 7.071068f, 8.071068f,
    9.071068f, 10.071067f, 11.071067f, 12.071067f, 13.071067f, 14.071066f, 15.071066f, 16.071066f, 17.071066f, 18.071066f, 19.071066f, 20.071066f, 21.071066f, 13.414213f, 13.828426f, 14.242640f, 14.656853f, 15.071066f, 19.414213f, 19.828426f,
    1.000000f, 5.828427f, 4.828427f, 4.414214f, 4.000000f, 4.414214f, 4.828427f, 5.242640f, 5.656854f, 6.656854f, 7.656854f, 11.485280f, 11.071067f, 10.656854f, 10.242640f, 9.828426f, 9.414213f, 9.000000f, 9.414213f, 9.828426f,
    10.242640f, 10.656854f, 11.071067f, 11.485280f, 11.899494f, 12.313707f, 12.727921f, 13.727921f, 14.727921f, 15.727920f, 16.727921f, 17.727919f, 18.727919f, 19.727919f, 20.727919f, 21.727919f, 22.727919f, 23.727919f, 24.727919f, 25.727919f,
    26.727919f, 27.727919f, 28.727919f, 29.727919f, 30.727919f, 31.727919f, 32.727921f, 33.727921f, 18.485279f, 18.071066f, 17.656853f, 17.242640f, 16.828426f, 16.414213f, 16.828426f, 17.242640f, 17.656853f, 18.071066f, 18.485279f, 18.899492f,
    19.313705f, 19.727919f, 20.142132f, 20.556345f, 20.970560f, 21.970558f, 22.970558f, 5.242640f, 4.242640f, 3.828427f, 3.414214f, 3.000000f, 3.414214f, 6.000000f, 6.414214f, 6.828427f, 7.242640f, 7.656854f, 8.071068f, 8.485281f,
    9.485281f, 10.485281f, 11.485280f, 12.485280f, 13.485280f, 14.485280f, 15.485279f, 16.485279f, 17.485279f, 18.485279f, 19.485279f, 20.485279f, 21.485279f, 22.485279f, 2.414214f, 2.000000f, 2.414214f, 18.000000f, 18.414213f, 18.828426f,
    2.000000f, 2.414214f, 5.828427f, 5.414214f, 5.000000f, 5.414214f, 5.828427f, 6.242640f, 6.656854f, 7.071068f, 10.899494f, 10.485281f, 10.071067f, 9.656854f, 9.242640f, 8.828427f, 8.414213f, 8.000000f, 8.414213f, 8.828427f,
    9.242640f, 9.656854f, 10.071067f, 10.485281f, 10.899494f, 11.313707f, 12.313707f, 13.313707f, 14.313706f, 15.313706f, 16.313705f, 17.313705f, 18.313705f, 19.313705f, 20.313705f, 21.313705f, 22.313705f, 23.313705f, 24.313705f, 25.313705f,
    26.313705f, 27.313705f, 28.313705f, 29.313705f, 30.313705f, 31.313705f, 32.313705f, 33.313705f, 17.485279f, 17.071066f, 16.656853f, 16.242640f, 15.828426f, 15.414213f, 15.828426f, 16.242640f, 16.656853f, 17.071066f, 17.485279f, 17.899492f,
    18.313705f, 18.727919f, 19.142132f, 19.556347f, 20.556345f, 21.556345f, 22.556345f, 23.556345f, 3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 7.414214f, 7.828427f, 8.242640f, 8.656854f, 9.071068f, 9.485281f,
    9.899494f, 10.899494f, 11.899494f, 12.899493f, 13.899493f, 14.899493f, 15.899493f, 16.899492f, 17.899492f, 18.899492f, 5.828427f, 5.414214f, 21.899492f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 17.000000f, 17.414213f, 17.828426f,
    8.242641f, 7.242641f, 6.828427f, 6.414214f, 6.000000f, 6.414214f, 6.828427f, 7.242640f, 7.656854f, 8.071068f, 9.899494f, 9.485281f, 9.071068f, 8.656854f, 8.242640f, 7.828427f, 7.414214f, 7.000000f, 7.414214f, 7.828427f,
    8.242640f, 8.656854f, 9.071068f, 9.485281f, 9.899494f, 10.899494f, 11.899494f, 12.899493f, 13.899493f, 14.899493f, 15.899493f, 16.899492f, 17.899492f, 18.899492f, 19.899492f, 20.899492f, 21.899492f, 22.899492f, 23.899492f, 24.899492f,
    25.899492f, 26.899492f, 27.899492f, 28.899492f, 29.899492f, 30.899492f, 31.899492f, 32.899490f, 16.485279f, 16.071066f, 15.656853f, 15.242640f, 14.828426f, 14.414213f, 14.828426f, 15.242640f, 15.656853f, 16.071066f, 16.485279f, 16.899492f,
    17.313705f, 17.727919f, 18.142134f, 19.142132f, 20.142132f, 21.142132f, 22.142132f, 22.556345f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 8.828427f, 9.242640f, 9.656854f, 10.071067f, 10.485281f,
    10.899494f, 11.313707f, 12.313707f, 13.313707f, 14.313706f, 15.313706f, 16.313705f, 17.313705f, 5.656854f, 5.242640f, 4.828427f, 4.414214f, 4.000000f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 16.000000f, 16.414213f, 16.828426f,
    8.656855f, 8.242640f, 7.828427f, 7.414214f, 7.000000f, 7.414214f, 7.828427f, 8.242640f, 8.656854f, 10.485281f, 9.485281f, 8.485281f, 8.071068f, 7.656854f, 7.242640f, 6.828427f, 6.414214f, 6.000000f, 6.414214f, 6.828427f,
    7.242640f, 7.656854f, 8.071068f, 8.485281f, 9.485281f, 10.485281f, 11.485280f, 12.485280f, 13.485280f, 14.485280f, 15.485279f, 16.485279f, 17.485279f, 18.485279f, 19.485279f, 20.485279f, 21.485279f, 22.485279f, 23.485279f, 24.485279f,
    25.485279f, 26.485279f, 27.485279f, 28.485279f, 29.485279f, 30.485279f, 31.485279f, 32.485279f, 15.485279f, 15.071066f, 14.656853f, 14.242640f, 13.828426f, 13.414213f, 13.828426f, 14.242640f, 14.656853f, 15.071066f, 15.485279f, 15.899493f,
    16.313705f, 16.727921f, 17.727919f, 18.727919f, 19.727919f, 20.727919f, 21.142132f, 21.556345f, 3.000000f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 3.000000f, 9.828427f, 10.242640f, 0.000000f, 11.071067f, 11.485280f,
    11.899494f, 12.313707f, 8.414213f, 8.000000f, 14.727921f, 15.727920f, 16.727921f, 17.727919f, 5.242640f, 4.242640f, 3.828427f, 3.414214f, 3.000000f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 15.000000f, 15.414213f, 15.828426f,
    9.656854f, 9.242640f, 8.828427f, 8.414213f, 8.000000f, 8.414213f, 8.828427f, 9.242640f, 11.071067f, 10.071067f, 9.071068f, 8.071068f, 7.071068f, 6.656854f, 6.242640f, 5.828427f, 5.414214f, 5.000000f, 5.414214f, 5.828427f,
    6.242640f, 6.656854f, 7.071068f, 8.071068f, 9.071068f, 10.071067f, 11.071067f, 12.071067f, 13.071067f, 14.071066f, 15.071066f, 16.071066f, 17.071066f, 18.071066f, 19.071066f, 20.071066f, 21.071066f, 22.071066f, 23.071066f, 0.000000f,
    25.071066f, 26.071066f, 27.071066f, 28.071066f, 29.071066f, 30.071066f, 31.071066f, 14.899493f, 14.485280f, 14.071066f, 13.656853f, 13.242640f, 12.828426f, 12.414213f, 12.828426f, 13.242640f, 13.656853f, 14.071066f, 14.485280f, 14.899493f,
    15.313706f, 16.313705f, 17.313705f, 18.313705f, 19.313705f, 19.727919f, 20.142132f, 20.556345f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 11.242640f, 11.656854f, 12.071067f, 12.485280f,
    12.899493f, 13.313707f, 7.414214f, 7.000000f, 7.414214f, 16.142134f, 17.142134f, 18.142134f, 19.142132f, 3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.414214f, 2.000000f, 2.414214f, 14.000000f, 14.414213f, 14.828426f,
    10.656854f, 10.242640f, 9.828426f, 9.414213f, 9.000000f, 9.414213f, 9.828426f, 10.242640f, 10.656854f, 9.656854f, 8.656854f, 7.656854f, 6.656854f, 5.656854f, 5.242640f, 4.828427f, 4.414214f, 4.000000f, 4.414214f, 4.828427f,
    5.242640f, 5.656854f, 6.656854f, 7.656854f, 8.656854f, 9.656854f, 10.656854f, 11.656854f, 12.656853f, 13.656853f, 14.656853f, 15.656853f, 16.656853f, 17.656853f, 18.656853f, 19.656853f, 20.656853f, 21.656853f, 22.656853f, 23.656853f,
    24.656853f, 25.656853f, 26.656853f, 27.656853f, 28.656853f, 29.656853f, 30.656853f, 14.485280f, 13.485280f, 13.071067f, 12.656853f, 12.242640f, 11.828426f, 11.414213f, 11.828426f, 12.242640f, 12.656853f, 13.071067f, 13.485280f, 13.899493f,
    2.414214f, 16.727921f, 17.727919f, 18.727919f, 19.142132f, 18.727919f, 19.142132f, 19.556347f, 20.556345f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 4.828427f, 7.000000f, 7.414214f, 7.828427f, 13.485280f,
    13.899493f, 6.828427f, 6.414214f, 6.000000f, 6.414214f, 17.142134f, 17.556347f, 18.556347f, 4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.000000f, 13.414213f, 13.000000f, 13.414213f, 13.828426f,
    11.656854f, 11.242640f, 10.828426f, 10.414213f, 10.000000f, 10.414213f, 10.828426f, 11.242640f, 10.242640f, 9.242640f, 8.242640f, 7.242640f, 6.242640f, 5.242640f, 4.242640f, 3.828427f, 3.414214f, 3.000000f, 3.414214f, 3.828427f,
    4.242640f, 5.242640f, 6.242640f, 7.242640f, 8.242640f, 9.242640f, 10.242640f, 11.242640f, 12.242640f, 13.242640f, 14.242640f, 15.242640f, 16.242640f, 17.242640f, 18.242640f, 19.242640f, 20.242640f, 21.242640f, 22.242640f, 23.242640f,
    24.242640f, 25.242640f, 26.242640f, 27.242640f, 28.242640f, 29.242640f, 30.242640f, 14.071067f, 13.071067f, 12.071067f, 11.656854f, 11.242640f, 10.828426f, 10.414213f, 10.828426f, 11.242640f, 11.656854f, 12.071067f, 12.485280f, 13.485280f,
    2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 17.727919f, 18.142134f, 19.142132f, 20.142132f, 21.142132f, 22.142132f, 3.000000f, 3.414214f, 3.828427f, 4.242640f, 5.242640f, 6.000000f, 6.414214f, 6.828427f, 7.242640f,
    14.899493f, 5.828427f, 5.414214f, 5.000000f, 5.414214f, 5.828427f, 18.556347f, 18.970560f, 4.000000f, 3.000000f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 3.000000f, 12.414213f, 12.000000f, 12.414213f, 12.828426f,
    12.656853f, 12.242640f, 11.828426f, 11.414213f, 11.000000f, 11.414213f, 11.828426f, 10.828426f, 9.828426f, 8.828427f, 7.828427f, 6.828427f, 5.828427f, 4.828427f, 3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f,
    3.828427f, 4.828427f, 5.828427f, 6.828427f, 7.828427f, 8.828427f, 9.828426f, 10.828426f, 11.828426f, 12.828426f, 13.828426f, 14.828426f, 15.828426f, 16.828426f, 17.828426f, 18.828426f, 19.828426f, 20.828426f, 21.828426f, 22.828426f,
    23.828426f, 24.828426f, 25.828426f, 26.828426f, 27.828426f, 28.828426f, 29.828426f, 30.828426f, 12.656854f, 11.656854f, 10.656854f, 10.242640f, 9.828426f, 9.414213f, 9.828426f, 10.242640f, 10.656854f, 11.071067f, 12.071067f, 13.071067f,
    14.071067f, 15.071067f, 15.485280f, 15.899493f, 16.313705f, 16.727921f, 17.727919f, 18.727919f, 19.727919f, 20.727919f, 21.727919f, 4.000000f, 4.414214f, 4.828427f, 5.242640f, 5.656854f, 5.000000f, 5.414214f, 5.828427f, 6.242640f,
    6.656854f, 4.828427f, 4.414214f, 4.000000f, 4.414214f, 4.828427f, 5.242640f, 7.828427f, 20.384773f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 11.414213f, 11.000000f, 11.414213f, 11.828426f,
    13.656853f, 13.242640f, 12.828426f, 12.414213f, 12.000000f, 12.414213f, 11.414213f, 10.414213f, 9.414213f, 8.414213f, 7.414214f, 6.414214f, 5.414214f, 4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f,
    3.414214f, 4.414214f, 5.414214f, 6.414214f, 7.414214f, 8.414213f, 9.414213f, 10.414213f, 11.414213f, 12.414213f, 13.414213f, 14.414213f, 15.414213f, 16.414213f, 17.414213f, 18.414213f, 19.414213f, 20.414213f, 21.414213f, 22.414213f,
    23.414213f, 24.414213f, 25.414213f, 26.414213f, 27.414213f, 28.414213f, 29.414213f, 30.414213f, 31.414213f, 32.414215f, 10.242640f, 9.242640f, 8.828427f, 8.414213f, 8.828427f, 9.242640f, 9.656854f, 10.656854f, 11.656854f, 12.656854f,
    13.656854f, 14.071067f, 14.485280f, 14.899493f, 15.313706f, 16.313705f, 17.313705f, 18.313705f, 19.313705f, 20.313705f, 21.313705f, 22.313705f, 5.414214f, 5.828427f, 6.242640f, 6.656854f, 4.000000f, 4.414214f, 4.828427f, 5.242640f,
    5.656854f, 6.656854f, 3.414214f, 3.000000f, 3.414214f, 3.828427f, 4.242640f, 6.828427f, 6.414214f, 6.000000f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 10.414213f, 10.000000f, 10.414213f, 10.828426f,
    14.656853f, 14.242640f, 13.828426f, 13.414213f, 13.000000f, 13.414213f, 13.828426f, 10.000000f, 9.000000f, 8.000000f, 7.000000f, 6.000000f, 5.000000f, 4.000000f, 3.000000f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f,
    3.000000f, 4.000000f, 5.000000f, 6.000000f, 7.000000f, 8.000000f, 9.000000f, 10.000000f, 11.000000f, 12.000000f, 13.000000f, 14.000000f, 15.000000f, 16.000000f, 17.000000f, 18.000000f, 19.000000f, 20.000000f, 21.000000f, 22.000000f,
    23.000000f, 24.000000f, 25.000000f, 26.000000f, 27.000000f, 24.142134f, 29.828426f, 30.828426f, 31.828426f, 32.828426f, 33.828426f, 34.828426f, 7.828427f, 7.414214f, 7.828427f, 8.242640f, 9.242640f, 10.242640f, 11.242640f, 12.242640f,
    12.656854f, 13.071067f, 13.485280f, 13.899493f, 14.899493f, 15.899493f, 16.899492f, 17.899492f, 18.899492f, 19.899492f, 20.899492f, 21.899492f, 5.242640f, 4.242640f, 3.828427f, 3.414214f, 3.000000f, 3.414214f, 3.828427f, 4.242640f,
    5.242640f, 6.242640f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 5.828427f, 5.414214f, 5.000000f, 5.414214f, 3.414214f, 3.000000f, 3.414214f, 3.828427f, 4.242640f, 9.414213f, 9.000000f, 9.414213f, 9.828426f,
    15.656853f, 15.242640f, 14.828426f, 14.414213f, 14.000000f, 14.414213f, 14.828426f, 10.414213f, 9.414213f, 8.414213f, 7.414214f, 6.414214f, 5.414214f, 4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f,
    3.414214f, 4.414214f, 5.414214f, 6.414214f, 7.414214f, 8.414213f, 9.414213f, 10.414213f, 11.414213f, 12.414213f, 13.414213f, 14.414213f, 15.414213f, 16.414213f, 17.414213f, 18.414213f, 19.414213f, 20.414213f, 21.414213f, 22.414213f,
    23.414213f, 24.414213f, 25.414213f, 22.313707f, 22.727921f, 28.414213f, 29.414213f, 30.414213f, 31.414213f, 32.414215f, 33.414215f, 34.414215f, 6.828427f, 6.414214f, 6.828427f, 7.828427f, 3.000000f, 3.414214f, 11.656854f, 11.242640f,
    11.656854f, 12.071067f, 12.485280f, 13.485280f, 14.485280f, 15.485279f, 16.485279f, 17.485279f, 18.485279f, 19.485279f, 20.485279f, 21.485279f, 4.828427f, 3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f,
    4.828427f, 5.828427f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.828427f, 4.414214f, 4.000000f, 4.414214f, 4.828427f, 4.000000f, 4.414214f, 4.828427f, 5.242640f, 8.414213f, 8.000000f, 8.414213f, 8.828427f,
    16.656853f, 16.242640f, 15.828426f, 15.414213f, 15.000000f, 15.414213f, 15.828426f, 16.242640f, 9.828426f, 8.828427f, 7.828427f, 6.828427f, 5.828427f, 4.828427f, 3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f,
    3.828427f, 4.828427f, 5.828427f, 6.828427f, 7.828427f, 8.828427f, 9.828426f, 10.828426f, 11.828426f, 12.828426f, 13.828426f, 14.828426f, 15.828426f, 16.828426f, 17.828426f, 18.828426f, 19.828426f, 20.828426f, 21.828426f, 22.828426f,
    23.828426f, 20.485281f, 20.899494f, 21.313707f, 29.828426f, 29.414213f, 29.828426f, 30.828426f, 31.828426f, 32.828426f, 33.828426f, 34.828426f, 35.828426f, 5.414214f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 10.242640f,
    10.656854f, 11.071067f, 12.071067f, 13.071067f, 14.071066f, 15.071066f, 16.071066f, 17.071066f, 18.071066f, 19.071066f, 20.071066f, 21.071066f, 4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f,
    4.414214f, 5.414214f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 4.242640f, 3.828427f, 3.414214f, 3.000000f, 3.414214f, 3.828427f, 4.242640f, 5.414214f, 5.828427f, 6.242640f, 7.414214f, 7.000000f, 7.414214f, 7.828427f,
    17.656853f, 17.242640f, 16.828426f, 16.414213f, 16.000000f, 16.414213f, 16.828426f, 17.242640f, 17.656853f, 18.656853f, 8.242640f, 7.242640f, 6.242640f, 5.242640f, 4.242640f, 3.828427f, 3.414214f, 3.000000f, 3.414214f, 3.828427f,
    4.242640f, 5.242640f, 6.242640f, 7.242640f, 8.242640f, 9.242640f, 10.242640f, 11.242640f, 12.242640f, 13.242640f, 14.242640f, 15.242640f, 16.242640f, 17.242640f, 18.242640f, 19.242640f, 20.242640f, 21.242640f, 22.242640f, 20.313707f,
    19.899494f, 19.485281f, 19.899494f, 31.242640f, 30.828426f, 30.414213f, 30.828426f, 31.242640f, 32.242638f, 33.242638f, 34.242638f, 35.242638f, 4.000000f, 4.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 9.242640f,
    9.656854f, 10.656854f, 11.656854f, 12.656853f, 13.656853f, 14.656853f, 15.656853f, 16.656853f, 17.656853f, 18.656853f, 6.000000f, 5.000000f, 4.000000f, 3.000000f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 3.000000f,
    4.000000f, 5.000000f, 1.414214f, 1.000000f, 1.414214f, 4.828427f, 3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 4.828427f, 7.242640f, 6.828427f, 6.414214f, 6.000000f, 6.414214f, 6.828427f,
    18.656853f, 18.242640f, 17.828426f, 17.414213f, 17.000000f, 17.414213f, 17.828426f, 18.242640f, 18.656853f, 19.071066f, 20.071066f, 7.656854f, 6.656854f, 5.656854f, 5.242640f, 4.828427f, 4.414214f, 4.000000f, 4.414214f, 4.828427f,
    5.242640f, 5.656854f, 6.656854f, 7.656854f, 8.656854f, 9.656854f, 10.656854f, 11.656854f, 12.656853f, 13.656853f, 14.656853f, 15.656853f, 16.656853f, 17.656853f, 18.656853f, 19.656853f, 20.656853f, 21.656853f, 19.727921f, 19.313707f,
    18.899494f, 18.485281f, 18.899494f, 32.242638f, 31.828426f, 31.414213f, 31.828426f, 32.242638f, 32.656853f, 33.656853f, 34.656853f, 35.656853f, 3.000000f, 3.414214f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 8.242640f,
    9.242640f, 10.242640f, 11.242640f, 12.242640f, 13.242640f, 14.242640f, 15.242640f, 16.242640f, 17.242640f, 18.242640f, 19.242640f, 5.414214f, 4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f,
    4.414214f, 5.414214f, 2.414214f, 2.000000f, 2.414214f, 4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 6.242640f, 5.828427f, 5.414214f, 5.000000f, 5.414214f, 5.828427f,
    1.414214f, 1.000000f, 18.828426f, 18.414213f, 18.000000f, 18.414213f, 18.828426f, 12.899494f, 19.656853f, 10.071068f, 9.071068f, 8.071068f, 7.071068f, 6.656854f, 6.242640f, 5.828427f, 5.414214f, 5.000000f, 5.414214f, 5.828427f,
    6.242640f, 6.656854f, 7.071068f, 8.071068f, 9.071068f, 10.071067f, 11.071067f, 12.071067f, 13.071067f, 14.071066f, 15.071066f, 16.071066f, 17.071066f, 18.071066f, 19.071066f, 20.071066f, 21.071066f, 22.071066f, 18.727921f, 18.313707f,
    17.899494f, 17.485281f, 33.656853f, 33.242638f, 32.828426f, 32.414215f, 32.828426f, 33.242638f, 33.656853f, 34.071068f, 35.071068f, 36.071068f, 2.000000f, 2.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 6.828427f, 7.828427f,
    8.828427f, 9.828426f, 10.828426f, 11.828426f, 12.828426f, 13.828426f, 14.828426f, 15.828426f, 16.828426f, 17.828426f, 18.828426f, 19.828426f, 4.828427f, 3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f,
    13.242640f, 12.828426f, 3.414214f, 3.000000f, 3.414214f, 4.000000f, 3.000000f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 3.000000f, 4.000000f, 5.242640f, 4.828427f, 4.414214f, 4.000000f, 4.414214f, 4.828427f,
    1.000000f, 0.000000f, 19.828426f, 19.414213f, 19.000000f, 19.414213f, 13.485281f, 12.485281f, 11.485281f, 10.485281f, 9.485281f, 8.485281f, 8.071068f, 7.656854f, 7.242640f, 6.828427f, 6.414214f, 6.000000f, 6.414214f, 6.828427f,
    7.242640f, 7.656854f, 8.071068f, 8.485281f, 3.000000f, 3.414214f, 3.828427f, 12.485280f, 13.485280f, 14.485280f, 15.485279f, 16.485279f, 17.485279f, 18.485279f, 19.485279f, 20.485279f, 21.485279f, 22.485279f, 17.727921f, 17.313707f,
    16.899494f, 16.485281f, 34.656853f, 34.242638f, 33.828426f, 33.414215f, 33.828426f, 34.242638f, 34.656853f, 35.071068f, 35.485283f, 1.414214f, 1.000000f, 1.414214f, 2.828427f, 2.414214f, 2.000000f, 5.414214f, 6.414214f, 7.414214f,
    8.414213f, 9.414213f, 10.414213f, 11.414213f, 12.414213f, 13.414213f, 14.414213f, 15.414213f, 16.414213f, 17.414213f, 18.414213f, 19.414213f, 5.242640f, 4.242640f, 3.828427f, 3.414214f, 3.000000f, 3.414214f, 3.828427f, 4.242640f,
    12.242640f, 11.828426f, 11.414213f, 4.000000f, 4.414214f, 4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 5.414214f, 3.828427f, 3.414214f, 3.000000f, 3.414214f, 3.828427f,
    20.727921f, 19.727921f, 18.727921f, 20.414213f, 20.000000f, 14.899494f, 13.899494f, 12.899494f, 11.899494f, 10.899494f, 9.899494f, 9.485281f, 9.071068f, 8.656854f, 8.242640f, 7.828427f, 7.414214f, 7.000000f, 7.414214f, 7.828427f,
    8.242640f, 8.656854f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 13.899493f, 14.899493f, 15.899493f, 16.899492f, 17.899492f, 18.899492f, 19.899492f, 20.899492f, 21.899492f, 22.899492f, 17.313707f, 16.313707f,
    15.899494f, 15.485281f, 35.656853f, 35.242638f, 34.828426f, 34.414215f, 34.828426f, 35.242638f, 35.656853f, 36.071068f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 3.000000f, 4.000000f, 5.000000f, 6.000000f, 7.000000f,
    8.000000f, 9.000000f, 10.000000f, 11.000000f, 12.000000f, 13.000000f, 14.000000f, 15.000000f, 16.000000f, 17.000000f, 18.000000f, 19.000000f, 5.656854f, 5.242640f, 4.828427f, 4.414214f, 4.000000f, 4.414214f, 4.828427f, 5.242640f,
    11.242640f, 10.828426f, 10.414213f, 5.000000f, 5.414214f, 4.828427f, 3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 4.828427f, 5.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f,
    20.313707f, 19.313707f, 18.313707f, 17.313707f, 16.313707f, 15.313707f, 14.313707f, 13.313707f, 12.313707f, 11.313707f, 10.899494f, 10.485281f, 10.071067f, 9.656854f, 9.242640f, 8.828427f, 8.414213f, 8.000000f, 8.414213f, 8.828427f,
    4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 14.899493f, 15.313706f, 16.313705f, 17.313705f, 18.313705f, 19.313705f, 20.313705f, 21.313705f, 22.313705f, 23.313705f, 24.313705f, 15.899494f,
    14.899494f, 14.485281f, 36.656853f, 36.242638f, 35.828426f, 35.414215f, 35.828426f, 36.242638f, 36.656853f, 37.071068f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 5.414214f, 6.414214f, 7.414214f,
    8.414213f, 9.414213f, 10.414213f, 11.414213f, 12.414213f, 13.414213f, 14.414213f, 15.414213f, 16.414213f, 17.414213f, 18.414213f, 19.414213f, 6.656854f, 6.242640f, 5.828427f, 5.414214f, 5.000000f, 5.414214f, 11.071067f, 10.656854f,
    10.242640f, 9.828426f, 9.414213f, 6.000000f, 6.414214f, 5.242640f, 4.242640f, 3.828427f, 3.414214f, 3.000000f, 3.414214f, 3.828427f, 4.242640f, 5.242640f, 0.000000f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f,
    20.727921f, 19.727921f, 18.727921f, 17.727921f, 16.727921f, 15.727921f, 14.727921f, 13.727921f, 12.727921f, 12.313707f, 11.899494f, 11.485280f, 11.071067f, 10.656854f, 10.242640f, 9.828426f, 9.414213f, 9.000000f, 9.414213f, 9.828426f,
    4.000000f, 3.000000f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 3.000000f, 15.899493f, 16.313705f, 16.727921f, 17.727919f, 18.727919f, 19.727919f, 20.727919f, 21.727919f, 22.727919f, 23.727919f, 24.727919f, 15.485281f,
    14.485281f, 13.485281f, 37.656853f, 37.242638f, 36.828426f, 36.414215f, 36.828426f, 37.242638f, 37.656853f, 38.071068f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 4.828427f, 5.828427f, 6.828427f, 7.828427f,
    8.828427f, 9.828426f, 10.828426f, 11.828426f, 12.828426f, 13.828426f, 14.828426f, 15.828426f, 16.828426f, 17.828426f, 18.828426f, 19.828426f, 7.656854f, 7.242640f, 6.828427f, 6.414214f, 6.000000f, 10.485281f, 10.071067f, 9.656854f,
    9.242640f, 8.828427f, 8.414213f, 8.000000f, 7.414214f, 5.656854f, 5.242640f, 4.828427f, 4.414214f, 4.000000f, 4.414214f, 4.828427f, 5.242640f, 4.000000f, 3.000000f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f,
    21.142134f, 20.142134f, 19.142134f, 18.142134f, 17.142134f, 16.142134f, 15.142134f, 14.142134f, 13.727921f, 13.313707f, 12.899493f, 12.485280f, 12.071067f, 11.656854f, 11.242640f, 10.828426f, 10.414213f, 10.000000f, 10.414213f, 10.828426f,
    4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 16.899494f, 17.313705f, 17.727919f, 18.142134f, 19.142132f, 20.142132f, 21.142132f, 22.142132f, 23.142132f, 24.142132f, 25.142132f, 26.142132f,
    14.071068f, 13.071068f, 12.071068f, 38.242638f, 37.828426f, 37.414215f, 37.828426f, 38.242638f, 5.242640f, 4.242640f, 3.828427f, 3.414214f, 3.000000f, 3.414214f, 3.828427f, 4.242640f, 5.242640f, 6.242640f, 7.242640f, 8.242640f,
    9.242640f, 10.242640f, 11.242640f, 12.242640f, 13.242640f, 14.242640f, 15.242640f, 16.242640f, 17.242640f, 18.242640f, 19.242640f, 20.242640f, 4.000000f, 8.242640f, 7.828427f, 7.414214f, 7.000000f, 9.485281f, 9.071068f, 8.656854f,
    8.242640f, 7.828427f, 7.414214f, 7.000000f, 7.414214f, 6.656854f, 6.242640f, 5.828427f, 5.414214f, 5.000000f, 5.414214f, 5.828427f, 6.242640f, 6.656854f, 7.656854f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f,
    21.556347f, 20.556347f, 19.556347f, 18.556347f, 17.556347f, 16.556347f, 15.556347f, 15.142134f, 14.727921f, 14.313706f, 13.899493f, 13.485280f, 13.071067f, 12.656853f, 12.242640f, 11.828426f, 11.414213f, 11.000000f, 11.414213f, 11.828426f,
    0.000000f, 3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 18.313707f, 17.899494f, 18.313705f, 18.727919f, 19.142132f, 19.556347f, 20.556345f, 21.556345f, 22.556345f, 23.556345f, 24.556345f, 25.556345f, 26.556345f,
    13.656855f, 12.656855f, 11.656855f, 10.656855f, 9.656855f, 8.656855f, 7.656854f, 6.656854f, 5.656854f, 5.242640f, 4.828427f, 4.414214f, 4.000000f, 4.414214f, 4.828427f, 5.242640f, 5.656854f, 6.656854f, 7.656854f, 8.656854f,
    9.656854f, 10.656854f, 11.656854f, 12.656853f, 13.656853f, 14.656853f, 15.656853f, 16.656853f, 17.656853f, 18.656853f, 19.656853f, 3.414214f, 3.000000f, 3.414214f, 3.828427f, 10.485281f, 9.485281f, 8.485281f, 8.071068f, 7.656854f,
    7.242640f, 6.828427f, 6.414214f, 6.000000f, 6.414214f, 7.656854f, 7.242640f, 6.828427f, 6.414214f, 6.000000f, 6.414214f, 6.828427f, 12.071067f, 7.656854f, 8.071068f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f,
    21.970560f, 20.970560f, 19.970560f, 18.970560f, 17.970560f, 16.970560f, 16.556347f, 16.142134f, 15.727920f, 15.313706f, 14.899493f, 14.485280f, 14.071066f, 13.656853f, 13.242640f, 12.828426f, 12.414213f, 12.000000f, 12.414213f, 12.828426f,
    13.242640f, 14.242640f, 15.242640f, 3.414214f, 3.000000f, 19.071066f, 19.727921f, 19.313707f, 18.899494f, 19.313705f, 19.727919f, 20.142132f, 20.556345f, 20.970560f, 21.970558f, 22.970558f, 23.970558f, 24.970558f, 25.970558f, 26.970558f,
    27.970558f, 13.071068f, 12.071068f, 11.071068f, 10.071068f, 9.071068f, 8.071068f, 7.071068f, 6.656854f, 6.242640f, 5.828427f, 5.414214f, 5.000000f, 5.414214f, 5.828427f, 6.242640f, 6.656854f, 7.071068f, 8.071068f, 9.071068f,
    10.071067f, 11.071067f, 12.071067f, 13.071067f, 14.071066f, 15.071066f, 16.071066f, 17.071066f, 18.071066f, 19.071066f, 20.071066f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 4.828427f, 8.071068f, 7.071068f, 6.656854f,
    6.242640f, 5.828427f, 5.414214f, 5.000000f, 5.414214f, 5.828427f, 8.242640f, 7.828427f, 7.414214f, 7.000000f, 7.414214f, 7.828427f, 11.071067f, 12.071067f, 13.071067f, 3.828427f, 3.414214f, 3.000000f, 3.414214f, 3.828427f,
    22.384773f, 21.384773f, 20.384773f, 19.384773f, 18.384773f, 17.970560f, 17.556347f, 17.142134f, 16.727921f, 16.313705f, 15.899493f, 15.485279f, 15.071066f, 14.656853f, 14.242640f, 13.828426f, 13.414213f, 13.000000f, 13.414213f, 13.828426f,
    14.242640f, 14.656853f, 15.656853f, 16.656853f, 17.656853f, 18.656853f, 19.656853f, 20.313707f, 19.899494f, 20.313705f, 3.414214f, 3.000000f, 3.414214f, 21.970558f, 22.384773f, 23.384771f, 24.384771f, 25.384771f, 26.384771f, 27.384771f,
    28.384771f, 29.384771f, 12.485281f, 11.485281f, 10.485281f, 9.485281f, 8.485281f, 8.071068f, 7.656854f, 7.242640f, 6.828427f, 6.414214f, 6.000000f, 6.414214f, 6.828427f, 7.242640f, 7.656854f, 8.071068f, 8.485281f, 9.485281f,
    10.485281f, 11.485280f, 12.485280f, 13.485280f, 14.485280f, 15.485279f, 16.485279f, 17.485279f, 18.485279f, 19.485279f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 7.656854f, 6.656854f, 5.656854f,
    5.242640f, 4.828427f, 4.414214f, 4.000000f, 4.414214f, 4.828427f, 5.242640f, 5.656854f, 6.656854f, 8.000000f, 8.656854f, 9.656854f, 10.656854f, 11.656854f, 12.656853f, 4.828427f, 4.414214f, 4.000000f, 4.414214f, 4.828427f,
    22.798986f, 21.798986f, 20.798986f, 19.798986f, 19.384773f, 18.970560f, 18.556347f, 18.142134f, 17.727919f, 17.313705f, 16.899492f, 16.485279f, 16.071066f, 15.656853f, 15.242640f, 14.828426f, 14.414213f, 14.000000f, 14.414213f, 14.828426f,
    15.242640f, 15.656853f, 16.071066f, 17.071066f, 18.071066f, 19.071066f, 20.071066f, 4.828427f, 3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 4.828427f, 5.828427f, 25.798985f, 26.798985f, 27.798985f,
    28.798985f, 29.798985f, 30.798985f, 11.899494f, 10.899494f, 9.899494f, 9.485281f, 9.071068f, 1.414214f, 1.000000f, 0.000000f, 1.000000f, 3.414214f, 7.414214f, 7.828427f, 8.242640f, 8.656854f, 9.071068f, 9.485281f, 9.899494f,
    10.899494f, 11.899494f, 12.899493f, 13.899493f, 14.899493f, 15.899493f, 16.899492f, 17.899492f, 18.899492f, 3.000000f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 3.000000f, 4.000000f, 5.000000f, 6.242640f, 5.242640f,
    4.242640f, 3.828427f, 3.414214f, 3.000000f, 3.414214f, 3.828427f, 4.242640f, 5.242640f, 6.242640f, 7.242640f, 8.242640f, 9.242640f, 10.242640f, 11.242640f, 12.242640f, 5.828427f, 5.414214f, 5.000000f, 5.414214f, 5.828427f,
    23.213200f, 22.213200f, 21.213200f, 20.798986f, 20.384773f, 19.970560f, 19.556347f, 19.142132f, 18.727919f, 18.313705f, 17.899492f, 17.485279f, 17.071066f, 16.656853f, 16.242640f, 15.828426f, 15.414213f, 15.000000f, 1.000000f, 0.000000f,
    16.242640f, 16.656853f, 17.071066f, 17.485279f, 18.485279f, 6.414214f, 5.414214f, 4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 5.414214f, 6.414214f, 27.213198f, 28.213198f,
    29.213198f, 30.213198f, 31.213198f, 32.213196f, 9.242640f, 9.656854f, 10.071067f, 10.485281f, 1.000000f, 0.000000f, 1.000000f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 9.242640f, 9.656854f, 10.071067f, 10.485281f, 10.899494f,
    11.313707f, 12.313707f, 13.313707f, 14.313706f, 15.313706f, 1.414214f, 17.313707f, 18.313705f, 4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 6.828427f, 5.828427f, 4.828427f,
    3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 4.828427f, 5.828427f, 6.828427f, 7.828427f, 8.828427f, 9.828426f, 10.828426f, 11.828426f, 12.828426f, 6.414214f, 6.000000f, 6.414214f, 6.828427f,
    23.627413f, 22.627413f, 22.213200f, 21.798986f, 21.384773f, 20.970560f, 20.556345f, 20.142132f, 19.727919f, 19.313705f, 18.899492f, 18.485279f, 18.071066f, 17.656853f, 17.242640f, 16.828426f, 16.414213f, 16.000000f, 16.414213f, 17.414213f,
    17.242640f, 17.656853f, 18.071066f, 18.485279f, 18.899492f, 6.000000f, 5.000000f, 4.000000f, 3.000000f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 3.000000f, 4.000000f, 5.000000f, 6.000000f, 28.213198f, 28.627411f,
    29.627411f, 30.627411f, 31.627411f, 32.627411f, 8.242640f, 8.656854f, 9.071068f, 9.485281f, 1.414214f, 1.000000f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 10.656854f, 11.071067f, 11.485280f, 11.899494f,
    12.313707f, 12.727921f, 13.727921f, 14.727921f, 15.727920f, 1.000000f, 0.000000f, 7.656854f, 4.828427f, 3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 4.828427f, 6.414214f, 5.414214f, 4.414214f,
    3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 5.414214f, 6.414214f, 7.414214f, 8.414213f, 9.414213f, 10.414213f, 11.414213f, 12.414213f, 13.414213f, 7.000000f, 7.414214f, 7.828427f,
    24.041626f, 23.627413f, 23.213200f, 22.798986f, 22.384773f, 21.970558f, 21.556345f, 21.142132f, 20.727919f, 20.313705f, 19.899492f, 19.485279f, 19.071066f, 18.656853f, 18.242640f, 17.828426f, 17.414213f, 17.000000f, 17.414213f, 17.828426f,
    18.242640f, 18.656853f, 19.071066f, 2.414214f, 19.899492f, 6.414214f, 5.414214f, 4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 5.414214f, 6.414214f, 29.213198f, 29.627411f,
    6.414214f, 6.000000f, 6.414214f, 6.828427f, 7.242640f, 7.656854f, 8.071068f, 8.485281f, 5.000000f, 4.000000f, 3.000000f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 3.000000f, 12.071067f, 3.828427f, 2.828427f,
    2.414214f, 2.000000f, 14.142134f, 15.142134f, 16.142134f, 1.414214f, 1.000000f, 6.656854f, 6.242640f, 5.828427f, 5.414214f, 5.000000f, 5.414214f, 5.828427f, 6.242640f, 6.656854f, 7.071068f, 6.000000f, 5.000000f, 4.000000f,
    3.000000f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 3.000000f, 4.000000f, 5.000000f, 6.000000f, 7.000000f, 8.000000f, 9.000000f, 10.000000f, 11.000000f, 12.000000f, 13.000000f, 8.000000f, 8.414213f, 8.828427f,
    25.041626f, 24.627413f, 24.213200f, 23.798986f, 23.384771f, 22.970558f, 22.556345f, 22.142132f, 21.727919f, 21.313705f, 20.899492f, 20.485279f, 20.071066f, 19.656853f, 19.242640f, 18.828426f, 18.414213f, 18.000000f, 18.414213f, 18.828426f,
    19.242640f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 3.828427f, 32.727921f, 33.142132f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 5.828427f,
    5.414214f, 5.000000f, 5.414214f, 5.828427f, 6.242640f, 6.656854f, 7.071068f, 8.071068f, 5.414214f, 4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 3.414214f, 2.414214f,
    1.414214f, 1.000000f, 1.414214f, 15.556347f, 16.556347f, 7.656854f, 6.656854f, 5.656854f, 5.242640f, 4.828427f, 4.414214f, 4.000000f, 4.414214f, 4.828427f, 5.242640f, 5.656854f, 6.656854f, 6.414214f, 5.414214f, 4.414214f,
    3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 5.414214f, 6.414214f, 7.414214f, 8.414213f, 9.414213f, 10.414213f, 11.414213f, 12.414213f, 13.414213f, 9.000000f, 9.414213f, 9.828426f,
    26.041626f, 25.627413f, 25.213200f, 24.798985f, 24.384771f, 23.970558f, 23.556345f, 23.142132f, 22.727919f, 22.313705f, 21.899492f, 21.485279f, 21.071066f, 20.656853f, 20.242640f, 19.828426f, 19.414213f, 19.000000f, 19.414213f, 19.828426f,
    20.242640f, 20.656853f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 3.000000f, 4.000000f, 31.727919f, 32.142132f, 33.142132f, 34.142132f, 35.142132f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 4.828427f,
    4.414214f, 4.000000f, 4.414214f, 4.828427f, 5.242640f, 5.656854f, 6.656854f, 7.656854f, 0.000000f, 4.828427f, 3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 5.828427f, 6.242640f, 6.656854f, 4.828427f, 2.000000f,
    1.000000f, 0.000000f, 1.000000f, 2.000000f, 3.000000f, 7.242640f, 6.242640f, 5.242640f, 4.242640f, 3.828427f, 3.414214f, 3.000000f, 3.414214f, 3.828427f, 4.242640f, 5.242640f, 6.242640f, 7.242640f, 5.828427f, 4.828427f,
    3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 4.828427f, 5.828427f, 6.828427f, 7.828427f, 8.828427f, 9.828426f, 10.828426f, 11.828426f, 12.828426f, 13.828426f, 10.000000f, 10.414213f, 10.828426f,
    27.041626f, 26.627413f, 26.213198f, 25.798985f, 25.384771f, 24.970558f, 24.556345f, 24.142132f, 23.727919f, 23.313705f, 22.899492f, 22.485279f, 22.071066f, 21.656853f, 21.242640f, 20.828426f, 20.414213f, 20.000000f, 20.414213f, 20.828426f,
    21.242640f, 21.656853f, 22.071066f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 30.313705f, 30.727919f, 31.727919f, 32.727921f, 33.727921f, 34.727921f, 35.727921f, 1.414214f, 1.000000f, 1.414214f, 4.242640f, 3.828427f,
    3.414214f, 3.000000f, 3.414214f, 3.828427f, 4.242640f, 5.242640f, 6.242640f, 7.242640f, 8.242640f, 9.242640f, 4.242640f, 3.828427f, 3.414214f, 4.000000f, 4.414214f, 4.828427f, 5.242640f, 5.656854f, 3.828427f, 3.414214f,
    3.000000f, 1.000000f, 1.414214f, 2.414214f, 7.828427f, 6.828427f, 5.828427f, 4.828427f, 3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 4.828427f, 5.828427f, 6.828427f, 6.242640f, 5.242640f,
    4.242640f, 3.828427f, 3.414214f, 3.000000f, 3.414214f, 3.828427f, 4.242640f, 5.242640f, 6.242640f, 7.242640f, 8.242640f, 9.242640f, 10.242640f, 11.242640f, 12.242640f, 13.242640f, 14.242640f, 11.000000f, 11.414213f, 11.828426f,
    28.041626f, 27.627411f, 27.213198f, 26.798985f, 26.384771f, 25.970558f, 25.556345f, 25.142132f, 24.727919f, 24.313705f, 23.899492f, 23.485279f, 23.071066f, 22.656853f, 22.242640f, 21.828426f, 21.414213f, 21.000000f, 21.414213f, 21.828426f,
    22.242640f, 22.656853f, 23.071066f, 23.485279f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 29.313705f, 30.313705f, 31.313705f, 32.313705f, 33.313705f, 34.313705f, 35.313705f, 36.313705f, 37.313705f, 2.414214f, 3.828427f, 2.828427f,
    2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 4.828427f, 5.828427f, 6.828427f, 7.828427f, 8.828427f, 4.242640f, 4.828427f, 3.414214f, 3.000000f, 3.414214f, 3.828427f, 4.242640f, 5.242640f, 2.828427f, 2.414214f,
    2.000000f, 2.414214f, 2.414214f, 8.414213f, 7.414214f, 6.414214f, 5.414214f, 4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 5.414214f, 6.414214f, 6.656854f, 5.656854f,
    5.242640f, 4.828427f, 4.414214f, 4.000000f, 4.414214f, 4.828427f, 5.242640f, 5.656854f, 6.656854f, 7.656854f, 8.656854f, 9.656854f, 10.656854f, 11.656854f, 12.656853f, 13.656853f, 14.656853f, 12.000000f, 12.414213f, 12.828426f,
    29.041624f, 28.627411f, 28.213198f, 27.798985f, 27.384771f, 26.970558f, 26.556345f, 26.142132f, 25.727919f, 25.313705f, 24.899492f, 24.485279f, 24.071066f, 23.656853f, 23.242640f, 22.828426f, 22.414213f, 22.000000f, 22.414213f, 22.828426f,
    23.242640f, 23.656853f, 24.071066f, 24.485279f, 24.899492f, 25.899492f, 26.899492f, 27.899492f, 28.899492f, 29.899492f, 30.899492f, 31.899492f, 32.899490f, 33.899490f, 34.899490f, 35.899490f, 36.899490f, 37.899490f, 3.414214f, 2.414214f,
    1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 5.414214f, 6.414214f, 7.414214f, 8.414213f, 3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 4.828427f, 2.414214f, 1.414214f,
    1.000000f, 1.414214f, 9.000000f, 8.000000f, 7.000000f, 6.000000f, 5.000000f, 4.000000f, 3.000000f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 3.000000f, 4.000000f, 5.000000f, 6.000000f, 7.000000f, 6.656854f,
    6.242640f, 5.828427f, 5.414214f, 5.000000f, 5.414214f, 5.828427f, 6.242640f, 6.656854f, 7.071068f, 8.071068f, 9.071068f, 10.071067f, 11.071067f, 12.071067f, 13.071067f, 14.071066f, 15.071066f, 16.071066f, 13.414213f, 13.828426f,
    30.041624f, 29.627411f, 29.213198f, 28.798985f, 28.384771f, 27.970558f, 27.556345f, 27.142132f, 26.727919f, 26.313705f, 25.899492f, 25.485279f, 25.071066f, 24.656853f, 24.242640f, 23.828426f, 23.414213f, 23.000000f, 23.414213f, 23.828426f,
    24.242640f, 24.656853f, 25.071066f, 25.485279f, 25.899492f, 26.313705f, 27.313705f, 28.313705f, 29.313705f, 30.313705f, 31.313705f, 32.313705f, 33.313705f, 34.313705f, 35.313705f, 36.313705f, 37.313705f, 38.313705f, 3.000000f, 2.000000f,
    1.000000f, 0.000000f, 1.000000f, 2.000000f, 3.000000f, 4.000000f, 5.000000f, 6.000000f, 7.000000f, 4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 2.000000f, 1.000000f,
    0.000000f, 1.000000f, 9.414213f, 8.414213f, 7.414214f, 6.414214f, 5.414214f, 4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 5.414214f, 6.414214f, 7.414214f, 8.414213f,
    7.242640f, 6.828427f, 6.414214f, 6.000000f, 6.414214f, 6.828427f, 7.242640f, 7.656854f, 8.071068f, 8.485281f, 9.485281f, 10.485281f, 11.485280f, 12.485280f, 13.485280f, 14.485280f, 15.485279f, 16.485279f, 14.414213f, 14.828426f,
    31.041624f, 30.627411f, 30.213198f, 29.798985f, 29.384771f, 28.970558f, 28.556345f, 28.142132f, 27.727919f, 27.313705f, 26.899492f, 26.485279f, 26.071066f, 25.656853f, 25.242640f, 24.828426f, 24.414213f, 24.000000f, 24.414213f, 24.828426f,
    25.242640f, 25.656853f, 26.071066f, 26.485279f, 26.899492f, 27.313705f, 27.727919f, 28.727919f, 29.727919f, 30.727919f, 1.000000f, 32.727921f, 33.727921f, 34.727921f, 35.727921f, 36.727921f, 37.727921f, 38.727921f, 3.414214f, 2.414214f,
    1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 5.414214f, 6.414214f, 7.414214f, 4.000000f, 3.000000f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 3.000000f, 4.000000f, 2.414214f, 1.414214f,
    1.000000f, 1.414214f, 9.828426f, 8.828427f, 7.828427f, 6.828427f, 5.828427f, 4.828427f, 3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 4.828427f, 5.828427f, 6.828427f, 7.828427f, 8.828427f,
    8.242640f, 7.828427f, 7.414214f, 7.000000f, 7.414214f, 7.828427f, 8.242640f, 8.656854f, 9.071068f, 9.485281f, 9.899494f, 10.899494f, 11.899494f, 12.899493f, 13.899493f, 14.899493f, 15.899493f, 16.899492f, 15.414213f, 15.828426f,
    32.041626f, 31.627411f, 31.213198f, 30.798985f, 30.384771f, 29.970558f, 29.556345f, 29.142132f, 28.727919f, 28.313705f, 27.899492f, 27.485279f, 27.071066f, 26.656853f, 26.242640f, 25.828426f, 25.414213f, 25.000000f, 25.414213f, 25.828426f,
    26.242640f, 26.656853f, 27.071066f, 27.485279f, 27.899492f, 28.313705f, 28.727919f, 29.142132f, 30.142132f, 1.000000f, 0.000000f, 33.727921f, 34.142136f, 35.142136f, 7.828427f, 6.828427f, 5.828427f, 4.828427f, 3.828427f, 2.828427f,
    2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 4.828427f, 5.828427f, 6.828427f, 5.414214f, 4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 1.000000f, 1.414214f,
    2.000000f, 2.414214f, 2.828427f, 9.242640f, 8.242640f, 7.242640f, 6.242640f, 5.242640f, 4.242640f, 3.828427f, 3.414214f, 3.000000f, 3.414214f, 3.828427f, 4.242640f, 5.242640f, 6.242640f, 7.242640f, 8.242640f, 9.242640f,
    9.242640f, 8.828427f, 8.414213f, 8.000000f, 8.414213f, 8.828427f, 9.242640f, 9.656854f, 10.071067f, 10.485281f, 10.899494f, 11.313707f, 12.313707f, 13.313707f, 14.313706f, 15.313706f, 16.313705f, 17.313705f, 16.414213f, 16.828426f,
    33.041626f, 32.627411f, 32.213196f, 31.798985f, 31.384771f, 30.970558f, 30.556345f, 30.142132f, 29.727919f, 29.313705f, 28.899492f, 28.485279f, 28.071066f, 27.656853f, 27.242640f, 26.828426f, 26.414213f, 26.000000f, 26.414213f, 26.828426f,
    27.242640f, 27.656853f, 28.071066f, 28.485279f, 28.899492f, 29.313705f, 29.727919f, 30.142132f, 30.556345f, 31.556345f, 1.000000f, 34.384773f, 35.142136f, 9.242640f, 8.242640f, 7.242640f, 6.242640f, 5.242640f, 4.242640f, 3.828427f,
    3.414214f, 3.000000f, 3.414214f, 3.828427f, 4.242640f, 5.242640f, 6.242640f, 7.242640f, 5.828427f, 4.828427f, 3.828427f, 2.828427f, 2.414214f, 2.000000f, 2.414214f, 2.828427f, 3.828427f, 1.000000f, 0.000000f, 1.000000f,
    3.000000f, 3.414214f, 3.828427f, 9.656854f, 8.656854f, 7.656854f, 6.656854f, 5.656854f, 5.242640f, 4.828427f, 4.414214f, 4.000000f, 4.414214f, 4.828427f, 5.242640f, 5.656854f, 6.656854f, 7.656854f, 8.656854f, 0.000000f,
    10.242640f, 9.828426f, 9.414213f, 9.000000f, 9.414213f, 9.828426f, 10.242640f, 10.656854f, 11.071067f, 11.485280f, 11.899494f, 12.313707f, 12.727921f, 13.727921f, 14.727921f, 15.727920f, 16.727921f, 17.727919f, 17.414213f, 17.828426f,
    34.041626f, 33.627411f, 33.213196f, 32.798985f, 32.384773f, 31.970558f, 31.556345f, 31.142132f, 30.727919f, 30.313705f, 29.899492f, 29.485279f, 29.071066f, 28.656853f, 28.242640f, 27.828426f, 27.414213f, 27.000000f, 27.414213f, 27.828426f,
    28.242640f, 28.656853f, 29.071066f, 29.485279f, 29.899492f, 30.313705f, 30.727919f, 31.142132f, 31.556345f, 31.970558f, 32.970558f, 33.970558f, 10.656854f, 9.656854f, 8.656854f, 7.656854f, 6.656854f, 5.656854f, 5.242640f, 4.828427f,
    4.414214f, 1.414214f, 4.414214f, 4.828427f, 5.242640f, 5.656854f, 6.656854f, 5.828427f, 4.828427f, 3.828427f, 4.242640f, 3.828427f, 3.414214f, 3.000000f, 3.414214f, 3.828427f, 2.414214f, 1.414214f, 1.000000f, 1.414214f,
    5.414214f, 4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 5.828427f, 5.414214f, 5.000000f, 5.414214f, 5.828427f, 6.242640f, 6.656854f, 7.071068f, 8.071068f, 12.656854f, 11.656854f,
    11.242640f, 10.828426f, 10.414213f, 10.000000f, 10.414213f, 10.828426f, 11.242640f, 11.656854f, 12.071067f, 12.485280f, 12.899493f, 13.313707f, 13.727921f, 14.142134f, 15.142134f, 16.142134f, 17.142134f, 18.142134f, 18.414213f, 18.828426f,
    35.041626f, 34.627411f, 34.213196f, 33.798985f, 33.384773f, 32.970558f, 32.556343f, 32.142132f, 31.727919f, 31.313705f, 30.899492f, 30.485279f, 30.071066f, 29.656853f, 29.242640f, 28.828426f, 28.414213f, 28.000000f, 28.414213f, 28.828426f,
    29.242640f, 29.656853f, 30.071066f, 30.485279f, 30.899492f, 31.313705f, 31.727919f, 32.142132f, 32.556343f, 32.970558f, 33.384773f, 34.384773f, 11.071067f, 10.071067f, 9.071068f, 8.071068f, 7.071068f, 6.656854f, 6.242640f, 5.828427f,
    0.000000f, 1.000000f, 5.414214f, 5.828427f, 6.242640f, 6.656854f, 7.071068f, 5.414214f, 4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 5.414214f, 7.000000f, 6.000000f,
    5.000000f, 4.000000f, 3.000000f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 3.000000f, 4.000000f, 5.000000f, 6.000000f, 7.000000f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 12.656853f,
    12.242640f, 11.828426f, 11.414213f, 11.000000f, 11.414213f, 11.828426f, 12.242640f, 12.656853f, 13.071067f, 13.485280f, 13.899493f, 14.313706f, 14.727921f, 15.142134f, 15.556347f, 16.556347f, 17.556347f, 18.556347f, 1.414214f, 1.000000f,
    36.041626f, 35.627411f, 35.213196f, 34.798985f, 34.384773f, 33.970558f, 33.556343f, 33.142132f, 32.727921f, 32.313705f, 31.899492f, 31.485279f, 31.071066f, 30.656853f, 30.242640f, 29.828426f, 29.414213f, 29.000000f, 29.414213f, 29.828426f,
    30.242640f, 30.656853f, 31.071066f, 31.485279f, 31.899492f, 32.313705f, 32.727921f, 33.142132f, 33.556343f, 33.970558f, 34.384773f, 34.798988f, 11.485280f, 10.485281f, 9.485281f, 8.485281f, 8.071068f, 7.656854f, 7.242640f, 6.828427f,
    1.000000f, 1.414214f, 6.414214f, 6.828427f, 7.242640f, 7.656854f, 6.000000f, 5.000000f, 4.000000f, 3.000000f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 3.000000f, 4.000000f, 5.000000f, 7.414214f, 6.414214f,
    5.414214f, 4.414214f, 3.414214f, 2.414214f, 1.414214f, 1.000000f, 1.414214f, 2.414214f, 3.414214f, 4.414214f, 5.414214f, 6.414214f, 4.000000f, 3.000000f, 2.000000f, 1.000000f, 0.000000f, 1.000000f, 2.000000f, 3.000000f,
    4.000000f, 12.828426f, 12.414213f, 12.000000f, 12.414213f, 12.828426f, 13.242640f, 13.656853f, 14.071066f, 14.485280f, 14.899493f, 15.313706f, 15.727920f, 16.142134f, 16.556347f, 16.970560f, 17.970560f, 18.970560f, 1.000000f, 0.000000f,
};

static unsigned int eccTrafo_centers[196] = {
    0, 0, 8, 5, 35, 20, 53, 22, 67, 2, 64, 0, 70, 1, 74, 1, 79, 3, 92, 10,
    14, 11, 23, 16, 77, 10, 80, 10, 7, 11, 7, 15, 86, 24, 1, 14, 1, 19, 14, 25,
    98, 21, 3, 22, 10, 35, 36, 29, 39, 29, 73, 33, 34, 35, 43, 33, 24, 42, 24, 32,
    95, 36, 88, 39, 40, 36, 69, 38, 76, 36, 84, 36, 91, 34, 92, 47, 70, 36, 36, 41,
    53, 40, 44, 47, 73, 55, 4, 57, 72, 42, 7, 43, 34, 43, 36, 44, 10, 52, 53, 49,
    76, 48, 56, 50, 81, 52, 17, 70, 43, 51, 64, 56, 3, 58, 52, 77, 0, 60, 71, 64,
    97, 79, 95, 63, 92, 67, 77, 64, 83, 72, 39, 65, 62, 67, 76, 73, 89, 75, 56, 74,
    1, 76, 83, 87, 24, 79, 94, 78, 72, 84, 20, 81, 31, 86, 49, 85, 50, 84, 53, 87,
    19, 85, 41, 93, 66, 86, 71, 92, 24, 89, 61, 89, 36, 89, 48, 89, 53, 94, 60, 93,
    30, 95, 58, 96, 79, 96, 40, 98, 52, 99, 65, 98, 76, 99, 99, 99
};

static unsigned int eccTrafo_volume[64000] = {
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 2, 2, 2, 3, 3, 3, 4, 4, 5, 5, 5, 5, 5, 5, 5, 5, 5,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 2, 2, 2, 3, 3, 3, 4, 4, 5, 5, 5, 5, 5, 5, 5, 5, 5,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 5, 5, 5, 5, 5, 5, 5, 5,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 5, 5, 5, 5, 5, 5, 5, 5,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 5, 5, 5, 5, 5, 5, 5, 5,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 6, 6, 6, 6,
    2, 2, 6, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 5, 5, 5, 5, 5, 5, 5,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 6, 6, 6, 6,
    6, 6, 6, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 5, 5, 5, 5, 5, 5, 5,
    7, 7, 7, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 6, 6, 6, 6,
    6, 6, 6, 8, 3, 3, 3, 3, 3, 3, 3, 3, 3, 5, 5, 5, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 1, 1, 1, 9, 9, 1, 1, 1, 1, 6, 6, 6, 6, 6,
    6, 6, 6, 8, 8, 8, 8, 3, 3, 3, 3, 3, 3, 3, 5, 5, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 1, 1, 1, 6, 6, 6, 6, 6,
    6, 6, 8, 8, 8, 8, 8, 8, 8, 8, 8, 3, 3, 10, 10, 5, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 9, 9, 9, 6, 6, 6, 6, 6,
    6, 6, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 3, 10, 10, 10, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 9, 9, 11, 6, 6, 6, 6, 6,
    6, 6, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 10, 10, 10, 5, 5, 5, 5,
    12, 12, 12, 12, 7, 7, 13, 13, 13, 13, 13, 9, 9, 9, 11, 11, 6, 6, 6, 6,
    6, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 10, 10, 10, 5, 5, 14, 14,
    12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 13, 9, 9, 11, 11, 6, 6, 6, 6,
    6, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 10, 10, 10, 10, 10, 14, 14,
    12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 13, 13, 13, 11, 11, 11, 6, 6, 6,
    6, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 10, 10, 10, 10, 10, 10, 14, 14,
    12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 13, 13, 13, 11, 11, 11, 6, 6, 8,
    8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 10, 10, 10, 10, 10, 10, 10, 14, 14,
    12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 13, 13, 15, 11, 11, 11, 11, 11, 8,
    8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 10, 10, 10, 10, 10, 10, 10, 16, 16,
    12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 13, 13, 15, 11, 11, 11, 11, 11, 8,
    8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 10, 10, 10, 10, 10, 10, 16, 16, 16, 16,
    12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 13, 15, 15, 15, 15, 15, 15, 15, 8,
    8, 8, 8, 8, 8, 8, 8, 8, 8, 10, 10, 10, 10, 10, 10, 16, 16, 16, 16, 16,
    12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 13, 13, 15, 15, 15, 13, 13, 13, 13,
    8, 8, 8, 8, 8, 8, 8, 8, 10, 10, 10, 10, 10, 10, 10, 16, 16, 16, 16, 16,
    12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 13, 13, 13, 15, 15, 15, 13, 13, 13, 13,
    13, 13, 8, 8, 8, 8, 8, 8, 10, 10, 10, 10, 10, 10, 16, 16, 16, 16, 16, 16,
    12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 13, 13, 13, 15, 15, 15, 13, 13, 13, 13,
    13, 13, 13, 17, 17, 8, 8, 8, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16,
    12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 13, 13, 13, 15, 15, 15, 13, 13, 13, 13,
    13, 13, 13, 13, 13, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16,
    18, 18, 18, 18, 19, 13, 13, 13, 13, 13, 13, 13, 13, 15, 15, 15, 13, 13, 13, 13,
    13, 13, 13, 13, 13, 13, 13, 13, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16,
    18, 18, 18, 18, 19, 19, 19, 13, 13, 13, 13, 13, 13, 15, 15, 13, 13, 13, 13, 13,
    13, 13, 13, 13, 13, 13, 13, 13, 16, 16, 16, 16, 16, 16, 16, 20, 20, 16, 16, 16,
    18, 18, 18, 18, 19, 19, 19, 19, 19, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
    13, 13, 13, 13, 13, 13, 13, 13, 16, 16, 16, 16, 16, 16, 16, 20, 20, 20, 16, 16,
    18, 18, 18, 18, 18, 19, 19, 19, 19, 19, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
    13, 13, 13, 13, 13, 13, 13, 13, 13, 16, 16, 16, 16, 16, 20, 20, 20, 20, 20, 16,
    19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
    13, 13, 13, 13, 13, 13, 13, 13, 13, 20, 16, 16, 16, 16, 20, 20, 20, 20, 20, 20,
    19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
    13, 13, 13, 13, 13, 13, 13, 13, 13, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20,
    18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
    13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20,
    18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
    13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20,
    18, 18, 18, 18, 18, 18, 19, 19, 19, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
    13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20,
    18, 18, 18, 18, 18, 18, 18, 19, 19, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
    13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 21, 21, 21, 21, 20, 20, 20, 20, 20, 20,
    18, 18, 18, 18, 18, 18, 18, 18, 19, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
    13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 21, 21, 21, 21, 21, 20, 20, 20, 20, 20,
    18, 18, 18, 18, 18, 22, 18, 18, 19, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 23,
    23, 23, 13, 13, 13, 13, 13, 13, 13, 13, 21, 21, 21, 21, 21, 21, 21, 21, 24, 24,
    22, 22, 22, 22, 22, 22, 22, 22, 19, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 23,
    23, 25, 25, 25, 26, 26, 26, 26, 21, 21, 21, 21, 21, 21, 21, 21, 21, 21, 24, 24,
    22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 13, 13, 13, 13, 13, 13, 13, 23, 23,
    23, 25, 25, 25, 26, 26, 26, 26, 26, 26, 26, 21, 21, 21, 21, 21, 24, 24, 24, 27,
    22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 28, 28, 28, 13, 23, 23,
    29, 29, 29, 29, 29, 29, 29, 26, 26, 26, 26, 21, 21, 21, 21, 21, 24, 24, 24, 24,
    22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 28, 28, 28, 28, 23, 29,
    29, 29, 29, 29, 29, 29, 29, 29, 29, 26, 26, 21, 21, 21, 24, 24, 24, 24, 24, 24,
    22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 28, 28, 28, 23, 29,
    29, 29, 29, 29, 29, 29, 29, 29, 29, 29, 29, 21, 21, 21, 24, 24, 24, 24, 24, 24,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 2, 2, 2, 3, 3, 3, 4, 4, 5, 5, 5, 5, 5, 5, 5, 5, 5,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 2, 2, 2, 3, 3, 3, 4, 3, 5, 5, 5, 5, 5, 5, 5, 5, 5,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 5, 5, 5, 5, 5, 5, 5, 5,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 5, 5, 5, 5, 5, 5, 5, 5,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 5, 5, 5, 5, 5, 5, 5, 5,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 6, 6, 2, 2,
    2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 5, 5, 5, 5, 5, 5, 5,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 6, 6, 6, 6,
    6, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 5, 5, 5, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 1, 1, 9, 9, 1, 1, 1, 1, 1, 1, 6, 6, 6, 6,
    6, 6, 6, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 5, 5, 5, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 1, 1, 1, 1, 6, 6, 6, 6, 6,
    6, 6, 6, 8, 8, 3, 3, 3, 3, 3, 3, 3, 3, 3, 5, 5, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 1, 1, 1, 6, 6, 6, 6, 6,
    6, 6, 8, 8, 8, 8, 8, 8, 8, 8, 8, 3, 3, 10, 10, 5, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 9, 9, 9, 6, 6, 6, 6, 6,
    6, 6, 8, 8, 8, 8, 8, 8, 8, 8, 8, 3, 3, 10, 10, 10, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 9, 9, 11, 6, 6, 6, 6, 6,
    6, 6, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 3, 10, 10, 10, 5, 5, 5, 14,
    12, 12, 12, 7, 7, 7, 7, 13, 13, 13, 9, 9, 9, 9, 11, 11, 6, 6, 6, 6,
    6, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 10, 10, 10, 10, 10, 14, 14,
    12, 12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 9, 9, 9, 11, 11, 6, 6, 6, 6,
    6, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 10, 10, 10, 10, 10, 14, 14,
    12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 13, 13, 9, 11, 11, 11, 6, 6, 6,
    8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 10, 10, 10, 10, 10, 10, 14, 14,
    12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 13, 13, 13, 11, 11, 11, 11, 6, 8,
    8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 10, 10, 10, 10, 10, 10, 10, 14, 14,
    12, 12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 13, 15, 11, 11, 11, 11, 11, 8,
    8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 10, 10, 10, 10, 10, 10, 10, 14, 14,
    12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 13, 13, 15, 11, 11, 11, 11, 11, 8,
    8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 10, 10, 10, 10, 10, 10, 10, 10, 16, 16,
    12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 13, 15, 15, 15, 15, 15, 15, 15, 8,
    8, 8, 8, 8, 8, 8, 8, 8, 10, 10, 10, 10, 10, 10, 10, 10, 16, 16, 16, 16,
    12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 13, 15, 15, 15, 15, 13, 13, 13, 13,
    8, 8, 8, 8, 8, 8, 8, 8, 10, 10, 10, 10, 10, 10, 10, 16, 16, 16, 16, 16,
    12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 13, 13, 15, 15, 15, 13, 13, 13, 13,
    13, 17, 17, 17, 17, 8, 8, 17, 10, 10, 10, 10, 10, 10, 16, 16, 16, 16, 16, 16,
    12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 13, 13, 13, 15, 15, 15, 13, 13, 13, 13,
    13, 13, 17, 17, 17, 8, 8, 8, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16,
    12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 13, 13, 13, 15, 15, 15, 13, 13, 13, 13,
    13, 13, 13, 17, 17, 8, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16,
    18, 18, 18, 18, 19, 19, 19, 13, 13, 13, 13, 13, 13, 15, 15, 15, 13, 13, 13, 13,
    13, 13, 13, 13, 13, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16,
    18, 18, 18, 18, 19, 19, 19, 19, 13, 13, 13, 13, 13, 15, 15, 13, 13, 13, 13, 13,
    13, 13, 13, 13, 13, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 20, 20, 16, 16, 16,
    18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 13, 13, 13, 13, 13, 13, 13, 13, 13,
    13, 13, 13, 13, 13, 13, 13, 13, 16, 16, 16, 16, 16, 16, 16, 20, 20, 20, 16, 16,
    18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 13, 13, 13, 13, 13, 13, 13, 13, 13,
    13, 13, 13, 13, 13, 13, 13, 13, 13, 16, 16, 16, 16, 16, 20, 20, 20, 20, 20, 16,
    19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 13, 13, 13, 13, 13, 13, 13, 13, 13,
    13, 13, 13, 13, 13, 13, 13, 13, 13, 16, 16, 16, 16, 16, 20, 20, 20, 20, 20, 20,
    19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 13, 13, 13, 13, 13, 13, 13, 13, 13,
    13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20,
    18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
    13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20,
    18, 18, 18, 18, 18, 19, 19, 19, 19, 19, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
    13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20,
    18, 18, 18, 18, 18, 18, 19, 19, 19, 19, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
    13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20,
    18, 18, 18, 18, 18, 18, 18, 19, 19, 19, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
    13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 21, 21, 21, 21, 20, 20, 20, 20, 20, 20,
    18, 18, 18, 18, 18, 18, 18, 18, 19, 19, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
    13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 21, 21, 21, 21, 21, 21, 20, 20, 20, 20,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 19, 13, 13, 13, 13, 13, 13, 13, 13, 13, 23,
    23, 23, 13, 13, 13, 13, 13, 13, 13, 13, 21, 21, 21, 21, 21, 21, 21, 21, 24, 24,
    18, 18, 18, 18, 22, 22, 22, 22, 22, 22, 22, 28, 13, 13, 13, 13, 13, 13, 13, 23,
    23, 25, 25, 25, 26, 26, 26, 26, 13, 13, 21, 21, 21, 21, 21, 21, 21, 21, 24, 24,
    22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 28, 28, 28, 23, 23, 23, 23,
    23, 25, 25, 25, 26, 26, 26, 26, 26, 26, 26, 21, 21, 21, 21, 21, 24, 24, 24, 27,
    22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 28, 28, 28, 28, 23, 23, 23,
    29, 29, 29, 29, 29, 29, 26, 26, 26, 26, 26, 21, 21, 21, 21, 21, 24, 24, 24, 24,
    22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 28, 28, 28, 23, 23, 23,
    29, 29, 29, 29, 29, 29, 29, 29, 29, 26, 26, 21, 21, 21, 21, 24, 24, 24, 24, 24,
    22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 28, 28, 28, 23, 23, 29,
    29, 29, 29, 29, 29, 29, 29, 29, 29, 29, 29, 21, 21, 21, 24, 24, 24, 24, 24, 24,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 2, 2, 2, 3, 3, 3, 4, 4, 5, 5, 5, 5, 5, 5, 5, 5, 5,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 2, 2, 2, 3, 3, 3, 4, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 5, 5, 5, 5, 5, 5, 5, 5,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 5, 5, 5, 5, 5, 5, 5, 5,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 30, 5, 5, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 1, 1, 1, 1, 1, 1, 1, 1, 6, 6, 6, 2,
    2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 30, 30, 5, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 9, 9, 1, 1, 1, 1, 1, 1, 6, 6, 6, 6,
    6, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 30, 5, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 1, 1, 1, 1, 6, 6, 6, 6, 6,
    6, 6, 6, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 30, 5, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 9, 9, 6, 6, 6, 6, 6,
    6, 6, 8, 8, 8, 8, 8, 8, 8, 8, 8, 3, 3, 3, 10, 10, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 9, 9, 9, 6, 6, 6, 6, 6,
    6, 6, 8, 8, 8, 8, 8, 8, 8, 8, 8, 3, 3, 3, 10, 10, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 9, 9, 11, 6, 6, 6, 6, 6,
    6, 6, 8, 8, 8, 8, 8, 8, 8, 8, 8, 3, 3, 3, 10, 10, 5, 5, 5, 14,
    7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 9, 9, 11, 11, 6, 6, 6, 6,
    6, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 10, 10, 10, 10, 14, 14, 14,
    12, 12, 12, 12, 12, 12, 13, 13, 13, 13, 9, 9, 9, 9, 11, 11, 11, 6, 6, 6,
    6, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 10, 10, 10, 10, 14, 14, 14,
    12, 12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 9, 9, 9, 11, 11, 11, 6, 6, 6,
    8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 10, 10, 10, 10, 10, 14, 14, 14,
    12, 12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 13, 15, 11, 11, 11, 11, 11, 8,
    8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 10, 10, 10, 10, 10, 10, 14, 14, 14,
    12, 12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 13, 15, 11, 11, 11, 11, 11, 8,
    8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 10, 10, 10, 10, 10, 10, 10, 10, 14, 14,
    12, 12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 13, 15, 11, 11, 11, 11, 11, 8,
    8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 10, 10, 10, 10, 10, 10, 10, 10, 14, 14,
    12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 13, 15, 15, 15, 15, 15, 15, 15, 8,
    8, 8, 8, 8, 8, 8, 8, 8, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 14, 14,
    12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 13, 15, 15, 15, 15, 15, 15, 15, 15,
    8, 8, 8, 8, 8, 8, 8, 8, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 14, 14,
    12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 15, 15, 15, 15, 15, 15, 15, 15, 15,
    31, 17, 17, 17, 17, 17, 8, 17, 10, 10, 10, 10, 10, 10, 16, 16, 16, 16, 14, 14,
    12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 15, 15, 15, 15, 15, 15, 15, 15, 15,
    17, 17, 17, 17, 17, 17, 17, 17, 20, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16,
    12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 15, 15, 15, 15, 15, 15, 13, 13, 13, 13,
    13, 17, 17, 17, 17, 17, 17, 17, 20, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16,
    18, 18, 18, 18, 19, 19, 19, 19, 19, 13, 15, 15, 15, 15, 15, 15, 13, 13, 13, 13,
    13, 17, 17, 17, 17, 17, 17, 17, 20, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16,
    18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 15, 15, 15, 13, 13, 13, 13,
    13, 13, 17, 17, 17, 17, 20, 20, 20, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16,
    18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 13, 13, 13, 13, 13,
    13, 13, 13, 20, 20, 20, 20, 20, 20, 20, 16, 16, 16, 16, 16, 20, 20, 16, 16, 16,
    18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 13, 13, 13, 13, 13,
    13, 13, 13, 13, 20, 20, 20, 20, 20, 20, 16, 16, 16, 16, 20, 20, 20, 20, 16, 16,
    18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 13, 13, 13, 13, 13,
    13, 13, 13, 13, 20, 20, 20, 20, 20, 20, 20, 16, 16, 16, 20, 20, 20, 20, 20, 16,
    18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 13, 13, 13, 13, 13,
    13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20,
    18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 13, 13, 13, 13, 13, 13,
    13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20,
    18, 18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 13, 13, 13, 13, 13, 13,
    13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 20, 20, 20, 20, 20, 20, 20, 20, 20,
    18, 18, 18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 13, 13, 13, 13, 13, 13,
    13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20,
    18, 18, 18, 18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 13, 13, 13, 13, 13,
    13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 21, 21, 20, 20, 20, 20, 20, 20, 20, 20,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 13, 13, 13, 13, 13,
    13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 21, 21, 21, 21, 21, 21, 20, 20, 20, 20,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 28, 28, 28, 28, 28, 28, 23, 23, 23, 23,
    23, 23, 13, 13, 13, 13, 13, 13, 13, 13, 21, 21, 21, 21, 21, 21, 21, 21, 24, 24,
    18, 18, 18, 18, 18, 18, 18, 18, 22, 22, 22, 28, 28, 28, 28, 28, 28, 23, 23, 23,
    23, 25, 25, 25, 26, 26, 26, 26, 13, 13, 21, 21, 21, 21, 21, 21, 21, 21, 24, 24,
    18, 18, 18, 22, 22, 22, 22, 22, 22, 22, 22, 22, 28, 28, 28, 28, 28, 23, 23, 23,
    23, 25, 25, 25, 26, 26, 26, 26, 26, 26, 26, 21, 21, 21, 21, 21, 21, 24, 24, 24,
    18, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 28, 28, 28, 28, 28, 23, 23, 23,
    25, 25, 29, 29, 26, 26, 26, 26, 26, 26, 26, 21, 21, 21, 21, 21, 24, 24, 24, 24,
    18, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 28, 28, 28, 28, 23, 23, 23,
    29, 29, 29, 29, 29, 29, 29, 29, 26, 26, 26, 21, 21, 21, 21, 21, 24, 24, 24, 24,
    22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 28, 28, 28, 28, 23, 23,
    29, 29, 29, 29, 29, 29, 29, 29, 29, 29, 29, 21, 21, 21, 21, 24, 24, 24, 24, 24,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 2, 2, 2, 4, 4, 4, 4, 4, 4, 5, 5, 5, 5, 5, 5, 5, 5,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 2, 2, 2, 3, 3, 3, 4, 4, 4, 5, 5, 5, 5, 5, 5, 5, 5,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 4, 4, 5, 5, 5, 5, 5, 5, 5,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 4, 30, 5, 5, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 4, 30, 30, 5, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 1, 1, 1, 1, 1, 1, 6, 2, 2, 2,
    2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 4, 30, 5, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 9, 9, 1, 1, 1, 1, 1, 6, 6, 6, 2,
    2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 4, 30, 5, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 1, 1, 6, 6, 6, 6, 6,
    6, 6, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 30, 5, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 6, 6, 6, 6, 6,
    6, 6, 8, 8, 8, 8, 8, 8, 8, 8, 8, 3, 3, 3, 10, 10, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 6, 6, 6, 6, 6,
    6, 6, 8, 8, 8, 8, 8, 8, 8, 8, 8, 3, 3, 3, 10, 10, 5, 5, 5, 14,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 6, 6, 6, 6, 6,
    6, 6, 8, 8, 8, 8, 8, 8, 8, 8, 8, 3, 3, 3, 10, 10, 10, 14, 14, 14,
    7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 9, 9, 11, 11, 6, 6, 6, 6,
    6, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 3, 3, 10, 10, 10, 32, 14, 14, 14,
    12, 12, 12, 12, 12, 12, 12, 9, 9, 9, 9, 9, 9, 9, 11, 11, 11, 6, 6, 6,
    6, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 10, 10, 10, 32, 14, 14, 14,
    12, 12, 12, 12, 12, 12, 12, 9, 9, 9, 9, 9, 9, 9, 11, 11, 11, 11, 6, 6,
    8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 10, 10, 10, 10, 32, 14, 14, 14,
    12, 12, 12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 15, 11, 11, 11, 11, 11, 8,
    8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 10, 10, 10, 10, 10, 32, 14, 14, 14,
    12, 12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 13, 15, 11, 11, 11, 11, 11, 8,
    8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 10, 10, 10, 10, 10, 10, 32, 32, 14, 14,
    12, 12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 13, 15, 11, 11, 11, 11, 11, 8,
    8, 8, 8, 8, 8, 8, 8, 8, 8, 10, 10, 10, 10, 10, 10, 10, 10, 14, 14, 14,
    12, 12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 15, 15, 11, 11, 11, 11, 11, 8,
    31, 8, 8, 8, 8, 8, 8, 8, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 14, 14,
    12, 12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 15, 15, 15, 15, 15, 15, 15, 15,
    31, 31, 8, 8, 8, 8, 8, 8, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 14, 14,
    12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 15, 15, 15, 15, 15, 15, 15, 15, 31,
    31, 31, 17, 17, 17, 17, 17, 17, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 14, 14,
    12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 15, 15, 15, 15, 15, 15, 15, 15, 31,
    31, 17, 17, 17, 17, 17, 17, 17, 10, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16,
    12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 15, 15, 15, 15, 15, 15, 15, 15, 15, 31,
    17, 17, 17, 17, 17, 17, 17, 17, 10, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16,
    18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 15, 15, 15, 15, 15, 15, 15, 15, 31,
    17, 17, 17, 17, 17, 17, 17, 17, 10, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16,
    18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 15, 15, 15, 15, 15, 15,
    17, 17, 17, 17, 17, 17, 17, 17, 17, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16,
    18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 13, 13, 13, 13,
    17, 17, 17, 17, 17, 17, 17, 17, 17, 20, 16, 16, 16, 16, 16, 20, 20, 16, 16, 16,
    18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 13, 13, 13, 13,
    13, 17, 17, 17, 17, 17, 17, 17, 17, 20, 16, 16, 16, 16, 20, 20, 20, 20, 16, 16,
    18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 13, 13, 13, 13,
    13, 13, 17, 17, 17, 17, 17, 17, 17, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20, 16,
    18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 13, 13, 13, 13, 13,
    13, 13, 23, 25, 17, 17, 17, 17, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20,
    18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 33, 19, 13, 13, 13, 13, 13,
    13, 13, 23, 25, 25, 25, 25, 25, 25, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20,
    18, 18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 13, 13, 13, 13, 13, 13,
    13, 13, 23, 25, 25, 25, 25, 25, 25, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20,
    18, 18, 18, 18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 13, 13, 13, 13, 13, 13,
    13, 13, 23, 25, 25, 25, 25, 25, 25, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 19, 19, 19, 19, 19, 23, 23, 23, 23, 23, 23,
    23, 23, 23, 25, 25, 25, 25, 25, 25, 21, 21, 21, 21, 20, 20, 20, 20, 20, 20, 20,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 28, 28, 28, 28, 28, 28, 23, 23, 23, 23,
    23, 23, 25, 25, 13, 13, 13, 13, 13, 13, 21, 21, 21, 21, 21, 21, 21, 21, 20, 20,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 28, 28, 28, 28, 28, 28, 28, 23, 23, 23,
    23, 23, 25, 13, 13, 13, 13, 13, 13, 13, 21, 21, 21, 21, 21, 21, 21, 21, 21, 24,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 22, 28, 28, 28, 28, 28, 28, 23, 23, 23,
    23, 25, 25, 25, 26, 26, 26, 26, 13, 13, 21, 21, 21, 21, 21, 21, 21, 21, 24, 24,
    18, 18, 18, 18, 18, 18, 18, 22, 22, 22, 22, 28, 28, 28, 28, 28, 28, 23, 23, 23,
    23, 25, 25, 25, 26, 26, 26, 26, 26, 26, 26, 21, 21, 21, 21, 21, 21, 21, 24, 24,
    18, 18, 18, 22, 22, 22, 22, 22, 22, 22, 22, 22, 28, 28, 28, 28, 28, 23, 23, 23,
    25, 25, 25, 25, 26, 26, 26, 26, 26, 26, 26, 21, 21, 21, 21, 21, 21, 24, 24, 24,
    18, 18, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 28, 28, 28, 28, 28, 23, 23,
    25, 25, 25, 25, 26, 26, 26, 26, 26, 26, 26, 21, 21, 21, 21, 21, 24, 24, 24, 24,
    22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 28, 28, 28, 28, 28, 23, 23,
    25, 29, 29, 29, 29, 29, 29, 29, 29, 26, 26, 21, 21, 21, 21, 21, 24, 24, 24, 24,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 2, 2, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5, 5, 5, 5, 5, 5,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 2, 2, 2, 4, 4, 4, 4, 4, 4, 4, 5, 5, 5, 5, 5, 5, 5,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 2, 2, 3, 3, 3, 3, 3, 4, 4, 4, 5, 5, 5, 5, 5, 5, 5,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 4, 4, 5, 5, 5, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 4, 4, 4, 30, 5, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 4, 4, 30, 30, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 9, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 4, 30, 30, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 1, 1, 1, 6, 2, 2, 2,
    2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 4, 30, 30, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 6, 6, 6, 6, 6,
    2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 4, 30, 30, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 6, 6, 6, 6, 6,
    6, 6, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 4, 4, 5, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 6, 6, 6, 6, 6,
    6, 6, 8, 8, 3, 3, 3, 8, 8, 8, 8, 3, 3, 3, 5, 5, 5, 5, 14, 30,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 11, 6, 6, 6, 6,
    6, 6, 8, 8, 8, 8, 3, 8, 8, 8, 8, 3, 3, 3, 10, 10, 32, 32, 14, 14,
    7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 9, 9, 11, 11, 11, 6, 6, 6,
    6, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 3, 3, 10, 32, 32, 32, 32, 14, 14,
    7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 9, 9, 11, 11, 11, 11, 6, 6,
    6, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 3, 10, 10, 10, 32, 32, 32, 14, 14,
    12, 12, 12, 12, 12, 12, 12, 9, 9, 9, 9, 9, 9, 9, 11, 11, 11, 11, 11, 6,
    8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 10, 10, 10, 10, 32, 32, 32, 14, 14,
    12, 12, 12, 12, 12, 12, 12, 13, 13, 13, 9, 9, 9, 15, 11, 11, 11, 11, 11, 8,
    8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 10, 10, 10, 10, 10, 10, 32, 32, 14, 14,
    12, 12, 12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 15, 11, 11, 11, 11, 11, 8,
    8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 10, 10, 10, 10, 10, 10, 32, 32, 14, 14,
    12, 12, 12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 15, 11, 11, 11, 11, 11, 31,
    31, 8, 8, 8, 8, 8, 8, 8, 8, 10, 10, 10, 10, 10, 10, 10, 32, 14, 14, 14,
    12, 12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 15, 15, 11, 11, 11, 11, 11, 31,
    31, 31, 31, 8, 8, 8, 8, 8, 10, 10, 10, 10, 10, 10, 10, 10, 10, 14, 14, 14,
    12, 12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 15, 15, 15, 15, 11, 11, 11, 31,
    31, 31, 31, 17, 17, 17, 17, 8, 10, 10, 10, 10, 10, 10, 10, 10, 10, 14, 14, 14,
    12, 12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 15, 15, 15, 15, 15, 15, 15, 11, 31,
    31, 31, 17, 17, 17, 17, 17, 17, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 14, 14,
    12, 12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 15, 15, 15, 15, 15, 15, 15, 31, 31,
    31, 31, 17, 17, 17, 17, 17, 17, 10, 10, 10, 16, 16, 16, 16, 16, 16, 16, 16, 16,
    12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 15, 15, 15, 15, 15, 15, 15, 15, 31, 31,
    31, 17, 17, 17, 17, 17, 17, 17, 17, 10, 10, 16, 16, 16, 16, 16, 16, 16, 16, 16,
    18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 15, 15, 15, 15, 15, 15, 33, 31, 31,
    17, 17, 17, 17, 17, 17, 17, 17, 17, 10, 10, 16, 16, 16, 16, 16, 16, 16, 16, 16,
    18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 15, 15, 33, 33, 17,
    17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 10, 16, 16, 16, 16, 16, 16, 16, 16, 16,
    18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 33, 33, 33,
    17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 10, 16, 16, 16, 16, 16, 16, 16, 16, 16,
    18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 33, 33, 33,
    17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 20, 20, 20, 20, 20, 20, 16, 16, 16,
    18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 13, 33, 33, 33,
    17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 20, 20, 20, 20, 20, 20, 20, 20, 16, 16,
    18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 33, 33, 33, 33, 33, 33,
    33, 17, 17, 17, 17, 17, 17, 17, 17, 17, 20, 20, 20, 20, 20, 20, 20, 20, 20, 16,
    18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 33, 33, 33, 33, 13, 13, 23,
    23, 23, 17, 17, 17, 17, 17, 17, 17, 17, 26, 20, 20, 20, 20, 20, 20, 20, 20, 20,
    18, 18, 18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 33, 33, 33, 33, 13, 13, 23,
    23, 23, 23, 17, 17, 17, 26, 26, 26, 26, 26, 20, 20, 20, 20, 20, 20, 20, 20, 20,
    18, 18, 18, 18, 18, 18, 18, 18, 19, 19, 19, 19, 19, 33, 33, 33, 33, 33, 23, 23,
    23, 23, 23, 25, 25, 26, 26, 26, 26, 26, 26, 20, 20, 20, 20, 20, 20, 20, 20, 20,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 28, 28, 28, 28, 33, 33, 23, 23, 23,
    23, 23, 23, 25, 25, 26, 26, 26, 26, 26, 26, 21, 21, 21, 20, 20, 20, 20, 20, 20,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 28, 28, 28, 28, 28, 28, 28, 23, 23, 23,
    23, 23, 23, 25, 25, 26, 26, 26, 26, 26, 26, 21, 21, 21, 21, 21, 21, 21, 21, 20,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 28, 28, 28, 28, 28, 28, 28, 23, 23, 23,
    23, 23, 25, 25, 25, 26, 26, 26, 26, 26, 26, 21, 21, 21, 21, 21, 21, 21, 21, 21,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 28, 28, 28, 28, 28, 28, 28, 23, 23, 23,
    23, 25, 25, 25, 25, 26, 26, 26, 26, 26, 26, 21, 21, 21, 21, 21, 21, 21, 21, 24,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 28, 28, 28, 28, 28, 28, 23, 23, 23,
    23, 25, 25, 25, 25, 26, 26, 26, 26, 26, 26, 21, 21, 21, 21, 21, 21, 21, 24, 24,
    18, 18, 18, 18, 18, 22, 22, 22, 22, 22, 22, 22, 28, 28, 28, 28, 28, 28, 23, 23,
    23, 25, 25, 25, 25, 26, 26, 26, 26, 26, 26, 21, 21, 21, 21, 21, 21, 21, 24, 24,
    18, 18, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 28, 28, 28, 28, 28, 28, 23, 23,
    23, 25, 25, 25, 25, 34, 34, 34, 34, 34, 26, 21, 21, 21, 21, 21, 21, 24, 24, 24,
    22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 28, 28, 28, 28, 28, 23, 23,
    25, 25, 25, 25, 34, 34, 34, 34, 34, 34, 34, 21, 21, 21, 21, 21, 24, 24, 24, 24,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 2, 2, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5, 5, 5, 5, 5, 5,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 2, 2, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5, 5, 5, 5, 5, 5,
    1, 1, 1, 7, 7, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 2, 2, 3, 3, 3, 3, 4, 4, 4, 4, 4, 5, 5, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 4, 4, 4, 5, 5, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 4, 4, 4, 30, 5, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 4, 4, 30, 30, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 4, 4, 30, 30, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 4, 4, 30, 30, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 6, 6, 6, 2, 2,
    2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 4, 4, 30, 30, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 6, 6, 6, 6, 6,
    2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 4, 4, 5, 5, 5, 30, 30,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 9, 6, 6, 6, 6,
    6, 6, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 4, 4, 5, 5, 30, 30, 30,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 9, 11, 6, 6, 6,
    6, 6, 8, 8, 3, 3, 3, 3, 8, 8, 3, 3, 3, 4, 32, 32, 32, 32, 14, 14,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 9, 11, 11, 6, 6, 6,
    6, 8, 8, 8, 8, 8, 8, 3, 8, 8, 3, 3, 3, 32, 32, 32, 32, 32, 14, 14,
    7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 9, 9, 11, 11, 11, 11, 11, 6,
    6, 8, 8, 8, 8, 8, 8, 8, 8, 8, 3, 3, 10, 32, 32, 32, 32, 32, 14, 14,
    12, 12, 12, 12, 12, 12, 12, 9, 9, 9, 9, 9, 9, 9, 11, 11, 11, 11, 11, 6,
    8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 10, 10, 10, 10, 32, 32, 32, 32, 14, 14,
    12, 12, 12, 12, 12, 12, 12, 12, 9, 9, 9, 9, 9, 15, 11, 11, 11, 11, 8, 8,
    8, 8, 8, 8, 8, 8, 8, 8, 8, 10, 10, 10, 10, 10, 32, 32, 32, 32, 14, 14,
    12, 12, 12, 12, 12, 12, 12, 13, 13, 13, 13, 11, 11, 11, 11, 11, 11, 11, 31, 31,
    8, 8, 8, 8, 8, 8, 8, 8, 8, 10, 10, 10, 10, 10, 32, 32, 32, 32, 14, 14,
    12, 12, 12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 11, 11, 11, 11, 11, 11, 31, 31,
    31, 31, 31, 8, 8, 8, 8, 8, 8, 10, 10, 10, 10, 10, 10, 32, 32, 14, 14, 14,
    12, 12, 12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 15, 15, 11, 11, 11, 11, 31, 31,
    31, 31, 31, 31, 31, 8, 8, 8, 10, 10, 10, 10, 10, 10, 10, 32, 32, 32, 14, 14,
    12, 12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 15, 15, 15, 11, 11, 11, 31, 31,
    31, 31, 31, 31, 17, 17, 17, 17, 10, 10, 10, 10, 10, 10, 10, 10, 32, 32, 14, 14,
    12, 12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 15, 15, 15, 15, 15, 15, 11, 31, 31,
    31, 31, 31, 17, 17, 17, 17, 17, 10, 10, 10, 10, 10, 10, 10, 10, 10, 32, 14, 14,
    12, 12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 15, 15, 15, 15, 15, 15, 31, 31, 31,
    31, 31, 17, 17, 17, 17, 17, 17, 17, 10, 10, 10, 10, 10, 10, 10, 10, 10, 14, 14,
    18, 18, 18, 12, 12, 12, 13, 13, 13, 13, 15, 15, 15, 15, 15, 15, 15, 31, 31, 31,
    31, 31, 17, 17, 17, 17, 17, 17, 17, 10, 10, 10, 10, 16, 16, 16, 16, 16, 16, 16,
    18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 15, 15, 15, 15, 33, 31, 31, 31,
    31, 17, 17, 17, 17, 17, 17, 17, 17, 17, 10, 10, 10, 16, 16, 16, 16, 16, 16, 16,
    18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 15, 33, 33, 31, 31,
    17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 10, 10, 16, 16, 16, 16, 16, 16, 16, 16,
    18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 33, 33, 33, 17,
    17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 16, 16, 16, 16, 16, 16, 16, 16, 16,
    18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 33, 33, 33, 17,
    17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 20, 20, 20, 20, 20, 20, 16, 16, 16,
    18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 33, 33, 33, 33,
    17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 20, 20, 20, 20, 20, 20, 20, 16, 16,
    18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 33, 33, 33, 33, 33, 33,
    17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 20, 20, 20, 20, 20, 20, 20, 20, 16,
    18, 18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 33, 33, 33, 33, 33, 33, 33,
    33, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 20, 20, 20, 20, 20, 20, 20, 20, 20,
    18, 18, 18, 18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 33, 33, 33, 33, 33, 33, 33,
    23, 23, 17, 17, 17, 17, 17, 17, 17, 17, 26, 26, 20, 20, 20, 20, 20, 20, 20, 20,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 19, 19, 19, 19, 33, 33, 33, 33, 33, 23, 23,
    23, 23, 23, 25, 25, 26, 26, 26, 26, 26, 26, 26, 20, 20, 20, 20, 20, 20, 20, 20,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 28, 28, 28, 28, 28, 28, 23, 23, 23,
    23, 23, 23, 25, 25, 26, 26, 26, 26, 26, 26, 26, 21, 21, 21, 20, 20, 21, 21, 20,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 28, 28, 28, 28, 28, 28, 28, 23, 23, 23,
    23, 23, 23, 25, 25, 26, 26, 26, 26, 26, 26, 21, 21, 21, 21, 21, 21, 21, 21, 21,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 28, 28, 28, 28, 28, 28, 28, 23, 23, 23,
    23, 23, 23, 23, 25, 26, 26, 26, 26, 26, 26, 21, 21, 21, 21, 21, 21, 21, 21, 21,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 28, 28, 28, 28, 28, 28, 23, 23, 23,
    23, 25, 25, 25, 25, 26, 26, 26, 26, 26, 26, 21, 21, 21, 21, 21, 21, 21, 21, 21,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 28, 28, 28, 28, 28, 28, 28, 23, 23,
    23, 25, 25, 25, 25, 34, 34, 34, 34, 34, 21, 21, 21, 21, 21, 21, 21, 21, 21, 24,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 22, 28, 28, 28, 28, 28, 28, 28, 23, 23,
    23, 25, 25, 25, 25, 34, 34, 34, 34, 34, 21, 21, 21, 21, 21, 21, 21, 21, 24, 24,
    18, 18, 18, 18, 22, 22, 22, 22, 22, 22, 22, 22, 28, 28, 28, 28, 28, 28, 23, 23,
    23, 25, 25, 25, 25, 34, 34, 34, 34, 34, 21, 21, 21, 21, 21, 21, 21, 21, 24, 24,
    18, 18, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 28, 28, 28, 28, 28, 28, 23, 23,
    35, 25, 35, 35, 35, 34, 34, 34, 34, 34, 21, 21, 21, 21, 21, 21, 21, 24, 24, 24,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 2, 36, 4, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5, 5, 5, 5, 5,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 2, 2, 4, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 2, 2, 3, 3, 3, 4, 4, 4, 4, 4, 4, 5, 5, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 2, 2, 3, 3, 3, 3, 4, 4, 4, 4, 4, 4, 5, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 2, 3, 3, 3, 3, 3, 4, 4, 4, 4, 4, 4, 30, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 4, 4, 4, 30, 30, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 9, 1, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 4, 4, 30, 30, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 9, 9, 1, 1, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 4, 4, 30, 30, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 1, 1, 2, 2, 2, 2,
    2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 4, 4, 30, 30, 30, 30, 30,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 9, 9, 6, 2, 2,
    2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 4, 4, 30, 30, 30, 30, 30,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 9, 9, 6, 6, 6,
    6, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 4, 30, 30, 30, 30, 30, 37,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 9, 9, 6, 6, 6,
    6, 6, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 30, 30, 32, 32, 32, 14, 14,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 9, 9, 11, 11, 6, 6,
    6, 8, 8, 8, 8, 3, 3, 3, 3, 3, 3, 3, 38, 32, 32, 32, 32, 32, 14, 14,
    7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 9, 9, 9, 11, 11, 11, 11, 6,
    6, 8, 8, 8, 8, 8, 8, 3, 3, 3, 3, 38, 32, 32, 32, 32, 32, 32, 14, 14,
    12, 12, 12, 12, 12, 12, 12, 9, 9, 9, 9, 9, 9, 9, 11, 11, 11, 11, 11, 6,
    8, 8, 8, 8, 8, 8, 8, 8, 8, 10, 10, 10, 32, 32, 32, 32, 32, 32, 14, 14,
    12, 12, 12, 12, 12, 12, 12, 12, 9, 9, 9, 9, 9, 9, 11, 11, 11, 11, 8, 8,
    8, 8, 8, 8, 8, 8, 8, 8, 10, 10, 10, 10, 32, 32, 32, 32, 32, 32, 14, 14,
    12, 12, 12, 12, 12, 12, 12, 12, 13, 13, 9, 9, 11, 11, 11, 11, 11, 11, 31, 31,
    31, 31, 8, 8, 8, 8, 8, 8, 10, 10, 10, 10, 10, 32, 32, 32, 32, 32, 14, 14,
    12, 12, 12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 11, 11, 11, 11, 11, 11, 31, 31,
    31, 31, 31, 31, 31, 8, 8, 8, 10, 10, 10, 10, 10, 10, 32, 32, 32, 32, 14, 14,
    12, 12, 12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 15, 15, 11, 11, 11, 11, 31, 31,
    31, 31, 31, 31, 31, 17, 17, 8, 10, 10, 10, 10, 10, 10, 32, 32, 32, 32, 14, 14,
    12, 12, 12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 15, 15, 15, 11, 11, 11, 31, 31,
    31, 31, 31, 31, 31, 17, 17, 17, 10, 10, 10, 10, 10, 10, 32, 32, 32, 32, 14, 14,
    12, 12, 12, 12, 12, 12, 12, 13, 13, 13, 13, 15, 15, 15, 15, 15, 15, 31, 31, 31,
    31, 31, 31, 31, 17, 17, 17, 17, 10, 10, 10, 10, 10, 10, 10, 32, 32, 32, 14, 14,
    12, 12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 15, 15, 15, 15, 15, 15, 31, 31, 31,
    31, 31, 31, 17, 17, 17, 17, 17, 17, 10, 10, 10, 10, 10, 39, 39, 39, 39, 39, 14,
    18, 18, 18, 12, 12, 12, 13, 13, 13, 13, 15, 15, 15, 15, 15, 15, 31, 31, 31, 31,
    31, 31, 17, 17, 17, 17, 17, 17, 17, 40, 10, 39, 39, 39, 39, 39, 39, 39, 39, 16,
    18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 15, 15, 15, 15, 31, 31, 31, 31,
    31, 31, 17, 17, 17, 17, 17, 17, 17, 17, 39, 39, 39, 16, 16, 16, 16, 16, 16, 16,
    18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 33, 33, 31, 31, 31,
    31, 31, 17, 17, 17, 17, 17, 17, 17, 17, 39, 39, 39, 16, 16, 16, 16, 16, 16, 16,
    18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 33, 33, 33, 31, 31,
    17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 39, 39, 16, 16, 16, 16, 16, 16, 16,
    18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 33, 33, 33, 31, 17,
    17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 20, 20, 20, 20, 20, 16, 16, 16, 16,
    18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 33, 33, 33, 33, 17,
    17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 20, 20, 20, 20, 20, 20, 16, 16, 16,
    18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 33, 33, 33, 33, 33,
    17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 20, 20, 20, 20, 20, 20, 20, 16, 16,
    18, 18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 33, 33, 33, 33, 33, 33, 33,
    17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 41, 20, 20, 20, 20, 20, 20, 20, 20, 16,
    18, 18, 18, 18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 33, 33, 33, 33, 33, 33, 33,
    23, 17, 17, 17, 17, 17, 17, 17, 41, 41, 41, 26, 20, 20, 20, 20, 20, 20, 20, 20,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 19, 19, 42, 28, 33, 33, 33, 33, 23, 23, 23,
    23, 23, 25, 25, 17, 17, 17, 41, 41, 41, 41, 26, 20, 20, 20, 21, 21, 21, 20, 20,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 42, 42, 28, 28, 28, 28, 28, 23, 23, 23,
    23, 23, 25, 25, 25, 26, 26, 26, 41, 41, 26, 26, 21, 21, 21, 21, 21, 21, 21, 21,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 42, 28, 28, 28, 28, 28, 28, 23, 23, 23,
    23, 25, 25, 25, 25, 26, 26, 26, 26, 26, 26, 26, 21, 21, 21, 21, 21, 21, 21, 21,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 28, 28, 28, 28, 28, 28, 23, 23, 23,
    23, 25, 25, 25, 25, 26, 34, 34, 34, 34, 34, 21, 21, 21, 21, 21, 21, 21, 21, 21,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 28, 28, 28, 28, 28, 28, 23, 23, 23,
    23, 25, 25, 25, 25, 26, 34, 34, 34, 34, 34, 21, 21, 21, 21, 21, 21, 21, 21, 21,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 28, 28, 28, 28, 28, 28, 28, 23, 23,
    23, 25, 25, 25, 25, 26, 34, 34, 34, 34, 21, 21, 21, 21, 21, 21, 21, 21, 21, 21,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 28, 28, 28, 28, 28, 28, 28, 23, 23,
    23, 25, 25, 25, 25, 34, 34, 34, 34, 21, 21, 21, 21, 21, 21, 21, 21, 21, 21, 21,
    18, 18, 18, 18, 18, 18, 18, 18, 22, 22, 22, 28, 28, 28, 28, 28, 28, 28, 23, 23,
    23, 25, 25, 35, 35, 34, 34, 34, 34, 43, 21, 21, 21, 21, 21, 21, 21, 21, 24, 24,
    18, 18, 18, 18, 22, 22, 22, 22, 22, 22, 22, 22, 28, 28, 28, 28, 28, 28, 28, 23,
    35, 35, 35, 35, 35, 35, 34, 34, 34, 43, 43, 21, 21, 21, 21, 21, 21, 21, 24, 24,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2,
    2, 2, 2, 36, 36, 36, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5, 5, 5, 5, 5,
    7, 7, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2,
    2, 2, 2, 2, 36, 36, 4, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2,
    2, 2, 2, 2, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2,
    2, 2, 2, 2, 2, 3, 3, 3, 4, 4, 4, 4, 4, 4, 4, 5, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2,
    2, 2, 2, 2, 3, 3, 3, 3, 4, 4, 4, 4, 4, 4, 4, 30, 30, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 44, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2,
    2, 2, 2, 2, 3, 3, 3, 3, 3, 4, 4, 4, 4, 4, 4, 30, 30, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 9, 9, 1, 1, 1, 1, 1, 2, 2, 2,
    2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 4, 4, 30, 30, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 9, 9, 1, 1, 1, 1, 1, 2, 2, 2,
    2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 4, 4, 30, 30, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 1, 1, 1, 2, 2, 2,
    2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 4, 4, 30, 30, 30, 30, 30,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 9, 1, 2, 2, 2,
    2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 4, 4, 30, 30, 30, 30, 30,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 9, 9, 9, 6, 2,
    2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 4, 30, 30, 30, 32, 37, 37,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 9, 9, 11, 6, 6,
    6, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 38, 38, 38, 32, 32, 14, 37,
    7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 11, 11, 6,
    6, 8, 8, 3, 3, 3, 3, 3, 3, 3, 3, 38, 38, 38, 38, 32, 32, 32, 14, 14,
    7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 11, 11, 6,
    8, 8, 8, 8, 8, 3, 3, 3, 3, 3, 38, 38, 38, 38, 32, 32, 32, 32, 14, 14,
    12, 12, 12, 12, 12, 12, 45, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 11, 11, 6,
    8, 8, 8, 8, 8, 8, 8, 46, 38, 38, 38, 38, 38, 32, 32, 32, 32, 32, 14, 14,
    12, 12, 12, 12, 12, 12, 45, 45, 9, 9, 9, 9, 9, 9, 11, 11, 11, 11, 31, 31,
    31, 31, 31, 31, 8, 8, 8, 46, 38, 38, 38, 38, 32, 32, 32, 32, 32, 32, 14, 14,
    12, 12, 12, 12, 12, 12, 45, 45, 45, 9, 9, 9, 11, 11, 11, 11, 11, 11, 31, 31,
    31, 31, 31, 31, 31, 31, 8, 46, 46, 38, 10, 32, 32, 32, 32, 32, 32, 32, 14, 14,
    12, 12, 12, 12, 12, 12, 45, 45, 13, 13, 13, 13, 11, 11, 11, 11, 11, 11, 31, 31,
    31, 31, 31, 31, 31, 31, 8, 10, 10, 10, 10, 10, 32, 32, 32, 32, 32, 32, 14, 14,
    12, 12, 12, 12, 12, 12, 45, 45, 13, 13, 13, 13, 15, 15, 11, 11, 11, 11, 31, 31,
    31, 31, 31, 31, 31, 31, 17, 10, 10, 10, 10, 10, 32, 32, 32, 32, 32, 32, 14, 14,
    12, 12, 12, 12, 12, 12, 45, 45, 13, 13, 13, 13, 15, 15, 11, 11, 11, 31, 31, 31,
    31, 31, 31, 31, 31, 17, 17, 17, 40, 40, 10, 10, 10, 32, 32, 32, 32, 32, 14, 14,
    12, 12, 12, 12, 12, 12, 45, 13, 13, 13, 13, 15, 15, 15, 15, 15, 31, 31, 31, 31,
    31, 31, 31, 31, 31, 17, 17, 17, 40, 40, 10, 10, 10, 32, 32, 32, 32, 32, 14, 14,
    12, 12, 12, 12, 12, 12, 45, 13, 13, 13, 15, 15, 15, 15, 15, 15, 31, 31, 31, 31,
    31, 31, 31, 31, 17, 17, 17, 17, 17, 40, 10, 39, 39, 39, 39, 39, 39, 39, 39, 39,
    18, 18, 18, 12, 12, 47, 13, 13, 13, 13, 15, 15, 15, 15, 15, 15, 31, 31, 31, 31,
    31, 31, 31, 17, 17, 17, 17, 17, 17, 40, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39,
    18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 15, 15, 15, 31, 31, 31, 31,
    31, 31, 17, 17, 17, 17, 17, 17, 17, 17, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39,
    18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 33, 31, 31, 31, 31,
    31, 31, 17, 17, 17, 17, 17, 17, 17, 17, 39, 39, 39, 39, 39, 39, 39, 39, 16, 16,
    18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 33, 33, 31, 31, 31,
    31, 31, 17, 17, 17, 17, 17, 41, 41, 41, 41, 39, 39, 39, 39, 39, 39, 16, 16, 16,
    18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 33, 33, 33, 31, 31,
    31, 31, 17, 17, 17, 17, 17, 41, 41, 41, 41, 39, 39, 39, 39, 39, 16, 16, 16, 16,
    18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 33, 33, 33, 31, 17,
    17, 17, 17, 41, 41, 17, 41, 41, 41, 41, 41, 41, 39, 20, 20, 20, 20, 16, 16, 16,
    18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 33, 33, 33, 33, 17,
    17, 17, 17, 41, 41, 41, 41, 41, 41, 41, 41, 41, 20, 20, 20, 20, 20, 20, 16, 16,
    18, 18, 18, 18, 18, 18, 19, 19, 19, 19, 19, 48, 48, 33, 33, 33, 33, 33, 33, 33,
    17, 17, 17, 41, 41, 41, 41, 41, 41, 41, 41, 41, 20, 20, 20, 20, 20, 20, 20, 16,
    18, 18, 18, 18, 18, 18, 18, 19, 19, 19, 19, 48, 48, 33, 33, 33, 33, 33, 33, 33,
    23, 17, 17, 41, 41, 41, 41, 41, 41, 41, 41, 41, 20, 20, 20, 20, 20, 20, 20, 20,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 42, 42, 42, 42, 28, 28, 33, 33, 23, 23, 23,
    23, 23, 17, 41, 41, 41, 41, 41, 41, 41, 41, 41, 21, 20, 20, 21, 21, 21, 21, 21,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 42, 42, 42, 28, 28, 28, 28, 23, 23, 23,
    23, 23, 25, 25, 41, 41, 41, 41, 41, 41, 41, 34, 21, 21, 21, 21, 21, 21, 21, 21,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 42, 42, 28, 28, 28, 28, 28, 23, 23, 23,
    23, 25, 25, 25, 25, 25, 34, 34, 41, 41, 34, 34, 21, 21, 21, 21, 21, 21, 21, 21,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 28, 28, 28, 28, 28, 28, 28, 23, 23,
    23, 25, 25, 25, 25, 25, 34, 34, 34, 34, 34, 21, 21, 21, 21, 21, 21, 21, 21, 21,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 28, 28, 28, 28, 28, 28, 28, 23, 23,
    23, 25, 25, 25, 25, 25, 34, 34, 34, 34, 34, 21, 21, 21, 21, 21, 21, 21, 21, 21,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 28, 28, 28, 28, 28, 28, 28, 23, 23,
    23, 25, 25, 25, 25, 25, 34, 34, 34, 34, 21, 21, 21, 21, 21, 21, 21, 21, 21, 21,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 28, 28, 28, 28, 28, 28, 28, 23, 23,
    23, 25, 25, 35, 35, 35, 35, 35, 43, 43, 21, 21, 21, 21, 21, 21, 21, 21, 21, 21,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 28, 28, 28, 28, 28, 28, 28, 49, 23,
    35, 35, 35, 35, 35, 35, 35, 35, 43, 43, 43, 21, 21, 21, 21, 21, 21, 21, 21, 24,
    18, 18, 18, 18, 18, 18, 18, 18, 22, 22, 22, 28, 28, 28, 28, 28, 28, 28, 49, 23,
    35, 35, 35, 35, 35, 35, 35, 35, 43, 43, 43, 43, 21, 21, 21, 21, 21, 21, 24, 50,
    7, 7, 7, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2,
    2, 2, 36, 36, 36, 36, 36, 36, 4, 4, 4, 4, 4, 4, 4, 5, 5, 5, 5, 5,
    7, 7, 7, 7, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2,
    2, 2, 2, 36, 36, 36, 36, 36, 4, 4, 4, 4, 4, 4, 4, 5, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2,
    2, 2, 2, 2, 36, 36, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2,
    2, 2, 2, 2, 2, 3, 3, 4, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 44, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2,
    2, 2, 2, 2, 3, 3, 3, 4, 4, 4, 4, 4, 4, 4, 4, 30, 30, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 44, 44, 1, 1, 1, 1, 1, 1, 1, 2, 2,
    2, 2, 2, 2, 3, 3, 3, 3, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 44, 44, 44, 1, 1, 1, 1, 1, 1, 2, 2,
    2, 2, 2, 3, 3, 3, 3, 3, 4, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 44, 9, 9, 1, 1, 1, 1, 1, 1, 2, 2,
    2, 2, 2, 3, 3, 3, 3, 3, 3, 4, 4, 4, 3, 4, 4, 4, 4, 5, 5, 30,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 44, 9, 9, 9, 9, 1, 1, 1, 1, 2, 2,
    2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 4, 4, 30, 30, 30, 30, 30,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 1, 1, 1, 1, 2, 2,
    2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 4, 30, 30, 30, 38, 37, 37,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 9, 9, 51, 51, 2,
    2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 30, 30, 38, 38, 38, 37, 37,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 9, 9, 9, 51, 51,
    3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 38, 38, 38, 38, 38, 38, 37, 37,
    7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 11, 11,
    46, 46, 46, 46, 46, 3, 3, 3, 3, 3, 38, 38, 38, 38, 38, 38, 38, 32, 32, 37,
    7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 11, 11,
    46, 8, 8, 8, 46, 46, 46, 46, 38, 38, 38, 38, 38, 38, 38, 38, 32, 32, 32, 37,
    12, 12, 12, 12, 45, 45, 45, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 11, 6,
    8, 8, 8, 8, 8, 46, 46, 46, 46, 38, 38, 38, 38, 32, 32, 32, 32, 32, 32, 14,
    12, 12, 12, 12, 45, 45, 45, 45, 9, 9, 9, 9, 9, 9, 11, 11, 11, 11, 11, 31,
    31, 31, 31, 31, 8, 8, 46, 46, 46, 38, 38, 38, 32, 32, 32, 32, 32, 32, 32, 14,
    12, 12, 12, 12, 45, 45, 45, 45, 45, 9, 9, 9, 9, 11, 11, 11, 11, 11, 31, 31,
    31, 31, 31, 31, 31, 31, 46, 46, 46, 38, 38, 32, 32, 32, 32, 32, 32, 32, 32, 14,
    12, 12, 12, 12, 45, 45, 45, 45, 45, 13, 9, 9, 11, 11, 11, 11, 11, 11, 31, 31,
    31, 31, 31, 31, 31, 31, 46, 46, 46, 40, 52, 52, 52, 52, 52, 52, 52, 52, 52, 14,
    12, 12, 12, 12, 45, 45, 45, 45, 45, 13, 13, 13, 11, 11, 11, 11, 11, 31, 31, 31,
    31, 31, 31, 31, 31, 31, 31, 40, 40, 40, 52, 52, 52, 52, 52, 52, 52, 52, 52, 14,
    12, 12, 12, 12, 45, 45, 45, 45, 13, 13, 13, 13, 15, 15, 11, 11, 11, 31, 31, 31,
    31, 31, 31, 31, 31, 31, 17, 17, 40, 40, 40, 39, 39, 39, 39, 52, 52, 52, 52, 52,
    12, 12, 12, 12, 45, 45, 45, 45, 13, 13, 13, 15, 15, 15, 15, 15, 31, 31, 31, 31,
    31, 31, 31, 31, 31, 31, 17, 17, 40, 40, 40, 40, 39, 39, 39, 39, 39, 39, 39, 39,
    12, 12, 12, 12, 45, 45, 45, 47, 13, 13, 15, 15, 15, 15, 15, 31, 31, 31, 31, 31,
    31, 31, 31, 31, 31, 31, 17, 17, 17, 40, 40, 40, 39, 39, 39, 39, 39, 39, 39, 39,
    18, 18, 18, 53, 47, 47, 47, 47, 19, 19, 15, 15, 15, 15, 15, 31, 31, 31, 31, 31,
    31, 31, 31, 31, 31, 31, 17, 17, 17, 40, 40, 40, 39, 39, 39, 39, 39, 39, 39, 39,
    18, 18, 18, 18, 19, 53, 19, 19, 19, 19, 19, 19, 19, 15, 15, 31, 31, 31, 31, 31,
    31, 31, 31, 31, 31, 31, 17, 41, 41, 41, 40, 39, 39, 39, 39, 39, 39, 39, 39, 39,
    18, 18, 18, 18, 19, 53, 19, 19, 19, 19, 19, 19, 19, 19, 48, 33, 31, 31, 31, 31,
    31, 31, 17, 17, 17, 17, 17, 41, 41, 41, 40, 39, 39, 39, 39, 39, 39, 39, 39, 39,
    18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 48, 33, 31, 31, 31, 31,
    31, 31, 17, 17, 17, 17, 17, 41, 41, 41, 41, 39, 39, 39, 39, 39, 39, 39, 39, 16,
    18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 48, 33, 33, 31, 31, 31,
    31, 31, 17, 17, 17, 17, 17, 41, 41, 41, 41, 39, 39, 39, 39, 39, 39, 39, 16, 16,
    18, 18, 18, 18, 19, 19, 19, 19, 48, 48, 48, 48, 48, 48, 48, 33, 33, 33, 31, 31,
    31, 31, 17, 17, 17, 17, 41, 41, 41, 41, 41, 41, 54, 39, 39, 39, 39, 16, 16, 16,
    18, 18, 18, 18, 19, 19, 19, 48, 48, 48, 48, 48, 48, 48, 48, 33, 33, 33, 31, 31,
    31, 31, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 54, 54, 54, 20, 20, 16, 16, 16,
    18, 18, 18, 18, 18, 18, 48, 48, 48, 48, 48, 48, 48, 48, 33, 33, 33, 33, 33, 31,
    31, 31, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 54, 54, 20, 20, 20, 20, 20, 16,
    18, 18, 18, 18, 18, 18, 18, 42, 42, 42, 42, 42, 42, 42, 33, 33, 33, 33, 33, 23,
    55, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 54, 20, 20, 20, 20, 20, 20, 20,
    18, 18, 18, 18, 18, 18, 18, 18, 42, 42, 42, 42, 42, 42, 28, 28, 49, 23, 23, 23,
    23, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 21, 20, 21, 21, 21, 21, 21,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 42, 42, 42, 42, 42, 28, 28, 49, 49, 23, 23,
    23, 23, 25, 41, 41, 41, 41, 41, 41, 41, 41, 41, 21, 21, 21, 21, 21, 21, 21, 21,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 42, 42, 42, 42, 28, 28, 28, 49, 49, 23, 23,
    23, 25, 25, 25, 25, 41, 41, 41, 41, 41, 41, 34, 21, 21, 21, 21, 21, 21, 21, 21,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 42, 42, 28, 28, 28, 28, 49, 49, 23, 23,
    23, 25, 25, 25, 25, 34, 34, 34, 34, 34, 34, 34, 21, 21, 21, 21, 21, 21, 21, 21,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 28, 28, 28, 28, 28, 49, 49, 49, 23,
    23, 25, 25, 25, 25, 25, 34, 34, 34, 34, 34, 21, 21, 21, 21, 21, 21, 21, 21, 21,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 28, 28, 28, 28, 28, 49, 49, 49, 23,
    23, 25, 25, 25, 25, 35, 34, 34, 34, 34, 43, 21, 21, 21, 21, 21, 21, 21, 21, 21,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 28, 28, 28, 28, 28, 49, 49, 49, 23,
    35, 35, 35, 35, 35, 35, 35, 35, 43, 43, 43, 21, 21, 21, 21, 21, 21, 21, 21, 21,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 28, 28, 28, 28, 28, 49, 49, 49, 35,
    35, 35, 35, 35, 35, 35, 35, 35, 43, 43, 43, 43, 21, 21, 21, 21, 21, 21, 21, 21,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 28, 28, 28, 28, 28, 49, 49, 49, 35,
    35, 35, 35, 35, 35, 35, 35, 35, 43, 43, 43, 43, 43, 21, 21, 21, 21, 21, 50, 50,
    7, 7, 56, 56, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2,
    36, 36, 36, 36, 36, 36, 36, 36, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5, 5, 5,
    7, 7, 7, 56, 56, 56, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2,
    36, 36, 36, 36, 36, 36, 36, 36, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 56, 56, 56, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2,
    2, 2, 2, 2, 36, 36, 36, 4, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 56, 56, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2,
    2, 2, 2, 2, 36, 36, 36, 4, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 56, 56, 44, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2,
    2, 2, 2, 2, 3, 3, 36, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 44, 44, 1, 1, 1, 1, 1, 1, 1, 1, 2,
    2, 2, 2, 2, 3, 3, 3, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 44, 44, 44, 1, 1, 1, 1, 1, 1, 1, 2,
    2, 2, 2, 3, 3, 3, 3, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5, 30,
    7, 7, 7, 7, 7, 7, 7, 7, 44, 44, 44, 44, 1, 1, 1, 1, 1, 1, 1, 2,
    2, 2, 2, 3, 3, 3, 3, 3, 4, 4, 4, 4, 4, 4, 4, 4, 4, 5, 30, 30,
    7, 7, 7, 7, 7, 7, 7, 7, 44, 44, 44, 44, 44, 57, 1, 1, 1, 1, 51, 2,
    2, 2, 2, 3, 3, 3, 3, 3, 4, 4, 4, 4, 4, 4, 4, 30, 30, 30, 30, 58,
    7, 7, 7, 7, 7, 7, 7, 7, 44, 44, 44, 44, 44, 57, 1, 1, 1, 51, 51, 51,
    2, 2, 3, 3, 3, 3, 3, 3, 3, 4, 4, 4, 4, 4, 30, 30, 38, 38, 58, 37,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 9, 9, 51, 51, 51, 51,
    51, 2, 3, 3, 3, 3, 3, 3, 3, 4, 4, 4, 38, 38, 38, 38, 38, 38, 37, 37,
    7, 7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 9, 9, 9, 9, 51, 51, 51,
    51, 46, 46, 46, 46, 3, 3, 3, 3, 3, 38, 38, 38, 38, 38, 38, 38, 38, 37, 37,
    7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 51, 51,
    46, 46, 46, 46, 46, 46, 46, 46, 46, 38, 38, 38, 38, 38, 38, 38, 38, 38, 37, 37,
    7, 7, 7, 7, 7, 7, 7, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 59, 59,
    46, 46, 46, 46, 46, 46, 46, 46, 46, 38, 38, 38, 38, 38, 38, 38, 38, 52, 52, 37,
    12, 12, 45, 45, 45, 45, 45, 45, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 11,
    46, 46, 46, 46, 46, 46, 46, 46, 46, 38, 38, 38, 38, 38, 38, 38, 52, 52, 52, 37,
    12, 12, 12, 45, 45, 45, 45, 45, 9, 9, 9, 9, 9, 9, 11, 11, 11, 11, 11, 11,
    31, 31, 31, 46, 46, 46, 46, 46, 46, 38, 38, 38, 38, 52, 52, 52, 52, 52, 52, 52,
    12, 12, 12, 45, 45, 45, 45, 45, 45, 57, 57, 57, 57, 9, 11, 11, 11, 11, 11, 31,
    31, 31, 31, 31, 46, 46, 46, 46, 46, 38, 38, 52, 52, 52, 52, 52, 52, 52, 52, 52,
    12, 12, 45, 45, 45, 45, 45, 45, 45, 57, 57, 57, 57, 11, 11, 11, 11, 11, 31, 31,
    31, 31, 31, 31, 31, 46, 46, 46, 46, 40, 40, 52, 52, 52, 52, 52, 52, 52, 52, 52,
    12, 12, 45, 45, 45, 45, 45, 45, 45, 47, 57, 57, 11, 11, 11, 11, 11, 31, 31, 31,
    31, 31, 31, 31, 31, 31, 40, 40, 40, 40, 52, 52, 52, 52, 52, 52, 52, 52, 52, 52,
    12, 12, 45, 45, 45, 45, 45, 47, 47, 47, 13, 13, 15, 15, 11, 11, 31, 31, 31, 31,
    31, 31, 31, 31, 31, 31, 31, 40, 40, 40, 40, 39, 39, 39, 39, 52, 52, 52, 52, 52,
    12, 12, 45, 45, 45, 45, 47, 47, 47, 13, 13, 15, 15, 15, 15, 31, 31, 31, 31, 31,
    31, 31, 31, 31, 31, 31, 17, 17, 40, 40, 40, 40, 39, 39, 39, 39, 39, 39, 39, 39,
    53, 53, 53, 45, 47, 47, 47, 47, 47, 13, 15, 15, 15, 15, 15, 31, 31, 31, 31, 31,
    31, 31, 31, 31, 31, 31, 17, 17, 17, 40, 40, 40, 40, 39, 39, 39, 39, 39, 39, 39,
    53, 53, 53, 53, 47, 47, 47, 47, 48, 48, 19, 15, 15, 15, 15, 31, 31, 31, 31, 31,
    31, 31, 31, 31, 31, 31, 31, 17, 17, 40, 40, 40, 39, 39, 39, 39, 39, 39, 39, 39,
    18, 18, 18, 18, 53, 53, 48, 48, 48, 48, 19, 19, 19, 48, 48, 31, 31, 31, 31, 31,
    31, 31, 31, 31, 31, 31, 31, 41, 41, 41, 40, 40, 39, 39, 39, 39, 39, 39, 39, 39,
    18, 18, 18, 18, 19, 53, 48, 48, 48, 48, 48, 48, 48, 48, 48, 31, 31, 31, 31, 31,
    31, 31, 31, 17, 17, 17, 17, 41, 41, 41, 40, 40, 39, 39, 39, 39, 39, 39, 39, 39,
    18, 18, 18, 18, 18, 53, 48, 19, 19, 48, 48, 48, 48, 48, 48, 48, 31, 31, 31, 31,
    31, 31, 17, 17, 17, 17, 17, 41, 41, 41, 41, 39, 39, 39, 39, 39, 39, 39, 39, 39,
    18, 18, 18, 18, 18, 53, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 31, 31, 31, 31,
    31, 31, 17, 17, 17, 17, 17, 41, 41, 41, 41, 39, 54, 39, 39, 39, 39, 39, 39, 39,
    18, 18, 18, 18, 18, 53, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 33, 31, 31, 31,
    31, 31, 17, 17, 17, 41, 41, 41, 41, 41, 41, 41, 54, 54, 54, 54, 39, 39, 39, 16,
    18, 18, 18, 18, 18, 53, 48, 48, 48, 48, 48, 48, 48, 48, 48, 33, 33, 33, 31, 31,
    31, 55, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 54, 54, 54, 54, 54, 54, 16, 16,
    18, 18, 18, 18, 18, 18, 48, 48, 42, 42, 42, 48, 48, 48, 48, 33, 33, 33, 33, 55,
    55, 55, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 54, 54, 54, 54, 54, 20, 16, 16,
    18, 18, 18, 18, 18, 18, 18, 42, 42, 42, 42, 42, 42, 42, 42, 33, 33, 33, 33, 55,
    55, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 54, 54, 54, 54, 20, 20, 20, 21,
    18, 18, 18, 18, 18, 18, 18, 42, 42, 42, 42, 42, 42, 42, 42, 49, 49, 49, 23, 23,
    55, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 54, 54, 21, 21, 21, 21, 21,
    18, 18, 18, 18, 18, 18, 18, 18, 42, 42, 42, 42, 42, 42, 42, 49, 49, 49, 49, 23,
    23, 23, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 21, 21, 21, 21, 21, 21, 21,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 42, 42, 42, 42, 42, 49, 49, 49, 49, 49, 23,
    23, 25, 25, 25, 41, 41, 41, 41, 41, 41, 41, 41, 21, 21, 21, 21, 21, 21, 21, 21,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 42, 42, 42, 42, 49, 49, 49, 49, 49, 49, 23,
    23, 25, 25, 25, 25, 34, 34, 41, 41, 41, 34, 34, 21, 21, 21, 21, 21, 21, 21, 21,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 42, 42, 42, 49, 49, 49, 49, 49, 49, 49,
    23, 25, 25, 25, 25, 25, 34, 34, 34, 34, 34, 21, 21, 21, 21, 21, 21, 21, 21, 21,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 42, 42, 28, 28, 49, 49, 49, 49, 49, 49,
    60, 35, 35, 35, 35, 35, 34, 34, 34, 34, 43, 43, 21, 21, 21, 21, 21, 21, 21, 21,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 28, 28, 28, 49, 49, 49, 49, 49, 49,
    60, 35, 35, 35, 35, 35, 35, 35, 43, 43, 43, 43, 21, 21, 21, 21, 21, 21, 21, 50,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 28, 28, 28, 49, 49, 49, 49, 49, 60,
    60, 35, 35, 35, 35, 35, 35, 35, 43, 43, 43, 43, 43, 21, 21, 21, 21, 21, 21, 50,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 28, 28, 28, 28, 28, 49, 49, 60, 60,
    35, 35, 35, 35, 35, 35, 35, 35, 43, 43, 43, 43, 43, 43, 21, 21, 21, 50, 50, 50,
    56, 56, 56, 56, 56, 56, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2,
    36, 36, 36, 36, 36, 36, 36, 36, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5, 5, 5,
    7, 56, 56, 56, 56, 56, 56, 56, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2,
    36, 36, 36, 36, 36, 36, 36, 36, 4, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5, 5,
    7, 7, 7, 56, 56, 56, 56, 56, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2,
    36, 36, 36, 36, 36, 36, 36, 36, 4, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5, 5,
    7, 7, 7, 7, 56, 56, 56, 56, 56, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2,
    36, 2, 2, 36, 36, 36, 36, 36, 4, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 56, 56, 56, 44, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2,
    2, 2, 2, 36, 36, 36, 36, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 44, 44, 1, 1, 1, 1, 1, 1, 1, 1, 2,
    2, 2, 2, 2, 36, 36, 36, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 44, 44, 44, 1, 1, 1, 1, 1, 1, 1, 1,
    2, 2, 2, 3, 3, 3, 36, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 5, 30,
    7, 7, 7, 7, 7, 7, 7, 7, 44, 44, 44, 44, 1, 1, 1, 1, 1, 1, 51, 51,
    2, 2, 2, 3, 3, 3, 3, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 30, 30, 30,
    7, 7, 7, 7, 7, 7, 7, 44, 44, 44, 44, 44, 44, 44, 1, 1, 1, 51, 51, 51,
    51, 2, 2, 3, 3, 3, 3, 3, 4, 4, 4, 4, 4, 4, 4, 30, 30, 30, 58, 58,
    7, 7, 7, 7, 7, 7, 7, 44, 44, 44, 44, 44, 44, 57, 1, 51, 51, 51, 51, 51,
    51, 2, 3, 3, 3, 3, 3, 3, 4, 4, 4, 4, 4, 38, 30, 38, 38, 58, 58, 58,
    7, 7, 7, 7, 7, 7, 7, 7, 44, 44, 44, 44, 44, 57, 51, 51, 51, 51, 51, 51,
    51, 46, 46, 46, 46, 3, 3, 3, 3, 4, 4, 38, 38, 38, 38, 38, 38, 38, 58, 37,
    7, 7, 7, 7, 7, 7, 7, 7, 9, 57, 57, 57, 57, 57, 57, 51, 51, 51, 51, 51,
    51, 46, 46, 46, 46, 46, 46, 46, 46, 38, 38, 38, 38, 38, 38, 38, 38, 38, 37, 37,
    7, 7, 7, 7, 7, 7, 7, 57, 57, 57, 57, 57, 57, 57, 57, 57, 51, 51, 51, 59,
    46, 46, 46, 46, 46, 46, 46, 46, 46, 38, 38, 38, 38, 38, 38, 38, 38, 38, 37, 37,
    61, 7, 7, 7, 7, 7, 45, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 59, 59, 59,
    46, 46, 46, 46, 46, 46, 46, 46, 46, 38, 38, 38, 38, 38, 38, 38, 38, 38, 52, 37,
    61, 61, 45, 45, 45, 45, 45, 45, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 59, 59,
    46, 46, 46, 46, 46, 46, 46, 46, 46, 38, 38, 38, 38, 38, 38, 38, 52, 52, 52, 37,
    12, 12, 12, 45, 45, 45, 45, 45, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 11, 59,
    46, 46, 46, 46, 46, 46, 46, 46, 46, 38, 38, 38, 38, 38, 38, 52, 52, 52, 52, 52,
    12, 12, 12, 45, 45, 45, 45, 45, 57, 57, 57, 57, 57, 57, 57, 57, 11, 11, 11, 31,
    31, 31, 46, 46, 46, 46, 46, 46, 46, 38, 38, 38, 38, 52, 52, 52, 52, 52, 52, 52,
    12, 12, 12, 45, 45, 45, 45, 45, 47, 57, 57, 57, 57, 57, 57, 11, 11, 11, 31, 31,
    31, 31, 31, 31, 46, 46, 46, 46, 46, 40, 40, 52, 52, 52, 52, 52, 52, 52, 52, 52,
    12, 12, 45, 45, 45, 45, 47, 47, 47, 47, 57, 57, 57, 57, 57, 11, 11, 31, 31, 31,
    31, 31, 31, 31, 31, 46, 46, 40, 40, 40, 40, 40, 52, 52, 52, 52, 52, 52, 52, 52,
    45, 45, 45, 45, 45, 47, 47, 47, 47, 47, 47, 57, 57, 57, 11, 11, 31, 31, 31, 31,
    31, 31, 31, 31, 31, 31, 40, 40, 40, 40, 40, 40, 52, 52, 52, 52, 52, 52, 52, 52,
    45, 45, 45, 47, 47, 47, 47, 47, 47, 47, 47, 15, 15, 15, 15, 31, 31, 31, 31, 31,
    31, 31, 31, 31, 31, 31, 31, 40, 40, 40, 40, 40, 39, 39, 39, 39, 39, 39, 39, 39,
    53, 53, 53, 47, 47, 47, 47, 47, 47, 48, 15, 15, 15, 15, 62, 31, 31, 31, 31, 31,
    31, 31, 31, 31, 31, 31, 17, 17, 40, 40, 40, 40, 40, 39, 39, 39, 39, 39, 39, 39,
    53, 53, 53, 53, 47, 47, 47, 47, 48, 48, 19, 15, 15, 62, 62, 31, 31, 31, 31, 31,
    31, 31, 31, 31, 31, 31, 31, 17, 17, 40, 40, 40, 40, 39, 39, 39, 39, 39, 39, 39,
    53, 53, 53, 53, 53, 53, 48, 48, 48, 48, 19, 62, 62, 62, 62, 31, 31, 31, 31, 31,
    31, 31, 31, 31, 31, 31, 31, 41, 41, 41, 40, 40, 39, 39, 39, 39, 39, 39, 39, 39,
    53, 53, 53, 53, 53, 53, 48, 48, 48, 48, 48, 48, 62, 62, 62, 31, 31, 31, 31, 31,
    31, 31, 31, 31, 17, 17, 17, 41, 41, 41, 40, 40, 39, 39, 39, 39, 39, 39, 39, 39,
    18, 18, 18, 18, 18, 53, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 31, 31, 31, 31,
    31, 31, 31, 17, 17, 17, 17, 41, 41, 41, 41, 40, 39, 39, 39, 39, 39, 39, 39, 39,
    18, 18, 18, 18, 18, 53, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 31, 31, 31, 31,
    31, 31, 17, 17, 17, 17, 41, 41, 41, 41, 41, 54, 54, 54, 54, 39, 39, 39, 39, 39,
    18, 18, 18, 18, 18, 53, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 31, 31, 31,
    55, 55, 17, 17, 41, 41, 41, 41, 41, 41, 41, 41, 54, 54, 54, 54, 39, 39, 39, 39,
    18, 18, 18, 18, 18, 53, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 33, 55, 55, 55,
    55, 55, 55, 41, 41, 41, 41, 41, 41, 41, 41, 41, 54, 54, 54, 54, 54, 54, 54, 54,
    18, 18, 18, 18, 18, 63, 48, 42, 42, 42, 42, 42, 48, 48, 48, 48, 33, 33, 55, 55,
    55, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 54, 54, 54, 54, 54, 54, 54, 54,
    18, 18, 18, 18, 18, 63, 63, 42, 42, 42, 42, 42, 42, 42, 42, 42, 49, 49, 55, 55,
    55, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 54, 54, 54, 54, 54, 54, 20, 64,
    18, 18, 18, 18, 18, 63, 63, 42, 42, 42, 42, 42, 42, 42, 42, 42, 49, 49, 49, 23,
    55, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 54, 54, 54, 54, 21, 21, 64,
    18, 18, 18, 18, 18, 63, 63, 42, 42, 42, 42, 42, 42, 42, 42, 42, 49, 49, 49, 49,
    23, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 65, 65, 65, 65, 21, 21, 64,
    18, 18, 18, 18, 18, 63, 63, 63, 42, 42, 42, 42, 42, 42, 42, 42, 49, 49, 49, 49,
    23, 25, 25, 41, 41, 41, 41, 41, 41, 41, 41, 41, 65, 65, 65, 65, 65, 21, 21, 64,
    18, 18, 18, 18, 18, 63, 63, 18, 42, 42, 42, 42, 42, 42, 42, 42, 49, 49, 49, 49,
    23, 25, 25, 25, 25, 41, 41, 41, 41, 41, 41, 66, 65, 65, 65, 65, 65, 21, 50, 50,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 42, 42, 42, 42, 49, 49, 49, 49, 49, 49, 49,
    60, 60, 60, 35, 35, 35, 34, 34, 34, 34, 34, 66, 65, 65, 65, 65, 65, 50, 50, 50,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 42, 42, 42, 49, 49, 49, 49, 49, 49, 49,
    60, 60, 60, 35, 35, 35, 34, 34, 34, 34, 43, 43, 65, 65, 65, 65, 65, 50, 50, 50,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 42, 42, 49, 49, 49, 49, 49, 49, 49, 60,
    60, 60, 35, 35, 35, 35, 35, 35, 43, 43, 43, 21, 21, 21, 21, 21, 67, 50, 50, 50,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 28, 49, 49, 49, 49, 49, 49, 60, 60,
    60, 60, 35, 35, 35, 35, 35, 35, 43, 43, 43, 43, 43, 21, 21, 21, 67, 67, 50, 50,
    18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 28, 28, 28, 28, 28, 49, 49, 60, 60,
    60, 60, 35, 35, 35, 35, 35, 43, 43, 43, 43, 43, 43, 43, 43, 21, 67, 67, 50, 50,
    56, 56, 56, 56, 56, 56, 56, 56, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2,
    36, 36, 36, 36, 36, 36, 36, 36, 36, 4, 4, 4, 4, 4, 36, 4, 4, 5, 5, 5,
    68, 56, 56, 56, 56, 56, 56, 56, 56, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2,
    36, 36, 36, 36, 36, 36, 36, 36, 36, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5, 5,
    68, 68, 56, 56, 56, 56, 56, 56, 56, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2,
    36, 36, 36, 36, 36, 36, 36, 36, 4, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5, 5,
    7, 7, 7, 56, 56, 56, 56, 56, 56, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2,
    36, 36, 36, 36, 36, 36, 36, 36, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5,
    7, 7, 7, 7, 56, 56, 56, 56, 56, 44, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2,
    2, 36, 36, 36, 36, 36, 36, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 44, 44, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    2, 2, 2, 2, 36, 36, 36, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 5, 58,
    7, 7, 7, 7, 7, 7, 7, 7, 7, 44, 44, 44, 1, 1, 1, 51, 51, 51, 51, 51,
    51, 2, 2, 3, 3, 36, 36, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 58, 58,
    7, 7, 7, 7, 7, 44, 44, 44, 44, 44, 44, 44, 1, 1, 1, 51, 51, 51, 51, 51,
    51, 51, 2, 36, 36, 36, 36, 4, 4, 4, 4, 4, 4, 4, 4, 4, 30, 30, 58, 58,
    7, 7, 7, 7, 7, 7, 44, 44, 44, 44, 44, 44, 44, 1, 1, 51, 51, 51, 51, 51,
    51, 51, 51, 3, 36, 36, 36, 4, 4, 4, 4, 4, 4, 4, 30, 30, 30, 58, 58, 58,
    7, 7, 7, 7, 7, 7, 44, 44, 44, 44, 44, 44, 44, 57, 51, 51, 51, 51, 51, 51,
    51, 51, 46, 46, 46, 3, 3, 4, 4, 4, 4, 4, 38, 38, 38, 38, 38, 58, 58, 58,
    7, 7, 7, 7, 7, 7, 44, 44, 44, 44, 44, 44, 44, 57, 51, 51, 51, 51, 51, 51,
    51, 46, 46, 46, 46, 46, 46, 46, 69, 69, 69, 38, 38, 38, 38, 38, 38, 58, 58, 58,
    7, 7, 7, 7, 7, 7, 7, 44, 44, 57, 57, 57, 57, 57, 57, 51, 51, 51, 51, 51,
    51, 46, 46, 46, 46, 46, 46, 46, 69, 69, 38, 38, 38, 38, 38, 38, 38, 38, 58, 37,
    61, 61, 7, 7, 7, 7, 7, 57, 57, 57, 57, 57, 57, 57, 57, 57, 51, 59, 59, 59,
    46, 46, 46, 46, 46, 46, 46, 46, 46, 38, 38, 38, 38, 38, 38, 38, 38, 38, 37, 37,
    61, 61, 61, 61, 61, 45, 45, 57, 57, 57, 57, 57, 57, 57, 57, 57, 59, 59, 59, 59,
    46, 46, 46, 46, 46, 46, 46, 46, 46, 38, 38, 38, 38, 38, 38, 38, 38, 38, 37, 37,
    61, 61, 61, 61, 61, 45, 45, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 59, 59, 59,
    46, 46, 46, 46, 46, 46, 46, 46, 46, 46, 38, 38, 38, 38, 38, 38, 38, 52, 52, 37,
    12, 12, 12, 45, 45, 45, 45, 45, 57, 57, 57, 57, 57, 57, 57, 57, 57, 59, 59, 59,
    46, 46, 46, 46, 46, 46, 46, 46, 46, 46, 38, 38, 38, 38, 38, 52, 52, 52, 52, 52,
    12, 12, 12, 45, 45, 45, 45, 47, 57, 57, 57, 57, 57, 57, 57, 57, 57, 59, 59, 59,
    46, 46, 46, 46, 46, 46, 46, 46, 46, 46, 38, 38, 38, 38, 52, 52, 52, 52, 52, 52,
    12, 12, 12, 45, 45, 47, 47, 47, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 31, 31,
    31, 31, 31, 46, 46, 46, 46, 46, 46, 46, 38, 38, 52, 52, 52, 52, 52, 52, 52, 52,
    12, 12, 45, 45, 47, 47, 47, 47, 57, 57, 57, 57, 57, 57, 57, 57, 31, 31, 31, 31,
    31, 31, 31, 31, 31, 46, 46, 46, 46, 46, 40, 40, 40, 52, 52, 52, 52, 52, 52, 52,
    47, 47, 47, 47, 47, 47, 47, 47, 47, 47, 47, 57, 57, 57, 57, 57, 31, 31, 31, 31,
    31, 31, 31, 31, 31, 31, 40, 40, 40, 40, 40, 40, 40, 52, 52, 52, 39, 39, 52, 52,
    47, 47, 47, 47, 47, 47, 47, 47, 47, 47, 47, 62, 62, 62, 62, 31, 31, 31, 31, 31,
    31, 31, 31, 31, 31, 31, 31, 40, 40, 40, 40, 40, 40, 40, 39, 39, 39, 39, 39, 39,
    53, 53, 53, 47, 47, 47, 47, 47, 47, 47, 62, 62, 62, 62, 62, 31, 31, 31, 31, 31,
    31, 31, 31, 31, 31, 31, 31, 17, 40, 40, 40, 40, 40, 40, 39, 39, 39, 39, 39, 39,
    53, 53, 53, 53, 47, 47, 47, 47, 62, 62, 62, 62, 62, 62, 62, 31, 31, 31, 31, 31,
    31, 31, 31, 31, 31, 31, 31, 17, 17, 40, 40, 40, 40, 39, 39, 39, 39, 39, 39, 39,
    53, 53, 53, 53, 53, 53, 48, 48, 62, 62, 62, 62, 62, 62, 62, 62, 31, 31, 31, 31,
    31, 31, 31, 31, 31, 31, 41, 41, 41, 40, 40, 40, 40, 39, 39, 39, 39, 39, 39, 39,
    53, 53, 53, 53, 53, 53, 48, 48, 48, 62, 62, 62, 62, 62, 62, 62, 31, 31, 31, 31,
    31, 31, 70, 70, 70, 17, 41, 41, 41, 41, 40, 40, 40, 39, 39, 39, 39, 39, 39, 39,
    18, 18, 18, 18, 18, 53, 48, 48, 48, 48, 48, 62, 62, 62, 62, 62, 31, 31, 31, 31,
    31, 70, 70, 70, 41, 41, 41, 41, 41, 41, 40, 40, 39, 39, 39, 39, 39, 39, 39, 39,
    18, 18, 18, 18, 18, 53, 71, 48, 48, 48, 48, 62, 62, 62, 62, 62, 62, 31, 55, 55,
    55, 55, 55, 55, 41, 41, 41, 41, 41, 41, 41, 54, 54, 54, 54, 54, 39, 39, 54, 39,
    18, 18, 18, 18, 18, 53, 71, 48, 48, 48, 48, 48, 48, 48, 48, 48, 55, 55, 55, 55,
    55, 55, 55, 55, 41, 41, 41, 41, 41, 41, 41, 54, 54, 54, 54, 54, 39, 39, 54, 54,
    18, 18, 18, 18, 18, 72, 72, 48, 48, 48, 48, 48, 48, 48, 48, 48, 55, 55, 55, 55,
    55, 55, 55, 41, 41, 41, 41, 41, 41, 41, 41, 41, 54, 54, 54, 54, 39, 39, 54, 54,
    18, 18, 63, 63, 63, 63, 72, 48, 42, 42, 42, 42, 42, 48, 48, 48, 48, 55, 55, 55,
    55, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 54, 54, 54, 54, 54, 54, 54, 54,
    18, 18, 63, 63, 63, 63, 63, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 49, 55, 55,
    55, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 54, 54, 54, 54, 54, 54, 54, 54,
    18, 18, 63, 63, 63, 63, 63, 42, 42, 42, 42, 42, 42, 42, 42, 42, 49, 49, 49, 55,
    55, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 54, 54, 54, 54, 54, 65, 64,
    63, 63, 63, 63, 63, 63, 63, 63, 42, 42, 42, 42, 42, 42, 42, 42, 49, 49, 49, 49,
    49, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 65, 65, 65, 65, 65, 65, 65,
    63, 63, 63, 63, 63, 63, 63, 63, 42, 42, 42, 42, 42, 42, 42, 42, 49, 49, 49, 49,
    49, 60, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 65, 65, 65, 65, 65, 65, 65, 65,
    63, 63, 63, 63, 63, 63, 63, 63, 73, 42, 42, 42, 42, 42, 42, 42, 49, 49, 49, 49,
    60, 60, 60, 60, 41, 41, 41, 41, 41, 41, 41, 66, 65, 65, 65, 65, 65, 65, 65, 65,
    63, 63, 63, 63, 63, 63, 63, 63, 63, 42, 42, 42, 42, 42, 49, 49, 49, 49, 49, 60,
    60, 60, 60, 60, 60, 35, 41, 34, 41, 66, 66, 66, 65, 65, 65, 65, 65, 65, 65, 65,
    63, 63, 63, 63, 63, 63, 63, 63, 63, 73, 42, 42, 42, 49, 49, 49, 49, 49, 49, 60,
    60, 60, 60, 60, 35, 35, 35, 34, 34, 43, 43, 66, 65, 65, 65, 65, 65, 65, 65, 50,
    18, 18, 63, 63, 63, 63, 74, 74, 73, 73, 42, 42, 49, 49, 49, 49, 49, 49, 60, 60,
    60, 60, 60, 60, 35, 35, 35, 35, 43, 43, 43, 65, 65, 65, 65, 65, 65, 65, 50, 50,
    18, 18, 63, 74, 74, 74, 74, 74, 74, 73, 73, 49, 49, 49, 49, 49, 49, 60, 60, 60,
    60, 60, 60, 60, 35, 35, 35, 35, 43, 43, 43, 43, 43, 65, 65, 65, 65, 65, 50, 50,
    18, 18, 63, 74, 74, 74, 74, 74, 74, 74, 73, 49, 49, 49, 49, 49, 49, 60, 60, 60,
    60, 60, 60, 35, 35, 35, 35, 43, 43, 43, 43, 43, 43, 43, 43, 67, 67, 67, 50, 50,
    68, 56, 56, 56, 56, 56, 56, 56, 56, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 36,
    36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 4, 4, 4, 4, 36, 4, 4, 4, 5, 5,
    68, 56, 56, 56, 56, 56, 56, 56, 56, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 36,
    36, 36, 36, 36, 36, 36, 36, 36, 36, 4, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5,
    68, 68, 56, 56, 56, 56, 56, 56, 56, 56, 1, 1, 1, 1, 1, 1, 1, 1, 1, 36,
    36, 36, 36, 36, 36, 36, 36, 36, 36, 4, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5,
    68, 68, 68, 56, 56, 56, 56, 56, 56, 56, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    36, 36, 36, 36, 36, 36, 36, 36, 36, 4, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5,
    7, 68, 68, 56, 56, 56, 56, 56, 56, 44, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    36, 36, 36, 36, 36, 36, 36, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 5,
    7, 7, 7, 7, 7, 7, 7, 7, 44, 44, 44, 1, 1, 1, 1, 51, 51, 51, 51, 51,
    51, 36, 36, 36, 36, 36, 36, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 58,
    7, 7, 7, 7, 7, 7, 7, 7, 44, 44, 44, 44, 1, 1, 1, 51, 51, 51, 51, 51,
    51, 51, 36, 36, 36, 36, 36, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 58, 58,
    7, 7, 7, 7, 44, 44, 44, 44, 44, 44, 44, 44, 1, 1, 1, 51, 51, 51, 51, 51,
    51, 51, 36, 36, 36, 36, 36, 4, 4, 4, 4, 4, 4, 4, 4, 58, 58, 58, 58, 58,
    7, 7, 7, 7, 44, 44, 44, 44, 44, 44, 44, 44, 44, 1, 51, 51, 51, 51, 51, 51,
    51, 51, 51, 36, 36, 36, 36, 4, 4, 4, 4, 4, 4, 4, 38, 58, 58, 58, 58, 58,
    7, 7, 7, 7, 7, 44, 44, 44, 44, 44, 44, 44, 44, 51, 51, 51, 51, 51, 51, 51,
    51, 51, 46, 46, 46, 46, 46, 4, 4, 4, 69, 69, 69, 38, 38, 38, 58, 58, 58, 58,
    7, 7, 7, 7, 7, 44, 44, 44, 44, 44, 44, 44, 57, 57, 51, 51, 51, 51, 51, 51,
    51, 46, 46, 46, 46, 46, 46, 69, 69, 69, 69, 69, 38, 38, 38, 38, 38, 58, 58, 58,
    61, 61, 61, 61, 7, 7, 44, 44, 44, 57, 57, 57, 57, 57, 51, 51, 51, 51, 51, 59,
    46, 46, 46, 46, 46, 46, 46, 46, 69, 69, 69, 38, 38, 38, 38, 38, 38, 58, 58, 58,
    61, 61, 61, 61, 61, 61, 57, 57, 57, 57, 57, 57, 57, 57, 57, 59, 59, 59, 59, 59,
    46, 46, 46, 46, 46, 46, 46, 46, 46, 38, 38, 38, 38, 38, 38, 38, 38, 38, 58, 58,
    61, 61, 61, 61, 61, 61, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 59, 59, 59, 59,
    59, 46, 46, 46, 46, 46, 46, 46, 46, 46, 38, 38, 38, 38, 38, 38, 38, 38, 37, 37,
    61, 61, 61, 61, 61, 61, 45, 57, 57, 57, 57, 57, 57, 57, 57, 57, 59, 59, 59, 59,
    46, 46, 46, 46, 46, 46, 46, 46, 46, 46, 46, 38, 38, 38, 38, 38, 38, 52, 52, 37,
    61, 61, 61, 61, 61, 47, 47, 57, 57, 57, 57, 57, 57, 57, 57, 57, 59, 59, 59, 59,
    46, 46, 46, 46, 46, 46, 46, 46, 46, 46, 46, 46, 38, 38, 38, 38, 52, 52, 52, 52,
    12, 12, 12, 45, 45, 47, 47, 47, 57, 57, 57, 57, 57, 57, 57, 75, 75, 59, 59, 59,
    46, 46, 46, 46, 46, 46, 46, 46, 46, 46, 46, 46, 38, 38, 52, 52, 52, 52, 52, 52,
    12, 12, 12, 47, 47, 47, 47, 47, 57, 57, 57, 57, 57, 57, 75, 75, 75, 75, 59, 31,
    46, 46, 46, 46, 46, 46, 46, 46, 46, 46, 46, 46, 38, 52, 52, 52, 52, 52, 52, 52,
    12, 12, 45, 47, 47, 47, 47, 47, 57, 57, 57, 57, 57, 75, 75, 75, 75, 31, 31, 31,
    31, 31, 31, 46, 46, 46, 46, 46, 46, 46, 40, 40, 40, 52, 52, 52, 52, 52, 52, 52,
    47, 47, 47, 47, 47, 47, 47, 47, 47, 47, 47, 57, 75, 75, 75, 75, 31, 31, 31, 31,
    31, 31, 70, 70, 70, 46, 40, 40, 40, 40, 40, 40, 40, 40, 52, 52, 52, 52, 52, 52,
    47, 47, 47, 47, 47, 47, 47, 47, 47, 47, 47, 62, 62, 62, 62, 31, 31, 31, 31, 31,
    31, 70, 70, 70, 70, 70, 40, 40, 40, 40, 40, 40, 40, 40, 39, 39, 39, 39, 39, 39,
    53, 53, 53, 47, 47, 47, 47, 47, 47, 47, 62, 62, 62, 62, 62, 62, 31, 31, 31, 31,
    31, 70, 70, 70, 70, 70, 70, 40, 40, 40, 40, 40, 40, 40, 39, 39, 39, 39, 39, 76,
    53, 53, 53, 53, 47, 47, 47, 47, 47, 62, 62, 62, 62, 62, 62, 62, 31, 31, 31, 31,
    31, 70, 70, 70, 70, 70, 70, 70, 40, 40, 40, 40, 40, 40, 39, 39, 39, 39, 39, 39,
    53, 53, 53, 53, 53, 53, 48, 48, 62, 62, 62, 62, 62, 62, 62, 62, 31, 31, 31, 31,
    70, 70, 70, 70, 70, 31, 41, 41, 41, 40, 40, 40, 40, 39, 39, 39, 39, 39, 39, 39,
    53, 53, 53, 53, 53, 53, 48, 62, 62, 62, 62, 62, 62, 62, 62, 62, 31, 31, 31, 31,
    70, 70, 70, 70, 70, 41, 41, 41, 41, 40, 40, 40, 40, 39, 39, 39, 39, 39, 39, 39,
    53, 53, 18, 18, 18, 53, 71, 71, 71, 62, 62, 62, 62, 62, 62, 62, 62, 31, 31, 31,
    70, 70, 70, 70, 41, 41, 41, 41, 41, 41, 40, 40, 40, 39, 39, 39, 54, 54, 54, 39,
    53, 53, 53, 53, 53, 71, 71, 71, 71, 48, 62, 62, 62, 62, 62, 62, 62, 55, 55, 55,
    55, 55, 55, 55, 41, 41, 41, 41, 41, 41, 41, 54, 54, 54, 54, 54, 54, 54, 54, 54,
    53, 53, 53, 53, 53, 72, 71, 71, 48, 48, 48, 48, 62, 62, 62, 62, 55, 55, 55, 55,
    55, 55, 55, 55, 41, 41, 41, 41, 41, 41, 41, 54, 54, 54, 54, 54, 39, 39, 54, 54,
    53, 53, 53, 53, 53, 72, 72, 72, 48, 48, 48, 48, 48, 48, 48, 62, 62, 55, 55, 55,
    55, 55, 55, 41, 41, 41, 41, 41, 41, 41, 41, 54, 54, 54, 54, 54, 39, 39, 54, 54,
    63, 63, 63, 53, 72, 72, 72, 72, 42, 42, 42, 42, 42, 48, 48, 48, 48, 55, 55, 55,
    55, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 54, 54, 54, 54, 54, 54, 54, 54,
    63, 63, 63, 63, 63, 63, 63, 73, 42, 42, 42, 42, 42, 42, 42, 42, 42, 49, 55, 55,
    55, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 54, 54, 54, 54, 54, 54, 54, 54,
    63, 63, 63, 63, 63, 63, 63, 73, 73, 42, 42, 42, 42, 42, 42, 42, 49, 49, 49, 55,
    55, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 54, 54, 54, 54, 54, 54, 65, 65,
    63, 63, 63, 63, 63, 63, 63, 73, 73, 42, 42, 42, 42, 42, 42, 42, 49, 49, 49, 49,
    55, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 66, 65, 65, 65, 65, 65, 65, 65,
    63, 63, 63, 63, 63, 63, 63, 63, 73, 73, 42, 42, 42, 42, 42, 42, 49, 49, 49, 49,
    60, 60, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 66, 65, 65, 65, 65, 65, 65, 65,
    63, 63, 63, 63, 63, 63, 63, 63, 73, 73, 42, 42, 42, 42, 42, 42, 49, 49, 49, 49,
    60, 60, 60, 60, 41, 41, 41, 41, 41, 41, 41, 66, 66, 65, 65, 65, 65, 65, 65, 65,
    63, 63, 63, 63, 63, 63, 63, 63, 73, 73, 73, 42, 42, 42, 49, 49, 49, 49, 49, 60,
    60, 60, 60, 60, 60, 60, 41, 41, 66, 66, 66, 66, 66, 65, 65, 65, 65, 65, 65, 65,
    63, 63, 63, 63, 63, 63, 63, 63, 63, 73, 73, 42, 42, 49, 49, 49, 49, 49, 60, 60,
    60, 60, 60, 60, 60, 60, 35, 66, 66, 66, 66, 66, 65, 65, 65, 65, 65, 65, 65, 65,
    74, 74, 74, 74, 63, 63, 74, 74, 73, 73, 73, 73, 42, 49, 49, 49, 49, 49, 60, 60,
    60, 60, 60, 60, 60, 35, 35, 43, 43, 43, 43, 66, 65, 65, 65, 65, 65, 65, 65, 50,
    74, 74, 74, 74, 74, 74, 74, 74, 74, 73, 73, 73, 49, 49, 49, 49, 49, 60, 60, 60,
    60, 60, 60, 60, 60, 35, 35, 43, 43, 43, 43, 43, 43, 65, 65, 65, 65, 65, 65, 50,
    74, 74, 74, 74, 74, 74, 74, 74, 74, 74, 73, 73, 49, 49, 49, 49, 49, 60, 60, 60,
    60, 60, 60, 60, 60, 35, 35, 43, 43, 43, 43, 43, 43, 43, 65, 65, 65, 65, 50, 50,
    68, 68, 56, 56, 56, 56, 56, 56, 56, 56, 56, 1, 1, 1, 1, 1, 1, 1, 1, 36,
    36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 4, 36, 36, 36, 36, 36, 36, 36, 5, 5,
    68, 68, 56, 56, 56, 56, 56, 56, 56, 56, 56, 1, 1, 1, 1, 1, 1, 1, 1, 36,
    36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 4, 4, 4, 4, 4, 36, 36, 36, 5, 5,
    68, 68, 56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 1, 1, 1, 1, 1, 1, 1,
    36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 4, 4, 4, 4, 4, 36, 36, 36, 5, 5,
    68, 68, 68, 56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 1, 1, 1, 1, 1, 1, 1,
    36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 4, 4, 4, 4, 4, 36, 36, 36, 36, 36,
    68, 68, 68, 56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 1, 1, 51, 51, 51, 51, 51,
    51, 36, 36, 36, 36, 36, 36, 4, 4, 4, 4, 4, 4, 4, 4, 36, 36, 36, 36, 36,
    68, 68, 68, 56, 56, 56, 56, 56, 44, 44, 44, 44, 1, 1, 1, 51, 51, 51, 51, 51,
    51, 36, 36, 36, 36, 36, 36, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 58,
    7, 7, 7, 56, 56, 44, 44, 44, 44, 44, 44, 44, 1, 1, 1, 51, 51, 51, 51, 51,
    51, 51, 36, 36, 36, 36, 36, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 58, 58, 58,
    7, 7, 7, 44, 44, 44, 44, 44, 44, 44, 44, 44, 1, 1, 51, 51, 51, 51, 51, 51,
    51, 51, 51, 36, 36, 36, 36, 4, 4, 4, 4, 4, 4, 4, 4, 58, 58, 58, 58, 58,
    7, 7, 7, 7, 44, 44, 44, 44, 44, 44, 44, 44, 44, 51, 51, 51, 51, 51, 51, 51,
    51, 51, 51, 46, 36, 36, 36, 4, 4, 4, 4, 69, 69, 69, 69, 58, 58, 58, 58, 58,
    7, 7, 7, 7, 44, 44, 44, 44, 44, 44, 44, 44, 44, 51, 51, 51, 51, 51, 51, 51,
    51, 51, 46, 46, 46, 46, 69, 69, 69, 69, 69, 69, 69, 69, 38, 58, 58, 58, 58, 58,
    7, 7, 7, 61, 61, 44, 44, 44, 44, 44, 44, 44, 57, 51, 51, 51, 51, 51, 51, 51,
    46, 46, 46, 46, 46, 46, 46, 69, 69, 69, 69, 69, 69, 38, 38, 38, 58, 58, 58, 58,
    61, 61, 61, 61, 61, 44, 44, 44, 44, 44, 57, 57, 57, 57, 51, 51, 51, 59, 59, 59,
    46, 46, 46, 46, 46, 46, 46, 46, 69, 69, 69, 69, 69, 38, 38, 38, 38, 58, 58, 58,
    61, 61, 61, 61, 61, 61, 44, 44, 57, 57, 57, 57, 57, 57, 57, 59, 59, 59, 59, 59,
    59, 46, 46, 46, 46, 46, 46, 46, 46, 46, 38, 38, 38, 38, 38, 38, 38, 58, 58, 58,
    61, 61, 61, 61, 61, 61, 61, 57, 57, 57, 57, 57, 57, 57, 57, 59, 59, 59, 59, 59,
    59, 46, 46, 46, 46, 46, 46, 46, 46, 46, 38, 38, 38, 38, 38, 38, 38, 38, 58, 58,
    61, 61, 61, 61, 61, 61, 61, 57, 57, 57, 57, 57, 57, 57, 75, 75, 59, 59, 59, 59,
    59, 46, 46, 46, 46, 46, 46, 46, 46, 46, 46, 38, 38, 38, 38, 38, 38, 38, 58, 37,
    61, 61, 61, 61, 61, 47, 47, 57, 57, 57, 57, 57, 57, 75, 75, 75, 59, 59, 59, 59,
    46, 46, 46, 46, 46, 46, 46, 46, 46, 46, 46, 46, 38, 38, 38, 38, 38, 38, 52, 52,
    61, 61, 61, 61, 47, 47, 47, 47, 57, 57, 57, 57, 75, 75, 75, 75, 75, 59, 59, 59,
    46, 46, 46, 46, 46, 46, 46, 46, 46, 46, 46, 46, 38, 38, 38, 38, 38, 38, 52, 52,
    61, 61, 61, 47, 47, 47, 47, 47, 57, 57, 57, 75, 75, 75, 75, 75, 75, 75, 59, 59,
    46, 46, 46, 46, 46, 46, 46, 46, 46, 46, 46, 46, 38, 38, 52, 52, 52, 52, 52, 52,
    61, 61, 47, 47, 47, 47, 47, 47, 57, 57, 75, 75, 75, 75, 75, 75, 75, 75, 70, 70,
    70, 70, 46, 46, 46, 46, 46, 46, 46, 46, 40, 40, 40, 40, 52, 52, 52, 52, 52, 52,
    47, 47, 47, 47, 47, 47, 47, 47, 57, 75, 75, 75, 75, 75, 75, 75, 75, 70, 70, 70,
    70, 70, 70, 70, 46, 46, 40, 40, 40, 40, 40, 40, 40, 40, 52, 52, 52, 52, 52, 76,
    47, 47, 47, 47, 47, 47, 47, 47, 47, 47, 47, 75, 75, 62, 62, 62, 70, 70, 70, 70,
    70, 70, 70, 70, 70, 40, 40, 40, 40, 40, 40, 40, 40, 40, 40, 39, 39, 39, 76, 76,
    53, 53, 47, 47, 47, 47, 47, 47, 47, 47, 62, 62, 62, 62, 62, 62, 70, 70, 70, 70,
    70, 70, 70, 70, 70, 70, 40, 40, 40, 40, 40, 40, 40, 40, 40, 39, 39, 39, 76, 76,
    53, 53, 53, 53, 47, 47, 47, 47, 71, 71, 62, 62, 62, 62, 62, 62, 70, 70, 70, 70,
    70, 70, 70, 70, 70, 70, 70, 40, 40, 40, 40, 40, 40, 40, 39, 39, 39, 39, 76, 76,
    53, 53, 53, 53, 53, 71, 71, 71, 71, 71, 62, 62, 62, 62, 62, 62, 70, 31, 31, 31,
    70, 70, 70, 70, 70, 70, 70, 41, 40, 40, 40, 40, 40, 40, 39, 54, 39, 39, 39, 76,
    53, 53, 53, 53, 53, 71, 71, 71, 71, 71, 62, 62, 62, 62, 62, 62, 70, 31, 31, 31,
    70, 70, 70, 70, 70, 41, 41, 41, 41, 40, 40, 40, 40, 40, 39, 54, 54, 54, 54, 77,
    53, 53, 53, 53, 53, 71, 71, 71, 71, 62, 62, 62, 62, 62, 62, 62, 62, 31, 31, 31,
    70, 70, 70, 70, 41, 41, 41, 41, 41, 41, 40, 40, 40, 39, 39, 54, 54, 54, 54, 77,
    53, 53, 53, 53, 53, 71, 71, 71, 71, 62, 62, 62, 62, 62, 62, 62, 62, 55, 55, 55,
    55, 55, 55, 55, 41, 41, 41, 41, 41, 41, 54, 54, 54, 54, 54, 54, 54, 54, 54, 77,
    53, 53, 53, 53, 53, 72, 72, 71, 71, 62, 62, 62, 62, 62, 62, 62, 55, 55, 55, 55,
    55, 55, 55, 55, 41, 41, 41, 41, 41, 41, 41, 54, 54, 54, 54, 54, 54, 54, 54, 77,
    63, 63, 63, 53, 72, 72, 72, 72, 72, 48, 48, 62, 62, 62, 62, 62, 62, 55, 55, 55,
    55, 55, 55, 41, 41, 41, 41, 41, 41, 41, 41, 54, 54, 54, 54, 54, 39, 54, 54, 77,
    63, 63, 63, 63, 72, 72, 72, 72, 72, 42, 42, 42, 42, 42, 62, 62, 62, 55, 55, 55,
    55, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 54, 54, 54, 65, 54, 54, 54, 54, 54,
    63, 63, 63, 63, 63, 63, 72, 72, 73, 73, 42, 42, 42, 42, 42, 42, 42, 49, 55, 55,
    55, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 54, 54, 65, 54, 54, 54, 54, 54,
    63, 63, 63, 63, 63, 63, 63, 73, 73, 73, 42, 42, 42, 42, 42, 42, 42, 49, 49, 55,
    55, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 54, 54, 54, 54, 65, 65, 65, 65,
    63, 63, 63, 63, 63, 63, 63, 73, 73, 73, 42, 42, 42, 42, 42, 42, 49, 49, 49, 49,
    55, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 66, 66, 65, 65, 65, 65, 65, 65, 65,
    63, 63, 63, 63, 63, 63, 63, 73, 73, 73, 42, 42, 42, 42, 42, 42, 49, 49, 49, 49,
    60, 60, 41, 41, 41, 41, 41, 41, 41, 41, 41, 66, 66, 65, 65, 65, 65, 65, 65, 65,
    63, 63, 63, 63, 63, 63, 63, 63, 73, 73, 73, 73, 42, 42, 42, 42, 49, 49, 49, 60,
    60, 60, 60, 60, 41, 41, 41, 41, 41, 41, 66, 66, 66, 65, 65, 65, 65, 65, 65, 65,
    63, 63, 63, 63, 63, 63, 63, 63, 73, 73, 73, 73, 42, 42, 49, 49, 49, 49, 60, 60,
    60, 60, 60, 60, 60, 60, 41, 66, 66, 66, 66, 66, 66, 65, 65, 65, 65, 65, 65, 65,
    74, 63, 63, 63, 63, 63, 63, 63, 73, 73, 73, 73, 73, 42, 49, 49, 49, 49, 60, 60,
    60, 60, 60, 60, 60, 60, 60, 66, 66, 66, 66, 66, 65, 65, 65, 65, 65, 65, 65, 65,
    74, 74, 74, 74, 74, 74, 74, 74, 73, 73, 73, 73, 73, 49, 49, 49, 49, 60, 60, 60,
    60, 60, 60, 60, 60, 60, 60, 66, 66, 66, 66, 66, 65, 65, 65, 65, 65, 65, 65, 65,
    74, 74, 74, 74, 74, 74, 74, 74, 74, 73, 73, 73, 73, 49, 49, 49, 49, 60, 60, 60,
    60, 60, 60, 60, 60, 60, 60, 43, 43, 43, 43, 66, 65, 65, 65, 65, 65, 65, 65, 65,
    74, 74, 74, 74, 74, 74, 74, 74, 74, 74, 73, 73, 78, 78, 78, 78, 78, 60, 60, 60,
    60, 60, 60, 60, 60, 60, 35, 43, 43, 43, 43, 43, 66, 65, 65, 65, 65, 65, 65, 65,
    68, 68, 56, 56, 56, 56, 56, 56, 56, 56, 56, 1, 1, 1, 1, 1, 79, 1, 1, 36,
    36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 5, 5,
    68, 68, 68, 68, 56, 56, 56, 56, 56, 56, 56, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 4, 4, 36, 36, 36, 36, 36, 36, 5,
    68, 68, 68, 68, 56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 1, 1, 1, 1, 1, 1,
    36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 4, 4, 4, 4, 36, 36, 36, 36, 5,
    68, 68, 68, 68, 56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 1, 1, 1, 1, 1, 51,
    36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 4, 4, 4, 4, 36, 36, 36, 36, 36,
    68, 68, 68, 68, 56, 56, 56, 56, 56, 56, 56, 56, 56, 1, 1, 51, 51, 51, 51, 51,
    51, 36, 36, 36, 36, 36, 36, 36, 36, 36, 4, 4, 4, 4, 4, 36, 36, 36, 36, 36,
    68, 68, 68, 68, 56, 56, 56, 56, 56, 56, 56, 56, 80, 1, 1, 51, 51, 51, 51, 51,
    51, 51, 36, 36, 36, 36, 36, 36, 36, 36, 4, 4, 4, 4, 4, 4, 4, 4, 58, 58,
    68, 68, 68, 68, 56, 56, 56, 56, 44, 44, 44, 44, 44, 1, 51, 51, 51, 51, 51, 51,
    51, 51, 51, 36, 36, 36, 36, 36, 36, 36, 4, 4, 4, 4, 4, 58, 58, 58, 58, 58,
    7, 7, 68, 68, 68, 44, 44, 44, 44, 44, 44, 44, 44, 51, 51, 51, 51, 51, 51, 51,
    51, 51, 51, 51, 36, 36, 36, 36, 36, 36, 4, 4, 69, 69, 58, 58, 58, 58, 58, 58,
    7, 7, 61, 68, 44, 44, 44, 44, 44, 44, 44, 44, 44, 51, 51, 51, 51, 51, 51, 51,
    51, 51, 51, 46, 46, 46, 36, 69, 69, 69, 69, 69, 69, 69, 69, 58, 58, 58, 58, 58,
    7, 7, 61, 61, 44, 44, 44, 44, 44, 44, 44, 44, 44, 51, 51, 51, 51, 51, 51, 51,
    51, 46, 46, 46, 46, 46, 46, 69, 69, 69, 69, 69, 69, 69, 69, 58, 58, 58, 58, 58,
    7, 7, 61, 61, 44, 44, 44, 44, 44, 44, 44, 44, 44, 51, 51, 51, 51, 51, 51, 51,
    51, 46, 46, 46, 46, 46, 46, 69, 69, 69, 69, 69, 69, 69, 69, 58, 58, 58, 58, 58,
    61, 61, 61, 61, 61, 44, 44, 44, 44, 44, 44, 57, 57, 57, 51, 59, 59, 59, 59, 59,
    59, 46, 46, 46, 46, 46, 46, 46, 69, 69, 69, 69, 69, 69, 38, 38, 58, 58, 58, 58,
    61, 61, 61, 61, 61, 61, 44, 44, 44, 44, 57, 57, 57, 75, 59, 59, 59, 59, 59, 59,
    59, 46, 46, 46, 46, 46, 46, 46, 46, 46, 46, 46, 38, 38, 38, 38, 38, 58, 58, 58,
    61, 61, 61, 61, 61, 61, 61, 57, 57, 57, 57, 57, 75, 75, 75, 59, 59, 59, 59, 59,
    59, 46, 46, 46, 46, 46, 46, 46, 46, 46, 38, 38, 38, 38, 38, 38, 38, 38, 58, 58,
    61, 61, 61, 61, 61, 61, 61, 57, 57, 57, 57, 75, 75, 75, 75, 59, 59, 59, 59, 59,
    59, 46, 46, 46, 46, 46, 46, 46, 46, 46, 38, 38, 38, 38, 38, 38, 38, 38, 58, 58,
    61, 61, 61, 61, 61, 61, 47, 57, 57, 57, 75, 75, 75, 75, 75, 59, 59, 59, 59, 59,
    59, 46, 46, 46, 46, 46, 46, 46, 46, 46, 46, 38, 38, 38, 38, 38, 38, 38, 52, 52,
    61, 61, 61, 61, 61, 47, 47, 47, 57, 75, 75, 75, 75, 75, 75, 59, 59, 59, 59, 59,
    59, 46, 46, 46, 46, 46, 46, 46, 46, 46, 46, 38, 38, 38, 38, 38, 38, 38, 52, 52,
    61, 61, 61, 47, 47, 47, 47, 47, 75, 75, 75, 75, 75, 75, 75, 75, 75, 59, 59, 59,
    46, 46, 46, 46, 46, 46, 46, 46, 46, 46, 46, 46, 38, 38, 52, 52, 52, 52, 52, 81,
    61, 61, 47, 47, 47, 47, 47, 47, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 70, 70,
    70, 46, 46, 46, 46, 46, 46, 46, 46, 46, 46, 40, 40, 40, 52, 52, 52, 52, 81, 81,
    61, 47, 47, 47, 47, 47, 47, 47, 75, 75, 75, 75, 75, 75, 75, 75, 75, 70, 70, 70,
    70, 70, 70, 82, 82, 82, 40, 40, 40, 40, 40, 40, 40, 40, 40, 52, 52, 81, 81, 81,
    47, 47, 47, 47, 47, 47, 47, 47, 75, 75, 83, 75, 75, 75, 75, 75, 70, 70, 70, 70,
    70, 70, 70, 70, 82, 82, 40, 40, 40, 40, 40, 40, 40, 40, 40, 39, 39, 76, 76, 76,
    47, 47, 47, 47, 47, 47, 83, 83, 83, 83, 62, 62, 62, 62, 62, 62, 70, 70, 70, 70,
    70, 70, 70, 70, 70, 40, 40, 40, 40, 40, 40, 40, 40, 40, 40, 39, 39, 76, 76, 76,
    53, 53, 53, 53, 47, 83, 83, 83, 71, 71, 62, 62, 62, 62, 62, 62, 70, 70, 70, 70,
    70, 70, 70, 70, 70, 70, 40, 40, 40, 40, 40, 40, 40, 40, 40, 54, 39, 76, 76, 76,
    53, 53, 53, 53, 53, 71, 71, 71, 71, 71, 62, 62, 62, 62, 62, 62, 70, 70, 70, 70,
    70, 70, 70, 70, 70, 70, 70, 40, 40, 40, 40, 40, 40, 40, 54, 54, 54, 76, 76, 76,
    53, 53, 53, 53, 53, 71, 71, 71, 71, 71, 62, 62, 62, 62, 62, 62, 70, 70, 70, 70,
    70, 70, 70, 70, 70, 70, 70, 41, 40, 40, 40, 40, 40, 40, 54, 54, 54, 54, 77, 77,
    53, 53, 53, 53, 53, 71, 71, 71, 71, 71, 62, 62, 62, 62, 62, 62, 70, 70, 70, 70,
    70, 70, 70, 70, 41, 41, 41, 41, 41, 40, 40, 40, 40, 40, 54, 54, 54, 54, 77, 77,
    63, 63, 63, 53, 53, 71, 71, 71, 71, 71, 62, 62, 62, 62, 62, 62, 55, 55, 55, 55,
    55, 55, 55, 55, 41, 41, 41, 41, 41, 41, 54, 54, 54, 54, 54, 54, 54, 54, 54, 77,
    63, 63, 63, 63, 72, 72, 72, 72, 71, 71, 62, 62, 62, 62, 62, 62, 62, 55, 55, 55,
    55, 55, 55, 55, 41, 41, 41, 41, 41, 41, 54, 54, 54, 54, 54, 54, 54, 54, 54, 77,
    63, 63, 63, 63, 72, 72, 72, 72, 72, 72, 62, 62, 62, 62, 62, 62, 62, 55, 55, 55,
    55, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 54, 54, 54, 65, 54, 54, 54, 54, 77,
    63, 63, 63, 63, 72, 72, 72, 72, 72, 72, 73, 42, 62, 62, 62, 62, 62, 62, 55, 55,
    55, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 54, 54, 65, 65, 54, 54, 54, 54, 77,
    63, 63, 63, 63, 72, 72, 72, 72, 72, 73, 73, 42, 42, 42, 42, 42, 42, 42, 55, 55,
    55, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 54, 65, 65, 65, 54, 54, 54, 54,
    63, 63, 63, 63, 63, 63, 72, 72, 73, 73, 73, 73, 42, 42, 42, 42, 42, 49, 49, 55,
    55, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 66, 66, 65, 65, 65, 65, 65, 65, 65,
    63, 63, 63, 63, 63, 63, 63, 73, 73, 73, 73, 73, 42, 42, 42, 42, 42, 49, 49, 49,
    55, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 66, 66, 65, 65, 65, 65, 65, 65, 65,
    63, 63, 63, 63, 63, 63, 63, 73, 73, 73, 73, 73, 73, 42, 42, 42, 49, 49, 49, 60,
    60, 60, 41, 41, 41, 41, 41, 41, 41, 41, 66, 66, 66, 65, 65, 65, 65, 65, 65, 65,
    63, 63, 63, 63, 63, 63, 63, 63, 73, 73, 73, 73, 73, 42, 42, 42, 49, 49, 60, 60,
    60, 60, 60, 60, 41, 41, 41, 41, 41, 66, 66, 66, 66, 65, 65, 65, 65, 65, 65, 65,
    63, 63, 63, 63, 63, 63, 63, 63, 73, 73, 73, 73, 73, 73, 42, 49, 49, 49, 60, 60,
    60, 60, 60, 60, 60, 60, 41, 66, 66, 66, 66, 66, 66, 65, 65, 65, 65, 65, 65, 65,
    74, 74, 74, 63, 63, 63, 63, 63, 73, 73, 73, 73, 73, 73, 49, 49, 49, 60, 60, 60,
    60, 60, 60, 60, 60, 60, 66, 66, 66, 66, 66, 66, 65, 65, 65, 65, 65, 65, 65, 65,
    74, 74, 74, 74, 74, 74, 74, 74, 73, 73, 73, 73, 73, 73, 49, 49, 49, 60, 60, 60,
    60, 60, 60, 60, 60, 60, 60, 66, 66, 66, 66, 66, 65, 65, 65, 65, 65, 65, 65, 65,
    74, 74, 74, 74, 74, 74, 74, 74, 74, 73, 73, 73, 73, 73, 49, 49, 60, 60, 60, 60,
    60, 60, 60, 60, 60, 60, 60, 60, 43, 66, 66, 66, 65, 65, 65, 65, 65, 65, 65, 65,
    74, 74, 74, 74, 74, 74, 74, 74, 74, 74, 73, 73, 78, 78, 78, 78, 78, 60, 60, 60,
    60, 60, 60, 60, 60, 60, 60, 43, 43, 43, 43, 66, 66, 65, 65, 65, 65, 65, 65, 65,
    68, 68, 68, 68, 56, 56, 56, 56, 56, 56, 56, 56, 1, 1, 1, 79, 79, 79, 79, 79,
    36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 5,
    68, 68, 68, 68, 56, 56, 56, 56, 56, 56, 56, 56, 1, 80, 1, 1, 79, 79, 79, 79,
    36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 5,
    68, 68, 68, 68, 56, 56, 56, 56, 56, 56, 56, 56, 56, 80, 1, 1, 1, 1, 1, 79,
    36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 5,
    68, 68, 68, 68, 56, 56, 56, 56, 56, 56, 56, 56, 56, 80, 1, 1, 1, 51, 51, 51,
    51, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 4, 4, 36, 36, 36, 36, 36, 36, 36,
    68, 68, 68, 68, 56, 56, 56, 56, 56, 56, 56, 56, 56, 80, 80, 51, 51, 51, 51, 51,
    51, 51, 36, 36, 36, 36, 36, 36, 36, 36, 36, 4, 4, 4, 36, 36, 36, 36, 36, 84,
    68, 68, 68, 68, 68, 56, 56, 56, 56, 56, 56, 56, 80, 80, 51, 51, 51, 51, 51, 51,
    51, 51, 51, 36, 36, 36, 36, 36, 36, 36, 36, 4, 4, 4, 4, 4, 4, 4, 58, 58,
    68, 68, 68, 68, 68, 56, 56, 56, 56, 56, 44, 44, 80, 51, 51, 51, 51, 51, 51, 51,
    51, 51, 51, 51, 36, 36, 36, 36, 36, 36, 36, 4, 4, 4, 58, 58, 58, 58, 58, 58,
    68, 68, 68, 68, 68, 44, 44, 44, 44, 44, 44, 44, 80, 51, 51, 51, 51, 51, 51, 51,
    51, 51, 51, 51, 46, 36, 36, 36, 36, 69, 69, 69, 69, 69, 58, 58, 58, 58, 58, 58,
    7, 61, 68, 68, 68, 44, 44, 44, 44, 44, 44, 44, 44, 51, 51, 51, 51, 51, 51, 51,
    51, 51, 51, 46, 46, 46, 69, 69, 69, 69, 69, 69, 69, 69, 69, 58, 58, 58, 58, 58,
    7, 61, 61, 68, 44, 44, 44, 44, 44, 44, 44, 44, 44, 51, 51, 51, 51, 51, 51, 51,
    51, 46, 46, 46, 46, 46, 46, 69, 69, 69, 69, 69, 69, 69, 69, 58, 58, 58, 58, 58,
    7, 61, 61, 61, 44, 44, 44, 44, 44, 44, 44, 44, 44, 51, 51, 51, 51, 59, 59, 59,
    59, 46, 46, 46, 46, 46, 46, 69, 69, 69, 69, 69, 69, 69, 69, 58, 58, 58, 58, 58,
    61, 61, 61, 61, 61, 44, 44, 44, 44, 44, 44, 75, 75, 75, 59, 59, 59, 59, 59, 59,
    59, 46, 46, 46, 46, 46, 46, 46, 69, 69, 69, 69, 69, 69, 69, 38, 58, 58, 58, 58,
    61, 61, 61, 61, 61, 61, 44, 44, 44, 44, 75, 75, 75, 75, 59, 59, 59, 59, 59, 59,
    59, 59, 46, 46, 46, 46, 46, 46, 46, 69, 69, 46, 38, 38, 38, 38, 58, 58, 58, 58,
    61, 61, 61, 61, 61, 61, 61, 57, 57, 75, 75, 75, 75, 75, 75, 59, 59, 59, 59, 59,
    59, 59, 46, 46, 46, 46, 46, 46, 46, 69, 69, 38, 38, 38, 38, 38, 38, 58, 58, 58,
    61, 61, 61, 61, 61, 61, 61, 57, 75, 75, 75, 75, 75, 75, 75, 59, 59, 59, 59, 59,
    59, 46, 46, 46, 46, 46, 46, 46, 46, 69, 69, 38, 38, 38, 38, 38, 38, 38, 58, 58,
    61, 61, 61, 61, 61, 61, 47, 75, 75, 75, 75, 75, 75, 75, 75, 59, 59, 59, 59, 59,
    59, 46, 46, 46, 46, 46, 46, 46, 46, 69, 69, 38, 38, 38, 38, 38, 38, 38, 52, 52,
    61, 61, 61, 61, 61, 47, 47, 47, 75, 75, 75, 75, 75, 75, 75, 59, 59, 59, 59, 59,
    59, 46, 46, 46, 46, 46, 46, 46, 46, 46, 69, 69, 38, 38, 38, 38, 38, 38, 52, 81,
    61, 61, 61, 61, 47, 47, 47, 47, 75, 75, 75, 75, 75, 75, 75, 85, 85, 85, 85, 85,
    85, 82, 82, 82, 82, 82, 82, 82, 82, 82, 40, 40, 40, 40, 52, 52, 52, 81, 81, 81,
    61, 61, 61, 47, 47, 47, 47, 83, 75, 75, 75, 75, 75, 75, 75, 75, 75, 85, 85, 85,
    82, 82, 82, 82, 82, 82, 82, 82, 46, 46, 40, 40, 40, 40, 40, 52, 52, 81, 81, 81,
    61, 47, 47, 47, 47, 47, 83, 83, 75, 75, 75, 75, 75, 75, 75, 75, 75, 85, 70, 70,
    70, 70, 82, 82, 82, 82, 82, 86, 86, 86, 40, 40, 40, 40, 40, 52, 81, 81, 81, 81,
    87, 87, 47, 47, 47, 83, 83, 83, 83, 83, 83, 75, 75, 75, 75, 75, 75, 70, 70, 70,
    70, 70, 70, 82, 82, 82, 86, 86, 86, 86, 40, 40, 40, 40, 40, 40, 76, 76, 76, 76,
    87, 87, 83, 83, 83, 83, 83, 83, 83, 83, 83, 62, 62, 62, 62, 62, 70, 70, 70, 70,
    70, 70, 70, 70, 70, 86, 86, 86, 86, 86, 40, 40, 40, 40, 40, 40, 76, 76, 76, 76,
    53, 53, 53, 83, 83, 83, 83, 83, 83, 71, 71, 62, 62, 62, 88, 62, 70, 70, 70, 70,
    70, 70, 70, 70, 70, 70, 86, 86, 86, 86, 40, 40, 40, 40, 40, 54, 76, 76, 76, 76,
    53, 53, 53, 53, 83, 83, 71, 71, 71, 71, 71, 62, 62, 62, 62, 62, 70, 70, 70, 70,
    70, 70, 70, 70, 70, 70, 70, 86, 86, 86, 40, 40, 40, 40, 54, 54, 76, 76, 76, 76,
    53, 53, 53, 53, 71, 71, 71, 71, 71, 71, 71, 62, 62, 62, 62, 62, 70, 70, 70, 70,
    70, 70, 70, 70, 70, 70, 70, 41, 86, 86, 40, 40, 40, 54, 54, 54, 77, 77, 77, 77,
    63, 63, 63, 53, 71, 71, 71, 71, 71, 71, 62, 62, 62, 62, 62, 62, 70, 70, 70, 70,
    70, 55, 55, 55, 41, 41, 41, 41, 41, 86, 40, 40, 40, 54, 54, 54, 54, 77, 77, 77,
    63, 63, 63, 53, 72, 72, 72, 72, 71, 71, 62, 62, 62, 62, 62, 62, 62, 55, 55, 55,
    55, 55, 55, 55, 41, 41, 41, 41, 41, 41, 54, 54, 54, 54, 54, 54, 54, 77, 77, 77,
    63, 63, 63, 63, 72, 72, 72, 72, 72, 71, 71, 62, 62, 62, 62, 62, 62, 55, 55, 55,
    55, 55, 55, 55, 41, 41, 41, 41, 41, 41, 54, 54, 54, 54, 54, 54, 54, 54, 77, 77,
    63, 63, 63, 63, 72, 72, 72, 72, 72, 72, 72, 62, 62, 62, 62, 62, 62, 55, 55, 55,
    55, 55, 41, 41, 41, 41, 41, 41, 41, 41, 41, 54, 54, 65, 65, 54, 54, 54, 77, 77,
    63, 63, 63, 63, 72, 72, 72, 72, 72, 72, 72, 72, 62, 62, 62, 62, 62, 62, 55, 55,
    55, 55, 41, 41, 41, 41, 41, 41, 41, 41, 41, 54, 66, 65, 65, 54, 54, 54, 77, 77,
    63, 63, 63, 63, 72, 72, 72, 72, 72, 72, 73, 73, 42, 42, 42, 42, 42, 89, 89, 55,
    55, 55, 41, 41, 41, 41, 41, 41, 41, 41, 41, 54, 66, 65, 65, 65, 54, 54, 54, 77,
    63, 63, 63, 63, 63, 63, 72, 72, 73, 73, 73, 73, 73, 42, 42, 42, 42, 89, 89, 89,
    55, 55, 41, 41, 41, 41, 41, 41, 41, 41, 41, 66, 66, 65, 65, 65, 65, 65, 65, 65,
    63, 63, 63, 63, 63, 63, 63, 73, 73, 73, 73, 73, 73, 73, 42, 42, 42, 49, 49, 60,
    60, 55, 41, 41, 41, 41, 41, 41, 41, 41, 66, 66, 66, 65, 65, 65, 65, 65, 65, 65,
    63, 63, 63, 63, 63, 63, 63, 73, 73, 73, 73, 73, 73, 73, 42, 42, 49, 49, 60, 60,
    60, 60, 41, 41, 41, 41, 41, 41, 41, 66, 66, 66, 66, 65, 65, 65, 65, 65, 65, 65,
    63, 63, 63, 63, 63, 63, 63, 73, 73, 73, 73, 73, 73, 73, 42, 42, 49, 49, 60, 60,
    60, 60, 60, 60, 41, 41, 41, 41, 66, 66, 66, 66, 66, 65, 65, 65, 65, 65, 65, 65,
    63, 63, 63, 63, 63, 63, 63, 63, 73, 73, 73, 73, 73, 73, 42, 49, 49, 60, 60, 60,
    60, 60, 60, 60, 90, 90, 66, 66, 66, 66, 66, 66, 66, 65, 65, 65, 65, 65, 65, 65,
    74, 74, 74, 74, 74, 74, 63, 63, 73, 73, 73, 73, 73, 73, 73, 49, 49, 60, 60, 60,
    60, 60, 90, 90, 90, 90, 66, 66, 66, 66, 66, 66, 65, 65, 65, 65, 65, 65, 65, 65,
    74, 74, 74, 74, 74, 74, 74, 74, 73, 73, 73, 73, 73, 73, 73, 49, 60, 60, 60, 60,
    60, 60, 60, 90, 90, 90, 90, 90, 66, 66, 66, 66, 65, 65, 65, 65, 65, 65, 65, 65,
    74, 74, 74, 74, 74, 74, 74, 74, 74, 73, 73, 73, 73, 73, 49, 60, 60, 60, 60, 60,
    60, 60, 60, 60, 90, 90, 90, 90, 66, 66, 66, 66, 65, 65, 65, 65, 65, 65, 65, 65,
    74, 74, 74, 74, 74, 74, 74, 74, 74, 73, 73, 73, 78, 78, 78, 78, 78, 60, 60, 60,
    60, 60, 60, 60, 90, 90, 90, 90, 66, 66, 66, 66, 66, 65, 65, 65, 65, 65, 65, 65,
    68, 68, 68, 68, 56, 56, 56, 56, 56, 56, 56, 56, 80, 79, 79, 79, 79, 79, 79, 79,
    36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36,
    68, 68, 68, 68, 56, 56, 56, 56, 56, 56, 56, 56, 80, 80, 79, 79, 79, 79, 79, 79,
    36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36,
    68, 68, 68, 68, 56, 56, 56, 56, 56, 56, 56, 56, 80, 80, 80, 79, 79, 79, 79, 79,
    79, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36,
    68, 68, 68, 68, 68, 56, 56, 56, 56, 56, 56, 56, 80, 80, 80, 80, 79, 79, 79, 79,
    79, 91, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 5,
    68, 68, 68, 68, 68, 56, 56, 56, 56, 56, 56, 56, 80, 80, 80, 80, 51, 51, 51, 51,
    51, 91, 91, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 84,
    68, 68, 68, 68, 68, 56, 56, 56, 56, 56, 56, 80, 80, 80, 80, 80, 51, 51, 51, 51,
    51, 51, 91, 91, 36, 36, 36, 36, 36, 36, 36, 36, 4, 4, 4, 4, 4, 58, 58, 84,
    68, 68, 68, 68, 68, 68, 56, 56, 56, 56, 56, 80, 80, 80, 80, 51, 51, 51, 51, 51,
    51, 51, 91, 91, 91, 36, 36, 36, 36, 36, 36, 92, 92, 92, 58, 58, 58, 58, 58, 58,
    68, 68, 68, 68, 68, 68, 56, 56, 44, 44, 44, 44, 80, 80, 51, 51, 51, 51, 51, 51,
    51, 51, 51, 91, 91, 91, 36, 36, 69, 69, 69, 69, 69, 69, 58, 58, 58, 58, 58, 58,
    68, 68, 68, 68, 68, 68, 44, 44, 44, 44, 44, 44, 80, 51, 51, 51, 51, 51, 51, 51,
    51, 51, 51, 46, 46, 46, 69, 69, 69, 69, 69, 69, 69, 69, 58, 58, 58, 58, 58, 58,
    68, 68, 68, 68, 68, 68, 44, 44, 44, 44, 44, 44, 80, 51, 51, 51, 51, 51, 51, 59,
    59, 51, 46, 46, 46, 46, 46, 69, 69, 69, 69, 69, 69, 69, 58, 58, 58, 58, 58, 58,
    61, 61, 61, 93, 93, 44, 44, 44, 44, 44, 44, 44, 44, 51, 51, 59, 59, 59, 59, 59,
    59, 94, 46, 46, 46, 46, 46, 69, 69, 69, 69, 69, 69, 69, 69, 58, 58, 58, 58, 58,
    61, 61, 61, 61, 93, 93, 44, 44, 44, 44, 95, 75, 75, 59, 59, 59, 59, 59, 59, 59,
    59, 59, 46, 46, 46, 46, 46, 46, 69, 69, 69, 69, 69, 69, 69, 96, 58, 58, 58, 58,
    61, 61, 61, 61, 61, 93, 93, 44, 95, 95, 95, 75, 75, 75, 59, 59, 59, 59, 59, 59,
    59, 59, 94, 46, 46, 46, 46, 46, 69, 69, 69, 69, 69, 69, 69, 96, 96, 58, 58, 58,
    61, 61, 61, 61, 61, 93, 93, 95, 95, 75, 75, 75, 75, 75, 75, 59, 59, 59, 59, 59,
    59, 94, 46, 46, 46, 46, 46, 46, 69, 69, 69, 38, 38, 38, 38, 38, 96, 58, 58, 58,
    61, 61, 61, 61, 61, 61, 93, 75, 75, 75, 75, 75, 75, 75, 75, 59, 59, 59, 59, 59,
    59, 94, 46, 46, 46, 46, 46, 46, 69, 69, 69, 38, 38, 38, 38, 38, 38, 58, 58, 58,
    61, 61, 61, 61, 61, 61, 61, 75, 75, 75, 75, 75, 75, 75, 75, 59, 59, 59, 59, 59,
    59, 94, 82, 82, 82, 82, 82, 82, 82, 69, 69, 38, 38, 38, 38, 38, 38, 38, 52, 81,
    61, 61, 61, 61, 61, 61, 47, 97, 75, 75, 75, 75, 75, 75, 75, 85, 85, 85, 85, 85,
    85, 82, 82, 82, 82, 82, 82, 82, 82, 82, 69, 69, 69, 38, 38, 38, 38, 81, 81, 81,
    61, 61, 61, 61, 47, 83, 83, 83, 97, 75, 75, 75, 75, 75, 75, 85, 85, 85, 85, 85,
    85, 82, 82, 82, 82, 82, 82, 82, 82, 86, 86, 86, 86, 86, 52, 98, 98, 81, 81, 81,
    61, 61, 61, 47, 83, 83, 83, 83, 97, 75, 75, 75, 75, 75, 75, 85, 85, 85, 85, 85,
    82, 82, 82, 82, 82, 82, 82, 82, 82, 86, 86, 86, 86, 86, 40, 98, 98, 81, 81, 81,
    87, 87, 47, 47, 83, 83, 83, 83, 83, 83, 75, 75, 75, 75, 75, 75, 75, 85, 85, 85,
    70, 82, 82, 82, 82, 82, 82, 82, 82, 86, 86, 86, 86, 86, 40, 98, 81, 81, 81, 81,
    87, 87, 87, 47, 83, 83, 83, 83, 83, 83, 83, 97, 75, 75, 75, 75, 75, 85, 70, 70,
    70, 70, 82, 82, 82, 82, 86, 86, 86, 86, 86, 86, 86, 86, 40, 98, 81, 81, 81, 81,
    87, 87, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 97, 75, 75, 88, 88, 70, 70, 70,
    70, 70, 70, 70, 82, 86, 86, 86, 86, 86, 86, 86, 86, 86, 40, 99, 81, 81, 81, 81,
    53, 87, 83, 83, 83, 83, 83, 83, 83, 83, 71, 62, 62, 62, 88, 88, 88, 70, 70, 70,
    70, 70, 70, 70, 70, 86, 86, 86, 86, 86, 86, 86, 86, 86, 40, 99, 81, 81, 81, 81,
    53, 53, 53, 83, 83, 83, 83, 83, 71, 71, 71, 62, 62, 62, 88, 62, 62, 70, 70, 70,
    70, 70, 70, 70, 70, 70, 86, 86, 86, 86, 86, 86, 86, 86, 54, 76, 76, 76, 76, 76,
    53, 53, 53, 53, 83, 71, 71, 71, 71, 71, 71, 62, 62, 62, 62, 62, 62, 70, 70, 70,
    70, 70, 70, 70, 70, 70, 70, 86, 86, 86, 86, 86, 86, 54, 54, 77, 77, 77, 77, 77,
    63, 63, 63, 53, 71, 71, 71, 71, 71, 71, 71, 62, 62, 62, 62, 62, 62, 70, 70, 70,
    70, 55, 55, 55, 55, 55, 41, 41, 86, 86, 86, 86, 86, 54, 54, 54, 77, 77, 77, 77,
    63, 63, 63, 53, 72, 72, 72, 72, 71, 71, 71, 62, 62, 62, 62, 62, 62, 55, 55, 55,
    55, 55, 55, 55, 55, 55, 41, 41, 41, 86, 86, 54, 54, 54, 54, 54, 77, 77, 77, 77,
    63, 63, 63, 63, 72, 72, 72, 72, 72, 72, 71, 62, 62, 62, 62, 62, 62, 62, 55, 55,
    55, 55, 55, 55, 41, 41, 41, 41, 41, 41, 54, 54, 54, 54, 54, 54, 54, 77, 77, 77,
    63, 63, 63, 63, 72, 72, 72, 72, 72, 72, 72, 72, 62, 62, 62, 62, 62, 62, 55, 55,
    55, 55, 55, 55, 41, 41, 41, 41, 41, 41, 41, 66, 66, 65, 65, 54, 54, 77, 77, 77,
    63, 63, 63, 63, 72, 72, 72, 72, 72, 72, 72, 72, 62, 62, 62, 62, 62, 89, 89, 55,
    55, 55, 55, 55, 41, 41, 41, 41, 41, 41, 41, 66, 66, 65, 65, 54, 54, 54, 77, 77,
    63, 63, 63, 63, 72, 72, 72, 72, 72, 72, 72, 73, 73, 42, 42, 62, 89, 89, 89, 55,
    55, 55, 55, 55, 41, 41, 41, 41, 41, 41, 66, 66, 66, 65, 65, 65, 54, 54, 77, 77,
    63, 63, 63, 63, 63, 72, 72, 72, 73, 73, 73, 73, 73, 73, 73, 42, 89, 89, 89, 89,
    55, 55, 55, 41, 41, 41, 41, 41, 41, 41, 66, 66, 66, 65, 65, 65, 65, 65, 65, 77,
    63, 63, 63, 63, 63, 63, 63, 73, 73, 73, 73, 73, 73, 73, 73, 73, 89, 89, 89, 89,
    89, 89, 55, 41, 41, 41, 41, 41, 41, 66, 66, 66, 66, 65, 65, 65, 65, 65, 65, 65,
    63, 63, 63, 63, 63, 63, 63, 73, 73, 73, 73, 73, 73, 73, 73, 73, 49, 89, 60, 89,
    60, 90, 90, 90, 41, 41, 41, 41, 66, 66, 66, 66, 66, 65, 65, 65, 65, 65, 65, 65,
    63, 63, 63, 63, 63, 63, 63, 73, 73, 73, 73, 73, 73, 73, 73, 73, 49, 60, 60, 60,
    60, 90, 90, 90, 90, 90, 66, 66, 66, 66, 66, 66, 66, 65, 65, 65, 65, 65, 65, 65,
    63, 63, 63, 63, 63, 63, 63, 73, 73, 73, 73, 73, 73, 73, 73, 73, 49, 60, 60, 60,
    60, 90, 90, 90, 90, 90, 66, 66, 66, 66, 66, 66, 66, 66, 65, 65, 65, 65, 65, 65,
    74, 74, 74, 74, 74, 74, 74, 63, 73, 73, 73, 73, 73, 73, 73, 73, 49, 60, 60, 60,
    60, 90, 90, 90, 90, 90, 90, 66, 66, 66, 66, 66, 66, 66, 65, 65, 65, 65, 65, 65,
    74, 74, 74, 74, 74, 74, 74, 74, 73, 73, 73, 73, 73, 73, 73, 49, 49, 60, 60, 60,
    60, 90, 90, 90, 90, 90, 90, 90, 66, 66, 66, 66, 66, 66, 65, 65, 65, 65, 65, 65,
    74, 74, 74, 74, 74, 74, 74, 74, 74, 73, 73, 73, 73, 73, 100, 100, 100, 60, 60, 60,
    60, 90, 90, 90, 90, 90, 90, 90, 66, 66, 66, 66, 66, 65, 65, 65, 65, 65, 65, 65,
    74, 74, 74, 74, 74, 74, 74, 74, 74, 73, 73, 73, 73, 78, 78, 78, 78, 60, 60, 60,
    60, 90, 90, 90, 90, 90, 90, 90, 66, 66, 66, 66, 66, 66, 65, 65, 65, 65, 65, 65,
    68, 68, 68, 68, 56, 56, 56, 56, 56, 56, 56, 80, 79, 79, 79, 79, 79, 79, 79, 79,
    79, 91, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36,
    68, 68, 68, 68, 68, 56, 56, 56, 56, 56, 56, 80, 80, 79, 79, 79, 79, 79, 79, 79,
    79, 91, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36,
    68, 68, 68, 68, 68, 56, 56, 56, 56, 56, 56, 80, 80, 80, 80, 79, 79, 79, 79, 79,
    79, 91, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36,
    68, 68, 68, 68, 68, 68, 56, 56, 56, 56, 56, 80, 80, 80, 80, 80, 79, 79, 79, 79,
    91, 91, 91, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 5,
    68, 68, 68, 68, 68, 68, 56, 56, 56, 56, 56, 80, 80, 80, 80, 80, 80, 79, 79, 79,
    91, 91, 91, 91, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 84,
    68, 68, 68, 68, 68, 68, 56, 56, 56, 56, 56, 80, 80, 80, 80, 80, 80, 51, 51, 51,
    91, 91, 91, 91, 36, 36, 36, 36, 36, 36, 36, 36, 36, 92, 92, 58, 58, 58, 84, 84,
    68, 68, 68, 68, 68, 68, 56, 56, 56, 56, 56, 80, 80, 80, 80, 80, 51, 51, 51, 51,
    51, 91, 91, 91, 91, 36, 36, 36, 36, 92, 92, 92, 92, 92, 92, 58, 58, 58, 58, 84,
    68, 68, 68, 68, 68, 68, 68, 56, 44, 44, 44, 80, 80, 80, 80, 51, 51, 51, 51, 51,
    51, 51, 51, 91, 91, 91, 69, 69, 69, 92, 92, 92, 92, 92, 92, 58, 58, 58, 58, 84,
    68, 68, 68, 68, 68, 68, 68, 44, 44, 44, 44, 80, 80, 80, 80, 51, 51, 51, 51, 51,
    51, 59, 59, 59, 101, 101, 69, 69, 69, 69, 69, 69, 69, 92, 92, 58, 58, 58, 58, 58,
    68, 68, 68, 68, 68, 68, 68, 44, 44, 44, 44, 95, 80, 80, 51, 51, 51, 59, 59, 59,
    59, 59, 59, 46, 46, 46, 46, 69, 69, 69, 69, 69, 69, 92, 92, 58, 58, 58, 58, 58,
    61, 61, 93, 93, 93, 93, 93, 44, 95, 95, 95, 95, 95, 80, 59, 59, 59, 59, 59, 59,
    59, 94, 94, 46, 46, 46, 46, 69, 69, 69, 69, 69, 69, 69, 96, 96, 96, 96, 58, 58,
    61, 61, 93, 93, 93, 93, 93, 95, 95, 95, 95, 95, 95, 59, 59, 59, 59, 59, 59, 59,
    59, 94, 94, 94, 46, 46, 69, 69, 69, 69, 69, 69, 69, 69, 96, 96, 96, 96, 96, 96,
    61, 61, 61, 93, 93, 93, 93, 95, 95, 95, 95, 95, 75, 75, 59, 59, 59, 59, 59, 59,
    94, 94, 94, 94, 46, 46, 46, 69, 69, 69, 69, 69, 69, 69, 69, 96, 96, 96, 96, 96,
    61, 61, 61, 61, 93, 93, 93, 95, 95, 95, 95, 75, 75, 75, 59, 59, 59, 59, 59, 59,
    94, 94, 94, 94, 82, 46, 46, 69, 69, 69, 69, 38, 38, 38, 38, 96, 96, 96, 96, 96,
    61, 61, 61, 61, 61, 93, 93, 95, 95, 75, 75, 75, 75, 75, 75, 85, 85, 85, 85, 85,
    94, 94, 94, 82, 82, 82, 82, 82, 69, 69, 69, 38, 38, 38, 38, 38, 96, 96, 96, 96,
    61, 61, 61, 61, 61, 61, 97, 97, 75, 75, 75, 75, 75, 75, 75, 85, 85, 85, 85, 85,
    94, 94, 82, 82, 82, 82, 82, 82, 82, 69, 69, 69, 69, 69, 69, 38, 96, 96, 98, 98,
    61, 61, 61, 61, 61, 83, 97, 97, 97, 75, 75, 75, 75, 75, 75, 85, 85, 85, 85, 85,
    85, 82, 82, 82, 82, 82, 82, 82, 82, 82, 82, 69, 69, 69, 98, 98, 98, 98, 98, 98,
    61, 61, 61, 61, 83, 83, 83, 97, 97, 75, 75, 75, 75, 75, 75, 85, 85, 85, 85, 85,
    85, 82, 82, 82, 82, 82, 82, 82, 82, 86, 86, 86, 86, 86, 98, 98, 98, 98, 98, 81,
    61, 61, 87, 87, 83, 83, 83, 83, 97, 97, 75, 75, 75, 75, 75, 85, 85, 85, 85, 85,
    82, 82, 82, 82, 82, 82, 82, 82, 82, 86, 86, 86, 86, 99, 98, 98, 98, 98, 98, 81,
    87, 87, 87, 87, 83, 83, 83, 83, 83, 97, 75, 75, 75, 75, 75, 75, 85, 85, 85, 85,
    82, 82, 82, 82, 82, 82, 82, 82, 82, 86, 86, 86, 86, 99, 99, 98, 98, 98, 98, 98,
    87, 87, 87, 87, 83, 83, 83, 83, 83, 83, 97, 97, 75, 75, 75, 75, 85, 85, 85, 85,
    70, 82, 82, 82, 82, 82, 82, 82, 82, 86, 86, 86, 86, 99, 99, 98, 98, 98, 98, 98,
    87, 87, 87, 83, 83, 83, 83, 83, 83, 83, 83, 97, 97, 75, 75, 88, 88, 88, 88, 70,
    70, 70, 70, 82, 82, 86, 86, 86, 86, 86, 86, 86, 86, 99, 99, 99, 98, 81, 81, 81,
    87, 87, 87, 83, 83, 83, 83, 83, 83, 83, 83, 71, 71, 88, 88, 88, 88, 88, 70, 70,
    70, 70, 70, 70, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 99, 99, 81, 81, 81, 81,
    63, 87, 87, 83, 83, 83, 83, 83, 83, 71, 71, 71, 62, 62, 88, 88, 88, 70, 70, 70,
    70, 70, 70, 70, 70, 86, 86, 86, 86, 86, 86, 86, 86, 86, 99, 99, 76, 76, 76, 76,
    63, 53, 53, 53, 83, 83, 71, 71, 71, 71, 71, 71, 62, 62, 62, 88, 88, 70, 70, 70,
    70, 70, 70, 70, 70, 70, 86, 86, 86, 86, 86, 86, 86, 54, 99, 99, 77, 77, 77, 77,
    63, 63, 63, 53, 72, 71, 71, 71, 71, 71, 71, 71, 62, 62, 62, 62, 88, 70, 70, 70,
    70, 55, 55, 55, 55, 55, 55, 86, 86, 86, 86, 86, 86, 54, 102, 77, 77, 77, 77, 77,
    63, 63, 63, 53, 72, 72, 72, 72, 71, 71, 71, 71, 62, 62, 62, 62, 88, 88, 55, 55,
    55, 55, 55, 55, 55, 55, 41, 41, 86, 86, 86, 86, 54, 54, 54, 77, 77, 77, 77, 77,
    63, 63, 63, 63, 72, 72, 72, 72, 72, 72, 72, 71, 62, 62, 62, 62, 88, 88, 55, 55,
    55, 55, 55, 55, 55, 55, 41, 41, 86, 86, 86, 54, 54, 54, 54, 54, 77, 77, 77, 77,
    63, 63, 63, 63, 72, 72, 72, 72, 72, 72, 72, 72, 62, 62, 62, 62, 89, 89, 55, 55,
    55, 55, 55, 55, 55, 41, 41, 41, 41, 103, 103, 66, 66, 66, 54, 54, 77, 77, 77, 77,
    63, 63, 63, 63, 72, 72, 72, 72, 72, 72, 72, 72, 72, 62, 62, 89, 89, 89, 89, 55,
    55, 55, 55, 55, 55, 41, 41, 41, 41, 103, 103, 66, 66, 66, 66, 54, 54, 77, 77, 77,
    63, 63, 63, 63, 72, 72, 72, 72, 72, 72, 72, 72, 73, 73, 89, 89, 89, 89, 89, 89,
    55, 55, 55, 55, 41, 41, 41, 41, 103, 103, 103, 66, 66, 66, 66, 65, 54, 77, 77, 77,
    63, 63, 63, 63, 72, 72, 72, 72, 72, 72, 73, 73, 73, 73, 73, 89, 89, 89, 89, 89,
    89, 55, 55, 55, 41, 41, 41, 41, 103, 103, 66, 66, 66, 66, 66, 65, 65, 65, 77, 77,
    63, 63, 63, 63, 63, 63, 72, 73, 73, 73, 73, 73, 73, 73, 73, 73, 89, 89, 89, 89,
    89, 89, 90, 41, 41, 41, 41, 41, 66, 66, 66, 66, 66, 66, 66, 65, 65, 65, 65, 65,
    63, 63, 63, 63, 63, 63, 63, 73, 73, 73, 73, 73, 73, 73, 73, 73, 89, 89, 89, 89,
    100, 90, 90, 90, 90, 90, 103, 66, 66, 66, 66, 66, 66, 66, 65, 65, 65, 65, 65, 65,
    63, 63, 63, 63, 63, 63, 63, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 100, 100, 100,
    100, 90, 90, 90, 90, 90, 90, 66, 66, 66, 66, 66, 66, 66, 66, 65, 65, 65, 65, 65,
    63, 63, 74, 63, 63, 63, 63, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 100, 100, 100,
    100, 90, 90, 90, 90, 90, 90, 66, 66, 66, 66, 66, 66, 66, 66, 65, 65, 65, 65, 65,
    74, 74, 74, 74, 74, 74, 74, 74, 73, 73, 73, 73, 73, 73, 73, 73, 49, 60, 100, 100,
    90, 90, 90, 90, 90, 90, 90, 90, 66, 66, 66, 66, 66, 66, 66, 65, 65, 65, 65, 65,
    74, 74, 74, 74, 74, 74, 74, 74, 74, 73, 73, 73, 73, 73, 100, 73, 49, 60, 100, 100,
    90, 90, 90, 90, 90, 90, 90, 90, 66, 66, 66, 66, 66, 66, 66, 65, 65, 65, 65, 65,
    74, 74, 74, 74, 74, 74, 74, 74, 74, 73, 73, 73, 73, 73, 100, 100, 100, 100, 100, 100,
    90, 90, 90, 90, 90, 90, 90, 90, 66, 66, 66, 66, 66, 66, 65, 65, 65, 65, 65, 65,
    74, 74, 74, 74, 74, 74, 74, 74, 74, 73, 73, 73, 73, 78, 100, 100, 100, 100, 100, 100,
    90, 90, 90, 90, 90, 90, 90, 90, 66, 66, 66, 66, 66, 66, 104, 104, 104, 104, 104, 105,
    68, 68, 68, 68, 68, 56, 56, 56, 56, 56, 56, 79, 79, 79, 79, 79, 79, 79, 79, 79,
    79, 91, 91, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36,
    68, 68, 68, 68, 68, 56, 56, 56, 56, 56, 56, 80, 80, 79, 79, 79, 79, 79, 79, 79,
    79, 91, 91, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36,
    68, 68, 68, 68, 68, 68, 56, 56, 56, 56, 56, 80, 80, 80, 79, 79, 79, 79, 79, 79,
    91, 91, 91, 91, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36,
    68, 68, 68, 68, 68, 68, 56, 56, 56, 56, 56, 80, 80, 80, 80, 79, 79, 79, 79, 79,
    91, 91, 91, 91, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 5,
    68, 68, 68, 68, 68, 68, 56, 56, 56, 56, 80, 80, 80, 80, 80, 80, 79, 79, 79, 91,
    91, 91, 91, 91, 91, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 84,
    68, 68, 68, 68, 68, 68, 68, 56, 56, 56, 80, 80, 80, 80, 80, 80, 80, 79, 79, 91,
    91, 91, 91, 91, 91, 36, 36, 36, 92, 92, 92, 92, 92, 92, 92, 92, 58, 84, 84, 84,
    68, 68, 68, 68, 68, 68, 68, 56, 56, 56, 80, 80, 80, 80, 80, 80, 80, 80, 79, 91,
    91, 91, 91, 91, 91, 91, 92, 92, 92, 92, 92, 92, 92, 92, 92, 92, 58, 58, 84, 84,
    68, 68, 68, 68, 68, 68, 68, 56, 56, 56, 80, 80, 80, 80, 80, 80, 80, 51, 51, 51,
    51, 91, 91, 91, 91, 91, 92, 92, 92, 92, 92, 92, 92, 92, 92, 92, 58, 58, 84, 84,
    68, 68, 68, 68, 68, 68, 68, 56, 56, 95, 95, 80, 80, 80, 80, 80, 51, 51, 51, 59,
    94, 101, 101, 101, 101, 101, 69, 92, 92, 92, 92, 92, 92, 92, 92, 96, 96, 58, 58, 84,
    93, 93, 93, 93, 93, 93, 93, 95, 95, 95, 95, 95, 80, 80, 80, 80, 59, 59, 59, 59,
    94, 94, 94, 101, 101, 101, 69, 69, 69, 69, 69, 92, 92, 92, 92, 96, 96, 96, 96, 58,
    61, 93, 93, 93, 93, 93, 93, 95, 95, 95, 95, 95, 95, 80, 59, 59, 59, 59, 59, 59,
    94, 94, 94, 94, 94, 101, 46, 69, 69, 69, 69, 69, 69, 92, 96, 96, 96, 96, 96, 96,
    61, 93, 93, 93, 93, 93, 93, 95, 95, 95, 95, 95, 95, 95, 59, 59, 85, 85, 59, 59,
    94, 94, 94, 94, 94, 94, 69, 69, 69, 69, 69, 69, 69, 69, 96, 96, 96, 96, 96, 96,
    61, 93, 93, 93, 93, 93, 93, 95, 95, 95, 95, 95, 95, 75, 59, 59, 85, 85, 85, 94,
    94, 94, 94, 94, 94, 82, 82, 69, 69, 69, 69, 69, 69, 69, 96, 96, 96, 96, 96, 96,
    61, 61, 61, 93, 93, 93, 93, 95, 95, 95, 95, 95, 75, 75, 85, 85, 85, 85, 85, 94,
    94, 94, 94, 94, 82, 82, 82, 82, 69, 69, 69, 38, 38, 38, 96, 96, 96, 96, 96, 96,
    61, 61, 61, 61, 93, 93, 93, 95, 95, 95, 75, 75, 75, 75, 85, 85, 85, 85, 85, 85,
    94, 94, 94, 82, 82, 82, 82, 82, 82, 69, 69, 38, 38, 38, 96, 96, 96, 96, 96, 96,
    61, 61, 61, 61, 93, 93, 93, 97, 97, 75, 75, 75, 75, 75, 85, 85, 85, 85, 85, 85,
    94, 94, 94, 82, 82, 82, 82, 82, 82, 82, 69, 69, 69, 69, 96, 96, 98, 98, 98, 98,
    61, 61, 61, 61, 61, 97, 97, 97, 97, 75, 75, 75, 75, 75, 85, 85, 85, 85, 85, 85,
    94, 94, 82, 82, 82, 82, 82, 82, 82, 82, 82, 69, 69, 99, 98, 98, 98, 98, 98, 98,
    61, 61, 61, 61, 83, 97, 97, 97, 97, 75, 75, 75, 75, 75, 75, 85, 85, 85, 85, 85,
    85, 82, 82, 82, 82, 82, 82, 82, 82, 82, 86, 86, 86, 99, 98, 98, 98, 98, 98, 98,
    61, 61, 87, 87, 83, 83, 97, 97, 97, 97, 97, 97, 75, 75, 75, 85, 85, 85, 85, 85,
    85, 82, 82, 82, 82, 82, 82, 82, 82, 86, 86, 86, 99, 99, 99, 98, 98, 98, 98, 98,
    87, 87, 87, 87, 83, 83, 83, 97, 97, 97, 97, 97, 75, 75, 75, 85, 85, 85, 85, 85,
    82, 82, 82, 82, 82, 82, 82, 82, 86, 86, 86, 86, 99, 99, 99, 98, 98, 98, 98, 98,
    87, 87, 87, 87, 83, 83, 83, 83, 97, 97, 97, 97, 97, 97, 88, 88, 88, 88, 85, 106,
    82, 82, 82, 82, 82, 82, 82, 82, 86, 86, 86, 86, 99, 99, 99, 99, 98, 98, 98, 98,
    87, 87, 87, 87, 83, 83, 83, 83, 83, 97, 97, 97, 97, 88, 88, 88, 88, 88, 88, 106,
    106, 82, 82, 82, 82, 82, 86, 86, 86, 86, 86, 86, 86, 99, 99, 99, 98, 98, 98, 81,
    87, 87, 87, 83, 83, 83, 83, 83, 83, 83, 97, 97, 97, 88, 88, 88, 88, 88, 88, 70,
    70, 70, 70, 82, 82, 86, 86, 86, 86, 86, 86, 86, 86, 99, 99, 99, 98, 98, 98, 81,
    63, 87, 87, 83, 83, 83, 83, 83, 83, 83, 71, 71, 88, 88, 88, 88, 88, 88, 88, 70,
    70, 70, 70, 70, 86, 86, 86, 86, 86, 86, 86, 86, 86, 99, 99, 99, 76, 76, 76, 76,
    63, 63, 63, 87, 83, 83, 83, 83, 71, 71, 71, 71, 88, 88, 88, 88, 88, 88, 70, 70,
    70, 70, 70, 70, 70, 86, 86, 86, 86, 86, 86, 86, 86, 99, 99, 99, 77, 77, 77, 77,
    63, 63, 63, 53, 72, 72, 71, 71, 71, 71, 71, 71, 71, 88, 88, 88, 88, 88, 70, 70,
    70, 55, 55, 55, 55, 86, 86, 86, 86, 86, 86, 86, 86, 102, 102, 102, 77, 77, 77, 77,
    63, 63, 63, 53, 72, 72, 72, 72, 72, 71, 71, 71, 71, 88, 88, 88, 88, 88, 55, 55,
    55, 55, 55, 55, 55, 55, 103, 86, 86, 86, 86, 86, 102, 102, 102, 102, 77, 77, 77, 77,
    63, 63, 63, 63, 72, 72, 72, 72, 72, 72, 72, 72, 62, 88, 88, 88, 88, 88, 89, 55,
    55, 55, 55, 55, 55, 55, 41, 103, 103, 103, 102, 103, 102, 102, 102, 102, 77, 77, 77, 77,
    63, 63, 63, 63, 72, 72, 72, 72, 72, 72, 72, 72, 72, 62, 88, 89, 89, 89, 89, 89,
    55, 55, 55, 55, 55, 41, 41, 103, 103, 103, 103, 103, 103, 102, 102, 102, 77, 77, 77, 77,
    63, 63, 63, 63, 72, 72, 72, 72, 72, 72, 72, 72, 107, 107, 89, 89, 89, 89, 89, 89,
    55, 55, 55, 55, 55, 41, 41, 103, 103, 103, 103, 66, 66, 66, 102, 102, 102, 77, 77, 77,
    63, 63, 63, 63, 72, 72, 72, 72, 72, 72, 72, 107, 107, 107, 89, 89, 89, 89, 89, 89,
    89, 89, 55, 55, 103, 103, 103, 103, 103, 103, 103, 66, 66, 66, 66, 102, 54, 77, 77, 77,
    63, 63, 63, 63, 72, 72, 72, 72, 72, 107, 107, 107, 107, 107, 89, 89, 89, 89, 89, 89,
    89, 89, 89, 108, 103, 103, 103, 103, 103, 103, 103, 66, 66, 66, 66, 65, 65, 65, 77, 77,
    63, 63, 63, 63, 72, 72, 72, 72, 107, 107, 107, 107, 107, 107, 107, 89, 89, 89, 89, 89,
    89, 89, 89, 90, 108, 103, 103, 103, 103, 66, 66, 66, 66, 66, 66, 65, 65, 65, 109, 109,
    63, 63, 63, 63, 63, 63, 73, 73, 107, 107, 107, 107, 107, 107, 107, 110, 89, 89, 89, 89,
    89, 89, 90, 90, 90, 103, 103, 103, 103, 66, 66, 66, 66, 66, 66, 65, 65, 65, 109, 109,
    63, 63, 63, 63, 63, 63, 63, 73, 73, 107, 107, 107, 107, 107, 110, 110, 110, 100, 100, 100,
    100, 90, 90, 90, 90, 90, 90, 66, 66, 66, 66, 66, 66, 66, 66, 65, 65, 65, 109, 109,
    63, 63, 74, 74, 74, 74, 63, 73, 73, 73, 73, 73, 107, 107, 110, 110, 100, 100, 100, 100,
    100, 90, 90, 90, 90, 90, 90, 66, 66, 66, 66, 66, 66, 66, 66, 65, 65, 65, 109, 109,
    74, 74, 74, 74, 74, 74, 74, 74, 73, 73, 73, 73, 73, 107, 110, 110, 100, 100, 100, 100,
    100, 90, 90, 90, 90, 90, 90, 90, 66, 66, 66, 66, 66, 66, 66, 65, 65, 65, 109, 109,
    74, 74, 74, 74, 74, 74, 74, 74, 74, 73, 73, 73, 73, 100, 100, 100, 100, 100, 100, 100,
    100, 90, 90, 90, 90, 90, 90, 90, 66, 66, 66, 66, 66, 66, 66, 65, 65, 65, 109, 109,
    74, 74, 74, 74, 74, 74, 74, 74, 74, 73, 73, 73, 73, 100, 100, 100, 100, 100, 100, 100,
    90, 90, 90, 90, 90, 90, 90, 90, 66, 66, 66, 66, 66, 66, 66, 65, 65, 65, 109, 109,
    74, 74, 74, 74, 74, 74, 74, 74, 74, 73, 73, 73, 73, 100, 100, 100, 100, 100, 100, 100,
    90, 90, 90, 90, 90, 90, 90, 90, 111, 111, 111, 66, 66, 66, 112, 104, 104, 104, 104, 105,
    68, 68, 68, 68, 68, 68, 56, 56, 56, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79,
    79, 91, 91, 91, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36,
    68, 68, 68, 68, 68, 68, 56, 56, 56, 56, 80, 79, 79, 79, 79, 79, 79, 79, 79, 79,
    91, 91, 91, 91, 91, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36,
    68, 68, 68, 68, 68, 68, 56, 56, 56, 56, 80, 80, 80, 79, 79, 79, 79, 79, 79, 79,
    91, 91, 91, 91, 91, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36,
    68, 68, 68, 68, 68, 68, 68, 56, 56, 56, 80, 80, 80, 80, 79, 79, 79, 79, 79, 79,
    91, 91, 91, 91, 91, 91, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36,
    68, 68, 68, 68, 68, 68, 68, 56, 56, 56, 80, 80, 80, 80, 80, 79, 79, 79, 79, 91,
    91, 91, 91, 91, 91, 91, 91, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 84, 84,
    68, 68, 68, 68, 68, 68, 68, 56, 56, 56, 80, 80, 80, 80, 80, 80, 79, 79, 79, 91,
    91, 91, 91, 91, 91, 91, 91, 92, 92, 92, 92, 92, 92, 92, 92, 92, 92, 84, 84, 84,
    68, 68, 68, 68, 68, 68, 68, 68, 56, 56, 80, 80, 80, 80, 80, 80, 80, 79, 79, 91,
    91, 91, 91, 91, 91, 91, 91, 92, 92, 92, 92, 92, 92, 92, 92, 92, 96, 84, 84, 84,
    68, 68, 68, 68, 68, 68, 68, 68, 56, 80, 80, 80, 80, 80, 80, 80, 80, 80, 80, 91,
    91, 91, 91, 91, 91, 91, 92, 92, 92, 92, 92, 92, 92, 92, 92, 92, 96, 96, 84, 84,
    68, 68, 68, 68, 68, 68, 68, 95, 95, 95, 95, 80, 80, 80, 80, 80, 80, 59, 59, 94,
    94, 101, 101, 101, 101, 101, 92, 92, 92, 92, 92, 92, 92, 92, 92, 96, 96, 96, 96, 84,
    93, 93, 93, 93, 93, 93, 93, 95, 95, 95, 95, 95, 80, 80, 80, 80, 59, 59, 59, 94,
    94, 94, 101, 101, 101, 101, 101, 69, 69, 69, 92, 92, 92, 92, 92, 96, 96, 96, 96, 96,
    93, 93, 93, 93, 93, 93, 93, 95, 95, 95, 95, 95, 95, 80, 80, 59, 59, 59, 59, 94,
    94, 94, 94, 101, 101, 101, 101, 69, 69, 69, 69, 92, 92, 92, 96, 96, 96, 96, 96, 96,
    61, 93, 93, 93, 93, 93, 93, 95, 95, 95, 95, 95, 95, 95, 85, 85, 85, 85, 85, 94,
    94, 94, 94, 94, 94, 101, 101, 113, 69, 69, 69, 69, 69, 92, 96, 96, 96, 96, 96, 96,
    93, 93, 93, 93, 93, 93, 93, 95, 95, 95, 95, 95, 95, 95, 85, 85, 85, 85, 85, 94,
    94, 94, 94, 94, 94, 94, 113, 113, 113, 69, 69, 69, 69, 69, 96, 96, 96, 96, 96, 96,
    93, 93, 93, 93, 93, 93, 93, 95, 95, 95, 95, 95, 95, 85, 85, 85, 85, 85, 85, 94,
    94, 94, 94, 94, 94, 82, 82, 82, 113, 113, 113, 113, 113, 69, 96, 96, 96, 96, 96, 96,
    61, 61, 93, 93, 93, 93, 93, 95, 95, 95, 95, 95, 75, 85, 85, 85, 85, 85, 85, 94,
    94, 94, 94, 82, 82, 82, 82, 82, 82, 113, 113, 113, 113, 69, 96, 96, 96, 96, 96, 96,
    61, 61, 61, 61, 93, 93, 93, 97, 97, 95, 75, 75, 75, 75, 85, 85, 85, 85, 85, 85,
    94, 94, 94, 82, 82, 82, 82, 82, 82, 82, 82, 69, 69, 69, 96, 98, 98, 98, 98, 98,
    61, 61, 61, 61, 61, 97, 97, 97, 97, 97, 97, 75, 75, 75, 85, 85, 85, 85, 85, 85,
    94, 94, 82, 82, 82, 82, 82, 82, 82, 82, 82, 82, 99, 99, 99, 98, 98, 98, 98, 98,
    61, 61, 61, 87, 87, 97, 97, 97, 97, 97, 97, 97, 75, 75, 85, 85, 85, 85, 85, 85,
    94, 82, 82, 82, 82, 82, 82, 82, 82, 82, 86, 86, 99, 99, 99, 98, 98, 98, 98, 98,
    87, 87, 87, 87, 87, 97, 97, 97, 97, 97, 97, 97, 97, 75, 85, 85, 85, 85, 85, 85,
    85, 82, 82, 82, 82, 82, 82, 82, 82, 86, 86, 86, 99, 99, 99, 99, 98, 98, 98, 98,
    87, 87, 87, 87, 87, 83, 97, 97, 97, 97, 97, 97, 97, 75, 85, 85, 85, 85, 85, 85,
    106, 82, 82, 82, 82, 82, 82, 82, 86, 86, 86, 86, 99, 99, 99, 99, 98, 98, 98, 98,
    87, 87, 87, 87, 83, 83, 83, 97, 97, 97, 97, 97, 97, 97, 88, 88, 88, 88, 88, 106,
    106, 106, 82, 82, 82, 82, 82, 82, 86, 86, 86, 86, 99, 99, 99, 99, 98, 98, 98, 98,
    87, 87, 87, 87, 83, 83, 83, 83, 97, 97, 97, 97, 97, 88, 88, 88, 88, 88, 88, 106,
    106, 106, 82, 82, 82, 82, 82, 86, 86, 86, 86, 86, 99, 99, 99, 99, 99, 98, 98, 98,
    87, 87, 87, 87, 83, 83, 83, 83, 83, 97, 97, 97, 88, 88, 88, 88, 88, 88, 88, 88,
    106, 106, 106, 82, 82, 86, 86, 86, 86, 86, 86, 86, 99, 99, 99, 99, 99, 98, 98, 98,
    63, 87, 87, 87, 83, 83, 83, 83, 83, 83, 97, 88, 88, 88, 88, 88, 88, 88, 88, 88,
    70, 70, 70, 106, 86, 86, 86, 86, 86, 86, 86, 86, 99, 99, 99, 99, 99, 98, 98, 77,
    63, 63, 63, 87, 83, 83, 83, 83, 71, 71, 71, 88, 88, 88, 88, 88, 88, 88, 88, 88,
    70, 70, 70, 70, 86, 86, 86, 86, 86, 86, 86, 86, 99, 99, 99, 99, 99, 77, 77, 77,
    63, 63, 63, 53, 72, 72, 72, 72, 71, 71, 71, 71, 88, 88, 88, 88, 88, 88, 88, 88,
    70, 55, 55, 55, 55, 86, 86, 86, 86, 86, 86, 102, 102, 102, 102, 102, 102, 77, 77, 77,
    63, 63, 63, 53, 72, 72, 72, 72, 72, 72, 71, 71, 88, 88, 88, 88, 88, 88, 88, 88,
    55, 55, 55, 55, 55, 103, 103, 86, 86, 86, 102, 102, 102, 102, 102, 102, 102, 77, 77, 77,
    63, 63, 63, 72, 72, 72, 72, 72, 72, 72, 72, 72, 88, 88, 88, 88, 88, 88, 89, 89,
    55, 55, 55, 55, 55, 103, 103, 103, 103, 103, 102, 102, 102, 102, 102, 102, 102, 77, 77, 77,
    63, 63, 63, 72, 72, 72, 72, 72, 72, 72, 72, 72, 107, 88, 88, 89, 89, 89, 89, 89,
    89, 89, 55, 108, 103, 103, 103, 103, 103, 103, 103, 103, 102, 102, 102, 102, 102, 77, 77, 77,
    63, 63, 63, 63, 72, 72, 72, 72, 72, 72, 107, 107, 107, 107, 89, 89, 89, 89, 89, 89,
    89, 89, 89, 108, 103, 103, 103, 103, 103, 103, 103, 103, 103, 102, 102, 102, 102, 77, 77, 77,
    63, 63, 63, 63, 72, 72, 72, 72, 72, 107, 107, 107, 107, 107, 89, 89, 89, 89, 89, 89,
    89, 89, 89, 108, 108, 103, 103, 103, 103, 103, 103, 103, 103, 103, 102, 102, 102, 114, 77, 77,
    63, 63, 63, 63, 72, 72, 72, 72, 107, 107, 107, 107, 107, 107, 89, 89, 89, 89, 89, 89,
    89, 89, 89, 108, 108, 103, 103, 103, 103, 103, 103, 66, 66, 66, 66, 102, 114, 114, 114, 77,
    63, 63, 63, 63, 72, 72, 107, 107, 107, 107, 107, 107, 107, 107, 107, 89, 89, 89, 89, 89,
    89, 89, 89, 89, 108, 103, 103, 103, 103, 66, 66, 66, 66, 66, 66, 66, 65, 109, 109, 109,
    63, 63, 63, 63, 63, 63, 107, 107, 107, 107, 107, 107, 107, 107, 110, 110, 89, 89, 89, 89,
    89, 89, 90, 90, 90, 103, 103, 103, 103, 66, 66, 66, 66, 66, 66, 66, 65, 109, 109, 109,
    63, 63, 63, 63, 63, 63, 107, 107, 107, 107, 107, 107, 107, 107, 110, 110, 110, 110, 100, 100,
    100, 90, 90, 90, 90, 90, 103, 103, 103, 66, 66, 66, 66, 66, 66, 65, 65, 109, 109, 109,
    63, 63, 74, 74, 74, 74, 107, 107, 107, 107, 107, 107, 107, 107, 110, 110, 100, 100, 100, 100,
    100, 90, 90, 90, 90, 90, 90, 90, 66, 66, 66, 66, 66, 66, 66, 66, 65, 109, 109, 109,
    74, 74, 74, 74, 74, 74, 74, 74, 107, 107, 107, 107, 107, 107, 110, 110, 100, 100, 100, 100,
    100, 90, 90, 90, 90, 90, 90, 90, 66, 66, 115, 66, 66, 66, 66, 66, 65, 109, 109, 109,
    74, 74, 74, 74, 74, 74, 74, 74, 74, 107, 107, 107, 107, 100, 100, 110, 100, 100, 100, 100,
    100, 90, 90, 90, 90, 90, 90, 90, 66, 66, 115, 115, 66, 66, 66, 66, 65, 109, 109, 109,
    74, 74, 74, 74, 74, 74, 74, 74, 74, 107, 107, 107, 107, 100, 100, 100, 100, 100, 100, 100,
    100, 90, 90, 90, 90, 90, 90, 90, 111, 111, 111, 111, 66, 66, 66, 116, 65, 109, 109, 109,
    74, 74, 74, 74, 74, 74, 74, 74, 74, 73, 73, 107, 100, 100, 100, 100, 100, 100, 100, 100,
    100, 90, 90, 90, 90, 90, 90, 90, 111, 111, 111, 111, 111, 111, 116, 116, 116, 104, 109, 109,
    68, 68, 68, 68, 68, 68, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79,
    91, 91, 91, 91, 91, 91, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36,
    68, 68, 68, 68, 68, 68, 68, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79,
    91, 91, 91, 91, 91, 91, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36,
    68, 68, 68, 68, 68, 68, 68, 56, 56, 80, 80, 80, 79, 79, 79, 79, 79, 79, 79, 79,
    91, 91, 91, 91, 91, 91, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36,
    68, 68, 68, 68, 68, 68, 68, 56, 56, 80, 80, 80, 80, 79, 79, 79, 79, 79, 79, 79,
    91, 91, 91, 91, 91, 91, 91, 92, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36,
    68, 68, 68, 68, 68, 68, 68, 56, 56, 80, 80, 80, 80, 80, 79, 79, 79, 79, 79, 91,
    91, 91, 91, 91, 91, 91, 91, 92, 92, 92, 92, 92, 92, 92, 92, 92, 92, 92, 84, 84,
    68, 68, 68, 68, 68, 68, 68, 68, 56, 80, 80, 80, 80, 80, 80, 80, 79, 79, 79, 91,
    91, 91, 91, 91, 91, 91, 91, 92, 92, 92, 92, 92, 92, 92, 92, 92, 92, 96, 84, 84,
    68, 68, 68, 68, 68, 68, 68, 68, 56, 80, 80, 80, 80, 80, 80, 80, 80, 79, 79, 91,
    91, 91, 91, 91, 91, 91, 91, 92, 92, 92, 92, 92, 92, 92, 92, 92, 92, 96, 84, 84,
    68, 68, 68, 68, 68, 68, 68, 68, 95, 95, 80, 80, 80, 80, 80, 80, 80, 80, 79, 91,
    101, 101, 101, 101, 101, 101, 92, 92, 92, 92, 92, 92, 92, 92, 92, 92, 96, 96, 96, 84,
    68, 68, 68, 68, 68, 68, 68, 95, 95, 95, 95, 80, 80, 80, 80, 80, 80, 80, 101, 101,
    101, 101, 101, 101, 101, 101, 101, 92, 92, 92, 92, 92, 92, 92, 92, 96, 96, 96, 96, 96,
    93, 93, 93, 93, 93, 93, 93, 95, 95, 95, 95, 95, 80, 80, 80, 80, 59, 59, 94, 94,
    101, 101, 101, 101, 101, 101, 101, 113, 69, 92, 92, 92, 92, 92, 92, 96, 96, 96, 96, 96,
    93, 93, 93, 93, 93, 93, 93, 95, 95, 95, 95, 95, 95, 95, 80, 85, 85, 85, 94, 94,
    94, 94, 94, 101, 101, 101, 101, 113, 113, 69, 92, 92, 92, 92, 96, 96, 96, 96, 96, 96,
    93, 93, 93, 93, 93, 93, 93, 95, 95, 95, 95, 95, 95, 95, 85, 85, 85, 85, 94, 94,
    94, 94, 94, 94, 94, 101, 113, 113, 113, 113, 69, 92, 92, 92, 96, 96, 96, 96, 96, 96,
    93, 93, 93, 93, 93, 93, 93, 95, 95, 95, 95, 95, 95, 95, 85, 85, 85, 85, 94, 94,
    94, 94, 94, 94, 94, 94, 113, 113, 113, 113, 113, 69, 92, 96, 96, 96, 96, 96, 96, 96,
    93, 93, 93, 93, 93, 93, 93, 95, 95, 95, 95, 95, 95, 85, 85, 85, 85, 85, 85, 94,
    94, 94, 94, 94, 94, 82, 82, 82, 113, 113, 113, 113, 113, 96, 96, 96, 96, 96, 96, 96,
    93, 93, 93, 93, 93, 93, 93, 95, 95, 95, 95, 95, 95, 85, 85, 85, 85, 85, 85, 94,
    94, 94, 94, 94, 82, 82, 82, 82, 113, 113, 113, 113, 113, 96, 96, 96, 96, 96, 96, 96,
    87, 87, 93, 93, 93, 93, 93, 97, 97, 95, 95, 95, 95, 85, 85, 85, 85, 85, 85, 94,
    94, 94, 94, 82, 82, 82, 82, 82, 82, 82, 82, 69, 99, 99, 96, 98, 98, 98, 98, 98,
    87, 87, 87, 87, 87, 97, 97, 97, 97, 97, 97, 97, 97, 117, 85, 85, 85, 85, 85, 94,
    94, 94, 94, 82, 82, 82, 82, 82, 82, 82, 82, 99, 99, 99, 99, 98, 98, 98, 98, 98,
    87, 87, 87, 87, 87, 97, 97, 97, 97, 97, 97, 97, 97, 117, 117, 85, 85, 85, 85, 85,
    94, 94, 82, 82, 82, 82, 82, 82, 82, 82, 86, 99, 99, 99, 99, 99, 98, 98, 98, 98,
    87, 87, 87, 87, 87, 97, 97, 97, 97, 97, 97, 97, 97, 97, 117, 117, 85, 85, 85, 85,
    106, 106, 82, 82, 82, 82, 82, 82, 82, 86, 86, 99, 99, 99, 99, 99, 98, 98, 98, 98,
    87, 87, 87, 87, 87, 97, 97, 97, 97, 97, 97, 97, 97, 97, 117, 117, 117, 85, 106, 106,
    106, 106, 82, 82, 82, 82, 82, 82, 86, 86, 86, 99, 99, 99, 99, 99, 98, 98, 98, 98,
    87, 87, 87, 87, 87, 97, 97, 97, 97, 97, 97, 97, 97, 88, 88, 88, 88, 88, 106, 106,
    106, 106, 106, 82, 82, 82, 82, 86, 86, 86, 86, 99, 99, 99, 99, 99, 98, 98, 98, 98,
    87, 87, 87, 87, 87, 83, 97, 97, 97, 97, 97, 97, 97, 88, 88, 88, 88, 88, 88, 106,
    106, 106, 106, 82, 82, 82, 82, 86, 86, 86, 86, 99, 99, 99, 99, 99, 99, 98, 98, 98,
    87, 87, 87, 87, 87, 83, 83, 97, 97, 97, 97, 97, 88, 88, 88, 88, 88, 88, 88, 88,
    106, 106, 106, 106, 106, 82, 82, 86, 86, 86, 86, 99, 99, 99, 99, 99, 99, 98, 98, 98,
    87, 87, 87, 87, 83, 83, 83, 83, 97, 97, 97, 88, 88, 88, 88, 88, 88, 88, 88, 88,
    106, 106, 106, 106, 106, 86, 86, 86, 86, 86, 86, 99, 99, 99, 99, 99, 99, 99, 98, 98,
    63, 63, 63, 87, 83, 83, 83, 83, 83, 118, 118, 88, 88, 88, 88, 88, 88, 88, 88, 88,
    88, 106, 106, 106, 106, 86, 86, 86, 86, 86, 86, 99, 99, 99, 99, 99, 99, 99, 77, 77,
    63, 63, 63, 53, 72, 72, 72, 72, 71, 71, 118, 88, 88, 88, 88, 88, 88, 88, 88, 88,
    88, 106, 106, 106, 106, 86, 86, 86, 86, 86, 102, 102, 102, 102, 102, 102, 102, 102, 77, 77,
    63, 63, 63, 53, 72, 72, 72, 72, 72, 72, 118, 88, 88, 88, 88, 88, 88, 88, 88, 88,
    88, 89, 108, 108, 108, 103, 103, 103, 103, 103, 102, 102, 102, 102, 102, 102, 102, 102, 77, 77,
    63, 63, 63, 63, 72, 72, 72, 72, 72, 72, 72, 88, 88, 88, 88, 88, 88, 88, 89, 89,
    89, 89, 108, 108, 108, 103, 103, 103, 103, 103, 102, 102, 102, 102, 102, 102, 102, 102, 77, 77,
    63, 63, 63, 63, 72, 72, 72, 72, 72, 72, 107, 107, 107, 88, 88, 89, 89, 89, 89, 89,
    89, 89, 108, 108, 108, 103, 103, 103, 103, 103, 103, 102, 102, 102, 102, 102, 102, 114, 77, 77,
    63, 63, 63, 63, 72, 72, 72, 72, 107, 107, 107, 107, 107, 107, 89, 89, 89, 89, 89, 89,
    89, 89, 108, 108, 108, 103, 103, 103, 103, 103, 103, 103, 102, 102, 102, 102, 102, 114, 77, 77,
    63, 63, 63, 63, 72, 72, 72, 107, 107, 107, 107, 107, 107, 107, 89, 89, 89, 89, 89, 89,
    89, 89, 89, 108, 108, 103, 103, 103, 103, 103, 103, 103, 103, 102, 102, 102, 114, 114, 114, 119,
    63, 63, 63, 63, 72, 72, 107, 107, 107, 107, 107, 107, 107, 107, 89, 89, 89, 89, 89, 89,
    89, 89, 89, 108, 108, 103, 103, 103, 103, 103, 103, 103, 103, 103, 102, 114, 114, 114, 114, 114,
    63, 63, 63, 63, 72, 107, 107, 107, 107, 107, 107, 107, 107, 107, 110, 89, 89, 89, 89, 89,
    89, 89, 90, 90, 108, 103, 103, 103, 103, 115, 115, 115, 66, 66, 66, 66, 114, 114, 114, 114,
    63, 63, 63, 63, 72, 107, 107, 107, 107, 107, 107, 107, 107, 107, 110, 110, 110, 89, 89, 89,
    89, 89, 90, 90, 90, 103, 103, 103, 103, 115, 115, 115, 115, 115, 66, 66, 109, 109, 109, 109,
    63, 63, 63, 74, 74, 107, 107, 107, 107, 107, 107, 107, 107, 107, 110, 110, 110, 110, 110, 100,
    100, 90, 90, 90, 90, 90, 103, 103, 103, 115, 115, 115, 115, 115, 66, 66, 109, 109, 109, 109,
    74, 74, 74, 74, 74, 74, 107, 107, 107, 107, 107, 107, 107, 107, 110, 110, 110, 100, 100, 100,
    100, 90, 90, 90, 90, 90, 90, 103, 103, 115, 115, 115, 115, 115, 66, 66, 109, 109, 109, 109,
    74, 74, 74, 74, 74, 74, 74, 107, 107, 107, 107, 107, 107, 107, 110, 110, 110, 100, 100, 100,
    100, 90, 90, 90, 90, 90, 90, 90, 103, 115, 115, 115, 115, 115, 115, 66, 109, 109, 109, 109,
    74, 74, 74, 74, 74, 74, 74, 74, 107, 107, 107, 107, 107, 100, 100, 100, 100, 100, 100, 100,
    100, 90, 90, 90, 90, 90, 90, 90, 111, 111, 115, 115, 115, 115, 115, 66, 109, 109, 109, 109,
    74, 74, 74, 74, 74, 74, 74, 74, 74, 107, 107, 107, 107, 100, 100, 100, 100, 100, 100, 100,
    100, 90, 90, 90, 90, 90, 90, 90, 111, 111, 111, 115, 115, 115, 116, 116, 116, 109, 109, 109,
    74, 74, 74, 74, 74, 74, 74, 74, 74, 107, 107, 107, 100, 100, 100, 100, 100, 100, 100, 100,
    100, 90, 90, 90, 90, 90, 90, 111, 111, 111, 111, 115, 115, 115, 116, 116, 116, 116, 109, 109,
    68, 68, 68, 68, 68, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79,
    91, 91, 91, 91, 91, 91, 91, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36,
    68, 68, 68, 68, 68, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79,
    91, 91, 91, 91, 91, 91, 91, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36,
    68, 68, 68, 68, 68, 68, 68, 80, 80, 80, 80, 79, 79, 79, 79, 79, 79, 79, 79, 79,
    91, 91, 91, 91, 91, 91, 91, 91, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36,
    68, 68, 68, 68, 68, 68, 68, 56, 80, 80, 80, 80, 80, 79, 79, 79, 79, 79, 79, 79,
    91, 91, 91, 91, 91, 91, 91, 91, 92, 92, 92, 92, 36, 36, 36, 36, 36, 36, 36, 84,
    68, 68, 68, 68, 68, 68, 68, 56, 80, 80, 80, 80, 80, 80, 79, 79, 79, 79, 79, 91,
    91, 91, 91, 91, 91, 91, 91, 92, 92, 92, 92, 92, 92, 92, 92, 92, 92, 92, 84, 84,
    68, 68, 68, 68, 68, 68, 68, 68, 80, 80, 80, 80, 80, 80, 80, 79, 79, 79, 79, 91,
    91, 91, 91, 91, 91, 91, 91, 92, 92, 92, 92, 92, 92, 92, 92, 92, 92, 96, 84, 84,
    68, 68, 68, 68, 68, 68, 68, 68, 95, 80, 80, 80, 80, 80, 80, 80, 79, 79, 79, 91,
    91, 91, 91, 91, 91, 91, 91, 92, 92, 92, 92, 92, 92, 92, 92, 92, 92, 96, 84, 84,
    68, 68, 68, 68, 68, 68, 68, 68, 95, 95, 80, 80, 80, 80, 80, 80, 80, 79, 79, 101,
    101, 101, 101, 101, 101, 101, 101, 92, 92, 92, 92, 92, 92, 92, 92, 92, 96, 96, 96, 84,
    68, 68, 93, 93, 93, 93, 93, 95, 95, 95, 95, 80, 80, 80, 80, 80, 80, 80, 101, 101,
    101, 101, 101, 101, 101, 101, 101, 101, 92, 92, 92, 92, 92, 92, 92, 92, 96, 96, 96, 96,
    93, 93, 93, 93, 93, 93, 93, 95, 95, 95, 95, 95, 95, 80, 80, 80, 85, 85, 101, 101,
    101, 101, 101, 101, 101, 101, 101, 113, 113, 92, 92, 92, 92, 92, 92, 96, 96, 96, 96, 96,
    93, 93, 93, 93, 93, 93, 93, 95, 95, 95, 95, 95, 95, 95, 80, 85, 85, 85, 94, 94,
    101, 101, 101, 101, 101, 101, 113, 113, 113, 113, 92, 92, 92, 92, 96, 96, 96, 96, 96, 96,
    93, 93, 93, 93, 93, 93, 93, 95, 95, 95, 95, 95, 95, 95, 85, 85, 85, 85, 94, 94,
    94, 94, 101, 101, 101, 101, 113, 113, 113, 113, 113, 92, 92, 92, 96, 96, 96, 96, 96, 96,
    93, 93, 93, 93, 93, 93, 93, 95, 95, 95, 95, 95, 95, 120, 85, 85, 85, 85, 94, 94,
    94, 94, 94, 94, 101, 113, 113, 113, 113, 113, 113, 113, 121, 121, 96, 96, 96, 96, 96, 96,
    68, 68, 93, 93, 93, 93, 93, 95, 95, 95, 95, 95, 120, 120, 117, 85, 85, 85, 94, 94,
    94, 94, 94, 94, 94, 113, 113, 113, 113, 113, 113, 113, 121, 121, 96, 96, 96, 96, 96, 96,
    68, 68, 93, 93, 93, 93, 93, 95, 95, 95, 95, 120, 120, 117, 117, 117, 85, 85, 85, 94,
    94, 94, 94, 94, 94, 82, 82, 113, 113, 113, 113, 113, 121, 96, 96, 96, 96, 96, 96, 98,
    87, 87, 93, 93, 93, 93, 97, 97, 97, 95, 120, 120, 120, 117, 117, 117, 117, 85, 85, 94,
    94, 94, 94, 94, 82, 82, 82, 82, 82, 113, 113, 113, 99, 99, 96, 98, 98, 98, 98, 98,
    87, 87, 87, 87, 87, 97, 97, 97, 97, 97, 97, 97, 120, 117, 117, 117, 117, 117, 85, 94,
    94, 94, 94, 82, 82, 82, 82, 82, 82, 82, 82, 99, 99, 99, 99, 98, 98, 98, 98, 98,
    87, 87, 87, 87, 87, 97, 97, 97, 97, 97, 97, 97, 97, 117, 117, 117, 117, 117, 117, 85,
    94, 94, 82, 82, 82, 82, 82, 82, 82, 82, 99, 99, 99, 99, 99, 99, 98, 98, 98, 98,
    87, 87, 87, 87, 87, 97, 97, 97, 97, 97, 97, 97, 97, 117, 117, 117, 117, 106, 106, 106,
    106, 106, 106, 82, 82, 82, 82, 82, 82, 86, 99, 99, 99, 99, 99, 99, 98, 98, 98, 98,
    87, 87, 87, 87, 87, 97, 97, 97, 97, 97, 97, 97, 97, 97, 117, 117, 117, 106, 106, 106,
    106, 106, 106, 106, 82, 82, 82, 82, 86, 86, 99, 99, 99, 99, 99, 99, 98, 98, 98, 98,
    87, 87, 87, 87, 87, 97, 97, 97, 97, 97, 97, 97, 97, 88, 88, 88, 88, 88, 106, 106,
    106, 106, 106, 106, 106, 82, 82, 86, 86, 86, 99, 99, 99, 99, 99, 99, 99, 98, 98, 98,
    87, 87, 87, 87, 87, 97, 97, 97, 97, 97, 97, 97, 88, 88, 88, 88, 88, 88, 88, 106,
    106, 106, 106, 106, 106, 82, 82, 86, 86, 86, 99, 99, 99, 99, 99, 99, 99, 98, 98, 98,
    87, 87, 87, 87, 87, 83, 97, 97, 97, 97, 118, 118, 88, 88, 88, 88, 88, 88, 88, 106,
    106, 106, 106, 106, 106, 106, 82, 86, 86, 86, 99, 99, 99, 99, 99, 99, 99, 99, 98, 98,
    87, 87, 87, 87, 87, 83, 83, 97, 97, 118, 118, 118, 88, 88, 88, 88, 88, 88, 88, 88,
    106, 106, 106, 106, 106, 106, 82, 86, 86, 86, 99, 99, 99, 99, 99, 99, 99, 99, 98, 98,
    63, 63, 87, 87, 87, 83, 83, 118, 118, 118, 118, 118, 88, 88, 88, 88, 88, 88, 88, 88,
    88, 106, 106, 106, 106, 106, 86, 86, 86, 86, 99, 99, 99, 99, 99, 99, 99, 99, 99, 77,
    63, 63, 63, 87, 87, 83, 83, 118, 118, 118, 118, 118, 88, 88, 88, 88, 88, 88, 88, 88,
    88, 106, 106, 106, 106, 103, 86, 86, 86, 86, 102, 102, 102, 102, 102, 102, 102, 102, 77, 77,
    63, 63, 63, 63, 72, 72, 72, 72, 118, 118, 118, 118, 88, 88, 88, 88, 88, 88, 88, 88,
    88, 89, 108, 108, 108, 103, 103, 103, 103, 103, 102, 102, 102, 102, 102, 102, 102, 102, 77, 77,
    63, 63, 63, 63, 72, 72, 72, 72, 72, 118, 118, 118, 88, 88, 88, 88, 88, 88, 89, 89,
    89, 89, 108, 108, 108, 103, 103, 103, 103, 103, 102, 102, 102, 102, 102, 102, 102, 102, 114, 119,
    63, 63, 63, 63, 72, 72, 72, 72, 107, 107, 107, 107, 107, 88, 88, 89, 89, 89, 89, 89,
    89, 89, 108, 108, 108, 103, 103, 103, 103, 103, 103, 102, 102, 102, 102, 102, 102, 114, 114, 119,
    63, 63, 63, 63, 72, 72, 107, 107, 107, 107, 107, 107, 107, 107, 89, 89, 89, 89, 89, 89,
    89, 89, 108, 108, 108, 103, 103, 103, 103, 103, 103, 102, 102, 102, 102, 102, 114, 114, 114, 119,
    63, 63, 63, 63, 72, 107, 107, 107, 107, 107, 107, 107, 107, 107, 89, 89, 89, 89, 89, 89,
    89, 89, 89, 108, 108, 103, 103, 103, 103, 103, 103, 103, 102, 102, 102, 102, 114, 114, 114, 114,
    63, 63, 63, 63, 72, 107, 107, 107, 107, 107, 107, 107, 107, 107, 110, 89, 89, 89, 89, 89,
    89, 89, 89, 108, 108, 103, 103, 103, 103, 103, 103, 103, 103, 102, 102, 114, 114, 114, 114, 114,
    63, 63, 63, 63, 72, 107, 107, 107, 107, 107, 107, 107, 107, 107, 110, 110, 89, 89, 89, 89,
    89, 89, 89, 89, 108, 103, 103, 103, 103, 115, 115, 115, 115, 115, 115, 114, 114, 114, 114, 114,
    63, 63, 63, 63, 72, 107, 107, 107, 107, 107, 107, 107, 107, 107, 110, 110, 110, 110, 89, 89,
    89, 90, 90, 90, 108, 103, 103, 103, 103, 115, 115, 115, 115, 115, 115, 115, 114, 109, 109, 109,
    74, 74, 74, 74, 74, 107, 107, 107, 107, 107, 107, 107, 107, 107, 110, 110, 110, 110, 110, 110,
    89, 90, 90, 90, 108, 103, 103, 103, 103, 115, 115, 115, 115, 115, 115, 115, 109, 109, 109, 109,
    74, 74, 74, 74, 74, 74, 107, 107, 107, 107, 107, 107, 107, 107, 110, 110, 110, 110, 100, 100,
    100, 90, 90, 90, 90, 90, 103, 103, 103, 115, 115, 115, 115, 115, 115, 115, 109, 109, 109, 109,
    74, 74, 74, 74, 74, 74, 107, 107, 107, 107, 107, 107, 107, 107, 110, 110, 110, 100, 100, 100,
    100, 90, 90, 90, 90, 90, 90, 90, 115, 115, 115, 115, 115, 115, 115, 115, 109, 109, 109, 109,
    74, 74, 74, 74, 74, 74, 107, 107, 107, 107, 107, 107, 107, 107, 110, 100, 100, 100, 100, 100,
    100, 100, 90, 90, 90, 90, 90, 90, 111, 111, 115, 115, 115, 115, 115, 115, 109, 109, 109, 109,
    122, 122, 122, 122, 122, 122, 122, 74, 107, 107, 107, 107, 107, 107, 100, 100, 100, 100, 100, 100,
    100, 100, 90, 90, 90, 90, 90, 111, 111, 111, 111, 115, 115, 115, 115, 116, 116, 109, 109, 109,
    122, 122, 122, 122, 122, 122, 123, 123, 74, 107, 107, 107, 107, 100, 100, 100, 124, 124, 124, 100,
    100, 100, 90, 90, 90, 90, 90, 111, 111, 111, 111, 115, 115, 115, 115, 116, 116, 116, 109, 109,
    68, 68, 68, 68, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79,
    91, 91, 91, 91, 91, 91, 91, 91, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36,
    68, 68, 68, 68, 68, 68, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79,
    91, 91, 91, 91, 91, 91, 91, 91, 125, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36,
    68, 68, 68, 68, 68, 68, 68, 80, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79,
    91, 91, 91, 91, 91, 91, 91, 91, 92, 92, 92, 92, 36, 36, 36, 36, 36, 36, 36, 36,
    68, 68, 68, 68, 68, 68, 68, 56, 80, 80, 80, 80, 79, 79, 79, 79, 79, 79, 79, 91,
    91, 91, 91, 91, 91, 91, 91, 91, 92, 92, 92, 92, 92, 92, 36, 36, 36, 36, 126, 84,
    68, 68, 68, 68, 68, 68, 68, 56, 80, 80, 80, 80, 80, 79, 79, 79, 79, 79, 79, 91,
    91, 91, 91, 91, 91, 91, 91, 91, 92, 92, 92, 92, 92, 92, 92, 92, 92, 92, 84, 84,
    68, 68, 68, 68, 68, 68, 68, 56, 80, 80, 80, 80, 80, 80, 79, 79, 79, 79, 79, 91,
    91, 91, 91, 91, 91, 91, 91, 92, 92, 92, 92, 92, 92, 92, 92, 92, 92, 96, 84, 84,
    68, 68, 68, 68, 68, 68, 68, 95, 80, 80, 80, 80, 80, 80, 80, 79, 79, 79, 79, 91,
    91, 91, 91, 91, 91, 91, 91, 127, 92, 92, 92, 92, 92, 92, 92, 92, 92, 96, 96, 84,
    68, 68, 68, 68, 68, 68, 68, 95, 95, 95, 80, 80, 80, 80, 80, 80, 79, 79, 101, 101,
    101, 101, 101, 101, 101, 101, 101, 127, 127, 92, 92, 92, 92, 92, 92, 92, 96, 96, 96, 84,
    68, 68, 93, 93, 93, 93, 93, 95, 95, 95, 95, 95, 80, 80, 80, 80, 80, 101, 101, 101,
    101, 101, 101, 101, 101, 101, 101, 113, 127, 127, 92, 92, 92, 92, 92, 92, 96, 96, 96, 96,
    68, 68, 93, 93, 93, 93, 93, 95, 95, 95, 95, 95, 95, 80, 80, 80, 80, 101, 101, 101,
    101, 101, 101, 101, 101, 101, 101, 113, 113, 127, 127, 92, 92, 92, 92, 96, 96, 96, 96, 96,
    93, 93, 93, 93, 93, 93, 93, 95, 95, 95, 95, 95, 95, 95, 80, 117, 85, 94, 94, 101,
    101, 101, 101, 101, 101, 101, 113, 113, 113, 113, 127, 121, 121, 92, 92, 96, 96, 96, 96, 96,
    93, 93, 93, 93, 93, 93, 93, 95, 95, 95, 95, 95, 95, 120, 120, 117, 117, 94, 94, 94,
    94, 101, 101, 101, 101, 113, 113, 113, 113, 113, 113, 121, 121, 121, 96, 96, 96, 96, 96, 96,
    68, 93, 93, 93, 93, 93, 93, 95, 95, 95, 95, 95, 120, 120, 117, 117, 117, 85, 94, 94,
    94, 94, 94, 101, 101, 113, 113, 113, 113, 113, 113, 113, 121, 121, 96, 96, 96, 96, 96, 96,
    68, 68, 93, 93, 93, 93, 93, 95, 95, 95, 95, 120, 120, 120, 117, 117, 117, 85, 94, 94,
    94, 94, 94, 94, 113, 113, 113, 113, 113, 113, 113, 113, 121, 121, 96, 96, 96, 96, 96, 96,
    68, 68, 93, 93, 93, 93, 93, 95, 95, 120, 120, 120, 120, 120, 117, 117, 117, 117, 117, 94,
    94, 94, 94, 94, 94, 113, 113, 113, 113, 113, 113, 113, 121, 121, 96, 96, 96, 96, 96, 98,
    68, 68, 93, 93, 93, 93, 97, 97, 120, 120, 120, 120, 120, 117, 117, 117, 117, 117, 117, 94,
    94, 94, 94, 94, 82, 82, 113, 113, 113, 113, 113, 113, 121, 99, 96, 98, 98, 98, 98, 98,
    68, 68, 87, 87, 87, 97, 97, 97, 97, 97, 97, 97, 120, 117, 117, 117, 117, 117, 117, 117,
    94, 94, 94, 82, 82, 82, 82, 82, 82, 113, 113, 99, 99, 99, 99, 98, 98, 98, 98, 98,
    68, 68, 87, 87, 87, 97, 97, 97, 97, 97, 97, 97, 120, 117, 117, 117, 117, 117, 117, 117,
    106, 106, 106, 82, 82, 82, 82, 82, 82, 82, 99, 99, 99, 99, 99, 99, 98, 98, 98, 98,
    68, 68, 87, 87, 87, 97, 97, 97, 97, 97, 97, 97, 97, 117, 117, 117, 117, 106, 106, 106,
    106, 106, 106, 106, 106, 82, 82, 82, 82, 99, 99, 99, 99, 99, 99, 99, 98, 98, 98, 98,
    68, 68, 87, 87, 87, 97, 97, 97, 97, 97, 97, 97, 97, 117, 117, 117, 117, 106, 106, 106,
    106, 106, 106, 106, 106, 82, 82, 82, 82, 99, 99, 99, 99, 99, 99, 99, 99, 98, 98, 98,
    87, 87, 87, 87, 87, 97, 97, 97, 97, 97, 97, 97, 97, 88, 88, 88, 88, 106, 106, 106,
    106, 106, 106, 106, 106, 106, 82, 82, 99, 99, 99, 99, 99, 99, 99, 99, 99, 98, 98, 98,
    87, 87, 87, 87, 87, 97, 97, 97, 97, 97, 97, 118, 118, 88, 88, 88, 88, 88, 106, 106,
    106, 106, 106, 106, 106, 106, 106, 86, 99, 99, 99, 99, 99, 99, 99, 99, 99, 99, 98, 98,
    87, 87, 87, 87, 87, 97, 97, 97, 118, 118, 118, 118, 118, 88, 88, 88, 88, 88, 88, 106,
    106, 106, 106, 106, 106, 106, 106, 86, 99, 99, 99, 99, 99, 99, 99, 99, 99, 99, 98, 98,
    87, 87, 87, 87, 87, 87, 97, 118, 118, 118, 118, 118, 118, 88, 88, 88, 88, 88, 88, 88,
    106, 106, 106, 106, 106, 106, 106, 86, 86, 99, 99, 99, 99, 99, 99, 99, 99, 99, 99, 98,
    87, 87, 87, 87, 87, 118, 118, 118, 118, 118, 118, 118, 118, 88, 88, 88, 88, 88, 88, 88,
    106, 106, 106, 106, 106, 106, 106, 86, 86, 99, 99, 99, 99, 99, 99, 99, 99, 99, 99, 98,
    63, 63, 63, 87, 87, 118, 118, 118, 118, 118, 118, 118, 118, 88, 88, 88, 88, 88, 88, 88,
    88, 106, 106, 106, 106, 108, 103, 103, 103, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 119,
    63, 63, 63, 63, 72, 118, 118, 118, 118, 118, 118, 118, 88, 88, 88, 88, 88, 88, 88, 88,
    88, 108, 108, 108, 108, 108, 103, 103, 103, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 119,
    63, 63, 63, 63, 72, 72, 118, 118, 118, 118, 118, 118, 88, 88, 88, 88, 88, 88, 89, 89,
    89, 108, 108, 108, 108, 108, 103, 103, 103, 103, 102, 102, 102, 102, 102, 102, 102, 102, 114, 119,
    63, 63, 63, 63, 72, 72, 107, 107, 107, 107, 107, 107, 107, 88, 88, 88, 89, 89, 89, 89,
    89, 108, 108, 108, 108, 108, 103, 103, 103, 103, 102, 102, 102, 102, 102, 102, 102, 114, 114, 119,
    63, 63, 63, 63, 72, 107, 107, 107, 107, 107, 107, 107, 107, 107, 89, 89, 89, 89, 89, 89,
    89, 108, 108, 108, 108, 108, 103, 103, 103, 103, 103, 102, 102, 102, 102, 114, 114, 114, 114, 114,
    63, 63, 63, 63, 72, 107, 107, 107, 107, 107, 107, 107, 107, 107, 89, 89, 89, 89, 89, 89,
    89, 108, 108, 108, 108, 108, 103, 103, 103, 103, 103, 103, 102, 102, 102, 114, 114, 114, 114, 114,
    63, 63, 63, 63, 72, 107, 107, 107, 107, 107, 107, 107, 107, 107, 110, 89, 89, 89, 89, 89,
    89, 108, 108, 108, 108, 103, 103, 103, 103, 103, 103, 103, 103, 102, 114, 114, 114, 114, 114, 114,
    63, 63, 63, 63, 72, 107, 107, 107, 107, 107, 107, 107, 107, 107, 110, 110, 110, 89, 89, 89,
    89, 89, 108, 108, 108, 108, 103, 103, 103, 115, 115, 115, 115, 115, 114, 114, 114, 114, 114, 114,
    63, 72, 72, 72, 72, 107, 107, 107, 107, 107, 107, 107, 107, 107, 110, 110, 110, 110, 110, 110,
    89, 89, 89, 108, 108, 108, 103, 103, 103, 115, 115, 115, 115, 115, 115, 114, 114, 114, 109, 109,
    74, 74, 74, 74, 74, 107, 107, 107, 107, 107, 107, 107, 107, 107, 110, 110, 110, 110, 110, 110,
    110, 100, 100, 108, 108, 108, 103, 103, 103, 115, 115, 115, 115, 115, 115, 115, 109, 109, 109, 109,
    74, 74, 74, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 110, 110, 110, 110, 110, 100,
    100, 100, 100, 90, 90, 90, 103, 103, 115, 115, 115, 115, 115, 115, 115, 115, 109, 109, 109, 109,
    122, 122, 122, 122, 122, 122, 122, 107, 107, 107, 107, 107, 107, 107, 110, 110, 110, 100, 100, 100,
    100, 100, 100, 90, 90, 90, 90, 115, 115, 115, 115, 115, 115, 115, 115, 115, 109, 109, 109, 109,
    122, 122, 122, 122, 122, 122, 122, 122, 107, 107, 107, 107, 107, 107, 110, 100, 100, 100, 100, 100,
    100, 100, 100, 90, 90, 90, 90, 111, 111, 115, 115, 115, 115, 115, 115, 115, 109, 109, 109, 109,
    122, 122, 122, 122, 122, 122, 122, 122, 123, 107, 107, 107, 107, 107, 110, 100, 100, 100, 100, 100,
    100, 100, 90, 90, 90, 90, 90, 111, 111, 111, 111, 115, 115, 115, 115, 116, 116, 109, 109, 109,
    122, 122, 122, 122, 122, 122, 122, 123, 123, 107, 107, 107, 107, 107, 110, 124, 124, 124, 124, 124,
    124, 124, 124, 90, 90, 90, 111, 111, 111, 111, 111, 111, 115, 115, 115, 116, 116, 116, 109, 109,
    68, 68, 68, 68, 68, 68, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79,
    91, 91, 91, 91, 91, 91, 125, 125, 125, 125, 125, 36, 36, 36, 36, 36, 36, 36, 36, 36,
    68, 68, 68, 68, 68, 68, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79,
    91, 91, 91, 91, 91, 91, 91, 125, 125, 125, 92, 36, 36, 36, 36, 36, 36, 36, 36, 36,
    68, 68, 68, 68, 68, 68, 68, 80, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 91,
    91, 91, 91, 91, 91, 91, 91, 125, 125, 92, 92, 92, 92, 36, 36, 36, 36, 36, 36, 126,
    68, 68, 68, 68, 68, 68, 68, 80, 80, 80, 80, 79, 79, 79, 79, 79, 79, 79, 79, 91,
    91, 91, 91, 91, 91, 91, 125, 125, 125, 92, 92, 92, 92, 92, 92, 92, 36, 126, 126, 126,
    68, 68, 68, 68, 68, 68, 68, 80, 80, 80, 80, 80, 79, 79, 79, 79, 79, 79, 79, 91,
    91, 91, 91, 91, 91, 91, 125, 128, 128, 92, 92, 92, 92, 92, 92, 92, 92, 126, 126, 126,
    68, 68, 68, 68, 68, 68, 68, 80, 80, 80, 80, 80, 80, 79, 79, 79, 79, 79, 79, 91,
    91, 91, 91, 91, 91, 91, 91, 125, 128, 92, 92, 92, 92, 92, 92, 92, 92, 126, 126, 126,
    68, 68, 68, 68, 68, 68, 68, 80, 80, 80, 80, 80, 80, 80, 79, 79, 79, 79, 79, 91,
    91, 91, 91, 91, 91, 91, 91, 127, 92, 92, 92, 92, 92, 92, 92, 92, 92, 126, 126, 126,
    68, 68, 68, 68, 93, 93, 93, 95, 95, 95, 95, 80, 80, 80, 80, 79, 79, 79, 101, 101,
    101, 101, 101, 101, 101, 101, 101, 127, 127, 92, 92, 92, 92, 92, 92, 92, 92, 96, 126, 126,
    68, 68, 93, 93, 93, 93, 93, 95, 95, 95, 95, 95, 80, 80, 80, 80, 79, 101, 101, 101,
    101, 101, 101, 101, 101, 101, 101, 113, 127, 127, 127, 92, 92, 92, 92, 92, 96, 96, 96, 126,
    68, 68, 93, 93, 93, 93, 93, 95, 95, 95, 95, 95, 120, 120, 80, 129, 129, 101, 101, 101,
    101, 101, 101, 101, 101, 101, 113, 113, 113, 127, 127, 127, 92, 92, 92, 96, 96, 96, 96, 96,
    68, 68, 68, 93, 93, 93, 93, 95, 95, 95, 95, 120, 120, 120, 120, 117, 129, 101, 101, 101,
    101, 101, 101, 101, 101, 101, 113, 113, 113, 113, 121, 121, 121, 92, 92, 96, 96, 96, 96, 96,
    68, 68, 68, 93, 93, 93, 93, 95, 95, 95, 95, 120, 120, 120, 120, 117, 117, 117, 94, 101,
    101, 101, 101, 101, 130, 113, 113, 113, 113, 113, 113, 121, 121, 121, 96, 96, 96, 96, 96, 96,
    68, 68, 68, 93, 93, 93, 93, 95, 95, 95, 95, 120, 120, 120, 120, 117, 117, 117, 117, 94,
    94, 101, 101, 101, 130, 113, 113, 113, 113, 113, 113, 113, 121, 121, 96, 96, 96, 96, 96, 96,
    68, 68, 68, 93, 93, 93, 93, 120, 120, 120, 120, 120, 120, 120, 117, 117, 117, 117, 117, 94,
    94, 94, 94, 130, 130, 113, 113, 113, 113, 113, 113, 113, 121, 121, 121, 96, 96, 96, 96, 96,
    68, 68, 93, 93, 93, 93, 93, 120, 120, 120, 120, 120, 120, 120, 117, 117, 117, 117, 117, 117,
    94, 94, 94, 94, 113, 113, 113, 113, 113, 113, 113, 113, 121, 121, 121, 96, 96, 96, 98, 98,
    68, 68, 93, 93, 93, 93, 97, 120, 120, 120, 120, 120, 120, 120, 117, 117, 117, 117, 117, 117,
    94, 94, 94, 94, 94, 113, 113, 113, 113, 113, 113, 113, 121, 99, 99, 98, 98, 98, 98, 98,
    68, 68, 68, 87, 131, 97, 97, 97, 97, 97, 120, 120, 120, 117, 117, 117, 117, 117, 117, 117,
    117, 106, 106, 94, 82, 82, 82, 113, 113, 113, 113, 99, 99, 99, 99, 98, 98, 98, 98, 98,
    68, 68, 68, 87, 131, 97, 97, 97, 97, 97, 97, 97, 120, 117, 117, 117, 117, 106, 106, 106,
    106, 106, 106, 106, 106, 82, 82, 82, 113, 99, 99, 99, 99, 99, 99, 99, 98, 98, 98, 98,
    68, 68, 68, 87, 87, 97, 97, 97, 97, 97, 97, 97, 97, 117, 117, 117, 106, 106, 106, 106,
    106, 106, 106, 106, 106, 106, 82, 82, 82, 99, 99, 99, 99, 99, 99, 99, 98, 98, 98, 98,
    68, 68, 68, 87, 87, 97, 97, 97, 97, 97, 97, 97, 97, 117, 117, 117, 106, 106, 106, 106,
    106, 106, 106, 106, 106, 106, 106, 82, 99, 99, 99, 99, 99, 99, 99, 99, 99, 98, 98, 98,
    68, 68, 68, 87, 87, 97, 118, 118, 97, 97, 97, 97, 118, 88, 88, 88, 88, 106, 106, 106,
    106, 106, 106, 106, 106, 106, 106, 106, 99, 99, 99, 99, 99, 99, 99, 99, 99, 98, 98, 98,
    68, 68, 68, 87, 87, 97, 118, 118, 118, 118, 118, 118, 118, 88, 88, 88, 88, 88, 106, 106,
    106, 106, 106, 106, 106, 106, 106, 106, 99, 99, 99, 99, 99, 99, 99, 99, 99, 99, 98, 98,
    68, 68, 68, 87, 87, 97, 118, 118, 118, 118, 118, 118, 118, 88, 88, 88, 88, 88, 88, 106,
    106, 106, 106, 106, 106, 106, 106, 106, 99, 99, 99, 99, 99, 99, 99, 99, 99, 99, 98, 98,
    68, 68, 68, 87, 87, 118, 118, 118, 118, 118, 118, 118, 118, 88, 88, 88, 88, 88, 88, 106,
    106, 106, 106, 106, 106, 106, 106, 86, 99, 99, 99, 99, 99, 99, 99, 99, 99, 99, 99, 98,
    68, 68, 68, 87, 87, 118, 118, 118, 118, 118, 118, 118, 118, 88, 88, 88, 88, 88, 88, 88,
    106, 106, 106, 106, 106, 106, 106, 86, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 98,
    63, 63, 63, 87, 87, 118, 118, 118, 118, 118, 118, 118, 118, 88, 88, 88, 88, 88, 88, 88,
    88, 106, 106, 106, 106, 108, 103, 103, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 119,
    63, 63, 63, 63, 87, 118, 118, 118, 118, 118, 118, 118, 118, 88, 88, 88, 88, 88, 88, 88,
    88, 108, 108, 108, 108, 108, 103, 103, 103, 102, 102, 102, 102, 102, 102, 102, 102, 102, 114, 119,
    63, 63, 63, 63, 72, 118, 118, 118, 118, 118, 118, 118, 118, 88, 88, 88, 88, 88, 89, 89,
    89, 108, 108, 108, 108, 108, 103, 103, 103, 102, 102, 102, 102, 102, 102, 102, 102, 114, 114, 119,
    63, 63, 63, 63, 72, 107, 107, 107, 107, 107, 107, 107, 107, 88, 88, 88, 89, 89, 89, 89,
    89, 108, 108, 108, 108, 108, 103, 103, 103, 103, 102, 102, 102, 102, 114, 114, 114, 114, 114, 114,
    63, 63, 63, 63, 72, 107, 107, 107, 107, 107, 107, 107, 107, 107, 89, 89, 89, 89, 89, 89,
    89, 108, 108, 108, 108, 108, 103, 103, 103, 103, 103, 102, 102, 102, 114, 114, 114, 114, 114, 114,
    63, 63, 63, 63, 72, 107, 107, 107, 107, 107, 107, 107, 107, 107, 110, 89, 89, 89, 89, 89,
    89, 108, 108, 108, 108, 108, 103, 103, 103, 103, 103, 103, 102, 102, 114, 114, 114, 114, 114, 114,
    63, 63, 63, 63, 72, 107, 107, 107, 107, 107, 107, 107, 107, 107, 110, 110, 89, 89, 89, 89,
    89, 108, 108, 108, 108, 108, 103, 103, 103, 103, 103, 103, 103, 114, 114, 114, 114, 114, 114, 114,
    72, 72, 72, 72, 72, 107, 107, 107, 107, 107, 107, 107, 107, 107, 110, 110, 110, 110, 89, 89,
    89, 108, 108, 108, 108, 108, 103, 103, 103, 115, 115, 115, 115, 115, 114, 114, 114, 114, 114, 114,
    122, 122, 122, 72, 72, 107, 107, 107, 107, 107, 107, 107, 107, 107, 110, 110, 110, 110, 110, 110,
    110, 108, 108, 108, 108, 108, 103, 103, 103, 115, 115, 115, 115, 115, 115, 114, 114, 114, 114, 114,
    122, 122, 122, 122, 122, 122, 107, 107, 107, 107, 107, 107, 107, 107, 110, 110, 110, 110, 110, 110,
    110, 100, 108, 108, 108, 108, 103, 103, 115, 115, 115, 115, 115, 115, 115, 115, 115, 114, 109, 109,
    122, 122, 122, 122, 122, 122, 122, 107, 107, 107, 107, 107, 107, 107, 110, 110, 110, 110, 110, 110,
    100, 100, 100, 108, 108, 108, 103, 115, 115, 115, 115, 115, 115, 115, 115, 115, 115, 109, 109, 109,
    122, 122, 122, 122, 122, 122, 122, 107, 107, 107, 107, 107, 107, 107, 110, 110, 110, 110, 100, 100,
    100, 100, 100, 90, 90, 90, 115, 115, 115, 115, 115, 115, 115, 115, 115, 115, 109, 109, 109, 109,
    122, 122, 122, 122, 122, 122, 122, 122, 107, 107, 107, 107, 107, 107, 110, 110, 100, 100, 100, 100,
    100, 100, 100, 90, 90, 90, 90, 115, 115, 115, 115, 115, 115, 115, 115, 115, 109, 109, 109, 109,
    122, 122, 122, 122, 122, 122, 122, 122, 122, 107, 107, 107, 107, 107, 110, 100, 100, 100, 100, 124,
    124, 124, 124, 90, 90, 90, 90, 111, 111, 111, 111, 115, 115, 115, 115, 115, 116, 109, 109, 109,
    122, 122, 122, 122, 122, 122, 122, 123, 123, 123, 107, 107, 107, 107, 107, 124, 124, 124, 124, 124,
    124, 124, 124, 124, 90, 90, 111, 111, 111, 111, 111, 111, 115, 115, 115, 116, 116, 116, 109, 109,
    68, 68, 68, 68, 132, 132, 132, 132, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79,
    91, 91, 91, 125, 125, 125, 125, 125, 125, 125, 125, 125, 125, 36, 36, 36, 36, 36, 36, 36,
    68, 68, 68, 68, 132, 132, 132, 132, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 91,
    91, 91, 91, 91, 91, 125, 125, 125, 125, 125, 125, 92, 92, 36, 36, 36, 36, 36, 36, 36,
    68, 68, 68, 68, 132, 132, 132, 132, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 91,
    91, 91, 91, 91, 91, 125, 125, 125, 125, 125, 127, 127, 92, 92, 92, 36, 36, 36, 126, 126,
    68, 68, 68, 68, 68, 132, 132, 132, 80, 80, 80, 79, 79, 79, 79, 79, 79, 79, 79, 91,
    91, 91, 91, 91, 91, 91, 125, 128, 128, 128, 127, 127, 127, 92, 92, 92, 92, 126, 126, 126,
    68, 68, 68, 68, 68, 68, 80, 80, 80, 80, 80, 80, 79, 79, 79, 79, 79, 79, 79, 91,
    91, 91, 91, 91, 91, 91, 125, 128, 128, 128, 127, 127, 127, 92, 92, 92, 92, 126, 126, 126,
    68, 68, 68, 68, 68, 68, 80, 80, 80, 80, 80, 80, 80, 79, 79, 79, 79, 79, 79, 91,
    91, 91, 91, 91, 91, 91, 91, 125, 128, 128, 127, 127, 127, 92, 92, 92, 92, 126, 126, 126,
    68, 68, 68, 68, 68, 68, 95, 95, 95, 80, 80, 80, 80, 80, 79, 79, 79, 79, 79, 91,
    91, 91, 91, 91, 91, 91, 127, 127, 128, 128, 127, 127, 127, 127, 92, 92, 92, 126, 126, 126,
    68, 68, 68, 68, 93, 93, 93, 95, 95, 95, 95, 80, 80, 80, 80, 79, 79, 79, 101, 101,
    101, 101, 101, 101, 101, 101, 101, 127, 127, 92, 127, 127, 127, 127, 127, 92, 92, 126, 126, 126,
    68, 68, 93, 93, 93, 93, 93, 95, 95, 95, 95, 95, 80, 80, 129, 129, 129, 129, 101, 101,
    101, 101, 101, 101, 101, 101, 113, 113, 127, 127, 127, 127, 127, 121, 121, 92, 96, 126, 126, 126,
    68, 68, 93, 93, 93, 93, 93, 95, 95, 95, 120, 120, 120, 120, 129, 129, 129, 129, 101, 101,
    101, 101, 101, 101, 101, 130, 113, 113, 113, 127, 127, 127, 127, 121, 121, 96, 96, 96, 126, 126,
    68, 68, 68, 93, 93, 93, 93, 95, 95, 120, 120, 120, 120, 120, 120, 129, 129, 129, 101, 101,
    101, 101, 101, 101, 130, 130, 113, 113, 113, 113, 121, 121, 121, 121, 92, 96, 96, 96, 96, 126,
    68, 68, 68, 93, 93, 93, 93, 95, 120, 120, 120, 120, 120, 120, 120, 129, 129, 129, 129, 101,
    101, 101, 101, 130, 130, 130, 113, 113, 113, 113, 113, 121, 121, 121, 96, 96, 96, 96, 96, 96,
    68, 68, 68, 93, 93, 93, 93, 120, 120, 120, 120, 120, 120, 120, 120, 117, 117, 117, 117, 94,
    101, 101, 130, 130, 130, 113, 113, 113, 113, 113, 113, 113, 121, 121, 121, 121, 96, 96, 96, 96,
    68, 68, 68, 93, 93, 93, 93, 120, 120, 120, 120, 120, 120, 120, 120, 117, 117, 117, 117, 117,
    94, 94, 130, 130, 130, 113, 113, 113, 113, 113, 113, 113, 121, 121, 121, 121, 96, 96, 96, 96,
    68, 68, 68, 93, 93, 93, 120, 120, 120, 120, 120, 120, 120, 120, 117, 117, 117, 117, 117, 117,
    94, 94, 130, 130, 130, 113, 113, 113, 113, 113, 113, 113, 121, 121, 121, 121, 96, 96, 98, 98,
    68, 68, 68, 93, 131, 131, 120, 120, 120, 120, 120, 120, 120, 120, 117, 117, 117, 117, 117, 117,
    117, 94, 94, 130, 113, 113, 113, 113, 113, 113, 113, 113, 121, 99, 99, 98, 98, 98, 98, 98,
    68, 68, 68, 87, 131, 97, 97, 120, 120, 120, 120, 120, 120, 117, 117, 117, 117, 106, 106, 106,
    106, 106, 106, 106, 106, 113, 113, 113, 113, 113, 113, 99, 99, 99, 99, 99, 98, 98, 98, 98,
    68, 68, 68, 87, 131, 97, 97, 97, 97, 97, 120, 120, 120, 117, 117, 117, 117, 106, 106, 106,
    106, 106, 106, 106, 106, 106, 113, 113, 113, 99, 99, 99, 99, 99, 99, 99, 98, 98, 98, 98,
    68, 68, 68, 87, 131, 97, 97, 97, 97, 97, 97, 120, 120, 117, 117, 117, 106, 106, 106, 106,
    106, 106, 106, 106, 106, 106, 106, 113, 99, 99, 99, 99, 99, 99, 99, 99, 99, 98, 98, 98,
    68, 68, 68, 87, 87, 118, 118, 118, 97, 97, 97, 97, 118, 117, 117, 117, 106, 106, 106, 106,
    106, 106, 106, 106, 106, 106, 106, 106, 99, 99, 99, 99, 99, 99, 99, 99, 99, 98, 98, 98,
    68, 68, 68, 87, 87, 118, 118, 118, 118, 118, 118, 118, 118, 88, 88, 88, 88, 106, 106, 106,
    106, 106, 106, 106, 106, 106, 106, 106, 99, 99, 99, 99, 99, 99, 99, 99, 99, 99, 98, 98,
    68, 68, 68, 87, 87, 97, 118, 118, 118, 118, 118, 118, 118, 88, 88, 88, 88, 106, 106, 106,
    106, 106, 106, 106, 106, 106, 106, 106, 99, 99, 99, 99, 99, 99, 99, 99, 99, 99, 98, 98,
    68, 68, 68, 87, 87, 118, 118, 118, 118, 118, 118, 118, 118, 88, 88, 88, 88, 88, 106, 106,
    106, 106, 106, 106, 106, 106, 106, 106, 99, 99, 99, 99, 99, 99, 99, 99, 99, 99, 99, 98,
    68, 68, 68, 87, 87, 118, 118, 118, 118, 118, 118, 118, 118, 88, 88, 88, 88, 88, 88, 106,
    106, 106, 106, 106, 106, 106, 106, 99, 99, 99, 99, 99, 99, 99, 99, 99, 99, 99, 99, 133,
    68, 68, 68, 87, 87, 118, 118, 118, 118, 118, 118, 118, 118, 88, 88, 88, 88, 88, 88, 88,
    106, 106, 106, 106, 106, 106, 106, 106, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102,
    68, 68, 68, 87, 87, 118, 118, 118, 118, 118, 118, 118, 118, 88, 88, 88, 88, 88, 88, 88,
    88, 106, 106, 106, 106, 108, 103, 103, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 114,
    68, 68, 68, 87, 87, 118, 118, 118, 118, 118, 118, 118, 118, 118, 88, 88, 88, 88, 88, 88,
    88, 108, 108, 108, 108, 108, 103, 103, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 114, 114,
    63, 63, 63, 87, 87, 118, 118, 118, 118, 118, 118, 118, 118, 118, 88, 88, 88, 88, 89, 89,
    89, 108, 108, 108, 108, 108, 103, 103, 103, 102, 102, 102, 102, 102, 102, 102, 114, 114, 114, 114,
    87, 87, 87, 87, 72, 118, 118, 118, 107, 107, 118, 118, 118, 118, 88, 88, 88, 88, 89, 89,
    89, 108, 108, 108, 108, 108, 103, 103, 103, 103, 102, 102, 102, 114, 114, 114, 114, 114, 114, 114,
    87, 87, 87, 87, 72, 107, 107, 107, 107, 107, 107, 107, 107, 107, 110, 89, 89, 89, 89, 89,
    89, 108, 108, 108, 108, 108, 103, 103, 103, 103, 103, 102, 102, 114, 114, 114, 114, 114, 114, 114,
    87, 87, 87, 87, 72, 107, 107, 107, 107, 107, 107, 107, 107, 107, 110, 110, 89, 89, 89, 89,
    89, 108, 108, 108, 108, 108, 103, 103, 103, 103, 103, 102, 102, 114, 114, 114, 114, 114, 114, 114,
    122, 122, 122, 63, 72, 107, 107, 107, 107, 107, 107, 107, 107, 107, 110, 110, 110, 89, 89, 89,
    89, 108, 108, 108, 108, 108, 103, 103, 103, 103, 103, 103, 102, 114, 114, 114, 114, 114, 114, 114,
    122, 122, 122, 122, 122, 107, 107, 107, 107, 107, 107, 107, 107, 107, 110, 110, 110, 110, 110, 89,
    89, 108, 108, 108, 108, 108, 103, 103, 103, 115, 115, 115, 115, 115, 114, 114, 114, 114, 114, 114,
    122, 122, 122, 122, 122, 122, 107, 107, 107, 107, 107, 107, 107, 107, 110, 110, 110, 110, 110, 110,
    110, 108, 108, 108, 108, 108, 103, 103, 103, 115, 115, 115, 115, 115, 115, 114, 114, 114, 114, 114,
    122, 122, 122, 122, 122, 122, 122, 107, 107, 107, 107, 107, 107, 107, 110, 110, 110, 110, 110, 110,
    110, 108, 108, 108, 108, 108, 103, 103, 115, 115, 115, 115, 115, 115, 115, 115, 114, 114, 114, 109,
    122, 122, 122, 122, 122, 122, 122, 107, 107, 107, 107, 107, 107, 110, 110, 110, 110, 110, 110, 110,
    100, 100, 108, 108, 108, 108, 115, 115, 115, 115, 115, 115, 115, 115, 115, 115, 115, 109, 109, 109,
    122, 122, 122, 122, 122, 122, 122, 122, 107, 107, 107, 107, 107, 110, 110, 110, 110, 110, 110, 100,
    100, 100, 100, 108, 108, 108, 115, 115, 115, 115, 115, 115, 115, 115, 115, 115, 115, 109, 109, 109,
    122, 122, 122, 122, 122, 122, 122, 122, 122, 107, 107, 107, 107, 110, 110, 110, 110, 100, 100, 100,
    100, 100, 100, 100, 90, 108, 115, 115, 115, 115, 115, 115, 115, 115, 115, 115, 115, 109, 109, 109,
    122, 122, 122, 122, 122, 122, 122, 122, 122, 134, 107, 107, 107, 110, 110, 110, 124, 124, 124, 124,
    124, 124, 124, 124, 90, 90, 115, 115, 115, 115, 115, 115, 115, 115, 115, 115, 115, 109, 109, 109,
    122, 122, 122, 122, 122, 122, 122, 122, 134, 134, 107, 107, 107, 107, 107, 107, 124, 124, 124, 124,
    124, 124, 124, 124, 124, 90, 111, 111, 111, 111, 111, 111, 111, 115, 115, 116, 116, 116, 135, 135,
    68, 68, 68, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 79, 79, 79, 79, 79, 79,
    91, 91, 91, 125, 125, 125, 125, 125, 125, 125, 125, 125, 125, 128, 128, 36, 36, 36, 36, 36,
    68, 68, 68, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 79, 79, 79, 79, 79, 91,
    91, 91, 91, 125, 125, 125, 125, 125, 125, 125, 125, 125, 125, 92, 92, 36, 36, 36, 36, 36,
    68, 68, 68, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 79, 79, 79, 79, 79, 79, 91,
    91, 91, 91, 125, 125, 125, 125, 125, 125, 125, 125, 125, 128, 92, 92, 92, 126, 126, 126, 126,
    68, 68, 68, 68, 132, 132, 132, 132, 132, 132, 132, 132, 132, 79, 79, 79, 79, 79, 79, 91,
    91, 91, 91, 91, 125, 125, 125, 128, 128, 128, 128, 128, 128, 92, 92, 92, 126, 126, 126, 126,
    68, 68, 68, 68, 132, 132, 132, 132, 132, 132, 132, 132, 132, 79, 79, 79, 79, 79, 79, 91,
    91, 91, 91, 91, 91, 125, 125, 128, 128, 128, 128, 128, 128, 92, 92, 92, 126, 126, 126, 126,
    68, 68, 68, 68, 68, 132, 132, 132, 132, 132, 132, 132, 132, 79, 79, 79, 79, 79, 79, 91,
    91, 91, 91, 91, 91, 125, 125, 125, 128, 128, 128, 128, 128, 92, 92, 92, 126, 126, 126, 126,
    68, 68, 68, 68, 68, 132, 132, 132, 95, 95, 80, 132, 80, 129, 129, 129, 79, 79, 79, 91,
    91, 91, 91, 91, 91, 91, 127, 127, 128, 128, 128, 128, 127, 127, 127, 127, 126, 126, 126, 126,
    68, 68, 68, 93, 93, 93, 93, 95, 95, 95, 120, 120, 129, 129, 129, 129, 129, 129, 129, 101,
    101, 101, 101, 101, 101, 101, 127, 127, 127, 127, 127, 127, 127, 127, 127, 127, 126, 126, 126, 126,
    68, 68, 93, 93, 93, 93, 93, 95, 95, 95, 120, 120, 120, 129, 129, 129, 129, 129, 129, 101,
    101, 101, 101, 101, 101, 130, 130, 127, 127, 127, 127, 127, 127, 121, 121, 121, 126, 126, 126, 126,
    68, 68, 93, 93, 93, 93, 93, 120, 120, 120, 120, 120, 120, 129, 129, 129, 129, 129, 129, 101,
    101, 101, 101, 101, 130, 130, 130, 113, 127, 127, 127, 121, 121, 121, 121, 121, 96, 126, 126, 126,
    68, 68, 68, 93, 93, 93, 93, 120, 120, 120, 120, 120, 120, 120, 129, 129, 129, 129, 129, 101,
    101, 101, 101, 130, 130, 130, 113, 113, 113, 121, 121, 121, 121, 121, 121, 121, 96, 126, 126, 126,
    68, 68, 68, 93, 93, 93, 93, 120, 120, 120, 120, 120, 120, 120, 129, 129, 129, 129, 129, 101,
    101, 101, 130, 130, 130, 130, 113, 113, 113, 113, 113, 121, 121, 121, 96, 96, 96, 96, 126, 126,
    68, 68, 68, 93, 93, 93, 120, 120, 120, 120, 120, 120, 120, 120, 120, 129, 129, 129, 129, 129,
    101, 130, 130, 130, 130, 130, 113, 113, 113, 113, 113, 121, 121, 121, 121, 121, 121, 96, 96, 126,
    68, 68, 68, 93, 93, 131, 120, 120, 120, 120, 120, 120, 120, 120, 120, 117, 117, 117, 117, 117,
    130, 130, 130, 130, 130, 113, 113, 113, 113, 113, 113, 121, 121, 121, 121, 121, 96, 96, 96, 96,
    68, 68, 68, 93, 131, 131, 120, 120, 120, 120, 120, 120, 120, 120, 117, 117, 117, 117, 117, 117,
    117, 130, 130, 130, 130, 113, 113, 113, 113, 113, 113, 121, 121, 121, 121, 121, 96, 96, 98, 98,
    68, 68, 68, 93, 131, 120, 120, 120, 120, 120, 120, 120, 120, 120, 117, 117, 117, 117, 117, 117,
    117, 106, 130, 130, 130, 113, 113, 113, 113, 113, 113, 113, 99, 99, 99, 99, 98, 98, 98, 98,
    68, 68, 68, 93, 131, 97, 120, 120, 120, 120, 120, 120, 120, 120, 117, 117, 117, 106, 106, 106,
    106, 106, 106, 106, 113, 113, 113, 113, 113, 113, 99, 99, 99, 99, 99, 99, 98, 98, 98, 98,
    68, 68, 68, 87, 131, 97, 97, 97, 120, 120, 120, 120, 120, 120, 117, 117, 117, 106, 106, 106,
    106, 106, 106, 106, 106, 106, 113, 113, 113, 99, 99, 99, 99, 99, 99, 99, 99, 98, 98, 98,
    68, 68, 68, 87, 131, 118, 118, 97, 97, 97, 120, 120, 120, 120, 117, 117, 106, 106, 106, 106,
    106, 106, 106, 106, 106, 106, 106, 113, 136, 99, 99, 99, 99, 99, 99, 99, 99, 98, 98, 98,
    68, 68, 68, 87, 131, 118, 118, 118, 118, 118, 118, 118, 118, 118, 117, 117, 106, 106, 106, 106,
    106, 106, 106, 106, 106, 106, 106, 106, 136, 136, 136, 99, 99, 99, 99, 99, 99, 99, 98, 98,
    68, 68, 68, 87, 131, 118, 118, 118, 118, 118, 118, 118, 118, 118, 88, 88, 106, 106, 106, 106,
    106, 106, 106, 106, 106, 106, 106, 106, 136, 136, 136, 99, 99, 99, 99, 99, 99, 99, 133, 133,
    68, 68, 68, 87, 131, 118, 118, 118, 118, 118, 118, 118, 118, 118, 88, 88, 88, 106, 106, 106,
    106, 106, 106, 106, 106, 106, 106, 106, 136, 136, 136, 99, 99, 99, 99, 99, 99, 99, 133, 133,
    68, 68, 68, 87, 131, 118, 118, 118, 118, 118, 118, 118, 118, 118, 88, 88, 88, 88, 106, 106,
    106, 106, 106, 106, 106, 106, 106, 106, 136, 102, 102, 102, 99, 99, 99, 99, 102, 133, 133, 133,
    68, 68, 68, 87, 118, 118, 118, 118, 118, 118, 118, 118, 118, 118, 88, 88, 88, 88, 88, 106,
    106, 106, 106, 106, 106, 106, 106, 106, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 133, 133,
    68, 68, 68, 87, 118, 118, 118, 118, 118, 118, 118, 118, 118, 118, 88, 88, 88, 88, 88, 106,
    106, 106, 106, 106, 106, 106, 106, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 133,
    68, 68, 68, 87, 118, 118, 118, 118, 118, 118, 118, 118, 118, 118, 88, 88, 88, 88, 88, 88,
    88, 106, 106, 106, 106, 108, 108, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 114, 114,
    68, 68, 68, 87, 118, 118, 118, 118, 118, 118, 118, 118, 118, 118, 88, 88, 88, 88, 88, 88,
    108, 108, 108, 108, 108, 108, 108, 103, 102, 102, 102, 102, 102, 102, 102, 102, 102, 114, 114, 114,
    87, 87, 87, 87, 118, 118, 118, 118, 118, 118, 118, 118, 118, 118, 88, 88, 88, 88, 89, 108,
    108, 108, 108, 108, 108, 108, 108, 103, 103, 102, 102, 102, 102, 102, 102, 102, 114, 114, 114, 114,
    87, 87, 87, 87, 118, 118, 118, 118, 118, 118, 118, 118, 118, 118, 88, 88, 89, 89, 89, 137,
    108, 108, 108, 108, 108, 108, 108, 103, 103, 103, 102, 102, 102, 114, 114, 114, 114, 114, 114, 114,
    122, 87, 87, 87, 118, 107, 107, 107, 107, 107, 107, 107, 107, 107, 110, 110, 89, 89, 89, 137,
    108, 108, 108, 108, 108, 108, 108, 103, 103, 103, 102, 102, 102, 114, 114, 114, 114, 114, 114, 114,
    122, 122, 122, 122, 122, 107, 107, 107, 107, 107, 107, 107, 107, 107, 110, 110, 89, 89, 89, 89,
    108, 108, 108, 108, 108, 108, 108, 103, 103, 103, 103, 102, 102, 114, 114, 114, 114, 114, 114, 114,
    122, 122, 122, 122, 122, 107, 107, 107, 107, 107, 107, 107, 107, 107, 110, 110, 110, 110, 89, 137,
    108, 108, 108, 108, 108, 108, 108, 103, 103, 103, 103, 115, 114, 114, 114, 114, 114, 114, 114, 114,
    122, 122, 122, 122, 122, 122, 107, 107, 107, 107, 107, 107, 107, 107, 110, 110, 110, 110, 110, 137,
    137, 108, 108, 108, 108, 108, 108, 103, 103, 103, 115, 115, 115, 114, 114, 114, 114, 114, 114, 114,
    122, 122, 122, 122, 122, 122, 107, 107, 107, 107, 107, 107, 107, 107, 110, 110, 110, 110, 110, 110,
    137, 108, 108, 108, 108, 108, 108, 103, 115, 115, 115, 115, 115, 115, 115, 114, 114, 114, 114, 114,
    122, 122, 122, 122, 122, 122, 122, 107, 107, 107, 107, 107, 107, 110, 110, 110, 110, 110, 110, 110,
    137, 108, 108, 108, 108, 108, 108, 115, 115, 115, 115, 115, 115, 115, 115, 115, 114, 114, 114, 109,
    122, 122, 122, 122, 122, 122, 122, 122, 107, 107, 107, 107, 138, 138, 110, 110, 110, 110, 110, 110,
    110, 108, 108, 108, 108, 108, 115, 115, 115, 115, 115, 115, 115, 115, 115, 115, 115, 109, 109, 109,
    122, 122, 122, 122, 122, 122, 122, 122, 122, 107, 107, 107, 138, 138, 138, 110, 110, 110, 139, 100,
    100, 100, 108, 108, 108, 108, 115, 115, 115, 115, 115, 115, 115, 115, 115, 115, 115, 109, 109, 109,
    122, 122, 122, 122, 122, 122, 122, 122, 122, 107, 107, 107, 138, 138, 138, 110, 110, 110, 100, 100,
    100, 100, 100, 140, 140, 115, 115, 115, 115, 115, 115, 115, 115, 115, 115, 115, 115, 109, 109, 109,
    122, 122, 122, 122, 122, 122, 122, 122, 134, 134, 138, 138, 138, 138, 139, 139, 139, 139, 124, 124,
    124, 124, 124, 124, 140, 115, 115, 115, 115, 115, 115, 115, 115, 115, 115, 115, 115, 135, 135, 135,
    122, 122, 122, 122, 122, 122, 122, 134, 134, 134, 134, 138, 138, 139, 139, 139, 139, 124, 124, 124,
    124, 124, 124, 124, 124, 140, 111, 115, 115, 115, 115, 115, 115, 115, 115, 115, 116, 135, 135, 135,
    68, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 79, 79, 79, 79, 79,
    91, 125, 125, 125, 125, 125, 125, 125, 125, 125, 125, 125, 125, 128, 128, 128, 141, 141, 141, 36,
    68, 142, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 79, 79, 79, 79, 91,
    91, 125, 125, 125, 125, 125, 125, 125, 125, 125, 125, 125, 128, 128, 128, 128, 141, 141, 126, 126,
    68, 68, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 79, 79, 79, 79, 91,
    91, 143, 125, 125, 125, 125, 125, 125, 125, 125, 125, 125, 128, 128, 128, 128, 141, 126, 126, 126,
    68, 68, 142, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 79, 79, 79, 79, 79, 91,
    91, 143, 125, 125, 125, 125, 125, 128, 128, 128, 128, 128, 128, 128, 128, 128, 126, 126, 126, 126,
    68, 68, 68, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 79, 79, 79, 79, 79, 91,
    91, 91, 91, 125, 125, 125, 125, 128, 128, 128, 128, 128, 128, 128, 128, 128, 126, 126, 126, 126,
    68, 68, 68, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 129, 129, 79, 79, 79, 91,
    91, 91, 91, 91, 125, 125, 125, 125, 128, 128, 128, 128, 128, 128, 128, 128, 126, 126, 126, 126,
    68, 68, 93, 93, 132, 132, 132, 132, 132, 132, 132, 132, 129, 129, 129, 129, 129, 129, 101, 101,
    101, 101, 101, 101, 101, 125, 125, 125, 128, 128, 128, 128, 128, 128, 128, 127, 126, 126, 126, 126,
    68, 68, 93, 93, 144, 144, 144, 144, 144, 120, 120, 129, 129, 129, 129, 129, 129, 129, 129, 101,
    101, 101, 101, 101, 130, 130, 130, 127, 128, 128, 128, 128, 128, 128, 128, 127, 126, 126, 126, 126,
    68, 68, 93, 93, 144, 144, 144, 144, 144, 120, 120, 120, 129, 129, 129, 129, 129, 129, 129, 129,
    101, 101, 101, 130, 130, 130, 130, 127, 127, 127, 127, 127, 121, 121, 121, 121, 126, 126, 126, 126,
    68, 68, 93, 93, 144, 144, 144, 144, 120, 120, 120, 120, 129, 129, 129, 129, 129, 129, 129, 129,
    101, 101, 101, 130, 130, 130, 130, 113, 127, 127, 121, 121, 121, 121, 121, 121, 126, 126, 126, 126,
    68, 68, 68, 93, 93, 144, 144, 144, 120, 120, 120, 120, 120, 129, 129, 129, 129, 129, 129, 129,
    101, 130, 130, 130, 130, 130, 130, 113, 113, 121, 121, 121, 121, 121, 121, 121, 126, 126, 126, 126,
    68, 68, 68, 93, 93, 144, 144, 120, 120, 120, 120, 120, 120, 120, 129, 129, 129, 129, 129, 129,
    130, 130, 130, 130, 130, 130, 113, 113, 113, 113, 113, 121, 121, 121, 121, 121, 96, 96, 126, 126,
    68, 68, 68, 93, 131, 131, 144, 120, 120, 120, 120, 120, 120, 120, 129, 129, 129, 129, 129, 129,
    130, 130, 130, 130, 130, 130, 113, 113, 113, 113, 113, 121, 121, 121, 121, 121, 121, 96, 126, 126,
    68, 68, 68, 93, 131, 131, 120, 120, 120, 120, 120, 120, 120, 120, 120, 129, 129, 129, 129, 129,
    130, 130, 130, 130, 130, 130, 113, 113, 113, 113, 113, 121, 121, 121, 121, 121, 121, 96, 126, 126,
    68, 68, 68, 93, 131, 120, 120, 120, 120, 120, 120, 120, 120, 120, 120, 117, 117, 117, 117, 117,
    130, 130, 130, 130, 130, 130, 113, 113, 113, 113, 113, 121, 121, 121, 121, 121, 121, 96, 98, 98,
    68, 68, 68, 93, 131, 120, 120, 120, 120, 120, 120, 120, 120, 120, 117, 117, 117, 117, 117, 117,
    117, 130, 130, 130, 130, 130, 113, 113, 113, 113, 113, 136, 136, 136, 99, 99, 98, 98, 98, 98,
    68, 68, 68, 93, 131, 120, 120, 120, 120, 120, 120, 120, 120, 120, 117, 117, 117, 106, 106, 106,
    106, 106, 106, 106, 130, 113, 113, 113, 113, 136, 136, 136, 136, 136, 136, 99, 98, 98, 98, 98,
    68, 68, 68, 131, 131, 120, 97, 120, 120, 120, 120, 120, 120, 120, 117, 117, 117, 106, 106, 106,
    106, 106, 106, 106, 106, 106, 113, 113, 136, 136, 136, 136, 136, 136, 136, 99, 99, 133, 133, 133,
    68, 68, 68, 131, 131, 118, 118, 97, 97, 120, 120, 120, 120, 120, 117, 117, 117, 106, 106, 106,
    106, 106, 106, 106, 106, 106, 106, 136, 136, 136, 136, 136, 136, 136, 136, 99, 99, 133, 133, 133,
    68, 68, 68, 131, 131, 118, 118, 118, 118, 118, 118, 118, 118, 118, 117, 117, 117, 106, 106, 106,
    106, 106, 106, 106, 106, 106, 106, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133, 133,
    68, 68, 68, 131, 131, 118, 118, 118, 118, 118, 118, 118, 118, 118, 118, 88, 106, 106, 106, 106,
    106, 106, 106, 106, 106, 106, 106, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133, 133,
    68, 68, 68, 131, 131, 118, 118, 118, 118, 118, 118, 118, 118, 118, 118, 88, 88, 106, 106, 106,
    106, 106, 106, 106, 106, 106, 106, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133, 133,
    68, 68, 68, 131, 131, 118, 118, 118, 118, 118, 118, 118, 118, 118, 118, 88, 88, 106, 106, 106,
    106, 106, 106, 106, 106, 106, 106, 136, 136, 136, 136, 136, 136, 102, 102, 102, 133, 133, 133, 133,
    68, 68, 68, 131, 118, 118, 118, 118, 118, 118, 118, 118, 118, 118, 118, 88, 88, 88, 88, 106,
    106, 106, 106, 106, 106, 106, 106, 106, 136, 136, 136, 136, 136, 102, 102, 102, 133, 133, 133, 133,
    68, 68, 68, 131, 118, 118, 118, 118, 118, 118, 118, 118, 118, 118, 118, 88, 88, 88, 88, 106,
    106, 106, 106, 106, 106, 106, 106, 102, 136, 136, 136, 136, 136, 102, 102, 102, 102, 102, 133, 133,
    68, 68, 68, 87, 118, 118, 118, 118, 118, 118, 118, 118, 118, 118, 88, 88, 88, 88, 88, 88,
    88, 106, 106, 106, 106, 108, 108, 102, 136, 136, 136, 136, 102, 102, 102, 102, 102, 102, 114, 133,
    68, 68, 68, 87, 118, 118, 118, 118, 118, 118, 118, 118, 118, 118, 145, 88, 88, 88, 88, 137,
    108, 108, 108, 108, 108, 108, 108, 103, 102, 136, 136, 136, 102, 102, 102, 102, 114, 114, 114, 114,
    87, 87, 87, 87, 118, 118, 118, 118, 118, 118, 118, 118, 118, 118, 145, 145, 88, 88, 137, 137,
    108, 108, 108, 108, 108, 108, 108, 103, 103, 102, 102, 102, 102, 102, 102, 114, 114, 114, 114, 114,
    122, 122, 87, 87, 118, 118, 118, 118, 118, 118, 118, 118, 118, 145, 145, 145, 89, 137, 137, 137,
    108, 108, 108, 108, 108, 108, 108, 103, 103, 102, 102, 102, 102, 114, 114, 114, 114, 114, 114, 114,
    122, 122, 122, 122, 118, 107, 107, 107, 107, 107, 107, 107, 107, 145, 145, 110, 137, 137, 137, 137,
    108, 108, 108, 108, 108, 108, 108, 103, 103, 103, 102, 102, 102, 114, 114, 114, 114, 114, 114, 114,
    122, 122, 122, 122, 122, 107, 107, 107, 107, 107, 107, 107, 107, 107, 110, 110, 137, 137, 137, 137,
    108, 108, 108, 108, 108, 108, 108, 103, 103, 103, 103, 102, 114, 114, 114, 114, 114, 114, 114, 114,
    122, 122, 122, 122, 122, 122, 107, 107, 107, 107, 107, 107, 107, 107, 110, 110, 110, 137, 137, 137,
    137, 108, 108, 108, 108, 108, 108, 103, 103, 103, 115, 115, 114, 114, 114, 114, 114, 114, 114, 114,
    122, 122, 122, 122, 122, 122, 107, 107, 107, 107, 107, 107, 107, 138, 110, 110, 110, 137, 137, 137,
    137, 137, 108, 108, 108, 108, 108, 103, 103, 115, 115, 115, 115, 114, 114, 114, 114, 114, 114, 114,
    122, 122, 122, 122, 122, 122, 122, 107, 107, 107, 107, 107, 138, 138, 110, 110, 110, 137, 137, 137,
    137, 137, 108, 108, 108, 108, 108, 103, 115, 115, 115, 115, 115, 115, 114, 114, 114, 114, 114, 114,
    122, 122, 122, 122, 122, 122, 122, 122, 107, 107, 107, 138, 138, 138, 110, 110, 110, 110, 137, 137,
    137, 137, 108, 108, 108, 108, 108, 115, 115, 115, 115, 115, 115, 115, 115, 115, 114, 114, 114, 114,
    122, 122, 122, 122, 122, 122, 122, 122, 107, 107, 107, 138, 138, 138, 138, 110, 110, 139, 139, 137,
    137, 137, 137, 108, 108, 108, 115, 115, 115, 115, 115, 115, 115, 115, 115, 115, 115, 114, 114, 109,
    122, 122, 122, 122, 122, 122, 122, 122, 138, 138, 138, 138, 138, 138, 138, 110, 110, 139, 139, 137,
    137, 137, 140, 140, 140, 140, 115, 115, 115, 115, 115, 115, 115, 115, 115, 115, 115, 135, 135, 135,
    122, 122, 122, 122, 122, 122, 122, 122, 122, 138, 138, 138, 138, 138, 138, 139, 139, 139, 139, 139,
    137, 140, 140, 140, 140, 140, 115, 115, 115, 115, 115, 115, 115, 115, 115, 115, 115, 135, 135, 135,
    122, 122, 122, 122, 122, 122, 122, 122, 134, 134, 138, 138, 138, 138, 139, 139, 139, 139, 139, 124,
    124, 124, 124, 140, 140, 140, 115, 115, 115, 115, 115, 115, 115, 115, 115, 115, 135, 135, 135, 135,
    122, 122, 122, 122, 122, 122, 122, 134, 134, 134, 134, 138, 138, 139, 139, 139, 139, 139, 139, 124,
    124, 124, 124, 124, 140, 140, 115, 115, 115, 115, 115, 115, 115, 115, 115, 115, 135, 135, 135, 135,
    142, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 143, 143, 143,
    143, 125, 125, 125, 125, 125, 125, 125, 125, 125, 125, 128, 128, 128, 128, 128, 141, 141, 141, 141,
    142, 142, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 143, 143, 143,
    143, 143, 125, 125, 125, 125, 125, 125, 125, 125, 125, 128, 128, 128, 128, 128, 141, 141, 141, 126,
    142, 142, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 143, 143, 143,
    143, 143, 125, 125, 125, 125, 125, 125, 125, 125, 125, 128, 128, 128, 128, 128, 141, 141, 126, 126,
    142, 142, 142, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 143, 143, 143,
    143, 143, 143, 125, 125, 125, 125, 125, 125, 125, 128, 128, 128, 128, 128, 128, 126, 126, 126, 126,
    142, 142, 142, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 129, 143, 143, 143, 143,
    143, 143, 143, 125, 125, 125, 125, 125, 125, 128, 128, 128, 128, 128, 128, 128, 126, 126, 126, 126,
    68, 68, 142, 142, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 129, 129, 129, 143, 79, 91,
    91, 143, 143, 143, 125, 125, 125, 125, 128, 128, 128, 128, 128, 128, 128, 128, 126, 126, 126, 126,
    68, 68, 93, 142, 132, 132, 132, 132, 132, 132, 132, 132, 129, 129, 129, 129, 129, 129, 129, 129,
    101, 101, 143, 143, 125, 125, 125, 125, 128, 128, 128, 128, 128, 128, 128, 128, 126, 126, 126, 126,
    68, 68, 93, 144, 144, 144, 144, 144, 144, 144, 144, 129, 129, 129, 129, 129, 129, 129, 129, 129,
    101, 101, 101, 130, 130, 130, 125, 125, 128, 128, 128, 128, 128, 128, 128, 128, 126, 126, 126, 126,
    68, 68, 93, 144, 144, 144, 144, 144, 144, 144, 144, 129, 129, 129, 129, 129, 129, 129, 129, 129,
    101, 101, 130, 130, 130, 130, 130, 127, 128, 128, 128, 128, 128, 128, 128, 128, 126, 126, 126, 126,
    68, 68, 93, 144, 144, 144, 144, 144, 144, 144, 144, 129, 129, 129, 129, 129, 129, 129, 129, 129,
    101, 130, 130, 130, 130, 130, 130, 113, 113, 121, 121, 128, 128, 128, 128, 146, 146, 126, 126, 126,
    68, 68, 93, 144, 144, 144, 144, 144, 144, 144, 144, 129, 129, 129, 129, 129, 129, 129, 129, 129,
    129, 130, 130, 130, 130, 130, 130, 113, 113, 121, 121, 121, 121, 128, 146, 146, 146, 126, 126, 126,
    68, 68, 68, 144, 144, 144, 144, 144, 144, 120, 144, 129, 129, 129, 129, 129, 129, 129, 129, 129,
    129, 130, 130, 130, 130, 130, 130, 113, 113, 113, 113, 121, 121, 121, 121, 121, 126, 126, 126, 126,
    68, 68, 68, 131, 144, 144, 144, 144, 144, 120, 120, 120, 120, 129, 129, 129, 129, 129, 129, 129,
    129, 130, 130, 130, 130, 130, 113, 113, 113, 113, 113, 121, 121, 121, 121, 121, 121, 126, 126, 126,
    68, 68, 68, 131, 131, 144, 144, 144, 120, 120, 120, 120, 120, 120, 129, 129, 129, 129, 129, 129,
    129, 129, 130, 130, 130, 130, 113, 113, 113, 113, 113, 121, 121, 121, 121, 121, 121, 126, 126, 126,
    68, 68, 68, 131, 131, 120, 120, 120, 120, 120, 120, 120, 120, 120, 120, 129, 129, 129, 129, 129,
    130, 130, 130, 130, 130, 130, 113, 113, 113, 113, 113, 121, 121, 121, 121, 121, 121, 121, 133, 133,
    68, 68, 68, 131, 131, 120, 120, 120, 120, 120, 120, 120, 120, 120, 117, 117, 117, 117, 117, 117,
    147, 130, 130, 130, 130, 130, 113, 113, 113, 113, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133,
    68, 68, 68, 131, 131, 120, 120, 120, 120, 120, 120, 120, 120, 120, 117, 117, 117, 106, 106, 106,
    106, 106, 106, 130, 130, 113, 113, 113, 113, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133,
    68, 68, 68, 131, 131, 120, 120, 120, 120, 120, 120, 120, 120, 120, 117, 117, 117, 106, 106, 106,
    106, 106, 106, 106, 106, 113, 113, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133,
    68, 68, 68, 131, 131, 118, 118, 118, 118, 120, 120, 120, 120, 120, 117, 117, 117, 106, 106, 106,
    106, 106, 106, 106, 106, 106, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133,
    68, 68, 68, 131, 131, 118, 118, 118, 118, 118, 118, 118, 118, 118, 117, 117, 117, 106, 106, 106,
    106, 106, 106, 106, 106, 106, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133, 133,
    68, 68, 68, 131, 131, 118, 118, 118, 118, 118, 118, 118, 118, 118, 118, 88, 106, 106, 106, 106,
    106, 106, 106, 106, 106, 106, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133, 133,
    68, 68, 68, 131, 131, 118, 118, 118, 118, 118, 118, 118, 118, 118, 118, 88, 106, 106, 106, 106,
    106, 106, 106, 106, 106, 106, 106, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133, 133,
    68, 68, 68, 131, 131, 118, 118, 118, 118, 118, 118, 118, 118, 118, 118, 88, 88, 106, 106, 106,
    106, 106, 106, 106, 106, 106, 106, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133, 133,
    68, 68, 68, 131, 131, 118, 118, 118, 118, 118, 118, 118, 118, 118, 145, 145, 88, 88, 106, 106,
    106, 106, 106, 106, 106, 106, 106, 136, 136, 136, 136, 136, 136, 102, 102, 136, 133, 133, 133, 133,
    68, 68, 68, 131, 118, 118, 118, 118, 118, 118, 118, 118, 118, 145, 145, 145, 145, 88, 88, 106,
    106, 106, 106, 106, 106, 106, 106, 136, 136, 136, 136, 136, 136, 102, 102, 102, 102, 133, 133, 133,
    68, 68, 68, 131, 118, 118, 118, 118, 118, 118, 118, 118, 118, 145, 145, 145, 145, 145, 88, 88,
    137, 106, 106, 106, 106, 108, 108, 102, 136, 136, 136, 136, 136, 102, 102, 102, 102, 133, 133, 133,
    131, 131, 131, 131, 118, 118, 118, 118, 118, 118, 118, 118, 145, 145, 145, 145, 145, 145, 137, 137,
    137, 108, 108, 108, 108, 108, 108, 108, 136, 136, 136, 136, 102, 102, 102, 102, 114, 114, 114, 114,
    87, 87, 87, 87, 118, 118, 118, 118, 118, 118, 118, 118, 145, 145, 145, 145, 145, 137, 137, 137,
    137, 108, 108, 108, 108, 108, 108, 108, 136, 136, 136, 136, 102, 102, 102, 114, 114, 114, 114, 114,
    122, 122, 122, 122, 118, 118, 118, 118, 118, 118, 118, 145, 145, 145, 145, 145, 145, 137, 137, 137,
    137, 108, 108, 108, 108, 108, 108, 108, 103, 102, 102, 102, 102, 114, 114, 114, 114, 114, 114, 114,
    122, 122, 122, 122, 118, 118, 118, 118, 107, 107, 107, 107, 145, 145, 145, 145, 137, 137, 137, 137,
    137, 108, 108, 108, 108, 108, 108, 108, 103, 103, 102, 102, 102, 114, 114, 114, 114, 114, 114, 114,
    122, 122, 122, 122, 122, 122, 107, 107, 107, 107, 107, 107, 138, 138, 145, 137, 137, 137, 137, 137,
    137, 137, 108, 108, 108, 108, 108, 108, 103, 103, 103, 102, 114, 114, 114, 114, 114, 114, 114, 114,
    122, 122, 122, 122, 122, 122, 107, 107, 107, 107, 107, 107, 138, 138, 138, 137, 137, 137, 137, 137,
    137, 137, 108, 108, 108, 108, 108, 108, 103, 115, 115, 115, 114, 114, 114, 114, 114, 114, 114, 114,
    122, 122, 122, 122, 122, 122, 122, 107, 107, 107, 138, 138, 138, 138, 138, 137, 137, 137, 137, 137,
    137, 137, 108, 108, 108, 108, 108, 108, 115, 115, 115, 115, 115, 114, 114, 114, 114, 114, 114, 114,
    122, 122, 122, 122, 122, 122, 122, 138, 138, 138, 138, 138, 138, 138, 137, 137, 137, 137, 137, 137,
    137, 137, 137, 108, 108, 108, 108, 115, 115, 115, 115, 115, 115, 115, 114, 114, 114, 114, 114, 114,
    122, 122, 122, 122, 122, 122, 122, 122, 138, 138, 138, 138, 138, 138, 137, 137, 137, 137, 137, 137,
    137, 137, 137, 108, 108, 108, 108, 115, 115, 115, 115, 115, 115, 115, 115, 115, 114, 114, 114, 114,
    122, 122, 122, 122, 122, 122, 122, 122, 138, 138, 138, 138, 138, 138, 138, 137, 137, 139, 139, 137,
    137, 137, 137, 140, 140, 140, 140, 140, 115, 115, 115, 115, 115, 115, 115, 115, 115, 114, 114, 135,
    122, 122, 122, 122, 122, 122, 122, 122, 148, 138, 138, 138, 138, 138, 138, 139, 139, 139, 139, 137,
    137, 149, 140, 140, 140, 140, 140, 140, 115, 115, 115, 115, 115, 115, 115, 115, 115, 135, 135, 135,
    122, 122, 122, 122, 122, 122, 122, 122, 148, 138, 138, 138, 138, 138, 138, 139, 139, 139, 139, 139,
    137, 140, 140, 140, 140, 140, 140, 115, 115, 115, 115, 115, 115, 115, 115, 115, 115, 135, 135, 135,
    122, 122, 122, 122, 122, 122, 122, 148, 148, 134, 138, 138, 138, 138, 139, 139, 139, 139, 139, 139,
    139, 140, 140, 140, 140, 140, 140, 115, 115, 115, 115, 115, 115, 115, 115, 115, 135, 135, 135, 135,
    122, 122, 122, 122, 122, 122, 122, 134, 134, 134, 134, 138, 138, 139, 139, 139, 139, 139, 139, 139,
    124, 124, 140, 140, 140, 140, 140, 115, 115, 115, 115, 115, 115, 115, 150, 150, 135, 135, 135, 135,
    142, 142, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 143, 143, 143, 143,
    143, 143, 125, 125, 125, 125, 125, 125, 125, 125, 125, 151, 151, 151, 151, 141, 141, 141, 141, 141,
    142, 142, 142, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 143, 143, 143, 143,
    143, 143, 143, 125, 125, 125, 125, 125, 125, 125, 125, 128, 128, 128, 128, 128, 141, 141, 141, 141,
    142, 142, 142, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 143, 143, 143, 143,
    143, 143, 143, 125, 125, 125, 125, 125, 125, 125, 125, 128, 128, 128, 128, 128, 141, 141, 141, 141,
    142, 142, 142, 142, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 143, 143, 143, 143,
    143, 143, 143, 125, 125, 125, 125, 125, 125, 125, 128, 128, 128, 128, 128, 128, 141, 126, 141, 126,
    142, 142, 142, 142, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 129, 143, 143, 143, 143,
    143, 143, 143, 143, 125, 125, 125, 125, 125, 128, 128, 128, 128, 128, 128, 128, 141, 141, 126, 126,
    142, 142, 142, 142, 142, 132, 132, 132, 132, 132, 132, 132, 132, 132, 129, 129, 129, 143, 143, 143,
    143, 143, 143, 143, 125, 125, 125, 125, 128, 128, 128, 128, 128, 128, 128, 128, 141, 126, 126, 126,
    142, 142, 142, 142, 142, 132, 132, 132, 132, 132, 132, 132, 129, 129, 129, 129, 129, 129, 129, 129,
    143, 143, 143, 143, 143, 125, 125, 125, 128, 128, 128, 128, 128, 128, 128, 128, 141, 126, 126, 126,
    142, 142, 142, 144, 144, 144, 144, 144, 144, 144, 144, 129, 129, 129, 129, 129, 129, 129, 129, 129,
    129, 130, 143, 143, 130, 130, 125, 128, 128, 128, 128, 128, 128, 128, 128, 128, 141, 126, 126, 126,
    144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 129, 129, 129, 129, 129, 129, 129, 129, 129,
    129, 130, 130, 130, 130, 130, 130, 128, 128, 128, 128, 128, 128, 128, 128, 128, 146, 126, 126, 126,
    144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 129, 129, 129, 129, 129, 129, 129, 129, 129,
    129, 130, 130, 130, 130, 130, 130, 130, 113, 128, 128, 128, 128, 128, 146, 146, 146, 126, 126, 126,
    144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 129, 129, 129, 129, 129, 129, 129, 129, 129,
    129, 130, 130, 130, 130, 130, 130, 113, 113, 121, 121, 121, 128, 128, 146, 146, 146, 126, 126, 126,
    144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 129, 129, 129, 129, 129, 129, 129, 129,
    129, 130, 130, 130, 130, 130, 130, 113, 113, 113, 121, 121, 121, 121, 121, 146, 146, 126, 126, 126,
    144, 144, 131, 144, 144, 144, 144, 144, 144, 144, 144, 144, 129, 129, 129, 129, 129, 129, 129, 129,
    129, 130, 130, 130, 130, 130, 130, 113, 113, 113, 121, 121, 121, 121, 121, 146, 146, 126, 126, 126,
    144, 144, 131, 131, 131, 144, 144, 144, 144, 144, 120, 120, 120, 129, 129, 129, 129, 129, 129, 129,
    129, 129, 130, 130, 130, 130, 113, 113, 113, 113, 121, 121, 121, 121, 121, 146, 146, 146, 126, 126,
    68, 68, 131, 131, 131, 120, 120, 120, 120, 120, 120, 120, 120, 120, 129, 129, 129, 129, 129, 129,
    152, 152, 130, 130, 130, 130, 113, 113, 113, 113, 113, 136, 136, 136, 121, 121, 121, 121, 133, 133,
    68, 68, 131, 131, 131, 120, 120, 120, 120, 120, 120, 120, 120, 120, 129, 129, 129, 147, 147, 147,
    147, 147, 130, 130, 130, 130, 113, 113, 113, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133,
    68, 68, 131, 131, 131, 120, 120, 120, 120, 120, 120, 120, 120, 120, 117, 117, 117, 147, 147, 147,
    147, 147, 147, 130, 130, 113, 113, 113, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133,
    68, 68, 131, 131, 131, 131, 131, 131, 131, 120, 120, 120, 120, 120, 117, 117, 147, 147, 147, 147,
    147, 147, 147, 106, 106, 113, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133,
    68, 68, 131, 131, 131, 118, 118, 118, 118, 120, 120, 120, 120, 120, 117, 147, 147, 147, 147, 147,
    147, 106, 106, 106, 106, 106, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133,
    68, 68, 131, 131, 131, 118, 118, 118, 118, 118, 118, 118, 118, 118, 117, 117, 117, 106, 106, 106,
    106, 106, 106, 106, 106, 106, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133, 133,
    68, 68, 131, 131, 131, 118, 118, 118, 118, 118, 118, 118, 118, 145, 145, 145, 106, 106, 106, 106,
    106, 106, 106, 106, 106, 106, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133, 133,
    68, 68, 131, 131, 131, 118, 118, 118, 118, 118, 118, 118, 118, 145, 145, 145, 145, 106, 106, 106,
    106, 106, 106, 106, 106, 106, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133, 133,
    68, 68, 131, 131, 131, 118, 118, 118, 118, 118, 118, 118, 118, 145, 145, 145, 145, 106, 106, 106,
    106, 106, 106, 106, 106, 106, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133, 133,
    68, 68, 131, 131, 131, 118, 118, 118, 118, 118, 118, 118, 145, 145, 145, 145, 145, 145, 106, 106,
    106, 106, 106, 106, 106, 106, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133,
    131, 131, 131, 131, 118, 118, 118, 118, 118, 118, 118, 118, 145, 145, 145, 145, 145, 145, 153, 153,
    153, 153, 106, 106, 106, 106, 154, 136, 136, 136, 136, 136, 136, 136, 136, 136, 155, 133, 133, 133,
    131, 131, 131, 131, 118, 118, 118, 118, 118, 118, 118, 145, 145, 145, 145, 145, 145, 145, 153, 153,
    153, 153, 108, 108, 106, 108, 156, 136, 136, 136, 136, 136, 136, 136, 136, 155, 155, 155, 133, 133,
    131, 131, 131, 131, 118, 118, 118, 118, 118, 118, 118, 145, 145, 145, 145, 145, 145, 145, 153, 137,
    137, 108, 108, 108, 108, 108, 156, 154, 136, 136, 136, 136, 136, 136, 102, 155, 155, 155, 155, 133,
    157, 157, 122, 157, 118, 118, 118, 118, 118, 118, 145, 145, 145, 145, 145, 145, 145, 137, 137, 137,
    137, 108, 108, 108, 108, 108, 156, 156, 136, 136, 136, 136, 136, 102, 102, 114, 114, 114, 114, 155,
    157, 157, 122, 122, 118, 118, 118, 118, 118, 145, 145, 145, 145, 145, 145, 145, 137, 137, 137, 137,
    137, 108, 137, 108, 108, 108, 156, 156, 156, 102, 102, 102, 102, 114, 114, 114, 114, 114, 114, 114,
    157, 157, 122, 122, 122, 118, 118, 118, 107, 145, 145, 145, 145, 145, 145, 145, 137, 137, 137, 137,
    137, 137, 137, 108, 108, 108, 156, 156, 156, 156, 102, 102, 114, 114, 114, 114, 114, 114, 114, 114,
    157, 157, 122, 122, 122, 157, 157, 107, 107, 107, 107, 107, 138, 145, 145, 137, 137, 137, 137, 137,
    137, 137, 137, 108, 108, 108, 156, 156, 156, 156, 156, 114, 114, 114, 114, 114, 114, 114, 114, 114,
    122, 122, 122, 122, 122, 122, 157, 107, 107, 107, 107, 107, 138, 138, 138, 137, 137, 137, 137, 137,
    137, 137, 137, 108, 108, 108, 108, 156, 156, 156, 115, 115, 114, 114, 114, 114, 114, 114, 114, 114,
    122, 122, 122, 122, 122, 122, 122, 138, 138, 138, 138, 138, 138, 138, 139, 137, 137, 137, 137, 137,
    137, 137, 137, 108, 108, 108, 108, 108, 115, 115, 115, 115, 115, 114, 114, 114, 114, 114, 114, 114,
    122, 122, 122, 122, 122, 122, 122, 138, 138, 138, 138, 138, 138, 138, 139, 139, 137, 137, 137, 137,
    137, 137, 137, 137, 108, 140, 140, 140, 115, 115, 115, 115, 115, 115, 114, 114, 114, 114, 114, 114,
    122, 122, 122, 122, 122, 122, 122, 148, 138, 138, 138, 138, 138, 138, 139, 139, 139, 137, 137, 137,
    137, 137, 137, 140, 140, 140, 140, 140, 115, 115, 115, 115, 115, 115, 115, 115, 114, 114, 114, 114,
    122, 122, 122, 122, 122, 122, 122, 148, 138, 138, 138, 138, 138, 138, 138, 139, 139, 139, 139, 137,
    149, 149, 149, 140, 140, 140, 140, 140, 140, 115, 115, 115, 115, 115, 115, 115, 115, 114, 135, 135,
    122, 122, 122, 122, 122, 122, 122, 148, 148, 138, 138, 138, 138, 138, 138, 139, 139, 139, 139, 137,
    149, 149, 140, 140, 140, 140, 140, 140, 140, 115, 115, 115, 115, 115, 115, 115, 115, 135, 135, 135,
    122, 122, 122, 122, 122, 122, 122, 148, 148, 148, 138, 138, 138, 138, 138, 139, 139, 139, 139, 139,
    149, 149, 140, 140, 140, 140, 140, 140, 115, 115, 115, 115, 115, 115, 115, 115, 135, 135, 135, 135,
    122, 122, 122, 122, 122, 122, 148, 148, 148, 148, 138, 138, 138, 138, 139, 139, 139, 139, 139, 139,
    139, 140, 140, 140, 140, 140, 140, 140, 115, 115, 115, 115, 115, 115, 115, 115, 135, 135, 135, 135,
    122, 122, 122, 122, 122, 122, 148, 134, 134, 134, 134, 138, 138, 139, 139, 139, 139, 139, 139, 139,
    139, 139, 140, 140, 140, 140, 140, 140, 115, 115, 115, 115, 150, 150, 150, 150, 135, 135, 135, 135,
    142, 142, 142, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 143, 143, 143, 143,
    143, 143, 143, 125, 125, 125, 125, 125, 125, 151, 151, 151, 151, 151, 151, 141, 141, 141, 141, 141,
    142, 142, 142, 142, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 143, 143, 143, 143,
    143, 143, 143, 125, 125, 125, 125, 125, 125, 125, 125, 125, 125, 151, 151, 141, 141, 141, 141, 141,
    142, 142, 142, 142, 142, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 143, 143, 143, 143,
    143, 143, 143, 125, 125, 125, 125, 125, 125, 125, 128, 128, 128, 128, 128, 128, 141, 141, 141, 141,
    142, 142, 142, 142, 142, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 143, 143, 143, 143,
    143, 143, 143, 143, 125, 125, 125, 125, 125, 128, 128, 128, 128, 128, 128, 128, 141, 141, 141, 141,
    142, 142, 142, 142, 142, 132, 132, 132, 132, 132, 132, 132, 132, 132, 158, 129, 143, 143, 143, 143,
    143, 143, 143, 143, 125, 125, 125, 125, 125, 128, 128, 128, 128, 128, 128, 128, 141, 141, 141, 141,
    142, 142, 142, 142, 142, 142, 132, 132, 132, 132, 132, 132, 158, 158, 129, 129, 129, 143, 143, 143,
    143, 143, 143, 143, 143, 125, 125, 125, 128, 128, 128, 128, 128, 128, 128, 128, 141, 141, 141, 126,
    142, 142, 142, 142, 142, 142, 132, 132, 132, 132, 158, 158, 158, 129, 129, 129, 129, 129, 143, 143,
    143, 143, 143, 143, 143, 125, 125, 128, 128, 128, 128, 128, 128, 128, 128, 128, 141, 141, 141, 126,
    142, 142, 142, 142, 144, 144, 144, 144, 144, 144, 144, 158, 129, 129, 129, 129, 129, 129, 129, 129,
    143, 143, 143, 143, 143, 125, 125, 128, 128, 128, 128, 128, 128, 128, 128, 128, 146, 141, 126, 126,
    144, 142, 144, 144, 144, 144, 144, 144, 144, 144, 144, 129, 129, 129, 129, 129, 129, 129, 129, 129,
    129, 130, 130, 130, 130, 130, 128, 128, 128, 128, 128, 128, 128, 128, 128, 146, 146, 126, 126, 126,
    144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 129, 129, 129, 129, 129, 129, 129, 129,
    129, 130, 130, 130, 130, 130, 130, 130, 128, 128, 128, 128, 128, 128, 146, 146, 146, 146, 126, 126,
    144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 129, 129, 129, 129, 129, 129, 129, 129,
    129, 130, 130, 130, 130, 130, 130, 130, 113, 121, 121, 128, 128, 146, 146, 146, 146, 146, 126, 126,
    144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 129, 129, 129, 129, 129, 129, 129, 129,
    129, 130, 130, 130, 130, 130, 130, 113, 113, 113, 121, 121, 121, 146, 146, 146, 146, 146, 126, 126,
    144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 129, 129, 129, 129, 129, 129, 129, 129,
    129, 152, 130, 130, 130, 130, 130, 113, 113, 113, 121, 121, 121, 146, 146, 146, 146, 146, 126, 126,
    144, 144, 131, 131, 144, 144, 144, 144, 144, 144, 144, 144, 129, 129, 129, 129, 129, 129, 129, 129,
    129, 152, 130, 130, 130, 130, 130, 113, 113, 113, 121, 121, 121, 146, 146, 146, 146, 146, 146, 126,
    144, 144, 131, 131, 131, 144, 144, 144, 144, 144, 144, 120, 129, 129, 129, 129, 129, 152, 152, 152,
    152, 152, 130, 130, 130, 130, 113, 113, 113, 113, 136, 136, 136, 136, 121, 121, 121, 133, 133, 126,
    68, 68, 131, 131, 131, 120, 144, 144, 144, 144, 144, 120, 120, 129, 129, 152, 147, 147, 147, 147,
    147, 147, 147, 130, 130, 130, 113, 113, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133,
    68, 68, 131, 131, 131, 131, 131, 131, 144, 144, 120, 120, 120, 120, 129, 152, 147, 147, 147, 147,
    147, 147, 147, 147, 130, 130, 113, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133,
    68, 68, 131, 131, 131, 131, 131, 131, 131, 131, 131, 120, 159, 159, 159, 152, 147, 147, 147, 147,
    147, 147, 147, 147, 147, 147, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133,
    68, 160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 159, 159, 159, 159, 147, 147, 147, 147, 147,
    147, 147, 147, 147, 147, 106, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133,
    68, 68, 160, 160, 160, 118, 118, 118, 118, 118, 160, 159, 118, 145, 159, 159, 147, 147, 147, 147,
    147, 147, 147, 147, 106, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133,
    68, 68, 160, 160, 160, 118, 118, 118, 118, 118, 118, 118, 118, 145, 145, 145, 147, 147, 147, 147,
    147, 147, 106, 106, 106, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133, 133,
    68, 68, 160, 160, 160, 118, 118, 118, 118, 118, 118, 118, 145, 145, 145, 145, 147, 147, 147, 147,
    106, 106, 106, 106, 106, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133, 133,
    68, 68, 160, 160, 160, 118, 118, 118, 118, 118, 118, 145, 145, 145, 145, 145, 145, 153, 147, 106,
    106, 106, 106, 106, 153, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133, 133,
    68, 68, 160, 160, 160, 118, 118, 118, 118, 118, 118, 145, 145, 145, 145, 145, 145, 153, 153, 153,
    106, 106, 106, 106, 153, 154, 136, 136, 136, 136, 136, 136, 136, 136, 155, 155, 133, 133, 133, 133,
    160, 160, 160, 160, 160, 118, 118, 118, 118, 118, 145, 145, 145, 145, 145, 145, 145, 145, 153, 153,
    153, 153, 153, 153, 153, 154, 154, 136, 136, 136, 136, 136, 136, 136, 136, 155, 155, 133, 133, 133,
    160, 160, 160, 160, 160, 118, 118, 118, 118, 118, 145, 145, 145, 145, 145, 145, 145, 145, 153, 153,
    153, 153, 153, 153, 154, 154, 154, 136, 136, 136, 136, 136, 136, 136, 136, 155, 155, 155, 133, 133,
    157, 157, 157, 131, 118, 118, 118, 118, 118, 145, 145, 145, 145, 145, 145, 145, 145, 145, 153, 137,
    137, 137, 153, 153, 154, 154, 154, 154, 136, 136, 136, 136, 136, 136, 136, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 118, 118, 118, 118, 145, 145, 145, 145, 145, 145, 145, 145, 145, 137, 137, 137,
    137, 137, 153, 154, 154, 154, 156, 156, 136, 136, 136, 136, 136, 136, 136, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 118, 118, 145, 145, 145, 145, 145, 145, 145, 145, 145, 145, 137, 137, 137,
    137, 137, 137, 154, 154, 156, 156, 156, 156, 136, 136, 136, 136, 136, 155, 155, 114, 155, 155, 155,
    157, 157, 157, 157, 157, 157, 157, 145, 145, 145, 145, 145, 145, 145, 145, 145, 137, 137, 137, 137,
    137, 137, 137, 137, 156, 156, 156, 156, 156, 156, 114, 114, 114, 114, 114, 114, 114, 114, 114, 114,
    157, 157, 157, 157, 157, 157, 157, 145, 145, 107, 138, 138, 145, 145, 145, 137, 137, 137, 137, 137,
    137, 137, 137, 137, 108, 156, 156, 156, 156, 156, 156, 114, 114, 114, 114, 114, 114, 114, 114, 114,
    122, 122, 122, 122, 157, 157, 157, 157, 138, 138, 138, 138, 138, 138, 138, 137, 137, 137, 137, 137,
    137, 137, 137, 137, 108, 156, 156, 156, 156, 156, 156, 115, 114, 114, 114, 114, 114, 114, 114, 114,
    122, 122, 122, 122, 122, 157, 157, 157, 138, 138, 138, 138, 138, 138, 138, 137, 137, 137, 137, 137,
    137, 137, 137, 137, 137, 156, 156, 156, 156, 156, 115, 115, 115, 114, 114, 114, 114, 114, 114, 114,
    122, 122, 122, 122, 122, 122, 157, 157, 138, 138, 138, 138, 138, 138, 138, 138, 137, 137, 137, 137,
    137, 137, 149, 149, 140, 156, 156, 156, 156, 156, 115, 115, 115, 115, 114, 114, 114, 114, 114, 114,
    122, 122, 122, 122, 122, 122, 148, 148, 138, 138, 138, 138, 138, 138, 138, 138, 137, 137, 137, 137,
    149, 149, 149, 149, 140, 140, 140, 140, 140, 115, 115, 115, 115, 115, 115, 115, 114, 114, 114, 161,
    122, 122, 122, 122, 122, 122, 148, 148, 148, 138, 138, 138, 138, 138, 138, 139, 139, 139, 149, 149,
    149, 149, 149, 140, 140, 140, 140, 140, 140, 115, 115, 115, 115, 115, 115, 115, 115, 135, 135, 135,
    122, 122, 122, 122, 122, 122, 148, 148, 148, 138, 138, 138, 138, 138, 138, 139, 139, 139, 149, 149,
    149, 149, 140, 140, 140, 140, 140, 140, 140, 140, 115, 115, 115, 115, 115, 115, 135, 135, 135, 135,
    122, 122, 122, 122, 122, 122, 148, 148, 148, 148, 138, 138, 138, 138, 138, 139, 139, 139, 139, 149,
    149, 149, 140, 140, 140, 140, 140, 140, 140, 140, 115, 115, 115, 115, 115, 115, 135, 135, 135, 135,
    122, 122, 122, 122, 122, 148, 148, 148, 148, 148, 148, 138, 138, 138, 139, 139, 139, 139, 139, 139,
    139, 140, 140, 140, 140, 140, 140, 140, 140, 140, 115, 115, 115, 115, 115, 135, 135, 135, 135, 135,
    122, 122, 122, 122, 122, 148, 148, 148, 148, 148, 148, 138, 138, 139, 139, 139, 139, 139, 139, 139,
    139, 140, 140, 140, 140, 140, 140, 140, 140, 115, 115, 150, 150, 150, 150, 150, 135, 135, 135, 135,
    142, 142, 142, 142, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 143, 143, 143, 143,
    143, 143, 143, 125, 125, 125, 125, 125, 151, 151, 151, 151, 151, 151, 151, 141, 141, 141, 141, 141,
    142, 142, 142, 142, 142, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 143, 143, 143, 143,
    143, 143, 143, 125, 125, 125, 125, 125, 151, 151, 151, 151, 151, 151, 151, 141, 141, 141, 141, 141,
    142, 142, 142, 142, 142, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 143, 143, 143, 143, 143,
    143, 143, 143, 143, 125, 125, 125, 125, 125, 125, 128, 128, 128, 128, 128, 141, 141, 141, 141, 141,
    142, 142, 142, 142, 142, 142, 132, 132, 132, 132, 132, 132, 132, 132, 158, 158, 143, 143, 143, 143,
    143, 143, 143, 143, 125, 125, 125, 125, 125, 128, 128, 128, 128, 128, 128, 141, 141, 141, 141, 141,
    142, 142, 142, 142, 142, 142, 132, 132, 132, 132, 132, 158, 158, 158, 158, 158, 143, 143, 143, 143,
    143, 143, 143, 143, 143, 125, 125, 128, 128, 128, 128, 128, 128, 128, 128, 141, 141, 141, 141, 141,
    142, 142, 142, 142, 142, 142, 142, 132, 132, 132, 158, 158, 158, 158, 158, 158, 129, 143, 143, 143,
    143, 143, 143, 143, 143, 125, 125, 128, 128, 128, 128, 128, 128, 128, 128, 128, 141, 141, 141, 141,
    142, 142, 142, 142, 142, 142, 142, 132, 158, 158, 158, 158, 158, 158, 158, 158, 129, 143, 143, 143,
    143, 143, 143, 143, 143, 125, 125, 128, 128, 128, 128, 128, 128, 128, 128, 128, 141, 141, 141, 141,
    142, 142, 142, 142, 142, 144, 144, 144, 144, 158, 158, 158, 158, 129, 129, 129, 129, 129, 129, 143,
    143, 143, 143, 143, 143, 125, 128, 128, 128, 128, 128, 128, 128, 128, 128, 128, 146, 141, 141, 126,
    144, 142, 142, 144, 144, 144, 144, 144, 144, 144, 144, 158, 129, 129, 129, 129, 129, 129, 129, 129,
    129, 143, 143, 143, 143, 125, 128, 128, 128, 128, 128, 128, 128, 128, 128, 146, 146, 146, 141, 126,
    144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 129, 129, 129, 129, 129, 129, 129, 129, 129,
    129, 130, 130, 130, 130, 130, 128, 128, 128, 128, 128, 128, 128, 128, 146, 146, 146, 146, 146, 126,
    144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 129, 129, 129, 129, 129, 129, 129, 129,
    129, 130, 130, 130, 130, 130, 130, 130, 128, 128, 128, 128, 128, 146, 146, 146, 146, 146, 146, 126,
    144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 129, 129, 129, 129, 129, 129, 129, 129,
    129, 130, 130, 130, 130, 130, 130, 130, 113, 128, 128, 128, 146, 146, 146, 146, 146, 146, 146, 126,
    144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 129, 129, 129, 129, 129, 129, 129,
    129, 152, 130, 130, 130, 130, 130, 113, 113, 113, 121, 121, 146, 146, 146, 146, 146, 146, 146, 126,
    144, 144, 131, 144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 129, 129, 129, 129, 152, 152, 129,
    129, 152, 130, 130, 130, 130, 130, 113, 113, 113, 121, 121, 146, 146, 146, 146, 146, 146, 146, 146,
    144, 144, 131, 131, 144, 144, 144, 144, 144, 144, 144, 144, 144, 129, 129, 152, 152, 152, 152, 152,
    152, 152, 152, 130, 130, 130, 130, 113, 113, 136, 136, 136, 136, 136, 136, 136, 136, 146, 146, 146,
    144, 131, 131, 131, 131, 131, 131, 144, 144, 144, 144, 144, 159, 129, 129, 152, 152, 152, 147, 147,
    147, 147, 147, 147, 130, 130, 113, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133,
    160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 144, 159, 159, 159, 159, 152, 147, 147, 147, 147,
    147, 147, 147, 147, 147, 147, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133,
    160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 159, 159, 159, 159, 159, 152, 147, 147, 147, 147,
    147, 147, 147, 147, 147, 147, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133,
    160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 159, 159, 159, 159, 159, 152, 147, 147, 147, 147,
    147, 147, 147, 147, 147, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133,
    68, 68, 160, 160, 160, 160, 118, 118, 118, 160, 159, 159, 159, 159, 159, 159, 147, 147, 147, 147,
    147, 147, 147, 147, 147, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133,
    68, 68, 160, 160, 160, 160, 118, 118, 118, 118, 159, 159, 159, 159, 159, 162, 147, 147, 147, 147,
    147, 147, 147, 147, 147, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133, 133,
    68, 68, 160, 160, 160, 160, 118, 118, 118, 118, 145, 145, 145, 145, 145, 162, 162, 147, 147, 147,
    147, 147, 147, 153, 153, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133, 133,
    68, 68, 160, 160, 160, 160, 118, 118, 118, 118, 145, 145, 145, 145, 145, 145, 162, 153, 153, 147,
    147, 147, 147, 153, 153, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133, 133,
    160, 160, 160, 160, 160, 160, 118, 118, 118, 145, 145, 145, 145, 145, 145, 145, 162, 153, 153, 153,
    153, 153, 153, 153, 153, 154, 136, 136, 136, 136, 136, 136, 136, 136, 155, 155, 155, 133, 133, 133,
    160, 160, 160, 160, 160, 160, 118, 118, 118, 145, 145, 145, 145, 145, 145, 145, 145, 162, 153, 153,
    153, 153, 153, 153, 153, 154, 154, 136, 136, 136, 136, 136, 136, 136, 155, 155, 155, 155, 133, 133,
    157, 157, 157, 160, 160, 160, 118, 118, 118, 145, 145, 145, 145, 145, 145, 145, 145, 145, 153, 153,
    153, 153, 153, 153, 154, 154, 154, 136, 136, 136, 136, 136, 136, 136, 136, 155, 155, 155, 155, 133,
    157, 157, 157, 157, 157, 118, 118, 145, 145, 145, 145, 145, 145, 145, 145, 145, 145, 145, 153, 153,
    153, 153, 153, 153, 154, 154, 154, 154, 136, 136, 136, 136, 136, 136, 136, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 118, 145, 145, 145, 145, 145, 145, 145, 145, 145, 145, 145, 145, 145, 137,
    153, 153, 153, 154, 154, 154, 154, 154, 136, 136, 136, 136, 136, 136, 136, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 157, 145, 145, 145, 145, 145, 145, 145, 145, 145, 145, 145, 137, 137, 137,
    137, 137, 137, 154, 154, 156, 156, 156, 156, 136, 136, 136, 136, 136, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 157, 157, 145, 145, 145, 145, 145, 145, 145, 145, 145, 145, 137, 137, 137,
    137, 137, 137, 156, 156, 156, 156, 156, 156, 156, 155, 155, 155, 155, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 157, 157, 157, 145, 145, 145, 145, 145, 145, 145, 145, 137, 137, 137, 137,
    137, 137, 137, 156, 156, 156, 156, 156, 156, 156, 156, 155, 155, 155, 114, 114, 114, 114, 114, 155,
    122, 122, 157, 157, 157, 157, 157, 157, 138, 138, 138, 138, 138, 138, 138, 137, 137, 137, 137, 137,
    137, 137, 137, 149, 156, 156, 156, 156, 156, 156, 156, 156, 114, 114, 114, 114, 114, 114, 114, 114,
    122, 122, 122, 157, 157, 157, 157, 157, 157, 138, 138, 138, 138, 138, 138, 138, 137, 137, 137, 137,
    137, 149, 149, 149, 156, 156, 156, 156, 156, 156, 156, 156, 115, 114, 114, 114, 114, 114, 114, 114,
    122, 122, 122, 122, 157, 157, 157, 157, 157, 138, 138, 138, 138, 138, 138, 138, 137, 137, 149, 149,
    149, 149, 149, 149, 140, 156, 156, 156, 156, 156, 156, 115, 115, 115, 114, 114, 114, 114, 114, 161,
    122, 122, 122, 122, 122, 157, 157, 157, 157, 138, 138, 138, 138, 138, 138, 138, 149, 149, 149, 149,
    149, 149, 149, 149, 140, 140, 140, 140, 156, 156, 115, 115, 115, 115, 115, 115, 114, 114, 163, 161,
    122, 122, 122, 122, 122, 148, 148, 148, 148, 138, 138, 138, 138, 138, 138, 139, 139, 139, 149, 149,
    149, 149, 149, 140, 140, 140, 140, 140, 140, 140, 115, 115, 115, 115, 115, 115, 115, 135, 135, 161,
    122, 122, 122, 122, 122, 148, 148, 148, 148, 148, 138, 138, 138, 138, 138, 139, 139, 139, 149, 149,
    149, 149, 149, 140, 140, 140, 140, 140, 140, 140, 140, 115, 115, 115, 164, 135, 135, 135, 135, 135,
    122, 122, 122, 122, 122, 148, 148, 148, 148, 148, 138, 138, 138, 138, 138, 139, 139, 139, 139, 149,
    149, 149, 140, 140, 140, 140, 140, 140, 140, 140, 140, 115, 115, 150, 150, 135, 135, 135, 135, 135,
    122, 122, 122, 122, 148, 148, 148, 148, 148, 148, 148, 138, 138, 138, 139, 139, 139, 139, 139, 139,
    149, 140, 140, 140, 140, 140, 140, 140, 140, 140, 140, 150, 150, 150, 150, 135, 135, 135, 135, 135,
    122, 122, 122, 122, 148, 148, 148, 148, 148, 148, 148, 148, 138, 139, 139, 139, 139, 139, 139, 139,
    139, 140, 140, 140, 140, 140, 140, 140, 140, 140, 150, 150, 150, 150, 150, 150, 135, 135, 135, 135,
    142, 142, 142, 142, 142, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 143, 143, 143, 143,
    143, 143, 143, 125, 125, 125, 151, 151, 151, 151, 151, 151, 151, 151, 151, 141, 141, 141, 141, 141,
    142, 142, 142, 142, 142, 142, 132, 132, 132, 132, 132, 132, 132, 132, 132, 158, 143, 143, 143, 143,
    143, 143, 143, 143, 125, 125, 125, 151, 151, 151, 151, 151, 151, 151, 151, 141, 141, 141, 141, 141,
    142, 142, 142, 142, 142, 142, 132, 132, 132, 132, 132, 132, 158, 158, 158, 158, 143, 143, 143, 143,
    143, 143, 143, 143, 125, 125, 125, 125, 151, 151, 151, 151, 151, 151, 151, 141, 141, 141, 141, 141,
    142, 142, 142, 142, 142, 142, 142, 132, 132, 132, 158, 158, 158, 158, 158, 158, 143, 143, 143, 143,
    143, 143, 143, 143, 125, 125, 125, 125, 128, 128, 128, 128, 128, 128, 128, 141, 141, 141, 141, 141,
    142, 142, 142, 142, 142, 142, 142, 132, 132, 158, 158, 158, 158, 158, 158, 158, 143, 143, 143, 143,
    143, 143, 143, 143, 143, 125, 125, 128, 128, 128, 128, 128, 128, 128, 128, 141, 141, 141, 141, 141,
    142, 142, 142, 142, 142, 142, 142, 158, 158, 158, 158, 158, 158, 158, 158, 158, 158, 143, 143, 143,
    143, 143, 143, 143, 143, 125, 125, 128, 128, 128, 128, 128, 128, 128, 128, 141, 141, 141, 141, 141,
    142, 142, 142, 142, 142, 142, 142, 158, 158, 158, 158, 158, 158, 158, 158, 158, 129, 143, 143, 143,
    143, 143, 143, 143, 143, 143, 128, 128, 128, 128, 128, 128, 128, 128, 128, 128, 141, 141, 141, 141,
    142, 142, 142, 142, 142, 144, 144, 144, 158, 158, 158, 158, 158, 158, 158, 129, 129, 129, 129, 143,
    143, 143, 143, 143, 143, 128, 128, 128, 128, 128, 128, 128, 128, 128, 128, 146, 146, 141, 141, 141,
    142, 142, 142, 144, 144, 144, 144, 144, 144, 144, 158, 158, 158, 158, 129, 129, 129, 129, 129, 129,
    129, 143, 143, 143, 143, 128, 128, 128, 128, 128, 128, 128, 128, 128, 146, 146, 146, 146, 141, 141,
    142, 142, 144, 144, 144, 144, 144, 144, 144, 144, 144, 158, 158, 129, 129, 129, 129, 129, 129, 129,
    129, 129, 143, 143, 143, 128, 128, 128, 128, 128, 128, 128, 128, 146, 146, 146, 146, 146, 146, 141,
    144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 129, 129, 129, 129, 129, 129, 129, 129,
    152, 152, 130, 130, 130, 128, 128, 128, 128, 128, 128, 128, 146, 146, 146, 146, 146, 146, 146, 146,
    144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 129, 129, 129, 129, 129, 152, 152,
    152, 152, 152, 130, 130, 130, 130, 130, 128, 128, 128, 146, 146, 146, 146, 146, 146, 146, 146, 146,
    144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 165, 165, 129, 129, 129, 152, 152, 152, 152,
    152, 152, 152, 130, 130, 130, 130, 130, 113, 128, 128, 146, 146, 146, 146, 146, 146, 146, 146, 146,
    144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 165, 165, 129, 152, 152, 152, 152, 152, 129,
    152, 152, 152, 152, 130, 130, 130, 113, 113, 113, 136, 146, 146, 146, 146, 146, 146, 146, 146, 146,
    144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 165, 165, 129, 152, 152, 152, 152, 152, 152,
    152, 152, 147, 147, 130, 130, 130, 113, 136, 136, 136, 136, 136, 136, 136, 136, 146, 146, 146, 146,
    131, 131, 144, 144, 144, 131, 144, 144, 144, 144, 144, 159, 159, 159, 159, 152, 152, 152, 152, 147,
    147, 147, 147, 147, 147, 147, 130, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133,
    160, 160, 160, 160, 160, 160, 160, 160, 160, 144, 159, 159, 159, 159, 159, 159, 147, 147, 147, 147,
    147, 147, 147, 147, 147, 147, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133,
    160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 159, 159, 159, 159, 159, 159, 147, 147, 147, 147,
    147, 147, 147, 147, 147, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133,
    160, 160, 160, 160, 160, 160, 160, 160, 160, 159, 159, 159, 159, 159, 159, 159, 147, 147, 147, 147,
    147, 147, 147, 147, 147, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133,
    68, 68, 160, 160, 160, 160, 118, 118, 118, 159, 159, 159, 159, 159, 159, 159, 147, 147, 147, 147,
    147, 147, 147, 147, 147, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133,
    68, 68, 160, 160, 160, 160, 118, 118, 118, 159, 159, 159, 159, 159, 159, 162, 162, 147, 147, 147,
    147, 147, 147, 147, 147, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133,
    68, 68, 160, 160, 160, 160, 118, 118, 118, 145, 159, 159, 159, 159, 162, 162, 162, 162, 153, 147,
    147, 147, 147, 153, 153, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133, 133,
    160, 160, 160, 160, 160, 160, 118, 118, 118, 145, 145, 145, 145, 145, 162, 162, 162, 162, 153, 153,
    153, 147, 147, 153, 153, 166, 136, 136, 136, 136, 136, 136, 136, 136, 155, 155, 133, 133, 133, 133,
    160, 160, 160, 160, 160, 160, 118, 118, 118, 145, 145, 145, 145, 145, 145, 162, 162, 162, 153, 153,
    153, 153, 153, 153, 153, 154, 136, 136, 136, 136, 136, 136, 136, 155, 155, 155, 155, 133, 133, 133,
    157, 157, 157, 157, 160, 160, 118, 118, 118, 145, 145, 145, 145, 145, 145, 162, 162, 162, 153, 153,
    153, 153, 153, 153, 154, 154, 154, 136, 136, 136, 136, 136, 136, 155, 155, 155, 155, 155, 155, 133,
    157, 157, 157, 157, 157, 160, 118, 118, 118, 145, 145, 145, 145, 145, 145, 145, 162, 153, 153, 153,
    153, 153, 153, 153, 154, 154, 154, 136, 136, 136, 136, 136, 136, 136, 155, 155, 155, 155, 155, 133,
    157, 157, 157, 157, 157, 145, 145, 145, 145, 145, 145, 145, 145, 145, 145, 145, 145, 145, 153, 153,
    153, 153, 153, 153, 154, 154, 154, 154, 136, 136, 136, 136, 136, 136, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 157, 145, 145, 145, 145, 145, 145, 145, 145, 145, 145, 145, 145, 153, 153,
    153, 153, 153, 154, 154, 154, 154, 154, 136, 136, 136, 136, 136, 136, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 157, 157, 145, 145, 145, 145, 145, 145, 145, 145, 145, 145, 145, 137, 137,
    153, 153, 154, 154, 154, 154, 156, 156, 156, 155, 155, 155, 155, 155, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 157, 157, 157, 145, 145, 145, 145, 145, 145, 145, 145, 145, 137, 137, 137,
    137, 137, 154, 156, 156, 156, 156, 156, 156, 156, 155, 155, 155, 155, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 157, 157, 157, 145, 145, 145, 145, 145, 145, 145, 145, 137, 137, 137, 137,
    137, 137, 149, 156, 156, 156, 156, 156, 156, 156, 156, 155, 155, 155, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 157, 157, 157, 157, 138, 138, 138, 138, 138, 138, 137, 137, 137, 137, 137,
    149, 149, 149, 156, 156, 156, 156, 156, 156, 156, 156, 156, 155, 155, 155, 155, 155, 155, 155, 155,
    122, 157, 157, 157, 157, 157, 157, 157, 157, 138, 138, 138, 138, 138, 138, 138, 137, 137, 149, 149,
    149, 149, 149, 156, 156, 156, 156, 156, 156, 156, 156, 156, 156, 155, 155, 155, 155, 155, 155, 161,
    122, 122, 122, 157, 157, 157, 157, 157, 157, 157, 138, 138, 138, 138, 138, 138, 149, 149, 149, 149,
    149, 149, 149, 149, 156, 156, 156, 156, 156, 156, 156, 156, 156, 115, 114, 114, 163, 163, 163, 163,
    122, 122, 122, 157, 157, 157, 157, 157, 157, 157, 138, 138, 138, 138, 138, 138, 149, 149, 149, 149,
    149, 149, 149, 149, 140, 140, 156, 156, 156, 156, 156, 164, 164, 164, 164, 163, 163, 163, 163, 163,
    122, 122, 122, 157, 148, 148, 148, 148, 148, 148, 138, 138, 138, 138, 138, 149, 149, 149, 149, 149,
    149, 149, 149, 140, 140, 140, 140, 140, 140, 140, 164, 164, 164, 164, 164, 163, 163, 163, 163, 163,
    122, 122, 122, 122, 148, 148, 148, 148, 148, 148, 138, 138, 138, 138, 138, 139, 139, 139, 149, 149,
    149, 149, 149, 140, 140, 140, 140, 140, 140, 140, 164, 164, 164, 164, 164, 164, 163, 163, 163, 135,
    122, 122, 122, 122, 148, 148, 148, 148, 148, 148, 148, 138, 138, 138, 138, 139, 139, 139, 149, 149,
    149, 149, 140, 140, 140, 140, 140, 140, 140, 140, 164, 164, 164, 164, 164, 164, 167, 167, 135, 135,
    122, 122, 122, 148, 148, 148, 148, 148, 148, 148, 148, 138, 138, 138, 139, 139, 139, 139, 139, 139,
    149, 149, 140, 140, 140, 140, 140, 140, 140, 140, 164, 164, 164, 164, 164, 135, 135, 135, 135, 135,
    122, 122, 148, 148, 148, 148, 148, 148, 148, 148, 148, 148, 138, 139, 139, 139, 139, 139, 139, 139,
    139, 140, 140, 140, 140, 140, 140, 140, 140, 140, 150, 150, 150, 164, 168, 167, 167, 135, 135, 135,
    142, 142, 142, 142, 142, 142, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 143, 143, 143, 143,
    143, 143, 143, 125, 125, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 141, 141, 141, 141,
    142, 142, 142, 142, 142, 142, 142, 132, 132, 132, 132, 158, 158, 158, 158, 158, 143, 143, 143, 143,
    143, 143, 143, 143, 125, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 141, 141, 141, 141,
    142, 142, 142, 142, 142, 142, 142, 132, 132, 158, 158, 158, 158, 158, 158, 158, 143, 143, 143, 143,
    143, 143, 143, 143, 125, 125, 151, 151, 151, 151, 151, 151, 151, 151, 151, 141, 141, 141, 141, 141,
    142, 142, 142, 142, 142, 142, 142, 142, 158, 158, 158, 158, 158, 158, 158, 158, 143, 143, 143, 143,
    143, 143, 143, 143, 143, 125, 125, 128, 128, 128, 128, 128, 128, 128, 151, 141, 141, 141, 141, 141,
    142, 142, 142, 142, 142, 142, 142, 142, 158, 158, 158, 158, 158, 158, 158, 158, 143, 143, 143, 143,
    143, 143, 143, 143, 143, 125, 125, 128, 128, 128, 128, 128, 128, 128, 169, 141, 141, 141, 141, 141,
    142, 142, 142, 142, 142, 142, 142, 158, 158, 158, 158, 158, 158, 158, 158, 158, 158, 143, 143, 143,
    143, 143, 143, 143, 143, 143, 128, 128, 128, 128, 128, 128, 128, 128, 128, 169, 141, 141, 141, 141,
    142, 142, 142, 142, 142, 142, 142, 158, 158, 158, 158, 158, 158, 158, 158, 158, 158, 143, 143, 143,
    143, 143, 143, 143, 143, 143, 128, 128, 128, 128, 128, 128, 128, 128, 128, 169, 141, 141, 141, 141,
    142, 142, 142, 142, 142, 142, 144, 144, 158, 158, 158, 158, 158, 158, 158, 158, 129, 129, 129, 143,
    143, 143, 143, 143, 143, 128, 128, 128, 128, 128, 128, 128, 128, 128, 128, 146, 146, 141, 141, 141,
    142, 142, 142, 142, 144, 144, 144, 144, 144, 158, 158, 158, 158, 158, 158, 129, 129, 129, 129, 129,
    129, 143, 143, 143, 143, 128, 128, 128, 128, 128, 128, 128, 128, 128, 146, 146, 146, 146, 141, 141,
    142, 142, 144, 144, 144, 144, 144, 144, 144, 144, 165, 158, 158, 158, 129, 129, 129, 129, 129, 129,
    152, 152, 143, 143, 143, 170, 128, 128, 128, 128, 128, 128, 128, 146, 146, 146, 146, 146, 146, 141,
    142, 144, 144, 144, 144, 144, 144, 144, 144, 144, 165, 165, 158, 158, 129, 129, 129, 129, 152, 152,
    152, 152, 152, 152, 170, 170, 170, 128, 128, 128, 128, 128, 146, 146, 146, 146, 146, 146, 146, 146,
    144, 144, 144, 144, 144, 144, 144, 144, 144, 165, 165, 165, 165, 129, 129, 129, 152, 152, 152, 152,
    152, 152, 152, 152, 170, 170, 170, 170, 128, 128, 128, 146, 146, 146, 146, 146, 146, 146, 146, 146,
    144, 144, 144, 144, 144, 144, 144, 144, 144, 165, 165, 165, 165, 129, 152, 152, 152, 152, 152, 152,
    152, 152, 152, 152, 130, 170, 170, 170, 170, 128, 128, 146, 146, 146, 146, 146, 146, 146, 146, 146,
    160, 160, 144, 144, 144, 144, 144, 144, 144, 165, 165, 165, 165, 165, 152, 152, 152, 152, 152, 152,
    152, 152, 152, 152, 171, 130, 130, 170, 170, 136, 136, 146, 146, 146, 146, 146, 146, 146, 146, 146,
    160, 160, 160, 144, 144, 144, 144, 144, 144, 165, 165, 165, 165, 159, 152, 152, 152, 152, 152, 152,
    152, 152, 152, 147, 147, 147, 130, 170, 136, 136, 136, 136, 136, 136, 136, 146, 146, 146, 146, 146,
    160, 160, 160, 144, 144, 144, 144, 144, 144, 165, 165, 159, 159, 159, 159, 152, 152, 152, 152, 152,
    147, 147, 147, 147, 147, 147, 147, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133,
    160, 160, 160, 160, 160, 160, 160, 160, 160, 159, 159, 159, 159, 159, 159, 159, 152, 147, 147, 147,
    147, 147, 147, 147, 147, 147, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133,
    160, 160, 160, 160, 160, 160, 160, 160, 160, 159, 159, 159, 159, 159, 159, 159, 147, 147, 147, 147,
    147, 147, 147, 147, 147, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133,
    160, 160, 160, 160, 160, 160, 160, 160, 160, 159, 159, 159, 159, 159, 159, 159, 159, 147, 147, 147,
    147, 147, 147, 147, 147, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133,
    160, 160, 160, 160, 160, 160, 160, 160, 160, 159, 159, 159, 159, 159, 159, 159, 159, 147, 147, 147,
    147, 147, 147, 147, 147, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133,
    160, 160, 160, 160, 160, 160, 118, 118, 159, 159, 159, 159, 159, 159, 159, 159, 162, 147, 147, 147,
    147, 147, 147, 147, 166, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133,
    160, 160, 160, 160, 160, 160, 118, 118, 159, 159, 159, 159, 159, 159, 162, 162, 162, 162, 153, 153,
    153, 147, 147, 153, 166, 166, 136, 136, 136, 136, 136, 136, 136, 136, 136, 155, 133, 133, 133, 133,
    160, 160, 160, 160, 160, 160, 118, 118, 159, 159, 159, 159, 162, 162, 162, 162, 162, 162, 153, 153,
    153, 153, 153, 153, 166, 166, 136, 136, 136, 136, 136, 136, 136, 136, 155, 155, 133, 133, 133, 133,
    157, 157, 157, 157, 160, 160, 118, 118, 118, 145, 145, 145, 145, 162, 162, 162, 162, 162, 153, 153,
    153, 153, 153, 166, 166, 166, 136, 136, 136, 136, 136, 136, 136, 155, 155, 155, 155, 155, 133, 133,
    157, 157, 157, 157, 157, 160, 118, 118, 118, 145, 145, 145, 145, 145, 162, 162, 162, 162, 153, 153,
    153, 153, 153, 166, 166, 154, 154, 136, 136, 136, 136, 136, 136, 155, 155, 155, 155, 155, 155, 133,
    157, 157, 157, 157, 157, 160, 145, 145, 145, 145, 145, 145, 145, 145, 145, 162, 162, 153, 153, 153,
    153, 153, 153, 153, 154, 154, 154, 136, 136, 136, 136, 136, 136, 155, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 157, 145, 145, 145, 145, 145, 145, 145, 145, 145, 145, 162, 162, 153, 153,
    153, 153, 153, 153, 154, 154, 154, 154, 136, 136, 136, 136, 136, 155, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 157, 157, 145, 145, 145, 145, 145, 145, 145, 145, 145, 145, 162, 153, 153,
    153, 153, 153, 154, 154, 154, 154, 154, 154, 136, 136, 136, 136, 155, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 157, 157, 157, 145, 145, 145, 145, 145, 145, 145, 145, 145, 162, 153, 153,
    153, 153, 154, 154, 154, 154, 154, 154, 156, 155, 155, 155, 155, 155, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 157, 157, 157, 157, 145, 145, 145, 145, 145, 145, 145, 145, 137, 137, 137,
    149, 149, 154, 154, 156, 156, 156, 156, 156, 156, 156, 155, 155, 155, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 157, 157, 157, 157, 145, 145, 145, 172, 172, 172, 145, 137, 137, 137, 149,
    149, 149, 149, 156, 156, 156, 156, 156, 156, 156, 156, 156, 155, 155, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 157, 157, 157, 157, 138, 138, 138, 172, 172, 172, 137, 149, 149, 149, 149,
    149, 149, 149, 156, 156, 156, 156, 156, 156, 156, 156, 156, 156, 155, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 157, 157, 157, 157, 157, 138, 138, 138, 138, 138, 138, 149, 149, 149, 149,
    149, 149, 149, 156, 156, 156, 156, 156, 156, 156, 156, 156, 156, 155, 155, 155, 163, 163, 163, 163,
    157, 157, 157, 157, 157, 157, 157, 157, 157, 157, 138, 138, 138, 138, 138, 138, 149, 149, 149, 149,
    149, 149, 149, 149, 156, 156, 156, 156, 156, 156, 156, 156, 164, 164, 164, 163, 163, 163, 163, 163,
    157, 157, 157, 157, 157, 157, 157, 157, 157, 157, 138, 138, 138, 138, 138, 138, 149, 149, 149, 149,
    149, 149, 149, 149, 156, 156, 156, 156, 156, 156, 164, 164, 164, 164, 164, 163, 163, 163, 163, 163,
    122, 157, 157, 157, 157, 157, 157, 157, 157, 157, 138, 138, 138, 138, 138, 149, 149, 149, 149, 149,
    149, 149, 149, 149, 140, 140, 140, 140, 140, 164, 164, 164, 164, 164, 164, 163, 163, 163, 163, 163,
    122, 122, 157, 148, 148, 148, 148, 148, 148, 148, 148, 138, 138, 138, 138, 139, 149, 149, 149, 149,
    149, 149, 149, 140, 140, 140, 140, 140, 140, 164, 164, 164, 164, 164, 164, 164, 167, 167, 163, 163,
    122, 122, 148, 148, 148, 148, 148, 148, 148, 148, 148, 138, 138, 138, 138, 139, 139, 139, 149, 149,
    149, 149, 140, 140, 140, 140, 140, 140, 140, 164, 164, 164, 164, 164, 164, 164, 167, 167, 163, 163,
    122, 148, 148, 148, 148, 148, 148, 148, 148, 148, 148, 148, 138, 138, 139, 139, 139, 139, 139, 149,
    149, 149, 140, 140, 140, 140, 140, 140, 140, 164, 164, 164, 164, 164, 164, 164, 167, 167, 135, 135,
    122, 148, 148, 148, 148, 148, 148, 148, 148, 148, 148, 148, 138, 139, 139, 139, 139, 139, 139, 139,
    139, 140, 140, 140, 140, 140, 140, 140, 140, 164, 164, 164, 164, 164, 168, 168, 167, 167, 135, 135,
    142, 142, 142, 142, 142, 142, 142, 142, 132, 132, 158, 158, 158, 132, 132, 173, 143, 143, 143, 143,
    143, 143, 143, 125, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 141, 141, 141,
    142, 142, 142, 142, 142, 142, 142, 142, 158, 158, 158, 158, 158, 158, 158, 158, 143, 143, 143, 143,
    143, 143, 143, 143, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 141, 141, 141, 141,
    142, 142, 142, 142, 142, 142, 142, 142, 158, 158, 158, 158, 158, 158, 158, 158, 143, 143, 143, 143,
    143, 143, 143, 143, 125, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 141, 141, 141, 141,
    142, 142, 142, 142, 142, 142, 142, 142, 158, 158, 158, 158, 158, 158, 158, 158, 158, 143, 143, 143,
    143, 143, 143, 143, 143, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 141, 141, 141, 141,
    142, 142, 142, 142, 142, 142, 142, 142, 158, 158, 158, 158, 158, 158, 158, 158, 158, 143, 143, 143,
    143, 143, 143, 143, 143, 143, 128, 128, 128, 128, 128, 128, 128, 151, 169, 169, 141, 141, 141, 141,
    142, 142, 142, 142, 142, 142, 142, 158, 158, 158, 158, 158, 158, 158, 158, 158, 158, 143, 143, 143,
    143, 143, 143, 143, 143, 143, 128, 128, 128, 128, 128, 128, 128, 128, 169, 169, 141, 141, 141, 141,
    142, 142, 142, 142, 142, 142, 142, 174, 158, 158, 158, 158, 158, 158, 158, 158, 158, 143, 143, 143,
    143, 143, 143, 143, 143, 143, 128, 128, 128, 128, 128, 128, 128, 128, 169, 169, 169, 141, 141, 141,
    142, 142, 142, 142, 142, 142, 174, 174, 174, 158, 158, 158, 158, 158, 158, 158, 129, 129, 129, 143,
    143, 143, 143, 143, 143, 170, 128, 128, 128, 128, 128, 128, 128, 128, 146, 169, 169, 141, 141, 141,
    142, 142, 142, 142, 142, 144, 174, 174, 174, 174, 158, 158, 158, 158, 158, 158, 129, 129, 171, 171,
    152, 143, 143, 143, 170, 170, 170, 128, 128, 128, 128, 128, 128, 146, 146, 146, 146, 146, 141, 141,
    142, 142, 144, 144, 144, 144, 165, 165, 165, 165, 174, 158, 158, 158, 158, 129, 129, 152, 171, 171,
    152, 152, 143, 143, 170, 170, 170, 170, 128, 128, 128, 128, 146, 146, 146, 146, 146, 146, 146, 141,
    142, 144, 144, 144, 144, 144, 144, 165, 165, 165, 165, 165, 158, 158, 129, 152, 152, 152, 152, 152,
    152, 152, 152, 171, 170, 170, 170, 170, 170, 128, 128, 146, 146, 146, 146, 146, 146, 146, 146, 146,
    144, 144, 144, 144, 144, 144, 144, 165, 165, 165, 165, 165, 165, 129, 152, 152, 152, 152, 152, 152,
    152, 152, 171, 171, 170, 170, 170, 170, 170, 170, 128, 146, 146, 146, 146, 146, 146, 146, 146, 146,
    144, 144, 144, 144, 144, 144, 144, 165, 165, 165, 165, 165, 165, 165, 152, 152, 152, 152, 152, 152,
    152, 152, 152, 171, 171, 170, 170, 170, 170, 170, 170, 146, 146, 146, 146, 146, 146, 146, 146, 146,
    160, 160, 144, 144, 144, 144, 144, 165, 165, 165, 165, 165, 165, 165, 152, 152, 152, 152, 152, 152,
    152, 152, 152, 171, 171, 171, 170, 170, 170, 170, 136, 146, 146, 146, 146, 146, 146, 146, 146, 146,
    160, 160, 160, 144, 144, 144, 144, 165, 165, 165, 165, 165, 165, 159, 152, 152, 152, 152, 152, 152,
    152, 152, 152, 171, 171, 171, 171, 170, 136, 136, 136, 136, 136, 136, 146, 146, 146, 146, 146, 146,
    160, 160, 160, 144, 144, 144, 144, 165, 165, 165, 165, 159, 159, 159, 159, 152, 152, 152, 152, 152,
    152, 147, 147, 147, 171, 171, 171, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 146,
    160, 160, 160, 160, 160, 160, 160, 165, 165, 159, 159, 159, 159, 159, 159, 159, 152, 152, 147, 147,
    147, 147, 147, 147, 147, 171, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133,
    160, 160, 160, 160, 160, 160, 160, 159, 159, 159, 159, 159, 159, 159, 159, 159, 147, 147, 147, 147,
    147, 147, 147, 147, 147, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133,
    160, 160, 160, 160, 160, 160, 160, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 147, 147, 147,
    147, 147, 147, 147, 147, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133,
    160, 160, 160, 160, 160, 160, 160, 160, 159, 159, 159, 159, 159, 159, 159, 159, 159, 147, 147, 147,
    147, 147, 147, 147, 147, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133,
    160, 160, 160, 160, 160, 160, 118, 159, 159, 159, 159, 159, 159, 159, 159, 159, 162, 162, 147, 147,
    147, 147, 147, 166, 166, 166, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133,
    157, 157, 157, 160, 160, 160, 118, 118, 159, 159, 159, 159, 159, 159, 159, 159, 162, 162, 153, 153,
    153, 153, 166, 166, 166, 166, 136, 136, 136, 136, 136, 136, 136, 136, 136, 155, 133, 133, 133, 133,
    157, 157, 157, 157, 160, 160, 118, 118, 159, 159, 159, 159, 159, 162, 162, 162, 162, 162, 153, 153,
    153, 153, 166, 166, 166, 166, 136, 136, 136, 136, 136, 136, 136, 136, 155, 155, 155, 133, 133, 133,
    157, 157, 157, 157, 175, 160, 118, 118, 118, 159, 159, 162, 162, 162, 162, 162, 162, 162, 153, 153,
    153, 153, 166, 166, 166, 166, 136, 136, 136, 136, 136, 136, 136, 155, 155, 155, 155, 155, 155, 133,
    157, 157, 157, 157, 157, 160, 145, 145, 145, 145, 145, 145, 162, 162, 162, 162, 162, 162, 153, 153,
    153, 153, 166, 166, 166, 154, 154, 136, 136, 136, 136, 136, 136, 155, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 157, 145, 145, 145, 145, 145, 145, 145, 162, 162, 162, 162, 176, 176, 153,
    153, 153, 153, 166, 154, 154, 154, 136, 136, 136, 136, 136, 136, 155, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 157, 157, 145, 145, 145, 145, 145, 145, 145, 162, 162, 162, 176, 153, 153,
    153, 153, 153, 166, 154, 154, 154, 154, 136, 136, 136, 136, 155, 155, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 157, 157, 172, 145, 145, 145, 145, 145, 145, 145, 162, 162, 162, 153, 153,
    153, 153, 153, 154, 154, 154, 154, 154, 154, 155, 155, 155, 155, 155, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 157, 157, 157, 172, 145, 145, 145, 145, 145, 145, 162, 162, 162, 153, 153,
    153, 153, 154, 154, 154, 154, 154, 154, 154, 177, 155, 155, 155, 155, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 157, 157, 157, 172, 145, 145, 145, 145, 145, 145, 145, 162, 162, 153, 153,
    153, 153, 154, 154, 154, 154, 177, 177, 177, 156, 156, 155, 155, 155, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 157, 157, 157, 157, 145, 145, 145, 172, 172, 172, 172, 178, 149, 149, 149,
    149, 149, 156, 156, 156, 156, 156, 156, 156, 156, 156, 156, 155, 155, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 157, 157, 157, 157, 157, 138, 138, 172, 172, 172, 178, 178, 149, 149, 149,
    149, 149, 149, 156, 156, 156, 156, 156, 156, 156, 156, 156, 156, 155, 155, 155, 155, 155, 163, 163,
    157, 157, 157, 157, 157, 157, 157, 157, 157, 157, 138, 138, 138, 138, 138, 178, 149, 149, 149, 149,
    149, 149, 149, 156, 156, 156, 156, 156, 156, 156, 156, 156, 164, 164, 155, 155, 163, 163, 163, 163,
    157, 157, 157, 157, 157, 157, 157, 157, 157, 157, 138, 138, 138, 138, 138, 149, 149, 149, 149, 149,
    149, 149, 149, 149, 156, 156, 156, 156, 156, 156, 164, 164, 164, 164, 164, 163, 163, 163, 163, 163,
    157, 157, 157, 157, 157, 157, 157, 157, 157, 157, 157, 138, 138, 138, 138, 149, 149, 149, 149, 149,
    149, 149, 149, 149, 156, 156, 156, 156, 156, 164, 164, 164, 164, 164, 164, 163, 163, 163, 163, 163,
    157, 157, 157, 157, 157, 157, 157, 157, 157, 157, 157, 138, 138, 138, 138, 149, 149, 149, 149, 149,
    149, 149, 149, 149, 140, 140, 140, 140, 164, 164, 164, 164, 164, 164, 164, 163, 163, 163, 163, 163,
    157, 157, 157, 157, 157, 157, 157, 157, 157, 157, 157, 138, 138, 138, 138, 149, 149, 149, 149, 149,
    149, 149, 149, 140, 140, 140, 140, 140, 164, 164, 164, 164, 164, 164, 164, 164, 167, 167, 163, 163,
    179, 179, 148, 148, 148, 148, 148, 148, 148, 148, 148, 138, 138, 138, 138, 139, 139, 139, 149, 149,
    149, 149, 149, 140, 140, 140, 140, 140, 164, 164, 164, 164, 164, 164, 164, 164, 167, 167, 167, 163,
    180, 180, 148, 148, 148, 148, 148, 148, 148, 148, 148, 148, 138, 138, 139, 139, 139, 139, 139, 181,
    149, 149, 140, 140, 140, 140, 140, 182, 164, 164, 164, 164, 164, 164, 164, 164, 167, 167, 167, 183,
    180, 180, 180, 148, 148, 148, 148, 148, 148, 148, 148, 148, 148, 139, 139, 139, 139, 139, 139, 181,
    181, 181, 140, 140, 140, 140, 140, 182, 164, 164, 164, 164, 164, 164, 164, 168, 167, 167, 167, 167,
    142, 142, 142, 142, 142, 142, 142, 142, 158, 158, 158, 158, 132, 132, 173, 173, 143, 143, 143, 143,
    143, 143, 143, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 141, 141, 141,
    142, 142, 142, 142, 142, 142, 142, 142, 158, 158, 158, 158, 158, 158, 158, 173, 143, 143, 143, 143,
    143, 143, 143, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 141, 141, 141,
    142, 142, 142, 142, 142, 142, 142, 142, 158, 158, 158, 158, 158, 158, 158, 173, 143, 143, 143, 143,
    143, 143, 143, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 141, 141, 141,
    142, 142, 142, 142, 142, 142, 142, 142, 158, 158, 158, 158, 158, 158, 158, 158, 143, 143, 143, 143,
    143, 143, 143, 143, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 141, 141, 141,
    142, 142, 142, 142, 142, 142, 142, 142, 158, 158, 158, 158, 158, 158, 158, 158, 158, 143, 143, 143,
    143, 143, 143, 143, 143, 170, 170, 170, 128, 128, 128, 128, 151, 151, 151, 169, 169, 141, 141, 141,
    142, 142, 142, 142, 142, 142, 142, 174, 158, 158, 158, 158, 158, 158, 158, 158, 158, 143, 143, 143,
    143, 143, 143, 143, 143, 170, 128, 128, 128, 128, 128, 128, 128, 169, 169, 169, 169, 141, 141, 141,
    142, 142, 142, 142, 142, 142, 174, 174, 174, 158, 158, 158, 158, 158, 158, 158, 158, 143, 143, 143,
    143, 143, 143, 143, 184, 170, 170, 128, 128, 128, 128, 128, 128, 169, 169, 169, 169, 141, 141, 141,
    142, 142, 142, 142, 142, 142, 174, 174, 174, 174, 158, 158, 158, 158, 158, 158, 158, 129, 129, 143,
    143, 143, 143, 143, 170, 170, 170, 170, 128, 128, 128, 128, 128, 146, 146, 169, 169, 141, 141, 185,
    142, 142, 142, 142, 142, 174, 174, 174, 174, 174, 158, 158, 158, 158, 158, 158, 158, 152, 171, 171,
    171, 171, 143, 170, 170, 170, 170, 170, 170, 128, 128, 128, 128, 146, 146, 146, 146, 146, 141, 185,
    142, 142, 142, 144, 165, 165, 165, 165, 165, 165, 174, 158, 158, 158, 158, 158, 152, 152, 171, 171,
    171, 171, 171, 170, 170, 170, 170, 170, 170, 128, 128, 128, 146, 146, 146, 146, 146, 146, 141, 185,
    142, 142, 144, 144, 165, 165, 165, 165, 165, 165, 165, 158, 158, 165, 152, 152, 152, 152, 171, 171,
    171, 171, 171, 171, 170, 170, 170, 170, 170, 170, 128, 146, 146, 146, 146, 146, 146, 146, 146, 185,
    144, 144, 144, 144, 165, 165, 165, 165, 165, 165, 165, 165, 165, 165, 152, 152, 152, 152, 171, 171,
    171, 171, 171, 171, 170, 170, 170, 170, 170, 170, 128, 146, 146, 146, 146, 146, 146, 146, 146, 185,
    144, 144, 144, 144, 165, 165, 165, 165, 165, 165, 165, 165, 165, 165, 152, 152, 152, 152, 152, 152,
    171, 171, 171, 171, 171, 170, 170, 170, 170, 170, 170, 146, 146, 146, 146, 146, 146, 146, 146, 186,
    160, 144, 144, 144, 165, 165, 165, 165, 165, 165, 165, 165, 165, 165, 152, 152, 152, 152, 152, 152,
    152, 171, 171, 171, 171, 171, 170, 170, 170, 170, 170, 146, 146, 146, 146, 146, 146, 146, 146, 186,
    160, 160, 160, 144, 165, 165, 165, 165, 165, 165, 165, 165, 165, 159, 152, 152, 152, 152, 152, 152,
    152, 171, 171, 171, 171, 171, 170, 170, 170, 136, 136, 136, 136, 146, 146, 146, 146, 146, 146, 186,
    160, 160, 160, 160, 165, 165, 165, 165, 165, 165, 165, 159, 159, 159, 159, 152, 152, 152, 152, 152,
    152, 171, 171, 171, 171, 171, 171, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 146, 186,
    160, 160, 160, 160, 160, 160, 165, 165, 165, 159, 159, 159, 159, 159, 159, 159, 152, 152, 152, 147,
    147, 147, 171, 171, 171, 171, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133,
    160, 160, 160, 160, 160, 160, 165, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 147, 147, 147,
    147, 147, 147, 147, 171, 171, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133,
    160, 160, 160, 160, 160, 160, 160, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 147, 147, 147,
    147, 147, 147, 147, 147, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133,
    160, 160, 160, 160, 160, 160, 160, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 147, 147, 147,
    147, 147, 147, 147, 166, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133,
    157, 157, 175, 160, 160, 160, 160, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 147, 147,
    147, 147, 166, 166, 166, 166, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133,
    157, 157, 157, 175, 160, 160, 160, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 162, 153,
    153, 166, 166, 166, 166, 166, 136, 136, 136, 136, 136, 136, 136, 136, 136, 155, 155, 133, 133, 133,
    157, 157, 157, 157, 175, 160, 160, 159, 159, 159, 159, 159, 159, 162, 162, 162, 162, 162, 162, 153,
    153, 166, 166, 166, 166, 166, 136, 136, 136, 136, 136, 136, 136, 155, 155, 155, 155, 155, 133, 133,
    157, 157, 157, 157, 175, 160, 160, 159, 159, 159, 159, 162, 162, 162, 162, 162, 162, 162, 162, 153,
    153, 166, 166, 166, 166, 166, 166, 136, 136, 136, 136, 136, 136, 155, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 175, 160, 159, 159, 162, 162, 162, 162, 162, 162, 162, 162, 162, 162, 153,
    153, 166, 166, 166, 166, 154, 154, 136, 136, 136, 136, 136, 136, 155, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 157, 157, 145, 145, 145, 162, 162, 162, 162, 162, 162, 162, 176, 176, 153,
    153, 166, 166, 166, 166, 154, 154, 154, 136, 136, 136, 136, 155, 155, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 157, 157, 172, 145, 145, 145, 145, 162, 162, 162, 162, 162, 176, 176, 176,
    153, 166, 166, 166, 166, 154, 154, 154, 154, 155, 155, 155, 155, 155, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 157, 157, 172, 172, 145, 145, 145, 162, 162, 162, 162, 162, 176, 176, 153,
    153, 153, 166, 154, 154, 154, 154, 154, 154, 154, 155, 155, 155, 155, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 157, 157, 157, 172, 145, 145, 145, 145, 162, 162, 162, 162, 176, 176, 153,
    153, 153, 154, 154, 154, 154, 154, 154, 177, 177, 177, 155, 155, 155, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 157, 157, 157, 172, 172, 145, 145, 172, 172, 172, 172, 162, 178, 176, 176,
    153, 153, 154, 154, 154, 177, 177, 177, 177, 177, 177, 177, 155, 155, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 157, 157, 157, 157, 172, 172, 172, 172, 172, 172, 172, 178, 178, 178, 178,
    149, 149, 177, 177, 177, 177, 177, 177, 177, 177, 177, 177, 155, 155, 155, 155, 155, 155, 155, 163,
    157, 157, 157, 157, 157, 157, 157, 157, 157, 157, 172, 172, 172, 172, 172, 178, 178, 178, 178, 149,
    149, 149, 149, 177, 177, 177, 177, 177, 177, 177, 177, 177, 177, 155, 155, 155, 155, 163, 163, 163,
    157, 157, 157, 157, 157, 157, 157, 157, 157, 157, 172, 172, 138, 178, 178, 178, 178, 178, 178, 149,
    149, 149, 149, 156, 156, 156, 156, 156, 156, 156, 164, 164, 164, 164, 163, 163, 163, 163, 163, 163,
    157, 157, 157, 157, 157, 157, 157, 157, 157, 157, 157, 172, 138, 138, 178, 178, 178, 178, 149, 149,
    149, 149, 149, 156, 156, 156, 156, 156, 156, 164, 164, 164, 164, 164, 164, 163, 163, 163, 163, 163,
    157, 157, 157, 157, 157, 157, 157, 157, 157, 157, 157, 172, 138, 138, 178, 149, 149, 149, 149, 149,
    149, 149, 149, 149, 156, 156, 156, 156, 164, 164, 164, 164, 164, 164, 164, 163, 163, 163, 163, 163,
    157, 157, 157, 157, 157, 157, 157, 157, 157, 157, 157, 157, 138, 138, 178, 149, 149, 149, 149, 149,
    149, 149, 149, 149, 182, 182, 182, 164, 164, 164, 164, 164, 164, 164, 164, 163, 163, 163, 163, 163,
    157, 157, 157, 157, 157, 157, 157, 157, 157, 157, 157, 157, 138, 138, 139, 149, 149, 149, 149, 149,
    149, 149, 149, 140, 182, 182, 182, 164, 164, 164, 164, 164, 164, 164, 164, 164, 167, 167, 163, 163,
    179, 179, 179, 179, 157, 157, 157, 157, 157, 157, 157, 157, 138, 138, 139, 139, 139, 139, 149, 149,
    181, 149, 182, 182, 182, 182, 182, 182, 164, 164, 164, 164, 164, 164, 164, 164, 167, 167, 167, 183,
    180, 180, 180, 187, 148, 148, 148, 148, 148, 148, 148, 148, 138, 138, 139, 139, 139, 181, 181, 181,
    181, 181, 182, 182, 182, 182, 182, 182, 164, 164, 164, 164, 164, 164, 164, 164, 167, 167, 167, 183,
    180, 180, 180, 187, 188, 188, 148, 148, 148, 148, 148, 148, 148, 139, 139, 139, 139, 181, 181, 181,
    181, 181, 182, 182, 182, 182, 182, 182, 164, 164, 164, 164, 164, 164, 164, 168, 167, 167, 167, 167,
    142, 142, 142, 142, 142, 142, 142, 142, 158, 158, 189, 189, 189, 173, 173, 173, 173, 173, 173, 143,
    143, 143, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 141, 141,
    142, 142, 142, 142, 142, 142, 142, 142, 158, 158, 158, 158, 158, 158, 158, 173, 173, 173, 173, 143,
    143, 143, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 141, 141,
    142, 142, 142, 142, 142, 142, 142, 142, 158, 158, 158, 158, 158, 158, 158, 173, 143, 143, 143, 143,
    143, 143, 143, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 141, 141,
    142, 142, 142, 142, 142, 142, 142, 142, 158, 158, 158, 158, 158, 158, 158, 158, 143, 143, 143, 143,
    143, 143, 143, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 141, 141, 141,
    142, 142, 142, 142, 142, 142, 142, 158, 158, 158, 158, 158, 158, 158, 158, 158, 158, 143, 143, 143,
    143, 143, 143, 184, 170, 170, 170, 170, 151, 151, 151, 151, 151, 151, 151, 151, 151, 141, 141, 141,
    142, 142, 142, 142, 142, 142, 142, 174, 158, 158, 158, 158, 158, 158, 158, 158, 158, 143, 143, 143,
    143, 143, 143, 184, 184, 184, 184, 128, 128, 128, 128, 151, 151, 151, 169, 169, 169, 141, 141, 141,
    142, 142, 142, 142, 142, 142, 174, 174, 174, 158, 158, 158, 158, 158, 158, 158, 158, 143, 143, 143,
    143, 143, 143, 184, 184, 184, 170, 170, 128, 128, 128, 128, 169, 169, 169, 169, 169, 169, 141, 141,
    142, 142, 142, 142, 142, 174, 174, 174, 174, 174, 158, 158, 158, 158, 158, 158, 129, 129, 171, 143,
    143, 143, 143, 170, 170, 170, 170, 170, 170, 128, 128, 128, 169, 169, 169, 169, 169, 169, 141, 185,
    142, 142, 142, 142, 174, 174, 174, 174, 174, 174, 158, 158, 158, 158, 158, 158, 158, 171, 171, 171,
    171, 171, 170, 170, 170, 170, 170, 170, 170, 170, 128, 128, 169, 169, 169, 169, 169, 169, 185, 185,
    142, 142, 142, 142, 174, 174, 174, 174, 174, 174, 174, 174, 174, 158, 158, 158, 152, 171, 171, 171,
    171, 171, 171, 170, 170, 170, 170, 170, 170, 170, 128, 146, 146, 146, 146, 146, 146, 146, 185, 185,
    142, 142, 142, 144, 165, 165, 174, 174, 165, 165, 165, 165, 165, 165, 152, 152, 152, 171, 171, 171,
    171, 171, 171, 171, 170, 170, 170, 170, 170, 170, 170, 146, 146, 146, 146, 146, 146, 146, 185, 185,
    142, 165, 165, 165, 165, 165, 174, 174, 165, 165, 165, 165, 165, 165, 152, 152, 152, 171, 171, 171,
    171, 171, 171, 171, 170, 170, 170, 170, 170, 170, 170, 146, 146, 146, 146, 146, 146, 146, 185, 185,
    165, 165, 165, 165, 165, 165, 174, 174, 165, 165, 165, 165, 165, 165, 152, 152, 152, 152, 171, 171,
    171, 171, 171, 171, 171, 170, 170, 170, 170, 170, 170, 146, 146, 146, 146, 146, 146, 146, 185, 185,
    160, 165, 165, 165, 165, 165, 174, 174, 165, 165, 165, 165, 165, 165, 152, 152, 152, 152, 171, 171,
    171, 171, 171, 171, 171, 170, 170, 170, 170, 170, 170, 146, 146, 146, 146, 146, 146, 146, 185, 186,
    160, 160, 160, 165, 165, 165, 174, 174, 165, 165, 165, 159, 159, 159, 152, 152, 152, 152, 152, 171,
    171, 171, 171, 171, 171, 171, 170, 170, 170, 170, 170, 146, 146, 146, 146, 146, 146, 146, 186, 186,
    160, 160, 160, 160, 165, 165, 159, 159, 165, 165, 159, 159, 159, 159, 159, 152, 152, 152, 152, 152,
    171, 171, 171, 171, 171, 171, 171, 170, 170, 136, 136, 136, 136, 136, 136, 136, 136, 146, 146, 186,
    160, 160, 160, 160, 160, 160, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 152, 152, 152, 152,
    171, 171, 171, 171, 171, 171, 171, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 146, 190,
    160, 160, 160, 160, 160, 160, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 147, 147, 147,
    147, 147, 171, 171, 171, 171, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133,
    175, 175, 160, 160, 160, 160, 160, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 147, 147, 147,
    147, 147, 147, 171, 171, 171, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133,
    175, 175, 175, 175, 160, 160, 160, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 147, 147,
    147, 147, 147, 166, 166, 166, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133,
    157, 157, 175, 175, 175, 175, 160, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 147, 147,
    147, 166, 166, 166, 166, 166, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 133, 133, 133, 133,
    157, 157, 157, 175, 175, 175, 160, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 176, 153,
    166, 166, 166, 166, 166, 166, 136, 136, 136, 136, 136, 136, 136, 136, 136, 155, 155, 155, 133, 133,
    157, 157, 157, 157, 175, 175, 175, 159, 159, 159, 159, 159, 159, 159, 159, 159, 162, 162, 176, 153,
    166, 166, 166, 166, 166, 166, 166, 136, 136, 136, 136, 136, 136, 155, 155, 155, 155, 155, 155, 133,
    157, 157, 157, 157, 175, 175, 175, 159, 159, 159, 159, 159, 162, 162, 162, 162, 162, 162, 176, 153,
    166, 166, 166, 166, 166, 166, 166, 136, 136, 136, 136, 136, 136, 155, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 175, 175, 159, 159, 159, 162, 162, 162, 162, 162, 162, 162, 162, 176, 153,
    166, 166, 166, 166, 166, 166, 154, 154, 136, 136, 136, 136, 155, 155, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 191, 191, 159, 162, 162, 162, 162, 162, 162, 162, 162, 162, 176, 176, 176,
    153, 166, 166, 166, 166, 154, 154, 154, 136, 136, 155, 155, 155, 155, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 157, 157, 145, 145, 162, 162, 162, 162, 162, 162, 162, 162, 176, 176, 176,
    153, 166, 166, 166, 166, 154, 154, 154, 154, 155, 155, 155, 155, 155, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 157, 157, 157, 172, 145, 162, 162, 162, 162, 162, 162, 162, 176, 176, 176,
    176, 166, 166, 154, 154, 154, 154, 154, 154, 154, 155, 155, 155, 155, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 157, 157, 157, 157, 145, 145, 162, 162, 162, 162, 162, 176, 176, 176, 176,
    176, 166, 154, 154, 154, 154, 154, 177, 177, 177, 177, 177, 155, 155, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 157, 157, 157, 157, 172, 172, 172, 172, 172, 172, 172, 178, 178, 178, 176,
    176, 166, 154, 154, 177, 177, 177, 177, 177, 177, 177, 177, 155, 155, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 157, 157, 157, 157, 172, 172, 172, 172, 172, 172, 172, 178, 178, 178, 178,
    178, 178, 177, 177, 177, 177, 177, 177, 177, 177, 177, 177, 177, 155, 155, 155, 155, 155, 163, 163,
    157, 157, 157, 157, 157, 157, 157, 157, 157, 172, 172, 172, 172, 172, 172, 178, 178, 178, 178, 178,
    178, 149, 177, 177, 177, 177, 177, 177, 177, 177, 177, 177, 177, 164, 155, 155, 163, 163, 163, 163,
    157, 157, 157, 157, 157, 157, 157, 157, 157, 157, 172, 172, 172, 178, 178, 178, 178, 178, 178, 178,
    178, 149, 149, 177, 177, 177, 177, 177, 177, 164, 164, 164, 164, 164, 164, 163, 163, 163, 163, 163,
    157, 157, 157, 157, 157, 157, 157, 157, 157, 157, 157, 172, 172, 178, 178, 178, 178, 178, 178, 178,
    178, 149, 149, 177, 177, 177, 177, 177, 177, 164, 164, 164, 164, 164, 164, 163, 163, 163, 163, 163,
    157, 157, 157, 157, 157, 157, 157, 157, 157, 157, 157, 157, 172, 178, 178, 178, 178, 178, 178, 149,
    149, 149, 149, 182, 182, 177, 177, 177, 164, 164, 164, 164, 164, 164, 164, 163, 163, 163, 163, 163,
    157, 157, 157, 157, 157, 157, 157, 157, 157, 157, 157, 157, 172, 178, 178, 178, 178, 178, 178, 149,
    149, 149, 149, 182, 182, 182, 182, 164, 164, 164, 164, 164, 164, 164, 164, 163, 163, 163, 163, 163,
    179, 179, 179, 179, 157, 157, 157, 157, 157, 157, 157, 157, 138, 138, 149, 149, 149, 149, 149, 149,
    149, 149, 149, 182, 182, 182, 182, 164, 164, 164, 164, 164, 164, 164, 164, 164, 167, 167, 163, 163,
    179, 179, 179, 179, 157, 157, 157, 157, 157, 157, 157, 157, 157, 138, 139, 139, 139, 139, 149, 181,
    181, 181, 181, 182, 182, 182, 182, 164, 164, 164, 164, 164, 164, 164, 164, 164, 167, 167, 167, 183,
    180, 180, 180, 187, 187, 148, 148, 148, 148, 148, 188, 188, 188, 181, 181, 181, 181, 181, 181, 181,
    181, 181, 182, 182, 182, 182, 182, 164, 164, 164, 164, 164, 164, 164, 164, 164, 167, 167, 167, 183,
    180, 180, 180, 187, 188, 188, 188, 188, 188, 188, 188, 188, 188, 181, 181, 181, 181, 181, 181, 181,
    181, 181, 182, 182, 182, 182, 182, 182, 164, 164, 164, 164, 164, 164, 164, 168, 167, 167, 167, 167,
    142, 142, 142, 142, 142, 142, 142, 142, 142, 158, 189, 189, 189, 173, 173, 173, 173, 173, 173, 173,
    173, 173, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 141,
    142, 142, 142, 142, 142, 142, 142, 142, 158, 158, 158, 189, 189, 173, 173, 173, 173, 173, 173, 173,
    173, 173, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 141,
    142, 142, 142, 142, 142, 142, 142, 142, 158, 158, 158, 158, 158, 158, 173, 173, 173, 173, 173, 173,
    173, 143, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 141, 141,
    142, 142, 142, 142, 142, 142, 142, 142, 158, 158, 158, 158, 158, 158, 158, 173, 173, 173, 173, 173,
    173, 192, 192, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 141, 141,
    142, 142, 142, 142, 142, 142, 142, 174, 158, 158, 158, 158, 158, 158, 158, 173, 173, 173, 173, 173,
    173, 192, 192, 170, 170, 170, 170, 170, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 141, 141,
    142, 142, 142, 142, 142, 142, 174, 174, 174, 158, 158, 158, 158, 158, 158, 158, 173, 173, 173, 143,
    173, 192, 184, 184, 184, 184, 184, 170, 170, 151, 151, 151, 151, 151, 151, 169, 169, 169, 141, 141,
    142, 142, 142, 142, 142, 142, 174, 174, 174, 174, 158, 158, 158, 158, 158, 158, 173, 173, 173, 143,
    143, 192, 184, 184, 184, 184, 184, 170, 170, 170, 128, 169, 169, 169, 169, 169, 169, 169, 141, 185,
    142, 142, 142, 142, 142, 174, 174, 174, 174, 174, 174, 158, 158, 158, 158, 158, 129, 143, 143, 143,
    143, 192, 184, 184, 184, 170, 170, 170, 170, 170, 170, 169, 169, 169, 169, 169, 169, 169, 185, 185,
    142, 142, 142, 142, 174, 174, 174, 174, 174, 174, 174, 174, 158, 158, 158, 158, 171, 171, 171, 171,
    171, 171, 184, 170, 170, 170, 170, 170, 170, 170, 170, 169, 169, 169, 169, 169, 169, 169, 185, 185,
    142, 142, 142, 142, 174, 174, 174, 174, 174, 174, 174, 174, 174, 158, 158, 158, 152, 171, 171, 171,
    171, 171, 171, 170, 170, 170, 170, 170, 170, 170, 170, 146, 146, 146, 146, 146, 146, 169, 185, 185,
    142, 142, 142, 165, 174, 174, 174, 174, 174, 174, 174, 174, 174, 174, 174, 152, 152, 171, 171, 171,
    171, 171, 171, 170, 170, 170, 170, 170, 170, 170, 170, 146, 146, 146, 146, 146, 146, 146, 185, 185,
    142, 165, 165, 165, 165, 174, 174, 174, 165, 165, 165, 165, 165, 165, 152, 152, 152, 171, 171, 171,
    171, 171, 171, 171, 170, 170, 170, 170, 170, 170, 170, 146, 146, 146, 146, 146, 146, 146, 185, 185,
    142, 165, 165, 165, 165, 174, 174, 174, 165, 165, 165, 165, 165, 165, 152, 152, 152, 171, 171, 171,
    171, 171, 171, 171, 171, 170, 170, 170, 170, 170, 170, 170, 146, 146, 146, 146, 146, 146, 185, 185,
    160, 165, 165, 165, 165, 174, 174, 174, 165, 165, 165, 165, 165, 165, 152, 152, 152, 152, 171, 171,
    171, 171, 171, 171, 171, 170, 170, 170, 170, 170, 170, 170, 146, 146, 146, 146, 146, 146, 185, 185,
    160, 160, 165, 165, 165, 165, 174, 174, 165, 165, 165, 159, 159, 159, 152, 152, 152, 152, 171, 171,
    171, 171, 171, 171, 171, 171, 170, 170, 170, 170, 170, 170, 146, 146, 146, 146, 146, 146, 185, 185,
    175, 175, 175, 175, 165, 165, 174, 159, 165, 165, 159, 159, 159, 159, 159, 152, 152, 152, 152, 171,
    171, 171, 171, 171, 171, 171, 171, 170, 170, 170, 136, 136, 136, 136, 136, 136, 146, 146, 185, 190,
    175, 175, 175, 175, 175, 165, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 152, 152, 152, 171,
    171, 171, 171, 171, 171, 171, 171, 170, 136, 136, 136, 136, 136, 136, 136, 136, 193, 193, 193, 190,
    175, 175, 175, 175, 175, 160, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 152, 147, 171,
    171, 171, 171, 171, 171, 171, 171, 136, 136, 136, 136, 136, 136, 136, 136, 136, 193, 193, 193, 193,
    175, 175, 175, 175, 175, 175, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 147, 147, 147,
    147, 171, 171, 171, 171, 171, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 193, 193, 193, 193,
    175, 175, 175, 175, 175, 175, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 147, 147,
    147, 147, 166, 166, 166, 166, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 193, 193, 193, 193,
    157, 157, 175, 175, 175, 175, 175, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 176, 147,
    166, 166, 166, 166, 166, 166, 166, 136, 136, 136, 136, 136, 193, 193, 193, 193, 193, 193, 193, 193,
    157, 157, 157, 175, 175, 175, 175, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 176, 176, 176,
    166, 166, 166, 166, 166, 166, 166, 136, 136, 136, 136, 136, 193, 193, 193, 193, 193, 193, 193, 193,
    157, 157, 157, 157, 175, 175, 175, 159, 159, 159, 159, 159, 159, 159, 159, 159, 162, 176, 176, 176,
    166, 166, 166, 166, 166, 166, 166, 136, 136, 136, 136, 136, 193, 193, 193, 193, 193, 193, 193, 193,
    157, 157, 157, 157, 175, 175, 175, 175, 159, 159, 159, 159, 159, 159, 162, 162, 162, 176, 176, 176,
    166, 166, 166, 166, 166, 166, 166, 154, 136, 136, 136, 136, 193, 193, 193, 193, 193, 193, 155, 155,
    157, 157, 157, 157, 157, 175, 175, 175, 159, 159, 162, 162, 162, 162, 162, 162, 162, 176, 176, 176,
    166, 166, 166, 166, 166, 166, 154, 154, 136, 136, 136, 136, 155, 155, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 191, 191, 191, 159, 162, 162, 162, 162, 162, 162, 162, 176, 176, 176, 176,
    176, 166, 166, 166, 166, 166, 154, 154, 154, 155, 155, 155, 155, 155, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 157, 191, 191, 191, 162, 162, 162, 162, 162, 162, 162, 176, 176, 176, 176,
    176, 166, 166, 166, 166, 166, 154, 154, 154, 154, 155, 155, 155, 155, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 157, 157, 157, 157, 162, 162, 162, 162, 162, 162, 162, 176, 176, 176, 176,
    176, 166, 166, 154, 154, 154, 154, 154, 154, 177, 177, 155, 155, 155, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 157, 157, 157, 157, 172, 162, 162, 162, 162, 162, 176, 176, 176, 176, 176,
    176, 166, 154, 154, 154, 154, 177, 177, 177, 177, 177, 177, 155, 155, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 157, 157, 157, 157, 172, 172, 172, 172, 172, 172, 172, 178, 178, 178, 176,
    176, 176, 154, 177, 177, 177, 177, 177, 177, 177, 177, 177, 177, 155, 155, 155, 155, 155, 155, 163,
    157, 157, 157, 157, 157, 157, 157, 157, 157, 157, 172, 172, 172, 172, 172, 172, 178, 178, 178, 178,
    178, 178, 177, 177, 177, 177, 177, 177, 177, 177, 177, 177, 177, 177, 155, 155, 155, 163, 163, 163,
    157, 157, 157, 157, 157, 157, 157, 157, 157, 157, 172, 172, 172, 172, 172, 178, 178, 178, 178, 178,
    178, 178, 177, 177, 177, 177, 177, 177, 177, 194, 194, 194, 164, 164, 164, 163, 163, 163, 163, 163,
    179, 179, 179, 157, 179, 157, 157, 157, 157, 157, 172, 172, 172, 172, 178, 178, 178, 178, 178, 178,
    178, 178, 178, 177, 177, 177, 177, 177, 194, 194, 164, 164, 164, 164, 164, 163, 163, 163, 163, 163,
    179, 179, 179, 157, 157, 157, 157, 157, 157, 157, 157, 172, 172, 172, 178, 178, 178, 178, 178, 178,
    178, 178, 195, 177, 177, 177, 177, 177, 164, 164, 164, 164, 164, 164, 164, 163, 163, 163, 163, 163,
    179, 179, 179, 157, 157, 157, 157, 157, 157, 157, 157, 172, 172, 172, 178, 178, 178, 178, 178, 195,
    195, 195, 195, 182, 182, 177, 177, 164, 164, 164, 164, 164, 164, 164, 164, 163, 163, 163, 163, 163,
    179, 179, 179, 157, 157, 157, 157, 157, 157, 157, 157, 157, 172, 172, 178, 178, 178, 178, 178, 195,
    195, 195, 195, 182, 182, 182, 164, 164, 164, 164, 164, 164, 164, 164, 164, 163, 163, 163, 163, 163,
    179, 179, 179, 179, 157, 157, 157, 157, 157, 157, 157, 157, 157, 181, 181, 181, 181, 181, 181, 195,
    195, 195, 195, 182, 182, 182, 164, 164, 164, 164, 164, 164, 164, 164, 164, 164, 163, 163, 163, 163,
    179, 179, 179, 179, 179, 157, 157, 157, 157, 157, 157, 157, 157, 181, 181, 181, 181, 181, 181, 181,
    181, 181, 181, 181, 182, 182, 182, 164, 164, 164, 164, 164, 164, 164, 164, 164, 167, 167, 167, 183,
    180, 179, 187, 187, 187, 187, 157, 188, 188, 188, 196, 188, 188, 181, 181, 181, 181, 181, 181, 181,
    181, 181, 182, 182, 182, 182, 182, 164, 164, 164, 164, 164, 164, 164, 164, 164, 167, 167, 167, 183,
    180, 180, 187, 187, 188, 188, 188, 188, 188, 188, 196, 188, 188, 181, 181, 181, 181, 181, 181, 181,
    181, 181, 182, 182, 182, 182, 182, 164, 164, 164, 164, 164, 164, 164, 164, 168, 167, 167, 167, 167,
    142, 142, 142, 142, 142, 142, 189, 189, 189, 189, 189, 189, 189, 173, 173, 173, 173, 173, 173, 173,
    173, 173, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 197,
    142, 142, 142, 142, 142, 142, 189, 189, 189, 189, 189, 189, 189, 173, 173, 173, 173, 173, 173, 173,
    173, 173, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 197,
    142, 142, 142, 142, 142, 142, 189, 189, 189, 189, 189, 189, 189, 173, 173, 173, 173, 173, 173, 173,
    173, 173, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 141,
    142, 142, 142, 142, 142, 142, 174, 174, 158, 158, 158, 158, 158, 158, 173, 173, 173, 173, 173, 173,
    173, 192, 192, 151, 151, 151, 151, 170, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 141,
    142, 142, 142, 142, 142, 142, 174, 174, 174, 158, 158, 158, 158, 158, 173, 173, 173, 173, 173, 173,
    173, 192, 192, 173, 151, 151, 151, 170, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 141, 141,
    142, 142, 142, 142, 142, 142, 174, 174, 174, 174, 158, 158, 158, 158, 173, 173, 173, 173, 173, 173,
    173, 192, 192, 184, 184, 184, 170, 170, 170, 151, 151, 151, 151, 151, 151, 151, 169, 169, 169, 185,
    142, 142, 142, 142, 142, 174, 174, 174, 174, 174, 174, 158, 158, 158, 158, 173, 173, 173, 173, 192,
    192, 192, 192, 184, 184, 184, 184, 170, 170, 170, 151, 151, 151, 151, 169, 169, 169, 169, 185, 185,
    142, 142, 142, 142, 174, 174, 174, 174, 174, 174, 174, 174, 158, 158, 158, 158, 192, 192, 192, 192,
    192, 192, 192, 184, 184, 184, 170, 170, 170, 170, 170, 151, 169, 169, 169, 169, 169, 169, 185, 185,
    142, 142, 142, 142, 174, 174, 174, 174, 174, 174, 174, 174, 174, 158, 158, 198, 198, 198, 171, 171,
    171, 192, 192, 184, 170, 170, 170, 170, 170, 170, 170, 170, 169, 169, 169, 169, 169, 169, 185, 185,
    142, 142, 142, 174, 174, 174, 174, 174, 174, 174, 174, 174, 174, 174, 158, 158, 198, 198, 171, 171,
    171, 171, 192, 170, 170, 170, 170, 170, 170, 170, 170, 170, 169, 169, 169, 169, 169, 185, 185, 185,
    142, 142, 142, 174, 174, 174, 174, 174, 174, 174, 174, 174, 174, 174, 174, 198, 198, 198, 171, 171,
    171, 171, 171, 170, 170, 170, 170, 170, 170, 170, 170, 170, 146, 146, 146, 146, 146, 185, 185, 185,
    142, 165, 165, 165, 165, 174, 174, 174, 165, 165, 165, 165, 165, 165, 152, 198, 198, 198, 171, 171,
    171, 171, 171, 171, 170, 170, 170, 170, 170, 170, 170, 170, 146, 146, 146, 146, 146, 146, 185, 185,
    142, 165, 165, 165, 165, 174, 174, 174, 165, 165, 165, 165, 165, 165, 152, 198, 198, 198, 171, 171,
    171, 171, 171, 171, 171, 170, 170, 170, 170, 170, 170, 170, 146, 146, 146, 146, 146, 146, 185, 185,
    160, 165, 165, 165, 165, 174, 174, 174, 165, 165, 165, 159, 165, 165, 152, 198, 198, 198, 171, 171,
    171, 171, 171, 171, 171, 170, 170, 170, 170, 170, 170, 170, 146, 146, 146, 146, 146, 146, 185, 185,
    175, 175, 175, 165, 165, 165, 174, 174, 165, 165, 165, 159, 159, 159, 152, 198, 198, 198, 171, 171,
    171, 171, 171, 171, 171, 171, 170, 170, 170, 170, 170, 170, 146, 146, 146, 146, 146, 146, 185, 185,
    175, 175, 175, 175, 175, 165, 174, 159, 159, 159, 159, 159, 159, 159, 159, 198, 198, 198, 171, 171,
    171, 171, 171, 171, 171, 171, 171, 170, 170, 170, 170, 193, 136, 136, 193, 193, 193, 146, 199, 199,
    175, 175, 175, 175, 175, 165, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 198, 198, 171, 171,
    171, 171, 171, 171, 171, 171, 171, 170, 170, 136, 193, 193, 136, 136, 193, 193, 193, 193, 199, 199,
    175, 175, 175, 175, 175, 175, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 198, 171, 171,
    171, 171, 171, 171, 171, 171, 171, 171, 136, 136, 193, 193, 136, 136, 193, 193, 193, 193, 193, 199,
    175, 175, 175, 175, 175, 175, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 171, 171,
    171, 171, 171, 171, 171, 171, 171, 136, 136, 193, 193, 193, 136, 136, 193, 193, 193, 193, 193, 193,
    175, 175, 175, 175, 175, 175, 175, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 147, 147,
    147, 171, 171, 200, 200, 200, 200, 136, 136, 193, 193, 193, 193, 193, 193, 193, 193, 193, 193, 193,
    175, 175, 175, 175, 175, 175, 175, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 176, 176, 176,
    166, 166, 166, 166, 166, 166, 166, 136, 136, 136, 136, 193, 193, 193, 193, 193, 193, 193, 193, 193,
    157, 157, 157, 175, 175, 175, 175, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 176, 176, 176,
    166, 166, 166, 166, 166, 166, 166, 136, 136, 136, 136, 193, 193, 193, 193, 193, 193, 193, 193, 193,
    157, 157, 157, 157, 175, 175, 175, 175, 159, 159, 159, 159, 159, 159, 159, 159, 176, 176, 176, 176,
    166, 166, 166, 166, 166, 166, 166, 136, 136, 136, 136, 193, 193, 193, 193, 193, 193, 193, 193, 193,
    157, 157, 157, 157, 175, 175, 175, 175, 159, 159, 159, 159, 159, 159, 162, 162, 176, 176, 176, 176,
    176, 166, 166, 166, 166, 166, 166, 154, 193, 193, 193, 193, 193, 193, 193, 193, 193, 193, 193, 193,
    157, 157, 157, 157, 157, 175, 175, 191, 159, 159, 159, 159, 162, 162, 162, 162, 176, 176, 176, 176,
    176, 166, 166, 166, 166, 166, 154, 154, 154, 193, 193, 193, 193, 193, 193, 193, 193, 193, 155, 155,
    157, 157, 157, 157, 157, 191, 191, 191, 191, 162, 162, 162, 162, 162, 162, 176, 176, 176, 176, 176,
    176, 166, 166, 166, 166, 166, 154, 154, 154, 154, 193, 193, 193, 193, 193, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 157, 191, 191, 191, 162, 162, 162, 162, 162, 162, 176, 176, 176, 176, 176,
    176, 166, 166, 166, 166, 166, 154, 154, 154, 154, 154, 193, 193, 155, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 157, 191, 191, 191, 191, 162, 162, 162, 162, 162, 176, 176, 176, 176, 176,
    176, 176, 166, 154, 154, 154, 154, 154, 177, 177, 177, 177, 155, 155, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 157, 157, 157, 157, 157, 162, 162, 162, 162, 176, 176, 176, 176, 176, 176,
    176, 176, 154, 154, 154, 177, 177, 177, 177, 177, 177, 177, 155, 155, 155, 155, 155, 155, 155, 155,
    157, 157, 157, 157, 157, 157, 157, 157, 157, 157, 172, 172, 162, 162, 178, 178, 178, 178, 178, 176,
    176, 176, 177, 177, 177, 177, 177, 177, 177, 177, 177, 177, 194, 155, 155, 155, 155, 155, 155, 163,
    179, 179, 179, 179, 157, 157, 157, 157, 157, 157, 172, 172, 172, 162, 178, 178, 178, 178, 178, 178,
    178, 178, 177, 177, 177, 177, 177, 177, 177, 194, 194, 194, 194, 194, 155, 155, 155, 163, 163, 163,
    179, 179, 179, 179, 179, 157, 157, 157, 157, 157, 172, 172, 172, 172, 178, 178, 178, 178, 178, 178,
    178, 178, 177, 177, 177, 177, 194, 194, 194, 194, 194, 194, 194, 194, 164, 163, 163, 163, 163, 163,
    179, 179, 179, 179, 179, 157, 157, 157, 157, 157, 157, 172, 172, 172, 178, 178, 178, 178, 178, 178,
    178, 178, 177, 177, 177, 177, 194, 194, 194, 194, 194, 194, 194, 164, 164, 163, 163, 163, 163, 163,
    179, 179, 179, 179, 179, 157, 157, 157, 157, 157, 157, 172, 172, 172, 178, 178, 178, 178, 178, 178,
    178, 195, 195, 177, 177, 177, 194, 194, 194, 194, 164, 164, 164, 164, 164, 163, 163, 163, 163, 163,
    179, 179, 179, 179, 179, 179, 157, 157, 157, 157, 157, 172, 172, 172, 178, 178, 178, 178, 178, 195,
    195, 195, 195, 182, 182, 177, 194, 194, 164, 164, 164, 164, 164, 164, 164, 163, 163, 163, 163, 163,
    179, 179, 179, 179, 179, 179, 157, 157, 157, 157, 157, 157, 172, 178, 178, 178, 178, 178, 195, 195,
    195, 195, 195, 182, 182, 182, 164, 164, 164, 164, 164, 164, 164, 164, 164, 164, 163, 163, 163, 163,
    179, 179, 179, 179, 179, 179, 157, 157, 157, 157, 157, 157, 157, 178, 181, 181, 181, 181, 181, 195,
    195, 195, 195, 182, 182, 182, 164, 164, 164, 164, 164, 164, 164, 164, 164, 164, 163, 163, 163, 163,
    179, 179, 179, 179, 179, 179, 157, 157, 188, 188, 196, 196, 157, 181, 181, 181, 181, 181, 181, 195,
    195, 195, 195, 195, 182, 182, 182, 164, 164, 164, 164, 164, 164, 164, 164, 164, 183, 183, 183, 183,
    179, 187, 187, 187, 179, 179, 188, 188, 188, 188, 196, 196, 196, 181, 181, 181, 181, 181, 181, 181,
    181, 181, 181, 181, 182, 182, 182, 164, 164, 164, 164, 164, 164, 164, 164, 168, 183, 183, 183, 183,
    180, 180, 179, 187, 187, 179, 188, 188, 188, 188, 196, 196, 196, 181, 181, 181, 181, 181, 181, 181,
    181, 181, 182, 182, 182, 182, 182, 164, 164, 164, 164, 164, 164, 164, 168, 168, 167, 167, 167, 183,
    142, 142, 142, 142, 142, 189, 189, 189, 189, 189, 189, 189, 189, 173, 173, 173, 173, 173, 173, 173,
    173, 173, 173, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 197,
    142, 142, 142, 142, 142, 189, 189, 189, 189, 189, 189, 189, 189, 173, 173, 173, 173, 173, 173, 173,
    173, 173, 173, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 197,
    142, 142, 142, 142, 142, 189, 189, 189, 189, 189, 189, 189, 189, 173, 173, 173, 173, 173, 173, 173,
    173, 173, 173, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 197,
    142, 142, 142, 142, 142, 189, 189, 189, 189, 189, 189, 189, 173, 173, 173, 173, 173, 173, 173, 173,
    173, 192, 192, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 197,
    142, 142, 142, 142, 142, 174, 174, 174, 174, 158, 158, 158, 158, 173, 173, 173, 173, 173, 173, 173,
    173, 192, 192, 173, 151, 151, 151, 170, 170, 170, 151, 151, 151, 151, 151, 151, 151, 151, 151, 185,
    142, 142, 142, 142, 142, 174, 174, 174, 174, 174, 158, 158, 158, 173, 173, 173, 173, 173, 173, 173,
    173, 192, 192, 184, 184, 184, 151, 170, 170, 170, 151, 151, 151, 151, 151, 151, 151, 169, 169, 185,
    142, 142, 142, 142, 142, 174, 174, 174, 174, 174, 174, 158, 158, 158, 173, 173, 173, 173, 173, 192,
    192, 192, 192, 184, 184, 184, 184, 170, 170, 170, 151, 151, 151, 151, 151, 169, 169, 169, 185, 185,
    142, 142, 142, 142, 174, 174, 174, 174, 174, 174, 174, 174, 158, 158, 173, 173, 201, 201, 201, 192,
    192, 192, 192, 184, 184, 184, 184, 170, 170, 170, 170, 151, 151, 151, 169, 169, 169, 169, 185, 185,
    142, 142, 142, 174, 174, 174, 174, 174, 174, 174, 174, 174, 174, 158, 158, 198, 198, 198, 198, 198,
    192, 192, 192, 184, 184, 170, 170, 170, 170, 170, 170, 170, 169, 169, 169, 169, 169, 185, 185, 185,
    142, 142, 142, 174, 174, 174, 174, 174, 174, 174, 174, 174, 174, 174, 202, 198, 198, 198, 198, 198,
    171, 171, 192, 170, 170, 170, 170, 170, 170, 170, 170, 170, 170, 169, 169, 169, 203, 203, 185, 185,
    142, 142, 174, 174, 174, 174, 174, 174, 174, 174, 174, 174, 174, 174, 174, 198, 198, 198, 198, 198,
    171, 171, 171, 170, 170, 170, 170, 170, 170, 170, 170, 170, 170, 146, 146, 203, 203, 203, 185, 185,
    142, 174, 174, 174, 174, 174, 174, 174, 174, 174, 174, 174, 174, 174, 198, 198, 198, 198, 198, 198,
    171, 171, 171, 171, 170, 170, 170, 170, 170, 170, 170, 170, 170, 146, 146, 146, 203, 203, 185, 185,
    175, 165, 165, 165, 165, 174, 174, 174, 165, 165, 165, 165, 165, 165, 198, 198, 198, 198, 198, 198,
    171, 171, 171, 171, 170, 170, 170, 170, 170, 170, 170, 170, 170, 146, 146, 146, 203, 203, 185, 185,
    175, 175, 175, 165, 165, 174, 174, 174, 165, 165, 165, 159, 159, 165, 198, 198, 198, 198, 198, 198,
    171, 171, 171, 171, 171, 170, 170, 170, 170, 170, 170, 170, 170, 146, 146, 146, 203, 203, 199, 199,
    175, 175, 175, 175, 165, 165, 174, 174, 165, 165, 159, 159, 159, 159, 198, 198, 198, 198, 198, 198,
    171, 171, 171, 171, 171, 171, 170, 170, 170, 170, 170, 170, 170, 146, 146, 146, 203, 203, 199, 199,
    175, 175, 175, 175, 175, 165, 174, 159, 159, 159, 159, 159, 159, 159, 159, 198, 198, 198, 198, 198,
    171, 171, 171, 171, 171, 171, 170, 170, 170, 170, 170, 170, 193, 193, 193, 193, 199, 199, 199, 199,
    175, 175, 175, 175, 175, 175, 159, 159, 159, 159, 159, 159, 159, 159, 159, 198, 198, 198, 198, 198,
    171, 171, 171, 171, 171, 171, 171, 170, 170, 170, 193, 193, 193, 193, 193, 193, 193, 199, 199, 199,
    175, 175, 175, 175, 175, 175, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 198, 198, 198, 198,
    171, 171, 171, 171, 171, 171, 171, 171, 170, 193, 193, 193, 193, 193, 193, 193, 193, 193, 199, 199,
    175, 175, 175, 175, 175, 175, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 198, 198, 198,
    171, 171, 171, 171, 171, 171, 171, 200, 193, 193, 193, 193, 193, 193, 193, 193, 193, 193, 193, 199,
    175, 175, 175, 175, 175, 175, 175, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 204, 204, 200,
    200, 200, 200, 200, 200, 200, 200, 200, 193, 193, 193, 193, 193, 193, 193, 193, 193, 193, 193, 205,
    175, 175, 175, 175, 175, 175, 175, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 176, 204, 200,
    200, 200, 200, 200, 200, 200, 200, 200, 193, 193, 193, 193, 193, 193, 193, 193, 193, 193, 193, 205,
    175, 175, 175, 175, 175, 175, 175, 175, 159, 159, 159, 159, 159, 159, 159, 159, 176, 176, 176, 176,
    200, 200, 200, 200, 200, 200, 200, 200, 193, 193, 193, 193, 193, 193, 193, 193, 193, 193, 193, 205,
    157, 175, 175, 175, 175, 175, 175, 175, 159, 159, 159, 159, 159, 159, 162, 176, 176, 176, 176, 176,
    200, 200, 200, 200, 200, 200, 200, 200, 193, 193, 193, 193, 193, 193, 193, 193, 193, 193, 193, 205,
    157, 175, 175, 175, 175, 175, 175, 191, 191, 159, 159, 159, 159, 159, 162, 176, 176, 176, 176, 176,
    176, 166, 166, 166, 166, 166, 166, 166, 193, 193, 193, 193, 193, 193, 193, 193, 193, 193, 193, 205,
    175, 175, 175, 175, 175, 175, 191, 191, 191, 159, 159, 162, 162, 162, 162, 176, 176, 176, 176, 176,
    176, 166, 166, 166, 166, 166, 166, 154, 154, 193, 193, 193, 193, 193, 193, 193, 193, 193, 193, 205,
    175, 175, 175, 175, 175, 191, 191, 191, 191, 162, 162, 162, 162, 162, 176, 176, 176, 176, 176, 176,
    176, 166, 166, 166, 166, 166, 166, 154, 154, 154, 193, 193, 193, 193, 193, 193, 193, 193, 205, 205,
    175, 175, 175, 175, 191, 191, 191, 191, 191, 191, 162, 162, 162, 162, 176, 176, 176, 176, 176, 176,
    176, 166, 166, 166, 166, 166, 154, 154, 154, 154, 177, 193, 193, 193, 193, 155, 155, 155, 155, 206,
    175, 175, 157, 157, 191, 191, 191, 191, 191, 191, 162, 162, 162, 162, 176, 176, 176, 176, 176, 176,
    176, 176, 166, 166, 154, 154, 154, 177, 177, 177, 177, 194, 193, 155, 155, 155, 155, 155, 206, 206,
    179, 179, 179, 179, 157, 191, 157, 207, 207, 157, 162, 162, 162, 162, 176, 176, 176, 176, 176, 176,
    176, 176, 166, 154, 154, 177, 177, 177, 177, 177, 194, 194, 194, 155, 155, 155, 155, 206, 206, 206,
    179, 179, 179, 179, 157, 157, 157, 207, 207, 157, 172, 172, 162, 162, 178, 178, 178, 178, 178, 176,
    176, 176, 177, 177, 177, 177, 177, 177, 177, 194, 194, 194, 194, 194, 155, 155, 206, 206, 206, 206,
    179, 179, 179, 179, 157, 157, 157, 207, 207, 157, 172, 172, 172, 178, 178, 178, 178, 178, 178, 178,
    178, 178, 208, 177, 177, 177, 194, 194, 194, 194, 194, 194, 194, 194, 209, 163, 163, 163, 163, 163,
    179, 179, 179, 179, 179, 157, 157, 207, 207, 157, 157, 172, 172, 172, 178, 178, 178, 178, 178, 178,
    178, 178, 208, 177, 177, 194, 194, 194, 194, 194, 194, 194, 194, 194, 209, 163, 163, 163, 163, 163,
    179, 179, 179, 179, 179, 157, 157, 157, 207, 157, 157, 172, 172, 172, 178, 178, 178, 178, 178, 178,
    178, 178, 208, 177, 177, 194, 194, 194, 194, 194, 194, 194, 194, 194, 209, 163, 163, 163, 163, 163,
    179, 179, 179, 179, 179, 157, 157, 157, 157, 157, 157, 172, 172, 172, 178, 178, 178, 178, 178, 178,
    195, 195, 195, 195, 177, 194, 194, 194, 194, 194, 194, 194, 164, 164, 164, 209, 163, 163, 163, 163,
    179, 179, 179, 179, 179, 179, 157, 157, 157, 157, 157, 157, 172, 178, 178, 178, 178, 178, 178, 195,
    195, 195, 195, 195, 182, 194, 194, 194, 194, 194, 164, 164, 164, 164, 164, 164, 163, 163, 163, 163,
    179, 179, 179, 179, 179, 179, 157, 157, 157, 157, 157, 157, 172, 178, 178, 178, 178, 195, 195, 195,
    195, 195, 195, 182, 182, 182, 194, 164, 164, 164, 164, 164, 164, 164, 164, 164, 163, 163, 163, 163,
    179, 179, 179, 179, 179, 179, 157, 157, 157, 157, 157, 157, 157, 178, 178, 181, 181, 195, 195, 195,
    195, 195, 195, 182, 182, 182, 164, 164, 164, 164, 164, 164, 164, 164, 164, 164, 163, 163, 163, 163,
    187, 187, 187, 179, 187, 187, 187, 188, 188, 196, 196, 196, 196, 181, 181, 181, 181, 181, 181, 195,
    195, 195, 195, 195, 182, 182, 164, 164, 164, 164, 164, 164, 164, 164, 164, 164, 183, 183, 183, 183,
    180, 187, 187, 187, 187, 187, 188, 188, 188, 196, 196, 196, 196, 181, 181, 181, 181, 181, 181, 181,
    195, 195, 195, 195, 195, 182, 182, 164, 164, 164, 164, 164, 164, 164, 168, 168, 167, 183, 183, 183,
    180, 180, 179, 187, 187, 187, 188, 188, 188, 196, 196, 196, 196, 181, 181, 181, 181, 181, 181, 181,
    181, 181, 181, 195, 195, 210, 164, 164, 164, 164, 164, 164, 164, 164, 168, 168, 167, 167, 167, 183,
    142, 142, 142, 142, 189, 189, 189, 189, 189, 189, 189, 189, 173, 173, 173, 173, 173, 173, 173, 173,
    173, 173, 173, 173, 151, 151, 151, 151, 151, 151, 151, 151, 151, 151, 211, 211, 211, 211, 211, 197,
    142, 142, 142, 142, 189, 189, 189, 189, 189, 189, 189, 189, 173, 173, 173, 173, 173, 173, 173, 173,
    173, 173, 173, 173, 151, 151, 151, 151, 151, 184, 151, 151, 151, 151, 211, 211, 211, 211, 211, 197,
    142, 142, 142, 142, 189, 189, 189, 189, 189, 189, 189, 189, 173, 173, 173, 173, 173, 173, 173, 173,
    173, 173, 173, 173, 151, 151, 151, 151, 151, 184, 151, 151, 151, 151, 211, 211, 211, 211, 211, 211,
    142, 142, 142, 142, 189, 189, 189, 189, 189, 189, 189, 189, 173, 173, 173, 173, 173, 173, 173, 173,
    173, 192, 192, 173, 151, 151, 151, 151, 151, 184, 151, 151, 151, 151, 151, 151, 151, 211, 211, 211,
    142, 142, 142, 142, 142, 174, 189, 189, 189, 189, 189, 189, 173, 173, 173, 173, 173, 173, 173, 173,
    173, 192, 192, 173, 151, 151, 151, 184, 184, 184, 151, 151, 151, 151, 151, 151, 151, 211, 211, 211,
    142, 142, 142, 142, 174, 174, 189, 189, 174, 189, 189, 212, 173, 173, 173, 173, 173, 173, 173, 173,
    173, 192, 192, 184, 184, 184, 184, 184, 184, 184, 184, 151, 151, 151, 151, 151, 151, 211, 211, 185,
    142, 142, 142, 142, 174, 174, 174, 174, 174, 174, 174, 174, 173, 173, 173, 173, 173, 173, 173, 192,
    192, 192, 192, 184, 184, 184, 184, 184, 184, 184, 184, 213, 151, 151, 151, 151, 203, 203, 203, 185,
    142, 142, 142, 142, 174, 174, 174, 174, 174, 174, 174, 174, 202, 173, 173, 173, 201, 201, 201, 192,
    192, 192, 192, 184, 184, 184, 184, 184, 184, 170, 170, 151, 151, 151, 151, 203, 203, 203, 203, 185,
    142, 142, 142, 174, 174, 174, 174, 174, 174, 174, 174, 174, 174, 202, 202, 201, 201, 201, 201, 192,
    192, 192, 192, 184, 184, 184, 170, 170, 170, 170, 170, 151, 151, 203, 203, 203, 203, 203, 203, 185,
    142, 142, 174, 174, 174, 174, 174, 174, 174, 174, 174, 174, 174, 202, 202, 201, 198, 198, 198, 198,
    198, 192, 192, 184, 170, 170, 170, 170, 170, 170, 170, 170, 203, 203, 203, 203, 203, 203, 203, 185,
    142, 174, 174, 174, 174, 174, 174, 174, 174, 174, 174, 174, 174, 202, 202, 198, 198, 198, 198, 198,
    198, 171, 192, 170, 170, 170, 170, 170, 170, 170, 170, 170, 214, 203, 203, 203, 203, 203, 203, 185,
    142, 174, 174, 174, 174, 174, 174, 174, 174, 174, 174, 174, 174, 202, 198, 198, 198, 198, 198, 198,
    198, 171, 171, 171, 170, 170, 170, 170, 170, 170, 170, 170, 170, 203, 203, 203, 203, 203, 203, 185,
    175, 175, 174, 174, 174, 174, 174, 174, 174, 174, 174, 165, 165, 202, 198, 198, 198, 198, 198, 198,
    198, 171, 171, 171, 170, 170, 170, 170, 170, 170, 170, 170, 170, 215, 203, 203, 203, 203, 203, 203,
    175, 175, 175, 175, 165, 165, 165, 165, 165, 165, 165, 159, 159, 202, 198, 198, 198, 198, 198, 198,
    171, 171, 171, 171, 171, 170, 170, 170, 170, 170, 170, 170, 170, 215, 203, 203, 203, 203, 199, 199,
    175, 175, 175, 175, 175, 165, 165, 165, 165, 165, 165, 159, 159, 159, 198, 198, 198, 198, 198, 198,
    171, 171, 171, 171, 171, 171, 170, 170, 170, 170, 170, 170, 170, 215, 203, 203, 203, 203, 199, 199,
    175, 175, 175, 175, 175, 175, 165, 165, 159, 159, 159, 159, 159, 159, 198, 198, 198, 198, 198, 198,
    171, 171, 171, 171, 171, 171, 171, 170, 170, 170, 170, 170, 193, 193, 215, 203, 199, 199, 199, 199,
    175, 175, 175, 175, 175, 175, 165, 159, 159, 159, 159, 159, 159, 159, 159, 198, 198, 198, 198, 198,
    171, 171, 171, 171, 171, 171, 171, 170, 170, 170, 193, 193, 193, 193, 193, 193, 199, 199, 199, 199,
    175, 175, 175, 175, 175, 175, 159, 159, 159, 159, 159, 159, 159, 159, 159, 159, 198, 198, 198, 198,
    171, 171, 171, 171, 171, 171, 216, 216, 216, 193, 193, 193, 193, 193, 193, 193, 193, 199, 199, 199,
    175, 175, 175, 175, 175, 175, 175, 159, 159, 159, 159, 159, 159, 159, 159, 159, 204, 204, 198, 198,
    198, 171, 171, 171, 216, 216, 216, 216, 193, 193, 193, 193, 193, 193, 193, 193, 193, 193, 199, 199,
    175, 175, 175, 175, 175, 175, 175, 159, 159, 159, 159, 159, 159, 159, 217, 217, 204, 204, 204, 204,
    200, 200, 200, 200, 200, 200, 200, 200, 193, 193, 193, 193, 193, 193, 193, 193, 193, 193, 205, 199,
    175, 175, 175, 175, 175, 175, 175, 175, 159, 159, 159, 159, 159, 159, 217, 217, 204, 204, 204, 200,
    200, 200, 200, 200, 200, 200, 200, 200, 193, 193, 193, 193, 193, 193, 193, 193, 193, 193, 205, 205,
    175, 175, 175, 175, 175, 175, 175, 175, 159, 159, 159, 159, 159, 159, 217, 217, 217, 204, 204, 200,
    200, 200, 200, 200, 200, 200, 200, 200, 193, 193, 193, 193, 193, 193, 193, 193, 193, 193, 205, 205,
    218, 175, 175, 175, 175, 175, 175, 191, 191, 159, 159, 159, 159, 159, 217, 217, 176, 176, 176, 200,
    200, 200, 200, 200, 200, 200, 200, 200, 193, 193, 193, 193, 193, 193, 193, 193, 193, 205, 205, 205,
    218, 175, 175, 175, 175, 175, 191, 191, 191, 159, 159, 159, 159, 159, 176, 176, 176, 176, 176, 176,
    200, 200, 200, 200, 200, 200, 200, 200, 200, 193, 193, 193, 193, 193, 193, 193, 193, 205, 205, 205,
    175, 175, 175, 175, 175, 191, 191, 191, 191, 191, 159, 162, 162, 162, 176, 176, 176, 176, 176, 176,
    176, 200, 200, 200, 200, 200, 200, 200, 154, 193, 193, 193, 193, 193, 193, 193, 193, 205, 205, 219,
    175, 175, 175, 175, 191, 191, 191, 191, 191, 191, 162, 162, 162, 176, 176, 176, 176, 176, 176, 176,
    176, 176, 200, 200, 200, 200, 166, 166, 154, 154, 193, 193, 193, 193, 193, 193, 193, 205, 205, 206,
    179, 179, 179, 175, 191, 191, 191, 191, 191, 191, 162, 162, 162, 176, 176, 176, 176, 176, 176, 176,
    176, 176, 166, 166, 166, 166, 154, 154, 154, 194, 194, 194, 193, 193, 193, 193, 206, 206, 206, 206,
    179, 179, 179, 179, 191, 191, 191, 191, 191, 191, 191, 162, 162, 176, 176, 176, 176, 176, 176, 176,
    176, 176, 166, 166, 154, 154, 177, 177, 194, 194, 194, 194, 194, 193, 193, 206, 206, 206, 206, 206,
    179, 179, 179, 179, 157, 191, 207, 207, 207, 207, 191, 178, 178, 178, 178, 176, 176, 176, 176, 176,
    176, 176, 166, 154, 154, 177, 177, 194, 194, 194, 194, 194, 194, 220, 220, 206, 206, 206, 206, 206,
    179, 179, 179, 179, 157, 157, 207, 207, 207, 207, 207, 172, 178, 178, 178, 178, 178, 178, 178, 176,
    176, 208, 154, 154, 194, 194, 194, 194, 194, 194, 194, 194, 194, 194, 209, 206, 206, 206, 206, 206,
    179, 179, 179, 179, 157, 157, 207, 207, 207, 207, 207, 172, 172, 178, 178, 178, 178, 178, 178, 178,
    178, 208, 208, 194, 194, 194, 194, 194, 194, 194, 194, 194, 194, 194, 209, 209, 209, 163, 206, 206,
    179, 179, 179, 179, 179, 157, 207, 207, 207, 207, 207, 172, 172, 172, 178, 178, 178, 178, 178, 178,
    178, 208, 208, 194, 194, 194, 194, 194, 194, 194, 194, 194, 194, 194, 209, 209, 209, 163, 163, 163,
    179, 179, 179, 179, 179, 157, 207, 207, 207, 207, 207, 172, 172, 172, 178, 178, 178, 178, 178, 178,
    178, 195, 208, 194, 194, 194, 194, 194, 194, 194, 194, 194, 194, 194, 209, 209, 163, 163, 163, 163,
    179, 179, 179, 179, 179, 157, 157, 207, 207, 207, 207, 207, 172, 178, 178, 178, 178, 178, 195, 195,
    195, 195, 195, 195, 194, 194, 194, 194, 194, 194, 194, 194, 194, 194, 209, 209, 163, 163, 163, 163,
    179, 179, 179, 179, 179, 179, 157, 157, 207, 207, 207, 207, 172, 178, 178, 178, 178, 178, 195, 195,
    195, 195, 195, 195, 194, 194, 194, 194, 194, 194, 194, 194, 164, 164, 164, 209, 209, 163, 163, 163,
    179, 179, 179, 179, 179, 179, 157, 157, 207, 207, 207, 207, 172, 178, 178, 178, 195, 195, 195, 195,
    195, 195, 195, 195, 182, 194, 194, 194, 194, 194, 164, 164, 164, 164, 164, 164, 164, 163, 163, 163,
    179, 179, 179, 179, 179, 179, 157, 187, 207, 207, 207, 196, 196, 178, 178, 195, 195, 195, 195, 195,
    195, 195, 195, 195, 182, 182, 194, 194, 164, 164, 164, 164, 164, 164, 164, 164, 168, 163, 163, 163,
    187, 187, 187, 187, 187, 187, 187, 187, 196, 196, 196, 196, 196, 181, 181, 181, 181, 195, 195, 195,
    195, 195, 195, 195, 182, 182, 164, 164, 164, 164, 164, 164, 164, 164, 164, 168, 168, 183, 183, 183,
    180, 187, 187, 187, 187, 187, 187, 188, 196, 196, 196, 196, 196, 181, 181, 181, 181, 181, 181, 181,
    195, 195, 195, 195, 195, 210, 164, 164, 164, 164, 164, 164, 164, 164, 168, 168, 167, 167, 183, 183,
    180, 180, 179, 187, 187, 187, 188, 188, 196, 196, 196, 196, 196, 196, 181, 181, 181, 181, 181, 181,
    181, 181, 195, 195, 195, 210, 164, 164, 164, 164, 164, 164, 164, 168, 168, 168, 167, 167, 167, 183
};

static float eccTrafo_volume_ref[64000] = {
    12.706741f, 11.706741f, 10.706741f,  9.706741f,  8.706742f,  7.706742f,  7.292529f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  7.706742f,  7.292529f,  6.878315f,  6.464102f,  6.146264f, 
     5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  7.706742f,  9.388905f,  9.071068f,  9.388905f, 10.878315f, 10.560477f, 11.170843f, 10.756630f, 10.342416f,  9.928203f,  9.610365f,  9.292528f,  8.974691f,  8.656854f,  8.974691f, 
    12.388904f, 11.388904f, 10.388905f,  9.388905f,  8.388905f,  7.388905f,  6.974691f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  7.388905f,  6.974691f,  6.560478f,  6.146264f,  5.732051f, 
     5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  7.388905f,  8.388905f,  8.071068f,  8.388905f, 10.464102f, 10.878315f, 10.853005f, 10.438792f, 10.024579f,  9.610365f,  9.196152f,  8.878315f,  8.560477f,  8.242640f,  8.560477f, 
    12.071067f, 11.071067f, 10.071067f,  9.071068f,  8.071068f,  7.071068f,  6.656854f,  6.242640f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  6.656854f,  7.071068f,  6.656854f,  6.242640f,  5.828427f,  5.414214f, 
     5.000000f,  5.414214f,  5.828427f,  6.242640f,  6.656854f,  7.706742f,  7.388905f,  7.071068f,  7.388905f,  7.706742f,  8.024579f,  8.342417f, 10.120955f,  9.706741f,  9.292528f,  8.878315f,  8.464102f,  8.146264f,  7.828427f,  8.146264f, 
    12.388904f, 11.388904f, 10.388905f,  9.388905f,  8.388905f,  7.388905f,  6.974691f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  7.388905f,  6.974691f,  6.560478f,  6.146264f,  5.732051f, 
     5.414214f,  5.732051f,  8.928204f,  7.928203f,  7.610366f,  7.292529f,  6.974691f,  6.656854f,  6.974691f,  7.292529f,  7.610366f,  7.928203f,  9.803118f,  9.388905f,  8.974691f,  8.560477f,  8.146264f,  7.732051f,  7.414214f,  7.732051f, 
    12.706741f, 11.706741f, 10.706741f,  9.706741f,  8.706742f,  7.706742f,  7.292529f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  7.706742f,  7.292529f,  6.878315f,  6.464102f,  6.146264f, 
     5.828427f,  6.146264f,  8.610366f,  7.610366f,  7.196152f,  6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  7.196152f,  7.610366f,  9.485281f,  9.071068f,  8.656854f,  8.242640f,  7.828427f,  7.414214f,  7.000000f,  7.414214f, 
    13.024578f, 12.024578f, 11.024578f, 10.024579f,  9.024579f,  8.024579f,  7.610366f,  7.196152f,  6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  7.196152f,  7.610366f,  8.024579f,  7.196152f,  6.878315f,  6.560478f,  6.242640f, 
     6.242640f,  6.560478f,  7.196152f,  7.292529f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  7.706742f,  9.388905f,  8.974691f,  8.560477f,  8.146264f,  7.732051f,  7.414214f,  7.732051f, 
    13.342416f, 12.342416f, 11.342416f, 10.342416f,  9.342417f,  8.342417f,  7.928203f,  7.610366f,  7.292529f,  6.974691f,  6.656854f,  6.974691f,  7.292529f,  7.610366f,  7.928203f,  8.342417f,  6.196152f,  5.878315f,  5.560478f,  5.242640f, 
     5.560478f,  5.878315f,  6.196152f,  6.974691f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  7.388905f,  9.706741f,  9.292528f,  8.878315f,  8.464102f,  8.146264f,  7.828427f,  8.146264f, 
     8.878315f,  8.464102f,  8.146264f, 10.660254f,  9.660254f,  8.660254f,  8.342417f,  8.024579f,  7.706742f,  7.388905f,  7.071068f,  7.388905f,  7.706742f,  8.024579f,  8.342417f,  8.660254f,  5.196152f,  4.878315f,  4.560478f,  4.242640f, 
     4.560478f,  4.878315f,  5.196152f,  8.146264f,  6.242640f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  6.656854f,  7.071068f, 10.024579f,  9.610366f,  9.196153f,  8.878315f,  8.560477f,  8.242640f,  8.560477f, 
     8.560477f,  8.146264f,  7.732051f,  7.414214f,  7.732051f,  8.146264f,  9.342417f,  9.024579f,  8.706742f,  6.878315f,  6.464102f,  8.388905f,  8.706742f,  9.024579f,  9.342417f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f, 
     4.146264f,  4.464102f,  4.878315f,  7.146264f,  6.828427f,  7.146264f,  7.464102f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  7.388905f,  8.388905f,  9.928204f,  9.610366f,  9.292528f,  8.974691f,  8.656854f,  8.974691f, 
     8.242640f,  7.828427f,  7.414214f,  7.000000f,  7.414214f,  7.828427f,  8.242640f,  7.388905f,  6.974691f,  6.560478f,  6.146264f,  5.732051f,  9.706741f, 10.024579f, 10.342416f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f, 
     3.732051f,  4.146264f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  7.706742f,  8.706742f,  7.292529f,  7.706742f,  9.560477f,  9.878315f, 10.024579f,  9.706741f,  9.388905f,  9.071068f,  9.388905f, 
     8.560477f,  8.146264f,  7.732051f,  7.414214f,  7.732051f,  8.146264f,  8.560477f,  7.071068f,  6.656854f,  6.242640f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f, 
     3.414214f,  3.828427f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  8.292528f,  9.292528f,  8.024579f,  8.560477f,  8.878315f,  9.196152f, 10.120955f,  9.803118f,  9.485281f,  9.803118f, 
     8.878315f,  8.464102f,  8.146264f,  7.828427f,  8.146264f,  8.464102f,  8.878315f,  7.388905f,  6.974691f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.292529f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f, 
     3.732051f,  4.146264f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  7.878315f,  8.878315f,  9.878315f,  7.560478f,  7.878315f,  8.196152f, 10.535169f, 10.217332f,  9.899494f, 10.217332f, 
     8.292528f,  7.974691f,  7.656854f,  7.974691f,  8.560477f,  8.878315f, 18.217329f, 17.803116f, 17.388905f, 16.974689f, 16.560478f,  6.146264f,  5.828427f,  6.146264f,  5.878315f,  5.560478f,  4.878315f,  4.464102f,  4.146264f,  3.828427f, 
     4.146264f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  7.464102f,  8.464102f,  9.464102f,  6.560478f,  6.878315f,  7.196152f, 11.535169f, 11.217331f,  5.242640f,  5.560478f, 
     7.878315f,  7.560478f,  7.242640f,  7.560478f,  7.878315f, 17.631544f, 17.217331f, 16.803116f, 16.388905f, 15.974690f, 15.560477f, 15.146264f,  6.242640f,  6.560478f,  5.464102f,  5.146264f,  5.196152f,  4.878315f,  4.560478f,  4.242640f, 
     4.560478f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  8.146264f,  9.146264f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  7.610366f,  4.242640f,  4.560478f, 
     7.464102f,  7.146264f,  6.828427f,  7.146264f,  7.464102f, 16.631544f, 16.217331f, 15.803117f, 15.388904f, 14.974690f, 14.560477f, 14.146264f, 14.560477f, 14.974690f,  5.146264f,  4.732051f,  4.414214f,  5.878315f,  5.560478f,  5.242640f, 
     5.560478f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f,  7.828427f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  7.196152f,  3.828427f,  4.146264f, 
     7.146264f,  6.732051f,  6.414214f,  6.732051f,  7.146264f, 15.631544f, 15.217330f, 14.803117f, 14.388904f, 13.974690f, 13.560477f, 13.146264f, 13.560477f, 13.974690f,  4.828427f,  4.414214f,  4.000000f,  6.878315f,  6.560478f,  6.146264f, 
     5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  3.414214f,  3.732051f, 
     6.828427f,  6.414214f,  6.000000f,  6.414214f,  6.828427f, 14.631544f, 14.217331f, 13.803117f, 13.388904f, 12.974690f, 12.560477f, 12.146264f, 12.560477f,  6.974691f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  6.464102f, 
     5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  7.464102f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f, 11.024578f, 11.438792f, 
     7.146264f,  6.732051f,  6.414214f,  6.732051f,  7.146264f, 13.631545f, 13.217331f, 12.803118f, 12.388904f, 11.974690f, 11.560477f, 11.146264f, 11.560477f,  5.974691f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  6.878315f, 
     5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  9.196152f,  9.610365f, 10.024579f, 10.438792f, 
     7.464102f,  7.146264f,  6.828427f,  7.146264f,  7.464102f, 13.217331f, 12.217332f, 11.803118f, 11.388905f, 10.974690f, 10.560477f, 10.146264f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  7.292529f, 
     6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  7.878315f,  8.196152f,  8.610366f,  9.024579f,  9.438792f, 
     7.878315f,  7.560478f,  7.242640f,  7.560478f,  7.878315f, 12.803118f, 11.803118f, 10.803119f, 10.388905f,  9.974691f,  9.560477f,  9.146264f,  8.732051f,  5.146264f,  4.828427f,  5.146264f,  6.732051f,  7.146264f,  7.560478f,  7.974691f, 
     7.292529f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  6.878315f,  7.196152f,  7.610366f,  8.024579f,  9.024579f, 
     8.292528f,  7.974691f,  7.656854f,  7.974691f, 13.388904f, 12.388904f, 11.388905f, 10.388905f,  9.388906f,  8.974691f,  8.560478f,  8.146264f,  7.732051f,  4.732051f,  4.414214f,  4.732051f,  5.732051f,  6.146264f,  6.560478f,  6.974691f, 
     7.388905f,  8.388905f,  7.464102f,  7.146264f,  6.828427f,  7.146264f,  7.464102f,  7.878315f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  7.610366f,  8.610366f, 
     8.706742f,  8.388905f,  8.071068f,  8.388905f, 12.974690f, 11.974690f, 10.974690f,  9.974691f,  8.974691f,  7.974692f,  7.560478f,  7.146265f,  6.732051f,  4.414214f,  4.000000f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f, 
     6.974691f,  7.974691f,  8.974691f,  8.974691f,  8.656854f,  8.146264f,  8.464102f,  8.878315f,  7.196152f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  7.196152f,  8.196152f, 
     9.120955f,  8.803119f,  8.485281f,  8.803119f, 12.560477f, 11.560477f, 10.560477f,  9.560477f,  8.560478f,  7.560478f,  6.560478f,  6.146265f,  5.732051f,  4.732051f,  4.414214f,  4.732051f,  3.732051f,  4.146264f,  4.560478f,  5.560478f, 
     6.560478f,  7.560478f,  8.560477f,  9.560477f, 10.560477f,  9.878315f,  8.878315f,  7.878315f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  7.878315f, 
    11.120955f, 10.803118f, 10.485281f, 10.803118f,  6.928203f, 11.146264f, 10.146264f,  9.146264f,  8.146264f,  7.146265f,  6.146265f,  5.146265f,  4.732051f,  5.146264f,  4.828427f,  5.146264f,  2.732051f,  3.146264f,  4.146264f,  5.146264f, 
     6.146264f,  7.146264f,  8.146264f,  9.146264f, 10.146264f, 11.146264f, 12.146264f, 13.146264f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f, 
    10.120955f,  9.803118f,  9.485281f,  9.803118f,  6.610366f,  6.196152f,  5.878315f,  8.732051f,  7.732051f,  6.732051f,  5.732051f,  4.732051f,  3.732051f,  5.560478f,  5.242640f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f, 
     5.732051f,  6.732051f,  7.732051f,  8.732051f,  9.732051f, 10.732051f, 11.732051f, 12.732051f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  7.292529f,  7.610366f,  5.828427f,  6.242641f,  7.242641f, 
     9.120955f,  8.803119f,  8.485281f,  8.803119f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f, 
     5.414214f,  6.414214f,  7.414214f,  8.414213f,  9.414213f, 10.414213f, 11.414213f, 12.414213f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  6.878315f,  7.196153f,  8.196153f,  6.560478f,  7.560478f, 
     8.706742f,  8.388905f,  8.071068f,  8.388905f,  8.803119f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f, 
     5.732051f,  6.732051f,  7.732051f,  8.732051f,  9.732051f, 10.732051f, 11.732051f, 12.732051f, 13.732051f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  5.560478f,  5.878315f,  6.878315f,  7.878315f,  8.878315f,  7.878315f, 
     9.656854f,  8.656854f,  7.656854f,  6.656854f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f, 
     6.146264f,  7.146264f,  8.146264f,  9.146264f, 10.146264f, 11.146264f, 12.146264f, 13.146264f, 14.146264f,  4.146265f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  8.560478f,  9.560477f, 
     9.974690f,  8.974691f,  7.974691f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f, 
     6.560478f,  7.560478f,  8.560477f,  9.560477f, 10.560477f, 11.560477f, 12.560477f, 13.560477f, 14.560477f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  7.242640f,  8.242640f,  9.242640f, 
     7.464102f,  7.146264f,  8.292528f,  7.292529f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f, 
     6.974691f,  7.974691f,  8.974691f,  9.974690f, 10.974690f, 11.974690f, 12.974690f, 13.974690f, 14.974690f, 15.974690f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  8.560477f,  9.560477f, 
     7.146264f,  6.732051f,  8.610366f,  7.610366f,  6.610366f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  7.388905f,  6.974691f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f, 
     7.388905f,  8.388905f,  9.388905f, 10.388905f, 11.388904f, 12.388904f, 13.388904f, 14.388904f, 15.388904f, 16.388903f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  7.878315f,  8.878315f,  9.878315f, 
     6.828427f,  6.414214f,  6.000000f,  6.414214f,  6.828427f,  7.242640f,  6.292529f,  5.974691f,  5.656854f,  8.803119f,  8.388905f,  7.974691f,  7.560478f,  7.146264f,  6.732051f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  7.974691f, 
     8.388905f,  8.803119f,  9.803118f, 10.803118f, 11.803118f, 12.803117f, 13.803117f, 14.803117f, 15.803117f, 16.803116f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  7.196152f,  8.196152f,  9.196152f, 10.196152f, 
     7.146264f,  6.732051f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  7.974691f,  6.974691f,  6.656854f,  9.803118f,  9.388905f,  8.974691f,  8.560477f,  8.146264f,  7.732051f,  7.414214f,  7.732051f,  8.146264f,  8.560477f,  8.974691f, 
     9.388905f,  9.803118f, 10.217332f, 11.217331f, 12.217331f, 13.217331f, 14.217330f, 15.217330f, 16.217331f, 17.217329f,  7.610366f,  7.196152f,  6.878315f,  6.560478f,  6.196152f,  6.610366f,  7.610366f,  8.610366f,  9.610365f, 10.610365f, 
     7.464102f,  7.146264f,  6.828427f,  7.146264f,  7.464102f,  7.878315f,  8.292528f,  8.706742f,  7.656854f, 10.803118f, 10.388905f,  9.974690f,  9.560477f,  9.146264f,  8.732051f,  8.414213f,  8.732051f,  9.146264f,  9.560477f,  9.974690f, 
    10.388905f, 10.803118f, 11.217331f, 11.631545f, 12.631544f, 13.631544f, 14.631544f, 15.631543f, 16.631542f, 17.631542f,  7.292529f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  7.610366f,  8.024579f,  9.024579f, 10.024579f, 11.024578f, 
     7.878315f,  7.560478f,  7.242640f,  7.560478f,  7.878315f,  5.146264f,  8.610366f,  9.024579f,  8.656854f, 11.803118f, 11.388904f, 10.974690f, 10.560477f, 10.146264f,  9.732051f,  9.414213f,  9.732051f, 10.146264f, 10.560477f,  4.000000f, 
     4.414214f,  4.828427f, 12.217331f, 12.631544f, 13.045758f, 14.045757f, 15.045757f, 16.045757f, 17.045757f, 18.045755f,  6.974691f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  5.560478f,  5.878315f, 
     8.560477f,  7.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  9.656854f, 12.803117f, 12.388904f, 11.974690f, 11.560477f, 11.146264f, 10.732051f, 10.414213f, 10.732051f, 11.146264f, 11.560477f,  4.414214f, 
     4.732051f,  5.560478f,  5.146264f,  4.732051f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  8.071068f,  7.071068f,  6.656854f,  6.242640f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  4.560478f,  4.878315f, 
     8.146264f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f, 12.974690f, 12.560477f, 12.146264f, 11.732051f, 11.414213f, 11.732051f, 12.146264f,  5.146264f,  4.828427f, 
     5.146264f,  5.878315f,  5.464102f,  5.146264f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  4.146264f,  3.828427f,  4.146264f,  1.000000f, 
     7.732051f,  6.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  5.000000f,  5.414214f,  5.828427f, 13.146264f,  5.560478f,  5.242640f, 
     5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  5.560478f,  5.828427f,  6.146265f,  6.464102f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f, 
     7.414214f,  6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  5.974691f,  6.414214f, 
     5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  6.560478f,  6.878315f,  7.196152f,  6.878315f,  6.560478f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f, 
     7.732051f,  6.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  7.732051f,  6.146264f,  6.464102f,  6.878315f,  6.974691f,  6.732051f, 
     5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  7.610366f,  7.292529f,  6.974691f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f, 
    12.292528f, 11.292528f, 10.292528f,  9.292528f,  8.292528f,  7.292529f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  6.292529f,  5.878315f,  5.464102f,  5.146264f, 
     4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  8.974691f,  8.656854f,  8.974691f,  9.878315f,  9.560477f, 10.756630f,  9.756630f,  9.342417f,  8.928203f,  8.610366f,  8.292528f,  7.974691f,  7.656854f,  7.974691f, 
    11.974690f, 10.974690f,  9.974690f,  8.974691f,  7.974691f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f, 
     4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  7.974691f,  7.656854f,  7.974691f,  9.464102f,  8.610366f, 10.438792f,  9.438792f,  9.024579f,  8.610366f,  8.196152f,  7.878315f,  7.560478f,  7.242640f,  7.560478f, 
    11.656854f, 10.656854f,  9.656854f,  8.656854f,  7.656854f,  6.656854f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  6.656854f,  5.656854f,  5.242640f,  4.828427f,  4.414214f, 
     4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  7.292529f,  6.974691f,  6.656854f,  6.974691f,  7.292529f,  7.610366f,  7.928203f,  9.120955f,  8.706742f,  8.292528f,  7.878315f,  7.464102f,  7.146264f,  6.828427f,  7.146264f, 
    11.974690f, 10.974690f,  9.974690f,  8.974691f,  7.974691f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f, 
     4.414214f,  4.732051f,  5.146264f,  5.560478f,  6.610366f,  6.292529f,  5.974691f,  5.656854f,  5.974691f,  6.292529f,  6.610366f,  6.928203f,  8.803119f,  8.388905f,  7.974691f,  7.560478f,  7.146264f,  6.732051f,  6.414214f,  6.732051f, 
    12.292528f, 11.292528f, 10.292528f,  9.292528f,  8.292528f,  7.292529f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  6.292529f,  5.878315f,  5.464102f,  5.146264f, 
     4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  8.485281f,  8.071068f,  7.656854f,  7.242640f,  6.828427f,  6.414214f,  6.000000f,  6.414214f, 
    12.610365f, 11.610365f, 10.610365f,  9.610365f,  8.610366f,  7.610366f,  6.610366f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  7.610366f,  6.878315f,  6.464102f,  5.878315f,  5.560478f, 
     5.242640f,  5.560478f,  5.878315f,  6.196152f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  8.388905f,  7.974691f,  7.560478f,  7.146264f,  6.732051f,  6.414214f,  6.732051f, 
    12.928203f, 11.928203f, 10.928203f,  9.928203f,  8.928203f,  7.928203f,  6.928203f,  6.610366f,  6.292529f,  5.974691f,  5.656854f,  5.974691f,  6.292529f,  6.610366f,  6.928203f,  7.928203f,  5.878315f,  5.464102f,  5.146264f,  4.828427f, 
     5.146264f,  5.974691f,  6.292529f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  8.706742f,  8.292528f,  7.878315f,  7.464102f,  7.146264f,  6.828427f,  7.146264f, 
     7.878315f,  7.464102f,  7.146264f,  6.828427f,  7.146264f,  7.464102f,  7.928203f,  7.610366f,  6.610366f,  6.196152f,  6.656854f,  6.974691f,  7.292529f,  7.610366f,  7.928203f,  8.342417f,  4.878315f,  4.464102f,  4.146264f,  3.828427f, 
     4.146264f,  4.464102f,  4.878315f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  6.656854f,  9.610366f,  8.610366f,  8.196153f,  7.878315f,  7.560478f,  7.242640f,  7.560478f, 
     7.560478f,  7.146264f,  6.732051f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  7.974691f,  6.292529f,  5.878315f,  5.464102f,  7.974691f,  8.292528f,  8.610366f,  8.928203f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f, 
     3.146264f,  3.464102f,  4.464102f,  6.732051f,  6.414214f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  7.974691f,  8.928204f,  8.610366f,  8.292528f,  7.974691f,  7.656854f,  7.974691f, 
     7.242640f,  6.828427f,  6.414214f,  6.000000f,  6.414214f,  6.828427f,  7.242640f,  7.656854f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  9.292528f,  9.610365f,  9.928203f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f, 
     2.732051f,  3.146264f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  7.388905f,  8.388905f,  6.292529f,  7.292529f,  9.146264f,  9.464102f,  9.024579f,  8.706742f,  8.388905f,  8.071068f,  8.388905f, 
     7.560478f,  7.146264f,  6.732051f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  6.656854f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f, 
     2.414214f,  2.828427f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  7.974691f,  7.292529f,  7.610366f,  8.146264f,  8.464102f,  8.878315f,  9.120955f,  8.803119f,  8.485281f,  8.803119f, 
     7.878315f,  7.464102f,  7.146264f,  6.828427f,  7.146264f,  7.464102f,  7.878315f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.878315f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f, 
     2.732051f,  3.146264f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  8.560477f,  8.610366f,  7.146264f,  7.464102f,  7.878315f, 10.120955f,  9.803118f,  9.485281f,  6.146264f, 
     7.292529f,  6.974691f,  6.656854f,  7.242640f,  7.560478f,  7.878315f,  8.196152f, 17.485279f, 17.071068f, 16.656853f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  4.878315f,  4.560478f,  4.464102f,  3.464102f,  3.146264f,  2.828427f, 
     3.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  8.146264f,  9.146264f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  7.706742f,  4.828427f,  5.146264f, 
     6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  7.196152f, 16.899494f, 16.485279f, 16.071068f, 15.656854f, 15.242640f,  5.560478f,  5.242640f,  5.560478f,  4.464102f,  4.146264f,  4.878315f,  4.464102f,  4.146264f,  3.828427f, 
     4.146264f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  7.732051f,  8.732051f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  3.828427f,  4.146264f, 
     6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f, 16.313705f, 15.899493f, 15.485280f, 15.071067f, 14.656854f, 14.242640f, 13.828427f, 14.242640f,  5.974691f,  4.146264f,  3.732051f,  3.414214f,  5.464102f,  5.146264f,  4.828427f, 
     4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  7.414214f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  2.828427f,  3.146264f, 
     6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f, 15.313706f, 14.899493f, 14.485280f, 14.071067f, 13.656854f, 13.242640f, 12.828427f, 13.242640f, 13.656854f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  6.146264f,  5.732051f, 
     4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  2.414214f,  2.732051f, 
     5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f, 13.899493f, 13.485280f, 13.071067f, 12.656854f, 12.242640f, 11.828427f, 12.242640f,  6.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  6.146264f, 
     5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  2.000000f,  2.414214f, 
     6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f, 13.313707f, 12.899494f, 12.485280f, 12.071067f, 11.656854f, 11.242640f, 10.828427f, 11.242640f,  5.560478f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  6.560478f, 
     5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  9.706741f, 10.120955f, 
     6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f, 12.899494f, 11.899494f, 11.485281f, 11.071067f, 10.656854f, 10.242640f,  9.828427f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  6.974691f, 
     5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  7.878315f,  8.292528f,  8.706742f,  9.120955f, 
     6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f, 12.485280f, 11.485281f, 10.485281f, 10.071068f,  9.656854f,  9.242640f,  8.828427f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  6.414214f,  6.828427f,  7.242640f,  7.656854f, 
     6.974691f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  6.464102f,  6.878315f,  7.292529f,  7.706742f,  8.706742f, 
     7.292529f,  6.974691f,  6.656854f,  6.974691f,  7.292529f, 12.071067f, 11.071067f, 10.071068f,  9.071068f,  8.656855f,  8.242640f,  7.828427f,  7.414214f,  3.732051f,  3.414214f,  3.732051f,  5.414214f,  5.828427f,  6.242640f,  6.656854f, 
     7.071068f,  9.024579f,  8.706742f,  8.388905f,  8.071068f,  6.732051f,  7.146264f,  9.024579f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  8.292528f, 
     7.706742f,  7.388905f,  7.071068f,  7.388905f, 12.656854f, 11.656854f, 10.656854f,  9.656854f,  8.656855f,  7.656855f,  7.242641f,  6.828427f,  6.414214f,  3.414214f,  3.000000f,  3.414214f,  4.414214f,  4.828427f,  5.242640f,  5.656854f, 
     6.656854f,  7.656854f,  8.292528f,  7.974691f,  7.656854f,  7.732051f,  8.146264f,  8.560477f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  7.878315f, 
     8.706742f,  8.388905f,  8.071068f,  8.388905f, 12.242640f, 11.242640f, 10.242640f,  9.242640f,  8.242640f,  7.242641f,  6.242641f,  5.828427f,  5.414214f,  3.732051f,  3.414214f,  3.732051f,  3.414214f,  3.828427f,  4.242640f,  5.242640f, 
     6.242640f,  7.242640f,  8.242640f,  7.560478f,  7.242640f,  8.732051f,  8.464102f,  7.464102f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  7.464102f, 
    10.706741f, 10.388905f, 10.071067f, 10.388905f,  6.610366f,  6.196152f,  5.878315f,  8.828427f,  7.828427f,  6.828427f,  5.828427f,  4.828427f,  4.414214f,  4.146264f,  3.828427f,  4.146264f,  2.414214f,  2.828427f,  3.828427f,  4.828427f, 
     5.828427f,  6.828427f,  7.828427f,  8.828427f,  9.828426f,  9.146264f,  8.146264f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f, 
     9.706741f,  9.388905f,  9.071068f,  9.388905f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  7.414214f,  6.414214f,  5.414214f,  4.414214f,  3.414214f,  4.560478f,  4.242640f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f, 
     5.414214f,  6.414214f,  7.414214f,  8.414213f,  9.414213f,  8.828427f,  7.828427f,  6.828427f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  6.878315f,  7.292529f,  4.828427f,  5.828427f,  6.828427f, 
     8.706742f,  8.388905f,  8.071068f,  8.388905f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f, 
     5.000000f,  6.000000f,  7.000000f,  8.000000f,  9.000000f, 10.000000f, 11.000000f, 12.000000f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  5.878315f,  6.878315f,  7.878315f,  6.146265f,  7.146265f, 
     7.706742f,  7.388905f,  7.071068f,  7.388905f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f, 
     5.414214f,  6.414214f,  7.414214f,  8.414213f,  9.414213f, 10.414213f, 11.414213f, 12.414213f, 13.414213f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  5.146265f,  5.464102f,  6.464102f,  7.464102f,  8.464102f,  7.464102f, 
     9.242640f,  8.242640f,  7.242640f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f, 
     5.828427f,  6.828427f,  7.828427f,  8.828427f,  9.828426f, 10.828426f, 11.828426f, 12.828426f, 13.828426f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146265f,  5.146265f,  6.146265f,  7.146265f,  8.146264f,  9.146264f, 
     9.560477f,  8.560477f,  7.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f, 
     6.242640f,  7.242640f,  8.242640f,  9.242640f, 10.242640f, 11.242640f, 12.242640f, 13.242640f, 14.242640f, 15.242640f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f,  7.828427f,  8.828427f, 
     6.464102f,  6.146264f,  5.828427f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  6.656854f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f, 
     6.656854f,  7.656854f,  8.656854f,  9.656854f, 10.656854f, 11.656854f, 12.656853f, 13.656853f, 14.656853f, 15.656853f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  8.146264f,  9.146264f, 
     6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  7.071068f,  6.656854f,  6.242640f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  6.656854f, 
     7.071068f,  8.071068f,  9.071068f, 10.071067f, 11.071067f, 12.071067f, 13.071067f, 14.071066f, 15.071066f, 16.071066f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  7.464102f,  8.464102f,  9.464102f, 
     5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  8.071068f,  7.656854f,  7.242640f,  6.828427f,  6.414214f,  6.000000f,  6.414214f,  6.828427f,  7.242640f,  7.656854f, 
     8.071068f,  8.485281f,  9.485281f, 10.485281f, 11.485280f, 12.485280f, 13.485280f, 14.485280f, 15.485279f, 16.485279f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  7.878315f,  8.878315f,  9.878315f, 
     6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  6.560478f,  6.242640f,  6.560478f,  9.071068f,  8.656854f,  8.242640f,  7.828427f,  7.414214f,  7.000000f,  7.414214f,  7.828427f,  8.242640f,  8.656854f, 
     9.071068f,  9.485281f,  9.899494f, 10.899494f, 11.899494f, 12.899493f, 13.899493f, 14.899493f, 15.899493f, 16.899492f,  6.610366f,  6.196152f,  5.878315f,  5.560478f,  5.878315f,  6.292529f,  7.292529f,  8.292528f,  9.292528f, 10.292528f, 
     6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  7.706742f,  7.242640f,  7.560478f, 10.071067f,  9.656854f,  9.242640f,  8.828427f,  8.414213f,  8.000000f,  8.414213f,  8.828427f,  9.242640f,  9.656854f, 
    10.071067f, 10.485281f, 10.899494f, 11.313707f, 12.313707f, 13.313707f, 14.313706f, 15.313706f, 16.313705f, 17.313705f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  7.706742f,  8.706742f,  9.706741f, 10.706741f, 
     6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  7.196152f,  7.610366f,  8.024579f,  9.024579f,  8.560477f, 11.071067f, 10.656854f, 10.242640f,  9.828426f,  9.414213f,  9.000000f,  9.414213f,  9.828426f, 10.242640f,  3.000000f, 
     3.414214f,  3.828427f, 11.899494f, 12.313707f, 12.727921f, 13.727921f, 14.727921f, 15.727920f, 16.727921f, 17.727919f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.146264f,  5.464102f, 
     7.292529f,  6.974691f,  6.656854f,  6.974691f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.878315f, 11.242640f, 10.828426f, 10.414213f, 10.000000f, 10.414213f, 10.828426f, 11.242640f,  3.414214f, 
     3.732051f,  4.560478f,  4.146264f,  3.732051f,  5.560478f,  4.560478f,  4.146264f,  3.732051f, 17.142134f, 18.142134f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  4.146264f,  4.464102f, 
     7.828427f,  6.828427f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  4.732051f,  4.414214f,  4.732051f,  4.878315f,  4.464102f,  4.146264f,  3.828427f, 
     4.146264f,  4.878315f,  4.464102f,  4.146264f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  3.146264f,  2.828427f,  3.146264f,  0.000000f, 
     7.414214f,  6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  4.878315f,  4.560478f,  4.242640f, 
     5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  4.878315f,  4.560478f,  4.828427f,  5.146265f,  5.464102f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
     7.000000f,  6.000000f,  5.000000f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.000000f,  6.000000f,  4.414214f,  4.732051f,  5.146264f,  5.878315f,  5.560478f,  5.242640f, 
     5.000000f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  5.560478f,  5.878315f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f, 
     7.414214f,  6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  4.828427f,  5.146264f,  5.464102f,  6.878315f,  6.560478f,  6.414214f, 
     5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.610366f,  6.292529f,  5.974691f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
    11.878315f, 10.878315f,  9.878315f,  8.878315f,  7.878315f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f, 
     3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  8.560477f,  8.242640f,  8.560477f,  8.878315f,  8.560477f, 10.342416f,  9.342417f,  8.342417f,  7.928203f,  7.610366f,  7.292529f,  6.974691f,  6.656854f,  6.974691f, 
    11.560477f, 10.560477f,  9.560477f,  8.560477f,  7.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f, 
     3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  7.242640f,  7.560478f,  8.464102f,  8.196152f,  7.828427f,  9.024579f,  8.024579f,  7.610366f,  7.196152f,  6.878315f,  6.560478f,  6.242640f,  6.560478f, 
    11.242640f, 10.242640f,  9.242640f,  8.242640f,  7.242640f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f, 
     3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  7.196152f,  7.414214f,  8.706742f,  7.706742f,  7.292529f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f, 
    11.560477f, 10.560477f,  9.560477f,  8.560477f,  7.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f, 
     3.414214f,  3.732051f,  4.146264f,  4.560478f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  8.388905f,  7.388905f,  6.974691f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f, 
    11.878315f, 10.878315f,  9.878315f,  8.878315f,  7.878315f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f, 
     3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  8.071068f,  7.071068f,  6.656854f,  6.242640f,  5.828427f,  5.414214f,  5.000000f,  5.414214f, 
    12.196152f, 11.196152f, 10.196152f,  9.196152f,  8.196152f,  7.196152f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  7.196152f,  6.196152f,  5.196152f,  4.878315f,  4.560478f, 
     4.242640f,  4.560478f,  4.878315f,  5.196152f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  6.196152f,  6.974691f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f, 
     7.196152f,  6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  7.196152f,  7.610366f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  7.610366f,  5.560478f,  5.146264f,  4.732051f,  5.560478f, 
     5.242640f,  5.560478f,  5.878315f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  5.878315f,  5.464102f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f, 
     6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  6.196152f,  5.196152f,  6.242640f,  6.560478f,  6.878315f,  7.196152f,  7.610366f,  8.024579f,  4.560478f,  4.146264f,  3.732051f,  3.414214f, 
     3.732051f,  6.560478f,  6.878315f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  7.242640f,  5.146264f,  7.196153f,  6.878315f,  6.560478f,  6.242640f,  6.560478f, 
     6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  5.878315f,  4.878315f,  4.464102f,  7.560478f,  7.878315f,  8.196152f,  8.610366f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f, 
     2.732051f,  3.146264f,  4.146264f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  4.828427f,  7.610366f,  7.292529f,  6.974691f,  6.656854f,  6.974691f, 
     6.242640f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  6.656854f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f, 
     1.732051f,  2.732051f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  6.656854f,  7.071068f,  8.071068f,  5.878315f,  6.878315f,  7.878315f,  9.146264f,  9.560477f,  7.706742f,  7.388905f,  7.071068f,  7.388905f, 
     6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f, 
     1.414214f,  2.414214f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  6.656854f,  7.656854f,  6.878315f,  7.196153f,  8.196153f,  8.146264f,  8.560477f,  8.706742f,  8.388905f,  8.071068f,  8.388905f, 
     6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  5.464102f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f, 
     1.732051f,  2.732051f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  7.242640f,  7.292529f,  7.610366f,  8.610366f,  7.146264f,  7.560478f,  9.706741f,  9.388905f,  9.071068f,  5.732051f, 
     7.196152f,  6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  7.196152f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f, 
     2.732051f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f,  7.828427f,  8.828427f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  4.732051f,  4.414214f,  4.732051f, 
     5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f, 17.217331f, 16.803116f, 16.388905f, 15.974690f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  3.464102f,  3.146264f,  2.828427f,  4.146264f,  3.732051f,  3.414214f, 
     3.732051f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  7.414214f,  8.414213f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  3.732051f,  3.414214f,  3.732051f, 
     5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f, 16.217331f, 15.803117f, 15.388904f, 14.974690f, 14.560477f,  5.560478f,  5.242640f,  5.560478f,  3.146264f,  2.732051f,  2.414214f,  5.146264f,  4.732051f,  4.414214f, 
     4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.000000f,  6.000000f,  7.000000f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  2.732051f,  2.414214f,  2.732051f, 
     5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f, 15.217331f, 14.803117f, 14.388904f, 13.974690f, 13.560477f, 13.146264f, 13.560477f,  7.146264f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  5.414214f, 
     4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  1.732051f,  1.414214f,  1.732051f, 
     4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f, 14.217331f, 13.803118f, 13.388904f, 12.974690f, 12.560477f, 12.146264f, 12.560477f,  6.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  5.828427f, 
     4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  1.000000f,  1.414214f, 
     5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f, 13.217331f, 12.803118f, 12.388905f, 11.974690f, 11.560477f, 11.146264f, 11.560477f,  5.146264f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  6.242640f, 
     5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  1.414214f,  1.732051f, 
     5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f, 13.217331f, 12.217332f, 11.803118f, 11.388905f, 10.974691f, 10.560477f, 10.146264f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.656854f, 
     5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  2.414214f,  2.732051f, 
     5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f, 12.803118f, 11.803118f, 10.803119f, 10.388905f,  9.974691f,  9.560478f,  9.146264f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f, 
     6.656854f,  6.242640f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  3.414214f,  3.732051f, 
     6.292529f,  5.974691f,  5.656854f,  5.974691f,  6.292529f, 12.388905f, 11.388905f, 10.388905f,  9.388906f,  8.974691f,  8.560478f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f, 
     6.828427f,  8.024579f,  7.706742f,  7.388905f,  7.071068f,  7.388905f,  6.828427f,  8.024579f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  4.414214f,  4.732051f, 
     7.292529f,  6.974691f,  6.656854f,  6.974691f,  7.292529f, 11.974691f, 10.974691f,  9.974691f,  8.974691f,  7.974692f,  7.560478f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f, 
     7.928203f,  7.610366f,  7.292529f,  6.974691f,  6.656854f,  6.974691f,  7.292529f,  7.610366f,  8.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f, 
     8.292528f,  7.974691f,  7.656854f,  7.974691f,  8.292528f, 11.560478f, 10.560478f,  9.560478f,  8.560478f,  7.560478f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.732051f,  4.146264f,  4.560478f,  5.560478f, 
     6.560478f,  7.196152f,  6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  7.196152f,  7.560478f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f, 
    10.292528f,  9.974690f,  9.656854f,  9.974691f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  7.146265f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  2.732051f,  3.146264f,  4.146264f,  5.146264f, 
     6.146264f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  6.560478f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f, 
     9.292528f,  8.974691f,  8.656854f,  8.974691f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  4.146264f,  3.828427f,  4.146264f,  1.732051f,  2.732051f,  3.732051f,  4.732051f, 
     5.732051f,  6.732051f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.974691f,  5.974691f,  5.560478f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f, 
     8.292528f,  7.974691f,  7.656854f,  7.974691f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  7.464102f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f, 
     5.414214f,  6.414214f,  7.414214f,  9.560477f,  8.560477f,  7.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  5.560478f,  6.560478f,  4.732051f,  5.732051f,  6.732051f, 
     7.292529f,  6.974691f,  6.656854f,  6.974691f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f, 
     5.732051f,  6.732051f,  7.732051f,  8.732051f,  8.146264f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  4.146265f,  5.146265f,  6.146265f,  7.146265f,  6.146265f,  7.146265f, 
     6.292529f,  5.974691f,  5.656854f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f, 
     6.146264f,  7.146264f,  8.146264f,  9.146264f,  7.732051f,  6.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  7.732051f,  7.560478f, 
     5.878315f,  8.146264f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f, 
     6.560478f,  7.560478f,  8.560477f,  9.560477f, 10.560477f, 11.560477f, 12.560477f, 13.560477f, 14.560477f, 15.560477f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  7.414214f,  8.414213f, 
     5.464102f,  5.146264f,  4.828427f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f, 
     6.974691f,  7.974691f,  8.974691f,  9.974690f, 10.974690f, 11.974690f, 12.974690f, 13.974690f, 14.974690f, 15.974690f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  7.732051f,  8.732051f, 
     5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f, 
     7.388905f,  8.388905f,  9.388905f, 10.388905f, 11.388904f, 12.388904f, 13.388904f, 14.388904f, 15.388904f, 16.388903f, 17.388903f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  8.146264f,  9.146264f, 
     4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  6.732051f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  7.974691f, 
     8.388905f,  8.803119f,  9.803118f, 10.803118f, 11.803118f, 12.803117f, 13.803117f, 14.803117f, 15.803117f, 16.803116f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  8.560477f,  9.560477f, 
     5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  7.706742f,  8.706742f,  7.414214f,  7.732051f,  8.146264f,  8.560477f,  8.974691f, 
     9.388905f,  9.803118f, 10.217332f, 11.217331f, 12.217331f, 13.217331f, 14.217330f, 15.217330f, 16.217331f, 17.217329f,  6.196152f,  5.196152f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  7.974691f,  8.974691f,  9.974690f, 
     5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  8.292528f,  7.146264f,  7.464102f,  7.878315f,  8.292528f,  8.706742f,  9.120955f,  8.414213f,  8.732051f,  9.146264f,  9.560477f,  9.974690f, 
    10.388905f, 10.803118f, 11.217331f, 11.631545f, 12.631544f, 13.631544f, 14.631544f, 15.631543f, 16.631542f, 17.631542f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  7.388905f,  8.388905f,  9.388905f, 10.388905f, 
     5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  7.610366f,  8.610366f,  9.610365f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  3.828427f,  2.828427f,  2.414214f,  2.000000f, 
     2.414214f,  2.828427f, 12.217331f, 12.631544f, 13.045758f, 14.045757f, 15.045757f, 16.045757f, 17.045757f, 18.045755f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  4.732051f,  5.146264f, 
     6.292529f,  5.974691f,  5.656854f,  5.974691f,  6.292529f,  6.610366f,  6.928203f,  7.928203f,  3.732051f,  4.146264f,  4.560478f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  3.146264f,  2.732051f,  2.414214f, 
     2.732051f,  4.146264f,  3.146264f,  2.732051f,  5.146264f,  4.146264f,  3.146264f,  2.732051f, 17.459970f, 18.459970f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  3.732051f,  4.146264f, 
     7.292529f,  6.974691f,  6.656854f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  3.464102f,  3.146264f,  2.828427f, 
     3.146264f,  4.464102f,  3.464102f,  3.146264f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  2.414214f,  2.732051f,  3.146264f, 
     8.292528f,  6.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.464102f,  4.146264f,  3.828427f, 
     5.878315f,  4.878315f,  3.732051f,  2.732051f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146265f,  4.464102f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  1.732051f,  1.414214f,  1.732051f,  2.732051f, 
     9.292528f,  6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  5.464102f,  5.146264f,  4.828427f, 
     5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  4.828427f,  5.146265f,  5.464102f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  1.414214f,  1.000000f,  1.414214f,  2.414214f, 
     7.732051f,  6.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  6.146264f,  5.828427f, 
     5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f, 
    11.464102f, 10.464102f,  9.464102f,  8.464102f,  7.464102f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f, 
     2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  9.024579f,  8.610366f,  8.196152f,  7.878315f,  7.560478f,  7.242640f,  8.928203f,  7.928203f,  6.928203f,  6.610366f,  6.292529f,  5.974691f,  5.656854f,  5.974691f, 
    11.146264f, 10.146264f,  9.146264f,  8.146264f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f, 
     2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  6.828427f,  7.146264f,  7.464102f,  7.146264f,  6.828427f,  8.610366f,  7.610366f,  6.610366f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f, 
    10.828426f,  9.828426f,  8.828427f,  7.828427f,  6.828427f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f, 
     2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  6.414214f,  8.292528f,  7.292529f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f, 
    11.146264f, 10.146264f,  9.146264f,  8.146264f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f, 
     2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.000000f,  6.414214f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f, 
    11.464102f, 10.464102f,  9.464102f,  8.464102f,  7.464102f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f, 
     2.828427f,  3.146264f,  3.464102f,  4.464102f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.732051f,  6.196152f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f, 
     6.610366f,  6.292529f,  5.974691f,  5.656854f,  5.974691f,  6.292529f,  6.610366f,  6.928203f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f, 
     3.828427f,  4.146264f,  4.464102f,  4.878315f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  7.146264f,  5.196152f,  4.878315f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f, 
     6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  7.610366f,  8.610366f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  5.242640f,  5.878315f,  5.464102f,  5.146264f, 
     4.828427f,  5.146264f,  5.464102f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.878315f,  4.464102f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f, 
     5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  4.878315f,  4.464102f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  7.706742f,  4.242640f,  3.828427f,  3.414214f,  6.146264f, 
     5.828427f,  6.146264f,  6.464102f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  8.292528f,  4.146264f,  6.196153f,  5.878315f,  5.560478f,  5.242640f,  5.560478f, 
     5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  7.974691f,  3.464102f,  3.146264f,  2.828427f,  7.878315f,  8.292528f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f, 
     2.414214f,  2.828427f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  3.828427f,  6.610366f,  6.292529f,  5.974691f,  5.656854f,  5.974691f, 
     5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  6.656854f,  7.656854f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f, 
     1.414214f,  2.414214f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  7.388905f,  8.388905f,  5.464102f,  6.464102f,  7.464102f,  8.828427f,  9.242640f,  7.292529f,  6.974691f,  6.656854f,  6.974691f, 
     5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  7.974691f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f, 
     1.000000f,  2.000000f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  7.974691f,  5.878315f,  6.878315f,  7.878315f,  7.828427f,  8.242640f,  8.292528f,  7.974691f,  7.656854f,  6.414214f, 
     5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  8.292528f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f, 
     1.414214f,  2.414214f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  6.878315f,  7.292529f,  8.292528f,  6.828427f,  7.242640f,  7.656854f,  5.414214f,  5.000000f,  5.414214f, 
     6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  4.146264f,  3.732051f,  3.828427f,  2.828427f,  2.414214f,  2.000000f, 
     2.414214f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  7.388905f,  7.706742f,  5.414214f,  5.828427f,  6.242640f,  4.560478f,  4.414214f,  4.000000f,  4.414214f, 
     4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  3.828427f,  3.414214f,  3.000000f, 
     3.414214f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  7.732051f,  8.732051f,  4.414214f,  4.828427f,  5.242640f,  4.146264f,  3.414214f,  3.000000f,  3.414214f, 
     4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  7.292529f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  4.414214f,  4.000000f, 
     4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  7.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  3.732051f,  2.414214f,  2.000000f,  2.414214f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f, 15.120955f, 14.706741f, 14.292528f, 13.878315f, 13.560477f, 13.878315f,  6.732051f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  5.732051f, 
     4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  3.414214f,  1.414214f,  1.000000f,  1.414214f, 
     3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f, 14.535169f, 14.120955f, 13.706741f, 13.292528f, 12.878315f, 12.560477f, 12.878315f,  5.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  6.146264f, 
     5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  3.732051f,  4.146264f,  0.000000f,  1.000000f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f, 13.535169f, 13.120955f, 12.706742f, 12.292528f, 11.878315f, 11.560477f, 11.878315f,  4.732051f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  6.560478f, 
     5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  1.414214f,  1.000000f,  1.414214f, 
     4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f, 12.535169f, 12.120955f, 11.706742f, 11.292529f, 10.878315f, 10.560477f,  4.146264f,  3.732051f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  6.974691f, 
     6.656854f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  2.000000f,  2.414214f, 
     4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f, 12.120955f, 11.120955f, 10.706742f, 10.292529f,  9.974691f, 10.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f, 
     6.242640f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  3.000000f,  3.414214f, 
     5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f, 12.706741f, 11.706741f, 10.706742f,  9.706742f,  9.292529f,  8.974691f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  6.146264f, 
     5.828427f,  6.146264f,  7.292529f,  6.974691f,  6.656854f,  6.974691f,  7.292529f,  7.610366f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  4.000000f,  4.414214f, 
     6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f, 12.292528f, 11.292528f, 10.292528f,  9.292529f,  8.974691f,  8.560478f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.732051f, 
     5.414214f,  6.610366f,  6.292529f,  5.974691f,  5.656854f,  5.974691f,  6.292529f,  6.610366f,  5.656854f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  7.242640f, 
     7.878315f,  7.560478f,  7.242640f,  7.560478f,  7.878315f, 11.878315f, 10.878315f,  9.878315f,  8.878315f,  8.560478f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.414214f, 
     6.610366f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.656854f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f, 
     9.878315f,  9.560477f,  9.242640f,  9.560477f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.732051f, 
     6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  7.656854f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f, 
     8.878315f,  8.560477f,  8.242640f,  8.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f, 
     5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.000000f,  6.000000f, 
     7.878315f,  7.560478f,  7.242640f,  7.560478f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  8.146264f,  2.414214f,  2.828427f,  3.828427f,  4.828427f, 
     5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  3.828427f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  5.242641f,  6.242641f,  4.414214f,  5.414214f,  6.414214f, 
     6.878315f,  6.560478f,  6.242640f,  6.560478f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  7.732051f,  2.732051f,  3.146264f,  4.146264f,  5.146264f, 
     6.146264f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  2.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  3.828427f,  4.828427f,  5.828427f,  6.828427f,  5.828427f,  6.828427f, 
     5.878315f,  5.560478f,  5.242640f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  7.414214f,  3.146264f,  3.464102f,  4.464102f,  5.464102f, 
     6.464102f,  7.464102f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  7.414214f,  7.242641f, 
     4.878315f,  4.560478f,  4.242640f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f, 
     6.878315f,  7.878315f,  7.560478f,  6.732051f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.000000f,  6.000000f,  7.000000f,  8.000000f, 
     4.464102f,  4.146264f,  3.828427f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  4.146265f,  7.146265f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f, 
     7.292529f,  8.292528f,  6.560478f,  5.732051f,  5.414214f,  5.732051f,  6.146265f,  6.560478f,  6.974692f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  7.414214f,  8.414213f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  6.146265f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f, 
     7.706742f,  8.706742f,  5.560478f,  4.732051f,  4.414214f,  4.732051f,  5.146265f,  5.560478f,  6.560478f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f,  7.828427f,  8.828427f, 
     3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  7.146265f,  6.828427f,  7.146264f,  7.464102f,  7.878315f,  8.292528f, 
     8.706742f,  9.120955f,  4.560478f,  3.732051f,  3.414214f,  3.732051f,  4.146265f,  5.146265f,  6.146265f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  7.242640f,  8.242640f,  9.242640f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  7.388905f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f, 
     2.732051f,  3.146264f,  4.146264f,  2.732051f,  2.414214f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.828427f,  5.242640f,  5.656854f,  6.656854f,  7.656854f,  8.656854f,  9.656854f, 
     4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  7.878315f,  8.878315f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  3.732051f,  2.732051f,  1.732051f,  1.414214f, 
     1.732051f,  2.732051f,  2.732051f,  1.732051f, 12.949382f, 13.949382f, 14.949382f, 15.949381f, 16.949381f, 17.949381f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  9.071068f, 10.071067f, 
     4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  7.196152f,  8.196152f,  9.196152f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  2.414214f,  1.414214f,  1.000000f, 
     1.414214f,  2.414214f,  2.414214f, 12.949382f, 13.363596f, 14.363595f, 15.363595f, 16.363594f, 17.363594f, 18.363592f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  4.828427f, 
     5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  7.610366f,  8.610366f,  9.610365f,  4.878315f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  2.732051f,  1.732051f,  1.414214f, 
     1.732051f,  3.732051f,  2.732051f,  1.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f, 17.777807f, 18.777807f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  3.414214f,  3.828427f, 
     6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  7.196152f,  7.610366f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  3.146264f,  2.732051f,  2.414214f, 
     2.732051f,  4.146264f,  3.146264f,  2.732051f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  2.414214f,  2.828427f, 
     7.878315f,  7.560478f,  7.242640f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  4.146264f,  3.732051f,  3.414214f, 
     5.560478f,  4.560478f,  4.146264f,  3.732051f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  1.000000f,  1.414214f,  2.414214f, 
     8.878315f,  8.560477f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.732051f,  4.414214f, 
     5.974691f,  5.560478f,  5.146264f,  4.732051f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  1.000000f,  0.000000f,  1.000000f,  2.000000f, 
     8.146264f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.732051f,  5.414214f, 
     6.974691f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.732051f,  6.146264f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  1.414214f,  1.000000f,  1.414214f,  2.414214f, 
    11.146264f, 10.146264f,  9.146264f,  8.146264f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f, 
     2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  9.024579f,  8.024579f,  7.610366f,  7.196152f,  6.878315f,  6.560478f,  6.242640f,  6.560478f,  7.610366f,  6.610366f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f, 
    10.732051f,  9.732051f,  8.732051f,  7.732051f,  6.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f, 
     1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  7.706742f,  7.292529f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  7.196152f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f, 
    10.414213f,  9.414213f,  8.414213f,  7.414214f,  6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f, 
     1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f, 
    10.732051f,  9.732051f,  8.732051f,  7.732051f,  6.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f, 
     1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.000000f,  5.414214f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f, 
     7.196152f,  6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  7.196152f,  7.610366f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f, 
     2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.414214f,  5.732051f,  6.146264f,  5.464102f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f, 
     6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  7.610366f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f, 
     3.414214f,  3.732051f,  4.146264f,  4.560478f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  6.464102f,  4.464102f,  4.146264f,  4.146264f,  3.732051f,  3.414214f,  3.732051f, 
     5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  7.196152f,  8.196152f,  5.146264f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f, 
     4.414214f,  4.732051f,  5.146264f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.878315f,  3.464102f,  3.146264f,  4.464102f,  4.146264f,  3.828427f,  4.146264f, 
     4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  7.878315f,  4.146264f,  3.732051f,  3.414214f,  6.560478f,  6.974691f,  7.388905f,  4.560478f,  6.560478f,  6.146264f,  5.732051f, 
     5.414214f,  5.732051f,  6.146264f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  7.292529f,  3.146264f,  2.732051f,  4.878315f,  4.560478f,  4.242640f,  4.560478f, 
     4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f, 
     6.414214f,  6.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  7.706742f,  2.828427f,  2.414214f,  5.878315f,  5.560478f,  5.242640f,  5.560478f, 
     4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  7.242640f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f, 
     1.732051f,  2.732051f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  8.706742f,  9.024579f,  7.292529f,  6.878315f,  6.560478f,  6.242640f,  6.560478f, 
     4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f, 
     1.414214f,  2.414214f,  5.464102f,  5.146264f,  4.560478f,  4.146264f,  3.732051f,  5.878315f,  6.292529f,  7.292529f,  8.292528f,  5.560478f,  6.560478f,  7.560478f,  8.706742f,  8.292528f,  7.878315f,  7.560478f,  6.414214f,  4.464102f, 
     4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  7.878315f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  4.414214f,  3.732051f,  2.732051f,  1.732051f,  1.414214f, 
     1.732051f,  2.732051f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.732051f,  4.878315f,  5.878315f,  6.878315f,  7.878315f,  5.974691f,  6.974691f,  7.974691f,  7.146265f,  7.560478f,  5.146264f,  5.464102f,  5.414214f,  5.732051f, 
     5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.828427f,  3.414214f,  3.000000f,  3.146264f,  2.732051f,  2.414214f, 
     2.732051f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  7.464102f,  6.974691f,  7.388905f,  5.732051f,  4.146265f,  3.828427f,  4.146264f,  4.464102f,  4.414214f,  4.732051f, 
     6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  3.732051f,  3.414214f, 
     3.732051f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  7.974691f,  4.414214f,  4.732051f,  5.146264f,  2.828427f,  3.146264f,  3.464102f,  3.414214f,  3.732051f, 
     3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  4.414214f, 
     4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  2.414214f,  2.732051f,  3.146264f,  2.414214f,  2.732051f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f, 15.438792f, 15.024579f, 14.610366f,  6.146264f,  5.732051f,  5.414214f,  6.414214f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  6.146264f, 
     5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  2.414214f,  2.828427f,  1.414214f,  1.732051f, 
     2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f, 14.438793f, 14.024579f, 13.610366f, 13.292528f, 12.974690f, 13.292528f,  5.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  6.464102f, 
     5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  2.732051f,  3.146264f,  1.000000f,  1.414214f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f, 13.438793f, 13.024580f, 12.610366f, 12.292528f, 11.974690f, 12.292528f,  4.414214f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  6.974691f, 
     6.656854f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  3.146264f,  1.732051f,  1.414214f,  1.732051f, 
     3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f, 12.853006f, 12.438793f, 12.024580f, 11.706742f, 11.388905f, 11.560477f,  3.828427f,  3.414214f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  5.974691f, 
     5.656854f,  5.974691f,  6.292529f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  2.732051f,  2.414214f,  2.732051f, 
     4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f, 12.438793f, 11.438793f, 11.024580f, 10.706742f, 10.388905f, 10.706742f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  4.000000f,  4.414214f,  4.828427f,  5.560478f, 
     5.242640f,  5.560478f,  5.878315f,  7.560478f,  7.242640f,  7.560478f,  7.878315f,  6.878315f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  3.732051f,  3.414214f,  3.732051f, 
     5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f, 12.024579f, 11.024580f, 10.706742f, 10.292529f,  9.974691f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  5.828427f,  5.146264f, 
     4.828427f,  5.146264f,  6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  7.196152f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  4.414214f,  4.732051f, 
     6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f, 11.610366f, 10.610366f, 10.292528f,  9.974691f,  9.560478f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  5.146264f,  4.732051f, 
     4.414214f,  4.732051f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  5.974691f,  5.560478f,  5.146264f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f, 
     7.464102f,  7.146264f,  6.828427f,  7.146264f,  7.464102f, 12.292528f, 11.292528f, 10.292528f,  9.878315f,  9.560478f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.828427f,  4.414214f, 
     4.000000f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  6.560478f,  6.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f, 
     9.464102f,  9.146264f,  8.828427f,  9.146264f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  5.732051f,  5.146264f,  4.732051f, 
     5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  7.560478f,  7.146264f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f, 
     8.464102f,  8.146264f,  7.828427f,  8.146264f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  7.242640f,  3.414214f,  3.828427f,  4.732051f,  5.146264f,  6.560478f, 
     5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  8.146264f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f, 
     7.464102f,  7.146264f,  6.828427f,  7.146265f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f,  7.828427f,  8.828427f,  3.732051f,  4.146264f,  4.560478f, 
     5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  9.146264f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f, 
     6.464102f,  6.146264f,  5.828427f,  6.146265f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  7.414214f,  8.414213f,  2.732051f,  3.146264f,  4.146264f, 
     5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  5.146265f,  6.146265f,  7.146265f, 
     5.464102f,  5.146264f,  4.828427f,  5.146265f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.000000f,  6.000000f,  7.000000f,  4.146264f,  1.732051f,  2.732051f,  3.732051f, 
     5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  6.560478f,  7.560478f, 
     4.464102f,  4.146264f,  3.828427f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f, 
     4.414214f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  7.196152f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  7.414214f,  7.974692f, 
     3.464102f,  3.146264f,  2.828427f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  5.878315f,  6.196153f,  5.000000f, 
     5.414214f,  5.828427f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  7.610366f,  5.828427f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  7.732051f,  8.732051f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  6.878315f,  7.196153f,  4.000000f, 
     4.414214f,  4.828427f,  5.242640f,  6.560478f,  6.242640f,  6.560478f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  8.146264f,  9.146264f, 
     2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  3.414214f,  3.000000f, 
     3.414214f,  3.828427f,  4.242640f,  3.414214f,  3.000000f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  8.560477f,  9.560477f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  8.146264f,  9.146264f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  4.732051f,  4.414214f,  2.828427f,  2.414214f,  2.000000f, 
     2.414214f,  2.828427f,  3.828427f,  2.414214f,  2.000000f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  4.560478f,  4.146264f,  3.732051f,  5.560478f,  5.974691f,  6.974691f,  7.974691f,  8.974691f,  9.974690f, 
     3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  7.464102f,  8.464102f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  2.414214f,  1.414214f,  1.000000f, 
     1.414214f,  2.414214f,  3.414214f,  1.414214f,  1.000000f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f, 10.388905f, 
     4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  7.878315f,  8.878315f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  2.000000f,  1.000000f,  0.000000f, 
     1.000000f,  2.000000f,  2.000000f,  1.000000f,  0.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f, 
     5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  8.292528f,  9.292528f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  2.414214f,  1.414214f,  1.000000f, 
     1.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  4.146264f, 
     6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  7.706742f,  8.706742f,  9.706741f, 10.706741f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  2.828427f,  2.414214f,  2.000000f, 
     2.414214f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  2.732051f,  3.146264f, 
     7.464102f,  7.146264f,  6.828427f,  7.146264f,  7.464102f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  3.414214f,  3.000000f, 
     3.414214f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  1.732051f,  2.732051f, 
     8.464102f,  8.146264f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.414214f,  4.000000f, 
     4.414214f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.828427f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  1.000000f,  1.414214f,  2.414214f, 
     8.560477f,  7.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.414214f,  5.000000f, 
     6.656854f,  6.242640f,  5.828427f,  5.414214f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f, 
    10.828426f,  9.828426f,  8.828427f,  7.828427f,  6.828427f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f, 
     2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  8.610366f,  7.610366f,  6.610366f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  7.292529f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f, 
    10.414213f,  9.414213f,  8.414213f,  7.414214f,  6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f, 
     1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  8.292528f,  7.292529f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f, 
    10.828426f,  9.828426f,  8.828427f,  7.828427f,  8.146264f,  5.000000f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.000000f,  4.000000f,  3.000000f,  2.000000f,  1.000000f, 
     0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f, 
     7.878315f,  7.464102f,  7.146264f,  6.828427f,  7.146264f,  7.464102f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f, 
     1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  4.000000f,  4.414214f,  4.828427f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  7.706742f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f, 
     2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  4.414214f,  4.732051f,  5.146264f,  5.146265f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f, 
     5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f, 
     3.000000f,  3.414214f,  3.828427f,  4.242640f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.146264f,  5.464102f,  4.146265f,  3.732051f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  7.878315f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  6.656854f,  5.656854f,  5.242640f,  4.828427f,  4.414214f, 
     4.000000f,  4.414214f,  4.828427f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  5.878315f,  6.196152f,  2.732051f,  2.414214f,  3.146264f,  2.828427f,  3.146264f, 
     4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  7.464102f,  3.828427f,  3.414214f,  3.000000f,  6.242640f,  6.656854f,  7.071068f,  6.656854f,  6.242640f,  5.828427f,  5.414214f, 
     5.000000f,  5.414214f,  5.828427f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.000000f,  6.292529f,  6.610366f,  1.732051f,  1.414214f,  4.146264f,  3.828427f,  4.146264f, 
     4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  5.464102f,  4.464102f,  3.464102f,  6.828427f,  6.414214f, 
     6.000000f,  6.414214f,  6.828427f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  7.292529f,  7.610366f,  1.414214f,  1.000000f,  5.146264f,  4.828427f,  5.146264f, 
     3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f, 
     7.000000f,  7.414214f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  8.292528f,  8.610366f,  7.560478f,  6.560478f,  6.146264f,  2.732051f,  3.732051f, 
     4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  3.828427f,  2.828427f,  2.414214f,  2.000000f, 
     2.414214f,  2.828427f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  9.292528f,  9.610365f,  7.974691f,  7.560478f,  2.732051f,  3.146264f,  4.146264f, 
     4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  7.464102f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  3.146264f,  2.732051f,  2.414214f, 
     2.732051f,  3.146264f,  4.878315f,  4.560478f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  6.196153f,  7.196153f,  5.242640f,  5.656854f,  6.656854f, 10.292528f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.828427f,  6.146264f, 
     4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.732051f,  3.414214f,  3.464102f,  3.146264f,  2.828427f, 
     3.146264f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  5.000000f,  5.878315f,  6.878315f,  6.242640f,  6.656854f,  7.071068f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.828427f,  5.146264f, 
     5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  3.828427f, 
     4.146264f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.242640f,  7.656854f,  4.828427f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  3.828427f,  4.146264f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.656854f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  4.828427f, 
     5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  2.828427f,  3.146264f, 
     2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.656854f,  6.242640f,  5.828427f,  5.414214f,  5.000000f,  6.828427f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  7.560478f,  6.560478f, 
     5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  2.414214f,  2.732051f, 
     2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f, 14.756631f, 14.342417f, 14.024579f, 13.706741f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  7.878315f,  7.560478f, 
     5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  2.000000f,  2.414214f, 
     2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f, 13.756631f, 13.438793f, 13.120955f, 12.803118f, 12.974690f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  6.878315f,  6.560478f, 
     6.242640f,  6.560478f,  6.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  2.414214f,  2.732051f,  2.732051f,  2.414214f,  2.732051f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f, 12.756631f, 12.438793f, 12.120955f, 11.803118f, 12.120955f,  4.146264f,  3.732051f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  5.878315f,  5.560478f, 
     5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  5.560478f,  5.878315f,  6.196152f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  3.414214f,  3.732051f,  4.146265f,  2.828427f,  3.146264f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f, 12.756631f, 12.438793f, 12.024580f, 11.706742f, 11.388905f, 11.706742f,  3.146264f,  2.732051f,  2.414214f,  4.732051f,  4.414214f,  4.732051f,  4.878315f,  4.560478f, 
     4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.828427f,  7.146264f,  7.464102f,  7.878315f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  4.732051f,  5.146265f,  3.828427f,  4.146264f, 
     5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f, 12.342417f, 12.024579f, 11.706741f, 11.292529f, 10.974691f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  5.732051f,  4.464102f,  4.146264f, 
     3.828427f,  4.146264f,  4.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.146265f,  4.828427f,  5.146264f, 
     6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f, 12.024579f, 11.610366f, 11.292528f, 10.974691f, 10.560478f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  4.560478f,  4.146264f,  3.732051f, 
     3.414214f,  3.732051f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  5.828427f,  6.146264f, 
    10.146264f,  9.732051f,  9.414213f,  6.732051f,  7.146264f,  7.560478f, 11.706741f, 11.292528f, 10.878315f, 10.560478f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  4.242640f,  3.828427f,  3.414214f, 
     3.000000f,  3.414214f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  7.464102f, 
     9.146264f,  8.732051f,  8.414213f,  8.732051f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  5.000000f,  4.560478f,  4.146264f,  3.732051f, 
     3.414214f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  7.464102f,  7.146264f,  6.828427f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f, 
     8.146264f,  7.732051f,  7.414214f,  7.732051f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  3.732051f,  4.000000f,  4.414214f,  4.464102f,  4.146264f, 
     5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  8.464102f,  8.146264f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f, 
     7.146264f,  6.732051f,  6.414214f,  6.732051f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  8.146264f,  3.000000f,  3.414214f,  3.828427f,  5.828427f, 
     4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f, 
     6.146264f,  5.732051f,  5.414214f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  7.732051f,  2.000000f,  2.414214f,  2.828427f,  6.146264f, 
     5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  5.464102f,  6.464102f,  7.464102f, 
     5.146264f,  4.732051f,  4.414214f,  4.732051f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  7.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f, 
     5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  7.464102f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  6.878315f,  7.878315f, 
     4.146264f,  3.732051f,  3.414214f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f, 
     5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  7.878315f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f,  7.828427f,  8.292529f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f, 
     4.414214f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  8.292528f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  8.146264f,  9.146264f, 
     2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f, 
     4.732051f,  5.146264f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  7.706742f,  5.146264f,  5.560478f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  7.464102f,  8.464102f,  9.464102f, 
     2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.732051f,  3.414214f, 
     3.732051f,  4.146264f,  4.560478f,  3.732051f,  3.414214f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  7.878315f,  8.878315f,  9.878315f, 
     2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  7.732051f,  8.732051f,  6.242640f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  3.146264f,  2.732051f,  2.414214f, 
     2.732051f,  3.146264f,  4.146264f,  2.732051f,  2.414214f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  3.828427f,  3.414214f,  3.000000f,  6.292529f,  7.292529f,  4.242640f,  5.242640f, 10.292528f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  8.146264f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  2.732051f,  1.732051f,  1.414214f, 
     1.732051f,  2.732051f,  3.732051f,  1.732051f,  1.414214f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  8.560477f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  2.414214f,  1.414214f,  1.000000f, 
     1.414214f,  2.414214f,  3.414214f,  4.414214f,  1.000000f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f, 
     5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  7.974691f,  8.974691f,  9.974690f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  2.732051f,  1.732051f,  1.414214f, 
     1.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.000000f, 
     6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  7.388905f,  8.388905f,  9.388905f, 10.388905f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  2.732051f,  2.414214f, 
     2.732051f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  3.464102f, 
     7.146264f,  6.732051f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  7.974691f,  8.388905f,  8.803119f,  9.803118f,  5.560478f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  3.732051f,  3.414214f, 
     3.732051f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  2.732051f,  3.146264f, 
     8.146264f,  7.732051f,  7.414214f,  7.732051f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.732051f,  4.414214f, 
     4.732051f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  2.414214f,  2.828427f, 
     9.146264f,  8.732051f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  5.732051f,  5.414214f, 
     5.974691f,  6.560478f,  5.146264f,  4.732051f,  4.414214f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  2.414214f,  2.732051f,  3.146264f, 
    11.146264f, 10.146264f,  9.146264f,  8.146264f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f, 
     2.414214f,  2.732051f,  3.146264f,  4.146264f, 13.706741f,  8.196152f,  7.196152f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f, 
    10.732051f,  9.732051f,  8.732051f,  7.732051f,  6.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f, 
     1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  7.878315f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f, 
     8.560477f,  8.146264f,  7.732051f,  7.414214f,  7.732051f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f, 
     1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  6.146264f,  5.732051f,  5.414214f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     7.560478f,  7.146264f,  6.732051f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  7.974691f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f, 
     1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f, 
     2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  4.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  7.974691f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f, 
     3.414214f,  3.732051f,  4.146264f,  4.560478f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  4.146264f,  4.464102f,  4.878315f,  3.414214f,  3.000000f,  1.732051f,  1.414214f,  1.732051f, 
     4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  5.146264f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f, 
     4.414214f,  4.732051f,  5.146264f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  4.878315f,  5.196152f,  2.414214f,  2.000000f,  2.732051f,  2.414214f,  2.732051f, 
     4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  4.146264f,  3.732051f,  6.146264f,  6.560478f,  6.974691f,  7.388905f,  6.974691f,  6.560478f,  6.146264f,  5.732051f, 
     5.414214f,  5.732051f,  6.146264f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  5.878315f,  6.196152f,  1.414214f,  1.000000f,  3.732051f,  3.414214f,  3.732051f, 
     3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  7.974691f,  8.388905f,  7.974691f,  7.560478f,  7.146264f,  6.732051f, 
     6.414214f,  6.732051f,  7.146264f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.878315f,  7.196152f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f, 
     3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  4.146264f,  8.146264f,  7.732051f, 
     7.414214f,  7.732051f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.878315f,  8.196152f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f, 
     3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  3.828427f,  3.414214f,  3.000000f, 
     3.414214f,  8.732051f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  8.878315f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  4.242640f, 
     4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  4.146264f,  3.732051f,  3.414214f, 
     3.732051f,  4.146264f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  4.242640f,  3.828427f,  4.000000f,  4.414214f,  4.828427f,  6.242640f,  6.560478f, 
     4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  3.828427f,  4.146264f,  4.146264f,  3.828427f, 
     4.146264f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  6.732051f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  5.242640f,  5.560478f, 
     5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.242640f, 
     4.560478f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  6.000000f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  4.242640f,  4.560478f, 
     2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  5.242640f, 
     5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  5.196152f,  4.878315f,  4.560478f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.828427f,  4.146264f, 
     2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.974691f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  7.974691f,  6.974691f, 
     5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.414214f,  3.732051f, 
     2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.000000f, 14.853006f, 14.535169f,  7.146264f,  6.732051f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  7.464102f,  7.146264f, 
     6.828427f,  7.146264f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.000000f,  3.414214f, 
     2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f, 14.170844f, 13.853006f, 13.535169f, 13.217331f, 13.535169f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  6.464102f,  6.146264f, 
     5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  5.560478f,  5.878315f,  6.196152f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.414214f,  3.732051f, 
     2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f, 13.756631f, 13.438793f, 13.120955f, 12.803118f, 13.120955f,  4.464102f,  4.146264f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  5.464102f,  5.146264f, 
     4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.732051f,  8.146264f,  6.610366f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  3.828427f,  4.146264f, 
     3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f, 13.438792f, 13.024580f, 12.706742f, 12.388905f, 12.706742f,  3.464102f,  3.146264f,  2.828427f,  5.146264f,  4.828427f,  5.146264f,  4.464102f,  4.146264f, 
     3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.732051f,  7.146264f,  7.560478f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  4.242640f,  4.560478f, 
     4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f, 13.024579f, 12.706741f, 12.292529f, 11.974691f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.464102f,  3.464102f,  3.146264f, 
     2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.000000f,  5.414214f,  5.828427f,  5.242640f,  5.560478f, 
     5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f, 13.024579f, 12.610366f, 12.292528f, 11.974691f, 11.560478f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  4.146264f,  3.146264f,  2.732051f, 
     2.414214f,  2.732051f,  3.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  6.560478f, 
     9.828426f,  9.414213f,  9.000000f,  6.414214f,  6.828427f,  7.242640f, 12.706741f, 12.292528f, 11.878315f, 11.560478f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  4.828427f,  3.828427f,  2.828427f,  2.414214f, 
     2.000000f,  2.414214f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.732051f,  6.878315f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  7.878315f, 
     8.828427f,  8.414213f,  8.000000f,  8.414213f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f, 
     2.414214f,  2.732051f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  6.242640f,  5.242640f,  4.242640f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f, 
     7.828427f,  7.414214f,  7.000000f,  7.414214f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  7.878315f,  4.732051f,  4.414214f,  4.464102f,  3.464102f,  3.146264f, 
     2.828427f,  3.146264f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.560478f,  5.560478f,  4.560478f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  7.242640f, 
     6.828427f,  6.414214f,  6.000000f,  6.414214f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  7.464102f,  3.732051f,  3.414214f,  3.732051f,  4.464102f,  4.146264f, 
     4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  5.878315f,  4.878315f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f, 
     5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  2.732051f,  2.414214f,  2.732051f,  5.464102f,  5.732051f, 
     4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  4.878315f,  5.878315f,  6.878315f,  7.878315f, 
     4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  6.146264f, 
     5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  6.292529f,  7.196153f,  8.196153f, 
     3.828427f,  3.414214f,  3.000000f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f, 
     5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  7.242640f,  7.706742f,  8.610366f, 
     2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f, 
     5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  8.560477f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  8.560477f,  9.120955f, 
     2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f, 
     5.146264f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  8.146264f,  8.464102f,  8.878315f,  5.878315f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  7.878315f,  8.878315f,  9.878315f, 
     2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.000000f,  6.000000f,  5.146264f,  5.464102f,  6.414214f,  7.146264f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  4.464102f,  4.146264f,  3.828427f, 
     4.146264f,  4.464102f,  4.464102f,  4.146264f,  6.414214f,  6.732051f,  7.146264f,  8.242640f,  8.560477f,  8.878315f,  9.196152f,  4.878315f,  4.560478f,  4.878315f,  5.196152f,  4.732051f,  5.146264f,  5.560478f,  9.196153f, 10.196153f, 
     2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  7.414214f,  7.146264f,  6.732051f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  3.464102f,  3.146264f,  2.828427f, 
     3.146264f,  3.464102f,  3.464102f,  3.146264f,  2.828427f,  4.464102f,  3.464102f,  3.146264f,  8.974691f,  9.292528f,  3.464102f,  4.464102f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f, 
     2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f,  7.828427f,  7.464102f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  3.146264f,  2.732051f,  2.414214f, 
     2.732051f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f, 
     3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  7.242640f,  8.242640f,  9.242640f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  2.828427f,  2.414214f,  2.000000f, 
     2.414214f,  4.414214f,  3.414214f,  2.414214f,  2.000000f,  3.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f, 
     4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  6.656854f,  7.656854f,  8.656854f,  9.656854f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  3.146264f,  2.732051f,  2.414214f, 
     2.732051f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  4.146265f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f, 
     5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  6.656854f,  7.071068f,  8.071068f,  9.071068f, 10.071067f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  3.146264f,  2.828427f, 
     3.146264f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  4.464102f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f, 
     6.828427f,  6.414214f,  6.000000f,  6.414214f,  6.828427f,  7.242640f,  7.656854f,  8.071068f,  8.485281f,  9.485281f, 10.485281f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.146264f,  3.828427f, 
     4.146264f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f, 
     7.828427f,  7.414214f,  7.000000f,  7.414214f,  7.828427f,  8.242640f,  8.656854f,  9.071068f,  5.414214f,  5.828427f,  6.242640f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  5.146264f,  4.828427f, 
     5.146264f,  5.878315f,  5.464102f,  3.414214f,  3.000000f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  6.732051f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  3.414214f,  3.828427f, 
     8.828427f,  8.414213f,  8.000000f,  8.414213f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.828427f, 
     5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  3.414214f,  3.000000f,  3.414214f,  6.414214f,  6.000000f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  3.732051f,  4.146264f, 
    11.464102f, 10.464102f,  9.464102f,  8.464102f,  7.464102f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  7.464102f,  4.464102f,  3.464102f,  3.146264f, 
     2.828427f,  3.146264f,  3.464102f, 13.120955f, 12.706741f, 12.292528f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f, 
     9.242640f,  8.828427f,  9.146264f,  8.146264f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  4.146264f,  3.146264f,  2.732051f, 
     2.414214f,  2.732051f,  3.146264f,  4.146264f, 12.388904f, 11.974690f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f, 
     8.242640f,  7.828427f,  7.414214f,  7.000000f,  7.414214f,  7.828427f,  8.242640f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f,  3.828427f,  2.828427f,  2.414214f, 
     2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  6.464102f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f, 
     7.242640f,  6.828427f,  6.414214f,  6.000000f,  6.414214f,  6.828427f,  7.242640f,  7.656854f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  4.146264f,  3.146264f,  2.732051f, 
     2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.464102f,  5.146264f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     6.242640f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  6.656854f,  7.071068f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  7.464102f,  4.464102f,  3.464102f,  3.146264f, 
     2.828427f,  3.146264f,  3.464102f,  4.464102f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.732051f,  4.414214f,  1.000000f,  0.000000f,  1.000000f, 
     5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  6.656854f,  6.242640f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  7.878315f,  4.878315f,  4.464102f,  4.146264f, 
     3.828427f,  4.146264f,  4.464102f,  4.878315f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  3.732051f,  3.414214f,  1.414214f,  1.000000f,  1.414214f, 
     4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  7.242640f,  5.464102f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  8.292528f,  5.878315f,  5.464102f,  5.146264f, 
     4.828427f,  5.146264f,  5.464102f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  4.464102f,  4.878315f,  2.732051f,  2.414214f,  2.414214f,  2.000000f,  2.414214f, 
     3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f,  4.464102f,  4.146264f,  6.464102f,  6.878315f,  7.292529f,  7.706742f,  8.706742f,  6.878315f,  6.464102f,  6.146264f, 
     5.828427f,  6.146264f,  6.464102f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  5.464102f,  5.878315f,  1.732051f,  1.414214f,  3.414214f,  3.000000f,  3.414214f, 
     3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  8.292528f,  8.706742f,  9.120955f,  7.878315f,  7.464102f,  7.146264f, 
     6.828427f,  7.146264f,  7.464102f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  6.464102f,  6.878315f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f, 
     3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.000000f,  6.000000f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f, 10.120955f,  8.878315f,  8.464102f,  8.146264f, 
     7.828427f,  8.146264f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  7.464102f,  7.878315f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f, 
     3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  4.414214f,  9.146264f, 
     8.828427f,  9.146264f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  8.464102f,  3.146264f,  2.732051f,  2.414214f,  6.146264f,  4.146265f,  3.828427f, 
     3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.560478f,  4.732051f,  4.414214f, 
     4.732051f,  8.292528f,  7.292529f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  6.464102f,  6.878315f,  7.292529f,  4.732051f,  5.146264f,  6.656854f,  2.828427f, 
     4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  4.560478f,  4.878315f,  4.828427f, 
     5.146264f,  6.878315f,  6.464102f,  7.292529f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  3.414214f,  3.732051f,  4.146264f,  5.656854f,  5.974691f, 
     5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  4.146264f,  4.464102f,  5.242640f, 
     6.974691f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  7.464102f,  7.146264f,  6.828427f,  7.146264f,  7.464102f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  5.242640f,  5.560478f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.878315f,  7.292529f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  3.732051f,  4.146264f,  5.656854f, 
     6.656854f,  6.242640f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.414214f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  4.828427f,  5.146264f, 
     2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.464102f,  4.878315f,  7.292529f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  8.146264f,  7.732051f, 
     7.414214f,  7.732051f,  8.146264f,  8.560477f,  5.414214f,  5.732051f,  6.146264f,  6.732051f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  4.414214f,  4.732051f, 
     2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.146264f,  4.560478f,  5.560478f,  7.878315f,  7.464102f,  7.146264f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  7.146264f,  6.732051f, 
     6.414214f,  6.732051f,  7.146264f,  7.560478f,  7.974691f,  8.388905f,  6.464102f,  7.146264f,  7.464102f,  6.878315f,  5.146264f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  4.000000f,  4.414214f, 
     2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  3.828427f,  4.242640f, 14.853006f, 14.535169f, 14.217331f, 14.535169f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  6.146264f,  5.732051f, 
     5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  7.388905f,  6.878315f,  6.656854f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.414214f,  4.732051f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.146264f,  4.560478f, 14.438793f, 14.120955f, 13.803118f, 14.120955f,  4.878315f,  4.560478f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  5.146264f,  4.732051f, 
     4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  7.828427f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.828427f,  5.146264f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  4.464102f,  4.878315f, 14.024580f, 13.706742f, 13.388905f, 13.706742f,  4.464102f,  4.146264f,  5.878315f,  5.560478f,  5.242640f,  4.560478f,  4.146264f,  3.732051f, 
     3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.414214f,  6.828427f,  7.242640f,  6.464102f,  6.146264f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.242640f,  5.560478f, 
     5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  4.878315f, 14.024579f, 13.706741f, 13.292529f, 12.974691f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  5.146264f,  4.146264f,  3.146264f,  2.732051f, 
     2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.414214f,  5.828427f,  6.242640f,  6.146264f,  5.732051f,  5.878315f,  5.560478f,  5.242640f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  5.656854f,  5.974691f, 
     6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  5.878315f, 13.610366f, 13.292528f, 12.974691f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  4.732051f,  3.732051f,  2.732051f,  1.732051f, 
     1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  5.414214f,  6.292529f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f, 
    10.146264f,  9.732051f,  9.414213f,  6.732051f,  7.146264f,  6.560478f, 13.706741f, 13.292528f, 12.878315f, 12.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.414214f,  3.414214f,  2.414214f,  1.414214f, 
     1.000000f,  1.414214f,  2.414214f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  5.732051f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f, 
     9.146264f,  8.732051f,  8.414213f,  8.732051f,  6.610366f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  4.146264f,  3.828427f,  4.146264f,  4.732051f,  3.732051f,  2.732051f,  1.732051f, 
     1.414214f,  1.732051f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f, 
     8.146264f,  7.732051f,  7.414214f,  7.732051f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  7.196152f,  8.196152f,  5.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f, 
     2.414214f,  2.732051f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  6.656854f,  7.656854f, 
     7.146264f,  6.732051f,  6.414214f,  6.732051f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  7.878315f,  4.146264f,  3.828427f,  4.560478f,  4.146264f,  3.732051f, 
     3.414214f,  3.732051f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  7.242640f,  7.560478f,  7.878315f,  8.196152f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  5.974691f,  6.974691f,  7.974691f, 
     6.146264f,  5.732051f,  5.414214f,  5.732051f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  3.146264f,  2.828427f,  3.146264f,  5.146264f,  4.732051f, 
     4.414214f,  4.732051f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  6.828427f,  7.146264f,  7.464102f,  7.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  5.878315f,  6.292529f,  7.292529f,  8.292528f, 
     5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  7.242640f,  2.732051f,  2.414214f,  2.732051f,  6.146264f,  5.828427f, 
     4.828427f,  3.828427f,  2.828427f,  7.974691f,  7.560478f,  2.414214f,  6.732051f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  7.974691f,  5.878315f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  6.610366f,  7.610366f,  8.610366f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  6.242640f, 
     5.242640f,  4.242640f,  3.828427f,  7.656854f,  7.242640f,  6.828427f,  6.414214f,  6.000000f,  6.414214f,  6.828427f,  7.242640f,  7.656854f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  6.656854f,  7.656854f,  8.024579f,  8.928204f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.828427f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f, 
     5.656854f,  5.242640f,  4.828427f,  7.974691f,  7.560478f,  7.146264f,  6.732051f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  7.974691f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  7.974691f,  8.974691f,  9.438792f, 
     2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.242640f,  5.560478f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f, 
     5.560478f,  6.242640f,  5.828427f,  8.292528f,  7.878315f,  7.464102f,  7.146264f,  6.828427f,  7.146264f,  7.464102f,  7.878315f,  8.292528f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  8.292528f,  9.292528f, 10.292528f, 
     2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  6.242640f,  5.828427f,  5.414214f,  5.000000f,  7.146264f,  6.828427f,  4.146264f,  3.828427f,  4.878315f,  4.560478f,  4.242640f, 
     4.560478f,  4.878315f,  6.828427f,  8.610366f,  8.196152f,  7.878315f,  7.560478f,  7.242640f,  7.560478f,  7.878315f,  8.196152f,  8.610366f,  5.464102f,  5.878315f,  6.196152f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f, 
     2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  7.732051f,  6.146264f,  5.732051f,  5.414214f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  4.464102f,  4.146264f,  3.828427f, 
     4.146264f,  4.464102f,  4.464102f,  4.146264f,  8.610366f,  8.292528f,  7.974691f,  7.656854f,  7.974691f,  8.292528f,  8.610366f,  5.974691f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  8.146264f,  6.464102f,  6.146264f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  4.146264f,  3.732051f,  3.414214f, 
     3.732051f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  3.732051f,  3.414214f,  8.388905f,  8.706742f,  4.560478f,  5.560478f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  8.560477f,  9.560477f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  3.414214f,  3.000000f, 
     3.414214f,  4.828427f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f, 
     5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  7.974691f,  8.974691f,  9.974690f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  3.732051f,  3.414214f, 
     3.732051f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f, 
     6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  7.388905f,  8.388905f,  9.388905f, 10.388905f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.146264f,  3.828427f, 
     4.146264f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146265f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f, 
     7.146264f,  6.732051f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  7.974691f,  8.388905f,  8.803119f,  9.803118f, 10.803118f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.560478f,  4.242640f, 
     4.560478f,  5.196152f,  4.878315f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  6.464102f,  6.146264f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f, 
     8.146264f,  7.732051f,  7.414214f,  7.732051f,  8.146264f,  8.560477f,  8.974691f,  9.388905f,  9.803118f, 10.217332f, 11.217331f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.560478f,  5.242640f, 
     4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  6.146264f,  5.732051f,  5.414214f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  4.828427f, 
     9.146264f,  8.732051f,  8.414213f,  8.732051f,  9.146264f,  9.560477f,  9.974690f, 10.388905f,  6.732051f,  7.146264f,  7.560478f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.878315f,  6.242640f, 
     5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  4.732051f,  4.146264f, 
    10.560477f, 10.146264f,  9.732051f,  8.878315f,  7.878315f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  7.878315f,  8.878315f,  4.464102f,  4.146264f, 
     3.828427f,  4.146264f, 12.535168f, 12.120955f, 11.706741f, 11.292528f, 10.878315f, 10.464102f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f, 
     9.560477f,  9.146264f,  8.732051f,  8.414213f,  7.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  8.560477f,  4.146264f,  3.732051f, 
     3.414214f,  3.732051f,  4.146264f, 11.803118f, 11.388904f, 10.974690f, 10.560477f, 10.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f, 
     8.560477f,  8.146264f,  7.732051f,  7.414214f,  7.732051f,  8.146264f,  8.560477f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  7.242640f,  8.242640f,  3.828427f,  3.414214f, 
     3.000000f,  3.414214f,  3.828427f,  4.242640f, 11.071067f, 10.656854f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     7.560478f,  7.146264f,  6.732051f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  8.560477f,  4.146264f,  3.732051f, 
     3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  5.878315f,  5.560478f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  7.388905f,  5.656854f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  7.878315f,  8.878315f,  4.464102f,  4.146264f, 
     3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.196152f,  4.878315f,  4.560478f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  5.146265f,  4.828427f,  1.414214f,  1.000000f,  1.414214f, 
     5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  5.242640f,  5.560478f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  7.196152f,  8.196152f,  9.196152f,  4.878315f,  4.560478f, 
     4.242640f,  4.560478f,  4.878315f,  5.196152f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.196152f,  6.610366f,  7.610366f,  8.610366f,  9.610365f,  5.878315f,  5.560478f, 
     5.242640f,  5.560478f,  5.878315f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  2.732051f,  2.414214f,  2.732051f, 
     4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  4.414214f,  4.878315f,  4.560478f,  6.878315f,  7.196152f,  7.610366f,  8.024579f,  9.024579f, 10.024579f,  6.878315f,  6.560478f, 
     6.242640f,  6.560478f,  6.878315f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  5.146264f,  4.732051f,  4.414214f,  6.242641f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  3.732051f,  3.414214f,  4.146265f, 
     3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  4.000000f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  8.610366f,  9.024579f,  9.438792f, 10.438792f,  7.878315f,  7.560478f, 
     7.242640f,  7.560478f,  7.878315f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  6.146264f,  6.560478f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f, 
     3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  9.610366f, 10.024579f, 10.438792f, 10.853005f,  8.878315f,  8.560477f, 
     8.242640f,  8.560477f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  7.146264f,  3.146264f,  2.732051f,  2.414214f,  8.928203f,  4.732051f,  4.414214f, 
     3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.878315f,  6.560478f,  9.560477f, 
     9.242640f,  9.560477f,  7.196152f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  7.196152f,  4.464102f,  3.464102f,  6.610366f,  7.610366f,  8.610366f,  3.732051f,  3.414214f, 
     4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  6.974691f,  6.656854f, 
     9.610366f,  8.610366f,  7.610366f,  6.610366f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  8.292528f,  2.732051f,  2.414214f, 
     4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  5.878315f,  6.196153f, 
     8.706742f,  7.706742f,  7.292529f,  6.878315f,  6.464102f,  6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  4.464102f,  4.878315f,  1.414214f, 
     5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  7.196152f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  7.196152f,  5.464102f,  5.878315f, 
     8.388905f,  7.560478f,  7.146264f,  6.732051f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  3.146264f,  3.464102f,  4.464102f,  1.000000f, 
     3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.828427f,  4.146264f,  4.464102f,  7.610366f,  6.610366f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  7.610366f,  5.146264f,  6.656854f, 
     7.656854f,  7.242640f,  6.828427f,  6.414214f,  6.000000f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  6.146264f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  7.610366f,  7.196152f,  6.878315f,  6.560478f,  6.242640f,  6.560478f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  7.414214f, 
     7.000000f,  7.414214f,  7.828427f,  8.242640f,  6.414214f,  6.732051f,  5.414214f,  5.732051f,  6.146264f,  5.464102f,  5.146264f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  5.732051f, 
     2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  8.196152f,  7.878315f,  7.560478f,  7.242640f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  6.828427f,  6.414214f, 
     6.000000f,  6.414214f,  6.828427f,  7.242640f,  7.656854f,  8.071068f,  5.828427f,  6.146264f,  6.464102f,  5.878315f,  5.560478f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.414214f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f, 15.535169f,  8.878315f,  8.560477f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.828427f,  5.414214f, 
     5.000000f,  5.414214f,  5.828427f,  6.242640f,  6.656854f,  7.071068f,  6.242640f,  6.560478f,  6.878315f,  5.974691f,  6.656854f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.732051f, 
     3.464102f,  3.146264f,  2.828427f,  3.146264f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f, 15.120955f, 14.803118f, 15.120955f,  6.610366f,  6.196153f,  5.878315f,  5.560478f,  5.242640f,  5.242640f,  4.828427f,  4.414214f, 
     4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  6.656854f,  7.656854f,  6.196152f,  5.878315f,  5.560478f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  6.146264f, 
     4.464102f,  4.146264f,  3.828427f,  4.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f, 15.024580f, 14.706742f, 14.388905f, 14.706742f,  5.464102f,  5.146264f,  6.292529f,  5.974691f,  5.656854f,  4.242640f,  3.828427f,  3.414214f, 
     3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  7.146264f,  7.560478f,  5.464102f,  5.146264f,  4.828427f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f, 
     5.464102f,  5.146264f,  4.828427f,  5.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f, 14.706741f, 14.292529f, 13.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  4.828427f,  3.828427f,  2.828427f,  2.414214f, 
     2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.146264f,  6.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f, 
     6.464102f,  6.146264f,  5.828427f,  6.146264f,  4.828427f,  5.146264f,  5.464102f,  5.146264f, 14.292528f, 13.974691f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f, 
     1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  5.146264f,  5.560478f,  5.974691f,  4.414214f,  4.000000f,  4.414214f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f, 
    10.464102f, 10.146264f,  9.828426f,  7.242640f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  6.656854f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  5.000000f,  4.000000f,  3.000000f,  2.000000f,  1.000000f, 
     0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.000000f,  4.146264f,  4.560478f,  5.560478f,  4.732051f,  4.414214f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f, 
     9.464102f,  9.146264f,  8.828427f,  9.146264f,  6.928203f,  7.464102f,  6.292529f,  5.974691f,  5.656854f,  5.974691f,  6.292529f,  6.610366f,  6.928203f,  5.146264f,  4.828427f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f, 
     1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  3.146264f,  7.071068f,  7.388905f,  7.706742f,  4.828427f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f, 
     8.464102f,  8.146264f,  7.828427f,  8.146264f,  6.610366f,  7.146264f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  7.610366f,  5.196152f,  5.560478f,  4.828427f,  3.828427f,  2.828427f,  2.414214f, 
     2.000000f,  2.414214f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  6.656854f,  6.974691f,  7.292529f,  5.242640f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f, 
     7.464102f,  7.146264f,  6.828427f,  7.146264f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  4.878315f,  4.560478f,  5.242640f,  4.242640f,  3.828427f,  3.414214f, 
     3.000000f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  6.242640f,  6.560478f,  6.878315f,  7.196152f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  8.388905f, 
     6.464102f,  6.146264f,  5.828427f,  6.146264f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  4.560478f,  4.146264f,  3.828427f,  5.242640f,  4.828427f,  4.414214f, 
     4.000000f,  4.414214f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  7.706742f,  8.706742f, 
     5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  3.732051f,  3.414214f,  3.732051f,  5.828427f,  5.414214f, 
     5.000000f,  5.414214f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  5.878315f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  7.610366f,  8.024579f,  9.024579f, 
     4.464102f,  4.146264f,  3.828427f,  4.146264f,  5.974691f,  5.560478f,  5.146264f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  3.414214f,  3.000000f,  3.414214f,  6.828427f,  6.414214f, 
     6.000000f,  6.414214f,  7.071068f,  6.656854f,  6.242640f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  6.656854f,  5.560478f,  5.146264f,  4.732051f,  6.656854f,  7.071068f,  8.024579f,  8.342417f,  9.342417f, 
     3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146265f,  3.828427f,  4.146264f,  4.464102f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  7.414214f, 
     7.000000f,  7.414214f,  7.388905f,  6.974691f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  5.242640f,  4.828427f,  6.560478f,  6.974691f,  7.388905f,  8.388905f,  9.388905f,  9.756630f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  5.656854f, 
     6.878315f,  8.706742f,  7.706742f,  7.292529f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  5.560478f,  6.464102f,  6.878315f,  7.292529f,  7.706742f,  8.706742f,  9.706741f, 10.706741f, 
     2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  7.242640f,  7.560478f,  7.560478f,  5.878315f,  5.560478f,  5.242640f, 
     5.560478f,  9.024579f,  8.024579f,  7.610366f,  7.196152f,  6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  7.196152f,  7.610366f,  8.024579f,  5.560478f,  7.196152f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  7.610366f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  6.242640f,  6.560478f,  6.560478f,  6.878315f,  5.146264f,  4.828427f, 
     5.146264f,  5.464102f,  5.464102f,  7.928203f,  7.610366f,  7.292529f,  6.974691f,  6.656854f,  6.974691f,  7.292529f,  7.610366f,  7.928203f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  7.196152f, 
     3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  7.464102f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.560478f,  5.242640f,  5.560478f,  5.560478f,  5.878315f,  4.732051f,  4.414214f, 
     4.732051f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  7.706742f,  7.388905f,  7.071068f,  7.388905f,  7.706742f,  8.024579f,  5.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f, 
     4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  7.878315f,  8.878315f,  5.878315f,  5.560478f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.560478f,  4.878315f,  4.414214f,  4.000000f, 
     4.414214f,  5.242641f,  4.828427f,  4.414214f,  4.000000f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f, 
     5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  8.292528f,  9.292528f, 10.292528f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.146264f,  4.464102f,  4.878315f,  4.414214f, 
     4.732051f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f, 
     6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  7.706742f,  8.706742f,  9.706741f, 10.706741f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  3.732051f,  4.146264f,  4.560478f,  4.828427f, 
     5.146264f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  2.732051f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  5.242640f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f, 
     7.464102f,  7.146264f,  6.828427f,  7.146264f,  7.464102f,  7.878315f,  8.292528f,  8.706742f,  9.120955f, 10.120955f, 11.120955f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.414214f,  3.828427f,  4.242640f,  5.242640f, 
     4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  5.464102f,  5.146264f,  4.828427f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f, 
     8.464102f,  8.146264f,  7.828427f,  8.146264f,  8.464102f,  8.878315f,  9.292528f,  9.706741f, 10.120955f, 10.535169f, 11.535169f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  3.732051f,  4.146264f,  4.560478f,  5.414214f, 
     4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  7.196152f, 
     9.464102f,  9.146264f,  8.828427f,  9.146264f,  9.464102f,  9.878315f, 10.292528f, 10.706741f, 11.120955f, 11.535169f, 11.949382f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.146264f,  4.464102f,  4.878315f,  5.732051f, 
     4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  3.414214f,  3.146264f, 
    10.878315f, 10.464102f,  7.292529f,  6.878315f,  8.292528f,  7.292529f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  8.292528f,  9.292528f,  5.464102f,  5.146264f, 
    12.949382f, 11.949382f, 11.535169f, 11.120955f, 10.706741f, 10.292528f,  9.878315f,  9.464102f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  5.464102f,  5.146264f,  4.828427f,  5.146264f, 
     9.878315f,  9.464102f,  9.146264f,  6.560478f,  6.146264f,  5.732051f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  7.974691f,  8.974691f,  5.146264f,  4.732051f, 
    12.631544f, 11.631545f, 11.217331f, 10.803118f, 10.388905f,  9.974690f,  9.560477f,  9.146264f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  4.464102f,  4.146264f,  3.828427f,  4.146264f, 
     8.878315f,  8.464102f,  8.146264f,  7.828427f,  8.146264f,  5.414214f,  5.000000f,  5.414214f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  6.656854f,  7.656854f,  8.656854f,  4.828427f,  4.414214f, 
     4.000000f,  4.414214f,  4.828427f,  5.242640f, 10.071067f,  9.656854f,  9.242640f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  3.464102f,  3.146264f,  2.828427f,  3.146264f, 
     7.878315f,  7.464102f,  7.146264f,  6.828427f,  7.146264f,  7.464102f,  5.414214f,  5.732051f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  7.974691f,  8.974691f,  5.146264f,  4.732051f, 
     4.414214f,  4.732051f,  5.146264f,  5.560478f, 10.388905f,  9.974690f,  9.560477f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  6.146264f,  6.464102f,  5.242640f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  8.292528f,  9.292528f,  5.464102f,  5.146264f, 
     4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.196152f,  5.878315f,  9.878315f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  2.414214f,  2.000000f,  2.414214f, 
     5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  4.242640f,  4.560478f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  7.610366f,  8.610366f,  9.610365f, 10.610365f,  5.560478f, 
     5.242640f,  5.560478f,  5.878315f,  6.196152f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  2.732051f,  2.414214f,  2.732051f, 
     4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  3.828427f,  4.146264f,  4.464102f,  6.292529f,  6.610366f,  6.928203f,  7.928203f,  8.928203f,  9.928203f, 10.928203f,  5.974691f, 
     5.656854f,  5.974691f,  6.292529f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  3.146264f,  2.828427f,  5.560478f, 
     4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  7.292529f,  7.610366f,  7.928203f,  8.342417f,  9.342417f, 10.342416f, 11.342416f,  6.974691f, 
     6.656854f,  6.974691f,  7.292529f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  6.656854f,  4.146264f,  4.146265f,  4.560478f, 
     4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  6.878315f,  8.928203f,  9.342417f,  9.756630f, 10.756630f,  4.732051f,  7.974691f, 
     7.656854f,  7.974691f,  8.292528f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  6.242640f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.732051f, 
     3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.878315f,  9.928203f, 10.342416f, 10.756630f,  5.464102f,  5.146264f,  4.828427f, 
     8.656854f,  8.974691f,  7.292529f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  6.828427f,  6.414214f,  6.000000f,  6.414214f,  6.828427f,  4.146264f,  3.732051f,  7.610366f,  8.610366f,  4.000000f,  4.000000f, 
     4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  6.196152f,  5.878315f,  5.560478f,  5.242640f, 
     5.560478f,  9.974690f,  7.610366f,  6.610366f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  7.828427f,  7.414214f,  7.000000f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  7.196152f,  8.196152f,  3.414214f,  3.000000f, 
     4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.560478f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.292529f,  5.974691f,  5.656854f, 
     5.974691f,  7.610366f,  6.610366f,  6.196152f,  5.878315f,  6.292529f,  5.974691f,  5.656854f,  5.974691f,  6.292529f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  7.878315f,  2.414214f,  2.000000f, 
     4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  7.292529f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  6.974691f,  6.656854f, 
     8.292528f,  7.292529f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  1.414214f,  1.000000f, 
     5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  7.610366f,  6.610366f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  7.610366f,  7.146264f,  6.828427f, 
     7.974691f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  5.878315f,  6.196152f,  0.000000f, 
     4.464102f,  4.146264f,  4.146265f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  6.928203f,  6.610366f,  6.292529f,  5.974691f,  5.656854f,  5.974691f,  6.292529f,  6.610366f,  6.928203f,  7.928203f,  8.928203f,  6.560478f, 
     7.656854f,  6.656854f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  4.560478f,  4.878315f,  5.196152f,  1.000000f, 
     4.146264f,  3.732051f,  3.414214f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  7.928203f,  7.610366f,  7.292529f,  6.974691f,  6.656854f,  6.974691f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242641f, 
     7.414214f,  7.732051f,  8.146264f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.146265f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f, 
     3.828427f,  3.414214f,  3.000000f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  7.974691f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146265f,  6.732051f, 
     6.414214f,  6.732051f,  7.146264f,  7.560478f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  4.878315f,  4.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f, 
     4.146264f,  3.732051f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.146264f,  5.732051f, 
     5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  5.560478f,  5.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f, 
     4.464102f,  4.146264f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  4.560478f,  6.560478f,  6.242640f,  7.610366f,  7.196153f,  6.878315f,  6.560478f,  6.242640f,  5.560478f,  5.146264f,  4.732051f, 
     4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f, 
     4.878315f,  4.560478f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  3.414214f,  3.828427f,  4.242640f, 15.388905f, 15.706742f,  6.464102f,  6.146264f,  7.292529f,  6.974691f,  5.560478f,  4.560478f,  4.146264f,  3.732051f, 
     3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f, 
     5.878315f,  5.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  3.414214f,  3.732051f,  4.146264f, 15.292529f, 14.974691f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f, 
     2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  6.560478f,  6.878315f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f, 
     7.610366f,  7.292529f,  6.974691f,  4.732051f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f, 14.974691f,  6.656854f,  6.242640f,  5.828427f,  5.414214f,  5.000000f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f, 
     1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  5.560478f,  5.878315f,  6.292529f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f, 
     7.196152f,  6.878315f,  6.560478f,  6.242640f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  6.878315f,  6.464102f,  7.706742f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f, 
     1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  4.878315f,  5.878315f,  3.732051f,  3.414214f,  3.732051f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f, 
     9.878315f,  9.560477f,  9.242640f,  9.560477f,  6.146264f,  6.464102f,  7.292529f,  6.292529f,  5.878315f,  5.464102f,  7.292529f,  7.610366f,  7.928203f,  5.464102f,  5.878315f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f, 
     1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  6.656854f,  6.974691f,  7.292529f,  3.828427f,  4.146264f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f, 
     8.878315f,  8.560477f,  8.242640f,  8.560477f,  7.610366f,  6.146264f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f, 
     2.414214f,  2.732051f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  5.656854f,  5.974691f,  6.292529f,  4.242640f,  4.560478f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f, 
     7.878315f,  7.560478f,  7.242640f,  7.560478f,  7.878315f,  5.828427f,  6.464102f,  6.146264f,  5.828427f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  5.560478f,  4.560478f,  4.146264f,  3.732051f, 
     3.414214f,  3.732051f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f, 
     6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  6.146265f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.974691f,  5.560478f,  5.146264f,  4.732051f, 
     4.414214f,  4.732051f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  5.242640f,  5.196152f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f, 
     5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.464102f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  4.414214f,  6.560478f,  6.146264f,  5.732051f, 
     5.414214f,  5.732051f,  3.464102f,  3.146264f,  2.828427f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.414214f,  4.828427f,  5.242640f,  9.438792f, 
     4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  6.878315f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.414214f,  4.000000f,  4.414214f,  7.146264f,  6.732051f, 
     6.414214f,  4.732051f,  6.656854f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  9.342417f,  9.756630f, 
     4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  6.464102f,  5.464102f,  5.878315f,  4.878315f,  4.464102f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.878315f, 
     5.464102f,  5.146265f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  8.803119f,  9.756630f, 10.074468f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  6.196152f, 
     5.878315f,  8.292528f,  7.292529f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  8.706742f,  9.120955f, 10.120955f,  8.342417f, 
     3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  6.828427f,  7.146264f,  7.464102f,  6.560478f,  6.242640f, 
     6.292529f,  8.610366f,  7.610366f,  6.610366f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  7.610366f,  4.464102f,  4.146264f,  5.974691f,  6.292529f,  6.610366f,  6.928203f,  7.928203f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  5.828427f, 
     6.146264f,  6.464102f,  7.928203f,  6.928203f,  6.610366f,  6.292529f,  5.974691f,  5.656854f,  5.974691f,  6.292529f,  6.610366f,  6.928203f,  7.928203f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  7.610366f, 
     4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  7.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  5.414214f, 
     5.732051f,  6.560478f,  6.146264f,  5.732051f,  7.610366f,  7.292529f,  6.974691f,  6.656854f,  6.974691f,  7.292529f,  7.610366f,  7.928203f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f, 
     4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  7.196152f,  8.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.000000f, 
     5.414214f,  6.242641f,  5.828427f,  5.414214f,  5.000000f,  4.464102f,  4.146264f,  7.656854f,  7.974691f,  8.292528f,  4.878315f,  5.878315f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f, 
     5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  7.610366f,  8.610366f,  9.610365f,  5.878315f,  5.560478f,  5.242640f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f, 
     5.732051f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  6.656854f, 
     6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  7.196152f,  7.610366f,  8.024579f,  9.024579f, 10.024579f,  6.878315f,  6.560478f,  5.146264f,  4.732051f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f, 
     6.146264f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  4.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f, 
     7.878315f,  7.560478f,  7.242640f,  7.560478f,  7.878315f,  8.196152f,  8.610366f,  9.024579f,  9.438792f, 10.438792f, 11.438792f,  5.242640f,  4.828427f,  4.414214f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f, 
     5.732051f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.464102f,  4.146264f,  3.828427f,  4.146265f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  1.414214f, 
     8.878315f,  8.560477f,  8.242640f,  8.560477f,  8.878315f,  9.196152f,  9.610365f, 10.024579f, 10.438792f, 10.853005f, 11.853005f,  5.560478f,  5.146264f,  4.732051f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.828427f, 
     5.414214f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  1.732051f, 
     9.878315f,  9.560477f,  9.242640f,  9.560477f,  9.878315f, 10.196152f, 10.610365f, 11.024578f, 11.438792f, 11.853005f, 12.267219f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  3.146264f,  3.464102f,  6.560478f,  6.146264f, 
     4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.656854f,  5.974691f,  6.292529f,  2.732051f,  2.414214f,  2.732051f, 
     8.292528f,  7.292529f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  7.292529f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  7.706742f,  8.706742f,  9.706741f,  6.464102f,  6.146264f, 
    12.535168f, 11.535169f, 10.535169f, 10.120955f,  9.706741f,  9.292528f,  8.878315f,  8.464102f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  5.878315f,  5.560478f,  5.242640f,  5.560478f, 
    10.196152f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  7.388905f,  8.388905f,  9.388905f,  6.146264f,  5.732051f, 
    12.217331f, 11.217331f, 10.217332f,  9.803118f,  9.388905f,  8.974691f,  8.560477f,  8.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  4.560478f,  4.242640f,  4.560478f, 
     9.196152f,  8.878315f,  8.560477f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  6.656854f,  7.071068f,  8.071068f,  9.071068f,  5.828427f,  5.414214f, 
    11.899494f, 10.899494f,  9.899494f,  9.485281f,  9.071068f,  8.656854f,  8.242640f,  7.828427f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  4.146264f,  3.828427f,  4.146264f, 
     8.196152f,  7.878315f,  7.560478f,  7.242640f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  7.388905f,  8.388905f,  9.388905f, 10.388905f,  5.732051f, 
    12.217331f,  5.732051f,  6.146264f,  9.803118f,  9.388905f,  8.974691f,  8.560477f,  8.146264f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  3.732051f,  3.414214f,  3.732051f, 
     7.196152f,  6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  4.828427f,  5.146264f,  5.464102f,  4.828427f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  7.706742f,  8.706742f,  9.706741f, 10.706741f,  6.146264f, 
     5.828427f,  6.146264f,  6.464102f, 10.120955f,  9.706741f,  9.292528f,  8.878315f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  3.414214f,  3.000000f,  3.414214f, 
     6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  7.610366f,  3.828427f,  4.146264f,  6.560478f,  6.878315f,  7.196152f,  7.610366f,  8.024579f,  9.024579f, 10.024579f, 11.024578f,  6.560478f, 
     6.242640f,  6.560478f,  6.878315f,  7.196152f, 10.024579f,  9.610365f,  9.196152f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  3.414214f,  3.732051f, 
     5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  7.196152f,  2.828427f,  3.146264f,  3.464102f,  7.292529f,  7.610366f,  7.928203f,  8.342417f,  9.342417f, 10.342416f, 11.342416f, 12.342416f, 
     6.656854f,  6.974691f,  7.292529f,  6.974691f,  6.560478f,  6.146264f,  9.610365f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  3.828427f,  5.878315f, 
     4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  7.706742f,  8.024579f,  8.342417f,  8.660254f,  9.660254f, 10.660254f,  3.414214f,  3.000000f, 
     7.071068f,  7.388905f,  7.706742f,  6.656854f,  6.242640f,  5.828427f,  5.414214f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  4.732051f,  5.146265f,  5.560478f, 
     4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  9.342417f,  9.660254f, 10.074467f,  4.146264f,  3.732051f,  3.414214f, 
     3.732051f,  8.388905f,  8.706742f,  6.974691f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  4.414214f,  4.000000f,  4.414214f,  3.414214f,  3.732051f, 
     4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.464102f, 10.342416f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f, 
     4.146264f,  9.388905f,  7.706742f,  7.292529f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  7.560478f,  7.146264f,  6.732051f,  6.414214f,  6.732051f,  5.464102f,  5.146264f,  6.292529f,  7.292529f,  3.414214f,  3.000000f,  3.414214f, 
     4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  4.464102f,  7.196152f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f, 
     4.560478f,  7.610366f,  6.610366f,  6.196152f,  5.878315f,  6.878315f,  6.560478f,  6.242640f,  6.560478f,  8.146264f,  7.732051f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  7.878315f,  3.414214f,  3.414214f, 
     4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.974691f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  6.610366f,  6.196152f,  5.878315f,  5.560478f,  5.242640f, 
     5.560478f,  7.196152f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  7.464102f,  2.732051f,  2.414214f, 
     5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  7.196152f,  6.878315f,  6.560478f,  5.414214f, 
     7.878315f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  1.732051f,  1.414214f, 
     5.414214f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  4.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.464102f,  6.146264f,  5.828427f, 
     7.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f,  5.878315f,  1.000000f, 
     5.732051f,  5.414214f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  6.560478f,  6.242640f, 
     7.242640f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  4.146264f,  4.464102f,  4.878315f,  1.414214f, 
     5.146264f,  4.732051f,  4.414214f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  7.464102f,  6.828427f,  6.656854f, 
     7.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f, 
     4.828427f,  4.414214f,  4.000000f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.414214f,  6.732051f,  7.146265f,  7.146264f, 
     6.828427f,  7.146264f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f, 
     5.146264f,  4.732051f,  4.414214f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  3.464102f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  7.146264f,  6.828427f,  7.146264f,  6.464102f,  6.146264f, 
     5.828427f,  6.146264f,  6.464102f,  6.878315f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.146264f,  4.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f, 
     5.464102f,  5.146264f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.560478f,  7.242640f,  5.878315f,  5.464102f,  5.146264f, 
     4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  5.560478f,  5.242640f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f, 
     4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  6.828427f,  7.146264f,  7.464102f,  8.292528f,  7.974691f,  5.878315f,  4.878315f,  4.464102f,  4.146264f, 
     3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f, 
     5.242640f,  4.242640f,  3.828427f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  7.560478f,  7.146264f,  6.732051f,  6.414214f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f, 
     2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  7.464102f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f, 
     6.610366f,  6.292529f,  5.974691f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  7.146264f,  7.656854f,  7.242640f,  6.828427f,  6.414214f,  5.878315f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f, 
     2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  6.560478f,  6.292529f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f, 
     6.196152f,  5.878315f,  5.560478f,  5.242640f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  6.560478f,  6.146264f,  8.706742f,  7.560478f,  7.146264f,  4.560478f,  4.878315f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f, 
     2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f,  5.878315f,  6.292529f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f, 
     5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  8.292528f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f, 
     2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  6.242640f,  6.560478f,  6.878315f,  2.828427f,  3.146264f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f, 
     5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.414214f,  3.732051f,  4.146264f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f, 
     2.828427f,  3.146264f,  3.464102f,  4.464102f,  3.414214f,  3.732051f,  4.146264f,  5.242640f,  5.560478f,  5.878315f,  3.828427f,  4.146264f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f, 
     8.292528f,  7.974691f,  7.656854f,  7.974691f,  8.292528f,  4.828427f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.878315f,  4.878315f,  4.464102f,  4.146264f, 
     3.828427f,  4.146264f,  4.464102f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f, 
     7.292529f,  6.974691f,  6.656854f,  6.974691f,  7.292529f,  5.146265f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  6.292529f,  5.878315f,  5.464102f,  5.146264f, 
     4.828427f,  5.146264f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f, 
     6.292529f,  5.974691f,  5.656854f,  5.974691f,  6.292529f,  5.464102f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.878315f,  6.464102f,  6.146264f, 
     3.828427f,  3.414214f,  4.464102f,  4.146264f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  4.732051f,  5.146264f,  5.560478f,  5.974691f, 
     5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  5.878315f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.000000f,  6.560478f,  5.560478f,  4.560478f, 
     4.146264f,  3.732051f,  3.414214f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f, 
     5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  9.196153f,  6.146265f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.414214f,  5.732051f,  5.878315f,  4.878315f, 
     4.464102f,  7.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f, 
     5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  8.878315f,  9.292528f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  7.732051f,  8.146264f,  6.196152f,  5.196152f, 
     4.878315f,  7.878315f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 10.535169f,  2.000000f, 
     4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  8.560477f,  8.974691f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  6.732051f,  7.146264f,  7.560478f,  7.242640f, 
     5.878315f,  8.196152f,  7.196152f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  7.196152f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  7.610366f,  7.928203f,  1.000000f, 
     5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  8.242640f,  8.656854f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.732051f,  6.146264f,  6.560478f,  6.974691f, 
     7.146264f,  8.610366f,  7.610366f,  6.610366f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  7.610366f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  7.196152f,  7.610366f,  0.000000f, 
     5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  8.560477f,  8.974691f,  9.388905f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  4.732051f,  5.146264f,  5.560478f,  5.974691f, 
     6.732051f,  7.560478f,  7.146264f,  7.610366f,  7.196152f,  6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  7.196152f,  7.610366f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  6.878315f,  7.292529f,  1.000000f, 
     5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  8.878315f,  9.292528f,  7.610366f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  3.732051f,  4.146264f,  4.560478f,  5.560478f, 
     6.414214f,  7.242641f,  6.828427f,  6.414214f,  6.000000f,  7.878315f,  7.560478f,  7.242640f,  7.560478f,  7.878315f,  8.196152f,  6.000000f,  5.146265f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  6.560478f,  3.000000f,  3.414214f, 
     6.292529f,  5.974691f,  5.656854f,  5.974691f,  6.292529f,  6.610366f,  6.928203f,  7.928203f,  8.928203f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f, 
     5.560478f,  5.242640f,  5.560478f,  3.732051f,  3.414214f,  3.732051f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  6.414214f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  2.414214f,  2.000000f,  2.414214f, 
     7.292529f,  6.974691f,  6.656854f,  6.974691f,  7.292529f,  7.610366f,  7.928203f,  8.342417f,  9.342417f, 10.342416f,  6.464102f,  6.146264f,  5.828427f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f, 
     5.146264f,  4.828427f,  5.146264f,  2.732051f,  2.414214f,  2.732051f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  3.828427f,  4.146265f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  1.414214f,  1.000000f,  1.414214f, 
     8.292528f,  7.974691f,  7.656854f,  7.974691f,  8.292528f,  8.610366f,  8.928203f,  9.342417f,  9.756630f, 10.756630f,  7.464102f,  7.146264f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  5.146264f, 
     4.732051f,  4.414214f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  3.464102f,  3.146264f,  2.828427f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  1.000000f,  1.000000f,  0.000000f,  1.000000f, 
     9.292528f,  8.974691f,  8.656854f,  8.974691f,  9.292528f,  9.610365f,  9.928203f, 10.342416f, 10.756630f, 11.170843f, 12.170843f,  6.560478f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  5.242640f,  4.828427f, 
     4.414214f,  4.000000f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  6.560478f,  6.242640f,  6.560478f,  0.000000f,  1.000000f,  1.000000f,  1.414214f, 
    10.292528f,  9.974690f,  9.656854f,  9.974690f, 10.292528f, 10.610365f, 10.928203f, 11.342416f, 11.756629f, 12.170843f, 12.585056f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  2.732051f,  3.146264f,  5.560478f,  5.146264f, 
     4.732051f,  4.414214f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  6.974691f,  1.000000f,  1.414214f,  2.000000f,  2.414214f, 
     7.878315f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  7.464102f,  7.146264f,  6.828427f,  7.146264f,  7.464102f,  7.878315f,  8.292528f,  8.706742f,  9.120955f, 10.120955f,  7.464102f,  7.146264f, 
    12.120955f, 11.120955f, 10.120955f,  9.120955f,  8.706742f,  8.292528f,  7.878315f,  7.464102f,  7.146264f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  8.706742f,  5.878315f,  6.878315f,  5.974691f,  5.656854f,  5.974691f, 
    16.045757f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  6.732051f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  7.974691f,  8.388905f,  8.803119f,  9.803118f, 10.803118f,  6.732051f, 
    11.803118f, 10.803118f,  9.803118f,  8.803119f,  8.388905f,  7.974691f,  7.560478f,  7.146264f,  6.732051f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  5.560478f,  5.242640f,  5.560478f, 
    15.631543f, 15.313706f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  6.414214f,  6.000000f,  6.414214f,  6.828427f,  7.242640f,  7.656854f,  8.071068f,  8.485281f,  9.485281f, 10.485281f,  6.414214f, 
    11.485280f, 10.485281f,  9.485281f,  8.485281f,  8.071068f,  7.656854f,  7.242640f,  6.828427f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  5.146264f,  4.828427f,  5.146264f, 
     8.610366f,  8.292528f,  7.974691f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  6.732051f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  7.974691f,  8.388905f,  8.803119f,  9.803118f, 10.803118f,  6.732051f, 
    11.803118f, 10.803118f,  9.803118f,  8.803119f,  8.388905f,  7.974691f,  7.560478f,  7.146264f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f,  4.414214f,  4.732051f, 
     7.610366f,  7.292529f,  6.974691f,  6.656854f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.414214f,  6.828427f,  7.146264f,  7.464102f,  7.878315f,  8.292528f,  8.706742f,  9.120955f, 10.120955f, 11.120955f,  7.146264f, 
     6.828427f, 11.120955f, 10.120955f,  9.120955f,  8.706742f,  8.292528f,  7.878315f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  4.000000f,  4.414214f, 
     6.610366f,  6.292529f,  5.974691f,  5.656854f,  5.974691f,  6.292529f,  6.610366f,  6.928203f,  7.928203f,  3.414214f,  3.732051f,  7.560478f,  7.878315f,  8.196152f,  8.610366f,  9.024579f,  9.438792f, 10.438792f, 11.438792f, 12.438791f, 
     7.242640f,  7.560478f,  7.878315f,  8.196152f,  9.024579f,  8.610366f,  8.196152f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  7.464102f,  4.414214f,  5.146264f, 
     6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  7.610366f,  2.414214f,  2.732051f,  3.146264f,  8.292528f,  8.610366f,  8.928203f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f, 
     2.732051f,  7.974691f,  8.292528f,  7.974691f,  7.560478f,  8.928203f,  8.610366f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  7.878315f,  3.828427f,  4.146264f, 
     5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  8.706742f,  9.024579f,  9.342417f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f, 
     2.414214f,  2.828427f,  8.706742f, 10.074467f,  9.660254f,  9.342417f,  9.024579f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  5.414214f,  5.732051f,  2.828427f,  3.146264f, 
     5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  9.438792f,  9.756630f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f, 
     2.732051f,  3.146264f,  4.146264f,  7.974691f, 10.074467f,  9.756630f,  9.438792f,  7.292529f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  5.828427f,  5.414214f,  5.000000f,  2.732051f,  2.414214f,  2.732051f, 
     5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  5.146264f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f, 
     3.146264f,  3.464102f,  7.292529f,  6.878315f,  6.464102f,  7.464102f,  7.146264f,  8.292528f,  7.878315f,  7.464102f,  7.146264f,  6.828427f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  2.414214f,  2.000000f,  2.414214f, 
     5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.146264f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f, 
     4.146264f,  7.292529f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  6.560478f,  6.242640f,  6.560478f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  2.732051f,  2.414214f,  2.732051f, 
     5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  4.146264f,  3.732051f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f, 
     5.146264f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  6.146264f,  5.828427f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  2.828427f,  2.828427f, 
     4.732051f,  4.414214f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  6.878315f,  5.146264f,  4.732051f,  4.414214f, 
     7.464102f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  2.732051f,  2.414214f, 
     4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  4.732051f,  5.146264f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.878315f,  5.464102f,  5.146264f,  4.828427f, 
     7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  2.414214f,  2.000000f, 
     4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  3.732051f,  4.146264f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  5.878315f,  5.560478f,  5.242640f, 
     6.828427f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  4.146264f,  4.560478f,  2.414214f, 
     6.146264f,  5.732051f,  5.414214f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  6.292529f,  5.974691f,  5.656854f, 
     7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f, 
     5.828427f,  5.414214f,  5.000000f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.292529f,  6.974691f,  6.656854f, 
     7.464102f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f, 
     6.146264f,  5.732051f,  5.414214f,  1.414214f,  1.000000f,  2.732051f,  2.414214f,  2.732051f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  7.974691f,  6.878315f,  6.560478f, 
     6.242640f,  6.560478f,  6.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  4.732051f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f, 
     6.464102f,  6.146264f,  2.732051f,  1.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  6.610366f,  6.196152f,  5.878315f,  5.560478f, 
     5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  3.414214f,  3.732051f,  4.146264f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f, 
     6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  7.974691f,  6.196152f,  5.196152f,  4.878315f,  4.560478f, 
     4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  7.196152f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  3.146264f,  2.732051f,  2.414214f,  5.146264f,  5.464102f,  4.146265f,  5.146265f, 
     6.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f, 
     3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  7.878315f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f, 
     6.196152f,  5.878315f,  5.560478f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f, 
     3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  7.292529f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f, 
     5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f, 
     3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  7.242640f,  6.878315f,  7.292529f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f, 
     4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  6.656854f,  5.656854f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.560478f,  4.560478f,  4.146264f,  3.732051f, 
     3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  6.146264f,  5.828427f,  6.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f, 
     4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  6.242640f,  5.242640f,  4.242640f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.878315f,  4.878315f,  4.464102f,  4.146264f, 
     3.828427f,  4.146264f,  5.146264f,  5.464102f,  5.878315f,  4.732051f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  3.414214f,  3.732051f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f, 
     8.706742f,  8.388905f,  8.071068f,  8.388905f,  8.706742f,  3.828427f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  6.196152f,  5.196152f,  4.878315f,  4.560478f, 
     4.242640f,  5.242640f,  5.560478f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.414214f,  4.732051f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f, 
     7.706742f,  7.388905f,  7.071068f,  7.388905f,  7.706742f,  4.146265f,  5.146264f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.196152f,  5.146264f,  4.146264f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  4.146264f,  4.464102f,  5.732051f,  5.878315f, 
     7.292529f,  6.974691f,  6.656854f,  6.974691f,  7.292529f,  4.464102f,  5.464102f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  6.828427f,  5.828427f,  4.828427f,  3.828427f, 
     2.828427f,  2.414214f,  2.000000f,  2.414214f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  5.146264f,  5.464102f,  4.732051f,  5.146265f, 
     6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  8.414213f,  8.732051f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  7.146264f,  6.146264f,  5.146264f,  4.146264f, 
     3.146264f,  2.732051f,  2.414214f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  6.146264f,  6.464102f,  3.732051f,  4.732051f, 
     6.464102f,  6.146264f,  7.242640f,  7.560478f,  7.878315f,  8.196153f,  8.414213f,  4.828427f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.464102f,  5.464102f,  4.464102f, 
     3.464102f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f, 
     6.146264f,  5.732051f,  6.828427f,  7.146264f,  7.464102f,  7.878315f,  8.292528f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  7.828427f,  5.878315f,  4.878315f, 
     4.464102f,  7.464102f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f, 
     5.828427f,  5.414214f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  7.974691f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  6.414214f,  6.828427f,  7.242640f,  5.878315f, 
     5.464102f,  7.878315f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  5.878315f,  1.414214f, 
     6.828427f,  6.414214f,  6.000000f,  6.414214f,  6.828427f,  7.242640f,  7.656854f,  8.071068f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  5.414214f,  5.828427f,  6.242640f,  6.656854f, 
     7.071068f,  8.292528f,  7.292529f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f, 
     7.146264f,  6.732051f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  7.974691f,  8.388905f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.414214f,  4.828427f,  5.242640f,  5.656854f, 
     6.656854f,  6.242640f,  7.706742f,  7.292529f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f, 
     7.464102f,  7.146264f,  6.828427f,  7.146264f,  7.464102f,  7.878315f,  8.292528f,  8.706742f,  5.242640f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  3.414214f,  3.828427f,  4.242640f,  5.242640f, 
     5.560478f,  5.242640f,  5.560478f,  5.878315f,  7.878315f,  7.464102f,  7.146264f,  6.828427f,  7.146264f,  7.464102f,  7.878315f,  5.000000f,  4.146265f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f, 
     7.878315f,  7.560478f,  7.242640f,  7.560478f,  7.878315f,  8.196152f,  8.610366f,  9.024579f,  9.438792f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.878315f, 
     4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  4.146264f,  8.146264f,  5.414214f,  8.146264f,  6.146264f,  5.732051f,  5.414214f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f, 
     8.292528f,  7.974691f,  7.656854f,  7.974691f,  8.292528f,  8.610366f,  8.928203f,  9.342417f,  9.756630f,  5.464102f,  6.146264f,  5.732051f,  5.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.464102f, 
     4.146264f,  3.828427f,  4.146264f,  4.464102f,  2.828427f,  3.146264f,  3.464102f,  5.000000f,  5.414214f,  3.732051f,  3.414214f,  5.828427f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  1.732051f, 
     8.706742f,  8.388905f,  8.071068f,  8.388905f,  8.706742f,  9.024579f,  6.732051f,  7.146264f,  6.196152f,  5.878315f,  7.146264f,  6.732051f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  4.560478f,  4.146264f, 
     3.732051f,  3.414214f,  3.732051f,  4.146264f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  6.196153f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  1.000000f,  1.414214f, 
     9.706741f,  9.388905f,  9.071068f,  6.828427f,  6.414214f,  6.000000f,  6.414214f,  6.828427f,  7.242640f,  6.292529f,  5.974691f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  5.242640f,  4.242640f,  3.828427f, 
     3.414214f,  3.000000f,  3.414214f,  3.828427f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  7.196152f,  1.414214f,  1.732051f, 
    10.706741f, 10.388905f, 10.071068f,  7.146264f,  6.732051f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  7.974691f,  6.974691f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  5.560478f,  4.560478f,  4.146264f, 
     3.732051f,  3.414214f,  3.732051f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  1.732051f,  1.414214f,  1.732051f,  2.414214f,  2.732051f, 
    15.459970f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  8.146264f,  7.828427f,  8.146264f,  8.464102f,  8.878315f,  9.292528f,  9.706741f, 10.120955f, 10.535169f, 11.535169f, 12.706741f, 
    11.706741f, 10.706741f,  9.706741f,  8.706742f,  7.706742f,  7.292529f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  7.706742f,  6.196153f,  7.196153f,  8.196153f,  6.656854f,  6.974691f, 
    15.045757f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  7.732051f,  7.414214f,  7.732051f,  8.146264f,  8.560477f,  8.974691f,  9.388905f,  9.803118f, 10.217332f, 11.217331f, 12.388904f, 
    11.388904f, 10.388905f,  9.388905f,  8.388905f,  7.388905f,  6.974691f,  6.560478f,  6.146264f,  5.732051f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  7.878315f,  6.242640f,  6.560478f, 
    14.631544f, 14.313706f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  7.000000f,  7.414214f,  7.828427f,  8.242640f,  8.656854f,  9.071068f,  9.485281f,  9.899494f, 10.899494f, 12.071067f, 
    11.071067f, 10.071067f,  9.071068f,  8.071068f,  7.071068f,  6.656854f,  6.242640f,  5.828427f,  5.414214f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  5.828427f,  6.146264f, 
    14.217330f, 13.899493f, 14.217331f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  7.414214f,  7.732051f,  8.146264f,  8.560477f,  8.974691f,  9.388905f,  9.803118f, 10.217332f, 11.217331f, 12.217331f, 
    11.388904f, 10.388905f,  9.388905f,  8.388905f,  7.388905f,  6.974691f,  6.560478f,  6.146264f,  5.732051f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  7.242640f,  5.414214f,  5.732051f, 
     8.024579f, 13.485280f, 13.803118f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.000000f,  7.828427f,  8.146264f,  8.464102f,  8.878315f,  9.292528f,  9.706741f, 10.120955f, 10.535169f, 11.535169f, 12.535168f, 
    11.706741f, 10.706741f,  9.706741f,  8.706742f,  7.706742f,  7.292529f,  6.878315f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  8.560477f,  5.414214f, 
     7.610366f,  7.292529f,  6.974691f,  6.656854f,  6.974691f,  7.292529f,  7.610366f,  7.928203f,  3.414214f,  3.000000f,  3.414214f,  8.560477f,  8.878315f,  9.196152f,  9.610365f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f, 
     2.732051f, 11.024578f, 10.024579f,  9.024579f,  8.024579f,  7.610366f,  7.196152f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  7.878315f,  8.878315f,  4.732051f, 
     7.196152f,  6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  7.196152f,  7.610366f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  9.292528f,  9.610365f,  9.928203f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f, 
     1.732051f,  2.732051f, 10.342416f,  9.342417f,  8.342417f,  7.928203f,  7.610366f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  7.196152f,  8.196152f,  3.414214f,  3.732051f, 
     6.878315f,  6.464102f,  6.146264f,  5.828427f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  9.706741f, 10.024579f, 10.342416f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f, 
     1.414214f,  2.414214f, 10.660254f,  9.660254f,  8.660254f,  8.342417f,  8.024579f,  6.610366f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.000000f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f, 10.438792f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f, 
     1.732051f,  2.732051f,  3.732051f, 10.074467f,  9.660254f,  9.342417f,  9.024579f,  7.610366f,  7.196152f,  6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  6.242640f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     6.242640f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f, 
     2.732051f,  3.146264f,  6.974691f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  8.610366f,  8.196152f,  7.878315f,  5.974691f,  6.292529f,  6.610366f,  4.828427f,  5.242640f,  5.656854f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.414214f,  3.828427f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f, 
     3.732051f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  1.732051f,  1.414214f,  1.732051f, 
     4.146264f,  3.828427f,  4.146264f,  4.464102f,  6.146264f,  6.464102f,  4.242640f,  3.828427f,  3.414214f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  3.000000f, 
     7.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  5.146264f,  4.828427f,  5.146264f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  2.732051f,  2.414214f,  2.732051f, 
     3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f, 
     7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  3.414214f,  3.732051f, 
     3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  5.000000f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  4.878315f,  4.464102f,  4.146264f,  3.828427f, 
     4.146264f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.000000f,  6.000000f,  3.414214f,  3.000000f, 
     3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  4.464102f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.196152f,  4.878315f,  4.560478f,  4.242640f, 
     6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  3.828427f,  4.242640f,  3.414214f, 
     4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  4.414214f,  4.000000f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  6.196152f,  5.878315f,  5.560478f,  5.242640f, 
     6.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  2.414214f,  2.828427f,  3.828427f,  4.828427f, 
     6.828427f,  6.414214f,  6.000000f,  2.732051f,  2.414214f,  3.414214f,  3.000000f,  3.414214f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  4.560478f,  5.560478f,  6.878315f,  6.560478f,  6.242640f, 
     7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  3.414214f,  3.828427f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f, 
     7.146264f,  6.732051f,  6.414214f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  7.560478f,  6.974691f, 
     7.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  4.414214f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f, 
     7.464102f,  7.146264f,  3.146264f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  6.242640f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.610366f,  6.292529f,  5.974691f, 
     5.656854f,  5.974691f,  6.292529f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  3.000000f,  3.414214f,  3.828427f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f, 
     6.000000f,  5.000000f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  6.000000f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  6.610366f,  6.196152f,  5.878315f,  5.560478f, 
     5.242640f,  5.560478f,  4.560478f,  4.878315f,  5.196152f,  5.732051f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f, 
     6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  7.292529f,  6.292529f,  5.878315f,  5.464102f,  5.146264f, 
     4.828427f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f, 
     5.878315f,  5.464102f,  5.146264f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  5.560478f,  5.146264f,  4.732051f, 
     4.414214f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  4.146264f, 
     4.878315f,  4.464102f,  4.146264f,  3.828427f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.656854f,  5.242640f,  4.828427f,  4.414214f, 
     4.000000f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  7.242640f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f, 
     4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  6.974691f,  5.974691f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.974691f,  5.560478f,  5.146264f,  4.732051f, 
     3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  6.974691f,  5.732051f,  5.414214f,  5.732051f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f, 
     4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  6.560478f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  6.292529f,  5.878315f,  5.464102f,  5.146264f, 
     4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f, 
     3.828427f,  2.828427f,  8.485281f,  8.803119f,  9.120955f,  2.828427f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  6.196152f,  5.878315f,  5.560478f, 
     4.560478f,  4.242640f,  4.560478f,  4.878315f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.000000f,  4.414214f,  4.828427f,  4.464102f,  4.146264f,  3.828427f,  4.414214f,  4.828427f,  5.828427f,  5.878315f, 
     4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  2.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  4.732051f,  3.732051f, 
     2.732051f,  1.732051f,  1.414214f,  1.732051f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  4.414214f,  5.414214f,  5.828427f, 
     4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  7.828427f,  4.464102f,  4.146264f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  6.414214f,  5.414214f,  4.414214f,  3.414214f, 
     2.414214f,  1.414214f,  1.000000f,  1.414214f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  5.560478f,  5.878315f,  4.414214f,  4.828427f, 
     4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  7.414214f,  7.732051f,  8.146264f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.560478f,  5.560478f,  5.732051f,  4.732051f,  3.732051f, 
     2.732051f,  1.732051f,  1.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  6.560478f,  6.878315f,  3.414214f,  4.414214f, 
     6.878315f,  6.560478f,  6.242640f,  4.828427f,  7.414214f,  7.000000f,  7.414214f,  7.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  6.146264f,  5.146264f,  4.146264f, 
     3.146264f,  6.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f, 
     6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  6.610366f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  8.146264f,  5.560478f,  4.560478f, 
     4.146264f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f, 
     6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  6.196152f,  5.196152f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  6.732051f,  7.146264f,  7.560478f,  5.560478f, 
     5.146264f,  7.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  5.464102f,  6.464102f, 
     5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  6.656854f,  5.878315f,  4.878315f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f, 
     6.146264f,  7.974691f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  5.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f, 
     6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  7.388905f,  4.560478f,  4.146264f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.732051f,  5.146264f,  5.560478f,  5.974691f, 
     6.146264f,  5.828427f,  7.388905f,  6.974691f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  4.732051f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f, 
     6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  7.706742f,  4.242640f,  3.828427f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  3.732051f,  4.146264f,  4.560478f,  5.560478f, 
     5.146264f,  4.828427f,  5.146264f,  5.464102f,  7.560478f,  7.146264f,  6.732051f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  4.000000f,  4.414214f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f, 
     6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  7.196152f,  7.610366f,  8.024579f,  4.560478f,  4.146264f,  3.732051f,  4.414214f,  4.000000f,  4.414214f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.464102f, 
     4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  7.732051f,  7.414214f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f, 
     7.292529f,  6.974691f,  6.656854f,  6.974691f,  7.292529f,  7.610366f,  7.928203f,  8.342417f,  9.342417f,  4.464102f,  4.146264f,  5.414214f,  5.000000f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  4.464102f,  3.464102f, 
     3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  4.464102f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f, 
     7.388905f,  6.974691f,  6.560478f,  6.146264f,  7.706742f,  8.024579f,  5.732051f,  6.146264f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  6.000000f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  4.146264f,  3.146264f, 
     2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  3.732051f,  4.146264f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  5.242640f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  2.414214f, 
     7.071068f,  6.656854f,  6.242640f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  5.878315f,  5.560478f,  5.242640f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  4.828427f,  3.828427f,  2.828427f, 
     2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  3.414214f,  3.828427f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  2.732051f, 
     7.388905f,  6.974691f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  6.560478f,  6.242640f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  5.146264f,  4.146264f,  3.146264f, 
     2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  3.732051f,  4.146264f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  6.828427f,  7.146264f,  7.464102f,  7.878315f,  2.828427f,  3.146264f, 
    14.459971f, 14.142134f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  9.146264f,  9.464102f,  9.878315f, 10.292528f, 10.706741f, 11.120955f, 11.535169f, 11.949382f, 12.292528f, 
    11.292528f, 10.292528f,  9.292528f,  8.292528f,  7.292529f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.560478f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  8.292528f,  9.292528f, 10.292528f,  7.656854f,  7.974691f, 
    14.045757f, 13.727921f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  8.732051f,  9.146264f,  9.560477f,  9.974690f, 10.388905f, 10.803118f, 11.217331f, 11.631545f, 11.974690f, 
    10.974690f,  9.974690f,  8.974691f,  7.974691f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  7.974691f,  8.974691f,  9.974690f,  7.242640f,  7.560478f, 
    13.631544f, 13.313707f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  9.242640f,  9.656854f, 10.071067f, 10.485281f, 10.899494f, 11.313707f, 12.313707f, 
    10.656854f,  9.656854f,  8.656854f,  7.656854f,  6.656854f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  8.242641f,  8.656855f,  9.656854f,  6.828427f,  7.146264f, 
    13.217331f, 12.899493f, 13.217331f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  9.560477f,  9.974690f, 10.388905f, 10.803118f, 11.217331f, 11.631545f, 12.631544f, 
    10.974690f,  9.974690f,  8.974691f,  7.974691f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  8.560478f,  8.974691f,  9.974691f, 10.974690f, 11.974690f, 
    12.803117f, 12.485280f, 12.803118f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  9.878315f, 10.292528f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f, 
     3.414214f, 10.292528f,  9.292528f,  8.292528f,  7.292529f,  6.292529f,  5.878315f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  8.878315f,  9.292529f, 10.292528f, 11.292528f, 12.292528f, 
    12.388904f, 12.071067f, 12.388905f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  9.878315f, 10.196152f, 10.610365f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f, 
     2.414214f, 10.610365f,  9.610365f,  8.610366f,  7.610366f,  6.610366f,  6.196152f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  8.292528f,  9.292528f,  4.414214f, 
     8.196152f,  7.878315f,  7.560478f,  5.560478f,  5.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 10.292528f, 10.610365f, 10.928203f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f, 
     1.414214f,  2.414214f,  9.928203f,  8.928203f,  7.928203f,  6.928203f,  6.610366f,  6.610366f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  7.610366f,  3.414214f,  3.000000f,  3.414214f, 
     7.878315f,  7.464102f,  7.146264f,  6.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f, 10.706741f, 11.024578f,  5.000000f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f, 
     1.000000f,  2.000000f,  3.000000f,  9.342417f,  8.342417f,  7.928203f,  7.610366f,  6.928203f,  6.610366f,  6.292529f,  5.974691f,  5.656854f,  5.974691f,  6.292529f,  6.610366f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f, 
     7.560478f,  7.146264f,  6.732051f,  6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f, 
     1.414214f,  2.414214f,  3.414214f,  7.242640f,  9.342417f,  8.928203f,  8.610366f,  7.928203f,  7.610366f,  7.292529f,  6.974691f,  6.878315f,  7.196152f,  7.610366f,  8.024579f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     7.242640f,  6.828427f,  6.414214f,  6.000000f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  6.828427f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f, 
     2.414214f,  2.828427f,  6.656854f,  6.242640f,  5.828427f,  5.414214f,  6.196153f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  5.560478f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f, 
     7.560478f,  7.146264f,  6.732051f,  4.464102f,  4.878315f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  3.732051f,  7.242640f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f, 
     7.656854f,  6.656854f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  4.146264f,  4.560478f,  5.560478f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  6.656854f,  5.656854f,  5.242640f,  2.828427f,  2.414214f,  2.000000f, 
     7.242640f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  2.414214f,  2.000000f,  2.414214f, 
     2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.560478f,  5.146264f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f, 
     2.732051f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  3.414214f,  3.000000f,  3.414214f, 
     2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f, 
     3.146264f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  4.000000f,  4.414214f, 
     2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  4.464102f,  4.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f, 
     4.146264f,  5.000000f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  5.000000f,  4.414214f, 
     3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  4.732051f,  4.414214f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  3.464102f,  4.464102f,  5.878315f,  5.464102f,  5.146264f,  4.828427f, 
     6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  4.146265f,  5.146265f, 
     4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.464102f,  6.146264f,  5.828427f, 
     6.828427f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  3.732051f,  4.732051f, 
     5.146264f,  4.828427f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  5.560478f,  5.146264f,  4.732051f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  7.146264f,  6.828427f, 
     7.242640f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  4.732051f,  5.146264f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f, 
     6.146264f,  5.828427f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  6.560478f,  6.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  5.878315f,  5.464102f, 
     5.146264f,  4.828427f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f, 
     6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  7.560478f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  5.878315f,  4.878315f,  4.464102f, 
     4.146264f,  3.828427f,  4.146264f,  4.464102f,  5.828427f,  5.414214f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.464102f, 
     6.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  4.146264f,  3.828427f,  5.414214f,  5.828427f,  6.242640f,  6.464102f,  5.464102f,  4.464102f,  3.464102f, 
     3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.242640f,  5.560478f,  5.878315f,  3.146264f,  3.464102f, 
     5.560478f,  5.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  6.146264f,  5.146264f,  4.146264f,  3.146264f, 
     2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  4.828427f,  5.146264f,  5.464102f,  2.732051f,  3.146264f, 
     4.560478f,  4.146264f,  3.732051f,  3.414214f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  3.828427f,  4.146264f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.828427f,  4.828427f,  3.828427f,  2.828427f, 
     2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  2.414214f,  2.828427f, 
     4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  6.146265f,  6.560478f,  6.146264f,  5.732051f, 
     2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  5.000000f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.414214f,  6.414214f,  4.414214f,  4.828427f,  5.242640f,  3.146264f, 
     3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  6.464102f,  6.878315f,  6.464102f,  6.146264f, 
     3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  4.732051f,  5.414214f,  5.732051f,  6.146265f,  6.560478f,  5.560478f, 
     3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  7.196152f,  6.878315f,  6.560478f, 
     4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.414214f,  4.732051f,  5.146264f,  5.464102f,  5.146264f,  4.414214f,  4.732051f,  5.146265f,  5.560478f,  5.146264f, 
     3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  4.414214f,  3.414214f, 
     2.414214f,  1.414214f,  1.000000f,  1.414214f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146265f,  5.146265f,  4.732051f, 
     4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  6.828427f,  7.146264f,  3.146264f,  2.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  6.000000f,  5.000000f,  4.000000f,  3.000000f, 
     2.000000f,  1.000000f,  0.000000f,  1.000000f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.732051f,  4.146265f,  4.414214f, 
     6.292529f,  5.974691f,  5.656854f,  3.414214f,  6.732051f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  3.146264f,  2.732051f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  5.414214f,  4.414214f,  3.414214f, 
     2.414214f,  1.414214f,  1.000000f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  6.974691f,  2.732051f,  3.732051f,  4.732051f, 
     5.878315f,  5.560478f,  5.242640f,  5.560478f,  6.414214f,  6.000000f,  6.414214f,  6.828427f,  7.242640f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  4.828427f,  5.242640f,  5.656854f,  5.828427f,  4.828427f,  3.828427f, 
     2.828427f,  6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  3.414214f,  2.414214f,  4.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f, 
     5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.732051f,  7.146264f,  5.878315f,  5.464102f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  8.464102f,  5.242640f,  4.242640f, 
     3.828427f,  6.828427f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  3.732051f,  2.732051f,  3.414214f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f, 
     5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  5.878315f,  4.878315f,  4.464102f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  7.464102f,  7.878315f,  5.242640f, 
     4.828427f,  7.242640f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  3.146264f,  4.146264f,  5.146264f,  6.146264f, 
     4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  5.464102f,  4.464102f,  3.464102f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  6.146264f,  6.464102f,  6.878315f,  7.292529f, 
     5.828427f,  7.656854f,  6.656854f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  3.828427f,  4.146264f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f, 
     5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  5.146264f,  4.146264f,  3.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.464102f,  5.878315f,  6.292529f, 
     5.732051f,  5.414214f,  7.071068f,  6.656854f,  6.242640f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  3.414214f,  3.732051f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f, 
     5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  4.146264f,  4.464102f,  4.878315f,  5.146264f, 
     4.732051f,  4.414214f,  4.732051f,  5.146264f,  7.242640f,  6.828427f,  6.414214f,  6.000000f,  6.414214f,  6.828427f,  3.414214f,  3.000000f,  3.414214f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f, 
     5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  7.610366f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  4.414214f,  4.732051f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.560478f,  4.146264f, 
     3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  7.414214f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f, 
     7.292529f,  5.974691f,  5.656854f,  5.974691f,  6.292529f,  6.610366f,  6.928203f,  7.928203f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  5.732051f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  3.146264f, 
     2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146265f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f, 
     6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  4.732051f,  3.732051f,  2.732051f, 
     1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  5.146265f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f, 
     6.656854f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  4.414214f,  3.414214f,  2.414214f, 
     1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  5.242640f,  6.146265f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  7.388905f, 
     6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.146264f,  5.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  4.732051f,  3.732051f,  2.732051f, 
     1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.146264f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  6.560478f,  6.732051f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  7.974691f,  8.388905f, 
    14.045757f, 13.727921f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f, 10.146264f, 10.464102f, 10.878315f, 11.292528f, 11.706741f,  8.560477f, 12.535168f, 12.949382f, 11.878315f, 
    10.878315f,  9.878315f,  8.878315f,  7.878315f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  7.878315f,  8.878315f,  9.878315f,  8.656854f,  8.974691f, 
    13.045758f, 12.727921f, 13.045758f, 13.363595f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  9.732051f, 10.146264f, 10.560477f, 10.974690f, 11.388904f, 11.803118f, 12.217331f, 12.631544f, 13.045758f, 
    10.560477f,  9.560477f,  8.560477f,  7.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  5.828427f,  6.146264f,  5.560478f,  6.560478f,  7.560478f,  8.560477f,  9.560477f, 10.560477f,  8.560477f, 
    12.631544f, 12.313707f, 12.631544f, 12.949382f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.000000f,  6.000000f,  7.000000f, 10.656854f, 11.071067f, 11.485280f, 11.899494f, 12.313707f, 12.727921f, 
    10.242640f,  9.242640f,  8.242640f,  7.242640f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  7.242641f,  8.242640f,  9.242640f, 10.242640f,  8.146264f, 
    12.217331f, 11.899494f, 12.217331f, 12.535168f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  7.414214f, 10.974690f, 11.388904f, 11.803118f, 12.217331f, 12.631544f,  4.414214f, 
    10.560477f,  9.560477f,  8.560477f,  7.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  7.560478f,  8.560478f,  9.560477f, 10.560477f, 11.560477f, 
    11.803118f, 11.485280f, 11.803118f, 12.120955f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f, 10.878315f, 11.292528f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f, 
     3.732051f,  9.878315f,  8.878315f,  7.878315f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  7.878315f,  8.878315f,  9.878315f, 10.878315f, 11.878315f, 
    11.388904f, 11.071067f, 11.388905f, 11.706741f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  6.414214f, 11.196152f, 11.610365f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f, 
     2.732051f,  3.146264f,  9.196152f,  8.196152f,  7.196152f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  7.706742f,  8.706742f,  4.414214f,  4.732051f, 
    10.974690f, 10.656854f, 10.974691f, 11.292528f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f, 11.610365f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f, 
     1.732051f,  2.732051f,  3.732051f,  8.610366f,  7.610366f,  6.610366f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  7.196152f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f, 
     8.878315f,  8.464102f, 10.560478f, 10.974691f, 11.388905f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f, 
     1.414214f,  2.414214f,  3.414214f,  4.414214f,  8.024579f,  7.610366f,  7.196152f,  6.878315f,  6.560478f,  6.242640f,  6.974691f,  6.656854f,  7.878315f,  8.292528f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     8.560477f,  8.146264f,  5.732051f, 10.656854f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  6.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f, 
     1.732051f,  2.732051f,  3.732051f,  7.560478f,  7.146264f,  6.732051f,  8.196152f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  7.706742f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     8.242640f,  7.828427f,  4.732051f,  5.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f, 
     2.732051f,  7.388905f,  6.974691f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     8.560477f,  8.146264f,  3.732051f,  4.146264f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  7.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f, 
     3.732051f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  2.828427f,  3.146264f,  3.464102f,  6.974691f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f, 
     1.414214f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  4.464102f,  5.464102f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  2.732051f,  2.414214f,  2.732051f,  5.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f, 
     1.732051f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  3.732051f,  3.414214f,  3.732051f, 
     1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  4.414214f,  4.732051f,  5.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f, 
     2.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f,  4.414214f,  4.732051f, 
     1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f, 
     3.732051f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  5.414214f,  5.732051f, 
     2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  4.828427f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f, 
     4.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  7.464102f,  5.146265f,  5.464102f, 
     3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  4.146264f,  3.828427f,  4.146264f,  4.878315f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  6.974691f,  6.560478f,  6.146264f,  5.732051f,  5.414214f, 
     5.732051f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  7.878315f,  4.146265f,  5.146265f, 
     4.732051f,  4.414214f,  4.732051f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  7.146264f,  6.732051f,  6.414214f, 
     7.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  5.146264f,  5.464102f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  3.146264f, 
     5.732051f,  5.414214f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  5.560478f,  5.146264f, 
     4.732051f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  4.146264f,  4.464102f,  4.878315f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  2.414214f,  2.828427f, 
     6.732051f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.560478f,  4.560478f,  4.146264f, 
     3.732051f,  3.414214f,  3.732051f,  7.878315f,  7.464102f,  7.146264f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  2.828427f,  3.146264f,  2.414214f,  2.732051f,  3.146264f, 
     7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  5.560478f,  4.560478f,  6.292529f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  6.146264f,  5.146264f,  4.146264f,  3.146264f, 
     2.732051f,  2.414214f,  2.732051f,  3.146264f,  7.878315f,  7.560478f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.242640f,  6.560478f,  2.414214f,  2.732051f,  3.146264f, 
     7.464102f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.732051f,  4.732051f,  3.732051f,  2.732051f, 
     1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.146264f,  1.414214f,  1.732051f,  2.732051f, 
     4.242640f,  3.828427f,  3.414214f,  3.000000f,  4.464102f,  4.414214f,  4.000000f,  4.414214f,  3.414214f,  3.732051f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.414214f,  4.414214f,  3.414214f,  2.414214f, 
     1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  7.828427f,  5.732051f,  1.000000f,  1.414214f,  2.414214f, 
     3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.732051f,  4.732051f,  3.732051f,  2.732051f, 
     1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  7.146264f,  6.828427f,  7.146264f,  1.414214f,  1.732051f,  2.732051f, 
     3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  6.146264f,  5.146264f,  4.146264f,  3.146264f, 
     2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  4.414214f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  4.242640f,  4.560478f, 
     3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  6.560478f,  5.560478f,  4.560478f,  4.146264f, 
     3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  3.828427f,  4.146264f, 
     7.878315f,  7.560478f,  7.242640f,  1.000000f,  1.414214f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  6.732051f,  5.732051f,  4.732051f,  3.732051f, 
     2.732051f,  1.732051f,  1.414214f,  1.732051f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  5.464102f,  3.732051f, 
     6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  2.414214f,  2.732051f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.414214f,  4.414214f,  3.414214f, 
     2.414214f,  1.414214f,  1.000000f,  1.414214f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  4.146264f,  4.464102f,  3.414214f, 
     5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  5.732051f,  4.732051f,  3.732051f, 
     2.732051f,  6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  5.146264f,  4.146264f,  3.146264f,  5.000000f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  3.732051f, 
     4.878315f,  4.560478f,  4.242640f,  4.560478f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  6.656854f,  5.732051f,  3.146264f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  5.146264f,  4.146264f, 
     3.146264f,  6.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.828427f,  3.828427f,  4.414214f,  4.000000f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.146264f, 
     4.464102f,  4.146264f,  3.828427f,  4.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  5.146264f,  4.732051f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  5.560478f,  4.560478f, 
     4.146264f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  4.146265f,  3.414214f,  3.000000f,  3.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  6.146264f,  6.464102f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  7.878315f,  8.196153f,  5.560478f, 
     5.146264f,  7.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  3.828427f,  4.146264f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f, 
     3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.878315f,  7.196153f,  7.610366f, 
     6.146264f,  7.974691f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  2.828427f,  3.146264f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  3.146264f,  3.464102f,  4.464102f,  5.560478f,  5.878315f,  6.196153f,  5.828427f, 
     5.414214f,  5.000000f,  7.388905f,  6.974691f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  2.732051f,  2.414214f,  2.732051f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.000000f, 
     4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  4.146264f,  4.464102f,  4.878315f,  4.560478f,  4.878315f,  5.242640f,  4.828427f, 
     4.414214f,  4.000000f,  4.414214f,  4.828427f,  7.560478f,  7.146264f,  6.732051f,  6.414214f,  6.732051f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f, 
     4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  7.196152f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  5.464102f,  3.828427f,  4.146264f,  4.464102f,  4.242640f,  3.828427f, 
     3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  7.732051f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f, 
     6.878315f,  5.878315f,  4.878315f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  7.610366f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  3.732051f,  3.414214f,  3.732051f,  4.828427f,  3.828427f,  2.828427f, 
     2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f, 
     6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  3.414214f,  3.000000f,  3.414214f,  4.414214f,  3.414214f,  2.414214f, 
     1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  6.656854f, 
     6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  3.732051f,  3.414214f,  5.000000f,  4.000000f,  3.000000f,  2.000000f, 
     1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.000000f,  6.000000f,  3.146264f,  5.464102f,  5.146264f,  4.828427f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  6.656854f,  7.071068f, 
     6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  5.732051f,  5.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  4.414214f,  3.414214f,  2.414214f, 
     1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  5.828427f,  6.146265f,  6.414214f,  6.000000f,  6.414214f,  6.828427f,  7.242640f,  7.656854f,  8.071068f, 
    13.631544f, 13.313707f, 13.631544f, 13.949381f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f, 11.464102f, 11.878315f, 12.292528f,  7.146264f,  7.560478f,  7.974691f,  8.388905f,  8.803119f, 
    10.464102f,  9.464102f,  8.464102f,  7.464102f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  7.464102f,  8.464102f,  9.464102f, 10.464102f,  9.974690f, 
    12.631544f, 12.313707f, 12.631544f, 12.949382f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f, 11.146264f,  7.388905f, 11.974690f, 12.388904f,  7.242640f,  7.656854f,  8.071068f,  8.485281f, 
    10.146264f,  9.146264f,  8.146264f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  8.146264f,  9.146264f, 10.146264f,  9.560477f, 
    11.631545f, 11.313707f, 11.631545f, 11.949382f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  6.974691f, 11.656854f, 12.071067f, 12.485280f, 12.899493f, 13.313707f,  8.803119f, 
     9.828426f,  8.828427f,  7.828427f,  6.828427f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f,  7.828427f,  8.828427f,  9.828426f,  9.146264f, 
    11.217331f, 10.899494f, 11.217331f, 11.535169f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  6.560478f, 11.974690f, 12.388904f, 12.803117f,  5.464102f,  5.146264f,  4.828427f, 
     5.146264f,  9.146264f,  8.146264f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  6.000000f,  6.414214f,  5.146265f,  6.146265f,  7.146265f,  8.146264f,  9.146264f, 10.146264f, 11.146264f, 
    10.803118f, 10.485281f, 10.803118f, 11.120955f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  6.146264f,  6.464102f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f, 
     4.146264f,  4.464102f,  8.464102f,  7.464102f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  6.414214f,  6.732051f,  7.146264f,  6.464102f,  7.464102f,  8.464102f,  9.464102f, 10.464102f,  3.828427f, 
    10.388905f, 10.071067f, 10.388905f, 10.706741f, 11.024579f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  5.414214f,  5.732051f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f, 
     3.146264f,  3.464102f,  4.464102f,  7.878315f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  6.828427f,  7.146264f,  7.464102f,  7.878315f,  8.292528f,  8.706742f,  9.120955f,  4.828427f,  5.146264f, 
     9.974690f,  9.656854f,  9.974691f, 10.292528f, 10.706741f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  4.146264f,  4.464102f,  5.000000f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f, 
     2.732051f,  3.146264f,  4.146264f,  5.146264f,  7.292529f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  7.242640f,  7.560478f,  7.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f, 
     9.560477f,  9.242640f,  9.560478f,  9.974691f, 10.388905f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  5.414214f,  6.828427f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f, 
     2.414214f,  2.828427f,  3.828427f,  4.828427f,  8.464102f,  7.292529f,  6.878315f,  6.464102f,  6.146264f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  7.974691f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f, 
     9.560477f,  5.000000f,  9.242640f,  9.656854f, 10.071067f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f, 
     2.732051f,  3.146264f,  4.146264f,  7.878315f,  7.464102f,  7.146264f,  6.560478f,  6.146265f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  7.388905f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     9.242640f,  4.000000f,  4.414214f,  9.974691f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  7.464102f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f, 
     3.146264f,  7.706742f,  7.292529f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  5.146265f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f, 
     9.560477f,  3.000000f,  3.414214f,  3.828427f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  7.878315f,  6.878315f,  5.878315f,  4.878315f,  2.414214f,  1.414214f,  1.000000f, 
     1.414214f,  7.292529f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  4.146265f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  6.414214f,  6.000000f,  6.414214f,  5.000000f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f, 
     1.000000f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  5.878315f,  3.464102f,  3.146264f,  2.828427f,  3.146264f, 
     1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f, 
     1.414214f,  2.414214f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  1.414214f,  1.732051f,  6.560478f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  4.464102f,  4.146264f,  3.828427f,  4.146264f, 
     1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.000000f,  5.242640f,  4.242640f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f, 
     2.414214f,  2.828427f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  1.000000f,  1.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  5.146264f,  4.828427f,  5.146264f, 
     1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  5.560478f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f, 
     3.414214f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  1.414214f,  1.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  5.828427f,  6.146264f, 
     2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.242640f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f, 
     4.414214f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  2.414214f,  2.732051f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  7.878315f,  5.560478f,  5.878315f, 
     3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  4.560478f,  4.242640f,  4.560478f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  6.656854f,  6.242640f,  5.828427f,  5.414214f,  5.000000f, 
     5.414214f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  3.732051f,  4.146265f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  7.196152f,  8.196152f,  4.560478f,  3.146264f, 
     4.414214f,  4.000000f,  4.414214f,  4.828427f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f, 
     5.878315f,  7.071068f,  6.656854f,  6.242640f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242641f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  3.414214f,  3.000000f,  3.414214f,  1.414214f,  1.732051f,  2.732051f, 
     5.414214f,  5.000000f,  5.414214f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  5.560478f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.242640f,  5.560478f,  5.878315f, 
     8.388905f,  7.388905f,  6.974691f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  5.464102f,  5.878315f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  3.414214f,  3.732051f,  1.000000f,  1.414214f,  2.414214f, 
     6.414214f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  4.242640f,  4.560478f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.656854f,  4.242640f,  3.828427f, 
     3.414214f,  3.000000f,  7.292529f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  5.464102f,  5.146265f,  4.828427f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  3.828427f,  1.732051f,  1.414214f,  1.732051f,  2.732051f, 
     9.196152f,  8.878315f,  5.560478f,  4.560478f,  4.146264f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  4.828427f,  3.828427f,  2.828427f, 
     2.414214f,  2.000000f,  2.414214f,  7.196152f,  6.878315f,  6.560478f,  5.560478f,  5.146265f,  4.732051f,  4.414214f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  2.414214f,  2.000000f,  2.414214f,  2.828427f, 
     8.878315f,  8.464102f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  5.414214f,  4.414214f,  3.414214f,  2.414214f, 
     1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  1.414214f,  1.000000f,  1.414214f,  2.414214f, 
     4.560478f,  4.146264f,  3.732051f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  3.414214f,  3.828427f,  4.146264f,  3.828427f,  4.146264f,  7.464102f,  4.878315f,  5.000000f,  4.000000f,  3.000000f,  2.000000f, 
     1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  8.242640f,  1.000000f,  0.000000f,  1.000000f,  2.000000f, 
     4.146264f,  3.146264f,  2.732051f,  2.414214f,  4.146264f,  3.732051f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.414214f,  4.414214f,  3.414214f,  2.414214f, 
     1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  5.464102f,  5.146264f,  4.828427f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  7.560478f,  7.242640f,  1.414214f,  1.000000f,  1.414214f,  2.414214f, 
     3.732051f,  2.732051f,  1.732051f,  1.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.828427f,  4.828427f,  3.828427f,  2.828427f, 
     2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  4.828427f,  5.560478f,  5.242640f,  4.242640f,  4.560478f,  4.878315f,  6.878315f,  6.560478f,  6.242640f,  4.464102f,  4.146264f,  3.828427f,  4.146264f, 
     8.464102f,  8.146264f,  7.828427f,  1.000000f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  6.242640f,  5.242640f,  4.242640f,  3.828427f, 
     3.414214f,  3.146264f,  2.828427f,  3.146264f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  5.656854f,  5.242640f,  5.560478f,  5.878315f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  3.146264f,  2.828427f,  3.146264f, 
     7.464102f,  7.146264f,  6.828427f,  1.414214f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  1.000000f,  1.414214f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  5.146264f,  4.146264f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  7.196152f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  2.732051f,  2.414214f,  2.732051f, 
     6.464102f,  6.146264f,  5.828427f,  6.146264f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  2.414214f,  2.828427f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  5.828427f,  4.828427f,  3.828427f, 
     2.828427f,  2.414214f,  2.000000f,  2.414214f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  2.000000f,  2.414214f, 
     5.464102f,  5.146264f,  4.828427f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.146264f,  5.146264f,  4.146264f, 
     3.146264f,  2.732051f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  5.560478f,  4.560478f,  5.732051f,  5.414214f,  3.414214f,  3.732051f,  4.146264f,  2.414214f,  2.732051f, 
     4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  6.656854f,  7.656854f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  5.464102f,  4.464102f, 
     4.146264f,  3.732051f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.242641f,  5.732051f,  4.732051f,  4.414214f,  3.000000f,  3.414214f,  3.828427f,  2.828427f,  3.146264f, 
     3.464102f,  3.146264f,  2.828427f,  3.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  4.414214f,  4.000000f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.414214f,  6.000000f,  4.878315f, 
     4.560478f,  4.732051f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.560478f,  4.732051f,  3.732051f,  3.414214f,  3.732051f,  3.732051f,  4.146264f,  4.560478f,  4.146264f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.464102f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.732051f,  6.414214f,  6.732051f, 
     5.560478f,  5.732051f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  3.414214f,  3.732051f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f, 
     2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  4.146264f,  4.560478f,  5.560478f,  7.292529f,  7.610366f,  7.146264f, 
     6.732051f,  6.732051f,  7.292529f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  2.732051f,  2.414214f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  4.464102f,  4.878315f,  5.974691f,  6.292529f,  6.560478f,  6.146264f, 
     5.732051f,  5.414214f,  7.706742f,  7.292529f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f, 
     3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  4.878315f,  5.196152f,  5.560478f,  5.878315f,  5.560478f,  5.146264f, 
     4.732051f,  4.414214f,  4.732051f,  5.146265f,  7.878315f,  7.464102f,  7.146264f,  6.828427f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f, 
     4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  5.878315f,  4.828427f,  5.146264f,  5.560478f,  4.560478f,  4.146264f, 
     3.732051f,  3.414214f,  3.732051f,  4.146265f,  5.828427f,  6.146264f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f, 
     6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  6.292529f,  7.292529f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.414214f,  4.732051f,  5.146264f,  4.146264f,  3.146264f, 
     2.732051f,  2.414214f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  4.146265f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f, 
     6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  4.000000f,  5.732051f,  4.732051f,  3.732051f,  2.732051f, 
     1.732051f,  1.414214f,  1.732051f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  5.146265f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f, 
     5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  4.732051f,  6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f, 
     1.414214f,  1.000000f,  1.414214f,  2.414214f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  6.146265f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  7.388905f, 
     6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.828427f,  5.414214f,  5.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  4.732051f,  3.732051f,  2.732051f, 
     1.732051f,  1.414214f,  1.732051f,  2.732051f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.732051f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  7.974691f,  8.388905f, 
    13.217331f, 12.899493f, 13.217331f, 13.535168f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  7.656854f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  7.388905f,  8.388905f, 
    10.146264f,  9.146264f,  8.146264f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  8.146264f,  9.146264f, 10.146264f, 11.146264f, 
    12.217331f, 11.899494f, 12.217331f, 12.535168f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  6.656854f,  6.974691f,  5.414214f,  5.828427f,  6.242640f,  6.656854f,  7.071068f,  8.071068f, 
     9.732051f,  8.732051f,  7.732051f,  6.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  7.732051f,  8.732051f,  9.732051f, 10.732051f, 
    11.217331f, 10.899494f, 11.217331f, 11.535169f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  5.656854f,  5.974691f,  6.292529f,  6.146264f,  6.560478f,  6.974691f,  7.388905f,  8.388905f, 
     9.388905f,  8.414213f,  7.414214f,  6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  7.414214f,  8.414213f,  9.414213f, 10.414213f, 
    10.217332f,  9.899494f, 10.217332f, 10.535169f, 10.853005f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.878315f,  7.292529f,  7.706742f,  8.706742f, 
     9.706741f,  5.732051f,  7.732051f,  6.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  7.732051f,  8.732051f,  9.732051f, 10.560477f, 
     9.803118f,  9.485281f,  9.803118f, 10.120955f, 10.438792f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  5.196152f,  4.878315f,  4.560478f,  4.242640f, 
     4.560478f,  5.414214f,  5.000000f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  8.146264f,  9.146264f, 10.146264f,  2.828427f, 
     9.388905f,  9.071068f,  9.388905f,  9.706741f, 10.024579f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  4.878315f,  4.464102f,  4.146264f,  3.828427f, 
     4.146264f,  4.464102f,  5.414214f,  5.732051f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  8.146264f,  8.464102f,  8.878315f,  9.292528f,  9.706741f,  5.560478f,  5.242640f,  2.414214f, 
     8.974691f,  8.656854f,  8.974691f,  9.292528f,  9.706741f, 10.120955f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f, 
     3.732051f,  4.146264f,  5.828427f,  6.146264f,  6.464102f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.732051f,  6.146264f,  6.560478f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f, 
     8.560477f,  8.242640f,  8.560478f,  8.974691f,  9.388905f,  9.803118f,  5.828427f,  6.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  4.414214f,  4.732051f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f, 
     3.414214f,  3.828427f,  4.242640f,  6.560478f,  6.878315f,  7.196152f,  6.560478f,  6.146264f,  6.414214f,  6.000000f,  6.414214f,  6.828427f,  7.242640f,  7.656854f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f, 
     8.146264f,  7.828427f,  8.242640f,  8.656854f,  9.071068f,  9.485281f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  4.828427f,  7.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f, 
     3.732051f,  4.146264f,  4.560478f,  8.196152f,  7.878315f,  7.560478f,  6.242641f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  6.656854f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f, 
     8.560477f,  8.242640f,  8.560478f,  8.974691f,  9.388905f,  9.803118f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.242640f,  7.878315f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  2.414214f, 
     2.732051f,  4.464102f,  7.610366f,  7.196152f,  6.878315f,  6.560478f,  6.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f, 
     3.732051f,  3.414214f,  3.732051f,  6.414214f,  6.000000f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  8.196153f,  7.196153f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f, 
     1.732051f,  4.828427f,  6.610366f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f, 
     2.732051f,  2.414214f,  2.732051f,  3.146264f,  6.414214f,  6.732051f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.732051f,  6.732051f,  6.414214f,  6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f, 
     1.414214f,  2.414214f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  7.146264f,  4.464102f,  4.146264f,  3.828427f,  4.146264f, 
     1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  7.146264f,  7.464102f,  6.292529f,  6.146264f,  5.828427f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f, 
     1.732051f,  2.732051f,  4.414214f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  7.464102f,  7.146264f,  4.560478f,  4.242640f,  4.560478f, 
     1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  7.560478f,  7.878315f,  6.878315f,  6.560478f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f, 
     2.732051f,  4.414214f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  1.000000f,  0.000000f,  1.000000f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  7.560478f,  5.560478f,  5.242640f,  5.560478f, 
     1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  8.292528f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f, 
     3.732051f,  4.828427f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  1.414214f,  1.000000f,  1.414214f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  6.560478f,  6.242640f,  6.560478f, 
     2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f, 
     4.732051f,  5.242640f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  2.000000f,  2.414214f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  8.292528f,  5.974691f,  3.828427f, 
     3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  5.242640f,  6.146264f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f, 
     4.560478f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  3.414214f,  3.828427f,  4.828427f,  5.878315f,  6.196152f,  6.610366f,  7.610366f,  2.000000f,  2.414214f,  2.828427f, 
     4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.464102f,  6.146264f,  5.828427f,  6.146264f,  5.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f, 
     4.878315f,  6.656854f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  4.414214f,  5.560478f,  5.146264f,  1.000000f,  1.414214f,  2.414214f, 
     5.732051f,  5.414214f,  5.732051f,  5.560478f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.000000f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f, 
     7.974691f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  6.610366f,  5.878315f,  5.464102f,  0.000000f,  1.000000f,  2.000000f, 
     8.610366f,  8.292528f,  5.656854f,  5.242640f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.242640f,  5.560478f,  5.878315f, 
     3.732051f,  7.292529f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.292529f,  6.196152f,  1.414214f,  1.000000f,  1.414214f,  2.414214f, 
     8.196152f,  7.878315f,  7.560478f,  5.560478f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.878315f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.242640f,  4.146264f,  3.146264f, 
     2.732051f,  2.414214f,  6.610366f,  6.196152f,  5.878315f,  5.560478f,  4.560478f,  4.146265f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  5.974691f,  6.610366f,  2.414214f,  2.000000f,  2.414214f,  2.828427f, 
     7.878315f,  7.464102f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.610366f,  4.732051f,  5.146264f,  6.560478f,  6.242640f,  4.732051f,  3.732051f,  2.732051f, 
     1.732051f,  1.414214f,  1.732051f,  2.732051f,  6.292529f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  5.656854f,  6.146264f,  3.414214f,  3.000000f,  3.414214f,  3.828427f, 
     4.878315f,  7.146264f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.146264f,  4.560478f,  4.242640f,  4.560478f,  6.464102f,  6.146264f,  5.828427f,  4.414214f,  3.414214f,  2.414214f, 
     1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  5.974691f,  6.464102f,  4.414214f,  4.000000f,  4.414214f,  4.828427f, 
     4.464102f,  3.464102f,  3.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  3.828427f,  4.146264f,  6.146264f,  4.878315f,  5.878315f,  4.732051f,  3.732051f,  2.732051f, 
     1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  7.974691f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f, 
     4.146264f,  3.146264f,  2.732051f,  2.414214f,  3.464102f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  5.146264f,  4.146264f,  3.146264f, 
     2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  7.292529f,  6.974691f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f, 
     8.146264f,  7.732051f,  7.414214f,  2.000000f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  5.560478f,  4.560478f,  4.146264f, 
     3.732051f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  5.464102f,  4.560478f,  4.242640f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.292529f,  5.974691f,  5.656854f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     7.146264f,  6.732051f,  6.414214f,  2.414214f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  5.560478f,  4.560478f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146265f,  5.146265f,  4.146264f,  3.828427f,  4.146264f,  6.242640f,  6.560478f,  6.610366f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     6.146264f,  5.732051f,  5.414214f,  5.732051f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  3.146264f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  5.242640f,  4.242640f, 
     3.828427f,  3.414214f,  3.000000f,  3.414214f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  7.292529f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  1.414214f,  1.000000f,  1.414214f, 
     5.146264f,  4.732051f,  4.414214f,  4.732051f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  7.196152f,  5.560478f,  4.560478f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  6.000000f,  6.414214f,  6.146264f,  5.828427f,  4.414214f,  4.732051f,  1.732051f,  1.414214f,  1.732051f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  7.242640f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  5.732051f,  5.414214f,  4.878315f, 
     4.464102f,  4.146265f,  4.414214f,  4.732051f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.000000f,  5.414214f,  5.146264f,  4.828427f,  4.000000f,  4.414214f,  4.828427f,  2.414214f,  2.732051f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  4.414214f,  4.732051f,  4.732051f,  5.146264f,  7.196152f,  5.828427f,  5.414214f,  5.000000f,  5.878315f, 
     5.464102f,  5.146265f,  5.414214f,  5.732051f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.414214f,  4.000000f,  4.414214f,  4.146264f,  3.828427f,  4.146264f,  4.732051f,  5.146264f,  3.414214f,  3.732051f, 
     2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.828427f,  4.146264f,  4.464102f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.242640f,  6.146264f,  5.732051f,  5.414214f,  5.732051f, 
     5.974691f,  6.146265f,  6.414214f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  3.414214f,  3.000000f,  3.414214f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  4.732051f, 
     2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.464102f,  6.146264f,  5.828427f,  6.146264f, 
     6.464102f,  6.878315f,  7.414214f,  6.610366f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f, 
     2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  6.974691f,  6.560478f,  6.878315f,  6.560478f, 
     6.146264f,  6.610366f,  6.292529f,  5.974691f,  7.196152f,  6.878315f,  6.560478f,  6.242640f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  6.560478f,  6.292529f,  5.878315f,  5.464102f, 
     5.146264f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.000000f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  6.146264f,  5.878315f,  4.878315f,  4.464102f, 
     4.146264f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f, 
     6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  6.974691f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.732051f,  5.464102f,  4.464102f,  3.464102f, 
     3.146264f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f, 
     5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.000000f,  5.414214f,  5.146264f,  4.146264f,  3.146264f, 
     2.732051f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f, 
     5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.974691f,  5.560478f,  5.146264f,  4.828427f,  3.828427f,  2.828427f, 
     2.414214f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  6.146265f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  7.706742f, 
     5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  5.146264f,  4.146264f,  3.146264f, 
     2.732051f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.242640f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.828427f,  7.146264f,  7.464102f,  7.878315f,  8.292528f,  8.706742f, 
    12.803117f, 12.485280f, 12.803118f, 13.120955f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  7.560478f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  7.974691f, 
     8.974691f,  5.974691f,  7.828427f,  6.828427f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f,  7.828427f,  8.828427f,  9.828426f, 10.828426f, 
    11.803118f, 11.485280f, 11.803118f, 12.120955f, 12.438792f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  6.242640f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  6.656854f,  7.656854f, 
     8.656854f,  5.560478f,  7.414214f,  6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  7.414214f,  8.414213f,  9.414213f, 10.414213f, 
    10.803118f, 10.485281f, 10.803118f, 11.120955f, 11.438792f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  7.974691f, 
     8.974691f,  5.146264f,  7.000000f,  6.000000f,  5.000000f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.000000f,  6.000000f,  7.000000f,  8.000000f,  9.000000f, 10.000000f, 
     9.803118f,  9.485281f,  9.803118f, 10.120955f, 10.438792f, 10.756630f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  5.878315f,  6.292529f,  7.292529f,  8.292528f, 
     5.146264f,  4.732051f,  4.414214f,  6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  7.414214f,  8.414213f,  9.414213f, 11.560477f, 
     8.803119f,  8.485281f,  8.803119f,  9.120955f,  9.438792f,  9.756630f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.610366f,  7.610366f,  8.610366f, 
     4.828427f,  4.414214f,  4.000000f,  4.414214f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f,  7.828427f,  8.828427f,  9.828426f,  2.414214f, 
     8.388905f,  8.071068f,  8.388905f,  8.706742f,  9.024579f,  9.438792f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  5.464102f,  5.146264f,  4.828427f, 
     5.146264f,  4.732051f,  4.414214f,  4.732051f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  5.656854f,  6.610366f,  6.292529f,  5.974691f,  1.732051f,  1.414214f, 
     7.974691f,  7.656854f,  7.974691f,  8.292528f,  8.706742f,  9.120955f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.560478f,  5.146264f,  4.732051f,  4.414214f, 
     4.732051f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  1.000000f, 
     7.560478f,  7.242640f,  7.560478f,  7.974691f,  8.388905f,  8.803119f,  9.803118f,  6.560478f,  5.732051f,  5.414214f,  5.732051f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f, 
     4.414214f,  4.828427f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  7.560478f,  7.146264f,  6.732051f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  1.414214f, 
     7.146264f,  6.828427f,  7.242640f,  7.656854f,  8.071068f,  8.485281f,  9.485281f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f, 
     4.732051f,  4.464102f,  4.878315f,  5.878315f,  5.828427f,  6.242640f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.196152f,  6.610366f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f, 
     7.560478f,  7.242641f,  7.560478f,  7.974691f,  8.388905f,  8.803119f,  9.803119f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  5.146264f,  4.242640f,  4.560478f,  7.292529f,  6.292529f,  5.878315f,  3.464102f,  3.146264f,  2.828427f, 
     3.146264f,  3.464102f,  4.464102f,  7.610366f,  7.292529f,  6.974691f,  6.656854f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  6.610366f,  6.928203f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f, 
     4.146264f,  3.828427f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.464102f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.560478f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f, 
     2.732051f,  3.828427f,  4.146264f,  6.610366f,  6.292529f,  5.974691f,  5.656854f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.242640f,  5.828427f,  5.414214f,  5.000000f,  4.414214f,  4.732051f, 
     3.146264f,  2.828427f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  6.828427f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f, 
     2.414214f,  3.414214f,  3.732051f,  4.146264f,  5.878315f,  5.560478f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f, 
     2.732051f,  2.414214f,  2.732051f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.828427f,  6.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f, 
     3.414214f,  3.000000f,  3.414214f,  3.828427f,  5.464102f,  5.146264f,  4.828427f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f, 
     2.414214f,  2.000000f,  2.414214f,  2.828427f,  6.242640f,  6.560478f,  6.878315f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.146264f,  4.828427f,  5.146264f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f, 
     3.732051f,  3.414214f,  3.732051f,  4.146264f,  5.878315f,  4.732051f,  4.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f, 
     2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  6.974691f,  7.292529f,  6.292529f,  5.974691f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
     4.146264f,  3.828427f,  4.146264f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  1.732051f,  1.414214f,  1.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  6.974691f,  6.656854f,  6.974691f,  7.292529f, 
     3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  5.878315f,  5.560478f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f, 
     4.560478f,  4.242640f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.292529f,  7.388905f,  7.071068f,  3.414214f,  3.732051f, 
     4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  6.732051f,  5.464102f,  5.146264f,  4.828427f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
     4.146264f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  4.146264f,  4.560478f,  5.560478f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f, 
     5.146264f,  4.828427f,  5.146264f,  5.464102f,  6.146264f,  5.732051f,  5.414214f,  4.732051f,  4.414214f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f, 
     4.464102f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  2.732051f, 
     6.146264f,  5.828427f,  7.388905f,  7.071068f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  4.000000f,  4.414214f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f, 
     7.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  4.828427f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  2.414214f, 
     7.610366f,  7.292529f,  6.974691f,  6.656854f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.732051f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f, 
     7.878315f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  4.414214f,  4.732051f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f, 
     7.196152f,  6.878315f,  6.560478f,  6.242640f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.464102f,  5.878315f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  6.146264f,  5.828427f,  6.146264f,  6.464102f, 
     3.146264f,  7.196152f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.000000f,  4.414214f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f, 
     6.878315f,  6.464102f,  6.146264f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  6.196152f,  6.610366f,  5.146264f,  5.464102f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  3.146264f, 
     2.732051f,  2.414214f,  2.732051f,  6.196152f,  5.878315f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.414214f,  4.732051f,  5.146264f,  6.878315f,  3.414214f,  3.732051f,  4.146265f, 
     6.560478f,  6.146264f,  5.732051f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  4.878315f,  5.878315f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  3.828427f,  2.828427f, 
     2.414214f,  2.000000f,  2.414214f,  2.828427f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.146264f,  5.464102f,  4.732051f,  4.414214f,  4.732051f,  5.146265f, 
     9.828427f,  5.828427f,  5.414214f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.146264f,  3.464102f,  4.464102f,  4.828427f,  5.146264f,  5.146264f,  4.732051f,  4.414214f,  5.146264f,  4.146264f,  3.146264f, 
     2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  5.560478f,  5.878315f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
     8.828427f,  4.146264f,  3.732051f,  3.414214f,  3.146264f,  2.732051f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.414214f,  4.732051f,  5.146264f,  4.414214f,  4.000000f,  5.464102f,  4.464102f,  3.464102f, 
     3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  7.706742f,  5.974691f,  6.292529f,  3.828427f,  3.414214f,  3.000000f,  3.414214f, 
     7.828427f,  7.414214f,  7.000000f,  3.000000f,  5.146264f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  4.414214f,  5.878315f,  4.878315f,  4.464102f, 
     4.146264f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  7.292529f,  7.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f, 
     6.828427f,  6.414214f,  6.000000f,  3.414214f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  4.828427f,  5.146264f,  5.974691f,  5.560478f, 
     5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146265f,  5.560478f,  5.146264f,  4.828427f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  7.196152f,  6.878315f,  6.560478f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     5.828427f,  5.414214f,  5.000000f,  5.414214f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  4.464102f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  5.242640f,  5.560478f,  5.656854f,  5.242640f, 
     4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.828427f,  4.732051f,  4.414214f,  7.146264f,  6.828427f,  7.146264f,  7.292529f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  2.000000f,  1.000000f,  0.000000f,  1.000000f, 
     4.828427f,  4.414214f,  4.000000f,  4.414214f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  5.464102f,  5.146264f,  5.974691f,  5.560478f, 
     5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146265f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  6.146264f,  6.464102f,  6.414214f,  6.732051f,  7.146264f,  5.732051f,  5.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     3.828427f,  3.414214f,  3.000000f,  3.414214f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f,  7.828427f,  5.974691f,  6.292529f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  5.878315f, 
     5.464102f,  5.146265f,  4.828427f,  5.146265f,  5.464102f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.732051f,  6.146264f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  5.000000f,  5.414214f,  2.414214f,  2.000000f,  2.414214f, 
     2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  5.146264f,  5.464102f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f, 
     5.878315f,  5.560478f,  5.828427f,  6.146265f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.000000f,  5.414214f,  5.828427f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  4.560478f,  5.732051f,  3.414214f,  3.000000f,  3.414214f, 
     2.414214f,  1.414214f,  1.000000f,  1.414214f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f, 
     5.146264f,  6.560478f,  6.828427f,  7.146265f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.414214f,  5.732051f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  4.146264f,  4.464102f,  4.878315f,  4.000000f,  4.414214f, 
     2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.146264f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  5.464102f,  5.146264f,  4.828427f,  5.146264f, 
     5.464102f,  5.878315f,  6.878315f,  6.928203f,  6.610366f,  6.292529f,  5.974691f,  5.656854f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f, 
     2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.878315f,  5.560478f,  5.242640f,  5.560478f, 
     5.878315f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  6.878315f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f, 
     2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  4.560478f,  4.242640f,  4.560478f, 
     4.878315f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f, 
     3.828427f,  3.414214f,  4.242640f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  4.146264f,  3.828427f,  4.146264f, 
     4.464102f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f, 
     5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.732051f,  5.878315f,  3.414214f,  3.732051f, 
     5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  7.196152f, 
     5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  5.242640f,  5.878315f,  6.414214f,  5.560478f,  3.000000f,  3.414214f, 
     5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  7.610366f, 
     5.000000f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f, 
     5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  6.242641f,  6.560478f,  6.878315f,  7.196152f,  7.610366f,  8.024579f, 
     5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  2.414214f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f, 
     5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  1.000000f, 
    12.388904f, 12.071067f, 12.388904f, 12.706741f, 13.024579f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f, 
     8.560477f,  5.560478f,  5.242640f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  8.146264f,  9.146264f, 10.146264f, 11.146264f, 
    11.388904f, 11.071067f, 11.388905f, 11.706741f, 12.024579f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.146264f,  5.828427f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  7.242640f, 
     8.242640f,  4.560478f,  4.242640f,  6.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  7.732051f,  8.732051f,  9.732051f, 10.732051f, 
    10.388905f, 10.071067f, 10.388905f, 10.706741f, 11.024579f, 11.342417f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  5.146264f,  4.828427f,  5.146264f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f, 
     4.464102f,  4.146264f,  3.828427f,  4.146264f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  7.414214f,  8.414213f,  9.414213f, 10.414213f, 
     9.388905f,  9.071068f,  9.388905f,  9.706741f, 10.024579f, 10.342417f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  7.878315f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  7.732051f,  8.732051f,  9.732051f, 12.560477f, 
     8.388905f,  8.071068f,  8.388905f,  8.706742f,  9.024579f,  9.342417f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.196152f,  6.196152f,  7.196152f,  4.242640f, 
     3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  8.146264f,  9.146264f, 10.146264f,  2.000000f, 
     7.388905f,  7.071068f,  7.388905f,  7.706742f,  8.024579f,  9.024579f, 10.024579f,  5.560478f,  5.878315f,  6.196152f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.610366f,  7.610366f,  4.560478f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  5.560478f,  4.560478f,  4.146264f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  7.292529f,  2.414214f,  1.414214f,  1.000000f, 
     6.974691f,  6.656854f,  6.974691f,  7.292529f,  7.706742f,  8.706742f,  9.706741f,  5.974691f,  6.292529f,  6.610366f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  8.024579f,  4.878315f, 
     4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  6.878315f,  6.560478f,  1.000000f,  0.000000f, 
     6.560478f,  6.242640f,  6.560478f,  6.974691f,  7.388905f,  8.388905f,  9.388905f,  6.974691f,  7.292529f,  7.610366f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.828427f,  5.414214f,  5.000000f, 
     5.414214f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  6.464102f,  6.146264f,  1.414214f,  1.000000f, 
     6.146264f,  5.828427f,  6.242640f,  6.656854f,  7.071068f,  8.071068f,  9.071068f,  7.974691f,  8.292528f,  3.828427f,  4.146264f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  6.560478f,  6.146264f,  5.732051f,  4.242640f, 
     5.146264f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  6.878315f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  5.464102f,  5.146264f,  5.732051f,  5.414214f,  2.000000f, 
     5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f, 
     4.146264f,  3.828427f,  4.146264f,  4.732051f,  5.146264f,  5.560478f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.414214f, 
     4.560478f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.146264f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f, 
     3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.878315f,  6.656854f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  7.196152f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f, 
     4.146264f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.242640f,  5.242640f,  4.732051f,  4.414214f,  3.414214f,  3.000000f, 
     2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f, 
     3.732051f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  6.560478f,  6.560478f,  5.560478f,  3.732051f,  3.414214f,  3.732051f,  2.828427f, 
     2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  6.146264f,  5.828427f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f, 
     3.414214f,  3.000000f,  3.414214f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.242640f,  5.560478f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
     2.732051f,  2.414214f,  2.732051f,  3.146264f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  2.414214f,  2.000000f,  2.414214f,  6.000000f,  6.414214f,  6.828427f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f, 
     3.732051f,  3.414214f,  3.732051f,  4.146264f,  5.656854f,  5.974691f,  6.292529f,  5.878315f,  5.560478f,  5.242640f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f, 
     3.146264f,  2.828427f,  3.146264f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  2.414214f,  2.732051f,  6.414214f,  6.732051f,  7.146264f,  6.610366f,  6.292529f,  5.974691f,  5.656854f,  5.974691f,  6.292529f, 
     4.146264f,  3.828427f,  4.146264f,  4.464102f,  6.656854f,  6.974691f,  7.292529f,  4.560478f,  4.242640f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f, 
     4.146264f,  3.828427f,  4.146264f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  7.610366f,  7.292529f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f, 
     5.146264f,  4.828427f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  4.464102f,  4.878315f,  5.242640f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f, 
     5.560478f,  5.242640f,  5.560478f,  5.878315f,  5.828427f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
     4.146264f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.732051f,  5.146264f,  5.560478f,  4.242640f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     6.560478f,  6.242640f,  6.974691f,  6.656854f,  4.828427f,  4.414214f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  3.414214f,  3.732051f,  4.146264f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f, 
     4.560478f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  3.414214f,  3.732051f,  4.146264f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f, 
     6.610366f,  6.292529f,  5.974691f,  5.656854f,  3.828427f,  3.414214f,  3.000000f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  3.828427f,  4.146264f,  4.464102f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f, 
     7.464102f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  3.732051f,  3.414214f,  3.732051f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f, 
     6.196152f,  5.878315f,  5.560478f,  5.242640f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.732051f,  7.560478f, 
     7.878315f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  5.464102f,  5.146264f,  4.828427f,  5.146264f, 
     5.878315f,  5.464102f,  5.146264f,  4.828427f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  7.242640f, 
     6.828427f,  7.292529f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  3.414214f,  3.732051f,  4.146264f,  6.464102f,  6.146264f,  5.828427f,  5.146265f, 
     5.560478f,  5.146264f,  4.732051f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  5.878315f,  6.196152f,  6.610366f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  3.828427f, 
     3.414214f,  3.000000f,  3.414214f,  6.878315f,  6.464102f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  3.828427f,  4.146264f,  4.464102f,  7.464102f,  7.146264f,  6.828427f,  5.464102f, 
    10.146264f,  4.828427f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.464102f,  4.878315f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.146264f, 
     3.732051f,  3.414214f,  3.732051f,  4.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.242640f,  4.560478f,  4.878315f,  3.732051f,  3.414214f,  3.732051f,  4.146264f, 
     9.146264f,  8.732051f,  8.414213f,  4.414214f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  4.878315f,  4.464102f, 
     4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.242640f,  5.560478f,  5.878315f,  4.146264f,  3.732051f,  3.414214f,  3.732051f, 
     8.146264f,  7.732051f,  7.414214f,  4.000000f,  4.732051f,  4.414214f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  5.196152f,  4.878315f, 
     4.560478f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  6.414214f,  6.828427f,  7.242640f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     7.146264f,  6.732051f,  6.414214f,  4.414214f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  6.974691f,  6.560478f, 
     6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146265f,  6.560478f,  6.292529f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     6.146264f,  5.732051f,  5.414214f,  5.732051f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  5.828427f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.242640f,  6.242640f, 
     5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242641f,  5.732051f,  5.560478f,  5.242640f,  5.560478f,  7.464102f,  6.196153f,  6.828427f,  7.146264f,  7.464102f,  7.878315f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     5.146264f,  4.732051f,  4.414214f,  4.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  7.732051f,  6.560478f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f, 
     6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146265f,  5.828427f,  5.414214f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.560478f,  7.878315f,  8.196152f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  9.120955f,  9.438792f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f, 
     6.464102f,  6.146265f,  5.828427f,  6.146265f,  6.464102f,  6.146264f,  5.732051f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.828427f,  6.146264f,  6.464102f,  8.292528f,  8.610366f,  8.928203f,  2.732051f,  2.414214f,  2.732051f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  8.388905f,  8.706742f,  9.024579f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f, 
     3.828427f,  4.242640f,  6.242641f,  6.560478f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  9.024579f,  6.732051f,  3.732051f,  3.414214f,  3.732051f, 
     2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  7.974691f,  7.656854f,  7.974691f,  8.292528f,  8.610366f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f, 
     4.146264f,  4.560478f,  5.560478f,  6.146264f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.146264f,  5.464102f,  5.878315f,  4.414214f,  4.732051f, 
     2.414214f,  1.414214f,  1.000000f,  1.414214f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  7.878315f,  7.560478f,  7.242640f,  7.560478f,  7.878315f,  8.196152f,  8.610366f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f, 
     4.464102f,  4.878315f,  5.878315f,  6.146264f,  6.242640f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  4.732051f,  5.146264f,  5.560478f,  4.242640f,  4.560478f, 
     2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  6.560478f,  5.560478f,  7.464102f,  7.146264f,  6.828427f,  7.146264f,  7.464102f,  7.878315f,  8.292528f,  6.414214f,  4.878315f,  4.560478f,  4.242640f,  4.560478f, 
     4.878315f,  5.196152f,  5.464102f,  5.146264f,  4.828427f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.414214f,  4.828427f,  5.242640f,  3.828427f,  4.146264f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.242640f,  4.242640f,  6.732051f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  6.414214f,  6.000000f,  6.414214f,  4.146264f,  3.828427f,  4.146264f, 
     4.464102f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.732051f,  5.146264f,  5.560478f,  3.414214f,  3.732051f, 
     4.146264f,  3.732051f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  5.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  6.828427f,  7.242640f,  6.732051f,  6.414214f,  3.464102f,  3.146264f,  2.828427f,  3.146264f, 
     3.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.464102f,  5.878315f,  3.000000f,  3.414214f, 
     6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  7.560478f,  7.146264f,  6.828427f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     3.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.560478f,  5.878315f,  6.196152f,  3.414214f,  3.732051f, 
     5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f, 
     2.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.974691f,  6.292529f,  6.610366f,  3.828427f,  4.146264f, 
     5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.974691f,  7.292529f,  7.610366f,  4.242640f,  4.560478f, 
     5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f, 
     5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  3.414214f,  3.000000f,  3.414214f,  5.828427f,  6.146264f,  6.464102f,  0.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  0.000000f, 
    11.974690f, 11.656854f, 11.974690f, 12.292528f, 12.610366f, 12.928204f,  5.828427f,  6.146264f,  6.464102f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f, 
     8.146264f,  5.146264f,  4.828427f,  5.146264f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  7.464102f,  8.464102f,  9.464102f, 10.464102f, 11.464102f, 
    10.974690f, 10.656854f, 10.974690f, 11.292528f, 11.610366f, 11.928204f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.146264f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f, 
     4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  8.146264f,  9.146264f, 10.146264f, 11.146264f, 
     9.974690f,  9.656854f,  9.974691f, 10.292528f, 10.610366f, 10.928204f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  5.146264f,  4.732051f,  4.414214f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f, 
     3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f,  7.828427f,  8.828427f,  9.828426f, 10.828426f, 
     8.974691f,  8.656854f,  8.974691f,  9.292528f,  9.610366f,  9.928204f, 10.342417f,  5.732051f,  6.146264f,  6.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  7.464102f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  8.146264f,  9.146264f, 10.146264f, 11.146264f, 
     7.974691f,  7.656854f,  7.974691f,  8.292528f,  8.610366f,  8.928204f,  9.928204f,  6.146264f,  6.464102f,  6.878315f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  3.828427f, 
     2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  7.464102f,  8.464102f,  9.464102f,  2.732051f,  2.414214f, 
     6.974691f,  6.656854f,  6.974691f,  7.292529f,  7.610366f,  8.610366f,  9.610366f,  6.560478f,  6.878315f,  7.196152f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  5.878315f,  6.292529f,  7.292529f,  4.146264f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f,  2.732051f,  1.732051f,  1.414214f, 
     5.974691f,  5.656854f,  5.974691f,  6.292529f,  7.292529f,  8.292528f,  9.292528f, 10.292528f,  7.292529f,  7.610366f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  7.292529f,  7.706742f,  4.464102f, 
     3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  5.560478f,  2.414214f,  1.414214f,  1.000000f, 
     5.560478f,  5.242640f,  5.560478f,  5.974691f,  6.974691f,  7.974691f,  8.974691f,  9.974691f,  7.706742f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  4.878315f, 
     4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  4.560478f,  4.242640f,  1.732051f,  1.414214f, 
     5.146264f,  4.828427f,  5.242640f,  5.656854f,  6.656854f,  7.656854f,  8.656854f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.878315f,  5.560478f,  5.146264f, 
     4.732051f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  2.414214f, 
     5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.878315f,  5.464102f,  5.146264f,  4.146264f, 
     3.732051f,  3.414214f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  5.878315f,  5.560478f,  5.242640f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f, 
     5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.732051f,  5.146264f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  3.146264f, 
     2.732051f,  2.414214f,  2.732051f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  6.146264f,  6.464102f,  6.878315f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f, 
     5.146264f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  2.732051f, 
     1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  5.196152f,  6.196152f,  6.146264f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  7.878315f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f, 
     5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  2.414214f, 
     1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  6.146264f,  5.732051f,  5.414214f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f, 
     6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.732051f, 
     1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  4.414214f,  4.732051f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  6.656854f,  5.878315f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f, 
     4.732051f,  4.414214f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.242640f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  3.146264f, 
     2.732051f,  2.414214f,  2.732051f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  6.196153f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f, 
     5.146264f,  4.828427f,  5.146264f,  5.464102f,  6.242640f,  6.560478f,  6.878315f,  4.146264f,  3.828427f,  5.828427f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f, 
     3.732051f,  3.414214f,  3.732051f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  4.464102f,  4.878315f,  5.878315f,  7.196152f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.732051f,  4.414214f,  4.732051f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f, 
     4.732051f,  4.414214f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  5.146264f,  4.828427f,  5.146264f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     5.974691f,  5.656854f,  5.974691f,  7.242640f,  7.560478f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.000000f,  4.414214f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f, 
     5.732051f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  4.828427f,  4.146264f,  3.828427f,  4.146264f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     7.196152f,  6.878315f,  6.560478f,  6.242640f,  6.560478f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  4.732051f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f, 
     4.242640f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.000000f,  3.414214f,  3.828427f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  3.732051f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.146264f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f, 
     6.464102f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  3.732051f,  3.414214f,  3.732051f, 
     5.196152f,  4.878315f,  4.560478f,  4.242640f,  3.146264f,  2.732051f,  2.414214f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  6.560478f, 
     6.146264f,  5.732051f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  5.146264f,  4.732051f,  4.414214f,  4.732051f, 
     4.878315f,  4.464102f,  4.146264f,  3.828427f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  6.242640f, 
     5.828427f,  5.414214f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.732051f,  5.414214f,  5.732051f, 
     4.560478f,  4.146264f,  3.732051f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  5.146264f,  5.464102f,  5.878315f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f, 
     6.146264f,  5.732051f,  5.414214f,  6.560478f,  6.146264f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  6.732051f,  6.414214f,  6.732051f, 
    10.464102f,  3.828427f,  3.414214f,  3.000000f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  6.464102f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f, 
     4.732051f,  4.414214f,  4.732051f,  6.146264f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  7.732051f,  7.414214f,  5.146264f, 
     9.464102f,  9.146264f,  8.828427f,  3.414214f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  4.414214f,  4.732051f,  5.146264f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f, 
     5.146264f,  4.828427f,  5.146264f,  5.464102f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  4.146264f,  3.828427f,  4.146264f, 
     8.464102f,  8.146264f,  7.828427f,  5.000000f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f, 
     5.560478f,  7.146264f,  6.828427f,  7.146264f,  7.464102f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  6.656854f,  3.146264f,  2.828427f,  3.146264f, 
     7.464102f,  7.146264f,  6.828427f,  5.414214f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  5.146264f,  5.560478f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f, 
     7.146264f,  6.732051f,  6.414214f,  6.732051f,  7.146265f,  6.196152f,  5.878315f,  5.828427f,  5.414214f,  5.000000f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  2.732051f,  2.414214f,  2.732051f, 
     6.464102f,  6.146264f,  5.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  3.828427f,  4.146264f, 
     6.828427f,  6.414214f,  6.000000f,  6.414214f,  6.828427f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  2.414214f,  2.000000f,  2.414214f, 
     5.464102f,  5.146264f,  4.828427f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  9.706741f,  5.878315f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f, 
     3.464102f,  4.464102f,  6.414214f,  4.732051f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  6.242640f,  6.560478f,  6.878315f,  7.196152f,  7.610366f,  2.732051f,  2.414214f,  2.732051f, 
     4.464102f,  4.146264f,  3.828427f,  4.146264f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  8.071068f,  8.388905f,  8.706742f,  9.024579f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     3.146264f,  4.146264f,  5.146264f,  4.414214f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.974691f,  7.292529f,  7.610366f,  7.928203f,  3.146264f,  2.828427f,  3.146264f, 
     3.464102f,  3.146264f,  2.828427f,  3.146264f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  7.388905f,  7.071068f,  7.388905f,  7.706742f,  8.024579f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f, 
     2.828427f,  3.828427f,  4.828427f,  4.732051f,  4.414214f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  7.706742f,  8.024579f,  8.342417f,  6.414214f,  3.828427f,  4.146264f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  7.292529f,  6.974691f,  6.656854f,  6.974691f,  7.292529f,  7.610366f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     3.146264f,  4.146264f,  5.146264f,  5.146264f,  4.828427f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  9.024579f,  6.414214f,  6.732051f,  7.146264f,  5.146264f, 
     2.828427f,  2.414214f,  2.000000f,  2.414214f,  3.414214f,  3.000000f,  7.610366f,  7.196152f,  6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  7.196152f,  7.610366f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f, 
     3.464102f,  4.464102f,  5.464102f,  6.464102f,  5.242640f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.146264f,  4.146264f,  3.828427f,  4.146264f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  7.292529f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  5.732051f,  5.414214f,  4.464102f,  4.146264f,  3.828427f,  4.146264f, 
     4.464102f,  4.878315f,  5.146264f,  4.732051f,  4.414214f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  5.828427f,  3.146264f,  2.828427f,  3.146264f, 
     3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  6.974691f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  3.414214f,  3.732051f, 
     4.146264f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  5.878315f,  5.560478f,  5.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.732051f,  6.146264f,  2.732051f,  2.414214f,  2.732051f, 
     4.464102f,  4.146264f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  6.656854f,  6.242640f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  5.732051f,  5.414214f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     3.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.464102f,  2.414214f,  2.000000f,  2.414214f, 
     6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.146264f,  5.828427f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     2.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.878315f,  4.464102f,  6.732051f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  2.732051f,  2.414214f,  2.732051f, 
     6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  5.414214f,  4.414214f,  6.242641f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     2.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  5.196152f,  4.878315f,  7.146264f,  6.828427f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  7.292529f,  3.146264f,  2.828427f,  3.146264f, 
     5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     2.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  5.560478f,  5.878315f,  6.196152f,  3.732051f,  7.706742f,  4.146264f,  3.828427f,  4.146264f, 
     6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  7.292529f,  6.974691f,  6.974691f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     3.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  3.828427f,  3.414214f,  3.000000f,  1.414214f,  4.828427f,  5.146264f, 
    11.560477f, 11.242640f, 11.560477f, 11.878315f, 12.196153f, 12.610366f,  7.732051f,  6.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f, 
     5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  7.878315f,  8.878315f,  9.878315f, 10.878315f, 11.878315f, 
    10.560477f, 10.242640f, 10.560477f, 10.878315f, 11.196153f, 11.610366f, 12.024579f,  6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  8.560477f,  9.560477f, 10.560477f, 11.560477f, 
     9.560477f,  9.242640f,  9.560477f,  9.878315f, 10.196153f, 10.610366f, 11.024579f,  6.414214f,  6.828427f,  5.242640f,  4.828427f,  4.414214f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  7.242640f,  8.242640f,  9.242640f, 10.242640f, 11.242640f, 
     8.560477f,  8.242640f,  8.560478f,  8.878315f,  9.196153f,  9.610366f, 10.024579f,  6.732051f,  7.146264f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f, 
     2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  4.146265f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  8.560477f,  9.560477f, 10.560477f, 11.560477f, 
     7.560478f,  7.242640f,  7.560478f,  7.878315f,  8.196153f,  8.610366f,  9.610366f,  7.146264f,  7.464102f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  3.414214f, 
     2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  7.732051f,  3.146264f,  2.828427f, 
     6.560478f,  6.242640f,  6.560478f,  6.878315f,  7.196153f,  8.196153f,  9.196153f, 10.196153f,  7.878315f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  5.560478f,  5.974691f,  6.974691f,  3.732051f, 
     2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  5.828427f,  2.732051f,  2.414214f, 
     5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.878315f,  7.878315f,  8.878315f,  9.878315f,  8.292528f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  6.974691f,  7.388905f,  4.146264f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  4.828427f,  2.414214f,  2.000000f, 
     4.560478f,  4.242640f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  8.560478f,  9.560477f,  3.732051f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  8.388905f,  4.560478f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  4.146264f,  3.828427f,  4.146264f,  2.414214f, 
     4.146264f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  7.242640f,  8.242640f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  4.828427f,  3.828427f, 
     2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f, 
     5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  6.878315f,  6.464102f,  4.242640f,  3.828427f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.974691f,  5.974691f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
     4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  4.828427f,  6.146264f,  5.732051f,  5.414214f,  3.828427f,  2.828427f, 
     2.414214f,  2.000000f,  2.414214f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  5.560478f,  5.242640f,  5.242640f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f, 
     5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  3.414214f,  2.414214f, 
     1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.146264f,  6.732051f,  7.146264f,  7.560478f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
     5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.000000f,  2.000000f, 
     1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.146264f,  8.146264f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f, 
     5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  2.414214f, 
     1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  4.000000f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f, 
     6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.828427f, 
     2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f, 
     9.878315f,  9.464102f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  3.732051f,  3.414214f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  3.828427f, 
     3.414214f,  3.000000f,  3.414214f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.464102f,  5.732051f,  5.414214f,  6.878315f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     8.878315f,  8.464102f,  8.146264f,  7.828427f,  8.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.242640f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  4.828427f, 
     4.414214f,  4.000000f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f, 
     7.878315f,  7.464102f,  7.146264f,  6.828427f,  7.146264f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.560478f,  4.560478f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
     5.414214f,  5.000000f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.732051f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  4.878315f,  4.464102f,  3.732051f,  3.414214f,  3.732051f,  4.146264f, 
     5.878315f,  5.560478f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  3.732051f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  2.828427f,  2.414214f,  2.000000f,  2.414214f, 
     5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  5.196152f,  4.878315f,  4.560478f,  4.414214f,  6.292529f,  5.878315f, 
     5.464102f,  5.146264f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.732051f,  2.414214f,  2.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.828427f,  3.414214f,  3.000000f,  3.414214f, 
     4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.974691f,  5.560478f, 
     5.146264f,  4.732051f,  4.414214f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  4.828427f,  4.414214f,  4.000000f,  4.414214f, 
     4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  2.732051f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  5.242640f, 
     4.828427f,  4.414214f,  4.000000f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  5.414214f,  5.000000f,  5.414214f, 
     4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  2.414214f,  2.000000f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f, 
     5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.414214f,  5.000000f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  6.414214f,  6.000000f,  6.414214f, 
     3.828427f,  2.828427f,  2.414214f,  2.000000f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  5.414214f,  5.732051f,  6.146264f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f, 
     5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  7.000000f,  7.414214f, 
     9.878315f,  9.560477f,  9.242640f,  2.414214f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  6.732051f,  7.146264f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f, 
     4.414214f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  4.242640f,  4.560478f, 
     8.878315f,  8.560477f,  8.242640f,  6.000000f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.000000f,  5.414214f,  7.464102f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f, 
     4.732051f,  5.974691f,  5.656854f,  5.974691f,  6.292529f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  6.656854f,  3.828427f,  4.146264f, 
     7.878315f,  7.560478f,  7.242640f,  6.414214f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  7.878315f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f, 
     5.146264f,  5.560478f,  4.878315f,  4.560478f,  4.242640f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  3.414214f,  3.732051f, 
     6.878315f,  6.560478f,  6.242640f,  6.560478f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  3.414214f,  3.732051f, 
     4.146264f,  4.560478f,  4.464102f,  4.146264f,  3.828427f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  3.000000f,  3.414214f, 
     5.878315f,  5.560478f,  5.242640f,  5.560478f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  8.656854f,  8.974691f,  9.292528f,  5.560478f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     3.146264f,  4.146264f,  4.146264f,  3.732051f,  3.414214f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  6.146264f,  3.414214f,  3.732051f, 
     4.878315f,  4.560478f,  4.242640f,  4.560478f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  8.292528f,  7.974691f,  7.656854f,  7.974691f,  8.292528f,  8.610366f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     2.732051f,  3.732051f,  3.828427f,  3.414214f,  3.000000f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.656854f,  5.974691f,  6.292529f,  6.610366f,  6.928203f,  5.732051f,  3.828427f,  4.146264f, 
     4.464102f,  4.146264f,  3.828427f,  4.146264f,  1.732051f,  1.414214f,  1.732051f,  7.610366f,  7.292529f,  6.974691f,  6.656854f,  6.974691f,  7.292529f,  7.610366f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     2.414214f,  3.414214f,  4.414214f,  3.732051f,  3.414214f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  6.974691f,  7.292529f,  7.610366f,  5.000000f,  5.414214f,  5.828427f,  2.828427f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  2.732051f,  2.414214f,  6.928203f,  6.610366f,  6.292529f,  5.974691f,  5.656854f,  5.974691f,  6.292529f,  6.610366f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     2.732051f,  3.732051f,  4.732051f,  4.146264f,  3.828427f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  8.292528f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f, 
     3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.732051f,  7.610366f,  6.610366f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     3.146264f,  4.146264f,  5.828427f,  5.414214f,  4.242640f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  6.878315f,  6.560478f,  6.242640f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  5.828427f,  6.146264f,  6.464102f,  6.878315f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.732051f,  7.292529f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  4.732051f,  4.414214f,  4.732051f,  3.732051f,  3.414214f,  3.732051f, 
     4.146264f,  4.560478f,  4.828427f,  4.414214f,  4.000000f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  5.560478f,  5.974691f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     4.464102f,  4.146264f,  3.828427f,  5.878315f,  5.560478f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  3.414214f, 
     3.828427f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  5.464102f,  5.146264f,  4.828427f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  5.242640f,  5.656854f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     7.196152f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  4.732051f,  4.414214f,  4.732051f,  2.414214f,  2.000000f,  2.414214f, 
     2.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  6.146264f,  5.828427f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  5.560478f,  5.974691f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.146264f,  4.828427f,  5.146264f,  1.414214f,  1.000000f,  1.414214f, 
     2.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  6.828427f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.292529f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.000000f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f, 
     2.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  2.732051f,  2.414214f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  6.610366f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     2.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  1.732051f,  1.414214f,  1.732051f,  6.242640f,  6.560478f,  6.878315f,  3.146264f,  2.732051f,  2.414214f,  3.732051f,  3.414214f,  3.732051f, 
     6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.974691f,  5.656854f,  5.974691f,  6.828427f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f, 
     2.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  6.656854f,  6.974691f,  7.292529f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  4.414214f,  4.732051f, 
    11.146264f, 10.828426f, 11.146264f, 11.464102f, 11.878315f,  8.414213f,  7.414214f,  6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f, 
     4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  8.292528f,  9.292528f, 10.292528f, 11.292528f, 12.292528f, 
    10.146264f,  9.828426f, 10.146264f, 10.464102f, 10.878315f,  8.000000f,  7.000000f,  6.000000f,  5.000000f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.000000f,  6.000000f, 
     3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  7.974691f,  8.974691f,  9.974690f, 10.974690f, 11.974690f, 
     9.146264f,  8.828427f,  9.146264f,  9.464102f,  9.878315f, 10.292528f, 10.706742f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f, 
     2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  6.656854f,  7.656854f,  8.656854f,  9.656854f, 10.656854f, 11.656854f, 
     8.146264f,  7.828427f,  8.146264f,  8.464102f,  8.878315f,  9.292529f,  9.706742f,  7.732051f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f, 
     2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  5.560478f,  5.974691f,  6.974691f,  7.974691f,  8.974691f,  9.974690f, 10.974690f,  4.242640f, 
     7.146264f,  6.828427f,  7.146265f,  7.464102f,  7.878315f,  8.292529f,  9.292529f,  8.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  3.000000f, 
     2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  7.414214f,  4.146264f,  3.828427f, 
     6.146264f,  5.828427f,  6.146265f,  6.464102f,  6.878315f,  7.878315f,  8.878315f,  9.878315f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  4.828427f,  5.242640f,  5.656854f,  6.656854f,  3.414214f, 
     2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.000000f,  6.000000f,  5.414214f,  3.732051f,  3.414214f, 
     5.146264f,  4.828427f,  5.146265f,  5.464102f,  6.464102f,  7.464102f,  8.464102f,  9.464102f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  6.242640f,  6.656854f,  7.071068f,  3.828427f, 
     2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  4.414214f,  3.414214f,  3.000000f, 
     4.146264f,  3.828427f,  4.146265f,  5.146265f,  6.146265f,  7.146265f,  8.146264f,  9.146264f,  3.414214f,  3.000000f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  7.656854f,  8.071068f,  3.732051f, 
     2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  3.732051f,  3.414214f,  3.732051f,  3.414214f, 
     3.146264f,  2.828427f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  4.414214f,  3.414214f, 
     2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
     4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  7.146264f,  6.828427f,  4.732051f,  3.732051f, 
     2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.560478f,  5.242640f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f, 
     4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.146264f,  6.464102f,  6.146264f,  5.828427f,  4.146264f,  3.146264f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f, 
     4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  3.732051f,  2.732051f, 
     1.732051f,  1.414214f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  6.414214f,  6.828427f,  7.242640f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f, 
     5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  5.974691f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  3.414214f,  2.414214f, 
     1.414214f,  1.000000f,  1.414214f,  2.414214f,  5.146264f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.414214f,  5.732051f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
     4.146265f,  4.414214f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  5.242640f,  5.656854f,  4.878315f,  3.464102f,  3.146264f,  2.828427f,  3.732051f,  2.732051f, 
     1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.000000f,  5.414214f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f, 
     5.146265f,  4.828427f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  5.146264f,  5.560478f,  5.464102f,  4.464102f,  3.464102f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
     2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.414214f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  2.732051f, 
     9.560477f,  9.146264f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  3.828427f,  3.414214f,  3.000000f,  5.000000f,  5.146264f,  5.464102f,  5.878315f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.000000f,  2.414214f,  4.146264f, 
     3.732051f,  3.414214f,  3.732051f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.464102f,  4.878315f,  5.414214f,  5.000000f,  6.560478f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     8.560477f,  8.146264f,  7.732051f,  7.414214f,  7.732051f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  6.196152f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.732051f,  5.146264f, 
     4.732051f,  4.414214f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     7.560478f,  7.146264f,  6.732051f,  6.414214f,  6.732051f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.464102f, 
     5.732051f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  7.196152f,  6.196152f,  5.196152f, 
     4.878315f,  4.560478f,  4.242640f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  4.878315f,  4.464102f,  4.146264f,  6.878315f,  5.878315f,  4.878315f, 
     4.464102f,  4.146264f,  3.828427f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  2.828427f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  4.146264f,  3.732051f,  3.414214f,  3.732051f, 
     4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  5.560478f,  4.560478f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  3.732051f,  3.414214f,  3.146264f,  2.732051f,  2.414214f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.732051f,  4.414214f,  4.732051f, 
     4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f, 
     3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.732051f,  4.414214f,  2.828427f,  2.414214f,  2.000000f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  5.732051f,  5.414214f,  5.732051f, 
     3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  3.414214f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  6.146264f,  6.560478f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  4.560478f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.414214f,  3.146264f,  2.732051f,  2.414214f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  6.414214f,  6.732051f, 
     3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  3.732051f,  3.414214f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f, 
     4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  6.414214f,  3.464102f,  3.146264f,  2.828427f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  7.414214f,  7.732051f, 
    10.292528f,  9.974690f,  1.732051f,  1.414214f,  1.732051f,  4.146264f,  3.828427f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f, 
     4.000000f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  6.656854f,  5.560478f, 
     9.292528f,  8.974691f,  8.656854f,  2.414214f,  2.732051f,  4.560478f,  4.242640f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f, 
     4.414214f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.560478f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  4.828427f,  5.146264f, 
     8.292528f,  7.974691f,  7.656854f,  7.974691f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  6.242640f,  6.560478f,  6.878315f,  7.196152f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f, 
     4.828427f,  5.242640f,  4.464102f,  4.146264f,  3.828427f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  4.414214f,  4.732051f, 
     7.292529f,  6.974691f,  6.656854f,  6.974691f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  6.974691f,  7.292529f,  7.610366f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.000000f,  3.414214f, 
     3.828427f,  4.242640f,  3.464102f,  3.146264f,  2.828427f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  5.878315f,  1.414214f, 
     6.292529f,  5.974691f,  5.656854f,  5.974691f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  8.878315f,  8.560477f,  8.242640f,  8.560477f,  8.878315f,  5.242640f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f, 
     2.828427f,  3.828427f,  3.146264f,  2.732051f,  2.414214f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  5.146264f,  5.464102f,  1.000000f, 
     5.878315f,  5.560478f,  5.242640f,  5.560478f,  2.414214f,  2.000000f,  8.610366f,  8.196152f,  7.878315f,  7.560478f,  7.242640f,  7.560478f,  7.878315f,  8.196152f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     2.414214f,  3.414214f,  2.828427f,  2.414214f,  2.000000f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  4.414214f,  4.732051f,  5.146264f,  1.414214f, 
     5.464102f,  5.146264f,  4.828427f,  5.146264f,  2.732051f,  8.024579f,  7.610366f,  7.196152f,  6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  7.196152f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f, 
     2.000000f,  3.000000f,  4.000000f,  2.732051f,  2.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  6.242640f,  6.560478f,  6.878315f,  7.196152f,  4.000000f,  4.414214f,  4.828427f,  5.242640f, 
     5.146264f,  4.732051f,  4.414214f,  4.732051f,  3.146264f,  7.610366f,  6.610366f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  4.560478f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     2.414214f,  3.414214f,  4.414214f,  3.146264f,  2.828427f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  7.560478f,  7.878315f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f, 
     4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.146264f,  7.196152f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  4.146264f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f, 
     2.828427f,  3.828427f,  4.828427f,  5.828427f,  3.828427f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196153f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f, 
     5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  3.000000f,  3.414214f, 
     3.828427f,  5.560478f,  5.146264f,  4.732051f,  4.828427f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  5.242640f,  2.414214f,  2.000000f,  2.414214f, 
     7.928203f,  6.928203f,  6.610366f,  6.292529f,  5.974691f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f, 
     4.828427f,  4.560478f,  4.146264f,  3.732051f,  5.828427f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     7.610366f,  6.610366f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  2.414214f,  2.732051f, 
     3.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  6.146264f,  5.732051f,  5.414214f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  2.000000f,  1.000000f,  0.000000f,  1.000000f, 
     7.292529f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  4.146264f,  3.828427f,  4.146264f,  1.732051f,  1.414214f,  1.732051f, 
     2.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  4.560478f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     2.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  2.414214f,  2.000000f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  2.828427f,  2.414214f,  2.000000f,  2.414214f, 
     7.610366f,  7.292529f,  6.974691f,  6.656854f,  6.974691f,  7.292529f,  7.610366f,  4.828427f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     2.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  1.732051f,  1.414214f,  3.414214f,  3.000000f,  3.414214f, 
     8.024579f,  7.706742f,  7.388905f,  7.071068f,  7.388905f,  7.706742f,  1.414214f,  1.000000f,  5.560478f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.146265f,  5.146265f,  4.146265f,  5.242640f,  4.242640f,  3.828427f,  2.732051f, 
     3.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  5.656854f,  5.974691f,  6.292529f,  6.610366f,  1.414214f,  1.000000f,  1.414214f,  4.000000f,  4.414214f, 
    10.732051f, 10.414213f, 10.732051f, 11.146264f,  9.732051f,  8.732051f,  7.732051f,  6.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f, 
     5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  7.706742f,  8.706742f,  9.706741f, 10.706741f, 11.706741f, 12.706741f, 
     9.732051f,  9.414213f,  9.732051f, 10.146264f, 10.560477f, 10.974690f,  7.414214f,  6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.146264f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  7.388905f,  8.388905f,  9.388905f, 10.388905f, 11.388904f, 12.388904f, 
     8.732051f,  8.414213f,  8.732051f,  9.146264f,  9.560477f,  9.974691f, 10.388905f,  7.292529f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  6.242640f,  6.656854f,  7.071068f,  8.071068f,  9.071068f, 10.071067f, 11.071067f, 12.071067f, 
     7.732051f,  7.414214f,  7.732051f,  8.146264f,  8.560478f,  8.974691f,  9.388906f,  8.732051f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  3.732051f, 
     2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  7.388905f,  8.388905f,  9.388905f, 10.388905f,  7.071068f,  5.242640f, 
     6.732051f,  6.414214f,  6.732051f,  7.146265f,  7.560478f,  7.974692f,  8.974691f,  9.146264f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  3.414214f, 
     2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  7.732051f,  5.146264f,  4.828427f, 
     5.732051f,  5.414214f,  5.732051f,  6.146265f,  6.560478f,  7.560478f,  8.560478f,  9.560477f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  3.732051f, 
     2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  5.000000f,  4.732051f,  4.414214f, 
     4.732051f,  4.414214f,  4.732051f,  5.146265f,  6.146265f,  7.146265f,  8.146264f,  5.146264f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  6.146264f,  6.560478f,  6.974691f,  7.388905f,  4.146264f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146265f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  4.000000f,  4.414214f,  4.000000f, 
     3.732051f,  3.414214f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  7.732051f,  4.146264f,  3.732051f,  3.414214f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  7.560478f,  7.974691f,  4.414214f,  3.414214f, 
     2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.828427f,  4.878315f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  3.414214f,  3.000000f,  3.414214f,  4.414214f, 
     2.732051f,  2.414214f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  5.000000f,  4.000000f,  3.000000f, 
     2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  6.146264f,  4.560478f,  4.146264f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  2.414214f,  2.000000f,  2.414214f,  2.828427f, 
     1.732051f,  1.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  5.414214f,  4.414214f,  3.414214f, 
     2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.146264f,  4.828427f,  4.464102f,  4.146264f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f, 
     4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.464102f,  7.146264f,  6.560478f,  5.464102f,  4.464102f,  3.828427f, 
     2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.560478f,  5.560478f,  5.242640f,  6.560478f,  6.974691f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f, 
     4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  5.878315f,  6.878315f,  6.146264f,  5.732051f,  5.146264f,  4.146264f,  3.146264f, 
     2.732051f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  5.146264f,  4.828427f,  5.146264f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f, 
     2.732051f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.560478f,  5.560478f,  5.560478f,  5.146264f,  4.732051f,  4.242640f,  3.828427f,  2.828427f, 
     2.414214f,  2.000000f,  2.414214f,  4.414214f,  4.828427f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.414214f,  4.732051f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f, 
     3.732051f,  3.414214f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  3.828427f,  4.242640f,  5.242640f,  4.560478f,  4.146264f,  3.732051f,  3.828427f,  4.146264f,  3.146264f, 
     2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.000000f,  4.414214f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f, 
     4.732051f,  4.414214f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.146264f,  4.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.464102f, 
     3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.414214f,  4.732051f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  3.146264f, 
     5.732051f,  5.414214f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  4.146264f,  3.732051f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  4.464102f, 
     4.146264f,  3.828427f,  4.146264f,  4.464102f,  3.464102f,  3.146264f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  4.828427f,  5.414214f,  6.242640f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     6.732051f,  6.414214f,  7.414214f,  7.000000f,  7.414214f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.196152f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f, 
     5.146264f,  4.828427f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.464102f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f, 
     7.732051f,  7.414214f,  6.414214f,  6.000000f,  6.414214f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  6.196152f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f, 
     5.464102f,  5.146264f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     8.732051f,  8.414213f,  5.414214f,  5.000000f,  5.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  6.878315f,  5.878315f,  4.878315f, 
     4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  3.464102f,  3.146264f,  2.828427f,  3.146264f, 
     9.732051f,  9.414213f,  4.414214f,  4.000000f,  4.414214f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  6.464102f,  5.464102f,  4.464102f, 
     3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.146264f,  3.828427f,  4.146264f, 
     4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  6.146264f,  5.146264f,  4.146264f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  3.828427f,  4.146264f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  5.146264f,  4.828427f,  5.146264f, 
     3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  5.878315f,  6.292529f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.828427f,  3.828427f, 
     2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  3.828427f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.828427f,  6.146264f, 
     3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  4.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.828427f,  7.146264f, 
     3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  6.146264f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f, 
     3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  4.464102f,  4.146264f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  8.146264f, 
     3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f, 
     4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  4.878315f,  4.560478f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  9.146264f, 
     9.706741f,  9.388905f,  9.071068f,  2.000000f,  2.414214f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f, 
     4.732051f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  4.732051f,  5.828427f,  5.414214f,  5.000000f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f,  3.000000f, 
     8.706742f,  8.388905f,  8.071068f,  8.388905f,  4.560478f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f, 
     5.146264f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.828427f,  4.414214f,  4.000000f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  2.000000f, 
     7.706742f,  7.388905f,  7.071068f,  7.388905f,  4.146264f,  3.828427f,  6.292529f,  5.974691f,  5.656854f,  5.974691f,  6.292529f,  6.610366f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  3.414214f,  3.732051f, 
     4.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  4.878315f,  1.000000f, 
     7.292529f,  6.974691f,  6.656854f,  6.974691f,  3.732051f,  3.414214f,  9.292528f,  8.878315f,  8.464102f,  8.146264f,  7.828427f,  8.146264f,  8.464102f,  5.560478f,  5.146264f,  4.732051f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     3.146264f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  4.146264f,  4.464102f,  0.000000f, 
     6.878315f,  6.560478f,  6.242640f,  6.560478f,  3.414214f,  8.706742f,  8.292528f,  7.878315f,  7.464102f,  7.146264f,  6.828427f,  7.146264f,  7.464102f,  7.878315f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     2.732051f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f, 
     6.464102f,  6.146264f,  5.828427f,  6.146264f,  3.732051f,  7.706742f,  7.292529f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     2.414214f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  5.828427f,  6.146264f,  6.464102f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f, 
     6.146264f,  5.732051f,  5.414214f,  5.732051f,  4.146264f,  7.292529f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  4.146264f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     2.732051f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  7.146264f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f, 
     5.828427f,  5.414214f,  5.000000f,  5.414214f,  4.560478f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  3.146264f,  2.828427f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     3.146264f,  4.146264f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  2.828427f,  2.414214f,  2.000000f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f, 
     6.146264f,  7.878315f,  6.878315f,  5.878315f,  5.560478f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f, 
     4.146264f,  4.560478f,  5.560478f,  4.732051f,  4.414214f,  4.732051f,  3.828427f,  3.414214f,  3.000000f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  2.414214f,  2.732051f, 
     8.342417f,  7.928203f,  7.610366f,  7.292529f,  6.974691f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f, 
     5.828427f,  4.878315f,  5.878315f,  5.732051f,  5.414214f,  5.732051f,  4.828427f,  4.414214f,  4.000000f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     8.024579f,  7.610366f,  7.196152f,  7.828427f,  6.828427f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  3.146264f, 
     3.464102f,  4.464102f,  5.464102f,  3.146264f,  2.828427f,  3.146264f,  5.828427f,  5.414214f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  3.146264f,  2.828427f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     3.146264f,  4.146264f,  5.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  4.146264f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f, 
     2.828427f,  3.828427f,  4.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.146264f,  2.732051f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     6.610366f,  6.292529f,  5.974691f,  5.656854f,  5.974691f,  6.292529f,  6.610366f,  6.928203f,  1.414214f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     3.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  1.414214f,  1.000000f,  3.732051f,  3.414214f,  3.732051f, 
     7.610366f,  7.292529f,  6.974691f,  6.656854f,  6.974691f,  7.292529f,  7.610366f,  0.000000f,  1.000000f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.146264f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f, 
     2.000000f,  2.414214f,  2.828427f,  3.146264f,  2.828427f,  3.146264f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  5.560478f,  5.878315f,  6.196152f,  1.000000f,  0.000000f,  1.000000f,  4.414214f,  4.732051f, 
    10.414213f, 10.000000f, 10.414213f, 10.828426f, 11.242640f, 11.656854f,  8.146264f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f, 
     5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  7.196152f,  7.464102f,  7.878315f,  8.292528f,  8.706742f,  9.120955f, 10.120955f, 11.120955f, 12.120955f, 13.120955f, 
     9.414213f,  9.000000f,  9.414213f,  9.828426f, 10.242640f, 10.656854f,  7.828427f,  6.828427f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f, 
     4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  5.828427f,  6.146264f,  6.464102f,  4.828427f,  7.146264f,  7.560478f,  7.974691f,  8.388905f,  8.803119f,  9.803118f, 10.803118f, 11.803118f, 12.803117f, 
     8.414213f,  8.000000f,  8.414213f,  8.828427f,  9.242640f,  9.656854f, 10.071068f,  7.610366f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  4.464102f, 
     3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  5.414214f,  5.732051f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  7.656854f,  8.071068f,  8.485281f,  9.485281f, 10.485281f, 11.485280f,  7.974691f, 
     7.414214f,  7.000000f,  7.414214f,  7.828427f,  8.242640f,  8.656855f,  9.071068f,  7.196152f,  6.196152f,  5.196152f,  4.878315f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  4.146264f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.414214f,  5.828427f,  6.146265f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  9.803118f,  6.974691f,  6.656854f,  6.974691f, 
     6.414214f,  6.000000f,  6.414214f,  6.828427f,  7.242641f,  7.656855f,  8.656855f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  3.828427f, 
     2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  5.732051f,  7.878315f,  7.464102f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  5.974691f,  5.656854f,  5.974691f, 
     5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242641f,  7.242641f,  8.242640f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  4.146264f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.828427f,  7.146264f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f,  5.560478f,  5.242640f,  5.560478f, 
     4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.828427f,  6.828427f,  7.828427f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  7.706742f,  4.464102f, 
     3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  5.146265f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  5.146264f,  4.828427f,  5.146264f, 
     3.414214f,  3.000000f,  3.414214f,  4.414214f,  3.414214f,  3.732051f,  4.146264f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  7.464102f,  7.878315f,  8.292528f,  4.732051f,  3.732051f, 
     2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  4.828427f,  4.414214f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  7.464102f,  3.414214f,  4.414214f,  4.732051f, 
     2.414214f,  2.000000f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  8.878315f,  5.414214f,  4.414214f,  3.414214f, 
     2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.732051f,  4.146264f,  3.146264f,  2.732051f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  2.732051f,  2.414214f,  2.732051f,  4.414214f, 
     1.414214f,  1.000000f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  5.878315f,  6.292529f,  4.878315f,  8.414213f,  8.732051f,  5.732051f,  4.732051f,  3.732051f, 
     2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  5.146264f,  4.732051f,  4.414214f,  3.464102f,  3.146264f,  2.828427f,  5.464102f,  5.878315f,  6.292529f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f, 
     1.000000f,  0.000000f,  1.000000f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  6.828427f,  8.414213f,  6.146264f,  5.146264f,  4.146264f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.878315f,  4.560478f,  4.242640f,  6.878315f,  7.292529f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f, 
     1.414214f,  1.000000f,  1.414214f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  5.828427f,  5.414214f,  5.000000f,  4.560478f,  4.560478f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  5.828427f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  3.828427f,  4.146264f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f, 
     2.414214f,  2.000000f,  2.414214f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  3.828427f, 
     3.414214f,  4.732051f,  4.414214f,  4.732051f,  5.414214f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
     3.414214f,  3.000000f,  3.414214f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  4.146264f, 
     3.732051f,  3.414214f,  3.732051f,  5.414214f,  5.000000f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f, 
     4.414214f,  4.000000f,  5.146265f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f, 
     4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  5.146264f,  4.732051f,  4.414214f,  3.828427f,  4.146264f, 
     5.414214f,  5.000000f,  6.146265f,  5.732051f,  5.414214f,  5.732051f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f, 
     4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  3.828427f,  5.828427f,  6.146264f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f, 
     6.414214f,  6.000000f,  6.414214f,  7.414214f,  6.560478f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  4.146264f,  4.464102f,  4.878315f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f, 
     3.000000f,  5.732051f,  5.414214f,  5.878315f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f, 
     7.414214f,  7.000000f,  7.414214f,  6.414214f,  6.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.878315f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  6.974691f,  5.974691f,  5.560478f, 
     5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  3.414214f,  3.000000f,  3.414214f,  4.414214f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.146264f,  3.732051f,  3.414214f,  3.732051f, 
     8.414213f,  8.000000f,  8.414213f,  5.414214f,  5.732051f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  4.828427f,  3.828427f,  2.828427f,  7.560478f,  6.560478f,  5.560478f,  4.560478f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  3.414214f,  3.732051f,  4.146264f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  4.146264f,  3.828427f,  4.146264f, 
     9.414213f,  9.000000f,  9.414213f,  4.414214f,  4.732051f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.242640f,  4.242640f,  3.828427f,  7.146264f,  6.146264f,  5.146264f,  4.146264f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  4.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.560478f,  4.242640f,  4.560478f, 
    10.414213f, 10.000000f, 10.414213f,  3.414214f,  3.732051f,  4.464102f,  4.878315f,  4.560478f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  6.196153f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.732051f,  4.732051f,  3.732051f, 
     2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  5.560478f,  5.242640f,  5.560478f, 
    11.414213f, 11.000000f, 11.414213f,  2.414214f,  2.732051f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.414214f,  3.414214f, 
     2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.242640f,  6.560478f, 
    12.414213f, 12.000000f, 12.414213f,  1.414214f,  1.732051f,  5.878315f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  3.732051f, 
     2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  7.242640f,  7.560478f, 
    13.414213f, 13.000000f, 13.414213f,  1.000000f,  1.414214f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.464102f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  8.560477f, 
    14.414213f, 14.000000f, 14.414213f,  1.414214f,  1.732051f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  5.878315f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  9.560477f, 
    10.120955f,  9.803118f,  9.485281f,  2.414214f,  2.732051f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f, 
     5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  4.414214f,  6.146264f,  5.732051f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  3.414214f, 
     9.120955f,  8.803119f,  8.485281f,  8.803119f,  3.732051f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f, 
     5.464102f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  5.146264f,  4.732051f,  4.414214f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  5.464102f,  2.414214f, 
     8.706742f,  8.388905f,  8.071068f,  8.388905f,  5.146264f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  3.828427f,  4.146264f, 
     4.464102f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  4.146264f,  3.732051f,  3.414214f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  4.146264f,  4.464102f,  1.414214f, 
     8.292528f,  7.974691f,  7.656854f,  7.974691f,  4.732051f,  9.388905f,  8.974691f,  8.560477f,  8.146264f,  7.732051f,  7.414214f,  7.732051f,  8.146264f,  5.878315f,  5.464102f,  5.146264f,  3.464102f,  3.146264f,  2.828427f,  3.146264f, 
     3.464102f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f, 
     7.878315f,  7.560478f,  7.242640f,  7.560478f,  4.414214f,  8.388905f,  7.974691f,  7.560478f,  7.146264f,  6.732051f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     3.146264f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  4.732051f,  4.414214f,  4.732051f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f, 
     7.464102f,  7.146264f,  6.828427f,  7.146264f,  4.732051f,  7.388905f,  6.974691f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  4.732051f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f, 
     2.828427f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  5.414214f,  5.732051f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f, 
     7.146264f,  6.732051f,  6.414214f,  6.732051f,  5.146264f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  3.732051f,  3.414214f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     3.146264f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f, 
     8.878315f,  7.878315f,  6.878315f,  5.878315f,  5.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  2.828427f,  3.146264f, 
     3.464102f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.146264f,  2.732051f,  2.414214f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f, 
     4.560478f,  4.146264f,  3.732051f,  6.292529f,  5.974691f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f, 
     5.732051f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.146264f,  3.732051f,  3.414214f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f, 
     4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f, 
     5.414214f,  5.196152f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.146264f,  4.732051f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  5.146264f,  2.414214f,  2.732051f, 
     4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f, 
     4.464102f,  4.878315f,  5.878315f,  6.414214f,  6.000000f,  6.414214f,  6.146264f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  2.414214f,  2.000000f,  2.414214f, 
     4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  3.414214f,  3.732051f, 
     4.146264f,  4.560478f,  5.560478f,  3.732051f,  3.414214f,  3.732051f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  3.732051f,  3.414214f,  3.828427f,  3.414214f,  3.000000f,  3.414214f, 
     3.828427f,  4.242640f,  5.242640f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f, 
     6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  7.610366f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  4.732051f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  1.732051f, 
     1.414214f,  1.732051f,  2.732051f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  1.414214f,  4.146264f,  3.828427f,  4.146264f, 
     7.196152f,  6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  7.196152f,  1.000000f,  1.414214f,  2.414214f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f, 
     1.000000f,  1.414214f,  2.414214f,  3.414214f,  3.828427f,  4.146264f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  5.146264f,  5.464102f,  5.878315f,  1.414214f,  1.000000f,  1.414214f,  4.828427f,  5.146264f, 
    10.732051f, 10.414213f, 10.732051f, 11.146264f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f, 
     5.878315f,  5.560478f,  5.242640f,  6.610366f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  7.610366f,  9.292528f,  9.706741f, 10.120955f, 10.535169f, 11.535169f, 12.535168f, 13.535168f, 
     9.732051f,  9.414213f,  9.732051f, 10.146264f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  5.196152f, 
     4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  5.560478f,  5.878315f,  8.974691f,  9.388905f,  9.803118f, 10.217332f, 11.217331f, 12.217331f, 13.217331f, 
     8.732051f,  8.414213f,  8.732051f,  9.146264f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  4.878315f, 
     4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.732051f,  5.414214f,  4.878315f,  5.196152f,  6.196152f,  9.485281f,  9.899494f, 10.899494f,  7.242640f,  7.560478f, 
     7.732051f,  7.414214f,  7.732051f,  8.146264f,  8.560478f,  5.560478f,  5.146264f,  4.732051f,  6.610366f,  6.196152f,  5.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  4.560478f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  4.414214f,  7.196153f,  6.878315f,  6.560478f,  4.732051f,  4.414214f,  4.732051f,  4.878315f,  5.878315f,  6.878315f,  7.878315f,  6.560478f,  6.242640f,  6.560478f, 
     6.732051f,  6.414214f,  6.732051f,  7.146265f,  7.560478f,  7.974692f,  8.292528f,  7.292529f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  7.196152f,  4.242640f, 
     3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  4.732051f,  6.878315f,  6.464102f,  6.146264f,  3.732051f,  3.414214f,  3.732051f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  5.560478f,  5.242640f,  5.560478f, 
     5.732051f,  5.414214f,  5.732051f,  6.146265f,  6.560478f,  7.560478f,  7.974691f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  7.610366f,  4.560478f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  4.828427f,  6.146264f,  5.732051f,  2.732051f,  2.414214f,  2.732051f,  4.242640f,  5.242640f,  6.242640f,  7.242640f,  4.560478f,  4.242640f,  4.560478f, 
     4.732051f,  4.414214f,  4.732051f,  5.146265f,  6.146265f,  7.146265f,  6.196153f,  5.878315f,  5.560478f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  6.560478f,  6.878315f,  7.196152f,  7.610366f,  8.024579f,  4.878315f, 
     4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.732051f,  4.732051f,  5.828427f,  5.414214f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  5.560478f,  6.560478f,  7.560478f,  4.146264f,  3.828427f,  4.146264f, 
     3.732051f,  3.414214f,  3.732051f,  4.732051f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  7.878315f,  8.196152f,  8.610366f,  5.146264f,  4.146264f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  4.414214f,  3.414214f,  4.146264f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  6.878315f,  7.878315f,  3.732051f,  3.414214f,  3.732051f, 
     2.732051f,  2.414214f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.828427f,  5.146264f,  8.146264f,  7.828427f,  8.146264f,  8.464102f,  4.828427f,  3.828427f, 
     2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  5.828427f,  5.414214f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  6.146264f,  6.464102f,  7.196153f,  3.146264f,  3.414214f,  3.000000f,  3.414214f, 
     1.732051f,  1.414214f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  3.732051f,  3.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  7.732051f,  7.414214f,  7.732051f,  8.146264f,  5.146264f,  4.146264f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  5.974691f,  4.828427f,  4.414214f,  4.000000f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  5.146264f,  5.464102f,  3.146264f,  2.732051f,  2.414214f,  3.414214f,  3.732051f, 
     1.414214f,  1.000000f,  1.414214f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  3.414214f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.000000f,  7.414214f,  7.828427f,  5.464102f,  4.464102f, 
     3.464102f,  3.146264f,  2.828427f,  3.146264f,  5.242640f,  5.560478f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  7.610366f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  4.146264f, 
     1.732051f,  1.414214f,  1.732051f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.414214f,  7.732051f,  8.146264f,  8.560477f,  4.878315f, 
     4.464102f,  4.146264f,  3.828427f,  5.146264f,  4.828427f,  5.146264f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.146264f,  2.828427f,  3.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
     2.732051f,  2.414214f,  2.732051f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  4.828427f, 
     5.464102f,  5.146264f,  5.146264f,  4.732051f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  3.146264f,  2.828427f,  3.146264f,  3.464102f, 
     3.732051f,  3.414214f,  3.732051f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f, 
     4.732051f,  4.414214f,  4.828427f,  4.414214f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.146264f,  3.828427f,  4.146264f,  4.464102f, 
     4.732051f,  4.414214f,  4.732051f,  5.146264f,  4.828427f,  5.146264f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
     5.146264f,  4.828427f,  5.146264f,  4.732051f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  4.828427f,  4.828427f,  5.146264f, 
     5.732051f,  5.414214f,  5.732051f,  6.146264f,  5.974691f,  6.292529f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f, 
     3.732051f,  5.242640f,  5.560478f,  5.146264f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  2.828427f,  6.242640f,  6.560478f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f, 
     6.732051f,  6.414214f,  6.732051f,  7.828427f,  5.560478f,  4.878315f,  4.464102f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  7.071068f,  6.656854f,  6.242640f, 
     5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  4.828427f,  4.414214f,  4.000000f,  4.414214f, 
     7.732051f,  7.414214f,  7.732051f,  6.828427f,  5.146264f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.732051f,  5.146264f,  5.560478f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  6.656854f,  5.656854f,  5.242640f, 
     4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.146264f,  4.732051f,  4.414214f,  4.732051f, 
     8.732051f,  8.414213f,  8.732051f,  5.828427f,  4.732051f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  6.146264f,  6.560478f,  5.146264f,  4.146264f,  3.146264f,  7.242640f,  6.242640f,  5.242640f,  4.242640f, 
     3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  5.414214f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.146264f,  4.828427f,  5.146264f, 
     9.732051f,  9.414213f,  9.732051f,  4.828427f,  5.146264f,  5.878315f,  5.464102f,  5.146264f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  6.292529f,  5.560478f,  4.560478f,  4.146264f,  6.828427f,  5.828427f,  4.828427f,  3.828427f, 
     2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  5.242640f,  5.560478f, 
    10.732051f, 10.414213f, 10.732051f,  3.828427f,  4.146264f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.414214f,  4.414214f,  3.414214f, 
     2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  5.656854f,  5.974691f, 
    11.732051f, 11.414213f, 11.732051f,  2.828427f,  3.146264f,  5.878315f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  5.000000f,  4.000000f,  3.000000f, 
     2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.000000f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.656854f,  6.974691f, 
    12.732051f, 12.414213f, 12.732051f,  2.414214f,  2.732051f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.414214f,  3.414214f, 
     2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  7.974691f, 
    13.732051f, 13.414213f, 13.732051f,  2.000000f,  2.414214f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  3.828427f, 
     2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  8.196152f,  7.196152f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  7.196152f,  7.878315f, 
    14.732051f, 14.414213f, 14.732051f,  2.414214f,  2.732051f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f, 
     3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  7.414214f, 
    15.732051f, 15.414213f, 15.732051f,  2.828427f,  3.146264f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f, 
     5.560478f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  4.732051f,  6.464102f,  6.146264f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.000000f,  6.000000f,  6.560478f, 
    16.732052f, 16.414213f, 16.732052f,  3.828427f,  4.146264f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f, 
     5.878315f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  5.464102f,  5.146264f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  5.146264f,  5.560478f, 
     9.706741f,  9.388905f,  9.071068f,  4.828427f,  5.146264f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.242640f,  4.560478f, 
     4.878315f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  4.464102f,  4.146264f,  3.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  3.414214f,  3.732051f,  4.146264f,  4.560478f, 
     8.242641f,  7.242641f,  6.242641f,  5.828427f,  5.732051f,  6.878315f,  6.464102f,  6.146264f,  7.828427f,  7.414214f,  6.464102f,  6.878315f,  7.292529f,  7.706742f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  3.828427f,  4.146264f, 
     4.464102f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.828427f,  3.414214f,  3.000000f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f, 
     8.656855f,  7.656855f,  7.242641f,  6.828427f,  5.414214f,  8.071068f,  7.656854f,  7.242640f,  6.828427f,  6.414214f,  6.000000f,  6.414214f,  6.828427f,  7.242640f,  5.414214f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f, 
     4.146264f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.414214f,  4.000000f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f, 
     9.071068f,  8.656855f,  8.242640f,  7.828427f,  5.732051f,  7.071068f,  6.656854f,  6.242640f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  4.414214f,  4.000000f,  3.828427f,  3.414214f,  3.000000f,  3.414214f, 
     3.828427f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  5.414214f,  5.000000f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f, 
     4.878315f,  4.464102f,  4.146264f,  7.732051f,  6.146264f,  6.656854f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  3.414214f,  3.000000f,  3.414214f,  3.732051f,  3.414214f,  3.732051f, 
     4.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  6.000000f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f, 
     4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.146264f, 
     4.464102f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  3.464102f,  3.146264f,  2.828427f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f, 
     4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f, 
     5.414214f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  4.464102f,  4.146264f,  3.828427f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f, 
     3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f, 
     5.000000f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  5.464102f,  5.146264f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  3.732051f, 
     4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f, 
     5.464102f,  5.878315f,  7.146264f,  6.732051f,  6.414214f,  6.732051f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  3.414214f,  3.000000f,  3.414214f, 
     4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.732051f, 
     5.146264f,  5.560478f,  5.974691f,  7.732051f,  7.414214f,  7.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  3.732051f,  3.414214f,  3.732051f, 
     4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  4.414214f,  4.000000f,  4.414214f, 
     4.828427f,  5.242640f,  5.656854f,  6.656854f,  4.000000f,  8.732051f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  4.146264f,  3.828427f,  4.146264f, 
     5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  3.146264f,  3.000000f,  3.414214f,  3.828427f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  3.414214f,  2.414214f,  1.414214f, 
     1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  4.732051f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  4.560478f,  4.242640f,  4.560478f, 
     6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  2.414214f,  2.828427f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  6.242640f,  7.242640f,  4.000000f,  3.000000f,  2.000000f,  1.000000f, 
     0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.146264f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.146264f,  5.560478f,  2.414214f,  2.000000f,  2.414214f,  4.414214f,  4.000000f, 
    11.146264f, 10.828426f, 11.146264f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  7.974691f, 
     6.292529f,  5.974691f,  5.656854f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  7.196152f,  8.610366f,  8.928203f, 11.120955f, 11.535169f, 11.949382f, 12.949382f, 13.949381f, 
    10.146264f,  9.828426f, 10.146264f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  6.656854f,  6.196152f, 
     5.878315f,  5.560478f,  5.242640f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  6.610366f,  6.928203f, 10.803118f, 11.217331f, 11.631545f, 12.631544f, 13.631544f, 
     9.146264f,  8.828427f,  9.146264f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  5.878315f, 
     5.464102f,  5.146264f,  4.828427f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.292529f,  6.196152f,  6.610366f,  7.610366f,  7.464102f,  7.146264f,  6.828427f,  7.146264f, 
     8.146264f,  7.828427f,  8.146264f,  8.464102f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  5.560478f, 
     5.146264f,  4.732051f,  4.414214f,  4.732051f,  4.242640f,  3.828427f,  3.414214f,  6.196153f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  5.878315f,  6.292529f,  7.292529f,  6.464102f,  6.146264f,  5.828427f,  6.146264f, 
     7.146264f,  6.828427f,  7.146265f,  7.464102f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  7.610366f,  5.242640f, 
     4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  4.146264f,  3.732051f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.560478f,  5.974691f,  6.974691f,  5.464102f,  5.146264f,  4.828427f,  5.146264f, 
     6.146264f,  5.828427f,  6.146265f,  6.464102f,  6.878315f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  5.656854f,  5.974691f,  6.292529f,  6.610366f,  6.928203f,  7.928203f,  5.560478f, 
     5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  4.464102f,  4.146264f,  3.828427f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.242640f,  5.656854f,  6.656854f,  4.464102f,  4.146264f,  3.828427f,  4.146264f, 
     5.146264f,  4.828427f,  5.146265f,  5.464102f,  6.464102f,  6.196152f,  5.878315f,  5.560478f,  5.974691f,  5.656854f,  5.828427f,  6.196152f,  5.000000f,  8.292528f,  7.974691f,  7.656854f,  7.610366f,  7.928203f,  8.342417f,  5.878315f, 
     5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  5.414214f,  4.414214f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  3.464102f,  3.146264f,  2.828427f,  3.146264f, 
     4.146264f,  3.828427f,  4.146265f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.878315f,  5.560478f,  5.242640f,  6.414214f,  6.828427f,  8.196152f,  7.878315f,  7.560478f,  7.242640f,  7.560478f,  7.878315f,  8.196152f,  4.560478f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.000000f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     3.146264f,  2.828427f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  5.464102f,  5.146264f,  4.828427f,  5.414214f,  5.828427f,  6.242640f,  7.464102f,  7.146264f,  6.828427f,  7.146264f,  7.464102f,  7.878315f,  4.242640f, 
     3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  6.560478f,  6.878315f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  5.732051f,  6.146265f,  6.560478f,  2.828427f,  2.414214f,  2.000000f,  2.414214f, 
     2.732051f,  2.414214f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  7.146264f,  6.732051f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  4.560478f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  5.242640f,  5.560478f,  5.878315f,  4.732051f,  3.828427f,  2.828427f,  2.414214f,  4.732051f,  4.414214f,  4.732051f,  5.146265f,  5.560478f,  3.732051f,  2.732051f,  2.414214f,  2.732051f, 
     2.414214f,  2.000000f,  2.414214f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.414214f,  6.000000f,  6.414214f,  6.828427f,  7.242640f,  4.878315f, 
     4.464102f,  4.146264f,  3.828427f,  4.560478f,  4.242640f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  5.146265f,  4.146265f,  3.732051f,  3.414214f,  3.732051f,  4.146265f,  4.560478f,  3.414214f,  3.146264f,  2.828427f,  3.146264f, 
     2.732051f,  2.414214f,  2.732051f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  6.732051f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  5.196152f, 
     4.878315f,  4.560478f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.828427f,  4.146264f, 
     3.146264f,  2.828427f,  3.146264f,  4.146264f,  3.828427f,  4.146264f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.828427f,  7.146264f,  7.464102f,  7.878315f,  8.292528f, 
     5.878315f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  3.828427f,  4.146264f,  5.146264f, 
     4.146264f,  3.828427f,  4.146264f,  4.560478f,  4.242640f,  7.878315f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.000000f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f, 
     5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.560478f,  4.242640f,  4.560478f,  4.878315f, 
     5.146264f,  4.828427f,  5.146264f,  5.560478f,  6.560478f,  6.878315f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f, 
     4.464102f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  5.560478f,  5.242640f,  5.828427f,  6.146264f, 
     6.146264f,  5.828427f,  6.146264f,  6.560478f,  5.560478f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
     4.146264f,  6.732051f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  6.974691f,  6.656854f,  6.974691f,  7.292529f,  6.146264f,  5.732051f,  5.414214f,  5.732051f, 
     7.146264f,  6.828427f,  7.146264f,  7.560478f,  4.560478f,  5.878315f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  3.828427f,  2.828427f,  2.414214f,  7.388905f,  6.974691f,  6.560478f, 
     6.146264f,  5.732051f,  5.414214f,  5.732051f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  6.610366f,  6.292529f,  5.974691f,  5.656854f,  5.974691f,  6.292529f,  5.828427f,  5.414214f,  5.000000f,  5.414214f, 
     8.146264f,  7.828427f,  8.146264f,  7.242640f,  4.146264f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  4.146264f,  3.146264f,  2.732051f,  6.974691f,  5.974691f,  5.560478f, 
     5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  6.610366f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196153f,  5.732051f,  5.414214f,  5.732051f, 
     9.146264f,  8.828427f,  9.146264f,  6.242640f,  3.732051f,  6.560478f,  6.146264f,  4.414214f,  4.000000f,  4.414214f,  5.414214f,  5.828427f,  6.242640f,  6.656854f,  4.464102f,  3.464102f,  7.560478f,  6.560478f,  5.560478f,  4.560478f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  5.732051f,  6.464102f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.146264f,  5.828427f,  6.146264f, 
    10.146264f,  9.828426f, 10.146264f,  5.242640f,  3.414214f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  4.878315f,  4.464102f,  7.146264f,  6.146264f,  5.146264f,  4.146264f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  6.146264f,  5.732051f,  5.414214f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.242640f,  6.560478f, 
    11.146264f, 10.828426f, 11.146264f,  4.242640f,  3.732051f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  6.292529f,  5.974691f,  6.732051f,  5.732051f,  4.732051f,  3.732051f, 
     2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  5.828427f,  5.414214f,  5.000000f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  5.414214f,  5.828427f, 
    12.146264f, 11.828426f, 12.146264f,  3.828427f,  4.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  5.878315f,  5.560478f,  5.242640f,  5.414214f,  4.414214f,  3.414214f, 
     2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.146264f,  5.732051f,  5.414214f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  5.732051f,  6.146264f, 
    13.146264f, 12.828426f, 13.146264f,  3.414214f,  4.560478f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  4.732051f,  3.732051f, 
     2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.464102f,  4.560478f,  4.146264f,  3.732051f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.560478f,  5.828427f,  6.146264f,  6.464102f, 
    14.146264f, 13.828426f, 14.146264f,  3.000000f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  4.146264f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  6.560478f,  6.878315f, 
    15.146264f, 14.828426f, 15.146264f,  3.414214f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  4.560478f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  7.292529f, 
    16.146263f, 15.828426f, 16.146263f,  3.828427f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f, 
     5.974691f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.146264f,  5.464102f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  5.828427f,  6.242640f, 
    17.146263f, 16.828426f, 17.146263f,  4.242640f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f, 
     5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  5.560478f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  4.414214f,  4.828427f,  5.242640f, 
     7.560478f,  6.560478f,  5.560478f,  5.242640f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.242640f,  6.464102f, 
     5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.560478f,  4.242640f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  3.000000f,  3.414214f,  3.828427f,  4.242640f, 
     7.974691f,  6.974691f,  6.560478f,  6.242640f,  6.974691f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  7.388905f,  6.292529f,  5.974691f,  5.464102f,  5.146265f,  4.828427f,  4.146264f, 
     5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  3.828427f,  4.146264f,  4.146264f,  3.732051f,  3.414214f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f, 
     6.560478f,  7.974691f,  7.560478f,  7.242640f,  7.974691f,  8.388905f,  7.974691f,  7.560478f,  7.146264f,  6.732051f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  5.732051f,  5.414214f,  5.146264f,  4.732051f,  4.414214f,  3.146264f, 
     4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.732051f,  3.414214f,  3.732051f,  5.146264f,  4.732051f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f, 
     5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  7.388905f,  6.974691f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  4.732051f,  4.414214f,  4.828427f,  4.414214f,  4.000000f,  4.414214f, 
     5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  5.732051f,  5.414214f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f, 
     4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.414214f,  2.414214f, 
     5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.000000f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f, 
     4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  2.732051f, 
     2.414214f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.146264f,  3.828427f,  4.146265f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f, 
     3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f, 
     2.828427f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  4.560478f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f, 
     3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f, 
     3.828427f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  4.732051f, 
     3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  6.414214f,  6.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f, 
     5.732051f,  7.878315f,  7.464102f,  7.146264f,  6.828427f,  7.146264f,  5.000000f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.000000f,  4.414214f,  4.000000f,  4.414214f, 
     4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  1.732051f,  1.414214f,  1.732051f,  6.828427f,  7.146264f,  7.464102f,  2.414214f,  2.732051f,  3.146264f,  6.464102f,  5.732051f, 
     6.146264f,  6.560478f,  8.464102f,  8.146264f,  7.828427f,  8.146264f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  4.732051f,  4.414214f,  4.732051f, 
     4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  2.732051f,  2.414214f,  2.732051f,  7.242640f,  7.560478f,  7.878315f,  3.414214f,  3.732051f,  4.146264f,  5.000000f,  5.414214f, 
     5.828427f,  6.242640f,  6.656854f,  5.828427f,  5.414214f,  6.828427f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  5.146264f,  4.828427f,  5.146264f, 
     5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  1.732051f,  2.732051f,  8.292528f,  7.974691f,  7.656854f,  7.974691f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  2.732051f,  1.732051f, 
     1.414214f,  1.732051f,  2.732051f,  3.732051f,  5.732051f,  7.242640f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  4.146264f,  3.732051f,  3.414214f, 
     6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  8.388905f,  8.071068f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  3.414214f,  2.414214f,  1.414214f, 
     1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.828427f,  5.242640f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  3.000000f,  3.828427f,  3.414214f,  3.000000f, 
    11.560477f,  8.464102f,  7.464102f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  7.464102f,  6.146264f,  6.560478f,  6.974691f,  7.388905f,  8.388905f, 
     7.292529f,  7.878315f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  8.196152f,  8.610366f,  9.024579f,  5.974691f,  5.656854f,  5.974691f, 14.363595f, 
    10.560477f,  8.974691f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  5.828427f,  6.242640f,  6.656854f,  7.071068f,  7.196152f, 
     6.878315f,  7.464102f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.878315f,  7.196152f,  7.610366f,  8.024579f,  5.560478f,  5.242640f,  7.414214f,  7.732051f, 
     9.560477f,  9.242640f,  6.828427f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f,  6.146264f,  6.560478f,  6.974691f,  7.388905f,  6.878315f, 
     6.464102f,  6.732051f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.878315f,  6.196152f,  6.610366f,  7.610366f,  5.146264f,  6.732051f,  6.414214f,  6.732051f, 
     8.560477f,  8.242640f,  7.828427f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  7.706742f,  6.560478f, 
     6.146264f,  6.414214f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  5.878315f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  7.196152f,  6.146264f,  5.732051f,  5.414214f,  5.732051f, 
     7.560478f,  7.242640f,  7.560478f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  6.560478f,  6.878315f,  7.196152f,  7.610366f,  8.024579f,  6.242640f, 
     5.828427f,  5.414214f,  5.000000f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  5.146264f,  4.732051f,  4.414214f,  4.732051f, 
     6.560478f,  6.242640f,  6.560478f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  7.388905f,  7.071068f,  7.610366f,  7.928203f,  8.342417f,  6.560478f, 
     6.146264f,  5.732051f,  5.414214f,  5.732051f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f, 
     5.560478f,  5.242640f,  6.292529f,  5.974691f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  7.610366f,  7.292529f,  6.974691f,  6.656854f,  6.974691f,  7.292529f,  6.292529f,  5.878315f, 
     5.464102f,  5.146265f,  4.828427f,  5.146265f,  5.464102f,  4.464102f,  4.146264f,  3.828427f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  4.732051f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     4.560478f,  4.242640f,  5.878315f,  5.560478f,  9.706741f,  9.388905f,  9.071068f,  9.388905f,  9.706741f,  6.414214f,  6.732051f,  7.610366f,  7.196152f,  6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  7.196152f,  5.560478f, 
     5.146264f,  4.732051f,  4.414214f,  4.732051f,  6.828427f,  7.146264f,  7.464102f,  4.414214f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  4.414214f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     4.146264f,  3.828427f,  5.464102f,  5.146264f,  8.706742f,  8.388905f,  8.071068f,  8.388905f,  8.706742f,  5.414214f,  5.732051f,  6.146264f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f, 
     4.828427f,  4.414214f,  4.000000f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     3.732051f,  3.414214f,  5.146264f,  4.732051f,  7.706742f,  7.388905f,  7.071068f,  7.388905f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f, 
     5.146264f,  4.732051f,  4.414214f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.146264f,  4.146264f,  3.146264f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     3.414214f,  3.000000f,  3.414214f,  4.414214f,  4.000000f,  6.974691f,  6.656854f,  6.974691f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  6.656854f, 
     5.464102f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.146264f,  3.828427f,  4.828427f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     3.732051f,  3.414214f,  3.732051f,  4.732051f,  4.414214f,  6.560478f,  6.242640f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f, 
     5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.732051f,  4.414214f,  3.414214f,  3.732051f, 
     4.146264f,  3.828427f,  4.146264f,  5.146264f,  8.146264f,  8.464102f,  5.828427f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f, 
     5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  4.828427f,  4.414214f,  4.732051f, 
     4.560478f,  4.242640f,  4.560478f,  5.560478f,  7.146264f,  7.464102f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.242640f,  6.560478f,  6.878315f,  7.196152f,  7.610366f, 
     4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.242640f,  5.414214f,  5.732051f, 
     5.560478f,  5.242640f,  5.560478f,  5.974691f,  6.146264f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f, 
     5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.656854f,  6.828427f,  7.146264f, 
     6.560478f,  6.242640f,  6.560478f,  6.974691f,  5.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f, 
     4.560478f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  6.974691f,  7.292529f,  7.610366f,  7.388905f,  7.706742f,  7.146264f,  6.732051f,  6.414214f,  6.732051f, 
     7.560478f,  7.242640f,  7.560478f,  7.974691f,  4.146264f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  4.242640f,  3.828427f,  3.414214f,  7.706742f,  7.292529f,  6.878315f, 
     6.464102f,  6.146264f,  5.828427f,  6.146264f,  3.828427f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  5.974691f,  5.656854f,  5.974691f,  6.292529f,  6.610366f,  6.928203f,  7.292529f,  6.828427f,  6.414214f,  6.000000f,  6.414214f, 
     8.560477f,  8.242640f,  8.560477f,  2.828427f,  3.146264f,  5.974691f,  6.146264f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  4.560478f,  4.146264f,  3.732051f,  7.292529f,  6.292529f,  5.878315f, 
     5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  5.464102f,  5.146264f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  6.878315f,  7.196153f,  5.242640f,  5.560478f,  5.878315f, 
     9.560477f,  9.242640f,  9.560477f,  2.414214f,  2.732051f,  6.242640f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  4.878315f,  4.464102f,  4.146265f,  6.878315f,  5.878315f,  4.878315f, 
     4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  6.464102f,  6.878315f,  4.828427f,  5.146264f,  5.464102f, 
    10.560477f, 10.242640f, 10.560477f,  2.000000f,  2.414214f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  6.656854f,  5.196152f,  4.878315f,  5.146265f,  6.464102f,  5.464102f,  4.464102f, 
     3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f, 
    11.560477f, 11.242640f, 11.560477f,  2.414214f,  2.732051f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  7.242640f,  6.974691f,  7.146264f,  6.146264f,  5.146264f,  4.146264f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f, 
    12.560477f, 12.242640f, 12.560477f,  2.828427f,  3.146264f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f,  6.560478f,  6.242640f,  5.828427f,  4.828427f,  3.828427f, 
     2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f, 
    13.560477f, 13.242640f, 13.560477f,  3.828427f,  4.146264f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  6.146264f,  5.828427f,  6.146264f,  5.146264f,  4.146264f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  4.146264f,  4.464102f,  4.878315f,  5.146264f,  4.828427f,  5.146264f,  5.464102f, 
    14.560477f, 14.242640f, 14.560477f,  4.828427f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.000000f,  6.000000f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  4.464102f, 
     3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  3.146264f,  3.464102f,  4.464102f,  5.560478f,  5.242640f,  5.560478f,  5.878315f, 
    15.560477f, 15.242640f, 15.560477f,  5.828427f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  4.878315f, 
     4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.146265f,  6.292529f,  5.974691f,  5.656854f,  5.974691f,  6.292529f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  5.974691f,  6.292529f, 
    16.560476f, 16.242640f, 16.560476f,  4.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f, 
     6.974691f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.560478f,  5.878315f,  5.828427f,  7.292529f,  6.974691f,  6.656854f,  6.974691f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.146264f,  7.292529f, 
    17.560476f, 17.242640f, 17.560476f,  5.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  5.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  5.732051f, 
     6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.974691f,  5.146265f,  7.974691f,  7.656854f,  7.974691f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.414214f,  4.732051f,  5.146264f,  5.560478f, 
     7.974691f,  6.974691f,  5.974691f,  5.656854f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  6.656854f,  5.878315f,  6.196152f,  6.242640f,  6.560478f,  5.146264f,  4.732051f, 
     5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  5.560478f,  5.242640f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f, 
     7.242640f,  6.828427f,  6.974691f,  6.656854f,  6.656854f,  6.242640f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  6.656854f,  5.974691f,  6.292529f,  6.610366f,  6.464102f,  4.560478f,  4.146264f,  3.732051f, 
     5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  5.146264f,  4.828427f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f, 
     6.242640f,  5.828427f,  5.414214f,  5.000000f,  7.656854f,  8.706742f,  8.292528f,  7.878315f,  7.464102f,  7.146264f,  6.828427f,  7.146264f,  7.464102f,  6.974691f,  7.292529f,  5.828427f,  5.146264f,  4.146264f,  3.146264f,  2.732051f, 
     5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.732051f,  4.414214f,  4.732051f,  5.464102f,  5.146264f,  4.828427f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f, 
     5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  7.706742f,  7.292529f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  5.146264f,  4.828427f,  4.732051f,  3.732051f,  2.732051f,  1.732051f, 
     5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  6.146264f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f, 
     4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  4.146264f,  3.828427f,  4.146264f,  3.414214f,  2.414214f,  1.414214f, 
     1.000000f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.732051f,  4.414214f,  4.732051f,  4.732051f,  4.414214f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f, 
     3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  6.146264f,  3.146264f,  2.828427f,  3.146264f,  3.732051f,  2.732051f,  1.732051f, 
     1.414214f,  1.732051f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.146264f,  4.828427f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f, 
     3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  5.414214f,  5.732051f,  2.732051f,  2.414214f,  2.732051f,  4.146264f,  3.146264f,  2.732051f, 
     2.414214f,  2.732051f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  5.560478f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f, 
     3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  3.146264f,  2.732051f,  2.414214f,  5.414214f,  5.000000f,  5.414214f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  4.146264f,  3.732051f, 
     3.414214f,  3.732051f,  6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f, 
     3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  2.828427f,  2.414214f,  2.000000f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  2.414214f,  2.732051f,  5.560478f,  5.878315f,  4.732051f, 
     4.414214f,  4.732051f,  5.146265f,  7.560478f,  7.242640f,  7.560478f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  5.732051f,  6.146264f,  5.414214f, 
     3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  7.292529f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  2.828427f,  3.146264f,  5.146264f,  5.464102f,  5.732051f, 
     5.414214f,  5.732051f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  4.464102f,  4.146264f,  3.828427f, 
     4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  7.196153f,  6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f, 
     6.414214f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  3.464102f,  3.146264f,  2.828427f, 
     5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  1.414214f,  2.414214f,  7.292529f,  6.974691f,  6.656854f,  6.974691f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  2.732051f, 
     2.414214f,  2.732051f,  3.146264f,  5.146264f,  4.732051f,  4.414214f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  4.146264f,  3.146264f,  2.732051f,  2.414214f, 
     6.242640f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  7.388905f,  7.071068f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  2.414214f, 
     2.000000f,  2.414214f,  2.828427f,  3.828427f,  5.146264f,  4.828427f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  3.828427f,  2.828427f,  2.414214f,  2.000000f, 
     8.706742f,  8.146264f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  8.146264f,  9.146264f,  7.196152f,  6.878315f,  6.560478f, 
     6.242640f,  7.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  7.146264f,  7.464102f,  7.878315f,  8.292528f,  8.706742f,  5.560478f,  5.242640f,  5.560478f,  5.878315f, 
     8.292528f,  7.974691f,  6.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  7.732051f,  8.732051f,  6.878315f,  6.464102f,  6.146264f, 
     5.828427f,  6.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  7.706742f,  4.560478f,  4.242640f,  4.560478f,  7.414214f, 
     7.878315f,  7.560478f,  6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  7.414214f,  8.414213f,  6.560478f,  6.146264f,  5.732051f, 
     5.414214f,  5.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  4.146264f,  3.828427f,  6.000000f,  6.414214f, 
     7.464102f,  7.146264f,  6.828427f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  7.732051f,  8.732051f,  6.242640f,  5.828427f,  5.414214f, 
     5.000000f,  5.414214f,  5.828427f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  5.828427f,  5.414214f,  5.000000f,  5.414214f, 
     7.146264f,  6.732051f,  6.414214f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  7.656854f,  6.974691f,  6.560478f,  6.146264f,  5.732051f, 
     5.414214f,  5.732051f,  6.146264f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  4.828427f,  4.414214f,  4.000000f,  4.414214f, 
     6.974691f,  6.656854f,  6.000000f,  6.414214f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  6.974691f,  6.656854f,  6.974691f,  6.878315f,  9.342417f,  7.560478f, 
     7.146264f,  6.146264f,  6.464102f,  6.878315f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  3.828427f,  3.414214f,  3.000000f,  3.414214f, 
     5.974691f,  5.656854f,  7.292529f,  6.732051f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  6.610366f,  6.292529f,  5.974691f,  5.656854f,  5.974691f,  6.292529f,  6.610366f,  6.928203f, 
     6.464102f,  6.146265f,  6.878315f,  7.196152f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f, 
     5.560478f,  5.242640f,  6.878315f,  9.610365f,  9.292528f,  8.974691f,  8.656854f,  8.974691f,  9.292528f,  9.610365f,  9.928203f,  6.610366f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f, 
     6.146264f,  5.732051f,  5.414214f,  6.732051f,  6.414214f,  6.732051f,  4.732051f,  4.414214f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     5.146264f,  4.828427f,  6.464102f,  8.610366f,  8.292528f,  7.974691f,  7.656854f,  7.974691f,  8.292528f,  8.610366f,  8.928203f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f, 
     5.828427f,  5.414214f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  5.146265f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  2.000000f,  1.000000f,  0.000000f,  1.000000f, 
     4.732051f,  4.414214f,  6.146264f,  7.610366f,  7.292529f,  6.974691f,  6.656854f,  6.974691f,  7.292529f,  7.610366f,  7.928203f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f, 
     6.146264f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.242640f,  5.560478f,  5.146265f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  6.560478f,  1.414214f,  1.000000f,  1.414214f, 
     4.414214f,  4.000000f,  5.828427f,  6.610366f,  6.292529f,  5.974691f,  5.656854f,  5.974691f,  6.292529f,  6.610366f,  6.928203f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f, 
     6.656854f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  4.242640f,  5.146265f,  4.146265f,  3.732051f,  3.414214f,  5.878315f,  6.878315f,  6.464102f,  6.146264f,  2.414214f,  2.000000f,  2.414214f, 
     4.732051f,  4.414214f,  4.732051f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  2.828427f,  6.610366f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f, 
     6.974691f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  3.828427f,  3.414214f,  3.000000f,  3.414214f, 
     5.146264f,  4.828427f,  5.146264f,  7.414214f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f, 
     7.292529f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  4.414214f,  4.000000f,  4.414214f, 
     5.560478f,  5.242640f,  5.560478f,  6.414214f,  6.732051f,  4.732051f,  4.414214f,  4.732051f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f, 
     7.610366f,  8.610366f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  5.000000f,  5.414214f, 
     5.974691f,  5.656854f,  5.974691f,  5.414214f,  5.732051f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  5.656854f,  5.974691f,  6.292529f,  6.610366f,  6.928203f, 
     4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  7.560478f,  7.878315f, 
     6.974691f,  6.656854f,  6.974691f,  4.414214f,  4.732051f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f, 
     5.242640f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  6.242640f,  6.560478f,  6.878315f,  7.196152f,  7.610366f,  8.024579f,  6.560478f,  6.242640f,  6.560478f,  6.878315f, 
     7.974691f,  7.656854f,  7.974691f,  3.414214f,  3.732051f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  5.242640f,  4.828427f,  4.414214f,  8.024579f,  7.610366f,  7.196152f, 
     6.878315f,  6.560478f,  6.242640f,  3.732051f,  3.414214f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  7.610366f,  5.560478f,  5.242640f,  5.560478f,  5.878315f, 
     8.974691f,  8.656854f,  8.974691f,  2.414214f,  2.732051f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  5.560478f,  5.146264f,  4.732051f,  7.610366f,  6.610366f,  6.196152f, 
     5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  5.878315f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  7.196152f,  4.560478f,  4.242640f,  4.560478f,  4.878315f, 
     9.974690f,  9.656854f,  9.974690f,  1.414214f,  1.732051f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  5.878315f,  5.464102f,  5.146265f,  7.196152f,  6.196152f,  5.196152f, 
     4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  4.146264f,  3.828427f,  4.146264f,  4.464102f, 
    10.974690f, 10.656854f, 10.974690f,  1.000000f,  1.414214f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  6.196152f,  5.878315f,  5.560478f,  6.878315f,  5.878315f,  4.878315f, 
     4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f, 
    11.974690f, 11.656854f, 11.974690f,  1.414214f,  1.732051f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  7.974691f,  7.560478f,  6.560478f,  5.560478f,  4.560478f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f, 
    12.974690f, 12.656853f, 12.974690f,  2.414214f,  2.732051f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  7.560478f,  7.242640f,  6.242640f,  5.242640f,  4.242640f, 
     3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f, 
    13.974690f, 13.656853f, 13.974690f,  3.414214f,  3.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  7.146264f,  6.828427f,  6.560478f,  5.560478f,  4.560478f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f, 
    14.974690f, 14.656853f, 14.974690f,  4.414214f,  4.732051f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  4.146264f,  4.560478f,  6.414214f,  6.732051f,  5.878315f,  4.878315f, 
     4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  4.146264f,  4.464102f,  7.196153f,  4.560478f,  4.242640f,  4.560478f,  4.878315f, 
    15.974690f, 15.656853f, 15.974690f,  5.414214f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.414214f,  6.828427f,  5.196152f, 
     4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  5.242640f,  5.560478f,  5.878315f, 
    16.974689f, 16.656853f, 16.974689f,  6.414214f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.146264f,  7.560478f, 
     6.000000f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  5.974691f,  6.292529f,  6.828427f,  6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  6.560478f,  6.878315f, 
     8.560478f,  8.146264f,  7.732051f,  7.414214f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  5.828427f,  5.414214f, 
     5.000000f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196153f,  7.878315f,  7.560478f,  7.242640f,  7.560478f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  4.828427f,  5.146264f,  5.464102f,  5.878315f, 
     8.388905f,  7.388905f,  6.974691f,  6.656854f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  5.242640f,  4.828427f,  4.414214f, 
     4.000000f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  8.878315f,  8.560477f,  8.242640f,  8.560477f,  3.828427f,  4.146264f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f, 
     7.560478f,  7.146264f,  6.732051f,  6.414214f,  6.974691f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  4.242640f,  3.828427f,  3.414214f, 
     3.000000f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.828427f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f, 
     6.560478f,  6.146264f,  5.732051f,  5.414214f,  7.974691f,  7.560478f,  7.146264f,  6.732051f,  7.878315f,  7.560478f,  7.242640f,  7.560478f,  6.242640f,  6.560478f,  6.878315f,  7.196152f,  4.828427f,  3.828427f,  2.828427f,  2.414214f, 
     2.000000f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.414214f,  5.732051f,  5.878315f,  5.560478f,  5.242640f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f, 
     5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  7.610366f,  7.196152f,  6.878315f,  6.560478f,  6.242640f,  6.560478f,  5.656854f,  5.974691f,  7.878315f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f, 
     1.000000f,  1.414214f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.000000f,  5.414214f,  5.828427f,  6.560478f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f, 
     4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  6.610366f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  5.000000f,  4.000000f,  3.000000f,  2.000000f,  1.000000f, 
     0.000000f,  1.000000f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  5.414214f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f, 
     4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.196152f,  4.878315f,  4.560478f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f, 
     1.000000f,  1.414214f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196153f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f, 
     3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  6.828427f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f, 
     2.000000f,  2.414214f,  2.828427f,  5.974691f,  5.656854f,  5.974691f,  6.292529f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f, 
     3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  7.242640f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f, 
     3.000000f,  3.414214f,  3.828427f,  6.974691f,  6.656854f,  6.974691f,  7.292529f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f, 
     3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  6.656854f,  5.656854f,  4.560478f,  4.878315f,  4.414214f, 
     4.000000f,  4.414214f,  4.828427f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.146264f,  6.464102f,  4.414214f, 
     4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  5.414214f, 
     5.000000f,  6.878315f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  4.146264f,  3.732051f,  3.414214f, 
     4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  5.732051f,  6.196153f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f, 
     6.000000f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  3.146264f,  2.732051f,  2.414214f, 
     5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.000000f,  5.414214f,  2.732051f,  6.292529f,  5.974691f,  5.656854f,  5.974691f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f, 
     5.242640f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  3.732051f,  2.732051f,  1.732051f,  1.414214f, 
     6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  6.974691f,  6.656854f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f, 
     3.000000f,  3.414214f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  2.414214f,  2.828427f,  3.414214f,  2.414214f,  1.414214f,  1.000000f, 
     7.706742f,  7.388905f,  6.828427f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f,  7.828427f,  6.610366f,  6.196152f,  5.878315f,  5.560478f, 
     5.242640f,  5.560478f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  9.146264f,  9.464102f,  9.878315f, 10.292528f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f, 
     7.292529f,  6.974691f,  6.656854f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  7.414214f,  6.292529f,  5.878315f,  5.464102f,  5.146264f, 
     4.828427f,  5.146264f,  5.464102f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  7.388905f,  4.146264f,  3.828427f,  4.146264f,  4.464102f, 
     6.878315f,  6.560478f,  6.242640f,  5.000000f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.000000f,  6.000000f,  7.000000f,  5.974691f,  5.560478f,  5.146264f,  4.732051f, 
     4.414214f,  4.732051f,  5.146264f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  3.146264f,  2.828427f,  3.146264f,  3.464102f, 
     6.464102f,  6.146264f,  5.828427f,  6.146264f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  7.414214f,  5.656854f,  5.242640f,  4.828427f,  4.414214f, 
     4.000000f,  4.414214f,  4.828427f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  2.732051f,  5.732051f,  2.732051f,  5.732051f, 
     6.146264f,  5.732051f,  5.414214f,  5.732051f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f,  7.242640f,  5.974691f,  5.560478f,  5.146264f,  4.732051f, 
     4.414214f,  4.732051f,  5.146264f,  5.560478f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  2.414214f,  2.000000f,  4.414214f,  4.732051f, 
     5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  6.560478f,  6.242640f,  6.560478f,  5.878315f,  5.464102f,  5.146264f, 
     4.828427f,  5.146264f,  5.464102f,  5.878315f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  2.732051f,  3.732051f,  3.414214f,  3.732051f, 
     6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f, 
     5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  3.828427f,  3.414214f,  3.000000f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     6.464102f,  6.146264f,  5.828427f,  9.196152f,  8.878315f,  8.560477f,  8.242640f,  8.560477f,  8.878315f,  9.196152f,  9.610365f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f, 
     7.196152f,  7.242640f,  6.292529f,  6.610366f,  6.000000f,  6.414214f,  4.414214f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  4.146264f,  1.732051f,  1.414214f,  1.732051f, 
     9.438792f,  9.024579f,  8.610366f,  8.196152f,  7.878315f,  7.560478f,  7.242640f,  7.560478f,  7.878315f,  8.196152f,  8.610366f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f, 
     6.878315f,  6.242640f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  5.974691f,  1.414214f,  1.000000f,  1.414214f, 
     9.024579f,  8.024579f,  7.610366f,  7.196152f,  6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  7.196152f,  7.610366f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f, 
     6.560478f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  6.196152f,  5.878315f,  5.560478f,  1.732051f,  1.414214f,  1.732051f, 
     8.610366f,  7.610366f,  6.610366f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f, 
     6.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  5.560478f,  5.242640f,  4.878315f,  4.464102f,  4.146264f,  5.146264f,  5.560478f,  5.878315f,  5.464102f,  5.146264f,  2.732051f,  2.414214f,  2.732051f, 
     8.196152f,  7.196152f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  7.196152f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f, 
     6.560478f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  5.146264f,  4.828427f,  5.146264f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  5.146264f,  4.732051f,  3.732051f,  3.414214f,  3.732051f, 
     7.878315f,  6.878315f,  7.414214f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f, 
     6.878315f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  4.732051f,  4.414214f,  4.732051f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.828427f,  4.414214f,  4.732051f,  4.414214f,  4.732051f, 
     8.146264f,  7.196153f,  6.414214f,  6.000000f,  6.414214f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  3.414214f,  3.828427f,  4.242640f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f, 
     7.196152f,  8.196152f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  5.146264f,  4.732051f,  4.414214f,  5.414214f,  5.732051f, 
     6.974691f,  6.656854f,  5.414214f,  5.000000f,  5.414214f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f, 
     5.560478f,  5.974691f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  7.146264f,  7.464102f,  7.878315f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  7.464102f, 
     7.388905f,  7.071068f,  4.414214f,  4.000000f,  4.414214f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.560478f,  6.242640f,  6.560478f,  5.196152f,  4.878315f,  4.560478f, 
     4.242640f,  4.560478f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  5.464102f,  5.146264f,  4.828427f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  7.706742f,  6.146264f,  5.828427f,  6.146264f,  6.464102f, 
     8.388905f,  8.071068f,  3.414214f,  3.000000f,  3.414214f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  6.242640f,  5.828427f,  5.414214f,  4.878315f,  4.464102f,  4.146264f, 
     3.828427f,  4.146264f,  4.464102f,  3.414214f,  3.000000f,  6.196152f,  5.878315f,  5.560478f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  5.146264f,  4.828427f,  5.146264f,  5.464102f, 
     9.388905f,  9.071068f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  6.560478f,  6.146264f,  5.560478f,  4.560478f,  4.146264f,  3.732051f, 
     3.414214f,  3.732051f,  4.146264f,  5.974691f,  6.292529f,  6.610366f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  4.146264f,  3.828427f,  4.146264f,  4.464102f, 
    10.388905f, 10.071067f,  1.414214f,  1.000000f,  1.414214f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.242640f,  6.560478f,  6.878315f,  7.196152f,  7.610366f,  6.878315f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f, 
     3.000000f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f, 
    11.388904f, 11.071067f,  1.000000f,  0.000000f,  1.000000f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  7.196152f,  6.878315f,  6.560478f,  7.292529f,  6.292529f,  5.878315f, 
     5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
    12.388904f, 12.071067f,  1.414214f,  1.000000f,  1.414214f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  5.146264f,  5.464102f,  5.878315f,  7.974691f,  6.974691f,  5.974691f,  5.560478f, 
     5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f, 
    13.388904f, 13.071067f,  2.414214f,  2.000000f,  2.414214f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.656854f,  5.656854f,  5.242640f, 
     4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
    14.388904f, 14.071066f,  3.414214f,  3.000000f,  3.414214f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.974691f,  5.974691f,  5.560478f, 
     5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f, 
    15.388904f, 15.071066f,  4.414214f,  4.000000f,  4.414214f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  6.292529f,  5.878315f, 
     5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  4.146264f,  3.828427f,  4.146264f,  4.464102f, 
     6.828427f,  5.828427f,  5.414214f,  5.000000f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  4.560478f,  4.146264f, 
     3.732051f,  3.414214f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.560478f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  7.560478f,  4.828427f,  5.146264f,  5.464102f, 
     7.242641f,  6.828427f,  6.414214f,  6.000000f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  4.242640f,  3.828427f, 
     3.414214f,  3.000000f,  7.292529f,  6.974691f,  6.292529f,  6.974691f,  6.464102f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  6.828427f,  7.146264f,  7.464102f,  6.146264f,  6.464102f, 
     8.242640f,  7.828427f,  7.414214f,  7.000000f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  4.560478f,  5.732051f, 
     5.414214f,  7.196152f,  6.878315f,  6.560478f,  6.242640f,  6.560478f,  5.464102f,  6.146264f,  7.464102f,  7.146264f,  6.828427f,  7.146264f,  7.464102f,  7.878315f,  5.146264f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  7.464102f, 
     7.610366f,  7.196152f,  8.146264f,  6.560478f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  5.560478f,  5.146264f,  4.732051f, 
     4.414214f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  4.464102f,  4.146264f,  8.464102f,  8.146264f,  7.828427f,  8.146264f,  8.464102f,  5.146264f,  5.464102f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  7.656854f, 
     7.292529f,  6.878315f,  7.146264f,  6.828427f,  7.292529f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  5.560478f,  4.560478f,  4.146264f,  3.732051f, 
     3.414214f,  6.560478f,  4.146264f,  5.732051f,  5.414214f,  5.732051f,  3.464102f,  3.146264f,  2.828427f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f, 
     6.974691f,  6.560478f,  6.146264f,  5.828427f,  6.146264f,  7.878315f,  7.464102f,  7.146264f,  8.292528f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  5.146264f,  4.146264f,  3.146264f,  2.732051f, 
     2.414214f,  2.732051f,  3.146264f,  5.414214f,  5.000000f,  5.414214f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  6.292529f,  5.974691f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f, 
     6.656854f,  6.242640f,  5.146264f,  4.828427f,  5.146264f,  5.414214f,  5.828427f,  7.610366f,  7.292529f,  6.974691f,  6.656854f,  6.974691f,  5.242640f,  7.146264f,  7.464102f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f, 
     1.414214f,  1.732051f,  2.732051f,  5.732051f,  5.414214f,  5.732051f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f, 
     4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  6.146264f,  6.610366f,  6.292529f,  5.974691f,  6.242640f,  6.560478f,  4.242640f,  4.560478f,  4.878315f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f, 
     1.000000f,  1.414214f,  2.414214f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  2.732051f,  2.414214f,  2.732051f,  5.560478f,  5.242640f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f, 
     4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  7.464102f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f, 
     1.414214f,  1.732051f,  2.732051f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  7.196153f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f, 
     4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  6.464102f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f, 
     2.414214f,  2.732051f,  3.146264f,  4.146264f,  6.656854f,  4.828427f,  5.146264f,  5.464102f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f, 
     3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  5.656854f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  5.464102f,  5.146264f,  4.828427f,  4.560478f,  4.146264f,  3.732051f, 
     3.414214f,  3.732051f,  4.146264f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f, 
     4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.242640f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.732051f, 
     5.146264f,  5.560478f,  5.974691f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  6.560478f,  4.414214f,  4.000000f, 
     4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  4.828427f,  5.146264f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  5.732051f, 
     5.464102f,  5.878315f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  3.828427f,  3.414214f,  3.000000f, 
     4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  4.414214f,  4.732051f,  5.146264f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f, 
     5.878315f,  6.196152f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  3.828427f,  2.828427f,  2.414214f,  2.000000f, 
     5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f, 
     4.828427f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  3.414214f,  2.414214f,  1.414214f,  1.000000f, 
     6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  4.732051f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  6.560478f,  6.242640f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f, 
     5.146264f,  6.146264f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.000000f,  2.000000f,  1.000000f,  0.000000f, 
     7.292529f,  6.974691f,  6.656854f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  8.146264f,  6.196152f,  5.196152f,  4.878315f,  4.560478f, 
     4.242640f,  4.560478f,  4.878315f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  8.146264f,  7.828427f,  8.146264f,  8.464102f,  8.878315f,  9.292528f,  5.146265f,  4.732051f,  4.414214f,  4.732051f,  5.146264f, 
     6.292529f,  5.974691f,  5.656854f,  5.974691f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  7.732051f,  5.878315f,  4.878315f,  4.464102f,  4.146264f, 
     3.828427f,  4.146264f,  4.464102f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  8.560477f,  8.974691f,  4.146265f,  3.732051f,  3.414214f,  3.732051f,  4.146264f, 
     5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  7.414214f,  5.560478f,  4.560478f,  4.146264f,  3.732051f, 
     3.414214f,  3.732051f,  4.146264f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  6.656854f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
     5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  7.732051f,  5.242640f,  4.242640f,  3.828427f,  3.414214f, 
     3.000000f,  3.414214f,  3.828427f,  4.242640f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  1.732051f,  1.414214f,  1.732051f,  2.732051f, 
     5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  6.146264f,  6.828427f,  5.560478f,  4.560478f,  4.146264f,  3.732051f, 
     3.414214f,  3.732051f,  4.146264f,  4.560478f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  1.414214f,  1.000000f,  1.414214f,  2.414214f, 
     4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.000000f,  5.414214f,  6.146264f,  5.828427f,  6.146264f,  4.878315f,  4.464102f,  4.146264f, 
     3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  3.146264f,  2.732051f,  2.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  1.732051f,  1.414214f,  1.732051f,  4.146264f, 
     5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  6.146264f,  5.732051f,  5.414214f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  4.878315f,  4.560478f, 
     4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  4.146264f,  3.732051f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.000000f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
     5.464102f,  5.146264f,  4.828427f,  5.146264f,  8.464102f,  8.146264f,  7.828427f,  8.146264f,  8.464102f,  8.878315f,  9.292528f,  6.146264f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f, 
     5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  5.146264f,  4.732051f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.560478f,  3.414214f,  2.414214f,  2.732051f, 
     9.120955f,  5.560478f,  8.292528f,  7.878315f,  7.464102f,  7.146264f,  6.828427f,  7.146264f,  7.464102f,  7.878315f,  8.292528f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f, 
     6.464102f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.878315f,  5.560478f,  2.414214f,  2.000000f,  2.414214f, 
     8.706742f,  7.706742f,  7.292529f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  7.706742f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f, 
     6.146264f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  2.414214f,  2.732051f, 
     8.292528f,  7.292529f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f, 
     5.828427f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  6.242640f,  5.196152f,  4.878315f,  4.414214f,  4.828427f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  2.828427f,  3.146264f, 
     7.878315f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f, 
     6.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  6.146264f,  5.828427f,  6.146264f,  4.464102f,  4.146264f,  3.828427f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.828427f,  4.146264f, 
     7.464102f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f, 
     6.464102f,  6.146265f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  5.732051f,  5.414214f,  5.732051f,  4.146264f,  3.732051f,  3.414214f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  4.828427f,  5.146264f, 
     7.146265f,  6.732051f,  6.732051f,  6.414214f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f, 
     6.878315f,  5.828427f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  5.414214f,  5.000000f,  5.414214f,  3.828427f,  3.414214f,  3.000000f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  6.146264f, 
     6.828427f,  6.414214f,  5.732051f,  5.414214f,  5.732051f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.146264f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  3.414214f,  3.732051f,  4.146264f, 
     4.560478f,  5.560478f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  4.146264f,  4.560478f,  5.560478f,  6.414214f,  6.732051f,  7.146264f, 
     8.388905f,  8.071068f,  4.732051f,  4.414214f,  4.732051f,  6.292529f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.464102f,  5.878315f,  6.464102f,  6.146264f,  4.464102f,  5.878315f,  4.878315f,  4.464102f,  4.146264f, 
     3.828427f,  4.146264f,  4.464102f,  2.732051f,  2.414214f,  2.732051f,  6.464102f,  6.146264f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  7.388905f,  5.732051f,  5.414214f,  5.732051f,  6.146264f, 
     8.803119f,  8.485281f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  3.464102f,  4.464102f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  7.146264f,  4.878315f,  5.464102f,  4.464102f,  3.464102f,  3.146264f, 
     2.828427f,  3.146264f,  3.464102f,  4.464102f,  3.414214f,  3.732051f,  6.878315f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  4.732051f,  4.414214f,  4.732051f,  5.146264f, 
     9.803118f,  9.485281f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  8.146264f,  6.292529f,  8.146264f,  8.464102f,  8.878315f,  5.878315f,  5.146264f,  4.146264f,  3.146264f,  2.732051f, 
     2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  3.732051f,  3.414214f,  3.732051f,  4.146264f, 
    10.803118f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  8.560477f,  7.414214f,  7.732051f,  8.146264f,  8.560477f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f, 
     2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  7.196152f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
    11.803118f, 11.485280f,  3.414214f,  3.000000f,  3.414214f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  8.878315f,  7.000000f,  6.610366f,  5.732051f,  8.242640f,  8.656854f,  5.146264f,  4.146264f,  3.146264f,  2.732051f, 
     2.414214f,  2.732051f,  3.146264f,  4.146264f,  6.464102f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f, 
    12.803117f, 12.485280f,  3.732051f,  3.414214f,  3.732051f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  4.732051f,  5.146264f,  5.560478f,  5.464102f,  4.464102f,  3.464102f,  3.146264f, 
     2.828427f,  3.146264f,  5.414214f,  5.732051f,  6.146264f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f, 
    13.803117f, 13.485280f,  4.146264f,  3.828427f,  4.146264f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.878315f,  4.878315f,  4.464102f,  4.146264f, 
     5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f, 
    14.803117f, 14.485280f,  4.560478f,  4.242640f,  4.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.878315f,  5.464102f,  6.560478f, 
     6.146264f,  5.732051f,  5.414214f,  5.732051f,  4.878315f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
    15.803117f, 15.485279f,  5.560478f,  5.242640f,  5.560478f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.464102f,  4.464102f,  3.464102f, 
     6.464102f,  6.146264f,  5.828427f,  6.146264f,  4.464102f,  5.656854f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  6.974691f,  6.656854f,  3.732051f,  3.414214f,  3.732051f,  4.146264f, 
     7.196153f,  6.878315f,  6.560478f,  6.242640f,  6.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  4.146264f,  3.146264f, 
     2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.242640f,  5.560478f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.242640f,  6.560478f,  4.414214f,  4.732051f,  5.146264f, 
     8.196153f,  7.878315f,  7.560478f,  7.242640f,  7.560478f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  3.828427f,  2.828427f, 
     2.414214f,  2.000000f,  2.414214f,  2.828427f,  5.146264f,  4.828427f,  5.146264f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  5.828427f,  6.146264f,  6.464102f,  5.732051f,  6.146264f, 
     6.928203f,  6.610366f,  6.292529f,  7.414214f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  4.146265f,  6.146264f, 
     5.828427f,  6.146264f,  2.732051f,  3.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  7.146264f,  6.732051f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  7.974691f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f, 
     6.610366f,  6.196152f,  5.878315f,  5.560478f,  6.610366f,  6.196152f,  5.878315f,  5.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  5.878315f,  5.464102f,  5.146264f, 
     4.828427f,  5.146264f,  3.146264f,  4.828427f,  4.414214f,  4.000000f,  4.146264f,  3.732051f,  8.146264f,  7.732051f,  7.414214f,  7.732051f,  8.146264f,  8.560477f,  8.974691f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  6.656854f, 
     6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  7.196152f,  6.878315f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  4.878315f,  4.464102f,  4.146264f, 
     3.828427f,  4.146264f,  4.464102f,  5.146264f,  4.732051f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  8.732051f,  8.414213f,  8.732051f,  9.146264f,  9.560477f,  5.732051f,  5.414214f,  4.828427f,  6.146264f,  6.560478f,  6.974691f, 
     5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  7.388905f,  6.974691f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  5.464102f,  4.464102f,  3.464102f,  3.146264f, 
     2.828427f,  3.146264f,  3.464102f,  4.464102f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  7.974691f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f, 
     5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  8.388905f,  7.974691f,  7.388905f,  5.464102f,  5.146264f,  6.414214f,  6.732051f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f, 
     2.414214f,  2.732051f,  3.146264f,  4.146264f,  6.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  6.656854f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f, 
     5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f, 
     2.000000f,  2.414214f,  2.828427f,  3.828427f,  6.828427f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  5.656854f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f, 
     4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  5.146264f,  5.464102f,  5.878315f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f, 
     2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f, 
     4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  5.878315f,  6.196152f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.464102f,  4.464102f,  3.464102f,  3.146264f, 
     2.828427f,  3.146264f,  5.560478f,  6.560478f,  4.732051f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f, 
     4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  5.560478f,  5.242640f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  5.878315f,  4.878315f,  4.464102f,  4.146264f, 
     3.828427f,  4.242640f,  5.242640f,  6.242640f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  5.656854f,  5.974691f,  6.292529f,  1.414214f, 
     4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  4.242640f,  4.560478f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  3.732051f,  3.414214f,  3.732051f,  3.414214f,  3.732051f, 
     4.146264f,  4.560478f,  5.560478f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  6.656854f,  5.146264f,  4.732051f,  4.414214f, 
     4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  2.732051f,  2.414214f,  2.732051f,  3.828427f,  4.146264f, 
     4.464102f,  4.878315f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  4.560478f,  4.146264f,  3.732051f,  3.414214f, 
     5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  4.560478f, 
     4.878315f,  5.196152f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  4.146264f,  3.146264f,  2.732051f,  2.414214f, 
     6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.146264f,  4.828427f,  5.146264f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f, 
     4.414214f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f, 
     7.196152f,  6.878315f,  6.560478f,  6.242640f,  6.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  6.146264f,  5.828427f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f, 
     4.732051f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  6.292529f,  5.974691f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.414214f,  2.414214f,  1.414214f,  1.000000f, 
     6.878315f,  6.560478f,  6.242640f,  6.560478f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  7.464102f,  8.464102f,  5.878315f,  4.878315f,  4.464102f,  4.146264f, 
     3.828427f,  4.146264f,  4.464102f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  7.464102f,  7.146264f,  6.828427f,  7.146264f,  7.464102f,  7.878315f,  8.292528f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f, 
     5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  8.146264f,  5.464102f,  4.464102f,  3.464102f,  3.146264f, 
     2.828427f,  3.146264f,  3.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  7.146264f,  6.732051f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  7.974691f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f, 
     4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f, 
     2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f, 
     4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  5.464102f,  5.878315f,  4.828427f,  3.828427f,  2.828427f,  2.414214f, 
     2.000000f,  2.414214f,  2.828427f,  3.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.146264f,  4.146264f,  3.146264f,  2.732051f, 
     2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  3.146264f,  2.732051f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f, 
     3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  4.146264f,  3.828427f,  4.146264f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.732051f,  4.464102f,  3.464102f,  3.146264f, 
     2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  3.464102f,  3.146264f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  1.414214f,  1.000000f,  1.414214f,  2.414214f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  5.146264f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  4.732051f,  4.878315f,  4.464102f,  4.146264f, 
     3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  4.464102f,  4.146264f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  2.414214f,  2.000000f,  2.414214f,  2.828427f, 
     4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  7.732051f,  7.414214f,  7.732051f,  8.146264f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.146264f, 
     4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  5.464102f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.146264f,  3.000000f,  3.414214f,  3.732051f, 
     8.803119f,  4.560478f,  4.242640f,  7.560478f,  7.146264f,  6.732051f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  7.974691f,  5.560478f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f, 
     6.146264f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  6.464102f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.464102f,  5.146264f,  4.828427f,  4.414214f,  3.414214f, 
     8.388905f,  7.388905f,  6.974691f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f, 
     5.732051f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  3.732051f, 
     7.974691f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f, 
     5.414214f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  4.146264f, 
     7.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f, 
     5.732051f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  6.828427f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  4.560478f, 
     7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f, 
     6.146264f,  5.146265f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  6.732051f,  6.414214f,  6.732051f,  5.146264f,  4.732051f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  5.560478f, 
     6.732051f,  5.732051f,  7.146265f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  2.000000f,  2.414214f,  5.560478f, 
     6.560478f,  4.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  6.414214f,  6.000000f,  6.414214f,  4.828427f,  4.414214f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
     6.414214f,  5.414214f,  6.146265f,  5.828427f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  5.146264f,  4.732051f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
     4.146264f,  5.146264f,  6.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  6.732051f,  6.414214f,  6.414214f,  6.000000f,  6.414214f,  6.828427f,  7.242640f,  7.656854f,  8.071068f,  8.485281f,  2.828427f,  3.146264f,  3.464102f, 
     6.732051f,  5.464102f,  5.146265f,  4.828427f,  5.146265f,  5.464102f,  5.878315f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  7.974691f,  6.146264f,  5.732051f,  3.464102f,  3.146264f,  2.828427f,  4.146264f,  3.732051f, 
     3.414214f,  3.732051f,  4.146264f,  4.560478f,  2.828427f,  3.146264f,  7.464102f,  6.242640f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  6.656854f,  7.071068f,  5.414214f,  5.000000f,  5.414214f,  5.828427f, 
     4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  7.878315f,  5.146265f,  7.242640f,  7.560478f,  7.878315f,  8.196152f,  4.464102f,  5.146264f,  4.146264f,  3.146264f,  2.732051f, 
     2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  6.656854f,  4.414214f,  4.000000f,  4.414214f,  4.828427f, 
     4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  7.464102f,  7.146264f,  6.828427f,  7.146264f,  7.464102f,  7.878315f,  5.464102f,  4.732051f,  3.732051f,  2.732051f,  1.732051f, 
     1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  3.414214f,  3.000000f,  3.414214f,  3.828427f, 
     4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  6.732051f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  6.464102f,  4.414214f,  3.414214f,  2.414214f,  1.414214f, 
     1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f, 
    12.217331f, 12.485280f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  6.292529f,  5.974691f,  5.656854f,  7.464102f,  6.414214f,  6.000000f,  6.414214f,  6.828427f,  7.242640f,  7.656854f,  4.732051f,  3.732051f,  2.732051f,  1.732051f, 
     1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f, 
    13.217331f, 12.899493f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  6.732051f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  7.388905f,  5.146264f,  4.146264f,  3.146264f,  2.732051f, 
     2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.000000f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f, 
    14.217330f, 13.899493f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  6.974691f,  7.292529f,  4.560478f,  4.146264f,  3.732051f, 
     3.414214f,  3.732051f,  4.146264f,  5.146264f,  5.560478f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f, 
    15.217330f, 14.899493f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  6.878315f,  5.560478f,  4.560478f,  4.732051f, 
     4.414214f,  4.732051f,  5.146264f,  4.146264f,  4.560478f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f, 
     5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  4.828427f,  4.414214f,  4.000000f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  6.464102f,  5.146264f,  4.146264f,  3.146264f, 
     2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.974691f,  5.656854f,  5.974691f,  3.000000f,  3.414214f,  3.828427f, 
     6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  5.146264f,  4.732051f,  4.414214f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  6.560478f,  3.732051f,  2.732051f, 
     1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.242640f,  4.560478f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  4.414214f,  4.828427f, 
     7.610366f,  7.196152f,  6.878315f,  6.828427f,  7.146264f,  7.464102f,  5.464102f,  5.146264f,  4.828427f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  3.414214f,  2.414214f, 
     1.414214f,  1.000000f,  1.414214f,  2.414214f,  4.146264f,  3.828427f,  4.146264f,  6.242640f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  6.656854f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  5.828427f, 
     6.610366f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  6.196152f,  5.878315f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  3.732051f,  2.732051f, 
     1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  6.828427f,  6.414214f,  6.000000f,  6.414214f,  6.828427f,  7.242640f,  7.656854f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f, 
     6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  6.610366f,  7.242640f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  7.242640f,  5.560478f, 
     2.732051f,  2.414214f,  2.732051f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  7.828427f,  7.414214f,  7.000000f,  7.414214f,  7.828427f,  8.242640f,  8.656854f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f, 
     5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  7.656854f,  6.656854f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  5.196152f,  4.878315f,  4.560478f, 
     4.242640f,  4.560478f,  4.878315f,  4.146264f,  3.732051f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  8.414213f,  8.000000f,  8.414213f,  8.828427f,  9.242640f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f, 
     5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  7.071068f,  6.656854f,  6.242640f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  6.656854f,  4.878315f,  4.464102f,  4.146264f, 
     3.828427f,  4.146264f,  4.464102f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  7.292529f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f, 
     5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  7.656854f,  7.242640f,  6.828427f,  6.414214f,  6.000000f,  6.414214f,  6.828427f,  7.242640f,  5.560478f,  4.560478f,  4.146264f,  3.732051f, 
     3.414214f,  3.732051f,  4.146264f,  5.000000f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  6.610366f,  6.196152f,  5.878315f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.610366f, 
     6.196152f,  5.878315f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f, 
     3.000000f,  3.414214f,  3.828427f,  6.878315f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  6.974691f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f, 
     5.878315f,  5.464102f,  5.146264f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.560478f,  4.560478f,  4.146264f,  3.732051f, 
     3.414214f,  4.464102f,  5.464102f,  6.464102f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  6.560478f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f, 
     5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  5.878315f,  4.878315f,  2.414214f,  2.732051f, 
     3.146264f,  4.146264f,  5.146264f,  6.146264f,  4.414214f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  0.000000f, 
     5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  2.828427f,  2.414214f,  2.000000f,  2.414214f, 
     2.828427f,  3.828427f,  4.828427f,  5.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.000000f,  4.414214f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  6.656854f,  6.974691f,  5.414214f,  1.000000f, 
     5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.414214f,  3.000000f,  3.414214f,  2.414214f,  2.732051f, 
     3.146264f,  4.146264f,  5.146264f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  6.656854f,  7.071068f,  5.464102f,  5.146264f,  2.000000f, 
     5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.146264f, 
     3.464102f,  4.464102f,  5.464102f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  5.414214f,  5.732051f,  6.146264f,  8.656854f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f, 
     6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  4.146264f, 
     4.464102f,  4.878315f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.000000f,  5.828427f,  6.146264f,  2.414214f,  2.732051f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f, 
     6.610366f,  6.292529f,  5.974691f,  5.656854f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.732051f,  4.414214f,  4.732051f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f, 
     5.464102f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f, 
     7.610366f,  7.292529f,  6.974691f,  6.656854f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f, 
     4.414214f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.828427f,  2.828427f,  2.414214f,  2.000000f, 
     6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  7.878315f,  8.878315f,  5.560478f,  4.560478f,  4.146264f,  3.732051f, 
     3.414214f,  3.732051f,  4.146264f,  6.196152f,  5.196152f,  4.878315f,  7.292529f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f, 
     5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  6.196152f,  5.146264f,  4.146264f,  3.146264f,  2.732051f, 
     2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.878315f,  4.464102f,  4.146264f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f, 
     4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  4.732051f,  3.732051f,  2.732051f,  1.732051f, 
     1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  6.656854f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
     3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  3.732051f,  3.414214f,  3.732051f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  4.414214f,  3.414214f,  2.414214f,  1.414214f, 
     1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  4.146264f,  3.828427f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  4.732051f,  3.732051f,  2.732051f,  1.732051f, 
     1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  4.146264f,  3.732051f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f, 
     2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  4.146264f,  3.146264f,  2.732051f, 
     2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  4.464102f,  4.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  4.414214f,  4.560478f,  4.146264f,  3.732051f, 
     3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
     3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  7.414214f,  7.000000f,  7.414214f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  4.732051f, 
     4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  5.732051f,  3.414214f,  3.732051f,  4.146264f, 
     4.464102f,  4.146264f,  3.828427f,  7.242640f,  6.828427f,  6.414214f,  6.000000f,  6.414214f,  6.828427f,  7.242640f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f, 
     5.828427f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f, 
     5.464102f,  5.146264f,  6.656854f,  6.242640f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  6.656854f,  5.560478f,  5.242640f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f, 
     5.414214f,  6.414214f,  7.146264f,  7.560478f,  7.974691f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  6.146264f, 
     7.656854f,  6.656854f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  6.656854f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f, 
     4.560478f,  5.560478f,  4.878315f,  4.560478f,  4.242640f,  7.292529f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
     7.242640f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  7.242640f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  2.732051f,  3.146264f, 
     4.146264f,  5.146264f,  6.146264f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  6.464102f,  6.146264f,  5.828427f,  6.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f, 
     6.828427f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.242640f,  6.242640f,  2.828427f,  2.414214f,  2.000000f,  1.732051f,  1.414214f,  1.732051f,  2.732051f, 
     3.732051f,  4.732051f,  5.732051f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  7.414214f,  7.146264f,  6.828427f,  6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f, 
     6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.560478f,  6.560478f,  3.828427f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  5.878315f, 
     3.414214f,  4.414214f,  5.414214f,  6.414214f,  3.000000f,  3.414214f,  3.828427f,  7.414214f,  7.000000f,  7.414214f,  7.414214f,  6.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f, 
     6.000000f,  5.000000f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.878315f,  6.878315f,  4.828427f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f, 
     3.732051f,  4.732051f,  4.828427f,  5.242640f,  3.414214f,  3.732051f,  4.146264f,  7.732051f,  7.146264f,  6.732051f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  7.974691f,  8.388905f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
     6.878315f,  6.464102f,  4.414214f,  3.414214f,  2.414214f,  6.464102f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  6.656854f,  6.974691f,  7.292529f,  7.610366f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.414214f, 
     3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  4.464102f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  7.388905f,  8.388905f,  5.414214f,  5.732051f,  6.146264f, 
     4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  3.828427f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  7.196152f,  7.610366f,  4.828427f,  3.828427f,  2.828427f,  2.414214f, 
     2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  4.732051f,  4.414214f,  4.732051f,  5.146264f, 
     4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  4.414214f,  3.414214f,  2.414214f,  1.414214f, 
     1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  3.732051f,  3.414214f,  3.732051f,  4.146264f, 
     3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  4.000000f,  3.000000f,  2.000000f,  1.000000f, 
     0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
    13.217331f, 13.485280f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  7.292529f,  6.974691f,  6.656854f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  6.656854f,  4.414214f,  3.414214f,  2.414214f,  1.414214f, 
     1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f, 
    13.631544f, 13.899493f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  6.878315f,  6.560478f,  6.242640f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  7.292529f,  3.828427f,  2.828427f,  2.414214f, 
     2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f, 
    14.631544f, 14.313706f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  6.464102f,  6.146264f,  5.828427f,  4.560478f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  5.656854f,  5.974691f,  6.292529f,  6.610366f,  5.242640f,  3.414214f, 
     3.000000f,  3.414214f,  3.828427f,  4.828427f,  5.242640f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f, 
     4.560478f,  4.146265f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  6.146264f,  5.732051f,  5.414214f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  4.242640f,  3.828427f, 
     3.414214f,  4.414214f,  4.828427f,  3.828427f,  4.242640f,  5.878315f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  6.560478f,  6.242640f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
     5.560478f,  5.146265f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.828427f,  5.414214f,  5.000000f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  5.146264f,  5.464102f,  5.878315f,  3.828427f,  2.828427f, 
     2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  3.414214f,  3.732051f,  4.146264f, 
     8.292528f,  7.878315f,  7.464102f,  7.146264f,  5.732051f,  6.146264f,  6.146264f,  5.732051f,  5.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  4.732051f,  5.146264f,  5.560478f,  3.414214f,  2.414214f, 
     1.414214f,  1.000000f,  1.414214f,  2.414214f,  4.146264f,  3.828427f,  4.146264f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  5.146264f, 
     7.292529f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  7.146264f,  6.464102f,  6.146264f,  5.828427f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.828427f,  4.000000f,  3.000000f,  2.000000f, 
     1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.146264f,  2.828427f,  3.146264f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  6.146264f, 
     6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  8.146264f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  3.414214f,  2.414214f, 
     1.414214f,  1.000000f,  1.414214f,  2.414214f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  7.146264f,  6.732051f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f, 
     5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  7.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  3.828427f,  2.828427f, 
     2.414214f,  2.000000f,  2.414214f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  8.146264f,  7.732051f,  7.414214f,  7.732051f,  8.146264f,  8.560477f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f, 
     5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  5.878315f,  5.560478f, 
     3.414214f,  3.000000f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  3.146264f,  2.732051f,  2.414214f,  7.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f, 
     5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  6.974691f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  5.878315f,  5.464102f,  5.146264f, 
     4.828427f,  5.146264f,  4.464102f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f, 
     4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  7.974691f,  7.560478f,  7.146264f,  6.732051f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  5.974691f,  5.560478f,  5.146264f,  4.732051f, 
     4.414214f,  4.732051f,  5.974691f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f, 
     5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  6.656854f,  5.656854f,  5.242640f,  4.828427f,  4.414214f, 
     4.146264f,  4.560478f,  5.560478f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f, 
     6.878315f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  5.974691f,  5.560478f,  2.414214f,  2.732051f, 
     3.146264f,  4.146264f,  5.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  7.196152f,  1.414214f, 
     6.560478f,  6.146264f,  5.732051f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     2.732051f,  3.732051f,  4.732051f,  5.732051f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  7.464102f,  7.878315f,  7.560478f,  4.828427f,  4.414214f,  4.000000f,  4.414214f, 
     6.242640f,  5.828427f,  5.414214f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     2.414214f,  3.414214f,  4.414214f,  5.414214f,  3.732051f,  3.414214f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  7.146264f,  7.464102f,  7.878315f,  8.292528f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f, 
     6.560478f,  6.146264f,  5.732051f,  6.146264f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     2.732051f,  3.732051f,  4.732051f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  7.974691f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f, 
     6.878315f,  6.464102f,  6.146264f,  5.828427f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  2.732051f,  2.414214f,  2.732051f,  2.414214f,  2.732051f, 
     3.146264f,  4.146264f,  5.146264f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  6.000000f,  6.414214f,  6.828427f,  7.242640f,  7.656854f,  8.071068f,  5.878315f,  5.560478f,  5.242640f,  4.242640f, 
     7.196152f,  6.878315f,  6.560478f,  6.242640f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  1.732051f,  1.414214f,  1.732051f,  3.414214f,  3.732051f, 
     4.146264f,  4.560478f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  7.974691f,  8.388905f,  4.732051f,  4.414214f,  4.146264f,  3.828427f, 
     7.610366f,  7.292529f,  6.974691f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  4.000000f,  4.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f, 
     5.146264f,  5.560478f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  6.828427f,  7.146264f,  7.464102f,  7.878315f,  8.292528f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f, 
     8.024579f,  7.706742f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.000000f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f, 
     4.732051f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  3.828427f,  2.828427f,  2.414214f,  8.196152f,  5.414214f,  5.146265f,  4.732051f,  3.828427f,  3.414214f,  3.000000f, 
     6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  8.292528f,  9.292528f,  5.242640f,  4.242640f,  3.828427f,  3.414214f, 
     3.000000f,  3.414214f,  3.828427f,  6.610366f,  6.196152f,  7.292529f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  5.146264f,  4.828427f,  5.146264f,  5.464102f, 
     5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  4.828427f,  3.828427f,  2.828427f,  2.414214f, 
     2.000000f,  2.414214f,  2.828427f,  3.828427f,  5.878315f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  4.146264f,  3.828427f,  4.146264f,  4.464102f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  4.414214f,  4.000000f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  4.414214f,  3.414214f,  2.414214f,  1.414214f, 
     1.000000f,  1.414214f,  2.414214f,  3.414214f,  5.560478f,  5.146264f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  4.000000f,  3.000000f,  2.000000f,  1.000000f, 
     0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  4.828427f,  4.414214f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  5.974691f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
     2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.414214f,  3.414214f,  2.414214f,  1.414214f, 
     1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.146264f,  4.732051f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.560478f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f, 
     2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f, 
     2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  4.828427f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
     2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  4.242640f,  3.828427f,  3.414214f, 
     3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  4.414214f,  3.146264f,  2.828427f,  3.146264f,  3.464102f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  7.414214f,  7.732051f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  3.732051f,  4.146264f,  4.560478f,  4.414214f, 
     4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  5.828427f,  5.414214f,  3.828427f,  4.146264f,  4.464102f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  7.146264f,  6.732051f,  6.414214f,  6.732051f,  7.146264f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f, 
     6.146264f,  5.414214f,  5.828427f,  6.242640f,  6.656854f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  5.146264f,  5.464102f, 
     5.146264f,  4.732051f,  6.974691f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  4.878315f,  5.146264f,  4.828427f,  5.146264f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f, 
     5.242640f,  5.656854f,  6.828427f,  7.242640f,  7.656854f,  6.242640f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  6.464102f, 
     6.146264f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  4.464102f,  5.464102f,  5.828427f,  6.146264f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  3.828427f, 
     4.242640f,  5.242640f,  6.242640f,  7.242640f,  6.974691f,  6.560478f,  6.146264f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f, 
     7.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  2.732051f,  1.732051f,  1.414214f,  2.414214f,  2.000000f,  2.414214f,  2.828427f, 
     3.828427f,  4.828427f,  5.828427f,  6.828427f,  7.292529f,  6.878315f,  6.464102f,  6.146264f,  6.878315f,  6.560478f,  6.242640f,  6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f, 
     7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  3.146264f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f, 
     3.414214f,  4.414214f,  5.414214f,  6.414214f,  4.414214f,  7.196152f,  6.878315f,  6.560478f,  6.242640f,  7.560478f,  7.242640f,  6.000000f,  5.000000f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f, 
     7.242640f,  6.828427f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f, 
     3.000000f,  4.000000f,  5.000000f,  6.000000f,  5.242640f,  4.414214f,  4.828427f,  6.974691f,  6.656854f,  8.146264f,  7.828427f,  6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f, 
     6.242640f,  5.828427f,  5.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  7.292529f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f, 
     3.414214f,  4.414214f,  5.414214f,  5.560478f,  5.974691f,  6.974691f,  5.146264f,  7.388905f,  7.464102f,  7.146264f,  6.828427f,  7.146264f,  7.464102f,  7.878315f,  8.292528f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f, 
     5.242640f,  4.828427f,  4.414214f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  4.464102f,  4.878315f,  5.656854f,  5.974691f,  6.292529f,  6.610366f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f, 
     3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  7.706742f,  8.706742f,  5.828427f,  6.146264f,  6.464102f, 
     4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  3.414214f,  4.146264f,  3.146264f,  2.732051f, 
     2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  5.146264f,  4.828427f,  5.146264f,  5.464102f, 
     3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  4.732051f,  3.732051f,  2.732051f,  1.732051f, 
     1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  4.146264f,  3.828427f,  4.146264f,  4.464102f, 
     3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  3.414214f,  2.414214f,  1.414214f, 
     1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f, 
     3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.000000f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  6.656854f,  3.732051f,  2.732051f,  1.732051f, 
     1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
     3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  7.878315f,  7.560478f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.878315f,  4.146264f,  3.146264f,  2.732051f, 
     2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.878315f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f, 
     3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  7.464102f,  7.146264f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  5.560478f,  5.146264f, 
     4.732051f,  3.732051f,  4.146264f,  5.146265f,  4.878315f,  5.196152f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.828427f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
     4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  7.146264f,  6.732051f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  4.560478f,  4.146264f, 
     3.732051f,  3.414214f,  3.732051f,  4.146265f,  4.464102f,  4.878315f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  6.146264f,  5.828427f,  3.146264f,  2.828427f,  3.146264f,  3.464102f, 
     8.974691f,  8.560477f,  8.146264f,  7.732051f,  4.414214f,  4.828427f,  6.828427f,  6.414214f,  6.000000f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  4.146264f,  3.146264f, 
     2.732051f,  2.414214f,  2.732051f,  3.732051f,  4.146264f,  4.560478f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  4.146264f,  4.464102f, 
     7.974691f,  7.560478f,  7.146264f,  6.732051f,  6.414214f,  5.828427f,  7.146264f,  6.732051f,  6.414214f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  3.732051f,  2.732051f, 
     1.732051f,  1.414214f,  1.732051f,  3.414214f,  3.828427f,  3.414214f,  3.732051f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.464102f, 
     6.974691f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  6.828427f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  3.414214f,  3.828427f,  4.414214f,  3.414214f,  2.414214f, 
     1.414214f,  1.000000f,  1.414214f,  2.414214f,  2.732051f,  2.414214f,  2.732051f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f, 
     5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  7.464102f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  4.146264f,  4.560478f,  3.732051f,  2.732051f, 
     1.732051f,  1.414214f,  1.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  7.464102f,  7.146264f,  6.828427f,  7.146264f,  7.464102f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f, 
     5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  4.878315f,  4.146264f,  3.146264f, 
     2.732051f,  2.414214f,  2.732051f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  8.146264f,  7.828427f,  8.146264f,  8.464102f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f, 
     5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  5.196152f,  4.560478f,  4.146264f, 
     3.732051f,  3.414214f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  2.828427f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f, 
     4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  6.878315f,  6.464102f,  6.146264f, 
     5.828427f,  6.242640f,  4.146264f,  3.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f, 
     4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  7.878315f,  7.464102f,  7.146264f,  3.828427f,  4.242640f,  5.242640f,  7.878315f,  6.974691f,  6.560478f,  6.146264f,  4.414214f, 
     4.828427f,  5.242640f,  5.656854f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f, 
     4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  4.560478f,  4.146264f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  7.071068f,  3.828427f,  3.414214f,  3.000000f,  3.414214f, 
     3.828427f,  4.242640f,  5.242640f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f, 
     5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  2.828427f,  2.414214f,  2.000000f,  2.414214f, 
     2.828427f,  3.828427f,  4.828427f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  6.146264f,  5.828427f,  4.146264f,  3.732051f,  3.414214f,  3.732051f, 
     5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     2.414214f,  3.414214f,  4.414214f,  5.414214f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  6.878315f,  7.196152f,  7.610366f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f, 
     5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  2.000000f,  1.000000f,  0.000000f,  1.000000f, 
     2.000000f,  3.000000f,  4.000000f,  5.000000f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f, 
     7.560478f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  7.388905f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     2.414214f,  3.414214f,  4.414214f,  5.414214f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f, 
     7.878315f,  7.464102f,  7.146264f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  3.146264f,  2.828427f,  2.414214f,  2.000000f,  2.414214f, 
     2.828427f,  3.828427f,  4.828427f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  6.656854f,  7.071068f,  4.146264f,  3.828427f,  4.242640f,  4.560478f, 
     8.196152f,  7.878315f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  2.732051f,  2.414214f,  2.732051f,  3.000000f,  3.414214f, 
     3.828427f,  4.242640f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  7.388905f,  3.732051f,  3.414214f,  5.242640f,  5.560478f, 
     8.610366f,  6.000000f,  5.000000f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  4.414214f,  4.732051f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  4.414214f, 
     4.828427f,  5.242640f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  7.706742f,  3.414214f,  3.000000f,  4.732051f,  4.414214f, 
     9.024579f,  6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f, 
     5.146264f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  7.196152f,  4.414214f,  4.000000f,  3.732051f,  3.414214f,  4.414214f,  4.000000f, 
     5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  6.656854f,  7.071068f,  5.828427f,  6.146264f,  6.146264f,  5.732051f,  5.414214f,  7.706742f,  8.706742f,  6.878315f,  5.560478f,  4.560478f,  4.146264f,  3.732051f, 
     3.414214f,  3.732051f,  4.146264f,  7.610366f,  7.878315f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  7.878315f,  5.242640f,  5.560478f,  5.878315f, 
     4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  6.656854f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.146264f,  4.146264f,  3.146264f,  2.732051f, 
     2.414214f,  2.732051f,  3.146264f,  4.146264f,  7.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  4.560478f,  4.242640f,  4.560478f,  4.878315f, 
     3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  4.732051f,  3.732051f,  2.732051f,  1.732051f, 
     1.414214f,  1.732051f,  2.732051f,  3.732051f,  6.560478f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  4.146264f,  3.828427f,  4.146264f,  4.464102f, 
     2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  3.414214f,  2.414214f,  1.414214f, 
     1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  3.732051f,  3.414214f,  3.732051f,  4.146264f, 
     2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f, 
     1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  4.878315f,  4.560478f,  4.242640f,  3.414214f,  3.000000f,  3.414214f,  3.828427f, 
     2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  4.146264f,  3.146264f,  2.732051f, 
     2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  4.146264f,  3.828427f,  3.732051f,  3.414214f,  3.732051f,  4.146264f, 
     2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.242640f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  4.560478f,  4.146264f,  3.732051f, 
     3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  3.732051f,  3.414214f,  3.732051f,  3.828427f,  4.146264f,  4.464102f, 
     2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  5.146264f,  4.828427f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.146264f,  4.464102f,  4.878315f,  4.732051f, 
     4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  5.878315f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  6.560478f,  3.000000f,  3.414214f,  4.242640f,  4.560478f,  4.878315f, 
     3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  7.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  3.146264f,  3.464102f,  7.196153f,  6.878315f, 
     6.560478f,  5.732051f,  6.146264f,  6.560478f,  5.974691f,  5.560478f,  5.146264f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  5.560478f,  5.878315f, 
     4.828427f,  4.414214f,  7.292529f,  6.878315f,  6.464102f,  6.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  5.242640f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  2.414214f,  2.732051f,  4.414214f,  6.196153f,  5.878315f, 
     5.560478f,  5.974691f,  7.146264f,  7.560478f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  6.878315f, 
     5.828427f,  7.292529f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.414214f,  5.732051f,  2.414214f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f, 
     4.560478f,  5.560478f,  6.560478f,  4.878315f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  5.974691f,  5.656854f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
     7.878315f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  3.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
     4.146264f,  5.146264f,  4.146264f,  4.464102f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  6.656854f,  6.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f, 
     7.464102f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f, 
     3.732051f,  4.732051f,  5.732051f,  4.146264f,  4.560478f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f, 
     7.560478f,  7.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f, 
     3.414214f,  4.414214f,  5.414214f,  3.828427f,  4.242640f,  5.242640f,  6.292529f,  5.974691f,  5.656854f,  5.974691f,  8.242640f,  6.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f, 
     6.560478f,  6.146264f,  5.732051f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  6.878315f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f, 
     3.732051f,  4.732051f,  5.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  6.974691f,  7.878315f,  7.560478f,  7.242640f,  7.560478f,  7.878315f,  8.196152f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
     5.560478f,  5.146264f,  4.732051f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
     4.146264f,  4.146264f,  4.464102f,  4.878315f,  4.878315f,  5.878315f,  6.878315f,  7.196152f,  6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  7.196152f,  7.610366f,  8.024579f,  9.024579f,  6.242640f,  6.560478f,  4.146264f, 
     4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  4.414214f,  4.732051f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  3.732051f,  3.414214f,  3.464102f,  3.146264f, 
     2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.196153f,  6.610366f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  7.610366f,  8.610366f,  5.242640f,  5.560478f,  5.878315f, 
     4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  5.146264f,  4.146264f,  3.146264f,  2.732051f, 
     2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  7.196152f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  7.196152f,  4.560478f,  4.242640f,  4.560478f,  4.878315f, 
     3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  3.828427f,  2.828427f,  2.414214f, 
     2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  4.146264f,  3.828427f,  4.146264f,  4.464102f, 
     3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  4.146264f,  3.146264f,  2.732051f, 
     2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  3.732051f,  3.414214f,  3.732051f,  4.146264f, 
     3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  8.878315f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.464102f,  6.878315f,  3.464102f,  3.146264f, 
     2.828427f,  3.146264f,  3.464102f,  5.146264f,  5.464102f,  5.878315f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  3.414214f,  3.000000f,  3.414214f,  3.828427f, 
    10.656854f, 10.242640f,  9.828426f,  2.414214f,  2.732051f,  3.146264f,  8.464102f,  8.146264f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  5.464102f,  5.878315f,  5.878315f,  5.464102f, 
     5.146264f,  4.828427f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.414214f,  3.732051f,  3.414214f,  3.732051f,  4.146264f, 
     9.656854f,  9.242640f,  8.828427f,  8.414213f,  3.732051f,  4.146264f,  8.146264f,  7.732051f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  4.878315f,  4.464102f, 
     4.146264f,  3.828427f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.732051f,  5.414214f,  5.732051f,  3.828427f,  4.146264f,  4.464102f, 
     8.656854f,  8.242640f,  7.828427f,  7.414214f,  7.610366f,  5.146264f,  7.828427f,  7.414214f,  7.000000f,  5.878315f,  5.560478f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  4.464102f,  3.464102f, 
     3.146264f,  2.828427f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  4.878315f, 
     7.656854f,  7.242640f,  6.828427f,  6.414214f,  6.000000f,  6.146264f,  7.242640f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.146264f,  3.146264f, 
     2.732051f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.000000f,  3.414214f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f, 
     6.656854f,  6.242640f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  7.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  5.732051f,  6.146264f,  2.828427f, 
     2.414214f,  2.000000f,  2.414214f,  2.732051f,  2.414214f,  2.000000f,  2.414214f,  7.196152f,  6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f, 
     5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  2.414214f,  2.732051f,  3.146264f,  6.146264f,  4.146264f,  3.146264f, 
     2.732051f,  2.414214f,  2.732051f,  3.146264f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  7.878315f,  7.560478f,  7.242640f,  7.560478f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f, 
     5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.878315f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  3.146264f,  3.464102f,  4.464102f,  4.464102f,  3.464102f, 
     3.146264f,  2.828427f,  3.146264f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f, 
     4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  3.464102f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  4.146264f,  4.464102f,  4.878315f,  4.878315f,  4.464102f, 
     4.146264f,  3.828427f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.464102f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f, 
     4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  3.146264f,  7.196152f,  6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  7.196153f,  5.464102f,  5.878315f,  5.878315f,  5.464102f, 
     5.146264f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  3.732051f,  3.414214f,  3.732051f,  3.732051f,  4.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f, 
     4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  8.196152f,  7.878315f,  7.560478f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  5.000000f,  4.732051f,  4.414214f,  4.732051f, 
     5.146264f,  5.560478f,  7.242640f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f, 
     4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  4.464102f,  4.146264f,  3.146264f,  4.146264f,  5.146264f,  5.732051f,  5.414214f,  3.732051f,  3.414214f,  3.732051f, 
     4.146264f,  4.560478f,  5.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  2.828427f,  3.146264f, 
     4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  6.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     3.146264f,  4.146264f,  5.146264f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  6.292529f,  6.610366f,  5.732051f,  5.414214f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f, 
     5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  6.656854f,  7.656854f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.610366f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     6.656854f,  6.242640f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  6.656854f,  7.071068f,  8.071068f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     2.732051f,  3.732051f,  4.732051f,  5.732051f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f, 
     7.656854f,  7.242640f,  6.828427f,  6.414214f,  6.000000f,  6.414214f,  6.828427f,  7.242640f,  7.656854f,  8.071068f,  8.485281f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     3.146264f,  4.146264f,  5.146264f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  6.656854f,  3.146264f,  2.828427f,  3.828427f,  4.146264f, 
     6.560478f,  6.242640f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  3.732051f,  3.414214f,  3.732051f,  3.414214f,  3.732051f, 
     4.146264f,  4.560478f,  5.560478f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  2.732051f,  2.414214f,  2.732051f,  5.146264f, 
     3.414214f,  3.732051f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  4.828427f,  5.146264f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  3.414214f, 
     5.146264f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  3.828427f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  2.414214f,  2.000000f,  2.414214f,  3.000000f, 
     3.000000f,  3.414214f,  3.828427f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  3.732051f, 
     4.146264f,  4.560478f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.146264f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  3.000000f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
     6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  7.388905f,  6.656854f,  6.242640f,  5.828427f,  5.414214f,  9.120955f,  8.706742f,  6.292529f,  5.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f, 
     3.828427f,  4.146264f,  4.464102f,  8.464102f,  7.464102f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  7.464102f,  5.656854f,  5.974691f,  6.292529f, 
     5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.560478f,  5.464102f,  4.464102f,  3.464102f,  3.146264f, 
     2.828427f,  3.146264f,  3.464102f,  8.146264f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  5.242640f,  5.560478f,  5.878315f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  5.242640f,  5.146264f,  4.146264f,  3.146264f,  2.732051f, 
     2.414214f,  2.732051f,  3.146264f,  7.828427f,  6.828427f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f,  4.828427f,  5.146264f,  5.464102f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f, 
     2.000000f,  2.414214f,  2.828427f,  3.828427f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  4.414214f,  4.732051f,  5.146264f, 
     2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  4.146264f,  3.146264f,  2.732051f, 
     2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  7.196152f,  7.464102f,  7.146265f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  3.464102f,  4.464102f,  5.464102f,  3.828427f,  4.146264f,  4.000000f,  4.414214f,  4.828427f, 
     2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.242640f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  4.464102f,  3.464102f,  3.146264f, 
     2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.196152f,  6.974691f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  4.414214f,  4.732051f,  5.146264f, 
     2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.560478f,  4.242640f,  4.560478f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  4.878315f,  4.464102f,  4.146264f, 
     3.828427f,  4.146264f,  4.464102f,  4.878315f,  6.146264f,  5.196152f,  4.878315f,  6.242640f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  4.828427f,  5.146264f,  5.464102f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  4.878315f,  5.196152f,  5.146264f, 
     4.828427f,  5.146264f,  5.464102f,  5.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  7.292529f,  6.878315f,  2.000000f,  2.414214f,  5.242640f,  5.560478f,  4.146264f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  5.828427f,  6.878315f,  6.464102f, 
     6.146264f,  5.828427f,  6.464102f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.974691f,  3.732051f, 
     5.146264f,  4.732051f,  4.414214f,  7.196152f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.146264f,  4.828427f,  5.878315f,  5.464102f, 
     5.146264f,  4.828427f,  5.146264f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  6.974691f,  3.414214f, 
     6.146264f,  5.732051f,  6.610366f,  6.196152f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  5.414214f,  5.000000f,  6.828427f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.878315f,  4.464102f, 
     4.146264f,  3.828427f,  4.146264f,  4.464102f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  6.656854f,  7.464102f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.732051f, 
     8.196152f,  7.196152f,  6.196152f,  5.196152f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  4.464102f,  3.464102f, 
     3.146264f,  2.828427f,  3.146264f,  3.464102f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  7.071068f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  4.146264f, 
     7.878315f,  6.878315f,  5.878315f,  4.878315f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.000000f,  6.000000f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
     2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  6.828427f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  1.414214f, 
     7.878315f,  6.560478f,  5.560478f,  4.560478f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f, 
     3.828427f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  1.000000f, 
     6.878315f,  6.464102f,  6.146264f,  4.242640f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.464102f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
     4.146264f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.878315f,  6.560478f,  6.242640f,  7.974691f,  7.656854f,  7.974691f,  8.292528f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  1.414214f, 
     5.878315f,  5.464102f,  5.146264f,  4.828427f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f, 
     4.464102f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  7.610366f,  7.292529f,  6.974691f,  6.656854f,  6.974691f,  7.292529f,  7.610366f,  7.928203f,  8.342417f,  9.342417f,  6.656854f,  4.146264f,  2.414214f, 
     4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.414214f,  4.000000f,  4.414214f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  4.146264f,  3.828427f,  4.146264f,  4.146264f, 
     3.828427f,  4.146264f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.928203f,  6.610366f,  6.292529f,  5.974691f,  5.656854f,  5.974691f,  6.292529f,  6.610366f,  6.928203f,  7.928203f,  8.928203f,  5.656854f,  5.974691f,  6.292529f, 
     4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  5.414214f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  4.560478f,  4.146264f,  3.732051f, 
     3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.878315f,  6.292529f,  6.610366f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  7.610366f,  5.560478f,  5.242640f,  5.560478f,  5.878315f, 
     4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  4.242640f,  3.828427f,  3.414214f, 
     3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  7.292529f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  5.146264f,  4.828427f,  5.146264f,  5.464102f, 
     3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  4.560478f,  4.146264f,  3.732051f, 
     3.414214f,  3.732051f,  4.146264f,  4.560478f,  6.146264f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  4.732051f,  4.414214f,  4.732051f,  5.146264f, 
    11.974690f, 11.560477f,  4.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  4.464102f,  4.146264f, 
     3.828427f,  4.146264f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  6.656854f,  4.414214f,  4.000000f,  4.414214f,  4.828427f, 
    10.974690f, 10.560477f, 10.146264f,  5.464102f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  7.464102f,  5.974691f,  5.878315f, 
     5.560478f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.000000f,  6.414214f,  4.414214f,  4.732051f,  5.146264f, 
     9.974690f,  9.560477f,  9.146264f,  8.732051f,  6.196152f,  4.464102f,  4.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  4.878315f, 
     4.560478f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  5.146264f,  5.464102f, 
     8.974691f,  8.560477f,  8.146264f,  7.732051f,  6.610366f,  5.464102f,  5.878315f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  4.464102f, 
     4.146264f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f, 
     7.974691f,  7.560478f,  7.146264f,  6.732051f,  6.414214f,  7.928203f,  6.878315f,  7.292529f,  6.878315f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  4.146264f, 
     3.732051f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  3.732051f,  6.610366f,  6.292529f,  5.974691f,  5.656854f,  5.974691f,  6.292529f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f, 
     6.974691f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.974691f,  5.974691f,  5.560478f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  4.732051f,  5.146264f,  3.828427f, 
     3.414214f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  7.292529f,  6.974691f,  6.656854f,  6.974691f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f, 
     5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  5.146264f,  5.464102f,  5.878315f, 
     3.732051f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f, 
     5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  4.146264f,  6.196152f,  5.878315f,  5.560478f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  5.560478f,  5.878315f,  4.464102f, 
     4.146264f,  3.828427f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.000000f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f, 
     5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  3.146264f,  6.610366f,  6.292529f,  5.974691f,  5.656854f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  5.974691f,  6.292529f,  4.878315f, 
     4.560478f,  4.242640f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.146264f,  3.464102f,  4.464102f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f, 
     4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  2.732051f,  1.732051f,  7.292529f,  6.974691f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  5.146264f,  4.732051f,  7.292529f,  7.610366f, 
     5.560478f,  5.242640f,  4.146264f,  3.146264f,  2.732051f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f, 
     4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f, 
     5.464102f,  5.878315f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  3.732051f, 
     4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  4.146264f, 
     4.464102f,  4.878315f,  5.878315f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  2.732051f,  2.414214f,  2.732051f, 
     5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  2.414214f,  2.732051f,  3.828427f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  3.146264f, 
     3.464102f,  4.464102f,  5.464102f,  7.292529f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  3.732051f,  3.414214f,  3.732051f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  2.414214f,  2.732051f, 
     3.146264f,  4.146264f,  5.146264f,  7.610366f,  6.610366f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  7.974691f,  4.732051f,  3.000000f,  3.414214f,  6.292529f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f, 
     2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.928203f,  6.610366f,  6.292529f,  5.974691f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     6.974691f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  7.388905f,  8.388905f,  9.388905f,  3.414214f,  3.732051f,  7.292529f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     3.146264f,  4.146264f,  5.146264f,  6.146264f,  4.146264f,  3.828427f,  4.146264f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     7.974691f,  7.560478f,  7.146264f,  6.732051f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  7.974691f,  8.388905f,  8.803119f,  9.803118f,  3.828427f,  4.146264f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f, 
     3.464102f,  4.464102f,  5.464102f,  5.146264f,  3.146264f,  2.828427f,  3.146264f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  2.732051f,  2.414214f,  3.414214f,  3.732051f, 
     5.560478f,  5.242640f,  5.560478f,  5.878315f,  7.414214f,  7.732051f,  8.146264f,  8.560477f,  8.974691f,  9.388905f,  9.803118f, 10.217332f,  4.242640f,  4.560478f,  5.146265f,  4.732051f,  4.414214f,  4.732051f,  3.828427f,  4.146264f, 
     3.146264f,  4.878315f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  1.732051f,  1.414214f,  1.732051f,  2.414214f, 
     2.414214f,  2.732051f,  3.146264f,  4.732051f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.242640f,  5.560478f,  4.828427f,  4.414214f,  4.000000f,  2.414214f,  2.000000f,  2.414214f, 
     2.828427f,  3.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  1.414214f,  1.000000f,  1.414214f,  2.000000f, 
     2.000000f,  2.414214f,  2.828427f,  5.146264f,  4.414214f,  3.414214f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  2.732051f,  2.414214f,  2.732051f, 
     3.146264f,  4.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  2.000000f,  1.732051f,  1.414214f,  1.732051f,  2.732051f, 
     6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  7.706742f,  6.974691f,  6.560478f,  4.146264f,  4.560478f,  5.560478f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.560478f, 
     4.242640f,  4.560478f,  9.146264f,  8.146264f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  8.146264f,  6.974691f,  7.292529f, 
     5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  4.146264f, 
     3.828427f,  4.146264f,  8.732051f,  7.732051f,  6.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  7.732051f,  6.560478f,  6.878315f, 
     4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.242640f,  5.560478f,  4.560478f,  4.146264f,  3.732051f, 
     3.414214f,  3.732051f,  4.146264f,  7.414214f,  6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  7.414214f,  6.146264f,  6.464102f, 
     3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.242640f,  4.242640f,  3.828427f,  3.414214f, 
     3.000000f,  3.414214f,  3.828427f,  7.732051f,  6.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  5.414214f,  5.732051f,  6.146264f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  4.560478f,  4.146264f,  3.732051f, 
     3.414214f,  3.732051f,  4.146264f,  5.560478f,  7.928203f,  7.464102f,  6.464102f,  6.146265f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  5.000000f,  5.414214f,  5.828427f, 
     2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  4.828427f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  4.878315f,  4.464102f,  4.146264f, 
     3.828427f,  4.146264f,  4.464102f,  5.242640f,  4.828427f,  4.414214f,  4.828427f,  7.560478f,  7.146264f,  6.732051f,  6.414214f,  3.732051f,  4.146264f,  4.560478f,  2.732051f,  2.414214f,  2.732051f,  5.414214f,  5.732051f,  6.146264f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  4.146264f,  3.828427f,  4.146264f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.196152f,  4.878315f,  4.560478f, 
     4.242640f,  4.560478f,  4.878315f,  5.560478f,  5.146264f,  4.732051f,  4.464102f,  4.146264f,  6.828427f,  6.414214f,  6.000000f,  6.414214f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  6.146264f,  6.464102f, 
     3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  6.292529f,  5.878315f,  7.560478f,  5.560478f, 
     5.242640f,  5.560478f,  5.878315f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  6.732051f,  6.414214f,  6.732051f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  6.560478f,  3.146264f, 
     4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.974691f,  6.560478f,  6.146264f, 
     5.732051f,  5.414214f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  6.828427f,  7.146264f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  2.414214f,  2.732051f, 
     5.464102f,  5.146264f,  4.828427f,  5.146264f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  4.732051f,  5.146264f,  5.560478f,  5.560478f,  5.974691f,  5.560478f,  5.146264f, 
     4.732051f,  4.414214f,  4.732051f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  7.242640f,  8.196152f,  7.196152f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  2.000000f,  2.414214f, 
     6.464102f,  6.146264f,  5.828427f,  6.610366f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  5.196152f,  4.878315f,  4.560478f,  5.560478f,  4.560478f,  4.146264f, 
     3.732051f,  3.414214f,  3.732051f,  4.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  7.878315f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  2.414214f,  2.732051f, 
     7.464102f,  6.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  3.146264f,  2.828427f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  4.878315f,  4.464102f,  4.146264f,  5.146264f,  4.146264f,  3.146264f, 
     2.732051f,  2.414214f,  2.732051f,  3.146264f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  7.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  2.828427f,  3.146264f, 
     7.414214f,  6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  4.146264f,  3.828427f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  2.732051f, 
     1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  7.242640f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.828427f,  4.146264f, 
     8.196152f,  6.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  5.146264f,  4.828427f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  2.414214f, 
     1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  7.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  4.828427f,  0.000000f, 
     7.196152f,  6.878315f,  6.560478f,  5.146264f,  4.146264f,  3.146264f,  6.146264f,  5.828427f,  2.732051f,  3.146264f,  4.146264f,  5.414214f,  5.732051f,  6.146264f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  2.732051f, 
     1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  7.878315f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  1.414214f,  1.000000f, 
     6.196152f,  5.878315f,  5.560478f,  5.242640f,  4.560478f,  4.146264f,  6.974691f,  5.974691f,  3.732051f,  4.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f, 
     2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  6.828427f,  7.388905f,  7.071068f,  7.388905f,  7.706742f,  8.024579f,  8.342417f,  8.660254f,  9.660254f,  4.242640f,  4.560478f,  2.000000f, 
     5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  4.560478f,  4.242640f,  4.560478f,  4.878315f, 
     3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.610366f,  7.292529f,  6.974691f,  6.656854f,  6.974691f,  7.292529f,  7.610366f,  7.928203f,  8.342417f,  9.342417f,  6.656854f,  5.560478f,  1.414214f, 
     4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  5.560478f,  5.146264f,  4.732051f, 
     4.414214f,  4.732051f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  7.610366f,  7.196152f,  6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  7.196152f,  7.610366f,  8.024579f,  9.024579f,  6.242640f,  6.560478f,  6.878315f, 
     3.732051f,  3.414214f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  5.242640f,  4.828427f,  4.414214f, 
     4.000000f,  4.414214f,  4.828427f,  6.146264f,  6.560478f,  6.974691f,  7.292529f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  7.706742f,  6.146264f,  5.828427f,  6.146264f,  6.464102f, 
     3.414214f,  3.000000f,  3.414214f,  3.828427f,  3.414214f,  3.828427f,  4.242640f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  5.146264f,  4.732051f, 
     4.414214f,  4.732051f,  5.146264f,  5.414214f,  5.828427f,  6.242640f,  6.974691f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  7.388905f,  5.732051f,  5.414214f,  5.732051f,  6.146264f, 
    12.292528f, 11.878315f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  4.560478f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  5.464102f,  5.146264f, 
     4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  6.656854f,  6.242640f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  6.656854f,  7.071068f,  5.414214f,  5.000000f,  5.414214f,  5.828427f, 
    11.292528f, 10.878315f, 10.464102f,  4.464102f,  4.878315f,  5.878315f,  4.878315f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  4.878315f,  6.292529f, 
     3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  6.974691f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  6.414214f,  6.732051f,  7.146264f,  5.732051f,  6.146264f, 
    10.292528f,  9.878315f,  9.464102f,  9.146264f,  5.196152f,  6.196152f,  7.196152f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  3.828427f,  4.242640f,  4.464102f,  5.878315f, 
     2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.464102f, 
     9.292528f,  8.878315f,  8.464102f,  8.146264f,  6.196152f,  6.610366f,  7.610366f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.146264f,  5.464102f, 
     2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  7.196152f,  6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f, 
     8.292528f,  7.878315f,  7.464102f,  7.146264f,  6.828427f,  7.610366f,  8.024579f,  6.974691f,  6.560478f,  6.146264f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  3.828427f,  5.146264f, 
     2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.146264f,  4.464102f,  7.292529f,  6.974691f,  6.656854f,  6.974691f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f, 
     7.292529f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  4.560478f,  4.146264f,  7.974691f,  6.000000f,  5.000000f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.732051f,  4.146264f,  4.560478f, 
     4.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  2.828427f,  3.146264f,  3.464102f,  7.706742f,  7.388905f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f, 
     6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  7.706742f,  7.292529f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  4.146264f,  4.464102f,  4.878315f, 
     4.732051f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  6.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f, 
     5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  4.464102f,  7.196152f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  4.560478f,  4.878315f,  5.196152f, 
     6.196152f,  3.414214f,  3.000000f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f, 
     5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  7.610366f,  7.292529f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  5.242640f,  5.560478f,  5.878315f,  6.196152f, 
     6.610366f,  4.414214f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f, 
     5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  3.414214f,  3.732051f,  4.146264f,  7.196152f, 
     7.610366f,  5.414214f,  4.464102f,  3.464102f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f, 
     4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.000000f,  3.000000f,  3.414214f,  3.828427f,  4.242640f, 
     5.242640f,  6.242640f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  3.000000f,  3.414214f, 
     5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f, 
     5.560478f,  5.196152f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.878315f,  4.732051f,  4.414214f,  2.828427f,  2.414214f,  2.000000f,  2.414214f, 
     5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  2.000000f,  2.414214f,  2.828427f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f, 
     5.878315f,  4.878315f,  5.878315f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  7.878315f,  3.414214f,  3.828427f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f, 
     6.196152f,  4.560478f,  5.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f, 
     6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  8.292528f,  9.292528f,  4.828427f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  3.414214f, 
     3.828427f,  4.242640f,  5.242640f,  5.146264f,  4.732051f,  5.146264f,  4.732051f,  4.414214f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     7.292529f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  7.706742f,  8.706742f,  9.706741f,  5.828427f,  7.196152f,  6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  3.732051f, 
     4.146264f,  4.560478f,  5.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f, 
     4.146264f,  3.828427f,  4.146264f,  4.464102f,  6.828427f,  7.146264f,  7.464102f,  7.878315f,  8.292528f,  8.706742f,  9.120955f, 10.120955f,  4.828427f,  5.146264f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f, 
     4.464102f,  4.878315f,  5.878315f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  2.414214f,  2.000000f,  3.000000f,  3.414214f, 
     4.560478f,  4.242640f,  4.560478f,  4.878315f,  7.828427f,  8.146264f,  8.464102f,  8.878315f,  9.292528f,  9.706741f, 10.120955f, 10.535169f, 11.535169f,  5.560478f,  6.146265f,  5.732051f,  5.414214f,  5.732051f,  4.242640f,  1.732051f, 
     2.732051f,  3.732051f,  4.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  1.414214f,  1.000000f,  1.414214f,  1.414214f, 
     1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.146264f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     2.414214f,  3.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  1.000000f,  0.000000f,  1.000000f,  1.000000f, 
     1.000000f,  1.414214f,  2.414214f,  4.146264f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     2.732051f,  3.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  1.000000f,  1.414214f,  1.000000f,  1.414214f,  2.414214f, 
     6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  7.196152f,  7.610366f,  8.024579f,  9.024579f,  6.878315f,  3.146264f,  4.146264f,  5.146264f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f, 
     3.464102f,  4.464102f,  8.828427f,  7.828427f,  6.828427f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f,  7.828427f,  8.828427f,  8.292528f, 
     5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  7.610366f,  6.292529f,  5.878315f,  5.464102f,  3.828427f,  4.828427f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     3.146264f,  4.146264f,  8.414213f,  7.414214f,  6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  7.414214f,  8.414213f,  7.878315f, 
     4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  7.196152f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f, 
     2.828427f,  4.732051f,  8.000000f,  7.000000f,  6.000000f,  5.000000f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.000000f,  6.000000f,  7.000000f,  7.146264f,  7.464102f, 
     4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     3.146264f,  3.732051f,  4.146264f,  7.414214f,  6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  7.414214f,  6.732051f,  7.146264f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  5.414214f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f, 
     3.464102f,  2.732051f,  3.146264f,  8.560478f,  7.560478f,  6.560478f,  6.146265f,  5.732051f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f,  7.828427f,  6.414214f,  6.828427f, 
     3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  4.732051f,  4.414214f,  4.732051f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.464102f,  4.146264f,  3.828427f,  5.146264f, 
     4.464102f,  1.732051f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.828427f,  4.732051f,  4.414214f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  2.000000f,  2.414214f,  2.828427f,  6.732051f,  7.146264f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.464102f,  5.146264f,  4.828427f,  5.560478f, 
     5.242640f,  1.414214f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  3.414214f,  3.732051f,  7.000000f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  7.146264f,  3.732051f, 
     4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  7.292529f,  6.610366f,  6.292529f,  5.974691f, 
     5.656854f,  1.732051f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  2.414214f,  2.732051f, 
     4.878315f,  4.560478f,  4.242640f,  4.560478f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  7.071068f,  6.656854f,  6.242640f,  5.828427f, 
     5.414214f,  5.000000f,  6.196153f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  1.414214f,  1.732051f, 
     5.878315f,  5.560478f,  5.242640f,  5.560478f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  5.146264f,  5.464102f,  5.878315f,  5.974691f,  5.656854f,  5.242640f,  4.828427f, 
     4.414214f,  4.000000f,  4.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  8.610366f,  7.610366f,  6.610366f,  6.196152f,  5.878315f,  5.560478f,  2.828427f,  1.000000f,  1.414214f, 
     6.878315f,  6.560478f,  6.242640f,  5.464102f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  7.732051f,  5.878315f,  5.560478f,  5.242640f,  4.242640f,  3.828427f, 
     3.414214f,  3.000000f,  3.414214f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  8.292528f,  7.292529f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  1.414214f,  1.732051f, 
     7.878315f,  7.146265f,  6.146265f,  5.146265f,  4.146265f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  3.828427f,  2.828427f, 
     2.414214f,  2.000000f,  2.414214f,  2.828427f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  7.974691f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  2.414214f,  2.732051f, 
     8.878315f,  6.828427f,  5.828427f,  4.828427f,  3.828427f,  4.146264f,  3.732051f,  3.414214f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  3.414214f,  2.414214f, 
     1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  6.656854f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  3.414214f,  3.732051f, 
     8.610366f,  7.146265f,  6.146265f,  5.146265f,  4.146265f,  5.146264f,  4.732051f,  4.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  3.000000f,  2.000000f, 
     1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.414214f,  4.732051f, 
     7.610366f,  7.292529f,  6.464102f,  5.464102f,  4.464102f,  4.146264f,  5.732051f,  5.414214f,  3.146264f,  3.464102f,  4.464102f,  5.000000f,  5.414214f,  5.828427f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  3.414214f,  2.414214f, 
     1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  7.292529f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.414214f,  5.732051f, 
     5.146264f,  4.828427f,  5.146264f,  5.464102f,  4.878315f,  4.560478f,  6.732051f,  5.656854f,  4.146264f,  4.464102f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  2.828427f, 
     2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.732051f,  6.414214f,  6.732051f,  8.071068f,  8.388905f,  8.706742f,  9.024579f,  9.342417f,  9.660254f,  5.560478f,  5.242640f,  6.414214f,  0.000000f, 
     4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.560478f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  5.560478f,  5.242640f,  5.560478f,  3.828427f, 
     3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  7.732051f,  8.292528f,  7.974691f,  7.656854f,  7.974691f,  8.292528f,  8.610366f,  8.928203f,  9.342417f,  6.146264f,  6.464102f,  6.878315f,  1.000000f, 
     3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  5.656854f,  6.146264f,  4.828427f, 
     4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  6.656854f,  8.196152f,  7.878315f,  7.560478f,  7.242640f,  7.560478f,  7.878315f,  8.196152f,  8.610366f,  9.024579f,  5.146264f,  5.464102f,  5.878315f,  6.292529f, 
     2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.242640f,  5.828427f,  5.414214f, 
     5.000000f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  6.656854f,  8.292528f,  7.878315f,  7.464102f,  7.146264f,  6.828427f,  7.146264f,  7.464102f,  7.878315f,  8.292528f,  8.706742f,  4.146264f,  4.464102f,  4.878315f,  5.878315f, 
     2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.000000f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.000000f,  6.000000f,  6.146264f,  5.732051f, 
     5.414214f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  7.974691f,  7.560478f,  7.146264f,  6.732051f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  7.974691f,  8.388905f,  3.146264f,  3.464102f,  4.464102f,  5.464102f, 
    12.610365f, 12.196152f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  5.464102f,  6.146264f, 
     5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  7.242640f,  6.828427f,  6.414214f,  6.000000f,  6.414214f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f, 
    11.610365f, 11.196152f, 10.878315f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  4.146264f,  4.464102f,  4.878315f, 
     4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  7.560478f,  7.146264f,  6.732051f,  6.414214f,  6.732051f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f, 
    10.610365f, 10.196152f,  9.878315f,  9.560477f,  4.878315f,  5.878315f,  6.878315f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  4.146264f,  3.146264f,  3.464102f,  4.464102f, 
     3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  7.878315f,  7.464102f,  7.146264f,  6.828427f,  7.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f, 
     9.610365f,  9.196152f,  8.878315f,  8.560477f,  5.878315f,  6.292529f,  7.292529f,  8.292528f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  2.414214f,  2.732051f,  3.146264f,  2.732051f,  3.146264f,  4.146264f, 
     2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.878315f,  7.878315f,  7.560478f,  7.242640f,  7.560478f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  5.878315f,  6.292529f, 
     8.610366f,  8.196152f,  7.878315f,  7.560478f,  7.242640f,  7.292529f,  7.706742f,  8.706742f,  6.242640f,  5.828427f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  2.414214f,  2.828427f,  3.828427f, 
     2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.560478f,  4.878315f,  8.292528f,  7.974691f,  7.656854f,  7.974691f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f, 
     7.610366f,  7.196152f,  6.878315f,  6.560478f,  6.242640f,  4.146264f,  3.146264f,  2.732051f,  7.242640f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  2.732051f,  3.146264f,  4.146264f, 
     5.146264f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.146264f,  4.464102f,  4.878315f,  7.464102f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f, 
     6.610366f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  2.828427f,  2.414214f,  2.000000f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.828427f,  3.146264f,  3.464102f,  4.464102f, 
     5.464102f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f, 
     6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.828427f,  4.146264f,  4.464102f,  4.878315f, 
     5.878315f,  3.732051f,  3.414214f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  3.828427f,  4.242640f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f, 
     5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  2.732051f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  5.146265f,  4.828427f,  5.146264f,  5.464102f,  5.878315f, 
     6.292529f,  4.732051f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f, 
     5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  2.414214f,  2.732051f,  3.146264f,  6.878315f, 
     7.292529f,  7.706742f,  4.878315f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  4.732051f, 
     5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f, 
     4.828427f,  5.828427f,  5.000000f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.000000f,  6.000000f,  4.146264f,  3.828427f,  4.146264f,  3.732051f,  3.414214f,  3.732051f, 
     5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f, 
     5.146264f,  6.146264f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.732051f,  3.146264f,  4.146264f,  6.146264f,  6.560478f,  6.974691f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     3.146264f,  2.828427f,  3.146264f,  4.146264f,  4.464102f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f, 
     5.464102f,  6.464102f,  7.464102f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.000000f,  2.414214f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     2.732051f,  2.414214f,  2.732051f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  7.196152f,  8.196152f,  3.732051f,  4.146264f,  4.560478f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f, 
     5.878315f,  6.878315f,  4.464102f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     2.414214f,  2.000000f,  2.414214f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  7.610366f,  8.610366f,  4.732051f,  5.146264f,  5.560478f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  3.146264f, 
     2.828427f,  3.146264f,  3.464102f,  4.828427f,  4.414214f,  4.828427f,  4.414214f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     2.732051f,  2.414214f,  2.732051f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  7.196152f,  7.610366f,  8.024579f,  9.024579f, 10.024579f,  6.146264f,  6.560478f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  2.732051f, 
     2.414214f,  2.732051f,  3.146264f,  3.828427f,  3.414214f,  3.000000f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     3.146264f,  2.828427f,  3.146264f,  3.464102f,  7.242640f,  7.560478f,  7.878315f,  8.196152f,  8.610366f,  9.024579f,  9.438792f, 10.438792f, 11.438792f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f, 
     2.000000f,  2.414214f,  2.828427f,  2.828427f,  2.414214f,  2.000000f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  4.146264f,  3.732051f,  3.414214f,  3.732051f, 
     4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  8.560477f,  8.878315f,  9.196152f,  9.610365f, 10.024579f, 10.438792f, 10.853005f, 11.853005f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     2.414214f,  3.414214f,  4.414214f,  5.414214f,  1.414214f,  1.000000f,  1.414214f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  1.732051f,  1.414214f,  1.732051f,  1.000000f, 
     1.000000f,  4.828427f,  3.146264f,  2.732051f,  3.146264f,  4.146264f,  9.878315f,  1.732051f,  1.414214f,  1.732051f,  3.414214f,  3.732051f,  4.732051f,  5.000000f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f, 
     2.000000f,  3.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  1.414214f,  1.000000f,  1.414214f,  0.000000f, 
     0.000000f,  1.000000f,  3.464102f,  3.146264f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  3.000000f,  3.414214f,  4.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     2.414214f,  3.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  0.000000f,  1.732051f,  1.414214f,  1.732051f,  2.732051f, 
     7.292529f,  6.974691f,  6.656854f,  6.974691f,  7.292529f,  7.610366f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     3.146264f,  4.146264f,  9.146264f,  8.146264f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  8.146264f,  9.146264f,  1.414214f, 
     6.292529f,  5.974691f,  5.656854f,  5.974691f,  6.292529f,  6.610366f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     2.732051f,  3.732051f,  8.732051f,  7.732051f,  6.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  7.732051f,  8.732051f,  1.000000f, 
     5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     2.414214f,  3.414214f,  8.414213f,  7.414214f,  6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  7.414214f,  8.414213f,  8.464102f, 
     5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.414214f,  6.000000f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     2.732051f,  3.414214f,  3.828427f,  7.732051f,  6.732051f,  5.732051f,  4.732051f,  6.414214f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  7.732051f,  8.732051f,  8.146264f, 
     5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.414214f,  5.000000f,  5.414214f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     3.146264f,  2.414214f,  2.828427f,  8.146265f,  7.146265f,  6.146265f,  5.146265f,  5.414214f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  8.146264f,  7.414214f,  7.828427f, 
     4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f, 
     4.146264f,  1.414214f,  2.414214f,  3.828427f,  2.828427f,  2.414214f,  4.828427f,  4.414214f,  4.000000f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  2.732051f,  3.146264f,  4.146264f,  4.414214f, 
     5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  1.000000f, 
     0.000000f,  1.000000f,  2.000000f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  3.414214f,  3.000000f,  3.414214f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.000000f,  3.414214f, 
     5.464102f,  5.146264f,  4.828427f,  5.146264f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  4.414214f,  3.414214f,  2.414214f,  1.414214f, 
     1.000000f,  1.414214f,  2.414214f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  5.732051f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  2.000000f,  2.414214f, 
     5.878315f,  5.560478f,  5.242640f,  5.560478f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  4.560478f,  4.878315f,  6.732051f,  6.414214f,  6.732051f,  6.560478f,  6.146264f, 
     5.732051f,  2.414214f,  2.828427f,  4.878315f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  1.000000f,  1.414214f, 
     6.292529f,  5.974691f,  5.656854f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.000000f,  6.000000f,  5.878315f,  6.196153f,  5.414214f,  5.732051f,  5.560478f,  5.146264f, 
     4.732051f,  4.414214f,  3.828427f,  5.000000f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  1.000000f,  0.000000f,  1.000000f, 
     7.292529f,  6.974691f,  6.656854f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  7.414214f,  4.732051f,  4.414214f,  4.732051f,  4.560478f,  4.146264f, 
     3.732051f,  3.414214f,  3.732051f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  7.706742f,  7.292529f,  6.878315f,  6.464102f,  6.146264f,  1.414214f,  1.000000f,  1.414214f, 
     8.292528f,  7.560478f,  6.560478f,  5.560478f,  5.146265f,  2.828427f,  2.414214f,  2.000000f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  6.878315f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  3.146264f, 
     2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  7.388905f,  6.974691f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  2.000000f,  2.414214f, 
     9.292528f,  7.242641f,  6.242641f,  5.242641f,  4.828427f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  7.242640f,  6.560478f,  2.732051f,  2.414214f,  2.732051f,  3.732051f,  2.732051f, 
     1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  7.071068f,  6.656854f,  6.242640f,  5.828427f,  5.414214f,  5.000000f,  3.000000f,  3.414214f, 
     9.024579f,  7.560478f,  6.560478f,  5.560478f,  5.146265f,  4.828427f,  4.414214f,  4.000000f,  3.732051f,  4.146264f,  4.560478f,  6.414214f,  6.560478f,  7.560478f,  6.242640f,  1.732051f,  1.414214f,  1.732051f,  3.414214f,  2.414214f, 
     1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  7.388905f,  6.974691f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  4.000000f,  4.414214f, 
     5.732051f,  5.414214f,  5.732051f,  5.878315f,  5.464102f,  5.146264f,  5.414214f,  5.000000f,  4.146264f,  4.464102f,  4.878315f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  1.414214f,  1.000000f,  1.414214f,  3.732051f,  2.732051f, 
     1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  7.706742f,  7.292529f,  6.878315f,  6.464102f,  6.146264f,  5.828427f,  5.000000f,  5.414214f, 
     4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.560478f,  6.414214f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  1.732051f,  1.414214f,  1.732051f,  4.146264f,  3.146264f, 
     2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  6.414214f,  6.000000f,  6.414214f,  6.828427f,  7.974691f,  9.706741f, 10.024579f,  6.732051f,  6.414214f,  6.732051f,  6.242640f,  1.414214f,  1.732051f, 
     3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.974691f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  2.414214f,  2.732051f,  4.560478f,  4.146264f, 
     3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.414214f,  7.000000f,  8.974691f,  7.388905f,  6.974691f,  9.292528f,  9.610365f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  1.000000f,  1.414214f, 
     2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  3.732051f,  5.560478f,  5.146264f, 
     4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  7.974691f,  8.878315f,  8.560477f,  6.974691f,  5.974691f,  8.878315f,  9.196152f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  1.732051f, 
     1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  6.560478f,  6.146264f, 
     5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  7.388905f,  8.878315f,  8.464102f,  7.560478f,  6.560478f,  5.560478f,  8.464102f,  8.878315f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f, 
     1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  7.146264f,  6.732051f, 
     6.414214f,  6.414214f,  6.732051f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  8.560477f,  8.146264f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f, 
     1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  4.732051f,  5.146264f,  5.560478f, 
     5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  8.242640f,  7.828427f,  7.414214f,  7.000000f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f, 
    11.928203f, 11.610365f, 11.292528f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  3.732051f,  4.146264f,  4.560478f, 
     4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  8.560477f,  8.146264f,  7.732051f,  7.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f, 
    10.928203f, 10.610365f, 10.292528f,  9.974690f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  2.414214f,  2.732051f,  3.146264f,  4.146264f, 
     3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  8.878315f,  8.464102f,  8.146264f,  7.828427f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f, 
     9.928203f,  9.610365f,  9.292528f,  8.974691f,  5.560478f,  5.974691f,  6.974691f,  7.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  2.828427f,  3.146264f,  1.414214f,  1.732051f,  2.732051f,  3.732051f, 
     4.732051f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.292529f,  8.146264f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f, 
     8.928203f,  8.610366f,  8.292528f,  7.974691f,  7.656854f,  6.974691f,  7.388905f,  2.732051f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  1.000000f,  1.414214f,  2.414214f,  3.414214f, 
     4.414214f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  5.560478f,  5.878315f,  6.196153f,  7.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  5.196152f,  6.196152f, 
     7.928203f,  7.610366f,  7.292529f,  6.974691f,  6.656854f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f, 
     4.732051f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f, 
     6.928203f,  6.610366f,  6.292529f,  5.974691f,  5.656854f,  5.974691f,  2.414214f,  1.414214f,  1.000000f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f, 
     5.146264f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  6.974691f,  6.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f, 
     6.610366f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f, 
     5.560478f,  6.560478f,  3.828427f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f, 
     6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  5.146265f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f, 
     5.974691f,  6.974691f,  5.560478f,  5.146264f,  4.732051f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f, 
     5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  2.414214f,  2.732051f,  5.464102f,  5.146264f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  6.560478f, 
     6.974691f,  7.388905f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.560478f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.146264f, 
     4.732051f,  4.414214f,  4.732051f,  5.146264f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  6.656854f,  2.000000f,  2.414214f,  2.828427f,  6.146264f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f, 
     4.414214f,  5.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  4.560478f,  4.242640f,  4.560478f,  4.146264f,  3.828427f,  4.146264f, 
     3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  6.974691f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f, 
     4.732051f,  5.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.656854f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f, 
     2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  8.292528f,  3.146264f,  3.464102f,  4.464102f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f, 
     5.146264f,  6.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.242640f,  5.656854f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  7.610366f,  8.610366f,  4.146264f,  4.464102f,  4.878315f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f, 
     5.560478f,  3.732051f,  4.146264f,  5.560478f,  4.560478f,  4.146264f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f, 
     1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  6.292529f,  6.610366f,  6.928203f,  7.928203f,  8.928203f,  5.146264f,  5.464102f,  5.878315f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  2.732051f, 
     2.414214f,  2.732051f,  3.146264f,  5.146264f,  4.732051f,  5.146264f,  3.146264f,  2.732051f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  7.292529f,  7.610366f,  7.928203f,  8.342417f,  9.342417f, 10.342416f,  6.464102f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  2.732051f,  1.732051f, 
     1.414214f,  1.732051f,  2.732051f,  4.146264f,  3.732051f,  3.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  3.464102f,  3.146264f,  2.828427f,  3.146264f, 
     2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  8.292528f,  8.610366f,  8.928203f,  9.342417f,  9.756630f, 10.756630f, 11.756629f,  7.560478f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  1.414214f, 
     1.000000f,  1.414214f,  2.414214f,  3.146264f,  2.732051f,  2.414214f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.000000f,  4.464102f,  4.146264f,  3.828427f,  4.146264f, 
     3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  9.292528f,  9.610365f,  2.828427f,  3.146264f,  2.828427f,  3.146264f, 12.170843f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     1.414214f,  1.732051f,  2.732051f,  3.732051f,  1.732051f,  1.414214f,  1.732051f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  3.732051f,  2.732051f,  1.732051f,  1.414214f, 
     4.732051f,  3.732051f,  2.732051f,  1.732051f,  5.560478f,  5.974691f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     2.414214f,  3.414214f,  4.414214f,  5.414214f,  1.414214f,  1.000000f,  1.414214f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  1.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f, 
     1.000000f,  1.414214f,  6.560478f,  2.732051f,  2.414214f,  6.974691f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     2.732051f,  3.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  1.414214f,  1.000000f,  2.732051f,  2.414214f,  2.732051f,  1.414214f, 
     7.706742f,  7.388905f,  7.071068f,  7.388905f,  7.706742f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f, 
     2.828427f,  3.828427f,  4.828427f,  8.464102f,  7.464102f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  7.464102f,  8.464102f,  9.464102f,  1.000000f, 
     7.292529f,  6.974691f,  6.656854f,  6.974691f,  7.292529f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     2.414214f,  3.414214f,  4.414214f,  8.146264f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  8.146264f,  9.146264f,  0.000000f, 
     6.878315f,  6.560478f,  6.242640f,  6.560478f,  6.878315f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.000000f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f, 
     2.000000f,  3.000000f,  4.000000f,  7.828427f,  6.828427f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f,  7.828427f,  8.828427f,  1.000000f, 
     6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     2.414214f,  3.732051f,  4.146264f,  8.146264f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  8.146264f,  9.146264f,  2.000000f, 
     6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f, 
     2.828427f,  2.732051f,  3.146264f,  7.146265f,  7.464102f,  6.464102f,  5.560478f,  5.732051f,  5.414214f,  5.732051f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  7.464102f,  8.464102f,  9.464102f,  5.732051f, 
     5.828427f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  4.828427f,  4.414214f,  4.000000f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f, 
     3.828427f,  1.732051f,  2.732051f,  3.414214f,  2.414214f,  1.414214f,  6.560478f,  4.732051f,  4.414214f,  4.732051f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  7.878315f,  3.464102f,  4.464102f,  4.732051f, 
     6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  4.732051f,  4.414214f,  4.732051f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  1.414214f, 
     1.000000f,  1.414214f,  2.414214f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  3.732051f,  3.414214f,  3.732051f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  2.414214f,  2.732051f,  3.146264f,  3.414214f,  3.732051f, 
     6.464102f,  6.146264f,  5.828427f,  6.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  4.828427f,  5.146264f,  6.656854f,  6.242640f,  1.414214f,  1.732051f,  2.732051f,  1.732051f, 
     1.414214f,  1.732051f,  2.732051f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  6.146264f,  6.464102f,  6.878315f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  2.414214f,  2.732051f, 
     6.878315f,  6.560478f,  6.242640f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  5.560478f,  5.878315f,  6.414214f,  6.000000f,  6.414214f,  6.828427f,  7.242640f, 
     2.414214f,  2.732051f,  3.146264f,  4.560478f,  4.146264f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     7.292529f,  6.974691f,  6.656854f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  6.414214f,  1.732051f,  5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f, 
     5.146264f,  4.828427f,  4.146264f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  3.464102f,  3.146264f,  2.828427f,  2.414214f,  2.732051f,  1.000000f,  1.414214f, 
     7.706742f,  7.388905f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  7.732051f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f, 
     4.146264f,  3.828427f,  4.146264f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  8.292528f,  7.878315f,  1.732051f,  1.414214f,  1.732051f,  1.414214f,  1.732051f, 
     8.706742f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f, 
     3.146264f,  2.828427f,  3.146264f,  3.464102f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  7.974691f,  7.560478f,  7.146264f,  1.000000f,  1.414214f,  2.414214f,  2.732051f, 
     7.414214f,  7.656855f,  6.656855f,  6.242641f,  5.828427f,  4.146264f,  3.732051f,  3.414214f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  6.656854f,  7.656854f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f, 
     2.732051f,  2.414214f,  2.732051f,  3.146264f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  7.656854f,  7.242640f,  6.828427f,  1.414214f,  1.732051f,  3.414214f,  3.732051f, 
     6.414214f,  6.000000f,  6.414214f,  6.560478f,  6.146265f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  6.828427f,  7.146264f,  7.974691f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f, 
     2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  7.974691f,  7.560478f,  7.146264f,  2.414214f,  2.732051f,  3.000000f,  3.414214f, 
     5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.464102f,  6.146264f,  5.732051f,  5.414214f,  5.146264f,  5.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f, 
     2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  8.292528f,  7.878315f,  7.464102f,  3.414214f,  3.732051f,  2.000000f,  2.414214f, 
     4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  6.560478f,  6.732051f,  6.292529f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f, 
     3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  7.146264f,  6.732051f,  6.414214f,  6.732051f,  7.146264f,  7.560478f,  7.242640f,  6.828427f,  6.414214f,  6.000000f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f, 
     4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  7.732051f,  7.414214f,  7.732051f,  7.071068f,  6.656854f,  6.242640f,  5.828427f,  5.414214f,  5.000000f,  5.414214f,  1.000000f,  0.000000f,  1.000000f, 
     2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  3.000000f,  3.414214f,  3.828427f,  4.242640f, 
     5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  7.292529f,  8.292528f,  8.414213f,  7.656854f,  6.656854f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  1.000000f,  1.414214f, 
     1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  4.414214f,  4.828427f,  5.242640f, 
     6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  7.706742f,  5.560478f,  8.242640f,  7.242640f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  2.414214f, 
     1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.000000f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  1.000000f,  1.414214f,  5.146264f, 
     4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  7.828427f,  6.828427f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.146264f, 
     1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  4.414214f,  1.732051f,  4.732051f, 
     3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  7.414214f,  6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  3.146264f, 
     2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  6.828427f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  3.000000f,  3.414214f,  3.828427f,  4.242640f, 
     3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  7.000000f,  6.000000f,  5.000000f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  2.732051f, 
    11.342416f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  7.242640f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.242640f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f, 
     3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  7.414214f,  6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  2.414214f, 
    10.342416f,  4.000000f,  4.414214f,  4.828427f,  5.242640f,  5.656854f,  6.656854f,  3.414214f,  3.000000f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  3.828427f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f, 
     4.414214f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.828427f,  6.828427f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  2.732051f, 
     5.414214f,  5.000000f,  5.414214f,  5.828427f,  6.242640f,  6.656854f,  2.828427f,  2.414214f,  2.000000f,  6.464102f,  6.146264f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f, 
     4.000000f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.878315f,  7.196153f,  7.242640f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  3.146264f, 
     6.414214f,  6.000000f,  6.414214f,  6.828427f,  7.242640f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f, 
     4.414214f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.464102f,  6.878315f,  7.292529f,  6.656854f,  5.656854f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  3.732051f,  4.146264f, 
     7.414214f,  7.000000f,  7.414214f,  7.828427f,  4.000000f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f, 
     4.828427f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  5.878315f,  6.656854f,  6.242640f,  5.828427f,  5.414214f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  2.732051f, 
     8.414213f,  8.000000f,  6.878315f,  6.560478f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f, 
     5.242640f,  6.242640f,  4.242640f,  4.560478f,  5.414214f,  5.000000f,  5.414214f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  6.242640f,  7.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  1.414214f,  2.414214f, 
     6.414214f,  6.000000f,  6.414214f,  6.828427f,  5.828427f,  3.828427f,  6.464102f,  5.146264f,  4.732051f,  7.706742f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.242640f, 
     5.656854f,  6.656854f,  5.242640f,  6.146264f,  5.732051f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.828427f,  5.242640f,  5.656854f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  1.414214f,  1.732051f,  2.732051f, 
     5.414214f,  5.000000f,  5.414214f,  5.828427f,  5.414214f,  5.732051f,  6.146264f,  4.146264f,  3.732051f,  7.388905f,  3.414214f,  3.732051f,  5.878315f,  5.560478f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  6.242640f, 
     6.656854f,  7.071068f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  6.242640f,  5.146264f,  4.828427f,  2.732051f,  2.414214f,  2.732051f,  3.146264f, 
     4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.000000f,  5.414214f,  5.828427f,  3.146264f,  2.732051f,  7.071068f,  3.000000f,  3.414214f,  3.828427f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f, 
     4.000000f,  5.000000f,  0.000000f,  4.828427f,  3.828427f,  2.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  2.732051f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f, 
     3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.732051f,  6.146264f,  2.732051f,  1.732051f,  7.388905f,  8.388905f,  3.732051f,  4.146264f,  4.560478f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f, 
     4.414214f,  5.414214f,  1.000000f,  5.146265f,  4.146265f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  1.732051f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f, 
     2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  6.146264f,  6.464102f,  6.878315f,  1.414214f,  7.706742f,  8.706742f,  4.146264f,  4.464102f,  4.878315f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f, 
     4.828427f,  5.828427f,  2.000000f,  5.464102f,  4.464102f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  5.000000f,  1.414214f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f, 
     1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  6.560478f,  6.878315f,  7.196152f,  7.610366f,  8.024579f,  9.024579f,  4.560478f,  4.878315f,  5.196152f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f, 
     3.000000f,  3.414214f,  3.828427f,  4.242640f,  4.878315f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.146264f,  4.560478f,  5.560478f,  1.414214f,  3.828427f,  3.414214f,  3.000000f,  3.414214f, 
     1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  7.292529f,  7.610366f,  7.928203f,  8.342417f,  9.342417f, 10.342416f,  5.878315f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  2.414214f, 
     2.000000f,  2.414214f,  2.828427f,  3.828427f,  5.146264f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  4.146264f,  3.732051f,  3.414214f,  3.732051f, 
     1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  7.706742f,  8.024579f,  8.342417f,  8.660254f,  9.660254f, 10.660254f,  6.878315f,  6.242640f,  5.828427f,  5.414214f,  5.000000f,  3.414214f,  2.414214f,  1.414214f, 
     1.000000f,  1.414214f,  2.414214f,  4.464102f,  4.146264f,  3.828427f,  3.828427f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  4.464102f,  4.146264f,  3.828427f,  4.146264f, 
     2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  8.706742f,  9.024579f,  9.342417f,  9.660254f, 10.074467f, 11.074467f, 12.074467f,  7.242640f,  6.828427f,  4.464102f,  3.464102f,  3.000000f,  2.000000f,  1.000000f, 
     0.000000f,  1.000000f,  2.000000f,  3.464102f,  3.146264f,  2.828427f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  4.878315f,  4.560478f,  4.242640f,  4.560478f, 
     4.828427f,  3.828427f,  2.828427f,  3.828427f,  0.000000f,  1.000000f,  2.000000f,  4.146265f,  3.828427f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  1.414214f, 
     1.000000f,  1.414214f,  2.414214f,  3.414214f,  2.732051f,  2.414214f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  4.146264f,  3.146264f,  2.732051f,  2.414214f, 
     2.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  4.146264f,  3.732051f,  3.414214f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f, 
     2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  2.000000f,  2.414214f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  2.732051f,  2.414214f,  4.146265f,  2.828427f,  2.414214f,  2.000000f, 
     2.000000f,  2.414214f,  7.560478f,  2.414214f,  2.000000f,  2.414214f,  3.828427f,  3.414214f,  3.000000f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     3.146264f,  4.146264f,  5.146264f,  4.242640f,  5.242640f,  1.414214f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  2.414214f,  2.000000f,  3.732051f,  3.414214f,  3.732051f,  2.414214f, 
     8.706742f,  8.388905f,  8.071068f,  8.388905f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.878315f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  1.414214f, 
     8.292528f,  7.974691f,  7.656854f,  7.974691f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  6.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     2.732051f,  3.732051f,  4.732051f,  5.732051f,  7.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  5.828427f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  1.000000f, 
     7.878315f,  7.560478f,  7.242640f,  7.560478f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     2.414214f,  3.414214f,  4.414214f,  5.414214f,  7.242640f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  4.828427f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f, 
     7.464102f,  7.146264f,  6.828427f,  7.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  6.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     2.732051f,  4.146264f,  4.464102f,  5.732051f,  7.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.828427f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  7.560478f,  1.414214f,  2.414214f,  3.414214f, 
     7.146264f,  6.732051f,  6.414214f,  6.732051f,  7.146264f,  6.464102f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f, 
     3.146264f,  3.146264f,  3.464102f,  6.732051f,  7.878315f,  6.878315f,  5.878315f,  1.414214f,  2.414214f,  3.414214f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  7.878315f,  2.414214f,  2.828427f,  3.828427f, 
     6.828427f,  6.414214f,  6.000000f,  6.414214f,  5.878315f,  5.464102f,  5.146264f,  4.732051f,  5.146264f,  4.732051f,  5.146264f,  0.000000f,  7.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f, 
     4.146264f,  2.732051f,  3.146264f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  7.196152f,  8.196152f,  3.414214f,  3.828427f,  5.146264f, 
     7.146264f,  6.732051f,  6.414214f,  6.732051f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  7.974691f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  2.414214f, 
     2.000000f,  2.414214f,  2.828427f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  0.000000f,  5.878315f,  6.196152f,  6.610366f,  7.610366f,  5.000000f,  5.414214f,  5.828427f,  4.146264f, 
     7.464102f,  7.146264f,  6.828427f,  7.146264f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  3.414214f,  7.388905f,  6.974691f,  6.560478f,  1.000000f,  1.414214f,  2.414214f,  2.732051f, 
     2.414214f,  2.732051f,  3.146264f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.146264f,  3.464102f,  6.560478f,  6.878315f,  7.196152f,  7.610366f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  3.146264f, 
     7.878315f,  7.560478f,  7.242640f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  2.000000f,  2.414214f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.146264f, 
     2.828427f,  3.146264f,  3.464102f,  4.242640f,  3.828427f,  3.414214f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  7.560478f,  7.878315f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  2.732051f, 
     8.292528f,  7.974691f,  5.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  1.000000f,  1.414214f,  1.414214f,  5.414214f,  5.732051f,  6.146264f,  6.560478f, 
     6.974691f,  4.146264f,  4.464102f,  5.242640f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  2.414214f, 
     8.706742f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  0.000000f,  1.000000f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f, 
     5.974691f,  4.242640f,  5.464102f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  0.000000f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  2.732051f, 
     9.120955f,  7.464102f,  6.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  6.464102f,  1.000000f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f, 
     5.560478f,  3.828427f,  4.146264f,  4.464102f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  5.464102f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.146264f, 
     7.732051f,  7.414214f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  6.656854f,  7.071068f,  2.000000f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f, 
     5.146264f,  3.414214f,  3.732051f,  4.146264f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  2.000000f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f, 
     6.732051f,  6.414214f,  6.732051f,  7.146264f,  7.146265f,  7.560478f,  7.146265f,  6.146265f,  5.732051f,  6.146264f,  6.560478f,  7.242640f,  7.560478f,  3.000000f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f, 
     3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.878315f,  5.464102f,  5.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.292529f,  1.000000f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  3.414214f,  3.732051f, 
     5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  7.146264f,  7.464102f,  6.464102f,  6.146264f,  6.464102f,  6.878315f,  6.242640f,  6.560478f,  6.878315f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f, 
     3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.464102f,  6.146264f,  5.828427f,  6.146264f,  6.464102f,  6.878315f,  7.292529f,  0.000000f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  2.414214f,  2.732051f, 
     4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  7.878315f,  6.878315f,  6.196152f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f, 
     4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  6.878315f,  7.146264f,  6.828427f,  7.146264f,  7.464102f,  7.878315f,  7.560478f,  7.146264f,  1.414214f,  4.414214f,  2.732051f,  1.732051f,  1.414214f,  1.732051f, 
     3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  8.292528f,  6.196152f,  5.196152f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f, 
     4.560478f,  4.242640f,  4.560478f,  4.878315f,  5.196152f,  6.196152f,  7.196152f,  8.146264f,  7.828427f,  8.146264f,  7.388905f,  6.974691f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f, 
     2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.878315f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  4.878315f,  5.878315f,  3.414214f,  3.732051f,  4.146264f,  4.560478f, 
     5.560478f,  5.242640f,  5.560478f,  5.878315f,  6.196152f,  6.610366f,  1.000000f,  1.414214f,  2.414214f,  7.974691f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  1.732051f,  1.414214f,  1.732051f, 
     1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  1.414214f,  1.000000f,  5.146264f,  5.560478f, 
     5.974691f,  6.242640f,  6.560478f,  6.878315f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  8.560477f,  7.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  2.414214f,  2.732051f, 
     1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  1.414214f,  1.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f, 
     3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  8.146264f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  3.414214f,  3.732051f, 
     1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  6.732051f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  1.000000f,  0.000000f,  1.414214f,  1.000000f,  1.414214f,  4.414214f, 
     3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  7.732051f,  6.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  2.414214f,  2.828427f, 
     2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  1.414214f,  1.000000f,  1.414214f,  2.000000f,  2.414214f,  4.000000f, 
     3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  4.000000f,  7.414214f,  6.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  1.414214f,  2.414214f, 
     1.000000f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  4.732051f,  4.414214f,  4.878315f,  4.560478f,  4.242640f,  4.560478f,  4.878315f,  2.414214f,  2.000000f,  2.414214f,  2.732051f,  3.146264f,  4.414214f, 
     3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  7.732051f,  6.732051f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  0.000000f,  1.000000f,  2.000000f, 
     0.000000f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  4.146264f,  3.732051f,  3.414214f,  5.878315f,  5.560478f,  5.242640f,  5.560478f,  5.878315f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f, 
     3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  7.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  1.000000f,  1.414214f,  2.414214f, 
     5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  6.560478f,  5.560478f,  5.146264f,  4.732051f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f, 
     4.414214f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  4.242640f,  5.242640f,  8.196153f,  7.560478f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  2.000000f,  2.414214f,  0.000000f, 
     6.732051f,  6.414214f,  6.732051f,  7.146264f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  5.656854f,  5.242640f,  4.828427f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f, 
     4.732051f,  5.732051f,  4.414214f,  4.000000f,  4.414214f,  4.828427f,  5.974691f,  6.974691f,  7.878315f,  8.292528f,  6.974691f,  5.974691f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  3.000000f,  3.414214f,  2.828427f, 
     8.732051f,  8.414213f,  8.732051f,  8.146264f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  5.974691f,  5.560478f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f, 
     5.146264f,  6.146264f,  4.828427f,  5.146264f,  5.464102f,  5.878315f,  6.732051f,  7.146264f,  7.560478f,  6.732051f,  7.146264f,  7.560478f,  6.560478f,  6.146264f,  5.732051f,  5.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f, 
     7.732051f,  7.414214f,  7.732051f,  8.146264f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  5.878315f,  5.464102f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f, 
     5.560478f,  6.560478f,  5.242640f,  5.560478f,  6.414214f,  6.000000f,  4.560478f,  4.242640f,  5.414214f,  5.732051f,  6.146264f,  6.560478f,  6.974691f,  7.146264f,  6.732051f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f, 
     6.732051f,  6.414214f,  6.732051f,  7.146264f,  6.828427f,  4.146265f,  5.242640f,  4.828427f,  4.414214f,  4.000000f,  3.146264f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f, 
     5.974691f,  6.974691f,  5.656854f,  7.146264f,  6.732051f,  4.464102f,  4.146264f,  4.732051f,  4.414214f,  4.732051f,  5.146264f,  5.560478f,  5.974691f,  1.000000f,  0.000000f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f, 
     5.732051f,  5.414214f,  5.732051f,  6.146264f,  6.414214f,  6.732051f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f,  4.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  6.560478f, 
     6.974691f,  1.732051f,  7.878315f,  7.464102f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  5.560478f,  6.560478f,  3.414214f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f, 
     4.732051f,  4.414214f,  4.732051f,  5.146264f,  6.000000f,  6.414214f,  3.828427f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  4.414214f,  4.828427f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f, 
     4.414214f,  1.414214f,  1.000000f,  6.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  2.414214f,  2.000000f,  2.414214f,  5.560478f,  3.414214f,  3.828427f, 
     3.732051f,  3.414214f,  3.732051f,  4.146264f,  4.560478f,  6.732051f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  4.732051f,  5.146264f,  5.560478f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f, 
     4.732051f,  1.732051f,  1.414214f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  1.414214f,  1.000000f,  1.414214f,  5.146264f,  4.828427f,  5.146264f, 
     2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  7.146264f,  3.000000f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  5.146264f,  5.464102f,  5.878315f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f, 
     5.146264f,  4.732051f,  2.414214f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  5.414214f,  1.000000f,  0.000000f,  5.146264f,  4.732051f,  4.414214f,  4.732051f, 
     1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  7.560478f,  7.878315f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  5.878315f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  4.146264f,  3.732051f, 
     3.414214f,  3.732051f,  4.146264f,  4.560478f,  4.732051f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  5.732051f,  1.414214f,  1.000000f,  4.828427f,  4.414214f,  4.000000f,  4.414214f, 
     1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.414214f,  8.292528f,  8.610366f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  6.292529f,  5.560478f,  5.146264f,  4.732051f,  4.414214f,  4.732051f,  3.146264f,  2.732051f, 
     2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  3.464102f,  4.464102f,  5.464102f,  2.000000f,  2.414214f,  4.732051f,  4.414214f,  4.732051f, 
     1.732051f,  1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.732051f,  8.706742f,  9.024579f,  3.414214f,  3.000000f,  3.414214f,  3.828427f,  7.292529f,  6.560478f,  6.146264f,  5.732051f,  4.732051f,  3.732051f,  2.732051f,  1.732051f, 
     1.414214f,  1.732051f,  2.732051f,  3.732051f,  4.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  6.146264f,  7.146264f,  5.146264f,  4.828427f,  5.146264f, 
     2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  9.120955f,  3.732051f,  4.414214f,  4.000000f,  4.414214f,  3.414214f,  3.828427f,  7.560478f,  7.146264f,  5.414214f,  4.414214f,  3.414214f,  2.414214f,  1.414214f, 
     1.000000f,  1.414214f,  2.414214f,  3.414214f,  4.146264f,  3.828427f,  5.146264f,  4.732051f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  3.828427f,  4.828427f,  5.828427f,  5.146265f,  5.560478f,  5.242640f,  5.560478f, 
     4.414214f,  3.414214f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  3.414214f,  2.828427f,  2.414214f,  2.000000f,  2.414214f,  2.828427f,  6.560478f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  2.732051f,  1.732051f, 
     1.414214f,  1.732051f,  2.732051f,  3.732051f,  3.732051f,  3.414214f,  5.146264f,  4.146264f,  3.146264f,  2.732051f,  2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  3.828427f,  4.146265f,  4.146264f,  3.732051f,  3.414214f, 
     3.414214f,  3.732051f,  2.732051f,  1.732051f,  1.414214f,  1.732051f,  2.732051f,  4.732051f,  2.414214f,  1.414214f,  1.000000f,  1.414214f,  2.414214f,  6.242640f,  5.242640f,  4.242640f,  3.828427f,  3.414214f,  3.000000f,  3.414214f, 
     2.414214f,  2.732051f,  3.146264f,  4.146264f,  5.146264f,  0.000000f,  5.464102f,  4.464102f,  3.464102f,  3.146264f,  2.828427f,  3.146264f,  3.464102f,  4.464102f,  3.732051f,  3.414214f,  5.146265f,  4.828427f,  3.414214f,  3.000000f, 
     3.000000f,  3.414214f,  8.560478f,  2.732051f,  2.414214f,  2.732051f,  4.828427f,  4.414214f,  2.000000f,  1.000000f,  0.000000f,  1.000000f,  2.000000f,  3.000000f,  5.560478f,  4.560478f,  4.146264f,  3.732051f,  3.414214f,  3.732051f, 
     4.146264f,  4.560478f,  4.146264f,  4.560478f,  5.560478f,  1.000000f,  5.878315f,  4.878315f,  4.464102f,  4.146264f,  3.828427f,  4.146264f,  4.464102f,  3.828427f,  3.414214f,  3.000000f,  4.732051f,  4.414214f,  4.732051f,  3.414214f
};

static unsigned int eccTrafo_volume_centers[663] = {
    0, 0, 0, 10, 2, 5, 20, 2, 5, 27, 7, 5, 31, 3, 9, 38, 4, 7, 19, 10, 3, 3, 9, 7, 24, 14, 2, 12, 10, 5, 
    32, 17, 3, 16, 15, 4, 2, 16, 6, 15, 25, 1, 38, 16, 3, 14, 21, 4, 33, 24, 3, 24, 25, 7, 2, 31, 6, 8, 27, 4, 
    31, 28, 3, 34, 35, 5, 7, 38, 1, 19, 34, 4, 37, 38, 3, 24, 34, 4, 28, 34, 4, 39, 36, 1, 14, 37, 5, 25, 38, 1, 
    36, 8, 6, 20, 22, 8, 35, 15, 6, 16, 28, 5, 27, 36, 6, 24, 38, 9, 29, 2, 17, 39, 13, 9, 31, 13, 12, 35, 23, 9, 
    30, 21, 12, 27, 28, 13, 12, 31, 12, 30, 39, 12, 9, 8, 12, 4, 17, 10, 26, 14, 13, 6, 19, 12, 11, 27, 11, 15, 37, 11, 
    38, 37, 10, 19, 7, 13, 35, 17, 12, 3, 25, 14, 35, 29, 12, 22, 27, 13, 6, 2, 14, 11, 13, 12, 38, 9, 13, 19, 11, 15, 
    21, 38, 14, 1, 13, 15, 12, 25, 13, 2, 32, 17, 39, 32, 10, 34, 33, 14, 31, 34, 16, 36, 38, 10, 1, 10, 23, 29, 13, 16, 
    21, 22, 15, 8, 25, 15, 5, 29, 19, 11, 34, 15, 5, 38, 17, 12, 17, 15, 37, 22, 15, 38, 27, 17, 14, 39, 15, 13, 1, 21, 
    12, 6, 20, 37, 18, 16, 26, 17, 20, 6, 22, 18, 39, 6, 18, 17, 15, 19, 29, 21, 19, 3, 23, 22, 16, 24, 21, 18, 30, 21, 
    24, 37, 20, 22, 4, 21, 30, 5, 21, 4, 10, 22, 21, 12, 20, 9, 10, 21, 37, 10, 22, 8, 18, 21, 38, 16, 20, 33, 20, 21, 
    18, 37, 20, 22, 8, 22, 32, 25, 24, 28, 30, 22, 36, 39, 18, 39, 39, 18, 22, 21, 24, 10, 35, 24, 24, 29, 23, 38, 35, 21, 
    15, 34, 24, 29, 39, 21, 34, 39, 18, 28, 13, 24, 36, 30, 25, 31, 35, 25, 36, 39, 22, 17, 16, 23, 8, 23, 26, 39, 28, 22, 
    9, 13, 25, 32, 13, 26, 3, 34, 26, 7, 39, 22, 20, 39, 24, 27, 3, 28, 38, 8, 27, 31, 7, 25, 30, 6, 29, 15, 10, 31, 
    24, 13, 28, 3, 19, 28, 8, 2, 28, 37, 20, 30, 7, 39, 26, 39, 39, 28, 30, 20, 30, 20, 31, 27, 12, 34, 31, 16, 38, 30, 
    25, 37, 30, 37, 4, 30, 2, 5, 33, 20, 3, 32, 6, 14, 31, 12, 24, 30, 37, 12, 32, 20, 18, 31, 7, 38, 32, 18, 34, 32, 
    33, 39, 29, 30, 2, 36, 17, 13, 32, 21, 25, 31, 25, 27, 33, 35, 27, 34, 28, 30, 30, 4, 30, 33, 12, 5, 34, 11, 19, 36, 
    3, 19, 32, 39, 33, 30, 14, 25, 35, 38, 33, 35, 30, 36, 37, 7, 12, 34, 22, 24, 35, 37, 38, 35, 35, 39, 36, 35, 7, 36, 
    28, 9, 37, 21, 13, 36, 10, 30, 35, 18, 2, 38, 7, 9, 37, 1, 19, 38, 16, 24, 38, 27, 30, 36, 16, 30, 38, 1, 34, 38, 
    0, 39, 36, 18, 38, 36, 25, 38, 36, 39, 38, 36, 26, 5, 39, 38, 9, 37, 39, 13, 35, 4, 37, 38, 8, 39, 35, 8, 1, 38, 
    39, 15, 36, 8, 26, 38, 20, 6, 37, 35, 21, 38, 28, 32, 38, 20, 36, 38, 10, 39, 39, 39, 1, 38, 16, 14, 38, 38, 16, 38, 
    23, 21, 39, 16, 8, 39, 13, 10, 39, 36, 11, 39, 17, 19, 39, 37, 22, 39, 37, 27, 39, 9, 32, 39, 22, 30, 38, 35, 32, 39, 
    25, 38, 39, 36, 2, 39, 11, 5, 39, 31, 6, 39, 32, 10, 39, 33, 14, 39, 26, 18, 39, 15, 20, 39, 0, 23, 39, 39, 24, 39, 
    34, 28, 39
};

#endif // VIGRA_MULTIDISTANCE_TEST_DATA_HXX
